set names utf8;
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1, 'НЕКОТОРЫЕ ИНФЕКЦИОННЫЕ И ПАРАЗИТАРНЫЕ БОЛЕЗНИ', 'A00-B99', NULL, NULL, 21, 'Включены: болезни, обычно рассматриваемые как передающиеся, или трансмиссивные\nИсключены: носительство или подозреваемое носительство возбудителя инфекционной болезни (Z22.-) некоторые локализованные инфекции - см. классы, относящиеся к системам органов инфекционные и паразитарные болезни, осложняющие беременность, роды и послеродовой период (за исключением акушерского столбняка и болезни, вызванной вирусом иммунодефицита человека [ВИЧ] (O98.-) инфекционные и паразитарные болезни, характерные для перинатального периода (за исключением перинатального столбняка, врожденного сифилиса, перинатальной гонококковой инфекции и перинатального заболевания, вызванного вирусом иммунодефицита человека [ВИЧ] (P35-P39) грипп и другие острые респираторные инфекции (J00- J22)\nВ этот класс входят следующие блоки:\nA00-A09 Кишечные инфекции\nA15-A19 Туберкулез\nA20-A28 Некоторые бактериальные зоонозы\nA30-A49 Другие бактериальные болезни\nA50-A64 Инфекции, передающиеся преимущественно половым путем\nA65-A69 Другие болезни, вызываемые спирохетами\nA70-A74 Другие болезни, вызываемые хламидиями\nA75-A79 Риккетсиозы\nA80-A89 Вирусные инфекции центральной нервной системы\nA90-A99 Вирусные лихорадки, передаваемые членистоногими, и вирусные геморрагические лихорадки\nB00-B09 Вирусные инфекции, характеризующиеся поражениями кожи и слизистых оболочек\nB15-B19 Вирусный гепатит\nB20-B24 Болезнь, вызванная вирусом иммунодефицита человека [ВИЧ]\nB25-B34 Другие вирусные болезни\nB35-B49 Микозы\nB50-B64 Протозойные болезни\nB65-B83 Гельминтозы\nB85-B89 Педикулез, акариаз и другие инфестации\nB90-B94 Последствия инфестационных и паразитарных болезней\nB95-B97 Бактериальные, вирусные и другие инфекционные агенты\nB99 Другие инфекционные болезни');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2, 'КИШЕЧНЫЕ ИНФЕКЦИИ', 'A00-A09', 1, 'A00-B99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3, 'Холера', 'A00', 2, 'A00-A09', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4, 'Холера, вызванная холерным вибрионом 01, биовар cholerae', 'A00.0', 3, 'A00', 0, 'Классическая холера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5, 'Холера, вызванная холерным вибрионом 01, биовар eltor', 'A00.1', 3, 'A00', 0, 'Холера Эль-Тор');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6, 'Холера неуточненная', 'A00.9', 3, 'A00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7, 'Тиф и паратиф', 'A01', 2, 'A00-A09', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8, 'Брюшной тиф', 'A01.0', 7, 'A01', 0, 'Инфекция, вызванная Salmonella typhi');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9, 'Паратиф A', 'A01.1', 7, 'A01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10, 'Паратиф B', 'A01.2', 7, 'A01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11, 'Паратиф C', 'A01.3', 7, 'A01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12, 'Паратиф неуточненный', 'A01.4', 7, 'A01', 0, 'Инфекция, вызванная Salmonella paratyphi, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13, 'Другие сальмонеллезные инфекции', 'A02', 2, 'A00-A09', 5, 'Включена: инфекция (или пищевое отравление), вызванная Salmonella любого серотипа, отличной от S.typhi и S.paratyphi');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14, 'Сальмонеллезный энтерит', 'A02.0', 13, 'A02', 0, 'Сальмонеллез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15, 'Сальмонеллезная септицемия', 'A02.1', 13, 'A02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16, 'Локализованная сальмонеллезная инфекция', 'A02.2+', 13, 'A02', 0, 'Сальмонеллезный(ая): . артрит (M01.3*) . менингит (G01*) . остеомиелит (M90.2*) . пневмония (J17.0*) . тубулоинтерстициальная болезнь почек (N16.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17, 'Другая уточненная сальмонеллезная инфекция', 'A02.8', 13, 'A02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18, 'Сальмонеллезная инфекция неуточненная', 'A02.9', 13, 'A02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19, 'Шигеллез', 'A03', 2, 'A00-A09', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20, 'Шигеллез, вызванный Shigella dysenteriae', 'A03.0', 19, 'A03', 0, 'Шигеллез группы A [дизентерия Шига-Крузе]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21, 'Шигеллез, вызванный Shigella flexneri', 'A03.1', 19, 'A03', 0, 'Шигеллез группы B');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22, 'Шигеллез, вызванный Shigella boydii', 'A03.02', 19, 'A03', 0, 'Шигеллез группы C');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(23, 'Шигеллез, вызванный Shigella sonnei', 'A03.3', 19, 'A03', 0, 'Шигеллез группы D');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(24, 'Другой шигеллез', 'A03.8', 19, 'A03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(25, 'Шигеллез неуточненный', 'A03.9', 19, 'A03', 0, 'Бактериальная дизентерия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(26, 'Другие бактериальные кишечные инфекции', 'A04', 2, 'A00-A09', 10, 'Исключены: пищевые отравления бактериальные (A05.-) туберкулезный энтерит (A18.3)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(27, 'Энтеропатогенная инфекция, вызванная Escherichia coli', 'A04.0', 26, 'A04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(28, 'Энтеротоксигенная инфекция, вызванная Escherichia coli', 'A04.1', 26, 'A04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(29, 'Энтероинвазивная инфекция, вызванная Escherichia coli', 'A04.2', 26, 'A04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(30, 'Энтерогеморрагическая инфекция, вызванная Escherichia coli', 'A04.3', 26, 'A04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(31, 'Другие кишечные инфекции, вызванные Escherichia coli', 'A04.4', 26, 'A04', 0, 'Энтерит, вызванный Escherichia coli, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(32, 'Энтерит, вызванный Campylobacter', 'A04.5', 26, 'A04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(33, 'Энтерит, вызванный Yersinia enterocolitica', 'A04.6', 26, 'A04', 0, 'Исключен: экстраинтестинальный иерсиниоз (A28.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(34, 'Энтероколит, вызванный Clostridium difficile', 'A04.7', 26, 'A04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(35, 'Другие уточненные бактериальные кишечные инфекции', 'A04.8', 26, 'A04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(36, 'Бактериальная кишечная инфекция неуточненная', 'A04.9', 26, 'A04', 0, 'Бактериальный энтерит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(37, 'Другие бактериальные пищевые отравления', 'A05', 2, 'A00-A09', 7, 'Исключены: инфекция, вызванная Escherichia coli (A04.0-A04.4) листериоз (A32.-) сальмонеллезное пищевое отравление и инфекция (A02.-) токсическое действие ядовитых пищевых продуктов (T61-T62)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(38, 'Стафилококковое пищевое отравление', 'A05.0', 37, 'A05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(39, 'Ботулизм', 'A05.1', 37, 'A05', 0, 'Классическое пищевое отравление, вызванное Clostridium botulinum');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(40, 'Пищевое отравление, вызванное Clostridium perfringens', 'A05.2', 37, 'A05', 0, '[Clostridium welchii] Некротический энтерит Pig-bel');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(41, 'Пищевое отравление, вызванное Vibrio parahaemolyticus', 'A05.3', 37, 'A05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(42, 'Пищевое отравление, вызванное Bacillus cereus', 'A05.4', 37, 'A05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(43, 'Другие уточненные бактериальные пищевые отравления', 'A05.8', 37, 'A05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(44, 'Бактериальное пищевое отравление неуточненное', 'A05.9', 37, 'A05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(45, 'Амебиаз', 'A06', 2, 'A00-A09', 10, 'Включена: инфекция, вызванная Entamoeba histolytica Исключены: другие протозойные кишечные болезни (A07.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(46, 'Острая амебная дизентерия', 'A06.0', 45, 'A06', 0, 'Острый амебиаз Кишечный амебиаз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(47, 'Хронический кишечный амебиаз', 'A06.1', 45, 'A06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(48, 'Амебный недизентерийный колит', 'A06.2', 45, 'A06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(49, 'Амебома кишечника', 'A06.3', 45, 'A06', 0, 'Амебома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(50, 'Амебный абсцесс печени', 'A06.4', 45, 'A06', 0, 'Печеночный амебиаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(51, 'Амебный абсцесс легкого (J99.8*)', 'A06.5+', 45, 'A06', 0, 'Амебный абсцесс легкого (и печени)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(52, 'Амебный абсцесс головного мозга (G07*)', 'A06.6+', 45, 'A06', 0, 'Амебный абсцесс головного мозга (и печени) (и легкого)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(53, 'Кожный амебиаз', 'A06.7', 45, 'A06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(54, 'Амебная инфекция другой локализации', 'A06.8', 45, 'A06', 0, 'Амебный: . аппендицит . баланит+ (N51.2*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(55, 'Амебиаз неуточненный', 'A06.9', 45, 'A06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(56, 'Другие протозойные кишечные болезни', 'A07', 2, 'A00-A09', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(57, 'Балантидиаз', 'A07.0', 56, 'A07', 0, 'Инфузорная дизентерия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(58, 'Жиардиаз [лямблиоз]', 'A07.1', 56, 'A07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(59, 'Криптоспоридиоз', 'A07.2', 56, 'A07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(60, 'Изоспороз', 'A07.3', 56, 'A07', 0, 'Инфекция, вызванная Isospora belli и Isospora hominis Кишечный кокцидиоз Изоспориаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(61, 'Другие уточненные протозойные кишечные болезни', 'A07.8', 56, 'A07', 0, 'Кишечный трихомониаз Саркоцистоз Саркоспоридиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(62, 'Протозойная кишечная болезнь неуточненная', 'A07.9', 56, 'A07', 0, 'Диарея, вызванная жгутиковыми Протозойный(ая): . колит . диарея . дизентерия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(63, 'Вирусные и другие уточненные кишечные инфекции', 'A08', 2, 'A00-A09', 6, 'Исключен: грипп с вовлечением желудочно-кишечного тракта (J10.8, J11.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(64, 'Ротавирусный энтерит', 'A08.0', 63, 'A08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(65, 'Острая гастроэнтеропатия, вызванная возбудителем Норволк', 'A08.1', 63, 'A08', 0, 'Small round structured virus enterites');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(66, 'Аденовирусный энтерит', 'A08.2', 63, 'A08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(67, 'Другие вирусные энтериты', 'A08.3', 63, 'A08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(68, 'Вирусная кишечная инфекция неуточненная', 'A08.4', 63, 'A08', 0, 'Вирусный(ая): . энтерит БДУ . гастроэнтерит БДУ . гастроэнтеропатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(69, 'Другие уточненные кишечные инфекции', 'A08.5', 63, 'A08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(70, 'Диарея и гастроэнтерит предположительно инфекционного происхождения', 'A09', 2, 'A00-A09', 0, 'Примечание. В странах, где диагнозы, перечисленные в рубрике A09, при отсутствии уточнения могут рассматриваться как болезни неинфекционного происхождения, указанные состояния должны классифицироваться в рубрике K52.9 Катар кишечный [интестинальный] Колит } БДУ Энтерит } геморрагический Гастроэнтерит } септический Диарея: * БДУ * дизентерийная * эпидемическая Инфекционная диарея БДУ Исключены: вызванные бактериями, простейшими, вирусами и другими уточненными инфекционными агентами (A00-A08) неинфекционная диарея (K52.9) . неонатальная (P78.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(72, 'ТУБЕРКУЛЕЗ', 'A15-A19', 1, 'A00-B99', 5, 'Включены: инфекции, вызванные Mycobacterium tuberculosis и Mycobacterium bovis\nИсключены: врожденный туберкулез (P37.0) пневмокониоз, связанный с туберкулезом (J65) последствия туберкулеза (B90.-) силикотуберкулез (J65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(73, 'Туберкулез органов дыхания, подтвержденный бактериологически и гистологически', 'A15', 72, 'A15-A19', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(74, 'Туберкулез легких, подтвержденный бактериоскопически с наличием или отсутствием роста культуры', 'A15.0', 73, 'A15', 0, 'Туберкулезная(ый): . бронхоэктазия } подтверждение бактериоскопически . фиброз легкого } с наличием или отсутствием роста . пневмония } культуры . пневмоторакс }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(75, 'Туберкулез легких, подтвержденный только ростом культуры', 'A15.1', 73, 'A15', 0, 'Состояния, перечисленные в рубрике A15.0, подтвержденные только ростом культуры');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(76, 'Туберкулез легких, подтвержденный гистологически', 'A15.2', 73, 'A15', 0, 'Состояния, перечисленные в рубрике A15.0, подтвержденные гистологически');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(77, 'Туберкулез легких, подтвержденный неуточненными методами', 'A15.3', 73, 'A15', 0, 'Состояния, перечисленные в рубрике A15.0, подтвержденные, но без уточнения бактериологически или гистологически');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(78, 'Туберкулез внутригрудных лимфатических узлов, подтвержденный бактериологически и гистологически', 'A15.4', 73, 'A15', 0, 'Туберкулез лимфатических узлов: . прикорневых } подтвержденный бактериологи. медиастинальных } чески и гистологически . трахеобронхинальных } Исключен: если уточнен как первичный (A15.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(79, 'Туберкулез гортани, трахеи и бронхов, подтвержденный бактериологически и гистологически', 'A15.5', 73, 'A15', 0, 'Туберкулез: . бронхов } подтвержденный бактериологи. голосового аппарата } чески и гистологически . гортани } . трахеи }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(80, 'Туберкулезный плеврит, подтвержденный бактериологически и гистологически', 'A15.6', 73, 'A15', 0, 'Туберкулез плевры } подтвержденный(ая) бактериоТуберкулезная эмпиема } логически и гистологически Исключен: туберкулезный плеврит при первичном туберкулезе органов дыхания, подтвержденный бактериологически и гистологически (A15.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(81, 'Первичный туберкулез органов дыхания, подтвержденный бактериологически и гистологически', 'A15.7', 73, 'A15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(82, 'Туберкулез других органов дыхания, подтвержденный бактериологически и гистологически', 'A15.8', 73, 'A15', 0, 'Туберкулез медиастиналь- } подтвержденный(ая) бактерионых лимфатических узлов } логически и гистологически Туберкулез носоглотки } Туберкулез: } . носа } . придаточных пазух }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(83, 'Туберкулез органов дыхания неуточненной локализации, подтвержденный бактериологически и гистологически', 'A15.9', 73, 'A15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(84, 'Туберкулез органов дыхания, не подтвержденный бактериологически или гистологически', 'A16', 72, 'A15-A19', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(85, 'Туберкулез легких при отрицательных результатах бактериологических и гистологических исследований', 'A16.0', 84, 'A16', 0, 'Туберкулезная(ый): } при отрицательных результатах бак. бронхоэктазия } териологического и гистологического . фиброз легкого } исследований . пневмония } . пневмоторакс }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(86, 'Туберкулез легких без проведения бактериологического и гистологического исследований', 'A16.1', 84, 'A16', 0, 'Состояния, перечисленные в рубрике A16.0 без проведения бактериологического и гистологического исследования');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(87, 'Туберкулез легких без упоминания о бактериологическом или гистологическом подтверждении', 'A16.2', 84, 'A16', 0, 'Туберкулез легких } БДУ (без упоминания о бактериологиТуберкулезная(ый): } ческом или гистологическом подтвер. фиброз легкого } ждении) . бронхоэктазия } . пневмония } . пневмоторакс }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(88, 'Туберкулез внутригрудных лимфатических узлов без упоминания о бактериологическом или гистологическом подтверждении', 'A16.3', 84, 'A16', 0, 'Туберкулез лимфатических узлов: . прикорневых } БДУ (без упоминания о бактериологи. внутригрудных } ческом или гистологическом подтвер. медиастинальных } ждении) . трахеобронхиальных } Исключен: туберкулез внутригрудных лимфатических узлов, уточненный как первичный (A16.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(89, 'Туберкулез гортани, трахеи и бронхов без упоминания о бактериологическом или гистологическом подтверждении', 'A16.4', 84, 'A16', 0, 'Туберкулез: } . бронхов } БДУ (без упоминания о бактериологи. гортани } ческом подтверждении) . голосового аппарата } . трахеи }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(90, 'Туберкулезный плеврит без упоминания о бактериологическом или гистологическом подтверждении', 'A16.5', 84, 'A16', 0, 'Туберкулез плевры } Туберкулезная(ый): } БДУ (без упоминания о бактериологи. эмпиема } ческом или гистологическом подтвер. плеврит } ждении) Исключен: туберкулезный плеврит при первичном туберкулезе органов дыхания (A16.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(91, 'Первичный туберкулез органов дыхания без упоминания о бактериологическом или гистологическом подтверждении', 'A16.7', 84, 'A16', 0, 'Первичный: . туберкулез органов дыхания БДУ . туберкулезный комплекс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(92, 'Туберкулез других органов дыхания без упоминания о бактериологическом или гистологическом подтверждении', 'A16.8', 84, 'A16', 0, 'Туберкулез медиастинальных } лимфатических узлов } БДУ (без упоминания о Туберкулез носоглотки } бактериологическом и Туберкулез: } гистологическом подтвер. носа } ждении) . придаточный пазух }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(93, 'Туберкулез органов дыхания неуточненной локализации без упоминания о бактериологическом или гистологическом подтверждении', 'A16.9', 84, 'A16', 0, 'Туберкулез органов дыхания БДУ Туберкулез БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(94, 'Туберкулез нервной системы', 'A17+', 72, 'A15-A19', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(95, 'Туберкулезный менингит (G01*)', 'A17.0+', 94, 'A17+', 0, 'Туберкулез мозговых оболочек (головного мозга) (спинного мозга) Туберкулезный лептоменингит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(96, 'Менингеальная туберкулема (G07*)', 'A17.1+', 94, 'A17+', 0, 'Туберкулема мозговых оболочек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(97, 'Туберкулез нервной системы других локализаций', 'A17.8+', 94, 'A17+', 0, 'Туберкулема } головного мозга (G07*) Туберкулез } спинного мозга (G07*0 Туберкулезный(ая): . абсцесс головного мозга (G07*) . менингоэнцефалит (G05.0*) . миелит (G05.*) . полиневропатия (G63.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(98, 'Туберкулез нервной системы неуточненный (G99.8*)', 'A17.9+', 94, 'A17+', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(99, 'Туберкулез других органов', 'A18', 72, 'A15-A19', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(100, 'Туберкулез костей и суставов', 'A18.0+', 99, 'A18', 0, 'Туберкулез: . тазобедренного сустава (M01.1*) . коленного сустава (M01.1*) . позвоночника (M49.0*) Туберкулезный(ая): . артрит (M01.1*) . мастоидит (H75.0*) . некроз кости (M90.0*) . остеит (M90.0*) . остеомиелит (M90.0*) . синовит (M68.0*) . теносиновит (M68.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(101, 'Туберкулез мочеполовых органов', 'A18.1+', 99, 'A18', 0, 'Туберкулез: . мочевого пузыря (N33.0*) . шейки матки (N74.0*) . почек (N29.1*) . мужских половых органов (N51.*) . уретры (N29.1*) Туберкулезное воспаление органов и тканей малого таз у женщин (N74.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(102, 'Туберкулезная периферическая лимфаденопатия', 'A18.2', 99, 'A18', 0, 'Туберкулезный аденит Исключены: туберкулез лимфатических узлов: . внутригрудных (A15.4, A16.3) . брыжеечных и ретроперитонеальных (A18.3) туберкулезная трахеобронхиальная аденопатия (A15.4, A16.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(103, 'Туберкулез кишечника, брюшины и брыжеечных лимфатических узлов', 'A18.3', 99, 'A18', 0, 'Туберкулез: . заднего прохода и прямой кишки+ (K93.0*) . кишечника (толстого) (тонкого)+ (K93.0*) . ретроперитонеальный (лимфатических узлов) Туберкулезный: . асцит . энтерит+ (K93.0*) . перитонит+ (K67.3*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(104, 'Туберкулез кожи и подкожной клетчатки', 'A18.4', 99, 'A18', 0, 'Эритема индуративная туберкулезная Волчанка: . язвенная . обыкновенная . БДУ . века+ (H03.1*) Скрофулодерма Исключена: красная волчанка (L93.-) . системная (M32.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(105, 'Туберкулез глаза', 'A18.5+', 99, 'A18', 0, 'Туберкулезный: . хориоретинит (H32.0*) . эписклерит (H19.0*) . интерстициальный кератит (H19.2*) . иридоциклит (H22.0*) . кератоконъюктивит (интерстициальный) (фликтенулезный) (H19.2*) Исключена: волчанка века обыкновенная (A18.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(106, 'Туберкулез уха', 'A18.6+', 99, 'A18', 0, 'Туберкулезный средний отит (H67.0*) Исключен: туберкулезный мастоидит (A18.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(107, 'Туберкулез надпочечников (E35.1*)', 'A18.7+', 99, 'A18', 0, 'Болезнь Аддисона туберкулезной этиологии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(108, 'Туберкулез других уточненных органов', 'A18.8+', 99, 'A18', 0, 'Туберкулез: . эндокарда (I39.8*) . миокарда (I41.0*) . пищевода (K23.0*) . перикарда (I32.0*) . щитовидной железы (E35.0*) Туберкулезный артериит сосудов мозга (I68.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(109, 'Милиарный туберкулез', 'A19', 72, 'A15-A19', 5, 'Включены: туберкулез: . диссеминированный . генерализованный туберкулезный полисерозит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(110, 'Острый милиарный туберкулез одной уточненной локализации', 'A19.0', 109, 'A19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(111, 'Острый милиарный туберкулез множественной локализации', 'A19.1', 109, 'A19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(112, 'Острый милиарный туберкулез неуточненной локализации', 'A19.2', 109, 'A19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(113, 'Другие формы милиарного туберкулеза', 'A19.8', 109, 'A19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(114, 'Милиарный туберкулез неуточненной локализации', 'A19.9', 109, 'A19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(116, 'НЕКОТОРЫЕ БАКТЕРИАЛЬНЫЕ ЗООНОЗЫ', 'A20-A28', 1, 'A00-B99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(117, 'Чума', 'A20', 116, 'A20-A28', 7, 'Включена: инфекция, вызванная Yersinia pestis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(118, 'Бубонная чума', 'A20.0', 117, 'A20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(119, 'Целлюлярнокожная чума', 'A20.1', 117, 'A20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(120, 'Легочная чума', 'A20.2', 117, 'A20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(121, 'Чумной менингит', 'A20.3', 117, 'A20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(122, 'Септическая чума', 'A20.7', 117, 'A20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(123, 'Другие формы чумы', 'A20.8', 117, 'A20', 0, 'Абортивная чума Бессимптомная чума Малая чума');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(124, 'Чума неуточненная', 'A20.9', 117, 'A20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(125, 'Туляремия', 'A21', 116, 'A20-A28', 7, 'Включены: лихорадка оленьей мухи инфекция, вызванная Francisella tularensis кроличья лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(126, 'Ульцерогландулярная туляремия', 'A21.0', 125, 'A21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(127, 'Окулогландулярная туляремия', 'A21.1', 125, 'A21', 0, 'Офтальмическая туляремия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(128, 'Легочная туляремия', 'A21.2', 125, 'A21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(129, 'Желудочно-кишечная туляремия', 'A21.3', 125, 'A21', 0, 'Абдоминальная туляремия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(130, 'Генерализованная туляремия', 'A21.7', 125, 'A21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(131, 'Другие формы туляремии', 'A21.8', 125, 'A21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(132, 'Туляремия неуточненная', 'A21.9', 125, 'A21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(133, 'Сибирская язва', 'A22', 116, 'A20-A28', 6, 'Включена: инфекция, вызванная Bacillus anthracis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(134, 'Кожная форма сибирской язвы', 'A22.0', 133, 'A22', 0, 'Злокачественный(ая): . карбункул . пустула');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(135, 'Легочная форма сибирской язвы', 'A22.1', 133, 'A22', 0, 'Респираторная форма сибирской язвы Болезнь тряпичников Болезнь сортировщиков шерсти');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(136, 'Желудочно-кишечная форма сибирской язвы', 'A22.2', 133, 'A22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(137, 'Сибиреязвенная септицемия', 'A22.7', 133, 'A22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(138, 'Другие формы сибирской язвы', 'A22.8', 133, 'A22', 0, 'Сибиреязвенный менингит+ (G01*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(139, 'Сибирская язва неуточненная', 'A22.9', 133, 'A22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(140, 'Бруцеллез', 'A23', 116, 'A20-A28', 6, 'Включена: лихорадка: . мальтийская . средиземноморская . ундулирующая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(141, 'Бруцеллез, вызванный Brucella melitensis', 'A23.0', 140, 'A23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(142, 'Бруцеллез, вызванный Brucella abortus', 'A23.1', 140, 'A23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(143, 'Бруцеллез, вызванный Brucella suis', 'A23.2', 140, 'A23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(144, 'Бруцеллез, вызванный Brucella canis', 'A23.3', 140, 'A23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(145, 'Другие формы бруцеллеза', 'A23.8', 140, 'A23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(146, 'Бруцеллез неуточненный', 'A23.9', 140, 'A23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(147, 'Сап и мелиоидоз', 'A24', 116, 'A20-A28', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(148, 'Сап', 'A24.0', 147, 'A24', 0, 'Инфекция, вызванная Pseudomonas mallei');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(149, 'Острый или молниеносный мелиоидоз', 'A24.1', 147, 'A24', 0, 'Мелиоидозная: . пневмония . септицемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(150, 'Подострый и хронический мелиоидоз', 'A24.2', 147, 'A24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(151, 'Другой уточненный мелиоидоз', 'A24.3', 147, 'A24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(152, 'Мелиоидоз неуточненный', 'A24.4', 147, 'A24', 0, 'Инфекция, вызванная Pseudomonas pseudomallei БДУ Болезнь Уитмора');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(153, 'Лихорадка от укуса крыс', 'A25', 116, 'A20-A28', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(154, 'Спириллез', 'A25.0', 153, 'A25', 0, 'Содоку');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(155, 'Стрептобациллез', 'A25.1', 153, 'A25', 0, 'Эпидемическая суставная эритема Хейверхилльская лихорадка Стрептобациллярная лихорадка от укуса крыс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(156, 'Лихорадка от укуса крыс неуточненная', 'A25.9', 153, 'A25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(157, 'Эризипелоид', 'A26', 116, 'A20-A28', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(158, 'Кожный эризипелоид', 'A26.0', 157, 'A26', 0, 'Блуждающая эритема');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(159, 'Септицемия, вызванная Erysipelothrix', 'A26.7', 157, 'A26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(160, 'Другие формы эризипелоида', 'A26.8', 157, 'A26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(161, 'Эризипелоид неуточненный', 'A26.9', 157, 'A26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(162, 'Лептоспироз', 'A27', 116, 'A20-A28', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(163, 'Лептоспироз желтушно-геморрагический', 'A27.0', 162, 'A27', 0, 'Лептоспироз, вызванный Leptospira interrogans, серовар icterohaemorrhagiae');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(164, 'Другие формы лептоспироза', 'A27.8', 162, 'A27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(165, 'Лептоспироз неуточненный', 'A27.9', 162, 'A27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(166, 'Другие бактериальные зоонозы, не классифицированные в других рубриках', 'A28', 116, 'A20-A28', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(167, 'Пастереллез', 'A28.0', 166, 'A28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(168, 'Лихорадка от кошачьих царапин', 'A28.1', 166, 'A28', 0, 'Болезнь кошачьих царапин');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(169, 'Экстраинтестинальный иерсиниоз', 'A28.2', 166, 'A28', 0, 'Исключены: энтерит, вызванный Yersinia enterocolitica (A04.6) чума (A20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(170, 'Другие уточненные бактериальные зоонозы, не классифи-', 'A28.8', 166, 'A28', 0, 'цированные в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(171, 'Бактериальные зоонозы неуточненные', 'A28.9', 166, 'A28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(173, 'ДРУГИЕ БАКТЕРИАЛЬНЫЕ БОЛЕЗНИ', 'A30-A49', 1, 'A00-B99', 18, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(174, 'Лепра [болезнь Гансена]', 'A30', 173, 'A30-A49', 8, 'Включена: инфекция, вызванная Mycobacterium leprae Исключены: отдаленные последствия лепры (B92)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(175, 'Недифференцированная лепра', 'A30.0', 174, 'A30', 0, 'Лепра I');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(176, 'Туберкулоидная лепра', 'A30.1', 174, 'A30', 0, 'Лепра TT');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(177, 'Пограничная туберкулоидная лепра', 'A30.2', 174, 'A30', 0, 'Лепра BT');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(178, 'Пограничная лепра', 'A30.3', 174, 'A30', 0, 'Лепра BB');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(179, 'Пограничная лепроматозная лепра', 'A30.4', 174, 'A30', 0, 'Лепра BL');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(180, 'Лепроматозная лепра', 'A30.5', 174, 'A30', 0, 'Лепра LL');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(181, 'Другие формы лепры', 'A30.8', 174, 'A30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(182, 'Лепра неуточненная', 'A30.9', 174, 'A30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(183, 'Инфекции, вызванные другими микобактериями', 'A31', 173, 'A30-A49', 4, 'Исключены: лепра (A30.-) туберкулез (A15-A19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(184, 'Легочная инфекция, вызванная Mycobacterium', 'A31.0', 183, 'A31', 0, 'Инфекция, вызванная Mycobacterium: . avium . intracellulare [Battey bacillus] . kansasii');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(185, 'Кожная инфекция, вызванная Mycobacterium', 'A31.1', 183, 'A31', 0, 'Язва Бурули Инфекция, вызванная Mycobacterium: . marinum . ulcerans');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(186, 'Другие инфекции, вызванные Mycobacterium', 'A31.8', 183, 'A31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(187, 'Инфекция, вызванная Mycobacterium, неуточненная', 'A31.9', 183, 'A31', 0, 'Атипичная микобактериальная инфекция БДУ Микобактериоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(188, 'Листериоз', 'A32', 173, 'A30-A49', 5, 'Включена: листериозная пищевая инфекция Исключена: неонатальный (диссеминированный) листериоз (P37.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(189, 'Кожный листериоз', 'A32.0', 188, 'A32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(190, 'Листериозный менингит и менингоэнцефалит', 'A32.1+', 188, 'A32', 0, 'Листериозный: . менингит (G01*) . менингоэнцефалит (G05.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(191, 'Листериозная септицемия', 'A32.7', 188, 'A32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(192, 'Другие формы листериоза', 'A32.8', 188, 'A32', 0, 'Листериозный: . церебральный артрит+ (I68.1*) . эндокардит+ (I39.8*) Окулогландулярный листериоз');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(193, 'Листериоз неуточненный', 'A32.9', 188, 'A32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(194, 'Столбняк новорожденного', 'A33', 173, 'A30-A49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(195, 'Акушерский столбняк', 'A34', 173, 'A30-A49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(196, 'Другие формы столбняка', 'A35', 173, 'A30-A49', 0, 'Столбняк БДУ Исключен: столбняк: . новорожденного (A33) . акушерский (A34)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(197, 'Дифтерия', 'A36', 173, 'A30-A49', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(198, 'Дифтерия глотки', 'A36.0', 197, 'A36', 0, 'Дифтерийная мембранозная ангина Тонзилярная дифтерия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(199, 'Дифтерия носоглотки', 'A36.1', 197, 'A36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(200, 'Дифтерия гортани', 'A36.2', 197, 'A36', 0, 'Ларинготрахеит дифтерийный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(201, 'Дифтерия кожи', 'A36.3', 197, 'A36', 0, 'Исключена: эритразма (I08.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(202, 'Другая дифтерия', 'A36.8', 197, 'A36', 0, 'Конъюнктивальная дифтерия+ (H13.1*) Дифтерийный: . миокардит+ (I41.0*) . полиневрит+ (G63.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(203, 'Дифтерия неуточненная', 'A36.9', 197, 'A36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(204, 'Коклюш', 'A37', 173, 'A30-A49', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(205, 'Коклюш, вызванный Bordetella pertussis', 'A37.0', 204, 'A37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(206, 'Коклюш, вызванный Bordetella parapertussis', 'A37.1', 204, 'A37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(207, 'Коклюш, вызванный другим уточненным возбудителем вида Bordetella', 'A37.8', 204, 'A37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(208, 'Коклюш неуточненный', 'A37.9', 204, 'A37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(209, 'Скарлатина', 'A38', 173, 'A30-A49', 0, 'Исключена: стрептококковая ангина (J02.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(210, 'Менингококковая инфекция', 'A39', 173, 'A30-A49', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(211, 'Менингококковый менингит (G01*)', 'A39.0', 210, 'A39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(212, 'Синдром Уотерхауса-Фридериксена (E35.1*)', 'A39.1+', 210, 'A39', 0, 'Менингококковый геморрагический адреналит Менингококковый адреналовый синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(213, 'Острая менингококкемия', 'A39.2', 210, 'A39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(214, 'Хроническая менингококкемия', 'A39.3', 210, 'A39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(215, 'Менингококкемия неуточненная', 'A39.4', 210, 'A39', 0, 'Менингококковая бактериемия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(216, 'Менингококковая болезнь сердца', 'A39.5+', 210, 'A39', 0, 'Менингококковый: . кардит БДУ (I52.0*) . эндокардит (I39.0*) . миокардит (I41.0*) . перикардит (I32.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(217, 'Другие менингококковые инфекции', 'A39.8', 210, 'A39', 0, 'Менингококковый: . артрит+ (M01.0*) . конъюнктивит+ (H13.1*) . энцефалит+ (G05.0*) . неврит зрительного нерва+ (H48.1*) Постменингококковый артрит+ (M03.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(218, 'Менингококковая инфекция неуточненная', 'A39.9', 210, 'A39', 0, 'Менингококковая болезнь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(219, 'Стрептококковая септицемия', 'A40', 173, 'A30-A49', 6, 'Исключена: в период родов (O75.3) последовавшая за: . абортом, внематочной или молярной беременностью (O03-O07, O08.0) . иммунизацией (T88.0) . инфузией, трансфузией или терапевтической инъекцией (T80.2) неонатальная (P36.0-P36.1) постпроцедурная (T81.4) послеродовая (O85)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(220, 'Септицемия, вызванная стрептококком группы A', 'A40.0', 219, 'A40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(221, 'Септицемия, вызванная стрептококком группы B', 'A40.1', 219, 'A40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(222, 'Септицемия, вызванная стрептококком группы D', 'A40.2', 219, 'A40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(223, 'Септицемия, вызванная Streptococcus pneumoniae', 'A40.3', 219, 'A40', 0, 'Пневмококковая септицемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(224, 'Другие стрептококковые септицемии', 'A40.8', 219, 'A40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(225, 'Стрептококковая септицемия неуточненная', 'A40.9', 219, 'A40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(226, 'Другая септицемия', 'A41', 173, 'A30-A49', 8, 'Исключены: бактериемия БДУ (A49.9) в период родов (O75.3) последовавшая за: . абортом, внематочной или молярной беременностью (O03-O07, O08.0) . иммунизацией (T88.0) . инфузией, трансфузией или терапевтической инъекцией (T80.2) септицемия (вызванная) (при): . актиномикозная (A42.7) . сибиреязвенная (A22.7) . кандидозная (B37.7) . Erysipelothrix (A26.7) . экстраинтестинальная иерсиниозная (A28.2) . гонококковая (A54.8) . вирусом герпеса (B00.7) . листериозная (A32.7) . менингококковая (A39.2-A39.4) . неонатальная (P36.-) . постпроцедурная (T81.4) . послеродовая (O85) . стрептококковая (A40.-) . туляремийная (A21.7) септицемический(ая): . мелиоидоз (A24.1) . чума (A20.7) синдром токсического шока (A48.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(227, 'Септицемия, вызванная Staphylococcus aureus', 'A41.0', 226, 'A41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(228, 'Септицемия, вызванная другим уточненным стафилококком', 'A41.1', 226, 'A41', 0, 'Септицемия, вызванная коагулазаотрицательным стафилококком');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(229, 'Септицемия, вызванная неуточненным стафилококком', 'A41.2', 226, 'A41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(230, 'Септицемия, вызванная Haemophilus influenzae', 'A41.3', 226, 'A41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(231, 'Септицемия, вызванная анаэробами', 'A41.4', 226, 'A41', 0, 'Исключена: газовая гангрена (A48.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(232, 'Септицемия, вызванная другими грамотрицательными микроорганизмами', 'A41.5', 226, 'A41', 0, 'Септицемия, вызванная другими грамотрицательным микроорганизмом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(233, 'Другая уточненная септицемия', 'A41.8', 226, 'A41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(234, 'Септицемия неуточненная', 'A41.9', 226, 'A41', 0, 'Септический шок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(235, 'Актиномикоз', 'A42', 173, 'A30-A49', 6, 'Исключена: актиномицетома (B47.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(236, 'Легочный актиномикоз', 'A42.0', 235, 'A42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(237, 'Абдоминальный актиномикоз', 'A42.1', 235, 'A42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(238, 'Шейно-лицевой актиномикоз', 'A42.2', 235, 'A42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(239, 'Актиномикозная септицемия', 'A42.7', 235, 'A42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(240, 'Другие актиномикозы', 'A42.8', 235, 'A42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(241, 'Актиномикоз неуточненный', 'A42.9', 235, 'A42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(242, 'Нокардиоз', 'A43', 173, 'A30-A49', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(243, 'Легочный нокардиоз', 'A43.0', 242, 'A43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(244, 'Нокардиоз кожи', 'A43.1', 242, 'A43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(245, 'Другие формы нокардиоза', 'A43.8', 242, 'A43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(246, 'Нокардиоз неуточненный', 'A43.9', 242, 'A43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(247, 'Бартонеллез', 'A44', 173, 'A30-A49', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(248, 'Системный бартонеллез', 'A44.0', 247, 'A44', 0, 'Лихорадка Ороя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(249, 'Кожный и кожно-слизистый бартонеллез', 'A44.1', 247, 'A44', 0, 'Перуанская бородавка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(250, 'Другие бартонеллезы', 'A44.8', 247, 'A44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(251, 'Бартонеллез неуточненный', 'A44.9', 247, 'A44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(252, 'Рожа', 'A46', 173, 'A30-A49', 0, 'Исключена: в послеродовом периоде или послеродовая рожа (O86.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(253, 'Другие бактериальные болезни, не классифицированные в других рубриках', 'A48', 173, 'A30-A49', 6, 'Исключена: актиномикозная мицетома (B47.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(254, 'Газовая гангрена', 'A48.0', 253, 'A48', 0, 'Вызванный Clostridium: . целлюлит . некроз мышц');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(255, 'Болезнь легионеров', 'A48.1', 253, 'A48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(256, 'Болезнь легионеров без пневмонии [лихорадка Понтиак]', 'A48.2', 253, 'A48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(257, 'Синдром токсического шока', 'A48.3', 253, 'A48', 0, 'Исключены: эндотоксический шок БДУ (R57.8) септицемия БДУ (A41.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(258, 'Бразильская пурпурная лихорадка', 'A48.4', 253, 'A48', 0, 'Системная инфекция, вызванная Haemophilus aegyptius');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(259, 'Другие уточненные бактериальные болезни', 'A48.8', 253, 'A48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(260, 'Бактериальная инфекция неуточненной локализации', 'A49', 173, 'A30-A49', 6, 'Исключены: бактериальные агенты как причина болезней, классифицированных в других классах (B95-B96) инфекция, вызванная хламидиями, БДУ (A74.9) . менингококковая инфекция БДУ (A39.9) . инфекция, вызванная риккетсиями, БДУ (A79.9) . инфекция, вызванная спирохетами, БДУ (A69.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(261, 'Стафилококковая инфекция неуточненная', 'A49.0', 260, 'A49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(262, 'Стрептококковая инфекция неуточненная', 'A49.1', 260, 'A49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(263, 'Инфекция, вызванная Haemophilus influenzae, неуточненная', 'A49.2', 260, 'A49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(264, 'Инфекция, вызванная микоплазмой, неуточненная', 'A49.3', 260, 'A49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(265, 'Другие бактериальные инфекции неуточненной локализации', 'A49.8', 260, 'A49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(266, 'Бактериальная инфекция неуточненная', 'A49.9', 260, 'A49', 0, 'Бактериемия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(268, 'ИНФЕКЦИИ, ПЕРЕДАЮЩИЕСЯ ПРЕИМУЩЕСТВЕННО ПОЛОВЫМ ПУТЕМ', 'A50-A64', 1, 'A00-B99', 13, 'Исключено: болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24) неспецифические и негонококковые уретриты (N34.1) болезнь Рейтера (M02.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(269, 'Врожденный сифилис', 'A50', 268, 'A50-A64', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(270, 'Ранний врожденный сифилис с симптомами', 'A50.0', 269, 'A50', 0, 'Любое врожденное сифилитическое состояние, уточненное как раннее или проявившееся в возрасте до двух лет. Ранний врожденный сифилис: . кожи . кожи и слизистых оболочек . висцеральный Ранний врожденный сифилитический(ая): . ларингит . окулопатия . остеохондропатия . фарингит . пневмония . ринит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(271, 'Ранний врожденный сифилис скрытый', 'A50.1', 269, 'A50', 0, 'Врожденный сифилис без клинических проявлений с положительной серологической реакцией и отрицательным тестом спинномозговой жидкости в возрасте до двух лет.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(272, 'Ранний врожденный сифилис неуточненный', 'A50.2', 269, 'A50', 0, 'Врожденный сифилис БДУ, проявившийся в возрасте до двух лет.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(273, 'Позднее врожденное сифилитическое поражение глаз', 'A50.3', 269, 'A50', 0, 'Поздний врожденный сифилитический интерстициальный кератит+ (H19.2*) Поздняя врожденная сифилитическая окулопатия НКДР (H58.8*) Исключена: триада Гетчинсона (A50.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(274, 'Поздний врожденный нейросифилис [ювенильный нейросифилис]', 'A50.4', 269, 'A50', 0, 'Деменция паралитическая ювенильная Ювенильный(ая): . прогрессивный паралич . спинная сухотка . табопаралич Поздний врожденный сифилитический(ая): . энцефалит+ (G05.0*) . менингит+ (G01*) . пилоневропатия+ (G63.0*) При необходимости идентифицировать любое связанное с данным заболеванием психическое расстройство используют дополнительный код. Исключена: триада Гетчинсона (A50.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(275, 'Другие формы позднего врожденного сифилиса с симптомами', 'A50.5', 269, 'A50', 0, 'Любое врожденное сифилитическое состояние, уточненное как позднее или проявившееся через два года или более с момента рождения. Суставы Клаттона (M03.1*) Гетчинсона: . зубы . триада Поздний врожденный: . кардиоваскулярный сифилис+ (I98.*) . сифилитическая: . артропатия+ (M03.1*) . остеохондропатия+ (M90.2*) Сифилитический седловидный нос');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(276, 'Поздний врожденный сифилис скрытый', 'A50.6', 269, 'A50', 0, 'Врожденный сифилис без клинических проявлений, с положительной серологической реакцией и отрицательным тестом спинномозговой жидкости в возрасте двух и более лет.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(277, 'Поздний врожденный сифилис неуточненный', 'A50.7', 269, 'A50', 0, 'Врожденный сифилис БДУ в возрасте двух и более лет');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(278, 'Врожденный сифилис неуточненный', 'A50.9', 269, 'A50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(279, 'Ранний сифилис', 'A51', 268, 'A50-A64', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(280, 'Первичный сифилис половых органов', 'A51.0', 279, 'A51', 0, 'Сифилитический шанкр БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(281, 'Первичный сифилис анальной области', 'A51.1', 279, 'A51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(282, 'Первичный сифилис других локализаций', 'A51.2', 279, 'A51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(283, 'Вторичный сифилис кожи и слизистых оболочек', 'A51.3', 279, 'A51', 0, 'Широкая кондилома Сифилитическая(ие): . алопеция+ (L99.8*) . лейкодерма+ (L99.8*) . очаги на слизистых оболочках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(284, 'Другие формы вторичного сифилиса', 'A51.4', 279, 'A51', 0, 'Вторичные сифилитические(ое) (ая): . воспалительное заболевание женских тазовых органов+ (N74.2*) . иридоциклит+ (H22.0*) . лимфаденопатия . менингит+ (G01*) . миозит+ (M63.0*) . окулопатия НКДР+ (H58.8*) . периостит+ (M90.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(285, 'Ранний сифилис скрытый', 'A51.5', 279, 'A51', 0, 'Сифилис (приобретенный) без клинических проявлений с положительной серологической реакцией и отрицательной пробой спинномозговой жидкости, давностью менее двух лет после заражения.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(286, 'Ранний сифилис неуточненный', 'A51.9', 279, 'A51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(287, 'Поздний сифилис', 'A52', 268, 'A50-A64', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(288, 'Сифилис сердечно-сосудистой системы', 'A52.0+', 287, 'A52', 0, 'Кардиоваскулярный сифилис БДУ (I98.0*) Сифилитическая(ий): . аневризма аорты (I79.0*) . аортальная недостаточность (I39.1*) . аортит (I79.1*) . церебральный артериит (I68.1*) . эндокардит БДУ (I39.8*) . миокардит (I41.0*) . перикардит (I32.0*) . легочная недостаточность (I39.3*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(289, 'Нейросифилис с симптомами', 'A52.1', 287, 'A52', 0, 'Артропатия Шарко (M14.6*) Поздний сифилитический(ая): . неврит слухового нерва+ (H49.0*) . энцефалит+ (G05.0*) . менингит+ (G01*) . атрофия зрительного нерва+ (H48.0*) . полиневропатия+ (G63.0*) . ретробульбарный неврит+ (H48.1*) Сифилитический паркинсонизм+ (G22*) Спинная сухотка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(290, 'Асимптомный нейросифилис', 'A52.2', 287, 'A52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(291, 'Нейросифилис неуточненный', 'A52.3', 287, 'A52', 0, 'Гумма (сифилитическая) } центральной нервной Сифилис (поздний) } системы БДУ Сифилома }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(292, 'Другие симптомы позднего сифилиса', 'A52.7', 287, 'A52', 0, 'Сифилитическое поражение почечных клубочков+ (N08.0*) Гумма (сифилитическая) } любых локализаций, Сифилис поздний, или } кроме классифицированных третичный } в рубриках A52.0-A52.3 Поздний сифилитический(ая): . бурсит+ (M73.1*) . хориоретинит+ (H32.0) . эписклерит+ (H19.0*) . воспалительное заболевание женских тазовых органов (N74.2*) . лейкодерма+ (L99.8*) . окулопатия НКДР+ (H58.8*) . перитонит+ (K67.2*) Сифилис (без уточнения стадии): . кости+ (M90.2*) . печени+ (K77.0*) . легкого+ (J99.8*) . мышц (M63.0*) . синовиальный+ (M68.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(293, 'Поздний сифилис скрытый', 'A52.8', 287, 'A52', 0, 'Сифилис (приобретенный) без клинических проявлений, с положительной серологической реакцией и отрицательной пробой спинномозговой жидкости, давностью два года или более после заражения.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(294, 'Поздний сифилис неуточненный', 'A52.9', 287, 'A52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(295, 'Другие и неуточненные формы сифилиса', 'A53', 268, 'A50-A64', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(296, 'Скрытый сифилис, неуточненный как ранний или поздний', 'A53.0', 295, 'A53', 0, 'Скрытый сифилис БДУ Положительная серологическая реакция на сифилис');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(297, 'Сифилис неуточненный', 'A53.9', 295, 'A53', 0, 'Инвазия, вызванная Treponema pallidum, БДУ Сифилис (приобретенный) БДУ Исключен: сифилис БДУ, явившийся причиной смерти в возрасте до двух лет (A50.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(298, 'Гонококковая инфекция', 'A54', 268, 'A50-A64', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(299, 'Гонококковая инфекция нижних отделов мочеполового тракта без абсцедирования периуретральных или придаточных желез', 'A54.0', 298, 'A54', 0, 'Гонококковый: . цервицит БДУ . цистит БДУ . уретрит БДУ . вульвовагинит БДУ Исключена: с: . абсцедированием мочеполовых желез (A54.1) . периуретральным абсцессом (A54.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(300, 'Гонококковая инфекция нижних отделов мочеполового тракта с абсцедированием периуретральных и придаточных желез', 'A54.1', 298, 'A54', 0, 'Гонококковый абсцесс бартолиновых желез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(301, 'Гонококковый пельвиоперитонит и другая гонококковая инфекция мочеполовых органов', 'A54.2+', 298, 'A54', 0, 'Гонококковый(ое): . эпидидимит (N51.1*) . воспалительное заболевание тазовых органов у женщин (N74.3*) . орхит (N51.1*) простатит (N51.0*) Исключен: гонококковый перитонит (A54.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(302, 'Гонококковая инфекция глаз', 'A54.3', 298, 'A54', 0, 'Гонококковый: . конъюнктивит+ (H13.1*) . иридоциклит+ (H22.0*) Гонококковая офтальмия новорожденных');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(303, 'Гонококковая инфекция костно-мышечной системы', 'A54.4+', 298, 'A54', 0, 'Гонококковый: . артрит (M01.3*) . бурсит (M73.0*) . остеомиелит (M90.2*) . синовит (M68.0*) . теносиновит (M68.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(304, 'Гонококковый фарингит', 'A54.5', 298, 'A54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(305, 'Гонококковая инфекция аноректальной области', 'A54.6', 298, 'A54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(306, 'Другие гонококковые инфекции', 'A54.8', 298, 'A54', 0, 'Гонококковый(ая) (ое): . абсцесс мозга+ (G07*) . эндокардит+ (I39.8*) . менингит+ (G01*) . миокардит+ (I41.0*) . перикардит+ (I32.0*) . перитонит+ (K67.1*) . пневмония+ (J17.0*) . сепсис . поражение кожи Исключен: гонококковый пельвиоперитонит (A54.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(307, 'Гонококковая инфекция неуточненная', 'A54.9', 298, 'A54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(308, 'Хламидийная лимфогранулема (венерическая)', 'A55', 268, 'A50-A64', 0, 'Климатический или тропический бубон Болезнь Дюрана-Никола-Фавре Эстиомен Паховая лимфогранулема');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(309, 'Другие хламидийные болезни, передающиеся половым путем', 'A56', 268, 'A50-A64', 6, 'Включены: болезни, передающиеся половым путем, вызванные Chlamydia trachomatis Исключены: хламидийные: . лимфогранулема (A55) . неонатальный(ая): . конъюнктивит (P39.1) . пневмония (P23.1) состояния, классифицированные в рубриках A74.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(310, 'Хламидийные инфекции нижних отделов мочеполового тракта', 'A56.0', 309, 'A56', 0, 'Хламидийный: . цервицит . цистит . уретрит . вульвовагинит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(311, 'Хламидийные инфекции органов малого таза и других', 'A56.1+', 309, 'A56', 0, 'мочеполовых органов Хламидийный(ые): . эпидидимит (N51.1*) . воспалительные заболевания органов малого таза у женщин (N74.4*) . орхит (N51.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(312, 'Хламидийная инфекция мочеполового тракта неуточненная', 'A56.2', 309, 'A56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(313, 'Хламидийная инфекция аноректальной области', 'A56.3', 309, 'A56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(314, 'Хламидийный фарингит', 'A56.4', 309, 'A56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(315, 'Хламидийные инфекции, передающиеся половым путем, другой локализации', 'A56.8', 309, 'A56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(316, 'Шанкроид', 'A57', 268, 'A50-A64', 0, 'Мягкий шанкр');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(317, 'Паховая гранулема', 'A58', 268, 'A50-A64', 0, 'Донованоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(318, 'Трихомониаз', 'A59', 268, 'A50-A64', 3, 'Исключен: кишечный трихомониаз (A07.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(319, 'Урогенитальный трихомониаз', 'A59.0', 318, 'A59', 0, 'Бели (вагинальные) } вызванные Простатит+ (N51.0*) } Trichjmonas (vaginalis)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(320, 'Трихомониаз других локализаций', 'A59.8', 318, 'A59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(321, 'Трихомониаз неуточненный', 'A59.9', 318, 'A59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(322, 'Аногенитальная герпетическая вирусная инфекция [herpes simplex]', 'A60', 268, 'A50-A64', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(323, 'Герпетические инфекции половых органов и мочеполового тракта', 'A60.0', 322, 'A60', 0, 'Герпетические инфекции полового тракта: . женского+ (N77.0-N77.1*) . мужского+ (N51.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(324, 'Герпетические инфекции перианальных кожных покровов и прямой кишки', 'A60.1', 322, 'A60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(325, 'Аногенитальная герпетическая инфекция неуточненная', 'A60.9', 322, 'A60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(326, 'Другие болезни, передающиеся преимущественно половым путем, не классифицированные в других рубриках', 'A63', 268, 'A50-A64', 2, 'Исключены: контагиозный моллюск (B08.1) папиллома шейки матки (D26.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(327, 'Аногенитальные (венерические) бородавки', 'A63.0', 326, 'A63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(328, 'Другие уточненные заболевания, передающиеся преимущественно половым путем', 'A63.8', 326, 'A63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(329, 'Болезни, передающиеся половым путем, неуточненные', 'A64', 268, 'A50-A64', 0, 'Венерическая болезнь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(331, 'ДРУГИЕ БОЛЕЗНИ, ВЫЗЫВАЕМЫЕ СПИРОХЕТАМИ', 'A65-A69', 1, 'A00-B99', 5, 'Исключены: лептоспироз (A27.-) сифилис (A50-A53)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(332, 'Невенерический сифилис', 'A65', 331, 'A65-A69', 0, 'Беджель Эндемический сифилис Ньювера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(333, 'Фрамбезия', 'A66', 331, 'A65-A69', 10, 'Включены: боуба фрамбезия (тропическая) пиан');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(334, 'Первичные фрамбезийные поражения', 'A66.0', 333, 'A66', 0, 'Фрамбезийный шанкр Фрамбезия начальная или первичная Первичная фрамбезийная язва Фрамбезия, полученная от матери');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(335, 'Множественные папилломы и пианома подошвенная', 'A66.1', 333, 'A66', 0, 'Фрамбезиома Пианома Подошвенная или ладонная фрамбезийная папиллома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(336, 'Другие ранние кожные фрамбезийные поражения', 'A66.2', 333, 'A66', 0, 'Кожная фрамбезия давностью менее пяти лет с момента заражения Ранняя фрамбезия (кожная) (пятнистая) (пятнисто-папулезная) (микропапулезная) (папулезная) Фрамбезид при ранней фрамбезии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(337, 'Фрамбезийный гиперкератоз', 'A66.3', 333, 'A66', 0, '"Рука вампира" Гиперкератоз ладонный или подошвенный (ранний) (поздний), вызванный фрамбезией "Объеденные червями" подошвы стоп');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(338, 'Фрамбезийные гуммы и язвы', 'A66.4', 333, 'A66', 0, 'Гуммозный фрамбезид Узловая поздняя фрамбезия (язвенная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(339, 'Гангоза', 'A66.5', 333, 'A66', 0, 'Увечащий ринофарингит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(340, 'Фрамбезийные поражения костей и суставов', 'A66.6', 333, 'A66', 0, 'Ганглион } Гидрартроз } при фрамбезии (ранней) Остеит } (поздней) Периостит (гипертрофический) } Гунду } Гумма кости } при фрамбезии Гуммозойный остеит или периостит } (поздней)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(341, 'Другие проявления фрамбезии', 'A66.7', 333, 'A66', 0, 'Околосуставные узелки при фрамбезии Фрамбезия слизистых оболочек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(342, 'Латентная фрамбезия', 'A66.8', 333, 'A66', 0, 'Фрамбезия без клинических проявлений с положительной серологической реакцией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(343, 'Фрамбезия неуточненная', 'A66.9', 333, 'A66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(344, 'Пинта [карате]', 'A67', 331, 'A65-A69', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(345, 'Первичные поражения при пинте', 'A67.0', 344, 'A67', 0, 'При пинте [карате] Шанкр (первичный) Папула (первичная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(346, 'Промежуточные поражения при пинте', 'A67.1', 344, 'A67', 0, 'При пинте [карате] Эритематозные бляшки Гиперхромные поражения Гиперкератоз Пинтид');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(347, 'Поздние поражения при пинте', 'A67.2', 344, 'A67', 0, 'Сердечно-сосудистые поражения (I98.1*)  Кожные поражения: . депигментирующие  . рубцовые  . дисхромные');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(348, 'Смешанные поражения при пинте', 'A67.3', 344, 'A67', 0, 'Депигментирующие и гиперхромные поражения кожи при пинте [карате]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(349, 'Пинта неуточненная', 'A67.9', 344, 'A67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(350, 'Возвратные лихорадки', 'A68', 331, 'A65-A69', 3, 'Включен: возвратный тиф Исключена: болезнь Лайма (A69.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(351, 'Вшивая возвратная лихорадка', 'A68.0', 350, 'A68', 0, 'Возвратная лихорадка, вызванная Borrelia recurrentis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(352, 'Эпидемический возвратный тиф', 'A68.1', 350, 'A68', 0, 'Возвратные лихорадки, вызванные любым видом Borrelia, за исключением Borrelia recurrentis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(353, 'Возвратная лихорадка неуточненная', 'A68.9', 350, 'A68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(354, 'Другие инфекции, вызванные спирохетами', 'A69', 331, 'A65-A69', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(355, 'Некротизирующий язвенный стоматит', 'A69.0', 354, 'A69', 0, 'Гангренозный стоматит Фузоспирохетозная гангрена Нома Быстрораспадающиеся язвы полости рта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(356, 'Другие инфекции Венсана', 'A69.1', 354, 'A69', 0, 'Фузоспирохетозный фарингит Некротический язвенный (острый): . гингивит . гингивостоматит Спирохетозный стоматит Язвенно-пленочная ангина Венсана: . ангина . гингивит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(357, 'Болезнь Лайма', 'A69.2', 354, 'A69', 0, 'Хроническая мигрирующая эритема, вызванная Borrelia burgdorferi');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(358, 'Другие уточненные спирохетозные инфекции', 'A69.8', 354, 'A69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(359, 'Спирохетозная инфекция неуточненная', 'A69.9', 354, 'A69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(361, 'ДРУГИЕ БОЛЕЗНИ, ВЫЗЫВАЕМЫЕ ХЛАМИДИЯМИ', 'A70-A74', 1, 'A00-B99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(362, 'Инфекция, вызываемая Chlamydia psittaci', 'A70', 361, 'A70-A74', 0, 'Орнитоз Попугайная болезнь Пситтакоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(363, 'Трахома', 'A71', 361, 'A70-A74', 3, 'Исключены: последствия трахомы (B94.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(364, 'Начальная стадия трахомы', 'A71.0', 363, 'A71', 0, 'Трахома сомнительная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(365, 'Активная стадия трахомы', 'A71.1', 363, 'A71', 0, 'Гранулезный конъюнктивит (трахоматозный) Трахоматозный: . фолликулярный конъюнктивит . паннус');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(366, 'Трахома неуточненная', 'A71.9', 363, 'A71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(367, 'Другие болезни, вызываемые хламидиями', 'A74', 361, 'A70-A74', 3, 'Исключены: хламидийная пневмония (J16.0) неонатальный(ая) хламидийный(ая): . конъюнктивит (P39.1) . пневмония (P23.1) передающиеся половым путем болезни, вызываемые хламидиями (A55-A56)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(368, 'Хламидийный конъюнктивит (H13.1*)', 'A74.0+', 367, 'A74', 0, 'Паратрахома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(369, 'Другие хламидийные болезни', 'A74.8', 367, 'A74', 0, 'Хламидийный перитонит+ (K67.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(370, 'Хламидийная инфекция неуточненная', 'A74.9', 367, 'A74', 0, 'Хламидиоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(372, 'РИККЕТСИОЗЫ', 'A75-A79', 1, 'A00-B99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(373, 'Сыпной тиф', 'A75', 372, 'A75-A79', 5, 'Исключен: риккетсиоз, вызываемый Ehrlichia sennetsu (A79.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(374, 'Эпидемический вшивый тиф, вызываемый Rickettsia prowazekii', 'A75.0', 373, 'A75', 0, 'Классический тиф (лихорадка) Эпидемический (вшивый) тиф');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(375, 'Рецидивирующий тиф [болезнь Брилла]', 'A75.1', 373, 'A75', 0, 'Болезнь Брилла-Цинссера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(376, 'Тиф, вызываемый Rickettsia typhi', 'A75.2', 373, 'A75', 0, 'Крысиный (эпидемический блошиный) тиф');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(377, 'Тиф, вызываемый Rickettsia tsutsugamushi', 'A75.3', 373, 'A75', 0, 'Кустарниковый (клещевой) тиф Японская речная лихорадка (цуцугамуши)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(378, 'Сыпной тиф неуточненный', 'A75.9', 373, 'A75', 0, 'Тиф (лихорадка) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(379, 'Пятнистая лихорадка [клещевые риккетсиозы]', 'A77', 372, 'A75-A79', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(380, 'Пятнистая лихорадка, вызываемая Rickettsia rickettsii', 'A77.0', 379, 'A77', 0, 'Пятнистая лихорадка Скалистых гор Лихорадка Сан-Паулу');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(381, 'Пятнистая лихорадка, вызываемая Rickettsia conorii', 'A77.1', 379, 'A77', 0, 'Африканский клещевой тиф Приступообразная лихорадка Индийский клещевой тиф Кенийский клещевой тиф Марсельская лихорадка Средиземноморская клещевая лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(382, 'Пятнистая лихорадка, вызываемая Rickettsia siberica', 'A77.2', 379, 'A77', 0, 'Североазиатская клещевая лихорадка Сибирский клещевой тиф');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(383, 'Пятнистая лихорадка, вызываемая Rickettsia australis', 'A77.3', 379, 'A77', 0, 'Квинслендский клещевой тиф');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(384, 'Другие пятнистые лихорадки', 'A77.8', 379, 'A77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(385, 'Пятнистая лихорадка неуточненная', 'A77.9', 379, 'A77', 0, 'Клещевой тиф БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(386, 'Лихорадка Ку', 'A78', 372, 'A75-A79', 0, 'Инфекция, вызываемая Coxiella burnetii Лихорадка "девятой мили" Квадрилатеральная лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(387, 'Другие риккетсиозы', 'A79', 372, 'A75-A79', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(388, 'Окопная лихорадка', 'A79.0', 387, 'A79', 0, 'Пятидневная пароксизмальная лихорадка Волынская лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(389, 'Осповидный риккетсиоз, вызываемый Rickettsia akari', 'A79.1', 387, 'A79', 0, 'Лихорадка Кью Гардена Везикулезный риккетсиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(390, 'Другие уточненные риккетсиозы', 'A79.8', 387, 'A79', 0, 'Риккетсиоз, вызываемый Ehrlichia sennetsu');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(391, 'Риккетсиоз неуточненный', 'A79.9', 387, 'A79', 0, 'Инфекция, вызываемая риккетсиями, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(393, 'ВИРУСНЫЕ ИНФЕКЦИИ ЦЕНТРАЛЬНОЙ НЕРВНОЙ СИСТЕМЫ', 'A80-A89', 1, 'A00-B99', 10, 'Исключено: последствия: . полиомиелита (B91) . вирусного энцефалита (B94.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(394, 'Острый полиомиелит', 'A80', 393, 'A80-A89', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(395, 'Острый паралитический полиомиелит, ассоциированный с вакциной', 'A80.0', 394, 'A80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(396, 'Острый паралитический полиомиелит, вызванный диким завезенным вирусом', 'A80.1', 394, 'A80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(397, 'Острый паралитический полиомиелит, вызванный диким природным вирусом', 'A80.2', 394, 'A80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(398, 'Острый паралитический полиомиелит другой и неуточненный', 'A80.3', 394, 'A80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(399, 'Острый непаралитический полиомиелит', 'A80.4', 394, 'A80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(400, 'Острый полиомиелит неуточненный', 'A80.9', 394, 'A80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(401, 'Медленные вирусные инфекции центральной нервной системы', 'A81', 393, 'A80-A89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(402, 'Болезнь Крейтцфельдта-Якоба', 'A81.0', 401, 'A81', 0, 'Подострая губкообразная энцефалопатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(403, 'Подострый склерозирующий панэнцефалит', 'A81.1', 401, 'A81', 0, 'Энцефалит Досона с включениями вирусных телец Склерозирующий лейкоэнцефалит Ван-Богарта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(404, 'Прогрессирующая многоочаговая лейкоэнцефалопатия', 'A81.2', 401, 'A81', 0, 'Многоочаговая лейкоэнцефалопатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(405, 'Другие медленные вирусные инфекции центральной нервной системы Куру', 'A81.8', 401, 'A81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(406, 'Медленные вирусные инфекции центральной нервной системы неуточненные', 'A81.9', 401, 'A81', 0, 'Медленные вирусные инфекции БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(407, 'Бешенство', 'A82', 393, 'A80-A89', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(408, 'Лесное бешенство', 'A82.0', 407, 'A82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(409, 'Городское бешенство', 'A82.1', 407, 'A82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(410, 'Бешенство неуточненное', 'A82.9', 407, 'A82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(411, 'Комариный вирусный энцефалит', 'A83', 393, 'A80-A89', 9, 'Включен: комариный вирусный менингоэнцефалит Исключен: венесуэльский лошадиный энцефалит (A92.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(412, 'Японский энцефалит', 'A83.0', 411, 'A83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(413, 'Западный лошадиный энцефалит', 'A83.1', 411, 'A83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(414, 'Восточный лошадиный энцефалит', 'A83.2', 411, 'A83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(415, 'Энцефалит Сент-Луис', 'A83.3', 411, 'A83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(416, 'Австралийский энцефалит', 'A83.4', 411, 'A83', 0, 'Болезнь, вызванная вирусом Кунджина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(417, 'Калифорнийский энцефалит', 'A83.5', 411, 'A83', 0, 'Калифорнийский менингоэнцефалит Энцефалит Ла Кросса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(418, 'Болезнь, вызванная вирусом Роцио', 'A83.6', 411, 'A83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(419, 'Другие комариные вирусные энцефалиты', 'A83.8', 411, 'A83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(420, 'Комариный вирусный энцефалит неуточненный', 'A83.9', 411, 'A83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(421, 'Клещевой вирусный энцефалит', 'A84', 393, 'A80-A89', 4, 'Включен: клещевой вирусный менингоэнцефалит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(422, 'Дальневосточный клещевой энцефалит [русский весенне-летний энцефалит]', 'A84.0', 421, 'A84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(423, 'Центральноевропейский клещевой энцефалит', 'A84.1', 421, 'A84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(424, 'Другие клещевые вирусные энцефалиты', 'A84.8', 421, 'A84', 0, 'Болезнь Лоупинга Болезнь, вызванная вирусом Повассан');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(425, 'Клещевой вирусный энцефалит неуточненный', 'A84.9', 421, 'A84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(426, 'Другие вирусные энцефалиты, не классифицированные в других рубриках', 'A85', 393, 'A80-A89', 4, 'Включены: уточненный вирусный: . энцефаломиелит НКДР . менингоэнцефалит НКДР Исключены: доброкачественный миалгический энцефаломиелит (G93.3) энцефалит, вызванный: . вирусом герпеса [herpes simplex] (B00.4) . вирусом кори (B05.0) . вирусом эпидемического паротита (B26.2) . вирусом полиомиелита (A80.-) . вирусом опоясывающего лишая (B02.0) лимфоцитарный хориоменингит (A87.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(427, 'Энтеровирусный энцефалит (G05.1*)', 'A85.0+', 426, 'A85', 0, 'Энтеровирусный энцефаломиелит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(428, 'Аденовирусный энцефалит (G05.1*)', 'A85.1+', 426, 'A85', 0, 'Аденовирусный менингоэнцефалит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(429, 'Вирусный энцефалит, передаваемый членистоногими, неуточненный', 'A85.2', 426, 'A85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(430, 'Другие уточненные вирусные энцефалиты', 'A85.8', 426, 'A85', 0, 'Летаргический энцефалит Болезнь Экономо-Крюше');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(431, 'Вирусный энцефалит неуточненный', 'A86', 393, 'A80-A89', 0, 'Вирусный: . энцефаломиелит БДУ . менингоэнцефалит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(432, 'Вирусный менингит', 'A87', 393, 'A80-A89', 5, 'Исключены: менингит, вызванный: . вирусом герпеса [herpes simplex] (B00.3) . вирусом кори (B05.1) . вирусом эпидемического паротита (B26.1) . вирусом полиомиелита (A80.-) . вирусом опоясывающего лишая (B02.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(433, 'Энтеровирусный менингит (G02.0*)', 'A87.0+', 432, 'A87', 0, 'Менингит, вызванный вирусом Коксаки Менингит, вызванный ЕСНО-вирусом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(434, 'Аденовирусный менингит (G02.0*)', 'A87.1+', 432, 'A87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(435, 'Лимфоцитарный хориоменингит', 'A87.2', 432, 'A87', 0, 'Лимфоцитарный менингоэнцефалит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(436, 'Другой вирусный менингит', 'A87.8', 432, 'A87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(437, 'Вирусный менингит неуточненный', 'A87.9', 432, 'A87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(438, 'Другие вирусные инфекции центральной нервной системы, не классифицированные в других рубриках', 'A88', 393, 'A80-A89', 3, 'Исключены: вирусный: . энцефалит БДУ (A86) . энцефалит БДУ (A86)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(439, 'Энтеровирусная экзантематозная лихорадка [бостонская экзантема]', 'A88.0', 438, 'A88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(440, 'Эпидемическое головокружение', 'A88.1', 438, 'A88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(441, 'Другие уточненные вирусные инфекции центральной нервной системы', 'A88.8', 438, 'A88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(442, 'Вирусная инфекция  центральной нервной системы неуточненная', 'A89', 393, 'A80-A89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(444, 'ВИРУСНЫЕ ЛИХОРАДКИ, ПЕРЕДАВАЕМЫЕ ЧЛЕНИСТОНОГИМИ, И ВИРУСНЫЕ ГЕМОРРАГИЧЕСКИЕ ЛИХОРАДКИ', 'A90-A99', 1, 'A00-B99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(445, 'Лихорадка денге [классическая лихорадка денге]', 'A90', 444, 'A90-A99', 0, 'Исключена: геморрагическая лихорадка, вызываемая вирусом денге (A91)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(446, 'Геморрагическая лихорадка, вызванная вирусом денге', 'A91', 444, 'A90-A99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(447, 'Другие комариные вирусные лихорадки', 'A92', 444, 'A90-A99', 7, 'Исключена: болезнь реки Росс (B33.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(448, 'Болезнь, вызванная вирусом Чикунгунья', 'A92.0', 447, 'A92', 0, 'Геморрагическая лихорадка Чикунгунья');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(449, 'Лихорадка ОНьонг-Ньонг''', 'A92.1', 447, 'A92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(450, 'Венесуэльская лошадиная лихорадка', 'A92.2', 447, 'A92', 0, 'Венесуэльский лошадиний(ая): . энцефалит . болезнь, вызванная вирусом энцефаломиелита');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(451, 'Лихорадка Западного Нила', 'A92.3', 447, 'A92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(452, 'Лихорадка Рифт-Валли [долины Рифт]', 'A92.4', 447, 'A92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(453, 'Другая уточненная комариная вирусная лихорадка', 'A92.8', 447, 'A92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(454, 'Комариная вирусная лихорадка неуточненная', 'A92.9', 447, 'A92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(455, 'Другие вирусные лихорадки, передаваемые членистоногими, не классифицированные в других рубриках', 'A93', 444, 'A90-A99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(456, 'Болезнь, вызванная вирусом Оропуш', 'A93.0', 455, 'A93', 0, 'Лихорадка Оропуш');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(457, 'Москитная лихорадка', 'A93.1', 455, 'A93', 0, 'Лихорадка паппатачи Флеботомная лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(458, 'Колорадская клещевая лихорадка', 'A93.2', 455, 'A93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(459, 'Другие уточненные вирусные лихорадки, передаваемые членистоногими', 'A93.8', 455, 'A93', 0, 'Болезнь, вызванная вирусом Пири Болезнь, вызванная вирусом везикулярного стоматита [лихорадка Индианы]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(460, 'Вирусная лихорадка, передаваемая членистоногими, неуточненная', 'A94', 444, 'A90-A99', 0, 'Арбовирусная лихорадка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(461, 'Желтая лихорадка', 'A95', 444, 'A90-A99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(462, 'Лесная желтая лихорадка', 'A95.0', 461, 'A95', 0, 'Желтая лихорадка джунглей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(463, 'Городская желтая лихорадка', 'A95.1', 461, 'A95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(464, 'Желтая лихорадка неуточненная', 'A95.9', 461, 'A95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(465, 'Ареновирусная геморрагическая лихорадка', 'A96', 444, 'A90-A99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(466, 'Геморрагическая лихорадка Хунин', 'A96.0', 465, 'A96', 0, 'Аргентинская геморрагическая лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(467, 'Геморрагическая лихорадка Мачупо', 'A96.1', 465, 'A96', 0, 'Боливийская геморрагическая лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(468, 'Лихорадка Ласса', 'A96.2', 465, 'A96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(469, 'Другие ареновирусные геморрагические лихорадки', 'A96.8', 465, 'A96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(470, 'Ареновирусная геморрагическая лихорадка неуточненная', 'A96.9', 465, 'A96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(471, 'Другие вирусные геморрагические лихорадки, не классифицированные в других рубриках', 'A98', 444, 'A90-A99', 7, 'Исключены: геморрагическая лихорадка Чикунгунья (A92.0) геморрагическая лихорадка денге (A91)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(472, 'Крымская геморрагическая лихорадка (вызванная вирусом Конго)', 'A98.0', 471, 'A98', 0, 'Центральноазиатская геморрагическая лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(473, 'Омская геморрагическая лихорадка', 'A98.1', 471, 'A98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(474, 'Кьясанурская лесная болезнь', 'A98.2', 471, 'A98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(475, 'Болезнь, вызванная вирусом Марбург', 'A98.3', 471, 'A98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(476, 'Болезнь, вызванная вирусом Эбола', 'A98.4', 471, 'A98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(477, 'Геморрагическая лихорадка с почечным синдромом', 'A98.5', 471, 'A98', 0, 'Геморрагическая лихорадка: . эпидемическая . корейская . русская Болезнь, вызванная вирусом Хантаан Эпидемическая нефропатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(478, 'Другие уточненные вирусные геморрагические лихорадки', 'A98.8', 471, 'A98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(479, 'Вирусная геморрагическая лихорадка неуточненная', 'A99', 444, 'A90-A99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(481, 'ВИРУСНЫЕ ИНФЕКЦИИ, ХАРАКТЕРИЗУЮЩИЕСЯ ПОРАЖЕНИЯМИ КОЖИ И СЛИЗИСТЫХ ОБОЛОЧЕК', 'B00-B09', 1, 'A00-B99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(482, 'Инфекции, вызванные вирусом герпеса [herpes simplex]', 'B00', 481, 'B00-B09', 9, 'Исключены: аногенитальная герпетическая вирусная инфекция (A60.-) врожденная герпетическая вирусная инфекция (P35.2) гамма-герпесвирусный мононуклеоз (B27.0) герпетическая ангина (B08.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(483, 'Герпетическая экзема', 'B00.0', 482, 'B00', 0, 'Осповидные высыпания Капоши');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(484, 'Герпетический везикулярный дерматит', 'B00.1', 482, 'B00', 0, 'Вызванный вирусом простого герпеса: . фациалис . лабиализ Везикулярный дерматит: . уха } . губы } вызванный человеческим (альфа) герпесвирусом 2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(485, 'Герпетический гингивостоматит и фаринготонзиллит', 'B00.2', 482, 'B00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(486, 'Герпетический менингит (G02.0*)', 'B00.3+', 482, 'B00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(487, 'Герпетический энцефалит (G05.1*)', 'B00.4+', 482, 'B00', 0, 'Герпетический менингоэнцефалит Обезьянья болезнь B');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(488, 'Герпетическая болезнь глаз', 'B00.5+', 482, 'B00', 0, 'Вызванный вирусом простого герпеса: . конъюнктивит (H13.1*) . дерматит век (H03.1*) . иридоциклит (H22.0*) . ирит (H22.0*) . кератит (H19.1*) . кератоконъюнктивит (H19.1*) . передний увеит (H22.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(489, 'Диссеминированная герпетическая болезнь', 'B00.7', 482, 'B00', 0, 'Септицемия, вызванная вирусом простого герпеса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(490, 'Другие формы герпетических инфекций', 'B00.8', 482, 'B00', 0, 'Герпетический(ое): . гепатит+ (K77.0*) . гнойное воспаление мякоти дистальной фаланги пальца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(491, 'Герпетическая инфекция неуточненная', 'B00.9', 482, 'B00', 0, 'Инфекция, вызванная вирусом простого герпеса, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(492, 'Ветряная оспа [varicella]', 'B01', 481, 'B00-B09', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(493, 'Ветряная оспа с менингитом (G02.0*)', 'B01.0+', 492, 'B01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(494, 'Ветряная оспа с энцефалитом (G05.1*)', 'B01.1+', 492, 'B01', 0, 'Энцефалит после ветряной оспы Энцефаломиелит при ветряной оспе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(495, 'Ветряная оспа с пневмонией (J17.1*)', 'B01.2+', 492, 'B01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(496, 'Ветряная оспа с другими осложнениями', 'B01.8', 492, 'B01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(497, 'Ветряная оспа без осложнений', 'B01.9', 492, 'B01', 0, 'Ветряная оспа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(498, 'Опоясывающий лишай [herpes zoster]', 'B02', 481, 'B00-B09', 7, 'Включены: опоясывающий герпес zona');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(499, 'Опоясывающий лишай с энцефалитом (G05.1*)', 'B02.0+', 498, 'B02', 0, 'Опоясывающий лишай с менингоэнцефалитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(500, 'Опоясывающий лишай с менингитом (G02.0*)', 'B02.1+', 498, 'B02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(501, 'Опоясывающий лишай с другими осложнениями со стороны нервной системы', 'B02.2+', 498, 'B02', 0, 'Постгерпетический(ая): . ганглионит узла коленца лицевого нерва (G53.0*) . полиневропатия (G63.0*) . невралгия тройничного нерва (G53.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(502, 'Опоясывающий лишай с глазными осложнениями', 'B02.3+', 498, 'B02', 0, 'Вызванный вирусом опоясывающего лишая: . блефарит (H03.1*) . конъюнктивит (H13.1*) . иридоциклит (H22.0*) . ирит (H22.0*) . кератит (H19.2*) . кератоконъюнктивит (H19.2*) . склерит (H19.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(503, 'Диссеминированный опоясывающий лишай', 'B02.7', 498, 'B02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(504, 'Опоясывающий лишай с другими осложнениями', 'B02.8', 498, 'B02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(505, 'Опоясывающий лишай без осложнений', 'B02.9', 498, 'B02', 0, 'Опоясывающий лишай БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(506, 'Оспа', 'B03', 481, 'B00-B09', 0, '(В 1980 г. Тридцать третья сессия Всемирной ассамблеи здравоохранения объявила о ликвидации оспы, однако классификация сохранена для целей эпидемиологического надзора)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(507, 'Инфекции, вызванные вирусом обезьяньей оспы', 'B04', 481, 'B00-B09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(508, 'Корь', 'B05', 481, 'B00-B09', 7, 'Включена: morbilli\nИсключен: подострый склерозирующий панэнцефалит (A81.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(509, 'Корь, осложненная энцефалитом (G05.1*)', 'B05.0+', 508, 'B05', 0, 'Послекоревой энцефалит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(510, 'Корь, осложненная менингитом (G02.0*)', 'B05.1+', 508, 'B05', 0, 'Послекоревой менингит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(511, 'Корь, осложненная пневмонией (J17.1*)', 'B05.2+', 508, 'B05', 0, 'Послекоревая пневмония');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(512, 'Корь, осложненная средним отитом (H67.1*)', 'B05.3+', 508, 'B05', 0, 'Послекоревой средний отит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(513, 'Корь с кишечными осложнениями', 'B05.4', 508, 'B05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(514, 'Корь с другими осложнениями', 'B05.8', 508, 'B05', 0, 'Коревой кератит и коревой кератоконъюнктивит+ (H19.2*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(515, 'Корь без осложнений', 'B05.9', 508, 'B05', 0, 'Корь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(516, 'Краснуха [немецкая корь]', 'B06', 481, 'B00-B09', 3, 'Исключена: врожденная краснуха (P35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(517, 'Краснуха с неврологическими осложнениями', 'B06.0+', 516, 'B06', 0, 'Краснушный: . энцефалит (G05.1*) . менингит (G02.0*) . менингоэнцефалит (G05.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(518, 'Краснуха с другими осложнениями', 'B06.8', 516, 'B06', 0, 'Краснушный(ая): . артрит+ (M01.4*) . пневмония+ (J17.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(519, 'Краснуха без осложнений', 'B06.9', 516, 'B06', 0, 'Краснуха БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(520, 'Вирусные бородавки', 'B07', 481, 'B00-B09', 0, 'Бородавка простая\nИсключены: аногенитальные (венерические) бородавки (A63.0) папиллома: . мочевого пузыря (D30.3) . шейки матки (D26.0) . гортани (D14.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(521, 'Другие вирусные инфекции, характеризующиеся поражениями кожи и слизистых оболочек, не классифицированные в других рубриках', 'B08', 481, 'B00-B09', 7, 'Исключена: болезнь, вызванная вирусом везикулярного стоматита (A93.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(522, 'Другие инфекции, вызванные ортопоксвирусом', 'B08.0', 521, 'B08', 0, 'Коровья оспа Болезнь, вызванная вирусом Орф Ложная коровья оспа [узелки доярок(ов)] Вакциния Исключены: инфекции, вызванные вирусом обезьяньей оспы (B04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(523, 'Контагиозный моллюск', 'B08.1', 521, 'B08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(524, 'Экзантема внезапная (шестая болезнь)', 'B08.2', 521, 'B08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(525, 'Эритема инфекционная (пятая болезнь)', 'B08.3', 521, 'B08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(526, 'Энтеровирусный везикулярный стоматит с экзантемой', 'B08.4', 521, 'B08', 0, 'Вирусная пузырчатка полости рта и конечностей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(527, 'Энтеровирусный везикулярный фарингит', 'B08.5', 521, 'B08', 0, 'Герпетическая ангина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(528, 'Другие уточненные инфекции, характеризующиеся поражением кожи и слизистых оболочек', 'B08.8', 521, 'B08', 0, 'Энтеровирусный лимфонодулярный фарингит Ящур Болезнь, вызванная вирусом Тана Болезнь, вызванная вирусом Яба');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(529, 'Вирусная инфекция, характеризующаяся поражением кожи и слизистых оболочек, неуточненная', 'B09', 481, 'B00-B09', 0, 'Вирусная: . энантема БДУ . экзантема БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(531, 'ВИРУСНЫЙ ГЕПАТИТ', 'B15-B19', 1, 'A00-B99', 5, 'Исключены: цитомегаловирусный гепатит (B25.1) герпесвирусный [herpes simplex] гепатит (B00.8) последствия вирусного гепатита (B94.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(532, 'Острый гепатит A', 'B15', 531, 'B15-B19', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(533, 'Гепатит A с печеночной комой', 'B15.0', 532, 'B15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(534, 'Гепатит A без печеночной комы', 'B15.9', 532, 'B15', 0, 'Гепатит A (острый) (вирусный) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(535, 'Острый гепатит B', 'B16', 531, 'B15-B19', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(536, 'Острый гепатит B с дельта-агентом (коинфекция) и печеночной комой', 'B16.0', 535, 'B16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(537, 'Острый гепатит B с дельта-агентом (коинфекция) без печеночной комы', 'B16.1', 535, 'B16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(538, 'Острый гепатит B без дельта-агента с печеночной комой', 'B16.2', 535, 'B16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(539, 'Острый гепатит B без дельта-агента и без печеночной комы', 'B16.9', 535, 'B16', 0, 'Гепатит B (острый) (вирусный) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(540, 'Другие острые вирусные гепатиты', 'B17', 531, 'B15-B19', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(541, 'Острая дельта(супер)-инфекция вирусоносителя гепатита B', 'B17.0', 540, 'B17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(542, 'Острый гепатит C', 'B17.1', 540, 'B17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(543, 'Острый гепатит E', 'B17.2', 540, 'B17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(544, 'Другие уточненные острые вирусные гепатиты', 'B17.8', 540, 'B17', 0, 'Гепатит ни A ни B (острый) (вирусный) НКДР');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(545, 'Хронический вирусный гепатит', 'B18', 531, 'B15-B19', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(546, 'Хронический вирусный гепатит B с дельта-агентом', 'B18.0', 545, 'B18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(547, 'Хронический вирусный гепатит B без дельта-агента', 'B18.1', 545, 'B18', 0, 'Хронический (вирусный) гепатит B');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(548, 'Хронический вирусный гепатит C', 'B18.2', 545, 'B18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(549, 'Другой хронический вирусный гепатит', 'B18.8', 545, 'B18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(550, 'Хронический вирусный гепатит неуточненный', 'B18.9', 545, 'B18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(551, 'Вирусный гепатит неуточненный', 'B19', 531, 'B15-B19', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(552, 'Неуточненный вирусный гепатит с комой', 'B19.0', 551, 'B19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(553, 'Неуточненный вирусный гепатит без печеночной комы', 'B19.9', 551, 'B19', 0, 'Вирусный гепатит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(555, 'БОЛЕЗНЬ, ВЫЗВАННАЯ ВИРУСОМ ИММУНОДЕФИЦИТА ЧЕЛОВЕКА [ВИЧ]', 'B20-B24', 1, 'A00-B99', 5, 'Примечание. Четырехзначные подрубрики B20-B23 предлагаются для факультативного использования в тех случаях, когда невозможно или нецелесообразно применять кодирование по множественной причине, с тем чтобы идентифицировать специфические состояния.\nИсключена: бессимптомная инфекция, вызванная вирусом иммунодефицита человека [ВИЧ] (Z21)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(556, 'Болезнь, вызванная вирусом иммунодефицита человека [ВИЧ], проявляющаяся в виде инфекционных и паразитарных болезней', 'B20', 555, 'B20-B24', 10, 'Исключен: острый инфекционный синдром, вызванный ВИЧ (B23.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(557, 'Болезнь, вызванная ВИЧ, с проявлениями микобактериальной инфекции', 'B20.0', 556, 'B20', 0, 'Болезнь, вызванная ВИЧ, с проявлениями туберкулеза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(558, 'Болезнь, вызванная ВИЧ, с проявлениями других бактериальных инфекций', 'B20.1', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(559, 'Болезнь, вызванная ВИЧ, с проявлениями цитомегало-вирусного заболевания', 'B20.2', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(560, 'Болезнь, вызванная ВИЧ, с проявлениями других вирусных инфекций', 'B20.3', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(561, 'Болезнь, вызванная ВИЧ, с проявлениями кандидоза', 'B20.4', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(562, 'Болезнь, вызванная ВИЧ, с проявлениями других микозов', 'B20.5', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(563, 'Болезнь, вызванная ВИЧ, с проявлениями пневмонии, вызванной Pneumocystis carinii', 'B20.6', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(564, 'Болезнь, вызванная ВИЧ, с проявлениями множественных инфекций', 'B20.7', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(565, 'Болезнь, вызванная ВИЧ, с проявлениями других инфекционных и паразитарных болезней', 'B20.8', 556, 'B20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(566, 'Болезнь, вызванная ВИЧ, с проявлениями неуточненных инфекционных и паразитарных болезней', 'B20.9', 556, 'B20', 0, 'Болезнь, вызванная ВИЧ, с проявлениями инфекции БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(567, 'Болезнь, вызванная вирусом иммунодефицита человека [ВИЧ], проявляющаяся в виде злокачественных новообразований', 'B21', 555, 'B20-B24', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(568, 'Болезнь, вызванная ВИЧ, с проявлениями саркомы Капоши', 'B21.0', 567, 'B21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(569, 'Болезнь, вызванная ВИЧ, с проявлениями лимфомы Беркитта', 'B21.1', 567, 'B21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(570, 'Болезнь, вызванная ВИЧ, с проявлениями других неходжкинских лимфом', 'B21.2', 567, 'B21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(571, 'Болезнь, вызванная ВИЧ, с проявлениями других злокачественных новообразований лимфатической, кроветворной и родственных им тканей', 'B21.3', 567, 'B21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(572, 'Болезнь, вызванная ВИЧ, с проявлениями множественных злокачественных новообразований', 'B21.7', 567, 'B21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(573, 'Болезнь, вызванная ВИЧ, с проявлениями других злокачественных новообразований', 'B21.8', 567, 'B21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(574, 'Болезнь, вызванная ВИЧ, с проявлениями неуточненных злокачественных новообразований', 'B21.9', 567, 'B21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(575, 'Болезнь, вызванная вирусом иммунодефицита человека [ВИЧ], проявляющаяся в виде других уточненных болезней', 'B22', 555, 'B20-B24', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(576, 'Болезнь, вызванная ВИЧ, с проявлениями энцефалопатии', 'B22.0', 575, 'B22', 0, 'Вызванное ВИЧ слабоумие');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(577, 'Болезнь, вызванная ВИЧ, с проявлениями лимфатического интерстициального пневмонита', 'B22.1', 575, 'B22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(578, 'Болезнь, вызванная ВИЧ, с проявлениями изнуряющего синдрома', 'B22.2', 575, 'B22', 0, 'Болезнь, вызванная ВИЧ, с проявлениями угасания жизни Истощающая болезнь [синдром резкого похудания]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(579, 'Болезнь, вызванная ВИЧ, с проявлениями множественных болезней, классифицированных в других рубриках', 'B22.7', 575, 'B22', 0, 'Примечание. При использовании этой рубрики должна быть сделана ссылка на соответствующие инструкции по кодированию заболеваемости и смертности в т.2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(580, 'Болезнь, вызванная вирусом иммунодефицита человека  [ВИЧ], проявляющаяся в виде других состояний', 'B23', 555, 'B20-B24', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(581, 'Острый ВИЧ-инфекционный синдром', 'B23.0', 580, 'B23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(582, 'Болезнь, вызванная ВИЧ, с проявлениями (персистентной) генерализованной лимфаденопатии', 'B23.1', 580, 'B23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(583, 'Болезнь, вызванная ВИЧ, с проявлениями гематологических и иммунологических нарушений, не классифицированных в других рубриках', 'B23.2', 580, 'B23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(584, 'Болезнь, вызванная ВИЧ, с проявлениями других уточненных состояний', 'B23.8', 580, 'B23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(585, 'Болезнь, вызванная вирусом иммунодефицита человека [ВИЧ], неуточненная', 'B24', 555, 'B20-B24', 0, 'Синдром приобретенного иммунодефицита [СПИД] БДУ СПИД-ассоциированный комплекс [САК] БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(587, 'ДРУГИЕ ВИРУСНЫЕ БОЛЕЗНИ', 'B25-B34', 1, 'A00-B99', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(588, 'Цитомегаловирусная болезнь', 'B25', 587, 'B25-B34', 5, 'Исключены: врожденная цитомегаловирусная инфекция (P35.1) цитомегаловирусный мононуклеоз (B27.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(589, 'Цитомегаловирусный пневмонит (J17.1*)', 'B25.0+', 588, 'B25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(590, 'Цитомегаловирусный гепатит (K77.0*)', 'B25.1+', 588, 'B25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(591, 'Цитомегаловирусный панкреатит (K87.1*)', 'B25.2+', 588, 'B25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(592, 'Другие цитомегаловирусные болезни', 'B25.8', 588, 'B25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(593, 'Цитомегаловирусная болезнь неуточненная', 'B25.9', 588, 'B25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(594, 'Эпидемический паротит', 'B26', 587, 'B25-B34', 6, 'Включен: паротит: . эпидемический . инфекционный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(595, 'Паротитный орхит (N51.1*)', 'B26.0+', 594, 'B26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(596, 'Паротитный менингит (G02.0*)', 'B26.1+', 594, 'B26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(597, 'Паротитный энцефалит (G05.1*)', 'B26.2+', 594, 'B26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(598, 'Паротитный панкреатит (K87.1*)', 'B26.3+', 594, 'B26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(599, 'Эпидемический паротит с другими осложнениями', 'B26.8', 594, 'B26', 0, 'Паротитный(ая): . артрит+ (M01.5*) . миокардит+ (I41.1*) . нефрит+ (N08.0*) . полиневропатия+ (G63.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(600, 'Эпидемический паротит неосложненный', 'B26.9', 594, 'B26', 0, 'Эпидемический паротит: . БДУ . паротит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(601, 'Инфекционный мононуклеоз', 'B27', 587, 'B25-B34', 4, 'Включены: железистая лихорадка моноцитарная ангина болезнь Пфейффера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(602, 'Мононуклеоз, вызванный гамма-герпетическим вирусом', 'B27.0', 601, 'B27', 0, 'Мононуклеоз, вызванный вирусом Эпштейна-Барр');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(603, 'Цитомегаловирусный мононуклеоз', 'B27.1', 601, 'B27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(604, 'Другой инфекционный мононуклеоз', 'B27.8', 601, 'B27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(605, 'Инфекционный мононуклеоз неуточненный', 'B27.9', 601, 'B27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(606, 'Вирусный конъюнктивит', 'B30', 587, 'B25-B34', 6, 'Исключена: болезнь глаз, вызванная вирусом: . герпеса [herpes simplex] (B00.5) . опоясывающего лишая (B02.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(607, 'Кератоконъюнктивит, вызванный аденовирусом (H19.2*)', 'B30.0+', 606, 'B30', 0, 'Эпидемический кератоконъюнктивит Глаз работника судоверфи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(608, 'Конъюнктивит, вызванный аденовирусом (H13.1*)', 'B30.1+', 606, 'B30', 0, 'Острый аденовирусный фолликулярный конъюнктивит Конъюнктивит посещающих плавательные бассейны');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(609, 'Вирусный фарингоконъюнктивит', 'B30.2', 606, 'B30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(610, 'Острый эпидемический геморрагический конъюнктивит (энтеровирусный) (H13.1*)', 'B30.3+', 606, 'B30', 0, 'Конъюнктивит, вызванный: . вирусом Коксаки типа 24 . энтеровирусом типа 70 Геморрагический конъюнктивит (острый) (эпидемический)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(611, 'Другой вирусный конъюнктивит (H13.1*)', 'B30.8+', 606, 'B30', 0, 'Конъюнктивит Ньюкасла');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(612, 'Вирусный конъюнктивит неуточненный', 'B30.9', 606, 'B30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(613, 'Другие вирусные болезни, не классифицированные в других рубриках', 'B33', 587, 'B25-B34', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(614, 'Эпидемическая миалгия', 'B33.0', 613, 'B33', 0, 'Болезнь Борнхольма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(615, 'Болезнь Росс-Ривер', 'B33.1', 613, 'B33', 0, 'Эпидемический полиартрит и экзантема Лихорадка Росс-Ривер');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(616, 'Вирусный кардит', 'B33.2', 613, 'B33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(617, 'Ретровирусные инфекции, не классифицированные в других рубриках', 'B33.3', 613, 'B33', 0, 'Ретровирусная инфекция БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(618, 'Другие уточненные вирусные болезни', 'B33.8', 613, 'B33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(619, 'Вирусная инфекция неуточненной локализации', 'B34', 587, 'B25-B34', 7, 'Исключены: цитомегаловирусная болезнь БДУ (B25.9) инфекция, вызванная вирусом герпеса [herpes simplex] БДУ (B00.9) ретровирусная инфекция БДУ (B33.3) вирусы, как причина заболеваний, классифицированных в других классах (B97.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(620, 'Аденовирусная инфекция неуточненная', 'B34.0', 619, 'B34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(621, 'Энтеровирусная инфекция неуточненная', 'B34.1', 619, 'B34', 0, 'Инфекция, вызванная вирусом Коксаки, БДУ Инфекция, вызванная ЕСНО-вирусом, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(622, 'Коронавирусная инфекция неуточненная', 'B34.2', 619, 'B34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(623, 'Парвовирусная инфекция неуточненная', 'B34.3', 619, 'B34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(624, 'Паповавирусная инфекция неуточненная', 'B34.4', 619, 'B34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(625, 'Другие вирусные инфекции неуточненной локализации', 'B34.8', 619, 'B34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(626, 'Вирусная инфекция неуточненная', 'B34.9', 619, 'B34', 0, 'Виремия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(628, 'МИКОЗЫ', 'B35-B49', 1, 'A00-B99', 15, 'Исключены: гиперсенситивный пневмонит, вызванный органической пылью (J67.-) грибовидный микоз (C84.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(629, 'Дерматофития', 'B35', 628, 'B35-B49', 9, 'Включены: фавус инфекции, вызываемые грибами рода Epidermophyton, Microsporum и Trichophyton фавус любого типа, за исключением указанных в рубрике B36.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(630, 'Микоз бороды и головы', 'B35.0', 629, 'B35', 0, 'Микоз головы Парша (керион) Микоз бороды Сикоз микотический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(631, 'Микоз ногтей', 'B35.1', 629, 'B35', 0, 'Дерматофитийная онихия Дерматофития ногтей Онихомикоз Микоз ногтей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(632, 'Микоз кистей', 'B35.2', 629, 'B35', 0, 'Дерматофития кистей Микоз кистей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(633, 'Микоз стоп', 'B35.3', 629, 'B35', 0, 'Стопа атлета Дерматофития стоп Микоз стоп');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(634, 'Микоз туловища', 'B35.4', 629, 'B35', 0, 'Микоз тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(635, 'Черепицеобразный микоз', 'B35.5', 629, 'B35', 0, 'Токело');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(636, 'Эпидермофития паховая', 'B35.6', 629, 'B35', 0, 'Паховый дерматомикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(637, 'Другие дерматофитии', 'B35.8', 629, 'B35', 0, 'Дерматофития: . диссеминированная . гранулематозная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(638, 'Дерматофитии неуточненные', 'B35.9', 629, 'B35', 0, 'Микоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(639, 'Другие поверхностные микозы', 'B36', 628, 'B35-B49', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(640, 'Разноцветный лишай', 'B36.0', 639, 'B36', 0, 'Микозы: . лишай желтый . лишай разноцветный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(641, 'Черный микоз', 'B36.1', 639, 'B36', 0, 'Кератомикоз ладоней черный Микроспороз черный Лишай черный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(642, 'Белая пьедра', 'B36.2', 639, 'B36', 0, 'Микоз белый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(643, 'Черная пьедра', 'B36.3', 639, 'B36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(644, 'Другие уточненные поверхностные микозы', 'B36.8', 639, 'B36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(645, 'Поверхностный микоз неуточненный', 'B36.9', 639, 'B36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(646, 'Кандидоз', 'B37', 628, 'B35-B49', 10, 'Включены: кандидиаз монилиаз\nИсключен: неонатальный кандидоз (P37.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(647, 'Кандидозный стоматит', 'B37.0', 646, 'B37', 0, 'Молочница');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(648, 'Легочный кандидоз', 'B37.1', 646, 'B37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(649, 'Кандидоз кожи и ногтей', 'B37.2', 646, 'B37', 0, 'Кандидозная: . онихия . паронихия Исключен: пеленочный дерматит (L22)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(650, 'Кандидоз вульвы и вагины (N77.1*)', 'B37.3+', 646, 'B37', 0, 'Кандидозный вульвовагинит Монилиальный вульвовагинит Вагинальная молочница');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(651, 'Кандидоз других урогенитальных локализаций', 'B37.4+', 646, 'B37', 0, 'Кандидозный: . баланит (N51.2*) . уретрит (N37.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(652, 'Кандидозный менингит (G02.1*)', 'B37.5+', 646, 'B37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(653, 'Кандидозный эндокардит (I39.8*)', 'B37.6+', 646, 'B37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(654, 'Кандидозная септицемия', 'B37.7', 646, 'B37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(655, 'Кандидоз других локализаций', 'B37.8', 646, 'B37', 0, 'Кандидозный: . хейлит . энтерит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(656, 'Кандидоз неуточненный', 'B37.9', 646, 'B37', 0, 'Молочница БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(657, 'Кокцидиоидомикоз', 'B38', 628, 'B35-B49', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(658, 'Острый легочный кокцидиоидомикоз', 'B38.0', 657, 'B38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(659, 'Хронический легочный кокцидиоидомикоз', 'B38.1', 657, 'B38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(660, 'Легочный кокцидиоидомикоз неуточненный', 'B38.2', 657, 'B38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(661, 'Кожный кокцидиоидомикоз', 'B38.3', 657, 'B38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(662, 'Кокцидиоидомикозный менингит (G02.1*)', 'B38.4+', 657, 'B38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(663, 'Диссеминированный кокцидиоидомикоз', 'B38.7', 657, 'B38', 0, 'Генерализованный кокцидиоидомикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(664, 'Другие виды кокцидиоидомикоза', 'B38.8', 657, 'B38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(665, 'Кокцидиоидомикоз неуточненный', 'B38.9', 657, 'B38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(666, 'Гистоплазмоз', 'B39', 628, 'B35-B49', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(667, 'Острая легочная инфекция, вызванная Histoplasma capsulatum', 'B39.0', 666, 'B39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(668, 'Хроническая легочная инфекция, вызванная Histoplasma capsulatum', 'B39.1', 666, 'B39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(669, 'Легочный гистоплазмоз неуточненный', 'B39.2', 666, 'B39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(670, 'Диссеминированный гистоплазмоз', 'B39.3', 666, 'B39', 0, 'Генерализованный гистоплазмоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(671, 'Гистоплазмоз неуточненный', 'B39.4', 666, 'B39', 0, 'Американский гистоплазмоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(672, 'Инфекция, вызванная Histoplasma duboisii', 'B39.5', 666, 'B39', 0, 'Африканский гистоплазмоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(673, 'Гистоплазмоз неуточненный', 'B39.9', 666, 'B39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(674, 'Бластомикоз', 'B40', 628, 'B35-B49', 7, 'Исключены: бразильский бластомикоз (B41.-) келоидный бластомикоз (B48.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(675, 'Острый легочный бластомикоз', 'B40.0', 674, 'B40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(676, 'Хронический легочный бластомикоз', 'B40.1', 674, 'B40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(677, 'Легочный бластомикоз неуточненный', 'B40.2', 674, 'B40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(678, 'Кожный бластомикоз', 'B40.3', 674, 'B40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(679, 'Диссеминированный бластомикоз', 'B40.7', 674, 'B40', 0, 'Генерализованный бластомикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(680, 'Другие виды бластомикоза', 'B40.8', 674, 'B40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(681, 'Бластомикоз неуточненный', 'B40.9', 674, 'B40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(682, 'Паракокцидиоидомикоз', 'B41', 628, 'B35-B49', 4, 'Включены: бразильский бластомикоз болезнь Лютца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(683, 'Легочный паракокцидиоидомикоз', 'B41.0', 682, 'B41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(684, 'Диссеминированный паракокцидиоидомикоз', 'B41.7', 682, 'B41', 0, 'Генерализованный паракокцидиоидомикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(685, 'Другие виды паракокцидиоидомикоза', 'B41.8', 682, 'B41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(686, 'Паракокцидиоидомикоз неуточненный', 'B41.9', 682, 'B41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(687, 'Споротрихоз', 'B42', 628, 'B35-B49', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(688, 'Легочный споротрихоз (J99.8*)', 'B42.0+', 687, 'B42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(689, 'Кожно-лимфатический споротрихоз', 'B42.1', 687, 'B42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(690, 'Диссеминированный споротрихоз', 'B42.7', 687, 'B42', 0, 'Генерализованный споротрихоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(691, 'Другие виды споротрихоза', 'B42.8', 687, 'B42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(692, 'Споротрихоз неуточненный', 'B42.9', 687, 'B42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(693, 'Хромомикоз и феомикотический абсцесс', 'B43', 628, 'B35-B49', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(694, 'Кожный хромомикоз', 'B43.0', 693, 'B43', 0, 'Дерматит веррукозный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(695, 'Феомикотический абсцесс мозга', 'B43.1', 693, 'B43', 0, 'Церебральный хромомикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(696, 'Подкожный феомикотический абсцесс и киста', 'B43.2', 693, 'B43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(697, 'Другие виды хромомикоза', 'B43.8', 693, 'B43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(698, 'Хромомикоз неуточненный', 'B43.9', 693, 'B43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(699, 'Аспергиллез', 'B44', 628, 'B35-B49', 6, 'Включена: аспергиллема');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(700, 'Инвазивный легочный аспергиллез', 'B44.0', 699, 'B44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(701, 'Другие формы легочного аспергиллеза', 'B44.1', 699, 'B44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(702, 'Тонзиллярный аспергиллез', 'B44.2', 699, 'B44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(703, 'Диссеминированный аспергиллез', 'B44.7', 699, 'B44', 0, 'Генерализованный аспергиллез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(704, 'Другие виды аспергиллеза', 'B44.8', 699, 'B44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(705, 'Аспергиллез неуточненный', 'B44.9', 699, 'B44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(706, 'Криптококкоз', 'B45', 628, 'B35-B49', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(707, 'Легочный криптококкоз', 'B45.0', 706, 'B45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(708, 'Церебральный криптококкоз', 'B45.1', 706, 'B45', 0, 'Криптококковый менингит+ (G02.1*) Криптококкоз менингоцеребральный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(709, 'Кожный криптококкоз', 'B45.2', 706, 'B45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(710, 'Костный криптококкоз', 'B45.3', 706, 'B45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(711, 'Диссеминированный криптококкоз', 'B45.7', 706, 'B45', 0, 'Генерализованный криптококкоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(712, 'Другие виды криптококкоза', 'B45.8', 706, 'B45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(713, 'Криптококкоз неуточненный', 'B45.9', 706, 'B45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(714, 'Зигомикоз', 'B46', 628, 'B35-B49', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(715, 'Легочный мукормикоз', 'B46.0', 714, 'B46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(716, 'Риноцеребральный мукормикоз', 'B46.1', 714, 'B46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(717, 'Гастроинтестинальный мукормикоз', 'B46.2', 714, 'B46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(718, 'Кожный мукормикоз', 'B46.3', 714, 'B46', 0, 'Подкожный мукормикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(719, 'Диссеминированный мукормикоз', 'B46.4', 714, 'B46', 0, 'Генерализованный мукормикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(720, 'Мукормикоз неуточненный', 'B46.5', 714, 'B46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(721, 'Другие зигомикозы', 'B46.8', 714, 'B46', 0, 'Энтомофтормикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(722, 'Зигомикоз неуточненный', 'B46.9', 714, 'B46', 0, 'Фикомикоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(723, 'Мицетома', 'B47', 628, 'B35-B49', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(724, 'Истинная мицетома', 'B47.0', 723, 'B47', 0, 'Мадурская стопа микотическая Мадуромикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(725, 'Актиномицетома', 'B47.1', 723, 'B47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(726, 'Мицетома неуточненная', 'B47.9', 723, 'B47', 0, 'Мадурская стопа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(727, 'Другие микозы, не классифицированные в других рубриках', 'B48', 628, 'B35-B49', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(728, 'Лобомикоз', 'B48.0', 727, 'B48', 0, 'Келоидный бластомикоз Болезнь Лобо');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(729, 'Риноспоридиоз', 'B48.1', 727, 'B48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(730, 'Аллешероз', 'B48.2', 727, 'B48', 0, 'Инфекция, вызванная Pseudallescheria boydii Исключена: истинная мицетома (B47.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(731, 'Геотрихоз', 'B48.3', 727, 'B48', 0, 'Геотрихозный стоматит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(732, 'Пенициллоз', 'B48.4', 727, 'B48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(733, 'Оппортунистические микозы', 'B48.7', 727, 'B48', 0, 'Микозы, обусловленные низкопатогенными грибами, которые могут вызвать инфекцию только как следствие влияния ряда факторов, таких, как наличие изнуряющего заболевания, введение иммуносупрессивных и других лекарственных препаратов или проведение радиационной терапии. Большинство из этих грибов обычные сапрофиты, обитающие в почве и гниющих растениях.');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(734, 'Другие уточненные микозы', 'B48.8', 727, 'B48', 0, 'Адиаспиромикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(735, 'Микоз неуточненный', 'B49', 628, 'B35-B49', 0, 'Фунгемия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(737, 'ПРОТОЗОЙНЫЕ БОЛЕЗНИ', 'B50-B64', 1, 'A00-B99', 12, 'Исключены: амебиаз (A06.-) другие протозойные кишечные инфекции (A07.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(738, 'Малярия, вызванная Plasmodium falciparum', 'B50', 737, 'B50-B64', 3, 'Включены: смешанные инфекции, вызванные Plasmodium falciparum вместе с другими видами малярийных плазмодиев');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(739, 'Малярия, вызванная Plasmodium falciparum с церебральными осложнениями', 'B50.0', 738, 'B50', 0, 'Церебральная малярия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(740, 'Другие виды тяжелой и осложненной малярии, вызванной Plasmodium falciparum', 'B50.8', 738, 'B50', 0, 'Тяжелая или осложненная малярия, вызванная Plasmodium falciparum БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(741, 'Малярия, вызванная Plasmodium falciparum, неуточненная', 'B50.9', 738, 'B50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(742, 'Малярия, вызванная Plasmodium vivax', 'B51', 737, 'B50-B64', 3, 'Включены: смешанные инфекции, вызванные Plasmodium vivax с другими видами Plasmodium, за исключением Plasmodium falciparum\nИсключены: инфекции, смешанные с Plasmodium falciparum (B50.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(743, 'Малярия, вызванная Plasmodium vivax, осложненная разрывом селезенки', 'B51.0', 742, 'B51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(744, 'Малярия, вызванная Plasmodium vivax, с другими осложнениями', 'B51.8', 742, 'B51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(745, 'Малярия, вызванная Plasmodium vivax, без осложнений', 'B51.9', 742, 'B51', 0, 'Малярия, вызванная Plasmodium vivax, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(746, 'Малярия, вызванная Plasmodium malariae', 'B52', 737, 'B50-B64', 3, 'Включены: смешанные инфекции, вызванные Plasmodium malariae вместе с другими видами Plasmodium, кроме Plasmodium falciparum и Plasmodium vivax\nИсключены: случаи, смешанные с Plasmodium: . falciparum (B50.-) . vivax (B51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(747, 'Малярия, вызванная Plasmodium malariae, с нефропатией', 'B52.0', 746, 'B52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(748, 'Малярия, вызванная Plasmodium malariae, с другими осложнениями', 'B52.8', 746, 'B52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(749, 'Малярия, вызванная Plasmodium malariae, без осложнений', 'B52.9', 746, 'B52', 0, 'Малярия, вызванная Plasmodium malariae, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(750, 'Другие виды паразитологически подтвержденной малярии', 'B53', 737, 'B50-B64', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(751, 'Малярия, вызванная Plasmodium ovale', 'B53.0', 750, 'B53', 0, 'Исключены: смешанные случаи с Plasmodium: . falciparum (B50.-) . malariae (B52.-) . vivax (B51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(752, 'Малярия, вызванная плазмодиями обезьян', 'B53.1', 750, 'B53', 0, 'Исключены: смешанные случаи с Plasmodium: . falciparum (B50.-) . malariae (B52.-) . ovale (B53.0) . vivax (B51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(753, 'Другие паразитологически подтвержденные малярии, не классифицированные в других рубриках', 'B53.8', 750, 'B53', 0, 'Паразитологически подтвержденная малярия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(754, 'Малярия неуточненная', 'B54', 737, 'B50-B64', 0, 'Клинически диагностированная малярия без паразитологического пдтверждения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(755, 'Лейшманиоз', 'B55', 737, 'B50-B64', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(756, 'Висцеральный лейшманиоз', 'B55.0', 755, 'B55', 0, 'Кала-азар Посткалаазарный кожный лейшманиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(757, 'Кожный лейшманиоз', 'B55.1', 755, 'B55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(758, 'Кожно-слизистый лейшманиоз', 'B55.2', 755, 'B55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(759, 'Лейшманиоз неуточненный', 'B55.9', 755, 'B55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(760, 'Африканский трипаносомоз', 'B56', 737, 'B50-B64', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(761, 'Гамбийский трипаносомоз', 'B56.0', 760, 'B56', 0, 'Инфекция, вызванная Trypanosoma brucei gambiense Западно-африканская сонная болезнь');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(762, 'Родезийский трипаносомоз', 'B56.1', 760, 'B56', 0, 'Восточно-африканская сонная болезнь Инфекция, вызванная Trypanosoma brucei rhodesiense');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(763, 'Африканский трипаносомоз неуточненный', 'B56.9', 760, 'B56', 0, 'Сонная болезнь БДУ Трипаносомоз БДУ в районах с преобладанием африканского трипаносомоза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(764, 'Болезнь Шагаса', 'B57', 737, 'B50-B64', 6, 'Включены: американский трипаносомоз инфекция, вызванная Trypanosoma cruzi');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(765, 'Острая форма болезни Шагаса с поражением сердца (I41.2*, I98.1*)', 'B57.0+', 764, 'B57', 0, 'Острая форма болезни Шагаса с: . кардиоваскулярным поражением НКДР (I98.1*) . миокардитом (I41.2*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(766, 'Острая форма болезни Шагаса без поражения сердца', 'B57.1', 764, 'B57', 0, 'Острая форма болезни Шагаса БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(767, 'Болезнь  Шагаса (хроническая) с поражением сердца (I41.2*, I98.1*)', 'B57.2+', 764, 'B57', 0, 'Американский трипаносомоз БДУ Болезнь Шагаса (хроническая) (с): . БДУ . кардиоваскулярным поражением НКДР (I98.1*) . миокардитом (I41.2*) Трипаносомоз БДУ в районах с преобладанием болезни Шагаса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(768, 'Болезнь Шагаса (хроническая) с поражением пищеварительной системы', 'B57.3', 764, 'B57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(769, 'Болезнь Шагаса (хроническая) с поражением нервной системы', 'B57.4', 764, 'B57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(770, 'Болезнь Шагаса (хроническая) с поражением других органов', 'B57.5', 764, 'B57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(771, 'Токсоплазмоз', 'B58', 737, 'B50-B64', 6, 'Включена: инфекция, вызванная Toxoplasma gondii\nИсключен: врожденный токсоплазмоз (P37.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(772, 'Токсоплазмозная окулопатия', 'B58.0+', 771, 'B58', 0, 'Токсоплазмозный хориоретинит (H32.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(773, 'Токсоплазмозный гепатит (K77.0*)', 'B58.1+', 771, 'B58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(774, 'Токсоплазмозный менингоэнцефалит (G05.2*)', 'B58.2+', 771, 'B58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(775, 'Легочный токсоплазмоз (J17.3*)', 'B58.3+', 771, 'B58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(776, 'Токсоплазмоз с поражением других органов', 'B58.8', 771, 'B58', 0, 'Токсоплазмозный: . миокардит+ (I41.2*) . миозит+ (M63.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(777, 'Токсоплазмоз неуточненный', 'B58.9', 771, 'B58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(778, 'Пневмоцистоз', 'B59', 737, 'B50-B64', 0, 'Пневмония, вызванная Pneumocystis carinii');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(779, 'Другие протозойные болезни, не классифицированные в других рубриках', 'B60', 737, 'B50-B64', 4, 'Исключены: криптоспоридиоз (A07.2) изоспороз (A07.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(780, 'Бабезиоз', 'B60.0', 779, 'B60', 0, 'Пироплазмоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(781, 'Акантамебиаз', 'B60.1', 779, 'B60', 0, 'Конъюнктивит, вызванный Acanthamoeba+ (H13.1*) Кератоконъюнктивит, вызванный Acanthamoeba+ (H19.2*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(782, 'Неглериаз', 'B60.2', 779, 'B60', 0, 'Первичный амебный менингоэнцефалит+ (G05.2*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(783, 'Другие уточненные протозойные болезни', 'B60.8', 779, 'B60', 0, 'Микроспоридиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(784, 'Протозойная болезнь неуточненная', 'B64', 737, 'B50-B64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(786, 'ГЕЛЬМИНТОЗЫ', 'B65-B83', 1, 'A00-B99', 19, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(787, 'Шистосомоз [бильгарциоз]', 'B65', 786, 'B65-B83', 6, 'Включена: улиточная лихорадка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(788, 'Шистосомоз, вызванный Schistosoma haematobium [мочеполовой шистосомоз]', 'B65.0', 787, 'B65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(789, 'Шистосомоз, вызванный Schistosoma mansoni [кишечный шистосомоз]', 'B65.1', 787, 'B65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(790, 'Шистосомоз, вызванный Schistosoma japonicum', 'B65.2', 787, 'B65', 0, 'Азиатский шистосомоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(791, 'Церкариальный дерматит', 'B65.3', 787, 'B65', 0, 'Чесотка купальщиков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(792, 'Другие шистосомозы', 'B65.8', 787, 'B65', 0, 'Инвазия, вызванная Schistosoma: . intercalatum . mattheei . mekongi');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(793, 'Шистосомоз неуточненный', 'B65.9', 787, 'B65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(794, 'Другие трематодозы', 'B66', 786, 'B65-B83', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(795, 'Описторхоз', 'B66.0', 794, 'B66', 0, 'Инвазия, вызванная: . кошачьим печеночным сосальщиком . Opistorchis (felineus) (viverrini)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(796, 'Клонорхоз', 'B66.1', 794, 'B66', 0, 'Болезнь, вызванная китайским печеночным сосальщиком Инвазия, вызванная Clonorchis sinensis Болезнь, вызванная восточным печеночным сосальщиком');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(797, 'Дикроцелиоз', 'B66.2', 794, 'B66', 0, 'Инвазия, вызванная Dicrocoelium dendriticum Инвазия, вызванная ланцетовидной двуусткой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(798, 'Фасциолез', 'B66.3', 794, 'B66', 0, 'Инвазия, вызванная Fasciola: . gigantica . hepatica . indica Инвазия, вызванная овечьим печеночным сосальщиком');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(799, 'Парагонимоз', 'B66.4', 794, 'B66', 0, 'Инвазия, вызванная разными видами Paragonimus Болезнь, вызванная легочным сосальщиком Легочный дистоматоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(800, 'Фасциолопсидоз', 'B66.5', 794, 'B66', 0, 'Инвазия, вызванная Fasciolopsis buski Кишечный дистоматоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(801, 'Инвазии, вызванные другими двуустками', 'B66.8', 794, 'B66', 0, 'Эхиностомоз Гетерофиоз Метагонимоз Нанофиетоз Уотсониоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(802, 'Инвазия двуустками неуточненная', 'B66.9', 794, 'B66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(803, 'Эхинококкоз', 'B67', 786, 'B65-B83', 10, 'Включен: однокамерный [гидатидозный] эхинококкоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(804, 'Инвазия печени, вызванная Echinococcus granulosus', 'B67.0', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(805, 'Инвазия легкого, вызванная Echinococcus granulosus', 'B67.1', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(806, 'Инвазия кости, вызванная Echinococcus granulosus', 'B67.2', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(807, 'Инвазия другой локализации и множественный эхинококкоз, вызванный Echinococcus granulosus', 'B67.3', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(808, 'Инвазия, вызванная Echinococcus granulosus, неуточненная', 'B67.4', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(809, 'Инвазия печени, вызванная Echinococcus multilocularis', 'D67.5', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(810, 'Инвазия другой локализации и множественный эхинококкоз, вызванные Echinococcus multilocularis', 'B67.6', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(811, 'Инвазия, вызванная Echinococcus multilocularis, неуточненная', 'B67.7', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(812, 'Эхинококкоз печени неуточненный', 'B67.8', 803, 'B67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(813, 'Эхинококкоз других органов и неуточненный', 'B67.9', 803, 'B67', 0, 'Эхинококкоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(814, 'Тениоз', 'B68', 786, 'B65-B83', 3, 'Исключен: цистицеркоз (B69.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(815, 'Инвазия, вызванная Taenia solium', 'B68.0', 814, 'B68', 0, 'Солитер свиной или вооруженный (инвазия) цепень');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(816, 'Инвазия, вызванная Taenia saginata', 'B68.1', 814, 'B68', 0, 'Бычий или невооруженный цепен (инвазия) Инвазия, вызванная взрослой особью Taenia saginata');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(817, 'Тениоз неуточненный', 'B68.9', 814, 'B68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(818, 'Цистицеркоз', 'B69', 786, 'B65-B83', 4, 'Включен: цистицеркоз, вызванный личиночной формой свиного цепня Taenia solium');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(819, 'Цистицеркоз центральной нервной системы', 'B69.0', 818, 'B69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(820, 'Цистицеркоз глаза', 'B69.1', 818, 'B69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(821, 'Цистицеркоз других локализаций', 'B69.8', 818, 'B69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(822, 'Цистицеркоз неуточненный', 'B69.9', 818, 'B69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(823, 'Дифиллоботриоз и спарганоз', 'B70', 786, 'B65-B83', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(824, 'Дифиллоботриоз', 'B70.0', 823, 'B70', 0, 'Инвазия, вызванная Diphyllobothrium (latum) (pacificum) (половозрелой формой) Лентец широкий (инвазия) Исключен: личиночный дифиллоботриоз (B70.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(825, 'Спарганоз', 'B70.1', 823, 'B70', 0, 'Инвазия, вызванная: . Sparganum (mansoni) (proliferum) . личинками Spirometra Личиночный дифиллоботриоз Спирометроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(826, 'Другие инвазии, вызванные цестодами', 'B71', 786, 'B65-B83', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(827, 'Гименолепидоз', 'B71.0', 826, 'B71', 0, 'Карликовый цепень (инвазия) Крысиный цепень (инвазия)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(828, 'Дипилидиоз', 'B71.1', 826, 'B71', 0, 'Собачий или тыквовидный цепень (инвазия)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(829, 'Инвазия другими уточненными цестодами', 'B71.8', 826, 'B71', 0, 'Ценуроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(830, 'Инвазия цестодами неуточненными', 'B71.9', 826, 'B71', 0, 'Инвазия, вызванная лентецом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(831, 'Дракункулез', 'B72', 786, 'B65-B83', 0, 'Ришта Инвазия, вызванная Dracunculus medinensis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(832, 'Онхоцеркоз', 'B73', 786, 'B65-B83', 0, 'Инвазия, вызванная Onchocerca volvulus Речная слепота');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(833, 'Филяриатоз', 'B74', 786, 'B65-B83', 7, 'Исключены: онхоцеркоз (B73) тропическая (легочная) эозинофилия БДУ (J82)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(834, 'Филяриатоз, вызванный Wuchereria bancrofti', 'B74.0', 833, 'B74', 0, 'Вухерериоз: . слоновость . филяриатоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(835, 'Филяриатоз, вызванный Brugia malayi', 'B74.1', 833, 'B74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(836, 'Филяриатоз, вызванный Brugia timori', 'B74.2', 833, 'B74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(837, 'Лоаоз', 'B74.3', 833, 'B74', 0, 'Калабарская опухоль Африканская болезнь, вызванная глазным червем Инвазия, вызванная Loa loa');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(838, 'Мансонеллез', 'B74.4', 833, 'B74', 0, 'Инвазия, вызванная Mansonella: . ozzardi . perstans . streptocerca');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(839, 'Другие виды филяриатоза', 'B74.8', 833, 'B74', 0, 'Дирофиляриатоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(840, 'Филяриатоз неуточненный', 'B74.9', 833, 'B74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(841, 'Трихинеллез', 'B75', 786, 'B65-B83', 0, 'Инвазия, вызванная видами Trichinella Трихиноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(842, 'Анкилостомидоз', 'B76', 786, 'B65-B83', 4, 'Включен: унцинароз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(843, 'Анкилостомоз', 'B76.0', 842, 'B76', 0, 'Инвазия, вызванная видами Ancylostoma');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(844, 'Некатороз', 'B76.1', 842, 'B76', 0, 'Инвазия, вызванная Necator americanus');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(845, 'Другие анкилостомидозы', 'B76.8', 842, 'B76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(846, 'Анкилостомидоз неуточненный', 'B76.9', 842, 'B76', 0, 'Миграция личинок в коже БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(847, 'Аскаридоз', 'B77', 786, 'B65-B83', 3, 'Включены: аскаридиаз инвазия круглым червем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(848, 'Аскаридоз с кишечными осложнениями', 'B77.0', 847, 'B77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(849, 'Аскаридоз с другими осложнениями', 'B77.8', 847, 'B77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(850, 'Аскаридоз неуточненный', 'B77.9', 847, 'B77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(851, 'Стронгилоидоз', 'B78', 786, 'B65-B83', 4, 'Исключен: трихостронгилоидоз (B81.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(852, 'Кишечный стронгилоидоз', 'B78.0', 851, 'B78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(853, 'Кожный стронгилоидоз', 'B78.1', 851, 'B78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(854, 'Диссеминированный стронгилоидоз', 'B78.7', 851, 'B78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(855, 'Стронгилоидоз неуточненный', 'B78.9', 851, 'B78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(856, 'Трихуроз', 'B79', 786, 'B65-B83', 0, 'Трихоцефалез Власоглав (инвазия)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(857, 'Энтеробиоз', 'B80', 786, 'B65-B83', 0, 'Оксиуроз Острицы (инвазия)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(858, 'Другие кишечные гельминтозы, не классифицированные в других рубриках', 'B81', 786, 'B65-B83', 6, 'Исключен: ангиостронгилоидоз, вызванный Parastrongylus cantonensis (B83.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(859, 'Анизакиоз', 'B81.0', 858, 'B81', 0, 'Инвазия, вызванная личиночной стадией Anisakis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(860, 'Кишечный капилляриоз', 'B81.1', 858, 'B81', 0, 'Капилляриоз БДУ Инвазия, вызванная Capillaria philippinensis Исключен: капилляриоз печени (B83.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(861, 'Трихостронгилоидоз', 'B81.2', 858, 'B81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(862, 'Кишечный ангиостронгилоидоз', 'B81.3', 858, 'B81', 0, 'Ангиостронгилоидоз, вызванный Parastrongylus costaricensis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(863, 'Кишечные гельминтозы смешанной этиологии', 'B81.4', 858, 'B81', 0, 'Инвазия, вызванная кишечными гельминтами, классифицированными более чем в одной подрубрике из подрубрик B65.0-B81.3 и B81.8 Смешанные кишечные гельминтозы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(864, 'Другие уточненные кишечные гельминтозы', 'B81.8', 858, 'B81', 0, 'Инвазии, вызванные: . видами Oesophagostomum [эзофагостомиоз] . Ternidens diminutus [торнидениоз]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(865, 'Кишечный паразитизм неуточненный', 'B82', 786, 'B65-B83', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(866, 'Кишечные гельминтозы неуточненные', 'B82.0', 865, 'B82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(867, 'Кишечный паразитизм неуточненный', 'B82.9', 865, 'B82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(868, 'Другие гельминтозы', 'B83', 786, 'B65-B83', 7, 'Исключены: капилляриоз: . БДУ (B81.1) . кишечный (B81.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(869, 'Висцеральная форма заболеваний, вызываемых миграцией личинок гельминтов [висцеральная Larva migrans]', 'B83.0', 868, 'B83', 0, 'Токсокароз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(870, 'Гнатостомоз', 'B83.1', 868, 'B83', 0, 'Подвижная опухоль');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(871, 'Ангиостронгилоидоз, вызванный Parastrongylus cantonensis', 'B83.2', 868, 'B83', 0, 'Эозинофильный менингоэнцефалит+ (G05.2*) Исключен: кишечный ангиостронгилоидоз (B81.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(872, 'Сингамиоз', 'B83.3', 868, 'B83', 0, 'Сингамоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(873, 'Внутренний гирудиноз', 'B83.4', 868, 'B83', 0, 'Исключен: наружный гирудиноз (B88.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(874, 'Другие уточненные гельминтозы', 'B83.8', 868, 'B83', 0, 'Акантоцефалез Гонгилонемиоз Печеночный капилляриоз Метастронгилез Телазиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(875, 'Гельминтозы неуточненные', 'B83.9', 868, 'B83', 0, 'Глисты БДУ Исключены: кишечные гельминтозы БДУ (B82.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(877, 'ПЕДИКУЛЕЗ, АКАРИАЗ И ДРУГИЕ ИНФЕСТАЦИИ', 'B85-B89', 1, 'A00-B99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(878, 'Педикулез и фтириоз', 'B85', 877, 'B85-B89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(879, 'Педикулез, вызванный Pediculus humanus capitis', 'B85.0', 878, 'B85', 0, 'Инфестация головными вшами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(880, 'Педикулез, вызванный Pediculus humanus corporis', 'B85.1', 878, 'B85', 0, 'Инфестация платяными вшами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(881, 'Педикулез неуточненный', 'B85.2', 878, 'B85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(882, 'Фтириоз', 'B85.3', 878, 'B85', 0, 'Инфестация, вызванная: . плошицей . лобковой вошью [Phthirus pubis]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(883, 'Смешанный педикулез', 'B85.4', 878, 'B85', 0, 'Инфестация вшами, классифицированная более чем в одной подрубрике из подрубрик B85.0-D85.3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(884, 'Чесотка', 'B86', 877, 'B85-B89', 0, 'Инфестация, вызванная чесоточным клещом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(885, 'Миаз', 'B87', 877, 'B85-B89', 7, 'Включена: инфестация личинками мух');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(886, 'Кожный миаз', 'B87.0', 885, 'B87', 0, 'Ползущий миаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(887, 'Раневой миаз', 'B87.1', 885, 'B87', 0, 'Травматический миаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(888, 'Глазной миаз', 'B87.2', 885, 'B87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(889, 'Носоглоточный миаз', 'B87.3', 885, 'B87', 0, 'Гортанный миаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(890, 'Ушной миаз', 'B87.4', 885, 'B87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(891, 'Миаз другой локализации', 'B87.8', 885, 'B87', 0, 'Мочеполовой миаз Кишечный миаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(892, 'Миаз неуточненный', 'B87.9', 885, 'B87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(893, 'Другие инфестации', 'B88', 877, 'B85-B89', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(894, 'Другой аскариаз', 'B88.0', 893, 'B88', 0, 'Акародерматит Дерматит, вызванный: . видами Demodex . Dermanyssus gallinae . Liponyssoides sanguineus Тромбикулез Исключена: чесотка (B86)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(895, 'Тунгиоз [инфестация тропической песчаной блохой]', 'B88.1', 893, 'B88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(896, 'Другие инфестации членистоногими', 'B88.2', 893, 'B88', 0, 'Скарабиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(897, 'Наружный гирудиноз', 'B88.3', 893, 'B88', 0, 'Инфестация пиявками БДУ Исключен: внутренний гирудиноз (B83.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(898, 'Другие уточненные инфестации', 'B88.8', 893, 'B88', 0, 'Ихтиопаразитизм, вызванный Vandellia cirrhosa Лингваеулез Пороцефалез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(899, 'Инфестация неуточненная', 'B88.9', 893, 'B88', 0, 'Инфестация (кожная) БДУ Инфестация клещами БДУ Кожные паразиты БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(900, 'Паразитарная болезнь неуточненная', 'B89', 877, 'B85-B89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(902, 'ПОСЛЕДСТВИЯ ИНФЕКЦИОННЫХ И ПАРАЗИТАРНЫХ БОЛЕЗНЕЙ', 'B90-B94', 1, 'A00-B99', 4, 'Примечание: эти рубрики следует использовать для обозначения состояний, указанных в рубриках A00-B89, как причины последствий. Понятие "последствия" включает состояния, уточненные как таковые, а также остаточные явления заболеваний, классифицированных в упомянутых выше рубриках, если очевидно, что причинное заболевание в настоящее время отсутствует. При использовании этой категории следует руководствоваться рекомендациями и правилами кодирования заболеваемости и смертности, приведенными в т.2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(903, 'Последствия туберкулеза', 'B90', 902, 'B90-B94', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(904, 'Отдаленные последствия туберкулеза центральной нервной системы', 'B90.0', 903, 'B90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(905, 'Отдаленные последствия туберкулеза мочеполовых органов', 'B90.1', 903, 'B90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(906, 'Отдаленные последствия туберкулеза костей и суставов', 'B90.2', 903, 'B90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(907, 'Отдаленные последствия туберкулеза других уточненных органов', 'B90.8', 903, 'B90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(908, 'Отдаленные последствия туберкулеза органов дыхания и неуточненного туберкулеза', 'B90.9', 903, 'B90', 0, 'Отдаленные последствия туберкулеза БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(909, 'Последствия полиомиелита', 'B91', 902, 'B90-B94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(910, 'Последствия лепры', 'B92', 902, 'B90-B94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(911, 'Последствия других и неуточненных инфекционных и паразитарных болезней', 'B94', 902, 'B90-B94', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(912, 'Отдаленные последствия трахомы', 'B94.0', 911, 'B94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(913, 'Отдаленные последствия вирусного энцефалита', 'B94.1', 911, 'B94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(914, 'Отдаленные последствия вирусного гепатита', 'B94.2', 911, 'B94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(915, 'Отдаленные последствия других уточненных инфекционных и паразитарных болезней', 'B94.8', 911, 'B94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(916, 'Отдаленные последствия неуточненных инфекционных и паразитарных болезней', 'B94.9', 911, 'B94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(918, 'БАКТЕРИАЛЬНЫЕ, ВИРУСНЫЕ И ДРУГИЕ ИНФЕКЦИОННЫЕ АГЕНТЫ', 'B95-B97', 1, 'A00-B99', 3, 'Примечание: эти рубрики не следует использовать при первичном кодировании. Они предназначены для использования в качестве дополнительных кодов, когда целесообразно идентифицировать возбудителей болезней, классифицированных в других рубриках.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(919, 'Стрептококки и стафилококки как причина болезней, классифицированных в других рубриках', 'B95', 918, 'B95-B97', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(920, 'Стрептококки группы A как причина болезней, классифицированных в других рубриках', 'B95.0', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(921, 'Стрептококки группы B как причина болезней, классифицированных в других рубриках', 'B95.1', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(922, 'Стрептококки группы D как причина болезней, классифицированных в других рубриках', 'B95.2', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(923, 'Streptococcus pneumoniae как причина болезней, классифицированных в других рубриках', 'B95.3', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(924, 'Другие стрептококки как причина болезней, классифицированных в других рубриках', 'B95.4', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(925, 'Неуточненные стрептококки как причина болезней, классифицированных в других рубриках', 'B95.5', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(926, 'Staphylococcus aureus как причина болезней, классифицированных в других рубриках', 'B95.6', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(927, 'Другие стафилококки как причина болезней, классифицированных в других рубриках', 'B95.7', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(928, 'Неуточненные стафилококки как причина болезней, классифицированных в других рубриках', 'B95.8', 919, 'B95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(929, 'Другие бактериальные агенты как причина болезней, классифицированных в других рубриках', 'B96', 918, 'B95-B97', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(930, 'Mycoplasma pneumoniae [M.pneumoniae] как причина болезней, классифицированных в других рубриках', 'B96.0', 929, 'B96', 0, 'Pleuro-pneumonia-like-organism [PPLO]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(931, 'Klebsiella pneumoniae [K.pneumoniae] как причина болезней, классифицированных в других рубриках', 'B96.1', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(932, 'Escherichia coli [E.coli] как причина болезней, классифицированных в других рубриках', 'B96.2', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(933, 'Haemophilus influenzae [H.influenzae] как причина болезней, классифицированных в других рубриках', 'B96.3', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(934, 'Proteus (mirabilis) (morganii) как причина болезней, классифицированных в других рубриках', 'B96.4', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(935, 'Pseudomonas (aeruginosa) (mallei) (pseudomallei) как причина болезней, классифицированных в других рубриках', 'B96.5', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(936, 'Bacillus fragilis [B.fragilis] как причина болезней, классифицированных в других рубриках', 'B96.6', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(937, 'Clostridium perfringens [C.perfringens] как причина болезней, классифицированных в других рубриках', 'B96.7', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(938, 'Другие уточненные бактериальные агенты как причина болезней, классифицированных в других рубриках', 'B96.8', 929, 'B96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(939, 'Вирусные агенты как причина болезней, классифицированных в других рубриках', 'B97', 918, 'B95-B97', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(940, 'Аденовирусы как причина болезней, классифицированных в других рубриках', 'B97.0', 939, 'B97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(941, 'Энтеровирусы как причина болезней, классифицированных в других рубриках', 'B97.1', 939, 'B97', 0, 'Вирус Коксаки ЕСНО-вирус');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(942, 'Коронавирусы как причина болезней, классифицированных в других рубриках', 'B97.2', 939, 'B97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(943, 'Ретровирусы как причина болезней, классифицированных в других рубриках', 'B97.3', 939, 'B97', 0, 'Лентивирусы Онковирусы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(944, 'Респираторно-синцитиальный вирус как причина болезней, классифицированных в других рубриках', 'B97.4', 939, 'B97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(945, 'Реовирусы как причина болезней, классифицированных в других рубриках', 'B97.5', 939, 'B97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(946, 'Парвовирусы как причина болезней, классифицированных в других рубриках', 'B97.6', 939, 'B97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(947, 'Папилломавирусы как причина болезней, классифицированных в других рубриках', 'B97.7', 939, 'B97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(948, 'Другие вирусные агенты как причина болезней, классифицированных в других рубриках', 'B97.8', 939, 'B97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(949, 'ДРУГИЕ ИНФЕКЦИОННЫЕ БОЛЕЗНИ', 'B99', 1, 'A00-B99', 0, 'B99 Другие и неуточненные инфекционные болезни');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1001, 'НОВООБРАЗОВАНИЯ', 'C00-D48', NULL, NULL, 4, 'Этот класс содержит следующие широкие группы новообразований:\nС00-С75 Злокачественные новообразования уточненных локализаций, которые обозначены как первичные или предположительно первичные, кроме новообразований лимфоидной, кроветворной и родственных им тканей C00-C14 Губы, полости рта и глотки С15-С26 Органов пищеварения С30-С39 Органов дыхания и грудной клетки С40-С41 Костей и суставных хрящей С43-С44 Кожи С45-С49 Мезотелиальной и мягких тканей С50 Молочной железы С51-С58 Женских половых органов С60-С63 Мужских половых органов С64-С68 Мочевых путей С69-С72 Глаза, головного мозга и других отделов центральной нервной системы С73-С75 Щитовидной железы и других эндокринных желез\nС76-С80 Злокачественные новообразования неточно обозначенные, вторичные и неуточненных локализаций\nС81-С96 Злокачественные новообразования лимфоидной, кроветворной и родственных им тканей, которые обозначены как первичные или предположительно первичные\nС97 Злокачественные новообразования самостоятельных (первичных) множественных локализаций\nD00-D09 In situ новообразования\nD10-D36 Доброкачественные новообразования\nD37-D48 Новообразования неопределенного или неизвестного характера [см. примечание на с. 242]\nПРИМЕЧАНИЯ\n1. Злокачественные новообразования первичные, неточно обозначенные и неуточненных локализаций\nРубрики C76-C80 включают злокачественные новообразования с неточно\nобозначенной первичной локализацией или те, которые определены как\n"диссеминированные", "рассеянные" или "распространенные" без указа-\nний на первичную локализацию. В обоих случаях первичная локализация\nрассматривается как неизвестная.\n2. Функциональная активность\nК классу II отнесены как новообразования независимо от наличия или\nотсутствия у них функциональной активности. Если необходимо уточнить\nфункциональную активность, ассоциирующуюся с тем или иным новообра-\nзованием, можно использовать добавочный код из класса IV. Например,\nкатехоламинпродуцирующая злокачественная феохромоцитома надпочеч-\nников кодируется рубрикой С74 с добавочным кодом Е27.5; базофильная\nаденома гипофиза с синдромом Иценко-Кушинга кодируется рубрикой\nD35.2 с добавочным кодом Е24.0.\n3. Морфология\nИмеется ряд больших морфологических (гистологических) групп злока-\nчественных новообразований: карациномы, включая плоскоклеточные и\nаденокарциномы; саркомы; другие опухоли мягких тканей, включая ме-\nзотелиомы; лимфомы (Ходжкина и неходжкинские); лейкоз; другие уточ-\nненные и специфические по локализации типы; неуточненные раки.\nТермин "рак" является общим и может использоваться для любой из вы-\nшеуказанных групп, хотя он редко употребляется по отношению к зло-\nкачественным новообразованиям лимфоидной, кроветворной и родственных\nим тканей. Термин "карцинома" иногда неверно используется как сино-\nним термина "рак".\nВ классе II новообразования классифицируются преимущественно по ло-\nкализации внутри широких группировок, составленных на основе харак-\nтера течения. В исключительных случаях морфология указывается в на-\nзваниях рубрик и подрубрик.\nДля желающих идентифицировать гистологический тип новообразования на\nс. 577-599 (т. 1, часть 2) приведен общий перечень отдельных морфо-\nлогических кодов. Морфологические коды взяты из второго издания Меж-\nдународной классификации болезней в онкологии (МКБ-О), которая пред-\nставляет собой двухосную классифированную систему, обеспечивающую\nнезависимое кодирование новообразований по топографии и морфологии.\nМорфологические коды имеют 6 знаков, из которых первые четыре опре-\nделяют гистологический тип, пятый указывает на характер течения опу-\nхоли (злокачественная первичная, злокачественная вторичная, т.е. ме-\nтастатическая, in situ, доброкачественная, неопределенного характе-\nра), а шестой знак определяет степень дифференциации солидных опухо-\nлей и, кроме того, используется как специальный код для лимфом и\nлейкозов.\n4. Использование подрубрик в классе II\nНеобходимо обратить внимание на особое использование в этом классе\nподрубрики со знаком .8 (см. примечание 5). Там, где необходимо вы-\nделить подрубрику для группы "другие", обычно используют, подруб-\nрику .7.\n5. Злокачественные новообразования, выходящие за пределы одной локализации, и использование подрубрики с четвертым знаком .8 (поражение, выходящее за пределы одной и более указанных локализаций)\nРубрики С00-С75 классифицируют первичные злокачественные новообразо-\nвания в соответствии с местом их возникновения. Многие трехзначные\nрубрики далее подразделяются на подрубрики в соответствии с различ-\nными частями рассматриваемых органов. Новообразование, которое за-\nхватывает две или более смежные локализации внутри трехзначной руб-\nрики и место возникновения которого не может быть определено, следу-\nет классифицировать подрубрикой с четвертым знаком .8 (поражение,\nвыходящее за пределы одной и более вышеуказанных локализаций), если\nтакая комбинация специально не индексируется в других рубриках. На-\nпример, карцинома пищевода и желудка обозначается кодом С16.0 (кар-\nдия), в то время как карциному кончика и нижней поверхности языка\nнеобходимо кодировать подрубрикой С02.8. С другой стороны, карциному\nкончика языка с вовлечением нижней его поверхности следует кодиро-\nвать в подрубрике С02.1, так как место возникновения (в данном слу-\nчае кончик языка) извест');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1002, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ', 'C00-C97', 1001, 'C00-D48', 15, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1003, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ ГУБЫ, ПОЛОСТИ РТА И ГЛОТКИ', 'C00-C14', 1002, 'C00-C97', 15, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1004, 'Злокачественное новообразование губы', 'C00', 1003, 'C00-C14', 9, 'Исключено: кожи губы (C43.0, C44.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1005, 'Наружной поверхности губы', 'C00.0', 1004, 'C00', 0, 'Верхней губы: . БДУ . поверхности губы . красной каймы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1006, 'Наружной поверхности нижней губы', 'C00.1', 1004, 'C00', 0, 'Нижней губы: . БДУ . поверхности губы . красной каймы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1007, 'Наружной поверхности губы неуточненной', 'C00.2', 1004, 'C00', 0, 'Красной каймы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1008, 'Внутренней поверхности верхней губы', 'C00.3', 1004, 'C00', 0, 'Верхней губы: . щечной поверхности . уздечки . слизистой оболочки . ротовой поверхности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1009, 'Внутренней поверхности нижней губы', 'C00.4', 1004, 'C00', 0, 'Нижней губы: . щечной поверхности . уздечки . слизистой оболочки . ротовой поверхности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1010, 'Внутренней поверхности губы неуточненной', 'C00.5', 1004, 'C00', 0, 'Губы без уточнения верхней или нижней: . щечной поверхности . уздечки . слизистой оболочки . ротовой поверхности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1011, 'Спайки губы', 'C00.6', 1004, 'C00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1012, 'Поражение, выходящее за пределы одной и более вышеуказанных локализаций губы', 'C00.8', 1004, 'C00', 0, '[см. примечание 5 на стр. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1013, 'Губы неуточненной части', 'C00.9', 1004, 'C00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1014, 'Злокачественные новообразования основания языка', 'C01', 1003, 'C00-C14', 0, 'Верхней поверхности основания языка Неподвижной части языка БДУ Задней трети языка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1015, 'Злокачественное новообразование других и неуточненных частей языка', 'C02', 1003, 'C00-C14', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1016, 'Спинки языка', 'C02.0', 1015, 'C02', 0, 'Передних 2/3 спинки языка Исключено: верхней поверхности основания языка (C01)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1017, 'Боковой поверхности языка', 'C02.1', 1015, 'C02', 0, 'Кончика языка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1018, 'Нижней поверхности языка', 'C02.2', 1015, 'C02', 0, 'Передних 2/3 языка нижней поверхности Уздечки языка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1019, 'Передних 2/3 языка неуточненной части', 'C02.3', 1015, 'C02', 0, 'Средней части языка БДУ Подвижной части языка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1020, 'Язычной миндалины', 'C02.4', 1015, 'C02', 0, 'Исключено: миндалины БДУ (C09.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1021, 'Поражение языка, выходящее за пределы одной и более вышеуказанных локализаций', 'C02.8', 1015, 'C02', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование языка, которое по месту возникновения не может быть отнесено ни к одной из рубрик С01-С02.4');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1022, 'Языка неуточненной части', 'C02.9', 1015, 'C02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1023, 'Злокачественное новообразование десны', 'C03', 1003, 'C00-C14', 3, 'Включено: слизистой оболочки альвеолярной поверхности (гребня) gingiva Исключены: злокачественные одонтогенные новообразования (C41.0-C41.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1024, 'Десны верхней челюсти', 'C03.0', 1023, 'C03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1025, 'Десны нижней челюсти', 'C03.1', 1023, 'C03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1026, 'Десны неуточненной', 'C03.9', 1023, 'C03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1027, 'Злокачественное новообразование дна полости рта', 'C04', 1003, 'C00-C14', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1028, 'Передней части дна полости рта', 'C04.0', 1027, 'C04', 0, 'Передней части до контактного пункта клык-премоляр');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1029, 'Боковой части дна полости рта', 'C04.1', 1027, 'C04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1030, 'Поражение дна полости рта, выходящее за пределы одной и более вышеуказанных локализаций', 'C04.8', 1027, 'C04', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1031, 'Дна полости рта неуточненное', 'C04.9', 1027, 'C04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1032, 'Злокачественное новообразование неба', 'C05', 1003, 'C00-C14', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1033, 'Твердого неба', 'C05.0', 1032, 'C05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1034, 'Мягкого неба', 'C05.1', 1032, 'C05', 0, 'Исключено: носоглоточной поверхности мягкого неба (C11.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1035, 'Язычка', 'C05.2', 1032, 'C05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1036, 'Поражения неба, выходящие за пределы одной и более вышеуказанных локализаций', 'C05.8', 1032, 'C05', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1037, 'Неба неуточненное', 'C05.9', 1032, 'C05', 0, 'Свода полости рта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1038, 'Злокачественное новообразование других и неуточненных отделов рта', 'C06', 1003, 'C00-C14', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1039, 'Слизистой оболочки щеки', 'C06.0', 1038, 'C06', 0, 'Слизистой оболочки щеки БДУ Внутренней поверхности щеки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1040, 'Преддверия рта', 'C06.1', 1038, 'C06', 0, 'Щечной борозды (верхней) (нижней) Губной борозды (верхней) (нижней)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1041, 'Ретромолярной области', 'C06.2', 1038, 'C06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1042, 'Поражение рта, выходящее за пределы одной и более вышеуказанных локализаций', 'C06.8', 1038, 'C06', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1043, 'Рта неуточненное', 'C06.9', 1038, 'C06', 0, 'Малой слюнной железы неуточненной локализации Полости рта БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1044, 'Злокачественное новообразование околоушной слюнной железы', 'C07', 1003, 'C00-C14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1045, 'Злокачественное новообразование других и неуточненных больших слюнных желез', 'C08', 1003, 'C00-C14', 4, 'Исключены: злокачественные новообразования уточненных малых слюнных желез, которые классифицируются в соответствии с их анатомической локализацией злокачественные новообразования малых слюнных желез БДУ (C06.9) околоушной слюнной железы (С07)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1046, 'Поднижнечелюстной железы', 'C08.0', 1045, 'C08', 0, 'Подверхнечелюстной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1047, 'Подъязычной железы', 'C08.1', 1045, 'C08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1048, 'Поражение больших слюнных желез, выходящее за пределы', 'C08.8', 1045, 'C08', 0, 'одной и более вышеуказанных локализаций [см. примечание 5 на с. 179] Злокачественное новообразование больших слюнных желез, которое по месту возникновения не может быть отнесено ни к одной из рубрик С07-С08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1049, 'Большой слюнной железы неуточненной', 'C08.9', 1045, 'C08', 0, 'Слюнных желез (больших) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1050, 'Злокачественное новообразование миндалины', 'C09', 1003, 'C00-C14', 4, 'Исключены: язычной миндалины (C02.4) глоточной миндалины (C11.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1051, 'Миндаликовой ямочки', 'C09.0', 1050, 'C09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1052, 'Дужки небной миндалины (передней) (задней)', 'C09.1', 1050, 'C09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1053, 'Поражение миндалины, выходящее за пределы одной и более вышеуказанных локализаций', 'C09.8', 1050, 'C09', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1054, 'Миндалины неуточненной', 'C09.9', 1050, 'C09', 0, 'Миндалины: . БДУ . зева . небной');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1055, 'Злокачественное новообразование ротоглотки', 'C10', 1003, 'C00-C14', 7, 'Исключено: миндалины (C09.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1056, 'Ямки надгортанника', 'C10.0', 1055, 'C10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1057, 'Передней поверхности надгортанника', 'C10.1', 1055, 'C10', 0, 'Надгортанника, свободной границы (края) Язычно-надгортанной(ых) складки(ок) Исключено: надгортанника (участка над подъязычной костью) БДУ (C32.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1058, 'Боковой стенки ротоглотки', 'C10.2', 1055, 'C10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1059, 'Задней стенки ротоглотки', 'C10.3', 1055, 'C10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1060, 'Жаберных щелей', 'C10.4', 1055, 'C10', 0, 'Жаберных кист [локализация новообразования]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1061, 'Поражение ротоглотки, выходящее за пределы одной и более', 'C10.8', 1055, 'C10', 0, 'вышеуказанных локализаций [см. примечание 5 на с. 179] Пограничной зоны ротоглотки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1062, 'Ротоглотки неуточненное', 'C10.9', 1055, 'C10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1063, 'Злокачественное новообразование носоглотки', 'C11', 1003, 'C00-C14', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1064, 'Верхней стенки носоглотки', 'C11.0', 1063, 'C11', 0, 'Свода носоглотки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1065, 'Задней стенки носоглотки', 'C11.1', 1063, 'C11', 0, 'Аденоидной ткани Глоточной миндалины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1066, 'Боковой стенки носоглотки', 'C11.2', 1063, 'C11', 0, 'Ямки Розенмюллера Отверстия слуховой трубы Глоточного кармана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1067, 'Передней стенки носоглотки', 'C11.3', 1063, 'C11', 0, 'Дна носоглотки Носоглоточной (передней) (задней) поверхности мягкого неба Заднего края носовых: . хоан . перегородки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1068, 'Поражения носоглотки, выходящие за пределы одной и более вышеуказанных локализаций', 'C11.8', 1063, 'C11', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1069, 'Носоглотки неуточненное', 'C11.9', 1063, 'C11', 0, 'Стенки носоглотки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1070, 'Злокачественное новообразование грушевидного синуса', 'C12', 1003, 'C00-C14', 0, 'Грушевидной ямки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1071, 'Злокачественное новообразование нижней части глотки', 'C13', 1003, 'C00-C14', 5, 'Исключено: грушевидного синуса (C12)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1072, 'Заперстневидной области', 'C13.0', 1071, 'C13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1073, 'Черпалонадгортанной складки нижней части глотки', 'C13.1', 1071, 'C13', 0, 'Черпалонадгортанной складки: . БДУ . краевой зоны Исключено: черпалонадгортанной складки гортанной части (C32.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1074, 'Задней стенки нижней части глотки', 'C13.2', 1071, 'C13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1075, 'Поражение нижней части глотки, выходящее за пределы одной и более вышеуказанных локализаций', 'C13.8', 1071, 'C13', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1076, 'Нижней части глотки неуточненное', 'C13.9', 1071, 'C13', 0, 'Стенки нижней части глотки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1077, 'Злокачественное новообразование других и неточно обозначенных локализаций губы, полости рта и глотки', 'C14', 1003, 'C00-C14', 4, 'Исключено: полости рта БДУ (C06.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1078, 'Глотки неуточненное', 'C14.0', 1077, 'C14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1079, 'Гортаноглотки', 'C14.1', 1077, 'C14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1080, 'Глоточного кольца Вальдейера', 'C14.2', 1077, 'C14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1081, 'Поражение губы, полости рта и глотки, выходящее за пределы', 'C14.8', 1077, 'C14', 0, 'одной и более вышеуказанных локализаций [см. примечание 5 на с. 179] Злокачественное новообразование губы, полости рта и глотки, которое по месту возникновения не может быть отнесено ни к одной из рубрик С00-С14.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1083, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ ОРГАНОВ ПИЩЕВАРЕНИЯ', 'C15-C26', 1002, 'C00-C97', 12, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1084, 'Злокачественное новообразование пищевода', 'C15', 1083, 'C15-C26', 8, 'Примечание. Предлагаются две альтернативные субклассификации: .0-.2 по анатомическому описанию .3-.5 по третям органа Это отклонение от принципа, согласно которому рубрики должны быть взаимоисключающими, является преднамеренным, поскольку употребляются обе терминологические формы, однако выделенные анатомические области не являются сходными.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1085, 'Шейного отдела пищевода', 'C15.0', 1084, 'C15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1086, 'Грудного отдела пищевода', 'C15.1', 1084, 'C15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1087, 'Абдоминального отдела пищевода', 'C15.2', 1084, 'C15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1088, 'Верхней трети пищевода', 'C15.3', 1084, 'C15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1089, 'Средней трети пищевода', 'C15.4', 1084, 'C15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1090, 'Нижней трети пищевода', 'C15.5', 1084, 'C15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1091, 'Поражение пищевода, выходящее за пределы одной и более', 'C15.8', 1084, 'C15', 0, 'вышеуказанных локализаций [см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1092, 'Пищевода неуточненное', 'C15.9', 1084, 'C15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1093, 'Злокачественное новообразование желудка', 'C16', 1083, 'C15-C26', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1094, 'Кардии', 'C16.0', 1093, 'C16', 0, 'Кардиального отверстия Кардиально-пищеводного соединения Гастропищеводного соединения Пищевода и желудка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1095, 'Дна желудка', 'C16.1', 1093, 'C16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1096, 'Тела желудка', 'C16.2', 1093, 'C16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1097, 'Преддверия привратника', 'C16.3', 1093, 'C16', 0, 'Преддверия желудка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1098, 'Привратника', 'C16.4', 1093, 'C16', 0, 'Предпривратника Канала привратника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1099, 'Малой кривизны желудка неуточненной части', 'C16.5', 1093, 'C16', 0, 'Малой кривизны желудка, не классифицированное в подрубриках С16.1-С16.4');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1100, 'Большой кривизны желудка неуточненной части', 'C16.6', 1093, 'C16', 0, 'Большой кривизны желудка, не классифицированное в подрубриках С16.0-16.4');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1101, 'Поражение желудка, выходящее за пределы одной и более', 'C16.8', 1093, 'C16', 0, 'вышеуказанных локализаций [см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1102, 'Желудка неуточненной локализации', 'C16.9', 1093, 'C16', 0, 'Карцинома желудка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1103, 'Злокачественное новообразование тонкого кишечника', 'C17', 1083, 'C15-C26', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1104, 'Двенадцатиперстной кишки', 'C17.0', 1103, 'C17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1105, 'Тощей кишки', 'C17.1', 1103, 'C17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1106, 'Подвздошной кишки', 'C17.2', 1103, 'C17', 0, 'Исключено: илеоцекального клапана (C18.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1107, 'Дивертикула Меккеля', 'C17.3', 1103, 'C17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1108, 'Поражение тонкого кишечника, выходящее за пределы одной', 'C17.8', 1103, 'C17', 0, 'и более вышеуказанных локализаций [см. примечание 5 на с. 179]');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1109, 'Тонкого кишечника неуточненной локализации', 'C17.9', 1103, 'C17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1110, 'Злокачественное новообразование ободочной кишки', 'C18', 1083, 'C15-C26', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1111, 'Слепой кишки', 'C18.0', 1110, 'C18', 0, 'Илеоцекального клапана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1112, 'Червеобразного отростка', 'C18.1', 1110, 'C18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1113, 'Восходящей ободочной кишки', 'C18.2', 1110, 'C18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1114, 'Печеночного изгиба', 'C18.3', 1110, 'C18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1115, 'Поперечной ободочной кишки', 'C18.4', 1110, 'C18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1116, 'Селезеночного изгиба', 'C18.5', 1110, 'C18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1117, 'Нисходящей ободочной кишки', 'C18.6', 1110, 'C18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1118, 'Сигмовидной кишки', 'C18.7', 1110, 'C18', 0, 'Сигмоида (изгиба) Исключено: ректосигмоидного соединения (C19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1119, 'Поражение ободочной кишки, выходящее за пределы одной и более вышеуказанных локализаций', 'C18.8', 1110, 'C18', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1120, 'Ободочной кишки неуточненной локализации', 'C18.9', 1110, 'C18', 0, 'Толстой кишки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1121, 'Злокачественное новообразование ректосигмоидного соединения', 'C19', 1083, 'C15-C26', 0, 'Ободочной и прямой кишки Ректосигмоидного отдела (ободочной кишки)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1122, 'Злокачественное новообразование прямой кишки', 'C20', 1083, 'C15-C26', 0, 'Ампулы прямой кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1123, 'Злокачественное новообразование заднего прохода [ануса] и анального канала', 'C21', 1083, 'C15-C26', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1124, 'Заднего прохода неуточненной локализации', 'C21.0', 1123, 'C21', 0, 'Исключено: анального отдела: . края (C43.5, C44.5) . кожи (C43.5, C44.5) кожи перианальной области (C43.5, C44.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1125, 'Анального канала', 'C21.1', 1123, 'C21', 0, 'Анального сфинктера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1126, 'Клоакогенной зоны', 'C21.2', 1123, 'C21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1127, 'Поражение прямой кишки, заднего прохода [ануса] и анального канала, выходящее за  пределы одной и более вышеуказанных локализаций', 'C21.8', 1123, 'C21', 0, '[см. примечание 5 на с. 179] Аноректального соединения Аноректальной области Злокачественное новообразование прямой кишки, заднего прохода [ануса] и анального канала, которое по месту возникновения не может быть отнесено ни к одной из рубрик С20-С21.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1128, 'Злокачественное новообразование печени и внутрипеченочных желчных протоков', 'C22', 1083, 'C15-C26', 7, 'Исключены: желчных путей БДУ (C24.9) вторичное злокачественное новообразование печени (C78.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1129, 'Печеночноклеточный рак', 'C22.0', 1128, 'C22', 0, 'Гепатоцеллюлярный рак Гепатома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1130, 'Рак внутрипеченочного желчного протока', 'C22.1', 1128, 'C22', 0, 'Холангиокарцинома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1131, 'Гепатобластома', 'C22.2', 1128, 'C22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1132, 'Ангиосаркома печени', 'C22.3', 1128, 'C22', 0, 'Саркома из купферовских клеток');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1133, 'Другие саркомы печени', 'C22.4', 1128, 'C22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1134, 'Другие уточненные раки печени', 'C22.7', 1128, 'C22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1135, 'Злокачественное новообразование печени неуточненное', 'C22.9', 1128, 'C22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1136, 'Злокачественное новообразование желчного пузыря', 'C23', 1083, 'C15-C26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1137, 'Злокачественное новообразование других и неуточненных частей желчевыводящих путей', 'C24', 1083, 'C15-C26', 4, 'Исключено: внутрипеченочного желчного протока (C22.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1138, 'Внепеченочного желчного протока', 'C24.0', 1137, 'C24', 0, 'Желчного протока или прохода БДУ Общего желчного протока Пузырного протока Печеночного протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1139, 'Ампулы фатерова сосочка', 'C24.1', 1137, 'C24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1140, 'Поражение желчных путей, выходящее за пределы одной и более вышеуказанных локализаций', 'C24.8', 1137, 'C24', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование, захватывающее внутрипеченочные и внепеченочные желчные протоки Злокачественное новообразование желчных путей, которое по месту возникновения не может быть отнесено ни к одной из рубрик С22.0-С24.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1141, 'Желчных путей неуточненное', 'C24.9', 1137, 'C24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1142, 'Злокачественное новообразование поджелудочной железы', 'C25', 1083, 'C15-C26', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1143, 'Головки поджелудочной железы', 'C25.0', 1142, 'C25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1144, 'Тела поджелудочной железы', 'C25.1', 1142, 'C25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1145, 'Хвоста поджелудочной железы', 'C25.2', 1142, 'C25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1146, 'Протока поджелудочной железы', 'C25.3', 1142, 'C25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1147, 'Островковых клеток поджелудочной железы', 'C25.4', 1142, 'C25', 0, 'Островков Лангерганса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1148, 'Других частей поджелудочной железы', 'C25.7', 1142, 'C25', 0, 'Шейки поджелудочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1149, 'Поражение поджелудочной железы, выходящее за пределы одной и более вышеуказанных локализаций', 'C25.8', 1142, 'C25', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1150, 'Поджелудочной железы неуточненное', 'C25.9', 1142, 'C25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1151, 'Злокачественное новообразование других и неточно обозначенных органов пищеварения', 'C26', 1083, 'C15-C26', 4, 'Исключено: брюшины и забрюшинного пространства (C48.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1152, 'Кишечного тракта неуточненной части', 'C26.0', 1151, 'C26', 0, 'Кишечника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1153, 'Селезенки', 'C26.1', 1151, 'C26', 0, 'Исключены: болезнь Ходжкина (C81.-) неходжкинская лимфома (C82-C85)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1154, 'Поражение органов пищеварения, выходящее за пределы одной и более вышеуказанных локализаций', 'C26.8', 1151, 'C26', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование органов пищеварения, которое по месту возникновения не может быть отнесено ни к одной из рубрик С15-С26.1 Исключено: кардиально-пищеводного соединения (C16.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1155, 'Неточно обозначенные локализации в пределах пищеварительной системы', 'C26.9', 1151, 'C26', 0, 'Пищеварительного канала или тракта БДУ Желудочно-кишечного тракта БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1157, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ ОРГАНОВ ДЫХАНИЯ И ГРУДНОЙ КЛЕТКИ', 'C30-C39', 1002, 'C00-C97', 8, 'Включены: среднего уха\nИсключены: мезотелиома (C45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1158, 'Злокачественное новообразование полости носа и среднего уха', 'C30', 1157, 'C30-C39', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1159, 'Полости носа', 'C30.0', 1158, 'C30', 0, 'Хряща носа Раковин носовых Внутренней части носа Перегородки носа Преддверия носа Исключены: костей носа (C41.0) носа БДУ (C76.0) обонятельной луковицы (C72.2) заднего края носовой перегородки и хоан (C11.3) кожи носа (C43.3, C44.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1160, 'Среднего уха', 'C30.1', 1158, 'C30', 0, 'Евстахиевой трубы Внутреннего уха Ячеек сосцевидного отростка Исключены: слухового прохода (наружного) (C43.2, С44.2) костей уха (прохода) (C41.0) хряща уха (C49.0) кожи (наружного) уха (C43.2, C44.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1161, 'Злокачественное новообразование придаточных пазух', 'C31', 1157, 'C30-C39', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1162, 'Верхнечелюстной пазухи', 'C31.0', 1161, 'C31', 0, 'Пазухи (гайморовой) (верхнечелюстной)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1163, 'Решетчатой пазухи', 'C31.1', 1161, 'C31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1164, 'Лобной пазухи', 'C31.2', 1161, 'C31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1165, 'Клиновидной пазухи', 'C31.3', 1161, 'C31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1166, 'Поражение придаточных пазух, выходящее за пределы одной', 'C31.8', 1161, 'C31', 0, 'и более вышеуказанных локализаций [см. примечание 5 на с. 179]');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1167, 'Придаточной пазухи неуточненное', 'C31.9', 1161, 'C31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1168, 'Злокачественное новообразование гортани', 'C32', 1157, 'C30-C39', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1169, 'Собственно голосового аппарата', 'C32.0', 1168, 'C32', 0, 'Собственно гортани Голосовой складки (истинной) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1170, 'Над собственно голосовым аппаратом', 'C32.1', 1168, 'C32', 0, 'Черпалонадгортанной складки гортанной части Надгортанника (участника над подъязычной костью) БДУ Внегортанной части Ложных голосовых складок Задней (гортанной) поверхности надгортанника Желудочковой складки гортани Исключены: передней поверхности надгортанника (C10.1) черпалонадгортанной складки: . БДУ (C13.1) . нижнеглоточной части (C13.1) . краевой зоны (C13.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1171, 'Под собственно голосовым аппаратом', 'C32.2', 1168, 'C32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1172, 'Хрящей гортани', 'C32.3', 1168, 'C32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1173, 'Поражение гортани, выходящее за пределы одной и более вышеуказанных локализаций', 'C32.8', 1168, 'C32', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1174, 'Гортани неуточненное', 'C32.9', 1168, 'C32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1175, 'Злокачественное новообразование трахеи', 'C33', 1157, 'C30-C39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1176, 'Злокачественное новообразование бронхов и легкого', 'C34', 1157, 'C30-C39', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1177, 'Главных бронхов', 'C34.0', 1176, 'C34', 0, 'Киля трахеи Корня легкого');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1178, 'Верхней доли, бронхов или легкого', 'C34.1', 1176, 'C34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1179, 'Средней доли, бронхов или легкого', 'C34.2', 1176, 'C34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1180, 'Нижней доли, бронхов или легкого', 'C34.3', 1176, 'C34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1181, 'Поражение бронхов или легкого, выходящее за пределы одной и более вышеуказанных локализаций', 'C34.8', 1176, 'C34', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1182, 'Бронхов или легкого неуточненной локализации', 'C34.9', 1176, 'C34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1183, 'Злокачественное новообразование вилочковой железы', 'C37', 1157, 'C30-C39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1184, 'Злокачественное новообразование сердца, средостения и плевры', 'C38', 1157, 'C30-C39', 6, 'Исключена: мезотелиома (C45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1185, 'Сердца', 'C38.0', 1184, 'C38', 0, 'Перикарда Исключено: крупных сосудов (C49.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1186, 'Переднего средостения', 'C38.1', 1184, 'C38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1187, 'Заднего средостения', 'C38.2', 1184, 'C38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1188, 'Средостения неуточненной части', 'C38.3', 1184, 'C38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1189, 'Плевры', 'C38.4', 1184, 'C38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1190, 'Поражение сердца, средостения и плевры, выходящее за пределы одной и более вышеуказанных локализаций', 'C38.8', 1184, 'C38', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1191, 'Злокачественное новообразование других и неточно обозначенных локализаций органов дыхания и внутригрудных органов', 'C39', 1157, 'C30-C39', 3, 'Исключены: интраторакальное БДУ (C76.1) грудной клетки БДУ (C76.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1192, 'Верхних дыхательных путей неуточненной части', 'C39.0', 1191, 'C39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1193, 'Поражение органов дыхания и внутригрудных органов, выходящее за пределы одной и более вышеуказанных локализаций', 'C39.8', 1191, 'C39', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование органов дыхания и внутригрудных органов, которое по месту возникновения не может быть отнесено  ни к одной из рубрик С30-С39.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1194, 'Неточно обозначенных локализаций в пределах органов дыхания', 'C39.9', 1191, 'C39', 0, 'Дыхательных путей БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1196, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ КОСТЕЙ И СУСТАВНЫХ ХРЯЩЕЙ', 'C40-C41', 1002, 'C00-C97', 2, 'Исключены: костного мозга БДУ (C96.7) синовиальной оболочки (C49.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1197, 'Злокачественное новообразование костей и суставных хрящей', 'C40', 1196, 'C40-C41', 6, 'конечностей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1198, 'Лопатки и длинных костей верхней конечности', 'C40.0', 1197, 'C40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1199, 'Коротких костей верхней конечности', 'C40.1', 1197, 'C40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1200, 'Длинных костей нижней конечности', 'C40.2', 1197, 'C40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1201, 'Коротких костей нижней конечности', 'C40.3', 1197, 'C40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1202, 'Поражение костей и суставных хрящей конечностей, выходящее за пределы одной и более вышеуказанных локализаций', 'C40.8', 1197, 'C40', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1203, 'Костей и суставных хрящей конечности неуточненной локализации', 'C40.9', 1197, 'C40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1204, 'Злокачественное новообразование костей и суставных хрящей  других и неуточненных локализаций', 'C41', 1196, 'C40-C41', 7, 'Исключены: костей конечностей (C40.-) хрящей: . уха (C49.0) . гортани (C32.3) . конечностей (C40.-) . носа (C30.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1205, 'Костей черепа и лица', 'C41.0', 1204, 'C41', 0, 'Челюсти (верхней) Костей глазницы Исключены: карцинома любого типа, кроме внутрикостной или одонтогенной: . верхнечелюстной пазухи (C31.0) . верхней челюсти (C03.0) челюсти (нижней) костной части (C41.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1206, 'Нижней челюсти', 'C41.1', 1204, 'C41', 0, 'Нижней челюсти костной части Исключены: карцинома любого типа, кроме внутрикостной или одонтогенной: . челюсти БДУ (C03.9) . нижней (C03.1) верхней челюсти костной части (C41.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1207, 'Позвоночного столба', 'C41.2', 1204, 'C41', 0, 'Исключено: крестца и копчика (C41.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1208, 'Ребер, грудины и ключицы', 'C41.3', 1204, 'C41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1209, 'Костей таза, крестца и копчика', 'C41.4', 1204, 'C41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1210, 'Поражение костей и суставных хрящей, выходящее за пределы одной и более вышеуказанных локализаций', 'C41.8', 1204, 'C41', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование костей и суставных хрящей, которое по месту возникновения не может быть отнесено ни к  одной из рубрик С40-С41.4');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1211, 'Костей и суставных хрящей неуточненное', 'C41.9', 1204, 'C41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1213, 'МЕЛАНОМА И ДРУГИЕ ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ КОЖИ', 'C43-C44', 1002, 'C00-C97', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1214, 'Злокачественная меланома кожи', 'C43', 1213, 'C43-C44', 10, 'Включены: морфологические коды M872-M879 с кодом характера новообразования /3 Исключена: злокачественная меланома кожи половых органов (C51-C52, C60.-, C63.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1215, 'Злокачественная меланома губы', 'C43.0', 1214, 'C43', 0, 'Исключена: красной каймы губы (C00.0-C00.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1216, 'Злокачественная меланома века, включая спайку век', 'C43.1', 1214, 'C43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1217, 'Злокачественная меланома уха и наружного слухового прохода', 'C43.2', 1214, 'C43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1218, 'Злокачественная меланома других и неуточненных частей лица', 'C43.3', 1214, 'C43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1219, 'Злокачественная меланома волосистой части головы и шеи', 'C43.4', 1214, 'C43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1220, 'Злокачественная меланома туловища', 'C43.5', 1214, 'C43', 0, 'Анального отдела: . края . кожи Кожи перианальной области Кожи грудной железы Исключена: заднего прохода [ануса] БДУ (C21.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1221, 'Злокачественная меланома верхней конечности, включая', 'C43.6', 1214, 'C43', 0, 'область плечевого сустава');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1222, 'Злокачественная меланома нижней конечности, включая', 'C43.7', 1214, 'C43', 0, 'область тазобедренного сустава');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1223, 'Злокачественная меланома кожи, выходящая за пределы одной', 'C43.8', 1214, 'C43', 0, 'и более вышеуказанных локализаций [см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1224, 'Злокачественная меланома кожи неуточненная', 'C43.9', 1214, 'C43', 0, 'Меланома (злокачественная) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1225, 'Другие злокачественные новообразования кожи', 'C44', 1213, 'C43-C44', 10, 'Включены: злокачественные новообразования: . сальных желез . потовых желез Исключены: саркома Капоши (C46.-) злокачественная меланома кожи (C43.-) кожи половых органов (C51-C52, C60.-, C63.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1226, 'Кожи губы', 'C44.0', 1225, 'C44', 0, 'Базально-клеточный рак губы Исключены: злокачественные новообразования губы (C00.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1227, 'Кожи века, включая спайку век', 'C44.1', 1225, 'C44', 0, 'Исключены: соединительной ткани века (C49.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1228, 'Кожи уха и наружного слухового прохода', 'C44.2', 1225, 'C44', 0, 'Исключены: соединительной ткани уха (C49.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1229, 'Кожи других и неуточненных частей лица', 'C44.3', 1225, 'C44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1230, 'Кожи волосистой части головы и шеи', 'C44.4', 1225, 'C44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1231, 'Кожи туловища', 'C44.5', 1225, 'C44', 0, 'Анального отдела: . края . кожи Кожи перианальной области Кожи грудной железы Исключены: заднего прохода [ануса] БДУ (C21.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1232, 'Кожи верхней конечности, включая область плечевого пояса', 'C44.6', 1225, 'C44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1233, 'Кожи нижней конечности, включая тазобедренную область', 'C44.7', 1225, 'C44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1234, 'Поражения кожи, выходящие за пределы одной и более выше-', 'C44.8', 1225, 'C44', 0, 'указанных локализаций [см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1235, 'Злокачественные новообразования кожи неуточненной области', 'C44.9', 1225, 'C44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1237, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ МЕЗОТЕЛИАЛЬНОЙ И МЯГКИХ ТКАНЕЙ', 'C45-C49', 1002, 'C00-C97', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1238, 'Мезотелиома', 'C45', 1237, 'C45-C49', 5, 'Включен: морфологический код M905 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1239, 'Мезотелиома плевры', 'C45.0', 1238, 'C45', 0, 'Исключены: другие злокачественные новообразования плевры (C38.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1240, 'Мезотелиома брюшины', 'C45.1', 1238, 'C45', 0, 'Брыжейки Брыжейки ободочной кишки Сальника Брюшины (париетальной) (тазовой) Исключены: другие злокачественные новообразования брюшины (C48.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1241, 'Мезотелиома перикарда', 'C45.2', 1238, 'C45', 0, 'Исключены: другие злокачественные новообразования перикарда (C38.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1242, 'Мезотелиома других локализаций', 'C45.7', 1238, 'C45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1243, 'Мезотелиома неуточненная', 'C45.9', 1238, 'C45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1244, 'Саркома Капоши', 'C46', 1237, 'C45-C49', 7, 'Включен: морфологический код M9140 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1245, 'Саркома Капоши кожи', 'C46.0', 1244, 'C46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1246, 'Саркома Капоши мягких тканей', 'C46.1', 1244, 'C46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1247, 'Саркома Капоши неба', 'C46.2', 1244, 'C46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1248, 'Саркома Капоши лимфатических узлов', 'C46.3', 1244, 'C46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1249, 'Саркома Капоши других локализаций', 'C46.7', 1244, 'C46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1250, 'Саркома Капоши множественных органов', 'C46.8', 1244, 'C46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1251, 'Саркома Капоши неуточненной локализации', 'C46.9', 1244, 'C46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1252, 'Злокачественное новообразование периферических нервов и вегетативной нервной системы', 'C47', 1237, 'C45-C49', 9, 'Включено: симпатических и парасимпатических нервов и ганглиев');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1253, 'Периферических нервов головы, лица и шеи', 'C47.0', 1252, 'C47', 0, 'Исключено: периферических нервов глазницы (C69.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1254, 'Периферических нервов верхней конечности, включая область плечевого пояса', 'C47.1', 1252, 'C47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1255, 'Периферических нервов нижней конечности, включая тазобедренную область', 'C47.2', 1252, 'C47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1256, 'Периферических нервов грудной клетки', 'C47.3', 1252, 'C47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1257, 'Периферических нервов живота', 'C47.4', 1252, 'C47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1258, 'Периферических нервов таза', 'C47.5', 1252, 'C47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1259, 'Периферических нервов туловища неуточненное', 'C47.6', 1252, 'C47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1260, 'Поражение периферических нервов и вегетативной нервной системы, выходящее за пределы одной и более вышеуказанных локализаций', 'C47.8', 1252, 'C47', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1261, 'Периферических нервов и вегетативной нервной системы неуточненной локализации', 'C47.9', 1252, 'C47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1262, 'Злокачественное новообразование забрюшинного пространства и брюшины', 'C48', 1237, 'C45-C49', 4, 'Исключены: саркома Капоши (C46.1) мезотелиома (C45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1263, 'Забрюшинного пространства', 'C48.0', 1262, 'C48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1264, 'Уточненных частей брюшины', 'C48.1', 1262, 'C48', 0, 'Брыжейки Брыжейки поперечной ободочной кишки Сальника Брюшины . париетальной . тазовой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1265, 'Брюшины неуточненной части', 'C48.2', 1262, 'C48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1266, 'Поражение забрюшинного пространства и брюшины, выходящее за пределы одной и более вышеуказанных локализаций', 'C48.8', 1262, 'C48', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1267, 'Злокачественное новообразование других типов соединительной и мягких тканей', 'C49', 1237, 'C45-C49', 9, 'Включено: кровеносного сосуда суставной сумки хряща фасции жировой ткани связки, кроме маточной лимфатического сосуда мышцы синовильной оболочки сухожилия (сухожильного влагалища) Исключено: хряща: . суставного (C40-C41) . гортани (C32.3) . носа (C30.0) соединительной ткани молочной железы (C50.-) саркома Капоши (C46.-) мезотелиома (C45.-) периферических нервов и вегетативной нервной системы (C47.-) брюшины (C48.-) забрюшинного пространства (C48.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1268, 'Соединительной и мягких тканей головы, лица и шеи', 'C49.0', 1267, 'C49', 0, 'Соединительной ткани: . уха . века Исключено: соединительной ткани глазницы (C69.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1269, 'Соединительной и мягких тканей верхней конечности, включая область плечевого пояса', 'C49.1', 1267, 'C49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1270, 'Соединительной и мягких тканей нижней конечности, включая тазобедренную область', 'C49.2', 1267, 'C49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1271, 'Соединительной и мягких тканей грудной клетки', 'C49.3', 1267, 'C49', 0, 'Подмышечной впадины Диафрагмы Крупных сосудов Исключены: молочной железы (C50.-) сердца (C38.0) средостения (C38.1-C38.3) вилочковой железы [тимуса] (C37)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1272, 'Соединительной и мягких тканей живота', 'C49.4', 1267, 'C49', 0, 'Брюшной стенки Области подреберья');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1273, 'Соединительной и мягких тканей таза', 'C49.5', 1267, 'C49', 0, 'Ягодиц Паховой области Промежности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1274, 'Соединительной и мягких тканей туловища неуточненной локализации', 'C49.6', 1267, 'C49', 0, 'Спины БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1275, 'Поражение соединительной и мягких тканей, выходящее за пределы одной и более вышеуказанных локализаций', 'C49.8', 1267, 'C49', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование соединительной и мягких тканей, которое по месту возникновения не может быть отнесено ни к одной из рубрик С47-С49.6');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1276, 'Соединительной и мягких тканей неуточненной локализации', 'C49.9', 1267, 'C49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1277, 'ЗЛОКАЧЕСТВЕННОЕ НОВООБРАЗОВАНИЕ МОЛОЧНОЙ ЖЕЛЕЗЫ', 'C50', 1002, 'C00-C97', 1, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1278, 'Злокачественное новообразование молочной железы', 'C50', 1277, 'C50', 9, 'Включено: соединительной ткани и молочной железы Исключено: кожи молочной железы (C43.5, C44.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1279, 'Соска и ареолы', 'C50.0', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1280, 'Центральной части молочной железы', 'C50.1', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1281, 'Верхневнутреннего квадранта молочной железы', 'C50.2', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1282, 'Нижневнутреннего квадранта молочной железы', 'C50.3', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1283, 'Верхненаружного квадранта молочной железы', 'C50.4', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1284, 'Нижненаружного квадранта молочной железы', 'C50.5', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1285, 'Подмышечной задней части молочной железы', 'C50.6', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1286, 'Поражение молочной железы, выходящее за пределы одной и более вышеуказанных локализаций', 'C50.8', 1278, 'C50', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1287, 'Молочной железы неуточненной части', 'C50.9', 1278, 'C50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1289, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ ЖЕНСКИХ ПОЛОВЫХ ОРГАНОВ', 'C51-C58', 1002, 'C00-C97', 8, 'Включены: кожи женских половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1290, 'Злокачественное новообразование вульвы', 'C51', 1289, 'C51-C58', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1291, 'Большой срамной губы', 'C51.0', 1290, 'C51', 0, 'Бартолиновой (большой железы преддверия влагалища) железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1292, 'Малой срамной губы', 'C51.1', 1290, 'C51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1293, 'Клитора', 'C51.2', 1290, 'C51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1294, 'Поражение вульвы, выходящее за пределы одной и более вышеуказанных локализаций', 'C51.8', 1290, 'C51', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1295, 'Вульвы неуточненной части', 'C51.9', 1290, 'C51', 0, 'Наружных женских половых органов БДУ Срамной области');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1296, 'Злокачественное новообразование влагалища', 'C52', 1289, 'C51-C58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1297, 'Злокачественное новообразование шейки матки', 'C53', 1289, 'C51-C58', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1298, 'Внутренней части', 'C53.0', 1297, 'C53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1299, 'Наружной части', 'C53.1', 1297, 'C53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1300, 'Поражение шейки матки, выходящее за пределы одной и более вышеуказанных локализаций', 'C53.8', 1297, 'C53', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1301, 'Шейки матки неуточненной части', 'C53.9', 1297, 'C53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1302, 'Злокачественное новообразование тела матки', 'C54', 1289, 'C51-C58', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1303, 'Перешейка матки', 'C54.0', 1302, 'C54', 0, 'Нижнего сегмента матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1304, 'Эндометрия', 'C54.1', 1302, 'C54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1305, 'Миометрия', 'C54.2', 1302, 'C54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1306, 'Дна матки', 'C54.3', 1302, 'C54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1307, 'Поражение тела матки, выходящее за пределы одной и более вышеуказанных локализаций', 'C54.8', 1302, 'C54', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1308, 'Тела матки неуточненной локализации', 'C54.9', 1302, 'C54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1309, 'Злокачественное новообразование матки неуточненной локализации', 'C55', 1289, 'C51-C58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1310, 'Злокачественное новообразование яичника', 'C56', 1289, 'C51-C58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1311, 'Злокачественное новообразование других и неуточненных женских половых органов', 'C57', 1289, 'C51-C58', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1312, 'Фаллопиевой трубы', 'C57.0', 1311, 'C57', 0, 'Яйцевода Маточной трубы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1313, 'Широкой связки', 'C57.1', 1311, 'C57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1314, 'Круглой связки', 'C57.2', 1311, 'C57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1315, 'Параметрия', 'C57.3', 1311, 'C57', 0, 'Связки матки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1316, 'Придатков матки неуточненных', 'C57.4', 1311, 'C57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1317, 'Других уточненных женских половых органов', 'C57.7', 1311, 'C57', 0, 'Вольфова тела или протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1318, 'Поражение женских половых органов, выходящее за пределы одной и более вышеуказанных локализаций', 'C57.8', 1311, 'C57', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование женских половых органов, которое по месту возникновения не может быть отнесено ни к одной из рубрик С51-С57.7, С58 Трубно-яичниковые Маточно-яичниковые');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1319, 'Женских половых органов неуточненной локализации', 'C57.9', 1311, 'C57', 0, 'Мочеполового тракта у женщин БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1320, 'Злокачественное новообразование плаценты', 'C58', 1289, 'C51-C58', 0, 'Хорионкарцинома БДУ Хорионэпителиома БДУ Исключено: хорионаденома (деструирующая) (D39.2) пузырный занос: . БДУ (O01.9) . инвазивный (D39.2) . злокачественный (D39.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1322, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ МУЖСКИХ ПОЛОВЫХ ОРГАНОВ', 'C60-C63', 1002, 'C00-C97', 4, 'Включены: кожи мужских половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1323, 'Злокачественное новообразование полового члена', 'C60', 1322, 'C60-C63', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1324, 'Крайней плоти', 'C60.0', 1323, 'C60', 0, 'Препуциума');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1325, 'Головки полового члена', 'C60.1', 1323, 'C60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1326, 'Тела полового члена', 'C60.2', 1323, 'C60', 0, 'Пещеристого тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1327, 'Поражение полового члена, выходящее за пределы одной и более вышеуказанных локализаций', 'C60.8', 1323, 'C60', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1328, 'Полового члена неуточненной локализации', 'C60.9', 1323, 'C60', 0, 'Кожи полового члена БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1329, 'Злокачественное новообразование предстательной железы', 'C61', 1322, 'C60-C63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1330, 'Злокачественное новообразование яичка', 'C62', 1322, 'C60-C63', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1331, 'Неопустившегося яичка', 'C62.0', 1330, 'C62', 0, 'Эктопического яичка [локализации новообразования] Задержавшегося яичка [локализация новообразования]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1332, 'Опущенного яичка', 'C62.1', 1330, 'C62', 0, 'Яичка, находящегося в мошонке');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1333, 'Яичка неуточненное', 'C62.9', 1330, 'C62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1334, 'Злокачественное новообразование других и неуточненных мужских половых органов', 'C63', 1322, 'C60-C63', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1335, 'Придатка яичка', 'C63.0', 1334, 'C63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1336, 'Семенного канатика', 'C63.1', 1334, 'C63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1337, 'Мошонки', 'C63.2', 1334, 'C63', 0, 'Кожи мошонки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1338, 'Других уточненных мужских половых органов', 'C63.7', 1334, 'C63', 0, 'Семенных пузырьков Влагалищной оболочки яичка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1339, 'Поражение мужских половых органов, выходящее за пределы одной и более вышеуказанных локализаций', 'C63.8', 1334, 'C63', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование мухских половых органов, которое по месту возникновения не может быть отнесено ни к одной из рубрик С60-С63.7');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1340, 'Мужских половых органов неуточненной локализации', 'C63.9', 1334, 'C63', 0, 'Мочеполового тракта у мужчин БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1342, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ МОЧЕВЫХ ПУТЕЙ', 'C64-C68', 1002, 'C00-C97', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1343, 'Злокачественное новообразование почки, кроме почечной лоханки', 'C64', 1342, 'C64-C68', 0, 'Исключены: почечной: . чашки (C65) . лоханки (C65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1344, 'Злокачественное новообразование почечных лоханок', 'C65', 1342, 'C64-C68', 0, 'Лоханочно-мочеточникового соединения Почечных чашек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1345, 'Злокачественное новообразование мочеточника', 'C66', 1342, 'C64-C68', 0, 'Исключено: мочеточникового отверстия мочевого пузыря (C67.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1346, 'Злокачественное новообразование пузыря', 'C67', 1342, 'C64-C68', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1347, 'Треугольника мочевого пузыря', 'C67.0', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1348, 'Купола мочевого пузыря', 'C67.1', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1349, 'Боковой стенки мочевого пузыря', 'C67.2', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1350, 'Передней стенки мочевого пузыря', 'C67.3', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1351, 'Задней стенки мочевого пузыря', 'C67.4', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1352, 'Шейки мочевого пузыря', 'C67.5', 1346, 'C67', 0, 'Внутреннего уретрального отверстия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1353, 'Мочеточникового отверстия', 'C67.6', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1354, 'Первичного мочевого протока (урахуса)', 'C67.7', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1355, 'Поражение мочевого пузыря, выходящее за пределы одной', 'C67.8', 1346, 'C67', 0, 'и более вышеуказанных локализаций [см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1356, 'Мочевого пузыря неуточненной части', 'C67.9', 1346, 'C67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1357, 'Злокачественное новообразование других и неуточненных мочевых органов', 'C68', 1342, 'C64-C68', 4, 'Исключены: мочеполового тракта БДУ: . у женщин (C57.9) . у мужчин (C63.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1358, 'Уретры', 'C68.0', 1357, 'C68', 0, 'Исключено: уретрального отверстия мочевого пузыря (C67.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1359, 'Парауретральных желез', 'C68.1', 1357, 'C68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1360, 'Поражение мочевых органов, выходящее за пределы одной', 'C68.8', 1357, 'C68', 0, 'и более вышеуказанных локализаций [см. примечание 5 на с. 179] Злокачественное новообразование мочевых органов, которое по месту возникновения не может быть отнесено ни к одной из рубрик С64-С68.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1361, 'Мочевых органов неуточненное', 'C68.9', 1357, 'C68', 0, 'Мочевой системы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1363, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ ГЛАЗА, ГОЛОВНОГО МОЗГА И ДРУГИХ ОТДЕЛОВ ЦЕНТРАЛЬНОЙ НЕРВНОЙ СИСТЕМЫ', 'C69-C72', 1002, 'C00-C97', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1364, 'Злокачественное новообразование глаза и его придаточного аппарата', 'C69', 1363, 'C69-C72', 9, 'Исключены: соединительной ткани века (C49.0) века (кожи) (C43.1, C44.1) зрительного нерва (C72.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1365, 'Конъюнктивы', 'C69.0', 1364, 'C69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1366, 'Роговицы', 'C69.1', 1364, 'C69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1367, 'Сетчатки', 'C69.2', 1364, 'C69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1368, 'Сосудистой оболочки', 'C69.3', 1364, 'C69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1369, 'Ресничного [цилиарного] тела', 'C69.4', 1364, 'C69', 0, 'Глазного яблока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1370, 'Слезной железы и протока', 'C69.5', 1364, 'C69', 0, 'Слезного мешка Слезноносового протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1371, 'Глазницы', 'C69.6', 1364, 'C69', 0, 'Соединительной ткани глазницы Наружной глазной мышцы Периферических нервов глазницы Ретробульбарной ткани Ретроокулярной ткани Исключены: костей глазницы (C41.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1372, 'Поражение глаза и его придаточного аппарата, выходящее за пределы одной и более вышеуказанных локализаций', 'C69.8', 1364, 'C69', 0, '[см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1373, 'Глаза неуточненной части', 'C69.9', 1364, 'C69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1374, 'Злокачественное новообразование мозговых оболочек', 'C70', 1363, 'C69-C72', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1375, 'Оболочек головного мозга', 'C70.0', 1374, 'C70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1376, 'Оболочек спинного мозга', 'C70.1', 1374, 'C70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1377, 'Мозговых оболочек неуточненных', 'C70.9', 1374, 'C70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1378, 'Злокачественное новообразование головного мозга', 'C71', 1363, 'C69-C72', 10, 'Исключены: черепных нервов (C72.2-C72.5) ретробульбарной ткани (C69.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1379, 'Большого мозга, кроме долей и желудочков', 'C71.0', 1378, 'C71', 0, 'Мозолистого тела Над мозговым наметом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1380, 'Лобной доли', 'C71.1', 1378, 'C71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1381, 'Височной доли', 'C71.2', 1378, 'C71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1382, 'Теменной доли', 'C71.3', 1378, 'C71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1383, 'Затылочной доли', 'C71.4', 1378, 'C71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1384, 'Желудочка мозга', 'C71.5', 1378, 'C71', 0, 'Исключено: четвертого желудочка (C71.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1385, 'Мозжечка', 'C71.6', 1378, 'C71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1386, 'Ствола мозга', 'C71.7', 1378, 'C71', 0, 'Четвертого желудочка Под мозговым наметом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1387, 'Поражение, выходящее за пределы одной и более вышеука-', 'C71.8', 1378, 'C71', 0, 'занных локализаций головного мозга [см. примечание 5 на с. 179]');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1388, 'Головного мозга неуточненной локализации', 'C71.9', 1378, 'C71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1389, 'Злокачественное новообразование спинного мозга, черепных нервов и других отделов центральной нервной системы', 'C72', 1363, 'C69-C72', 8, 'Исключены: мозговых оболочек (C70.-) периферических нервов и вегетативной нервной системы (C47.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1390, 'Спинного мозга', 'C72.0', 1389, 'C72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1391, 'Конского хвоста', 'C72.1', 1389, 'C72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1392, 'Обонятельного нерва', 'C72.2', 1389, 'C72', 0, 'Обонятельной луковицы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1393, 'Зрительного нерва', 'C72.3', 1389, 'C72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1394, 'Слухового нерва', 'C72.4', 1389, 'C72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1395, 'Других и неуточненных черепных нервов', 'C72.5', 1389, 'C72', 0, 'Черепного нерва БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1396, 'Поражение спинного мозга и других отделов центральной нервной системы, выходящее за пределы одной и более вышеуказанных локализаций', 'C72.8', 1389, 'C72', 0, '[см. примечание 5 на с. 179] Злокачественное новообразование спинного мозга и других отделов центральной нервной системы, которое по месту возникновения не может быть отнесено ни к одной из рубрик С70-С72.5');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1397, 'Центральной нервной системы неуточненного отдела', 'C72.9', 1389, 'C72', 0, 'Нервной системы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1399, 'ЗЛОКАЧЕСТВЕННОЕ НОВООБРАЗОВАНИЕ ЩИТОВИДНОЙ ЖЕЛЕЗЫИ ДРУГИХ ЭНДОКРИННЫХ ЖЕЛЕЗ', 'C73-C75', 1002, 'C00-C97', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1400, 'Злокачественное новообразование щитовидной железы', 'C73', 1399, 'C73-C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1401, 'Злокачественное новообразование надпочечника', 'C74', 1399, 'C73-C75', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1402, 'Коры надпочечника', 'C74.0', 1401, 'C74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1403, 'Мозгового слоя надпочечника', 'C74.1', 1401, 'C74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1404, 'Надпочечника неуточненной части', 'C74.9', 1401, 'C74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1405, 'Злокачественное новообразование других эндокринных желез и родственных структур', 'C75', 1399, 'C73-C75', 8, 'Исключены: надпочечника (C74.-) островковых клеток поджелудочной железы (C25.4) яичника (C56) яичка (C62.-) вилочковой железы [тимуса] (C37) щитовидной железы (C73)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1406, 'Паращитовидной [околощитовидной] железы', 'C75.0', 1405, 'C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1407, 'Гипофиза', 'C75.1', 1405, 'C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1408, 'Краниофарингеального протока', 'C75.2', 1405, 'C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1409, 'Шишковидной железы', 'C75.3', 1405, 'C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1410, 'Каротидного гломуса', 'C75.4', 1405, 'C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1411, 'Аортального гломуса и других параганглиев', 'C75.5', 1405, 'C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1412, 'Поражение более чем одной эндокринной железы неуточненное', 'C75.8', 1405, 'C75', 0, 'Примечание. Если локализации множественных поражений известны, они должны кодироваться раздельно.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1413, 'Эндокринной железы неуточненной', 'C75.9', 1405, 'C75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1415, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ НЕТОЧНО ОБОЗНАЧЕННЫХ, ВТОРИЧНЫХ И НЕУТОЧНЕННЫХ ЛОКАЛИЗАЦИЙ', 'C76-C80', 1002, 'C00-C97', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1416, 'Злокачественное новообразование других и неточно обозначенных локализаций', 'C76', 1415, 'C76-C80', 8, 'Исключены: злокачественное новообразование: . мочеполового тракта БДУ: . у женщин (C57.9) . у мужчин (C63.9) . лимфоидной, кроветворной и родственных им тканей (C81-C96) . неуточненной локализации (C80)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1417, 'Головы, лица и шеи', 'C76.0', 1416, 'C76', 0, 'Щеки БДУ Носа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1418, 'Грудной клетки', 'C76.1', 1416, 'C76', 0, 'Подмышечной впадины БДУ Интраторакальные БДУ Грудной клетки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1419, 'Живота', 'C76.2', 1416, 'C76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1420, 'Таза', 'C76.3', 1416, 'C76', 0, 'Паха БДУ Локализаций, выходящих за пределы системы внутри таза, таких, как: . ректовагинальной (перегородки) . ректовезикальной (перегородки)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1421, 'Верхней конечности', 'C76.4', 1416, 'C76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1422, 'Нижней конечности', 'C76.5', 1416, 'C76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1423, 'Других неуточненных локализаций', 'C76.7', 1416, 'C76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1424, 'Поражение других и неточно обозначенных локализаций, вы-', 'C76.8', 1416, 'C76', 0, 'ходящее за пределы одной и более вышеуказанных локализаций [см. примечание 5 на с. 179]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1425, 'Вторичное и неуточненное злокачественное новообразование лимфатических узлов', 'C77', 1415, 'C76-C80', 8, 'Исключены: злокачественные новообразования лимфатических узлов, уточненные как первичные (C81-C88, C96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1426, 'Лимфатических узлов головы, лица и шеи', 'C77.0', 1425, 'C77', 0, 'Надключичных лимфатических узлов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1427, 'Внутригрудных лимфатических узлов', 'C77.1', 1425, 'C77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1428, 'Внутрибрюшных лимфатических узлов', 'C77.2', 1425, 'C77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1429, 'Лимфатических узлов подмышечной впадины и верхней конеч-', 'C77.3', 1425, 'C77', 0, 'ности Грудных лимфатических узлов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1430, 'Лимфатических узлов паховой области и нижней конечности', 'C77.4', 1425, 'C77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1431, 'Внутритазовых лимфатических узлов', 'C77.5', 1425, 'C77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1432, 'Лимфатических узлов множественных локализаций', 'C77.8', 1425, 'C77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1433, 'Лимфатических узлов неуточненной локализации', 'C77.9', 1425, 'C77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1434, 'Вторичное злокачественное новообразование органов дыхания и пищеварения', 'C78', 1415, 'C76-C80', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1435, 'Вторичное злокачественное новообразование легкого', 'C78.0', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1436, 'Вторичное злокачественное новообразование средостения', 'C78.1', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1437, 'Вторичное злокачественное новообразование плевры', 'C78.2', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1438, 'Вторичное злокачественное новообразование других и не уточненных органов дыхания', 'C78.3', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1439, 'Вторичное злокачественное новообразование тонкого кишечника', 'C78.4', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1440, 'Вторичное злокачественное новообразование толстого кишечника и прямой кишки', 'C78.5', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1441, 'Вторичное злокачественное новообразование забрюшинного пространства и брюшины', 'C78.6', 1434, 'C78', 0, 'Злокачественный асцит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1442, 'Вторичное злокачественное новообразование печени', 'C78.7', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1443, 'Вторичное злокачественное новообразование других и неуточненных органов пищеварения', 'C78.8', 1434, 'C78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1444, 'Вторичное злокачественное новообразование других локализаций', 'C79', 1415, 'C76-C80', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1445, 'Вторичное злокачественное новообразование почки и почечных лоханок', 'C79.0', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1446, 'Вторичное злокачественное новообразование мочевого пузыря, других и неуточненных мочевых органов', 'C79.1', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1447, 'Вторичное злокачественное новообразование кожи', 'C79.2', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1448, 'Вторичное злокачественное новообразование головного мозга и мозговых оболочек', 'C79.3', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1449, 'Вторичное злокачественное новообразование других и неуточненных отделов нервной системы', 'C79.4', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1450, 'Вторичное злокачественное новообразование костей и костного мозга', 'C79.5', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1451, 'Вторичное злокачественное новообразование яичника', 'C79.6', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1452, 'Вторичное злокачественное новообразование надпочечника', 'C79.7', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1453, 'Вторичное злокачественное новообразование других уточненных локализаций', 'C79.8', 1444, 'C79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1454, 'Злокачественное новообразование без уточнения локализации', 'C80', 1415, 'C76-C80', 0, 'Рак } Карцинома } Карциноматоз } неуточненной Генерализованный(ое): } локализации . рак } (первичное) . злокачественное новообразование } (вторичное) Злокачественное новообразование } Множественный рак } Злокачественная кахексия Первичная локализация неизвестна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1456, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ ЛИМФОИДНОЙ, КРОВЕТВОРНОЙ И РОДСТВЕННЫХ ИМ ТКАНЕЙ', 'C81-C96', 1002, 'C00-C97', 13, 'Примечание. Термины, используемые в рубриках С82-С85 для неходжкинских лимфом, представляют рабочую классификацию, в которой предприняты попытки найти общую основу нескольких главных классификационных схем. Термины, используемые в этих схемах, не даются в основном перечне рубрик, но представлены в Алфавитном указателе; полное отождествление с терминами основного перечня не всегда возможно.\nВключены: морфологические коды M959-M994 с кодом характера новообразования /3\nИсключены: вторичные и неуточненные новообразования лимфатических узлов (C77.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1457, 'Болезнь Ходжкина [лимфогранулематоз]', 'C81', 1456, 'C81-C96', 6, 'Включены: морфологические коды M965-M966 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1458, 'Лимфоидное преобладание', 'C81.0', 1457, 'C81', 0, 'Лимфогистиоцитарное преобладание');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1459, 'Нодулярный склероз', 'C81.1', 1457, 'C81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1460, 'Смешанно-клеточный вариант', 'C81.2', 1457, 'C81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1461, 'Лимфоидное истощение', 'C81.3', 1457, 'C81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1462, 'Другие формы болезни Ходжкина', 'C81.7', 1457, 'C81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1463, 'Болезнь Ходжкина неуточненная', 'C81.9', 1457, 'C81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1464, 'Фолликулярная [нодулярная] неходжкинская лимфома', 'C82', 1456, 'C81-C96', 5, 'Включены: фолликулярная неходжкинская лимфома с диффузными областями или без них морфологический код M969 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1465, 'Мелкоклеточная с расщепленными ядрами, фолликулярная', 'C82.0', 1464, 'C82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1466, 'Смешанная, мелкоклеточная с расщепленными ядрами и круп-', 'C82.1', 1464, 'C82', 0, 'ноклеточная, фолликулярная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1467, 'Крупноклеточная, фолликулярная', 'C82.2', 1464, 'C82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1468, 'Другие типы фолликулярной неходжкинской лимфомы', 'C82.7', 1464, 'C82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1469, 'Фолликулярная неходжкинская лимфома неуточненная', 'C82.9', 1464, 'C82', 0, 'Нодулярная неходжкинская лимфома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1470, 'Диффузная неходжкинская лимфома', 'C83', 1456, 'C81-C96', 10, 'Включены: морфологические коды M9593, M9595, M967-M968  с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1471, 'Мелкоклеточная (диффузная)', 'C83.0', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1472, 'Мелкоклеточная с расщепленными ядрами (диффузная)', 'C83.1', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1473, 'Смешанная мелко- и крупноклеточная (диффузная)', 'C83.2', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1474, 'Крупноклеточная (диффузная)', 'C83.3', 1470, 'C83', 0, 'Ретикулосаркома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1475, 'Иммунобластная (диффузная)', 'C83.4', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1476, 'Лимфобластная (диффузная)', 'C83.5', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1477, 'Недифференцированная (диффузная)', 'C83.6', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1478, 'Опухоль Беркитта', 'C83.7', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1479, 'Другие типы диффузных неходжкинских лимфом', 'C83.8', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1480, 'Диффузная неходжкинская лимфома неуточненная', 'C83.9', 1470, 'C83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1481, 'Периферические и кожные T-клеточные лимфомы', 'C84', 1456, 'C81-C96', 6, 'Включен: морфологический код M970 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1482, 'Грибовидный микоз', 'C84.0', 1481, 'C84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1483, 'Болезнь Сезари', 'C84.1', 1481, 'C84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1484, 'Лимфома T-зоны', 'C84.2', 1481, 'C84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1485, 'Лимфоэпителиоидная лимфома', 'C84.3', 1481, 'C84', 0, 'Лимфома Леннерта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1486, 'Периферическая T-клеточная лимфома', 'C84.4', 1481, 'C84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1487, 'Другие и неуточненные T-клеточные лимфомы', 'C84.5', 1481, 'C84', 0, 'Примечание. Если T-клеточное происхождение или вовлечение упоминается в связи со специфической лимфомой, следует кодировать более специфическое описание.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1488, 'Другие и неуточненные типы неходжкинской лимфомы', 'C85', 1456, 'C81-C96', 4, 'Включены: морфологические коды M9590-M9592, M9594, M971 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1489, 'Лимфосаркома', 'C85.0', 1488, 'C85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1490, 'B-клеточная лимфома неуточненная', 'C85.1', 1488, 'C85', 0, 'Примечание. Если B-клеточное происхождение или вовлечение упоминается в связи со специфической лимфомой, следует кодировать более специфическое описание.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1491, 'Другие уточненные типы неходжкинской лимфомы', 'C85.7', 1488, 'C85', 0, 'Злокачественный: . ретикулоэндотелиоз . ретикулез Микроглиома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1492, 'Неходжкинская лимфома неуточненного типа', 'C85.9', 1488, 'C85', 0, 'Лимфома БДУ Злокачественная лимфома БДУ Неходжкинская лимфома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1493, 'Злокачественные иммунопролиферативные болезни', 'C88', 1456, 'C81-C96', 6, 'Включен: морфологический код M976 с кодом характера новообразования /3');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1494, 'Макроглобулинемия Вальденстрема', 'C88.0', 1493, 'C88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1495, 'Болезнь альфа-тяжелых цепей', 'C88.1', 1493, 'C88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1496, 'Болезнь гамма-тяжелых цепей', 'C88.2', 1493, 'C88', 0, 'Болезнь Франклина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1497, 'Иммунопролиферативная болезнь тонкого кишечника', 'C88.3', 1493, 'C88', 0, 'Средиземноморская лимфома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1498, 'Другие злокачественные иммунопролиферативные болезни', 'C88.7', 1493, 'C88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1499, 'Злокачественные иммунопролиферативные болезни неуточненные', 'C88.9', 1493, 'C88', 0, 'Иммунопролиферативная болезнь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1500, 'Множественная миелома и злокачественные плазмоклеточные ново образования', 'C90', 1456, 'C81-C96', 3, 'Включены: морфологические коды M973, M9830 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1501, 'Множественная миелома', 'C90.0', 1500, 'C90', 0, 'Болезнь Калера Миеломатоз Исключена: солитарная миелома (C90.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1502, 'Плазмоклеточный лейкоз', 'C90.1', 1500, 'C90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1503, 'Плазмоцитома экстрамедуллярная', 'C90.2', 1500, 'C90', 0, 'Злокачественная плазмоклеточная опухоль БДУ Плазмоцитома БДУ Солитарная миелома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1504, 'Лимфоидный лейкоз [лимфолейкоз]', 'C91', 1456, 'C81-C96', 8, 'Включены: морфологические коды M982, M9940-M9941 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1505, 'Острый лимфобластный лейкоз', 'C91.0', 1504, 'C91', 0, 'Исключено: обострение хронического лимфоцитарного лейкоза (C91.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1506, 'Хронический лимфоцитарный лейкоз', 'C91.1', 1504, 'C91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1507, 'Подострый лимфоцитарный лейкоз', 'C91.2', 1504, 'C91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1508, 'Пролимфоцитарный лейкоз', 'C91.3', 1504, 'C91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1509, 'Волосатоклеточный лейкоз', 'C91.4', 1504, 'C91', 0, 'Лейкемический ретикулоэндотелиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1510, 'T-клеточный лейкоз взрослых', 'C91.5', 1504, 'C91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1511, 'Другой уточненный лимфоидный лейкоз', 'C91.7', 1504, 'C91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1512, 'Лимфоидный лейкоз неуточненный', 'C91.9', 1504, 'C91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1513, 'Миелоидный лейкоз [миелолейкоз]', 'C92', 1456, 'C81-C96', 8, 'Включены: лейкоз: . гранулоцитарный . миелогенный морфологические коды M986-M988, M9930 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1514, 'Острый миелоидный лейкоз', 'C92.0', 1513, 'C92', 0, 'Исключение: обострение хронического миелоидного лейкоза (C92.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1515, 'Хронический миелоидный лейкоз', 'C92.1', 1513, 'C92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1516, 'Подострый миелоидный лейкоз', 'C92.2', 1513, 'C92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1517, 'Миелоидная саркома', 'C92.3', 1513, 'C92', 0, 'Хлорома Гранулоцитарная саркома');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1518, 'Острый промиелоцитарный лейкоз', 'C92.4', 1513, 'C92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1519, 'Острый миеломоноцитарный лейкоз', 'C92.5', 1513, 'C92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1520, 'Другой миелоидный лейкоз', 'C92.7', 1513, 'C92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1521, 'Миелоидный лейкоз неуточненный', 'C92.9', 1513, 'C92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1522, 'Моноцитарный лейкоз', 'C93', 1456, 'C81-C96', 5, 'Включены: моноцитоидный лейкоз морфологический код M989 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1523, 'Острый моноцитарный лейкоз', 'C93.0', 1522, 'C93', 0, 'Исключено: обострение хронического моноцитарного лейкоза (C93.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1524, 'Хронический моноцитарный лейкоз', 'C93.1', 1522, 'C93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1525, 'Подострый моноцитарный лейкоз', 'C93.2', 1522, 'C93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1526, 'Другой моноцитарный лейкоз', 'C93.7', 1522, 'C93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1527, 'Моноцитарный лейкоз неуточненный', 'C93.9', 1522, 'C93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1528, 'Другой лейкоз уточненного клеточного типа', 'C94', 1456, 'C81-C96', 7, 'Включены: морфологические коды M984, M9850, M9900, M9910, M9931-M9932 с кодом характера новообразования /3 Исключены: лейкемический ретикулоэндотелиоз (C91.4) плазмоклеточный лейкоз (C90.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1529, 'Острая эритремия и эритролейкоз', 'C94.0', 1528, 'C94', 0, 'Острый эритремический миелоз Болезнь Ди Гульельмо');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1530, 'Хроническая эритремия', 'C94.1', 1528, 'C94', 0, 'Болезнь Хейльмейера-Шенера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1531, 'Острый мегакариобластный лейкоз', 'C94.2', 1528, 'C94', 0, 'Лейкоз: . мегакариобластный (острый) . мегакариоцитарный (острый)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1532, 'Тучноклеточный лейкоз', 'C94.3', 1528, 'C94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1533, 'Острый панмиелоз', 'C94.4', 1528, 'C94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1534, 'Острый миелофиброз', 'C94.5', 1528, 'C94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1535, 'Другой уточненный лейкоз', 'C94.7', 1528, 'C94', 0, 'Лимфосаркомоклеточный лейкоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1536, 'Лейкоз неуточненного клеточного типа', 'C95', 1456, 'C81-C96', 5, 'Включен: морфологический код M980 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1537, 'Острый лейкоз неуточненного клеточного типа', 'C95.0', 1536, 'C95', 0, 'Бластоклеточный лейкоз Стволовоклеточный лейкоз Исключено: обострение неуточненного хронического лейкоза (C95.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1538, 'Хронический лейкоз неуточненного клеточного типа', 'C95.1', 1536, 'C95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1539, 'Подострый лейкоз неуточненного клеточного типа', 'C95.2', 1536, 'C95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1540, 'Другой лейкоз неуточненного клеточного типа', 'C95.7', 1536, 'C95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1541, 'Лейкоз неуточненный', 'C95.9', 1536, 'C95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1542, 'Другие и неуточненные злокачественные новообразования лимфоидной, кроветворной и родственных им тканей', 'C96', 1456, 'C81-C96', 6, 'Включены: морфологические коды M972, M974 с кодом характера новообразования /3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1543, 'Болезнь Леттерера-Сиве', 'C96.0', 1542, 'C96', 0, 'Нелипидный: . ретикулоэндотелиоз . ретикулез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1544, 'Злокачественный гистиоцитоз', 'C96.1', 1542, 'C96', 0, 'Гистиоцитарный медуллярный ретикулез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1545, 'Злокачественная тучноклеточная опухоль', 'C96.2', 1542, 'C96', 0, 'Злокачественная: . мастоцитома . мастоцитоз Тучноклеточная саркома Исключены: тучноклеточный лейкоз (C94.3) мастоцитоз (кожный) (Q82.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1546, 'Истинная гистиоцитарная лимфома', 'C96.3', 1542, 'C96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1547, 'Другие уточненные злокачественные новообразования лимфоидной, кроветворной и родственных им тканей', 'C96.7', 1542, 'C96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1548, 'Злокачественное новообразование лимфоидной, кроветворной и родственных им тканей неуточненное', 'C96.9', 1542, 'C96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1549, 'ЗЛОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ САМОСТОЯТЕЛЬНЫХ (ПЕРВИЧНЫХ) МНОЖЕСТВЕННЫХ ЛОКАЛИЗАЦИЙ', 'C97', 1002, 'C00-C97', 1, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1550, 'Злокачественное новообразование самостоятельных (первичных) множественных локализаций', 'C97', 1549, 'C97', 0, 'Примечание. При использовании этой категории следует руководствоваться правилами кодирования смертности и рекомендациями, изложенными в ч. 2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1553, 'НОВООБРАЗОВАНИЯ IN SITU', 'D00-D09', 1001, 'C00-D48', 9, 'Примечание. Многие новообразования in situ рассматриваются как последовательные морфологические изменения между дисплазией и инвазивным раком. Например, для цервикальной интраэпителиальной неоплазии (CIN) признаются три степени, из которых третья (CIN III) включает как выраженную дисплазию, так и карциному in situ. Эта система градаций распространена и на другие органы, например вульву и влагалище. Описание интраэпителиальной неоплазии III степени с указанием или без указания на тяжелую дисплазию представлены в этом разделе; градации I и II классифицируются как дисплазии вовлеченных систем органов и должны кодироваться по классам, соответствующим этим системам органов.\nВключены: болезнь Боуэна эритроплазия морфологические коды с кодом характера новообразования /2 эритроплазия Кейра');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1554, 'Карцинома in situ полости рта, пищевода и желудка', 'D00', 1553, 'D00-D09', 3, 'Исключена: меланома in situ (D03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1555, 'Губы, полости рта и глотки', 'D00.0', 1554, 'D00', 0, 'Черпалонадгортанные складки: . БДУ . нижнеглоточной части . краевой зоны Красной каймы губы Исключены: черпалонадгортанной складки гортанной части (D02.0) надгортанника: . БДУ (D02.0) . над подъязычной костью (D02.0) . кожи губы (D03.0, D04.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1556, 'Пищевода', 'D00.1', 1554, 'D00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1557, 'Желудка', 'D00.2', 1554, 'D00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1558, 'Карцинома in situ других и неуточненных органов пищеварения', 'D01', 1553, 'D00-D09', 8, 'Исключена: меланома in situ (D03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1559, 'Ободочной кишки', 'D01.0', 1558, 'D01', 0, 'Исключена: ректосигмоидного соединения (D01.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1560, 'Ректосигмоидного соединения', 'D01.1', 1558, 'D01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1561, 'Прямой кишки', 'D01.2', 1558, 'D01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1562, 'Заднего прохода [ануса] и анального канала', 'D01.3', 1558, 'D01', 0, 'Исключены: анального отдела: . края (D03.5, D04.5) . кожи (D03.5, D04.5) кожи перианальной области (D03.5, D04.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1563, 'Других и неуточненных частей кишечника', 'D01.4', 1558, 'D01', 0, 'Исключена: ампулы фатерова сосочка (D01.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1564, 'Печени, желчного пузыря и желчных протоков', 'D01.5', 1558, 'D01', 0, 'Ампулы фатерова сосочка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1565, 'Других уточненных органов пищеварения', 'D01.7', 1558, 'D01', 0, 'Поджелудочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1566, 'Органов пищеварения неуточненных', 'D01.9', 1558, 'D01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1567, 'Карцинома in situ среднего уха и органов дыхания', 'D02', 1553, 'D00-D09', 5, 'Исключена: меланома in situ (D03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1568, 'Гортани', 'D02.0', 1567, 'D02', 0, 'Черпалонадгортанной складки гортанной части Надгортанника (над подъязычной костью) Исключены: черпалонадгортанной складки: . БДУ (D00.0) . нижнеглоточной части (D00.0) . краевой зоны (D00.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1569, 'Трахеи', 'D02.1', 1567, 'D02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1570, 'Бронха и легкого', 'D02.2', 1567, 'D02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1571, 'Других частей органов дыхания', 'D02.3', 1567, 'D02', 0, 'Придаточных синусов [пазух] Среднего уха Плостей носа Исключены: уха (наружного) (кожи) (D03.2, D04.2) носа: . БДУ (D09.7) . кожи (D03.3, D04.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1572, 'Органов дыхания неуточненных', 'D02.4', 1567, 'D02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1573, 'Меланома in situ', 'D03', 1553, 'D00-D09', 10, 'Включены: морфологические коды M872-M879 с кодом характера новообразования /2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1574, 'Меланома in situ губы', 'D03.0', 1573, 'D03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1575, 'Меланома in situ века, включая спайку век', 'D03.1', 1573, 'D03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1576, 'Меланома in situ уха и наружного слухового прохода', 'D03.2', 1573, 'D03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1577, 'Меланома in situ других и неуточненных частей лица', 'D03.3', 1573, 'D03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1578, 'Меланома in situ волосистой части головы и шеи', 'D03.4', 1573, 'D03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1579, 'Меланома in situ туловища', 'D03.5', 1573, 'D03', 0, 'Анального отдела: . края . кожи Грудной железы (кожи) (мягкой ткани) Кожи перианальной области');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1580, 'Меланома in situ верхней конечности, включая область', 'D03.6', 1573, 'D03', 0, 'плечевого пояса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1581, 'Меланома in situ нижней конечности, включая тазобедренную', 'D03.7', 1573, 'D03', 0, 'область');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1582, 'Меланома in situ других локализаций', 'D03.8', 1573, 'D03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1583, 'Меланома in situ неуточненной локализации', 'D03.9', 1573, 'D03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1584, 'Карцинома in situ кожи', 'D04', 1553, 'D00-D09', 10, 'Исключены: эритроплазия Кейра (полового члена) БДУ (D07.4) меланома in situ (D03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1585, 'Кожи губы', 'D04.0', 1584, 'D04', 0, 'Исключена: красной каймы губы (D00.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1586, 'Кожи века, включая спайку век', 'D04.1', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1587, 'Кожи уха и наружного слухового прохода', 'D04.2', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1588, 'Кожи других и неуточненных частей лица', 'D04.3', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1589, 'Кожи волосистой части головы и шеи', 'D04.4', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1590, 'Кожи туловища', 'D04.5', 1584, 'D04', 0, 'Анального отдела: . края . кожи Кожи перианальной области Кожи грудной железы Исключены: заднего прохода [ануса] БДУ (D01.3) кожи половых органов (D07.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1591, 'Кожи верхней конечности, включая область плечевого пояса', 'D04.6', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1592, 'Кожи нижней конечности, включая тазобедренную область', 'D04.7', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1593, 'Кожи других локализаций', 'D04.8', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1594, 'Кожи неуточненной локализации', 'D04.9', 1584, 'D04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1595, 'Карцинома in situ молочной железы', 'D05', 1553, 'D00-D09', 4, 'Исключены: карцинома in situ кожи молочной железы (D04.5) меланома in situ молочной железы (кожи) (D03.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1596, 'Дольковая карцинома in situ', 'D05.0', 1595, 'D05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1597, 'Внутрипротоковая карцинома in situ', 'D05.1', 1595, 'D05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1598, 'Другая карцинома in situ молочной железы', 'D05.7', 1595, 'D05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1599, 'Карцинома in situ молочной железы неуточненная', 'D05.9', 1595, 'D05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1600, 'Карцинома in situ шейки матки', 'D06', 1553, 'D00-D09', 4, 'Включена: цервикальная интраэпителиальная неоплазия (CIN) III степени с упоминанием или без упоминания о выраженной дисплазии Исключены: меланома in situ шейки матки (D03.5) тяжелая дисплазия шейки матки БДУ (N87.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1601, 'Внутренней части', 'D06.0', 1600, 'D06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1602, 'Наружной части', 'D06.1', 1600, 'D06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1603, 'Других частей шейки матки', 'D06.7', 1600, 'D06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1604, 'Шейки матки неуточненной части', 'D06.9', 1600, 'D06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1605, 'Карцинома in situ других и неуточненных половых органов', 'D07', 1553, 'D00-D09', 7, 'Исключена: меланома in situ (D03.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1606, 'Эндометрия', 'D07.0', 1605, 'D07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1607, 'Вульвы', 'D07.1', 1605, 'D07', 0, 'Интраэпителиальная неоплазия вульвы [VIN] III степени с упоминанием или без упоминания о выраженной дисплазии Исключена: выраженная дисплазия вульвы БДУ (N90.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1608, 'Влагалища', 'D07.2', 1605, 'D07', 0, 'Интраэпителиальная неоплазия влагалища [VAIN] III степени с упоминанием или без упоминания о выраженной дисплазии Исключена: выраженная дисплазия влагалища БДУ (N89.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1609, 'Других и неуточненных женских половых органов', 'D07.3', 1605, 'D07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1610, 'Полового члена', 'D07.4', 1605, 'D07', 0, 'Эритроплазия Кейра БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1611, 'Предстательной железы', 'D07.5', 1605, 'D07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1612, 'Других и неуточненных мужских половых органов', 'D07.6', 1605, 'D07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1613, 'Карцинома in situ других и неуточненных локализаций', 'D09', 1553, 'D00-D09', 6, 'Исключена: меланома in situ (D03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1614, 'Мочевого пузыря', 'D09.0', 1613, 'D09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1615, 'Других и неуточненных мочевых органов', 'D09.1', 1613, 'D09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1616, 'Глаза', 'D09.2', 1613, 'D09', 0, 'Исключена: кожи века (D04.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1617, 'Щитовидной и других эндокринных желез', 'D09.3', 1613, 'D09', 0, 'Исключена: островковых клеток поджелудочной железы (D01.7) яичника (D07.3) яичка (D07.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1618, 'Карцинома in situ других уточненных локализаций', 'D09.7', 1613, 'D09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1619, 'Карцинома in situ неуточненной локализации', 'D09.9', 1613, 'D09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1621, 'ДОБРОКАЧЕСТВЕННЫЕ НОВООБРАЗОВАНИЯ', 'D10-D36', 1001, 'C00-D48', 27, 'Включены: морфологические коды с кодом характера новообразования /0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1622, 'Доброкачественное новообразование рта и глотки', 'D10', 1621, 'D10-D36', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1623, 'Губы', 'D10.0', 1622, 'D10', 0, 'Губы (уздечки) (внутренней поверхности) (слизистой оболочки) (красной каймы) Исключено: кожи губы (D22.0, D23.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1624, 'Языка', 'D10.1', 1622, 'D10', 0, 'Язычной миндалины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1625, 'Дна полости рта', 'D10.2', 1622, 'D10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1626, 'Других и неуточненных частей рта', 'D10.3', 1622, 'D10', 0, 'Малой слюнной железы БДУ Исключены: доброкачественные одонтогенные новообразования (D16.4-D16.5) слизистой оболочки губы (D10.0) носоглоточной поверхности мягкого неба (D10.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1627, 'Миндалины', 'D10.4', 1622, 'D10', 0, 'Миндалины (зева) (небной) Исключены: язычной миндалины (D10.1) глоточной миндалины (D10.6) миндаликовой(ых): . ямочки (D10.5) . дужек (D10.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1628, 'Других частей ротоглотки', 'D10.5', 1622, 'D10', 0, 'Надгортанника передней части Миндаликовой(ых): . ямочки . дужек Ямки надгортанника Исключены: надгортанника: . БДУ (D14.1) . участка над подъязычной костью (D14.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1629, 'Носоглотки', 'D10.6', 1622, 'D10', 0, 'Глоточной миндалины Заднего края перегородки и хоан');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1630, 'Гортаноглотки', 'D10.7', 1622, 'D10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1631, 'Глотки неуточненной локализации', 'D10.9', 1622, 'D10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1632, 'Доброкачественное новообразование больших слюнных желез', 'D11', 1621, 'D10-D36', 3, 'Исключены: доброкачественные новообразования уточненных малых слюнных желез, которые классифицируются в соответствии с их анатомической локализацией доброкачественные новообразования малых слюнных желез БДУ (D10.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1633, 'Околоушной слюнной железы', 'D11.0', 1632, 'D11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1634, 'Других больших слюнных желез', 'D11.7', 1632, 'D11', 0, 'Железы: . подъязычной . подчелюстной');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1635, 'Большой слюнной железы неуточненное', 'D11.9', 1632, 'D11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1636, 'Доброкачественное новообразование ободочной кишки, прямой кишки, заднего прохода [ануса] и анального канала', 'D12', 1621, 'D10-D36', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1637, 'Слепой кишки', 'D12.0', 1636, 'D12', 0, 'Илеоцекального клапана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1638, 'Червеобразного отростка', 'D12.1', 1636, 'D12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1639, 'Восходящей ободочной кишки', 'D12.2', 1636, 'D12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1640, 'Поперечной ободочной кишки', 'D12.3', 1636, 'D12', 0, 'Печеночного изгиба Селезеночного изгиба');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1641, 'Нисходящей ободочной кишки', 'D12.4', 1636, 'D12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1642, 'Сигмовидной кишки', 'D12.5', 1636, 'D12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1643, 'Ободочной кишки неуточненной части', 'D12.6', 1636, 'D12', 0, 'Аденоматоз ободочной кишки Толстой кишки БДУ Полипоз (врожденный) ободочной кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1644, 'Ректосигмоидного соединения', 'D12.7', 1636, 'D12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1645, 'Прямой кишки', 'D12.8', 1636, 'D12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1646, 'Заднего прохода [ануса] и анального канала', 'D12.9', 1636, 'D12', 0, 'Исключены: анального отдела: . края (D22.5, D23.5) . кожи (D22.5, D23.5) кожи перианальной области (D22.5, D23.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1647, 'Доброкачественное новообразование других и неточно обозначенных органов пищеварения', 'D13', 1621, 'D10-D36', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1648, 'Пищевода', 'D13.0', 1647, 'D13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1649, 'Желудка', 'D13.1', 1647, 'D13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1650, 'Двенадцатиперстной кишки', 'D13.2', 1647, 'D13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1651, 'Других и неуточненных отделов тонкого кишечника', 'D13.3', 1647, 'D13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1652, 'Печени', 'D13.4', 1647, 'D13', 0, 'Внутрипеченочных желчных протоков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1653, 'Внепеченочных желчных протоков', 'D13.5', 1647, 'D13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1654, 'Поджелудочной железы', 'D13.6', 1647, 'D13', 0, 'Исключено: островковых клеток поджелудочной железы (D13.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1655, 'Островковых клеток поджелудочной железы', 'D13.7', 1647, 'D13', 0, 'Островковоклеточная опухоль Островков Лангерганса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1656, 'Неточно обозначенных локализаций в пределах пищевари-', 'D13.9', 1647, 'D13', 0, 'тельной системы Пищеварительной системы БДУ Кишечника БДУ Селезенки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1657, 'Доброкачественное новообразование среднего уха и органов дыхания', 'D14', 1621, 'D10-D36', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1658, 'Среднего уха, полости носа и придаточных пазух', 'D14.0', 1657, 'D14', 0, 'Хряща носа Исключены: слухового прохода (наружного) (D22.2, D23.2) костей: . уха (D16.4) . носа (D16.4) хрящей уха (D21.0) уха (наружного) (кожи) (D22.2, D23.2) носа: . БДУ (D36.7) . кожи (D22.3, D23.3) обонятельной луковицы (D33.3) полип: . придаточной пазухи (J33.8) . уха (среднего) (H74.4) . носовой (полости) (J33.-) заднего края носовой перегородки и хоан (D10.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1659, 'Гортани', 'D14.1', 1657, 'D14', 0, 'Надгортанника (участника над подъязычной костью) Исключены: надгортанника передней части (D10.5) полип голосовой связки и гортани (J38.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1660, 'Трахеи', 'D14.2', 1657, 'D14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1661, 'Бронха и легкого', 'D14.3', 1657, 'D14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1662, 'Дыхательной системы неуточненной локализации', 'D14.4', 1657, 'D14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1663, 'Доброкачественное новообразование других и неуточненных органов грудной клетки', 'D15', 1621, 'D10-D36', 5, 'Исключено: мезотелиальной ткани (D19.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1664, 'Вилочковой железы [тимуса]', 'D15.0', 1663, 'D15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1665, 'Сердца', 'D15.1', 1663, 'D15', 0, 'Исключено: крупных сосудов (D21.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1666, 'Средостения', 'D15.2', 1663, 'D15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1667, 'Других уточненных органов грудной клетки', 'D15.7', 1663, 'D15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1668, 'Органов грудной клетки неуточненных', 'D15.9', 1663, 'D15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1669, 'Доброкачественное новообразование костей и суставных хрящей', 'D16', 1621, 'D10-D36', 10, 'Исключены: соединительной ткани: . уха (D21.0) . века (D21.0) . гортани (D14.1) . носа (D14.0) синовиальной оболочки (D21.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1670, 'Лопатки и длинных костей верхней конечности', 'D16.0', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1671, 'Коротких костей верхней конечности', 'D16.1', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1672, 'Длинных костей нижней конечности', 'D16.2', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1673, 'Коротких костей нижней конечности', 'D16.3', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1674, 'Костей черепа и лица', 'D16.4', 1669, 'D16', 0, 'Челюсти (верхней) Костей глазницы Исключено: нижней челюсти костной части (D16.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1675, 'Нижней челюсти костной части', 'D16.5', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1676, 'Позвоночного столба', 'D16.6', 1669, 'D16', 0, 'Исключено: крестца и копчика (D16.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1677, 'Ребер, грудины и ключицы', 'D16.7', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1678, 'Тазовых костей, крестца и копчика', 'D16.8', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1679, 'Костей и суставных хрящей неуточненных', 'D16.9', 1669, 'D16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1680, 'Доброкачественное новообразование жировой ткани', 'D17', 1621, 'D10-D36', 9, 'Включены: морфологические коды M885-M888 с кодом характера новообразования /0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1681, 'Доброкачественное новообразование жировой ткани кожи и подкожной клетчатки головы, лица и шеи', 'D17.0', 1680, 'D17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1682, 'Доброкачественное новообразование жировой ткани кожи и подкожной клетчатки туловища', 'D17.1', 1680, 'D17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1683, 'Доброкачественное новообразование жировой ткани кожи и подкожной клетчатки конечностей', 'D17.2', 1680, 'D17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1684, 'Доброкачественное новообразование жировой ткани кожи и подкожной клетчатки других и неуточненных локализаций', 'D17.3', 1680, 'D17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1685, 'Доброкачественное новообразование жировой ткани органов грудной клетки', 'D17.4', 1680, 'D17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1686, 'Доброкачественное новообразование жировой ткани внутри брюшных органов', 'D17.5', 1680, 'D17', 0, 'Исключено: брюшины и забрюшинного пространства (D17.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1687, 'Доброкачественное новообразование жировой ткани семенного канатика', 'D17.6', 1680, 'D17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1688, 'Доброкачественное новообразование жировой ткани других локализаций', 'D17.7', 1680, 'D17', 0, 'Брюшины Забрюшинного пространства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1689, 'Доброкачественное новообразование жировой ткани неуточненной локализации', 'D17.9', 1680, 'D17', 0, 'Липома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1690, 'Гемангиома и лимфангиома любой локализации', 'D18', 1621, 'D10-D36', 2, 'Включены: морфологические коды M912-M917 с кодом характера  новообразования /0 Исключен: голубой или пигментированный невус (D22.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1691, 'Гемангиома любой локализации', 'D18.0', 1690, 'D18', 0, 'Ангиома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1692, 'Лимфангиома любой локализации', 'D18.1', 1690, 'D18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1693, 'Доброкачественное новообразование мезотелиальной ткани', 'D19', 1621, 'D10-D36', 4, 'Включен: морфологический код M905 с кодом характера новообра зования /0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1694, 'Мезотелиальной ткани плевры', 'D19.0', 1693, 'D19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1695, 'Мезотелиальной ткани брюшины', 'D19.1', 1693, 'D19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1696, 'Мезотелиальной ткани других локализаций', 'D19.7', 1693, 'D19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1697, 'Мезотелиальной ткани неуточненной локализации', 'D19.9', 1693, 'D19', 0, 'Доброкачественная мезотелиома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1698, 'Доброкачественное новообразование мягких тканей забрюшинного пространства и брюшины', 'D20', 1621, 'D10-D36', 2, 'Исключены: доброкачественное новообразование жировой ткани брюшины и забрюшинного пространства (D17.7) мезотелиальной ткани (D19.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1699, 'Забрюшинного пространства', 'D20.0', 1698, 'D20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1700, 'Брюшины', 'D20.1', 1698, 'D20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1701, 'Другие доброкачественные новообразования соединительной и других мягких тканей', 'D21', 1621, 'D10-D36', 8, 'Включены: кровеносного сосуда суставной сумки хряща фасции жировой ткани связки,кроме маточной лимфатического сосуда мышцы синовиальной оболочки сухожилия (сухожильного влагалища) Исключены: хряща: . суставного (D16.-) . гортани (D14.1) . носа (D14.0) соединительной ткани молочной железы (D24) гемангиома (D18.0) новообразования жировой ткани (D17.-) лимфангиома (D18.1) периферических нервов и вегетативной нервной системы (D36.1) брюшины (D20.1) забрюшинного пространства (D20.0) матки: . лейомиома (D25.-) . связки любой (D28.2) сосудистой ткани (D18.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1702, 'Соединительной и других мягких тканей головы, лица и шеи', 'D21.0', 1701, 'D21', 0, 'Соединительной ткани: . уха . века Исключены: соединительной ткани глазницы (D31.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1703, 'Соединительной и других мягких тканей верхней конечности, включая область плечевого пояса', 'D21.1', 1701, 'D21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1704, 'Соединительной и других мягких тканей нижней конечности,  включая тазобедренную область', 'D21.2', 1701, 'D21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1705, 'Соединительной и других мягких тканей грудной клетки', 'D21.3', 1701, 'D21', 0, 'Подмышечной впадины Диафрагмы Крупных сосудов Исключены: сердца (D15.1) средостения (D15.2) вилочковой железы [тимуса] (D15.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1706, 'Соединительной и других мягких тканей живота', 'D21.4', 1701, 'D21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1707, 'Соединительной и других мягких тканей таза', 'D21.5', 1701, 'D21', 0, 'Исключены: матки: . лейомиома (D25.-) . связки любой (D28.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1708, 'Соединительной и других мягких тканей туловища неуточненной части', 'D21.6', 1701, 'D21', 0, 'Спины БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1709, 'Соединительной и других мягких тканей неуточненной', 'D21.9', 1701, 'D21', 0, 'локализации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1710, 'Меланоформный невус', 'D22', 1621, 'D10-D36', 9, 'Включены: морфологические коды M872-M879 с кодом характера новообразования /0 невус: . БДУ . голубой [синий] . волосяной . пигментный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1711, 'Меланоформный невус губы', 'D22.0', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1712, 'Меланоформный невус века, включая спайку век', 'D22.1', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1713, 'Меланоформный невус уха и наружного слухового прохода', 'D22.2', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1714, 'Меланоформный невус других и неуточненных частей лица', 'D22.3', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1715, 'Меланоформный невус волосистой части головы и шеи', 'D22.4', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1716, 'Меланоформный невус туловища', 'D22.5', 1710, 'D22', 0, 'Анального отдела: . края . кожи Кожи перианальной области Кожи грудной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1717, 'Меланоформный невус верхней конечности, включая область плечевого пояса', 'D22.6', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1718, 'Меланоформный невус нижней конечности, включая тазобедренную область', 'D22.7', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1719, 'Меланоформный невус неуточненный', 'D22.9', 1710, 'D22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1720, 'Другие доброкачественные новообразования кожи', 'D23', 1621, 'D10-D36', 9, 'Включены: доброкачественные новообразования: . волосяных фолликулов . сальных желез . потовых желез Исключены: доброкачественные новообразования жировой ткани (D17.0-D17.3) меланоформный невус (D22.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1721, 'Кожи губы', 'D23.0', 1720, 'D23', 0, 'Исключены: красной каймы губы (D10.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1722, 'Кожи века, включая спайку век', 'D23.1', 1720, 'D23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1723, 'Кожи уха и наружного слухового прохода', 'D23.2', 1720, 'D23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1724, 'Кожи других и неуточненных частей лица', 'D23.3', 1720, 'D23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1725, 'Кожи волосистой части головы и шеи', 'D23.4', 1720, 'D23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1726, 'Кожи туловища', 'D23.5', 1720, 'D23', 0, 'Анального отдела: . края . кожи Кожи перианальной области Кожи грудной железы Исключены: заднего прохода [ануса] БДУ (D12.9) кожи половых органов (D28-D29)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1727, 'Кожи верхней конечности, включая область плечевого сустава', 'D23.6', 1720, 'D23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1728, 'Кожи нижней конечности, включая область тазобедренного сустава', 'D23.7', 1720, 'D23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1729, 'Кожи неуточненной локализации', 'D23.9', 1720, 'D23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1730, 'Доброкачественное новообразование молочной железы', 'D24', 1621, 'D10-D36', 0, 'Молочной железы: . соединительной ткани . мягких тканей Исключены: доброкачественная дисплазия молочной железы (N60.-) кожи молочной железы (D22.5, D23.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1731, 'Лейомиома матки', 'D25', 1621, 'D10-D36', 4, 'Включены: доброкачественные новообразования матки с морфологическим кодом M889 и кодом характера новообразования /0 фибромиома матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1732, 'Подслизистая лейомиома матки', 'D25.0', 1731, 'D25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1733, 'Интрамуральная лейомиома матки', 'D25.1', 1731, 'D25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1734, 'Субсерозная лейомиома матки', 'D25.2', 1731, 'D25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1735, 'Лейомиома матки неуточненная', 'D25.9', 1731, 'D25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1736, 'Другие доброкачественные новообразования матки', 'D26', 1621, 'D10-D36', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1737, 'Шейки матки', 'D26.0', 1736, 'D26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1738, 'Тела матки', 'D26.1', 1736, 'D26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1739, 'Других частей матки', 'D26.7', 1736, 'D26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1740, 'Матки неуточненной части', 'D26.9', 1736, 'D26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1741, 'Доброкачественное новообразование яичника', 'D27', 1621, 'D10-D36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1742, 'Доброкачественное новообразование других и неуточненных женских', 'D28', 1621, 'D10-D36', 5, 'половых органов Включены: аденоматозный полип кожи женских половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1743, 'Вульвы', 'D28.0', 1742, 'D28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1744, 'Влагалища', 'D28.1', 1742, 'D28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1745, 'Маточных труб и связок', 'D28.2', 1742, 'D28', 0, 'Фаллопиевой трубы Маточной связки (широкой) (круглой)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1746, 'Других уточненных женских половых органов', 'D28.7', 1742, 'D28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1747, 'Женских половых органов неуточненной локализации', 'D28.9', 1742, 'D28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1748, 'Доброкачественное новообразование мужских половых органов', 'D29', 1621, 'D10-D36', 7, 'Включено: кожи мужских половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1749, 'Полового члена', 'D29.0', 1748, 'D29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1750, 'Предстательной железы', 'D29.1', 1748, 'D29', 0, 'Исключены: гиперплазия предстательной железы (аденоматоз) (N40) простаты: . аденома (N40) . увеличение (N40) . гипертрофия (N40)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1751, 'Яичка', 'D29.2', 1748, 'D29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1752, 'Придатка яичка', 'D29.3', 1748, 'D29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1753, 'Мошонки', 'D29.4', 1748, 'D29', 0, 'Кожи мошонки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1754, 'Других мужских половых органов', 'D29.7', 1748, 'D29', 0, 'Семенных пузырьков Семенного канатика Влагалищной оболочки яичка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1755, 'Мужских половых органов неуточненной локализации', 'D29.9', 1748, 'D29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1756, 'Доброкачественные новообразования мочевых органов', 'D30', 1621, 'D10-D36', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1757, 'Почки', 'D30.0', 1756, 'D30', 0, 'Исключены: почечных: . чашек (D30.1) . лоханок (D30.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1758, 'Почечных лоханок', 'D30.1', 1756, 'D30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1759, 'Мочеточника', 'D30.2', 1756, 'D30', 0, 'Исключено: мочеточникового отверстия мочевого пузыря (D30.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1760, 'Мочевого пузыря', 'D30.3', 1756, 'D30', 0, 'Отверстия мочевого пузыря: . уретрального . мочеточникового');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1761, 'Мочеиспускательного канала', 'D30.4', 1756, 'D30', 0, 'Исключено: уретрального отверстия мочевого пузыря (D30.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1762, 'Других мочевых органов', 'D30.7', 1756, 'D30', 0, 'Парауретральных желез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1763, 'Мочевых органов неуточненных', 'D30.9', 1756, 'D30', 0, 'Мочевой системы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1764, 'Доброкачественное новообразование глаза и его придаточного аппарата', 'D31', 1621, 'D10-D36', 8, 'Исключены: соединительной ткани века (D21.0) зрительного нерва (D33.3) кожи века (D22.1, D23.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1765, 'Конъюнктивы', 'D31.0', 1764, 'D31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1766, 'Роговицы', 'D31.1', 1764, 'D31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1767, 'Сетчатки', 'D31.2', 1764, 'D31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1768, 'Сосудистой оболочки', 'D31.3', 1764, 'D31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1769, 'Ресничного тела', 'D31.4', 1764, 'D31', 0, 'Глазного яблока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1770, 'Слезной железы и протока', 'D31.5', 1764, 'D31', 0, 'Слезного мешочка Слезно-носового протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1771, 'Глазницы неуточненной части', 'D31.6', 1764, 'D31', 0, 'Соединительной ткани глазницы Наружноглазных мышц Периферических нервов глазницы Ретробульбарной ткани Ретроокулярной ткани Исключено: кости глазницы (D16.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1772, 'Глаза неуточненной части', 'D31.9', 1764, 'D31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1773, 'Доброкачественное новообразование мозговых оболочек', 'D32', 1621, 'D10-D36', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1774, 'Оболочек головного мозга', 'D32.0', 1773, 'D32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1775, 'Оболочек спинного мозга', 'D32.1', 1773, 'D32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1776, 'Оболочек мозга неуточненных', 'D32.9', 1773, 'D32', 0, 'Менингиома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1777, 'Доброкачественное новообразование головного мозга и других отделов центральной нервной системы', 'D33', 1621, 'D10-D36', 7, 'Исключены: ангиома (D18.0) мозговых оболочек (D32.-) периферических нервов и вегетативной нервной системы (D36.1) ретроокулярной ткани (D31.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1778, 'Головного мозга над мозговым наметом', 'D33.0', 1777, 'D33', 0, 'Желудочка мозга Большого мозга Лобной } Затылочной } Теменной } доли Височной } Исключено: четвертого желудочка (D33.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1779, 'Головного мозга под мозговым наметом', 'D33.1', 1777, 'D33', 0, 'Ствола мозга Мозжечка Четвертого желудочка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1780, 'Головного мозга неуточненное', 'D33.2', 1777, 'D33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1781, 'Черепных нервов', 'D33.3', 1777, 'D33', 0, 'Обонятельной луковицы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1782, 'Спинного мозга', 'D33.4', 1777, 'D33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1783, 'Других уточненных частей центральной нервной системы', 'D33.7', 1777, 'D33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1784, 'Центральной нервной системы неуточненной локализации', 'D33.9', 1777, 'D33', 0, 'Нервной системы (центральной) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1785, 'Доброкачественное новообразование щитовидной железы', 'D34', 1621, 'D10-D36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1786, 'Доброкачественное новообразование других и неуточненных эндокринных желез', 'D35', 1621, 'D10-D36', 10, 'Исключены: островковых клеток поджелудочной железы (D13.7) яичника (D27) яичка (D29.2) вилочковой железы [тимуса] (D15.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1787, 'Надпочечника', 'D35.0', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1788, 'Паращитовидной [околощитовидной] железы', 'D35.1', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1789, 'Гипофиза', 'D35.2', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1790, 'Краниофарингеального протока', 'D35.3', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1791, 'Шишковидной железы', 'D35.4', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1792, 'Каротидного гломуса', 'D35.5', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1793, 'Аортального гломуса и других параганглиев', 'D35.6', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1794, 'Других уточненных эндокринных желез', 'D35.7', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1795, 'Поражение более чем одной эндокринной железы', 'D35.8', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1796, 'Эндокринной железы неуточненной', 'D35.9', 1786, 'D35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1797, 'Доброкачественное новообразование других и неуточненных локализаций', 'D36', 1621, 'D10-D36', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1798, 'Лимфатических узлов', 'D36.0', 1797, 'D36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1799, 'Периферических нервов и вегетативной нервной системы', 'D36.1', 1797, 'D36', 0, 'Исключено: периферических нервов глазницы (D31.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1800, 'Других уточненных локализаций', 'D36.7', 1797, 'D36', 0, 'Носа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1801, 'Доброкачественное новообразование неуточненной локализации', 'D36.9', 1797, 'D36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1803, 'НОВООБРАЗОВАНИЯ НЕОПРЕДЕЛЕННОГО ИЛИ НЕИЗВЕСТНОГО ХАРАКТЕРА', 'D37-D48', 1001, 'C00-D48', 12, 'Примечание. Рубрики D37-D48 классифицируют по локализации новообразования неопределенного или неизвестного характера (т.е. новообразования, вызывающие сомнения в том, являются ли они злокачественными или доброкачественными). В классификации морфологии опухолей такие новообразования кодируются по их характеру кодом /1.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1804, 'Новообразование неопределенного или неизвестного характера полости рта и органов пищеварения', 'D37', 1803, 'D37-D48', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1805, 'Губы, полости рта и глотки', 'D37.0', 1804, 'D37', 0, 'Черпалонадгортанной складки: . БДУ . нижнеглоточной части . краевой зоны Больших и малых слюнных желез Красной каймы губы Исключены: черпалонадгортанной складки гортанной части (D38.0) надгортанника: . БДУ (D38.0) . над подъязычной костью (D38.0) кожи губы (D48.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1806, 'Желудка', 'D37.1', 1804, 'D37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1807, 'Тонкого кишечника', 'D37.2', 1804, 'D37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1808, 'Червеобразного отростка', 'D37.3', 1804, 'D37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1809, 'Ободочной кишки', 'D37.4', 1804, 'D37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1810, 'Прямой кишки', 'D37.5', 1804, 'D37', 0, 'Ректосигмоищного соединения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1811, 'Печени, желчного пузыря и желчных протоков', 'D37.6', 1804, 'D37', 0, 'Ампулы фатерова сосочка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1812, 'Других органов пищеварения', 'D37.7', 1804, 'D37', 0, 'Анального: . канала . сфинктера Ануса БДУ Кишечника БДУ Пищевода Поджелудочной железы Исключены: анального отдела: . края (D48.5) . кожи (D48.5) кожи перианальной области (D48.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1813, 'Органов пищеварения неуточненных', 'D37.9', 1804, 'D37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1814, 'Новообразование неопределенного или неизвестного характера среднего уха, органов дыхания и грудной клетки', 'D38', 1803, 'D37-D48', 7, 'Исключено: сердца (D48.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1815, 'Гортани', 'D38.0', 1814, 'D38', 0, 'Черпалонадгортанной складки гортанной части Надгортанника (над подъязычной костью) Исключены: черпалонадгортанной складки: . БДУ (D37.0) . нижнеглоточной части (D37.0) . краевой зоны (D37.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1816, 'Трахеи, бронхов и легкого', 'D38.1', 1814, 'D38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1817, 'Плевры', 'D38.2', 1814, 'D38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1818, 'Средостения', 'D38.3', 1814, 'D38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1819, 'Вилочковой железы [тимуса]', 'D38.4', 1814, 'D38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1820, 'Других органов дыхания', 'D38.5', 1814, 'D38', 0, 'Придаточных пазух Хрящей носа Среднего уха Полостей носа Исключены: уха (наружного) (кожи) (D48.5) носа: . БДУ (D48.7) . кожи (D48.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1821, 'Органов дыхания неуточненных', 'D38.6', 1814, 'D38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1822, 'Новообразования неопределенного или неизвестного характера', 'D39', 1803, 'D37-D48', 5, 'женских половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1823, 'Матки', 'D39.0', 1822, 'D39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1824, 'Яичника', 'D39.1', 1822, 'D39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1825, 'Плаценты', 'D39.2', 1822, 'D39', 0, 'Хориоаденома деструирующая Пузырный занос: . инвазивный . злокачественный Исключен: пузырный занос БДУ (O01.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1826, 'Других женских половых органов', 'D39.7', 1822, 'D39', 0, 'Кожи женских половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1827, 'Женских половых органов неуточненных', 'D39.9', 1822, 'D39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1828, 'Новообразование неопределенного или неизвестного характера мужских половых органов', 'D40', 1803, 'D37-D48', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1829, 'Предстательной железы', 'D40.0', 1828, 'D40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1830, 'Яичка', 'D40.1', 1828, 'D40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1831, 'Других мужских половых органов', 'D40.7', 1828, 'D40', 0, 'Кожи мужских половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1832, 'Мужских половых органов неуточненных', 'D40.9', 1828, 'D40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1833, 'Новообразование неопределенного или неизвестного характера мочевых органов', 'D41', 1803, 'D37-D48', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1834, 'Почки', 'D41.0', 1833, 'D41', 0, 'Исключено: почечных лоханок (D41.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1835, 'Почечных лоханок', 'D41.1', 1833, 'D41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1836, 'Мочеточника', 'D41.2', 1833, 'D41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1837, 'Уретры', 'D41.3', 1833, 'D41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1838, 'Мочевого пузыря', 'D41.4', 1833, 'D41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1839, 'Других мочевых органов', 'D41.7', 1833, 'D41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1840, 'Мочевых органов неуточненных', 'D41.9', 1833, 'D41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1841, 'Новообразование неопределенного или неизвестного характера мозговых оболочек', 'D42', 1803, 'D37-D48', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1842, 'Оболочек головного мозга', 'D42.0', 1841, 'D42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1843, 'Оболочек спинного мозга', 'D42.1', 1841, 'D42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1844, 'Мозговых оболочек неуточненных', 'D42.9', 1841, 'D42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1845, 'Новообразование неопределенного или неизвестного характера головного мозга и центральной нервной системы', 'D43', 1803, 'D37-D48', 7, 'Исключено: периферических нервов и вегетативной нервной системы (D48.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1846, 'Головного мозга над мозговым наметом', 'D43.0', 1845, 'D43', 0, 'Желудочка головного мозга Большого мозга Лобной } Затылочной } Теменной } доли Височной } Исключено: четвертого желудочка (D43.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1847, 'Головного мозга под мозговым наметом', 'D43.1', 1845, 'D43', 0, 'Ствола мозга Мозжечка Четвертого желудочка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1848, 'Головного мозга неуточненное', 'D43.2', 1845, 'D43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1849, 'Черепных нервов', 'D43.3', 1845, 'D43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1850, 'Спинного мозга', 'D43.4', 1845, 'D43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1851, 'Других частей центральной нервной системы', 'D43.7', 1845, 'D43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1852, 'Центральной нервной системы неуточненного отдела', 'D43.9', 1845, 'D43', 0, 'Нервной системы (центральной) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1853, 'Новообразование неопределенного или неизвестного характера эндокринных желез', 'D44', 1803, 'D37-D48', 10, 'Исключены: островковых клеток поджелудочной железы (D37.7) яичника (D39.1) яичка (D40.1) вилочковой железы [тимуса] (D38.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1854, 'Щитовидной железы', 'D44.0', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1855, 'Надпочечника', 'D44.1', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1856, 'Паращитовидной [околощитовидной] железы', 'D44.2', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1857, 'Гипофиза', 'D44.3', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1858, 'Краниофарингеального протока', 'D44.4', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1859, 'Шишковидной железы', 'D44.5', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1860, 'Каротидного гломуса', 'D44.6', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1861, 'Аортального гломуса и других параганглиев', 'D44.7', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1862, 'Поражение более чем одной эндокринной железы', 'D44.8', 1853, 'D44', 0, 'Множественный эндокринный аденоматоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1863, 'Эндокринной железы неуточненной', 'D44.9', 1853, 'D44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1864, 'Полицитемия истинная', 'D45', 1803, 'D37-D48', 0, 'Морфологический код М9950 с кодом характера новообразования /1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1865, 'Миелодиспластические синдромы', 'D46', 1803, 'D37-D48', 7, 'Включен: морфологический код M998 с кодом характера новообразования /1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1866, 'Рефрактерная анемия без сидеробластов, так обозначенная', 'D46.0', 1865, 'D46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1867, 'Рефрактерная анемия с сидеробластами', 'D46.1', 1865, 'D46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1868, 'Рефрактерная анемия с избытком бластов', 'D46.2', 1865, 'D46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1869, 'Рефрактерная анемия с избытком бластов с трансформацией', 'D46.3', 1865, 'D46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1870, 'Рефрактерная анемия неуточненная', 'D46.4', 1865, 'D46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1871, 'Другие миелодиспластические синдромы', 'D46.7', 1865, 'D46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1872, 'Миелодиспластический синдром неуточненный', 'D46.9', 1865, 'D46', 0, 'Миелодисплазия БДУ Предлейкоз (синдром) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1873, 'Другие новообразования неопределенного или неизвестного характера лимфоидной, кроветворной и родственных им тканей', 'D47', 1803, 'D37-D48', 6, 'Включены: морфологические коды M974, M976, M996-M997 с кодом характера новообразования /1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1874, 'Гистиоцитарные и тучноклеточные опухоли неопределенного или неизвестного характера', 'D47.0', 1873, 'D47', 0, 'Тучноклеточная опухоль БДУ Мастоцитома БДУ Исключена: мастоцитома (кожная) (Q82.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1875, 'Хроническая миелопролиферативная болезнь', 'D47.1', 1873, 'D47', 0, 'Миелофиброз (с миелоидной метаплазией) Миелопролиферативная болезнь неуточненная Миелосклероз (мегакариоцитарный) с миелоидной метаплазией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1876, 'Моноклональная гаммапатия', 'D47.2', 1873, 'D47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1877, 'Эссенциальная (геморрагическая) тромбоцитемия', 'D47.3', 1873, 'D47', 0, 'Идиопатическая геморрагическая тромбоцитемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1878, 'Другие уточненные новообразования неопределенного или  неизвестного характера лимфоидной, кроветворной  и родственных им тканей', 'D47.7', 1873, 'D47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1879, 'Новообразование неопределенного или неизвестного характера лимфоидной, кроветворной и родственных им тканей неуточненное', 'D47.9', 1873, 'D47', 0, 'Лимфопролиферативная болезнь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1880, 'Новообразование неопределенного или неизвестного характера других и неуточненных локализаций', 'D48', 1803, 'D37-D48', 9, 'Исключен: нейрофиброматоз (незлокачественный) (Q85.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1881, 'Костей и суставных хрящей', 'D48.0', 1880, 'D48', 0, 'Исключены: хрящей: . уха (D48.1) . гортани (D38.0) . носа (D38.5) соединительной ткани века (D48.1) синовиальной оболочки (D48.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1882, 'Соединительной и других мягких тканей', 'D48.1', 1880, 'D48', 0, 'Соединительной ткани: . уха . века Исключены: хрящей: . суставов (D48.0) . гортани (D38.0) . носа (D38.5) соединительной ткани молочной железы (D48.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1883, 'Периферических нервов и вегетативной нервной системы', 'D48.2', 1880, 'D48', 0, 'Исключено: периферических нервов глазницы (D48.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1884, 'Забрюшинного пространства', 'D48.3', 1880, 'D48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1885, 'Брюшины', 'D48.4', 1880, 'D48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1886, 'Кожи', 'D48.5', 1880, 'D48', 0, 'Анального отдела: . края . кожи Кожи перианальной области Кожи молочной железы Исключены: заднего прохода [ануса] БДУ (D37.7) кожи половых органов (D39.7, D40.7) красной каймы губы (D37.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1887, 'Молочной железы', 'D48.6', 1880, 'D48', 0, 'Соединительной ткани молочной железы Цистосаркома листовидная Исключено: кожи молочной железы (D48.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1888, 'Других уточненных локализаций', 'D48.7', 1880, 'D48', 0, 'Глаза Сердца Периферических нервов глазницы Исключены: соединительной ткани (D48.1) кожи века (D48.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(1889, 'Новообразование неопределенного или неизвестного характера неуточненное', 'D48.9', 1880, 'D48', 0, 'Рост БДУ Новообразование БДУ Новый рост БДУ Опухоль БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2001, 'БОЛЕЗНИ КРОВИ, КРОВЕТВОРНЫХ ОРГАНОВ И ОТДЕЛЬНЫЕ НАРУШЕНИЯ, ВОВЛЕКАЮЩИЕ ИММУННЫЙ МЕХАНИЗМ', 'D50-D89', NULL, NULL, 6, 'Исключены: аутоиммунная болезнь (системная) БДУ (M35.9) отдельные состояния, возникающие в перинатальном периоде (P00-P96) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) эндокринные болезни, расстройства питания и нарушения обмена веществ (E00-E90) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\nЭтот класс содержит следующие блоки:\nD50-D53 Анемии, связанные с питанием\nD55-D59 Гемолитические анемии\nD60-D64 Апластические и другие анемии\nD65-D69 Нарушения свертываемости крови, пурпура и другие геморрагические состояния\nD70-D77 Другие болезни крови и кроветворных органов\nD80-D89 Отдельные нарушения, вовлекающие иммунный механизм\nЗвездочкой отмечены следующие категории:\nD63* Анемия при хронических болезнях, классифицированных в других рубриках\nD77* Другие нарушения крови и кроветворных органов при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2002, 'АНЕМИИ, СВЯЗАННЫЕ С ПИТАНИЕМ', 'D50-D53', 2001, 'D50-D89', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2003, 'Железодефицитная анемия', 'D50', 2002, 'D50-D53', 4, 'Включено: анемия: . сидеропеническая . гипохромная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2004, 'Железодефицитная анемия вторичная вследствие потери крови (хроническая)', 'D50.0', 2003, 'D50', 0, 'Постгеморрагическая (хроническая) анемия Исключены: острая постгеморрагическая анемия (D62) врожденная анемия вследствие кровопотери у плода (P61.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2005, 'Сидеропеническая дисфагия', 'D50.1', 2003, 'D50', 0, 'Синдром Келли-Патерсона Синдром Пламмера-Винсона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2006, 'Другие железодефицитные анемии', 'D50.8', 2003, 'D50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2007, 'Железодефицитная анемия неуточненная', 'D50.9', 2003, 'D50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2008, 'Витамин-B12-дефицитная анемия', 'D51', 2002, 'D50-D53', 6, 'Исключены: дефицит витамина B12 (E53.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2009, 'Витамин-B12-дефицитная анемия вследствие дефицита внутреннего фактора', 'D51.0', 2008, 'D51', 0, 'Анемия: . Аддисона . Бирмера . пернициозная (врожденная) Врожденная недостаточность внутреннего фактора');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2010, 'Витамин-B12-дефицитная анемия вследствие избирательного нарушения всасывания витамина B12 с протеинурией', 'D51.1', 2008, 'D51', 0, 'Синдром Имерслунд(-Гресбека) Мегалобластная наследственная анемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2011, 'Дефицит транскобаламина II', 'D51.2', 2008, 'D51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2012, 'Другие витамин-B12-дефицитные анемии, связанные с питанием', 'D51.3', 2008, 'D51', 0, 'Анемия вегетарианцев');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2013, 'Другие витамин-B12-дефицитные анемии', 'D51.8', 2008, 'D51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2014, 'Витамин-B12-дефицитная анемия неуточненная', 'D51.9', 2008, 'D51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2015, 'Фолиеводефицитная анемия', 'D52', 2002, 'D50-D53', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2016, 'Фолиеводефицитная анемия, связанная с питанием', 'D52.0', 2015, 'D52', 0, 'Мегалобластная алиментарная анемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2017, 'Фолиеводефицитная анемия медикаментозная', 'D52.1', 2015, 'D52', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2018, 'Другие фолиеводефицитные анемии', 'D52.8', 2015, 'D52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2019, 'Фолиеводефицитная анемия неуточненная', 'D52.9', 2015, 'D52', 0, 'Анемия, обусловленная недостаточным поступлением в организм фолиевой кислоты, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2020, 'Другие анемии, связанные с питанием', 'D53', 2002, 'D50-D53', 5, 'Включена: мегалобластная анемия, не поддающаяся лечению витамином B12 или фолатами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2021, 'Анемия вследствие недостаточности белков', 'D53.0', 2020, 'D53', 0, 'Анемия вследствие недостаточности аминокислот Оротацидурическая анемия Исключен: синдром Леша-Нихена (E79.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2022, 'Другие мегалобластные анемии, не классифицированные в других рубриках', 'D53.1', 2020, 'D53', 0, 'Мегалобластная анемия БДУ Исключена: болезнь Ди Гульельмо (C94.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2023, 'Анемия, обусловленная цингой', 'D53.2', 2020, 'D53', 0, 'Исключена: цинга (E54)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2024, 'Другие уточненные анемии, связанные с питанием', 'D53.8', 2020, 'D53', 0, 'Анемия, связанная с дефицитом: . меди . молибдена . цинка Исключена: недостаточность питания без упоминания об анемии, такие как: . дефицит меди (E61.0) . дефицит молибдена (E61.5) . дефицит цинка (E60)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2025, 'Анемия, связанная с питанием, неуточненная', 'D53.9', 2020, 'D53', 0, 'Простая хроническая анемия Исключена: анемия БДУ (D64.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2027, 'ГЕМОЛИТИЧЕСКИЕ АНЕМИИ', 'D55-D59', 2001, 'D50-D89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2028, 'Анемия вследствие ферментных нарушений', 'D55', 2027, 'D55-D59', 6, 'Исключена: ферментдефицитная анемия, вызванная лекарственными средствами (D59.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2029, 'Анемия вследствие недостаточности глюкозо-6-фосфатдегидрогеназы [Г-6-ФД]', 'D55.0', 2028, 'D55', 0, 'Фавизм Г-6-ФД-дефицитная анемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2030, 'Анемия вследствие других нарушений глутатионового обмена', 'D55.1', 2028, 'D55', 0, 'Анемия вследствие недостаточности ферментов (за исключением Г-6-ФД), связанных с гексозомонофосфатным [ГМФ] шунтом метаболического пути Гемолитическая несфероцитарная анемия (наследственная) типа 1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2031, 'Анемия вследствие нарушений гликолитических ферментов', 'D55.2', 2028, 'D55', 0, 'Анемия: . гемолитическая несфероцитарная (наследственная) типа II . вследствие недостаточности гексокиназы . вследствие недостаточности пируваткиназы . вследствие недостаточности триозофосфатизомеразы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2032, 'Анемия вследствие нарушений метаболизма нуклеотидов', 'D55.3', 2028, 'D55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2033, 'Другие анемии вследствие ферментных нарушений', 'D55.8', 2028, 'D55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2034, 'Анемия вследствие ферментного нарушения неуточненная', 'D55.9', 2028, 'D55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2035, 'Талассемия', 'D56', 2027, 'D55-D59', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2036, 'Альфа-талассемия', 'D56.0', 2035, 'D56', 0, 'Исключена: водянка плода, обусловленная гемолитической болезнью (P56.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2037, 'Бета-талассемия', 'D56.1', 2035, 'D56', 0, 'Анемия Кули Тяжелая бета-талассемия Серповидно-клеточная бета-талассемия Талассемия: . промежуточная . большая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2038, 'Дельта-бета-талассемия', 'D56.2', 2035, 'D56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2039, 'Носительство признака талассемии', 'D56.3', 2035, 'D56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2040, 'Наследственное персистирование фетального гемоглобина [НПФГ]', 'D56.4', 2035, 'D56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2041, 'Другие талассемии', 'D56.8', 2035, 'D56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2042, 'Талассемия неуточненная', 'D56.9', 2035, 'D56', 0, 'Средиземноморская анемия (с другой гемоглобинопатией) Талассемия (малая) (смешанная) (с другой гемоглобинопатией)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2043, 'Серповидно-клеточные нарушения', 'D57', 2027, 'D55-D59', 5, 'Исключены: другие гемоглобинопатии (D58.-) серповидно-клеточная бета-талассемия (D56.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2044, 'Серповидно-клеточная анемия с кризом Hb-SS болезнь с кризом', 'D57.0', 2043, 'D57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2045, 'Серповидно-клеточная анемия без криза', 'D57.1', 2043, 'D57', 0, 'Серповидно-клеточная(ое): . анемия } . болезнь } БДУ . нарушение }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2046, 'Двойные гетерозиготные серповидно-клеточные нарушения', 'D57.2', 2043, 'D57', 0, 'Болезнь: . Hb-SC . Hb-SD . Hb-SE');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2047, 'Носительство признака серповидно-клеточности', 'D57.3', 2043, 'D57', 0, 'Носительство гемоглобина S[Hb-S] Гетерозиготный гемоглобин S');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2048, 'Другие серповидно-клеточные нарушения', 'D57.8', 2043, 'D57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2049, 'Другие наследственные гемолитические анемии', 'D58', 2027, 'D55-D59', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2050, 'Наследственный сфероцитоз', 'D58.0', 2049, 'D58', 0, 'Ахолурическая (семейная) желтуха Врожденная (сфероцитарная) гемолитическая желтуха Синдром Минковского-Шоффара');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2051, 'Наследственный эллиптоцитоз', 'D58.1', 2049, 'D58', 0, 'Эллитоцитоз (врожденный) Овалоцитоз (врожденный) (наследственный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2052, 'Другие гемоглобинопатии', 'D58.2', 2049, 'D58', 0, 'Аномальный гемоглобин БДУ Врожденная анемия с тельцами Гейнца Болезнь: . Hb-C . Hb-D . Hb-E Гемоглобинопатия БДУ Гемолитическая болезнь, обусловленная неустойчивым гемоглобином Исключены: семейная полицитемия (D75.0) болезнь Hb-M (D74.0) наследственное персистирование фетального гемоглобина (D56.4) полицитемия, связанная с высотой (D75.1) метгемоглобинемия (D74.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2053, 'Другие уточненные наследственные гемолитические анемии', 'D58.8', 2049, 'D58', 0, 'Стоматоцитоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2054, 'Наследственная гемолитическая анемия неуточненная', 'D58.9', 2049, 'D58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2055, 'Приобретенная гемолитическая анемия', 'D59', 2027, 'D55-D59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2056, 'Медикаментозная аутоиммунная гемолитическая анемия', 'D59.0', 2055, 'D59', 0, 'При необходимости идентифицировать лекарственный препарат используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2057, 'Другие аутоиммунные гемолитические анемии', 'D59.1', 2055, 'D59', 0, 'Аутоиммунная гемолитическая болезнь (холодовый тип) (тепловой тип) Хроническая болезнь, вызываемая холодовыми гемагглютининами "Холодовая агглютининовая": . болезнь . гемоглобинурия Гемолитическая анемия: . холодовый тип (вторичная) (симптоматическая) . тепловой тип (вторичная) (симптоматическая) Исключены: синдром Эванса (D69.3) гемолитическая болезнь плода и новорожденного (P55.-) пароксизмальная холодовая гемоглобинурия (D59.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2058, 'Медикаментозная неаутоиммунная гемолитическая анемия', 'D59.2', 2055, 'D59', 0, 'Медикаментозная ферментдефицитная анемия При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2059, 'Гемолитико-уремический синдром', 'D59.3', 2055, 'D59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2060, 'Другие неаутоиммунные гемолитические анемии', 'D59.4', 2055, 'D59', 0, 'Гемолитическая анемия: . механическая . микроангиопатическая . токсическая При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2061, 'Пароксизмальная ночная гемоглобинурия [Маркиафавы-Микели]', 'D59.5', 2055, 'D59', 0, 'Исключена: гемоглобинурия БДУ (R82.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2062, 'Гемоглобинурия вследствие гемолиза, вызванного другими внешними причинами', 'D59.6', 2055, 'D59', 0, 'Гемоглобинурия: . от нагрузки . маршевая . пароксизмальная холодовая При необходимости идентифицировать причину используют дополнительный код внешних причин (класс ХХ). Исключена: гемоглобинурия БДУ (R82.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2063, 'Другие приобретенные гемолитические анемии', 'D59.8', 2055, 'D59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2064, 'Приобретенная гемолитическая анемия неуточненная', 'D59.9', 2055, 'D59', 0, 'Идиопатическая гемолитическая анемия хроническая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2066, 'АПЛАСТИЧЕСКИЕ И ДРУГИЕ АНЕМИИ', 'D60-D64', 2001, 'D50-D89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2067, 'Приобретенная чистая красноклеточная аплазия (эритробластопения)', 'D60', 2066, 'D60-D64', 4, 'Включена: красноклеточная аплазия (приобретенная) (взрослых) (с тимомой)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2068, 'Хроническая приобретенная чистая красноклеточная аплазия', 'D60.0', 2067, 'D60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2069, 'Преходящая приобретенная чистая красноклеточная аплазия', 'D60.1', 2067, 'D60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2070, 'Другие приобретенные чистые красноклеточные аплазии', 'D60.8', 2067, 'D60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2071, 'Приобретенная чистая красноклеточная аплазия неуточненная', 'D60.9', 2067, 'D60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2072, 'Другие апластические анемии', 'D61', 2066, 'D60-D64', 6, 'Исключен: агранулоцитоз (D70)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2073, 'Конституциональная апластическая анемия', 'D61.0', 2072, 'D61', 0, 'Аплазия (чистая) красноклеточная: . врожденная . детская . первичная Синдром Блекфена-Дайемонда Семейная гипопластическая анемия Анемия Фанкони Панцитопения с пороками развития');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2074, 'Медикаментозная апластическая анемия', 'D61.1', 2072, 'D61', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2075, 'Апластическая анемия, вызванная другими внешними агентами', 'D61.2', 2072, 'D61', 0, 'При необходимости идентифицировать причину используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2076, 'Идиопатическая апластическая анемия', 'D61.3', 2072, 'D61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2077, 'Другие уточненные апластические анемии', 'D61.8', 2072, 'D61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2078, 'Апластическая анемия неуточненная', 'D61.9', 2072, 'D61', 0, 'Гипопластическая анемия БДУ Гипоплазия костного мозга Панмиелофтиз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2079, 'Острая постгеморрагическая анемия', 'D62', 2066, 'D60-D64', 0, 'Исключена: врожденная анемия вследствие кровопотери у плода (P61.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2080, 'Анемия при хронических болезнях, классифицированных в других', 'D63*', 2066, 'D60-D64', 2, 'рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2081, 'Анемия при новообразованиях (C00-D48+)', 'D63.0*', 2080, 'D63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2082, 'Анемия при других хронических болезнях, классифициро-', 'D63.8*', 2080, 'D63*', 0, 'ванных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2083, 'Другие анемии', 'D64', 2066, 'D60-D64', 7, 'Исключены: рефрактерная анемия: . БДУ (D46.4) . с избытком бластов (D46.2) . с трансформацией (D46.3) . с сидеробластами (D46.1) . без сидеробластов (D46.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2084, 'Наследственная сидеробластная анемия', 'D64.0', 2083, 'D64', 0, 'Связанная с полом гипохромная сидеробластная анемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2085, 'Вторичная сидеробластная анемия в связи с другими заболе-', 'D64.1', 2083, 'D64', 0, 'ваниями При необходимости идентифицировать заболевание используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2086, 'Вторичная сидеробластная анемия, вызванная лекарственными', 'D64.2', 2083, 'D64', 0, 'препаратами или токсинами При необходимости идентифицировать причину используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2087, 'Другие сидеробластные анемии', 'D64.3', 2083, 'D64', 0, 'Сидеробластная анемия: . БДУ . пиридоксинреагирующая, не классифицированная в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2088, 'Врожденная дизэритропоэтическая анемия', 'D64.4', 2083, 'D64', 0, 'Дисгемопоэтическая анемия (врожденная) Исключены: синдром Блекфена-Дайемонда (D61.0) болезнь Ди Гульельмо (C94.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2089, 'Другие уточненные анемии', 'D64.8', 2083, 'D64', 0, 'Детский псевдолейкоз Лейкоэритробластная анемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2090, 'Анемия неуточненная', 'D64.9', 2083, 'D64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2092, 'НАРУШЕНИЯ СВЕРТЫВАЕМОСТИ КРОВИ, ПУРПУРА И ДРУГИЕ ГЕМОРРАГИЧЕСКИЕ СОСТОЯНИЯ', 'D65-D69', 2001, 'D50-D89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2093, 'Диссеминированное внутрисосудистое свертывание [синдром дефибринации]', 'D65', 2092, 'D65-D69', 0, 'Афибриногенемия приобретенная Коагулопатия потребления Диффузная или диссеминированная внутрисосудистая коагуляция [DJC] Фибринолитическая кровоточивость приобретенная Пурпура: . фибринолитическая . молниеносная Исключен: синдром дефибринации (осложняющий): . аборт, внематочную или молярную беременность (O00-O07, O08.1) . у новорожденного (P60) . беременность, роды и послеродовой период (O45.0, O46.0, O67.0, O72.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2094, 'Наследственный дефицит фактора VIII', 'D66', 2092, 'D65-D69', 0, 'Дефицит фактора VIII (с функциональным нарушением) Гемофилия: . БДУ . А . классическая Исключен: дефицит фактора VIII с сосудистым нарушением (D68.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2095, 'Наследственный дефицит фактора IX', 'D67', 2092, 'D65-D69', 0, 'Болезнь Кристмаса Дефицит: . фактора IX (с функциональным нарушением) . тромбопластического компонента плазмы Гемофилия В');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2096, 'Другие нарушения свертываемости', 'D68', 2092, 'D65-D69', 7, 'Исключены: осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.1) . беременность, роды и послеродовой период (O45.0, O46.0, O67.0, O72.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2097, 'Болезнь Виллебранда', 'D68.0', 2096, 'D68', 0, 'Ангиогемофилия Дефицит фактора VIII с сосудистым нарушением Сосудистая гемофилия Исключены: ломкость капилляров наследственная (D69.8) дефицит фактора VIII: . БДУ (D66) . с функциональным нарушением (D66)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2098, 'Наследственный дефицит фактора XI', 'D68.1', 2096, 'D68', 0, 'Гемофилия С Дефицит предшественника тромбопластина плазмы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2099, 'Наследственный дефицит других факторов свертывания', 'D68.2', 2096, 'D68', 0, 'Врожденная афибриногенемия Дефицит: . AC-глобулина . проакцелерина Дефицит фактора: . I [фибриногена] . II [протромбина] . V [лабильного] . VII [стабильного] . X [Стюарта-Прауэра] . XII [Хагемана] . XIII [фибринстабилизирующего] Дисфибриногенемия (врожденная) Гипопроконвертинемия Болезнь Оврена');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2100, 'Геморрагические нарушения, обусловленные циркулирующими в крови антикоагулянтами', 'D68.3', 2096, 'D68', 0, 'Гипергепаринемия Повышение содержания: . антитромбина . анти-VIIIа . анти-IXа . анти-Xа . анти-XIа При необходимости идентифицировать использованный антикоагулянт используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2101, 'Приобретенный дефицит фактора свертывания', 'D68.4', 2096, 'D68', 0, 'Дефицит фактора свертывания вследствие: . заболевания печени . недостаточности витамина K Исключена: недостаточность витамина K у новорожденного (P53)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2102, 'Другие уточненные нарушения свертываемости', 'D68.8', 2096, 'D68', 0, 'Присутствие ингибитора системной красной волчанки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2103, 'Нарушение свертываемости неуточненное', 'D68.9', 2096, 'D68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2104, 'Пурпура и другие геморрагические состояния', 'D69', 2092, 'D65-D69', 9, 'Исключены: доброкачественная гипергаммаглобулинемическая пурпура (D89.0) криоглобулинемическая пурпура (D89.1) идиопатическая (геморрагическая) тромбоцитемия (D47.3) молниеносная пурпура (D65) тромботическая тромбоцитопеническая пурпура (M31.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2105, 'Аллергическая пурпура', 'D69.0', 2104, 'D69', 0, 'Пурпура: . анафилактоидная . Геноха(-Шенлейна) . нетромбоцитопеническая: . геморрагическая . идиопатическая . сосудистая Аллергический васкулит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2106, 'Качественные дефекты тромбоцитов', 'D69.1', 2104, 'D69', 0, 'Синдром Бернара-Сулье [гигинтских тромбоцитов] Болезнь Гланцманна Синдром серых тромбоцитов Тромбастения (геморрагическая) (наследственная) Тромбоцитопатия Исключена: болезнь Виллебранда (D68.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2107, 'Другая нетромбоцитопеническая пурпура', 'D69.2', 2104, 'D69', 0, 'Пурпура: . БДУ . сенильная . простая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2108, 'Идиопатическая тромбоцитопеническая пурпура', 'D69.3', 2104, 'D69', 0, 'Синдром Эванса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2109, 'Другие первичные тромбоцитопении', 'D69.4', 2104, 'D69', 0, 'Исключены: тромбоцитопения с отсутствием лучевой кости (Q87.2) преходящая неонатальная тромбоцитопения (P61.0) синдром Вискотта-Олдрича (D82.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2110, 'Вторичная тромбоцитопения', 'D69.5', 2104, 'D69', 0, 'При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2111, 'Тромбоцитопения неуточненная', 'D69.6', 2104, 'D69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2112, 'Другие уточненные геморрагические состояния', 'D69.8', 2104, 'D69', 0, 'Ломкость капилляров (наследственная) Сосудистая псевдогемофилия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2113, 'Геморрагическое состояние неуточненное', 'D69.9', 2104, 'D69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2115, 'ДРУГИЕ БОЛЕЗНИ КРОВИ И КРОВЕТВОРНЫХ ОРГАНОВ', 'D70-D77', 2001, 'D50-D89', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2116, 'Агранулоцитоз', 'D70', 2115, 'D70-D77', 0, 'Агранулоцитарная ангина Детский генетический агранулоцитоз Болезнь Костманна Нейтропения: . БДУ . врожденная . циклическая . медикаментозная . периодическая . селезеночная (первичная) . токсическая Нейтропеническая спленомегалия При необходимости идентифицировать лекарственное средство, вызвавшее нейтропению, используют дополнительный код внешних причин (класс XX). Исключена: преходящая неонатальная нейтропения (P61.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2117, 'Функциональные нарушения полиморфно-ядерных нейтрофилов', 'D71', 2115, 'D70-D77', 0, 'Дефект рецепторного комплекса клеточной мембраны Хронический (детский) гранулематоз Врожденный дисфагоцитоз Прогрессирующий септический гранулематоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2118, 'Другие нарушения белых кровяных клеток', 'D72', 2115, 'D70-D77', 4, 'Исключены: базофилия (D75.8) иммунные нарушения (D80-D89) нейтропения (D70) предлейкоз (синдром) (D46.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2119, 'Генетические аномалии лейкоцитов', 'D72.0', 2118, 'D72', 0, 'Аномалия (грануляции) (гранулоцита) или синдром: . Альдера . Мая-Хегглина . Пельгера-Хюэта Наследственная: . лейкоцитарная . гиперсегментация . гипосегментация . лейкомеланопатия Исключен: Синдром Чедиака-Хигаси (-Стейнбринка) (E70.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2120, 'Эозинофилия', 'D72.1', 2118, 'D72', 0, 'Эозинофилия: . аллергическая . наследственная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2121, 'Другие уточненные нарушения белых кровяных клеток', 'D72.8', 2118, 'D72', 0, 'Лейкемоидная реакция: . лимфоцитарная . моноцитарная . миелоцитарная Лейкоцитоз Лимфоцитоз (симптоматический) Лимфопения Моноцитоз (симптоматический) Плазмацитоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2122, 'Нарушение белых кровяных клеток неуточненное', 'D72.9', 2118, 'D72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2123, 'Болезни селезенки', 'D73', 2115, 'D70-D77', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2124, 'Гипоспленизм', 'D73.0', 2123, 'D73', 0, 'Аспления послеоперационная Атрофия селезенки Исключена: аспления (врожденная) (Q89.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2125, 'Гиперспленизм', 'D73.1', 2123, 'D73', 0, 'Исключены: спленомегалия: . БДУ (R16.1) . врожденная (Q89.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2126, 'Хроническая застойная спленомегалия', 'D73.2', 2123, 'D73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2127, 'Абсцесс селезенки', 'D73.3', 2123, 'D73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2128, 'Киста селезенки', 'D73.4', 2123, 'D73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2129, 'Инфаркт селезенки', 'D73.5', 2123, 'D73', 0, 'Разрыв селезенки нетравматический Перекручивание селезенки Исключен: травматический разрыв селезенки (S36.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2130, 'Другие болезни селезенки', 'D73.8', 2123, 'D73', 0, 'Фиброз селезенки БДУ Периспленит Спленит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2131, 'Болезнь селезенки неуточненная', 'D73.9', 2123, 'D73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2132, 'Метгемоглобинемия', 'D74', 2115, 'D70-D77', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2133, 'Врожденная метгемоглобинемия', 'D74.0', 2132, 'D74', 0, 'Врожденная недостаточность NADH-метгемоглобинредуктазы Гемоглобиноз M [болезнь Hb-M] Метгемоглобинемия наследственная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2134, 'Другие метгемоглобинемии', 'D74.8', 2132, 'D74', 0, 'Приобретенная метгемоглобинемия (с сульфгемоглобинемией) Токсическая метгемоглобинемия При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2135, 'Метгемоглобинемия неуточненная', 'D74.9', 2132, 'D74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2136, 'Другие болезни крови и кроветворных органов', 'D75', 2115, 'D70-D77', 5, 'Исключены: увеличение лимфатических узлов (R59.-) гипергаммаглобулинемия БДУ (D89.2) лимфаденит: . БДУ (I88.9) . острый (L04.-) . хронический (I88.1) . брыжеечный (острый) (хронический) (I88.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2137, 'Семейный эритроцитоз', 'D75.0', 2136, 'D75', 0, 'Полицитемия: . доброкачественная . семейная Исключен: наследственный овалоцитоз (D58.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2138, 'Вторичная полицитемия', 'D75.1', 2136, 'D75', 0, 'Полицитемия: . приобретенная . связанная с: . эритропоэтинами . снижением объема плазмы . высотой . стрессом . эмоциональная . гипоксемическая . нефрогенная . относительная Исключены: полицитемия: . новорожденного (P61.1) . истинная (D45)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2139, 'Эссенциальный тромбоцитоз', 'D75.2', 2136, 'D75', 0, 'Исключена: эссенциальная (геморрагическая) тромбоцитемия (D47.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2140, 'Другие уточненные болезни крови и кроветворных органов', 'D75.8', 2136, 'D75', 0, 'Базофилия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2141, 'Болезнь крови и кроветворных органов неуточненная', 'D75.9', 2136, 'D75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2142, 'Отдельные болезни, протекающие с вовлечением лимфоретикулярной ткани и ретикулогистиоцитарной системы', 'D76', 2115, 'D70-D77', 4, 'Исключены: болезнь Леттерера-Сиве (C96.0) злокачественный гистиоцитоз (C96.1) ретикулоэндотелиоз или ретикулез: . гистиоцитарный медуллярный (C96.1) . лейкемический (C91.4) . липомеланотический (I89.8) . злокачественный (C85.7) . нелипидный (C96.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2143, 'Гистиоцитоз из клеток Лангерганса, не классифицированный в других рубриках', 'D76.0', 2142, 'D76', 0, 'Эозинофильная гранулема Болезнь Хенда-Шюллера-Крисгена Гистиоцитоз X (хронический)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2144, 'Гемофагоцитарный лимфогистиоцитоз', 'D76.1', 2142, 'D76', 0, 'Семейный гемофагоцитарный ретикулез Гистиоцитозы из мононуклеарных фагоцитов, отличных от клеток Лангерганса, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2145, 'Гемофагоцитарный синдром, связанный с инфекцией', 'D76.2', 2142, 'D76', 0, 'При необходимости идентифицировать инфекционный возбудитель или болезнь используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2146, 'Другие гистиоцитозные синдромы', 'D76.3', 2142, 'D76', 0, 'Ретикулогистиоцитома (гигантоклеточная) Синусный гистиоцитоз с массивной лимфаденопатией Ксантогранулема');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2147, 'Другие нарушения крови и кроветворных органов при болезнях,', 'D77*', 2115, 'D70-D77', 0, 'классифицированных в других рубриках Фиброз селезенки при шистосомозе [бильгарциозе] (B65.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2149, 'ОТДЕЛЬНЫЕ НАРУШЕНИЯ, ВОВЛЕКАЮЩИЕ ИММУННЫЙ МЕХАНИЗМ', 'D80-D89', 2001, 'D50-D89', 7, 'Включены: дефекты в системе комплемента иммунодефицитные расстройства, за исключением болезни, вызванной вирусом иммунодефицита человека [ВИЧ] саркоидоз\nИсключены: аутоиммунные болезни (системные) БДУ (M35.9) функциональные нарушения полиморфно-ядерных нейтрофилов (D71) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2150, 'Иммунодефициты с преимущественной недостаточностью антител', 'D80', 2149, 'D80-D89', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2151, 'Наследственная гипогаммаглобулинемия', 'D80.0', 2150, 'D80', 0, 'Аутосомная рецессивная агаммаглобулинемия (швейцарский тип) Сцепленная с X-хромосомой агаммаглобулинемия [Брутона] (с дефицитом гормона роста)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2152, 'Несемейная гипогаммаглобулинемия', 'D80.1', 2150, 'D80', 0, 'Агаммаглобулинемия с наличием B-лимфоцитов, несущих иммуноглобулины Общая агаммаглобулинемия [CVAgamma] Гипогаммаглобулинемия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2153, 'Избирательный дефицит иммуноглобулина A [IgA]', 'D80.2', 2150, 'D80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2154, 'Избирательный дефицит подклассов иммуноглобулина G [IgG]', 'D80.3', 2150, 'D80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2155, 'Избирательный дефицит иммуноглобулина M [IgM]', 'D80.4', 2150, 'D80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2156, 'Иммунодефицит с повышенным содержанием иммуноглобулина M [IgM]', 'D80.5', 2150, 'D80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2157, 'Недостаточность антител с близким к норме уровнем иммуно глобулинов или с гипериммуноглобулинемией', 'D80.6', 2150, 'D80', 0, 'Дефицит антител с гипериммуноглобулинемией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2158, 'Преходящая гипогаммаглобулинемия детей', 'D80.7', 2150, 'D80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2159, 'Другие иммунодефициты с преимущественным дефектом антител', 'D80.8', 2150, 'D80', 0, 'Дефицит каппа-легких цепей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2160, 'Иммунодефицит с преимущественным дефектом антител неуточненный', 'D80.9', 2150, 'D80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2161, 'Комбинированные иммунодефициты', 'D81', 2149, 'D80-D89', 10, 'Исключена: аутосомная рецессивная агаммаглобулинемия (швейцарский тип) (D80.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2162, 'Тяжелый комбинированный иммунодефицит с ретикулярным дисгенезом', 'D81.0', 2161, 'D81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2163, 'Тяжелый комбинированный иммунодефицит с низким содержанием T- и B-клеток', 'D81.1', 2161, 'D81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2164, 'Тяжелый комбинированный иммунодефицит с низким или нормальным содержанием B-клеток', 'D81.2', 2161, 'D81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2165, 'Дефицит аденозиндезаминазы', 'D81.3', 2161, 'D81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2166, 'Синдром Незелофа', 'D81.4', 2161, 'D81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2167, 'Дефицит пуриннуклеозидфосфорилазы', 'D81.5', 2161, 'D81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2168, 'Дефицит молекул класса I главного комплекса гистосовместимости', 'D81.6', 2161, 'D81', 0, 'Синдром "обнаженных лимфоцитов"');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2169, 'Дефицит молекул класса II главного комплекса гистосовместимости', 'D81.7', 2161, 'D81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2170, 'Другие комбинированные иммунодефициты', 'D81.8', 2161, 'D81', 0, 'Дефицит биотинзависимой карбоксилазы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2171, 'Комбинированный иммунодефицит неуточненный', 'D81.9', 2161, 'D81', 0, 'Тяжелое комбинированное имуннодефицитное расстройство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2172, 'Иммунодефициты, связанные с другими значительными дефектами', 'D82', 2149, 'D80-D89', 7, 'Исключена: атактическая телеангиэктазия [Луи-Бар] (G11.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2173, 'Синдром Вискотта-Олдрича', 'D82.0', 2172, 'D82', 0, 'Иммунодефицит с тромбоцитопенией и экземой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2174, 'Синдром Ди Георга', 'D82.1', 2172, 'D82', 0, 'Синдром дивертикула глотки Вилочковой железы: . алимфоплазия . аплазия или гипоплазия с иммунной недостаточностью');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2175, 'Иммунодефицит с карликовостью за счет коротких конечностей', 'D82.2', 2172, 'D82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2176, 'Иммунодефицит вследствие наследственного дефекта, вызванного вирусом Эпштейна-Барр', 'D82.3', 2172, 'D82', 0, 'Сцепленная с X-хромосомой лимфопролиферативная болезнь');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2177, 'Синдром гипериммуноглобулина E [IgE]', 'D82.4', 2172, 'D82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2178, 'Иммунодефицит, связанный с другими уточненными значительными дефектами', 'D82.8', 2172, 'D82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2179, 'Иммунодефицит, связанный со значительным дефектом, неуточненный', 'D82.9', 2172, 'D82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2180, 'Обычный вариабельный иммунодефицит', 'D83', 2149, 'D80-D89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2181, 'Общий вариабельный иммунодефицит с преобладающими отклонениями в количестве и функциональной активности B-клеток', 'D83.0', 2180, 'D83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2182, 'Общий вариабельный иммунодефицит с преобладанием нарушений иммунорегуляторных T-клеток', 'D83.1', 2180, 'D83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2183, 'Общий вариабельный иммунодефицит с аутоантителами к B- или T-клеткам', 'D83.2', 2180, 'D83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2184, 'Другие общие вариабельные иммунодефициты', 'D83.8', 2180, 'D83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2185, 'Общий вариабельный иммунодефицит неуточненный', 'D83.9', 2180, 'D83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2186, 'Другие иммунодефициты', 'D84', 2149, 'D80-D89', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2187, 'Дефект функционального антигена-1 лимфоцитов [LFA-1]', 'D84.0', 2186, 'D84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2188, 'Дефект в системе комплемента', 'D84.1', 2186, 'D84', 0, 'Дефицит C1 ингибитора эстеразы [C1-INH]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2189, 'Другие уточненные иммунодефицитные нарушения', 'D84.8', 2186, 'D84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2190, 'Иммунодефицит неуточненный', 'D84.9', 2186, 'D84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2191, 'Саркоидоз', 'D86', 2149, 'D80-D89', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2192, 'Саркоидоз легких', 'D86.0', 2191, 'D86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2193, 'Саркоидоз лимфатических узлов', 'D86.1', 2191, 'D86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2194, 'Саркоидоз легких с саркоидозом лимфатических узлов', 'D86.2', 2191, 'D86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2195, 'Саркоидоз кожи', 'D86.3', 2191, 'D86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2196, 'Саркоидоз других уточненных и комбинированных локализаций', 'D86.8', 2191, 'D86', 0, 'Иридоциклит при саркоидозе + (H22.1*) Множественные параличи черепных нервов при саркоидозе (G53.2*) Саркоидная(ый): . артропатия + (M14.8*) . миокардит + (I41.8*) . миозит + (M63.3*) Увеопаротитная лихорадка [болезнь Герфордта]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2197, 'Саркоидоз неуточненный', 'D86.9', 2191, 'D86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2198, 'Другие нарушения с вовлечением иммунного механизма, не классифицированные в других рубриках', 'D89', 2149, 'D80-D89', 5, 'Исключены: гиперглобулинемия БДУ (R77.1) моноклональная гаммапатия (D47.2) неприживление и отторжение трансплантата (T86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2199, 'Поликлональная гипергаммаглобулинемия', 'D89.0', 2198, 'D89', 0, 'Гипергаммаглобулинемическая пурпура Поликлональная гаммапатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2200, 'Криоглобулинемия', 'D89.1', 2198, 'D89', 0, 'Криоглобулинемия: . эссенциальная . идиопатическая . смешанная . первичная . вторичная Криоглобулинемическая(ий): . пурпура . васкулит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2201, 'Гипергаммаглобулинемия неуточненная', 'D89.2', 2198, 'D89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2202, 'Другие уточненные нарушения с вовлечением иммунного механизма, не классифицированные в других рубриках', 'D89.8', 2198, 'D89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(2203, 'Нарушение, вовлекающее иммунный механизм, неуточненное', 'D89.9', 2198, 'D89', 0, 'Иммунная болезнь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3001, 'БОЛЕЗНИ ЭНДОКРИННОЙ СИСТЕМЫ, РАССТРОЙСТВА ПИТАНИЯ И НАРУШЕНИЯ ОБМЕНА ВЕЩЕСТВ', 'E00-E90', NULL, NULL, 8, 'Примечание. Все новообразования (как функционально активные,так и неактивные) включены в класс II. Соответствующие коды в этом классе (например, Е05.8, Е07.0, Е16-Е31, Е34.-) при необходимости можно использовать в качестве дополнительных кодов для идентификации функционально активных новообразований и эктопической эндокринной ткани, а также гиперфункции и гипофункции эндокринных желез, связанных с новообразованиями и другими расстройствами, классифицированными в других рубриках.\nИсключены: осложнения беременности, родов и послеродового периода (О00-О99) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99) преходящие эндокринные нарушения и нарушения обмена веществ, специфичные для плода и новорожденного (Р70-Р74)\nЭтот класс содержит следующие блоки:\nЕ00-Е07 Болезни щитовидной железы\nЕ10-Е14 Сахарный диабет\nЕ15-Е16 Другие нарушения регуляции глюкозы и внутренней секреции поджелудочной железы\nЕ20-Е35 Нарушения других эндокринных желез\nЕ40-Е46 Недостаточность питания\nЕ50-Е64 Другие виды недостаточности питания\nЕ65-Е68 Ожирение и другие виды избыточности питания\nЕ70-Е90 Нарушения обмена веществ\nЗвездочкой обозначены следующие категории:\nЕ35* Нарушения эндокринных желез при болезнях, классифицированных в других рубриках\nЕ90 * Расстройства питания и нарушения обмена веществ при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3002, 'БОЛЕЗНИ ЩИТОВИДНОЙ ЖЕЛЕЗЫ', 'E00-E07', 3001, 'E00-E90', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3003, 'Синдром врожденной йодной недостаточности', 'E00', 3002, 'E00-E07', 4, 'Включены: эндемические состояния, связанные с дефицитом йода в окружающей природной среде как непосредственно, так и вследствие недостаточности йода в организме матери. Некоторые из этих состояний не могут считаться истинным гипотиреозом, а являются следствием неадекватной секреции тиреоидных гормонов у развивающегося плода; может существовать связь с природными зобогенными факторами. При необходимости идентифицировать сопутствущую задержку психического развития используют дополнительный код (F70-F79). Исключен: субклинический гипотиреоз вследствие йодной недостаточности (E02)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3004, 'Синдром врожденной йодной недостаточности, неврологическая форма', 'E00.0', 3003, 'E00', 0, 'Эндемический кретинизм, неврологическая форма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3005, 'Синдром врожденной йодной недостаточности, микседематозная форма', 'E00.1', 3003, 'E00', 0, 'Эндемический кретинизм: . гипотиреоидный . микседематозная форма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3006, 'Синдром врожденной йодной недостаточности, смешанная форма', 'E00.2', 3003, 'E00', 0, 'Эндемический кретинизм, смешанная форма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3007, 'Синдром врожденной йодной недостаточности неуточненный', 'E00.9', 3003, 'E00', 0, 'Врожденный гипотиреоз вследсьвие недостатка йода БДУ Эндемический кретинизм БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3008, 'Болезни щитовидной железы, связанные с йодной недостаточностью, и сходные состояния', 'E01', 3002, 'E00-E07', 4, 'Исключены: синдром врожденной йодной недостаточности (E00.-) субклинический гипотиреоз вследствие йодной недостаточности (E02)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3009, 'Диффузный (эндемический) зоб, связанный с йодной недо статочностью', 'E01.0', 3008, 'E01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3010, 'Многоузловой (эндемический) зоб, связанный с йодной недостаточностью', 'E01.1', 3008, 'E01', 0, 'Узловой зоб, связанный с недостатком йода');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3011, 'Зоб (эндемический), связанный с йодной недостаточностью, неуточненный', 'E01.2', 3008, 'E01', 0, 'Эндемический зоб БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3012, 'Другие болезни щитовидной железы, связанные с йодной недостаточностью, и сходные состояния', 'E01.8', 3008, 'E01', 0, 'Приобретенный гипотериоз вследствии недостатка йода БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3013, 'Субклинический гипотиреоз вследствие йодной недостаточности', 'E02', 3002, 'E00-E07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3014, 'Другие формы гипотиреоза', 'E03', 3002, 'E00-E07', 8, 'Исключены: гипотиреоз, связанный с йодной недостаточностью (E00-E02) гипотиреоз, возникший после медицинских процедур (E89.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3015, 'Врожденный гипотиреоз с диффузным зобом', 'E03.0', 3014, 'E03', 0, 'Зоб (нетоксический) врожденный: . БДУ . паренхиматозный Исключен: преходящий врожденный зоб с нормальной функцией (P72.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3016, 'Врожденный гипотиреоз без зоба', 'E03.1', 3014, 'E03', 0, 'Аплазия щитовидной железы (с микседемой) Врожденная(ый): . атрофия шитовидной железы . гипотериоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3017, 'Гипотиреоз, вызванный медикаментами и другими экзогенными веществами', 'E03.2', 3014, 'E03', 0, 'При необходимости идентифицировать причну используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3018, 'Постинфекционный гипотиреоз', 'E03.3', 3014, 'E03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3019, 'Атрофия щитовидной железы (приобретенная)', 'E03.4', 3014, 'E03', 0, 'Исключена: врожденная атрофия щитовидной железы (E03.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3020, 'Микседематозная кома', 'E03.5', 3014, 'E03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3021, 'Другие уточненные гипотиреозы', 'E03.8', 3014, 'E03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3022, 'Гипотиреоз неуточненный', 'E03.9', 3014, 'E03', 0, 'Микседема БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3023, 'Другие формы нетоксического зоба', 'E04', 3002, 'E00-E07', 5, 'Исключены: врожденный зоб: . БДУ } . диффузный } (E03.0) . паренхиматозный } зоб, связанный с йодной недостаточностью (E00-E02)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3024, 'Нетоксический диффузный зоб', 'E04.0', 3023, 'E04', 0, 'Зоб нетоксический: . диффузный (коллоидный) . простой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3025, 'Нетоксический одноузловой зоб', 'E04.1', 3023, 'E04', 0, 'Коллоидный узел (кистозный) (тиреоидный) Нетоксический мононодозный зоб Тиреоидный (кистозный) узел БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3026, 'Нетоксический многоузловой зоб', 'E04.2', 3023, 'E04', 0, 'Кистозный зоб БДУ Полинодозный (кистозный) зоб БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3027, 'Другие уточненные формы нетоксического зоба', 'E04.8', 3023, 'E04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3028, 'Нетоксический зоб неуточненный', 'E04.9', 3023, 'E04', 0, 'Зоб бду Узловой зоб (нетоксический) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3029, 'Тиреотоксикоз [гипертиреоз]', 'E05', 3002, 'E00-E07', 8, 'Исключены: хронический тиреоидит с преходящим тиреотоксикозом (E06.2) неонатальный тиреотоксикоз (P72.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3030, 'Тиреотоксикоз с диффузным зобом', 'E05.0', 3029, 'E05', 0, 'Экзофтальмический или токсический зов БДУ Болезнь Грейвса Диффузный токсический зоб');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3031, 'Тиреотоксикоз с токсическим одноузловым зобом', 'E05.1', 3029, 'E05', 0, 'Тиреотоксикоз с токсическим мононодозным зобом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3032, 'Тиреотоксикоз с токсическим многоузловым зобом', 'E05.2', 3029, 'E05', 0, 'Токсический узловой зоб БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3033, 'Тиреотоксикоз с эктопией тиреоидной ткани', 'E05.3', 3029, 'E05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3034, 'Тиреотоксикоз искусственный', 'E05.4', 3029, 'E05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3035, 'Тиреоидный криз или кома', 'E05.5', 3029, 'E05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3036, 'Другие формы тиреотоксикоза', 'E05.8', 3029, 'E05', 0, 'Гиперсекреция тиреостимулирующего гормона При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3037, 'Тиреотоксикоз неуточненный', 'E05.9', 3029, 'E05', 0, 'Гипертиреоидизм БДУ Тиреотоксическая болезнь сердца+ (I43.8*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3038, 'Тиреоидит', 'E06', 3002, 'E00-E07', 7, 'Исключен: послеродовой тиреоидит (O90.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3039, 'Острый тиреоидит', 'E06.0', 3038, 'E06', 0, 'Абсцесс щитовидной железы Тиреоидит: . пиогенный . гнойный При необходимости идентифицировать инфекционный агент используют дополнительный код (В95-В97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3040, 'Подострый тиреоидит', 'E06.1', 3038, 'E06', 0, 'Тиреоидит: . де-Кервена . гигантоклеточный . гранулематозный . негнойный Исключен: аутоиммунный тиреоидит (Е06.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3041, 'Хронический тиреоидит с преходящим тиреотоксикозом', 'E06.2', 3038, 'E06', 0, 'Исключен: аутоиммунный тиреоидит (E06.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3042, 'Аутоиммунный тиреоидит', 'E06.3', 3038, 'E06', 0, 'Тиреодит Хасимото Хаситоксикоз (переходящий) Лимфоаденоматозный зоб Лимфоцитарный тиреоидит Лимфоматозная струма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3043, 'Медикаментозный тиреоидит', 'E06.4', 3038, 'E06', 0, 'При необходимости идентифицировать лекарственный препарат используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3044, 'Тиреодит:', 'E06.5', 3038, 'E06', 0, '. хронический: . БДУ . фиброзный . деревянистый . Риделя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3045, 'Тиреоидит неуточненный', 'E06.9', 3038, 'E06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3046, 'Другие болезни щитовидной железы', 'E07', 3002, 'E00-E07', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3047, 'Гиперсекреция кальцитонина', 'E07.0', 3046, 'E07', 0, 'C-клеточная гиперплазия щитовидной железы Гиперсекреция тиреокальцитонина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3048, 'Дисгормональный зоб', 'E07.1', 3046, 'E07', 0, 'Симейный дисгормональный зоб Синдром Пендреда Исключен: преходящий врожденный зоб с нормальной функцией (P72.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3049, 'Другие уточненные болезни щитовидной железы', 'E07.8', 3046, 'E07', 0, 'Дефект тирозинсвязывающего глобулина Кровоизлияние } Инфаркт } (в) щитовидной(ую) железы(у) Синдром нарушения эутиреоза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3050, 'Болезнь щитовидной железы неуточненная', 'E07.9', 3046, 'E07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3052, 'САХАРНЫЙ ДИАБЕТ', 'E10-E14', 3001, 'E00-E90', 5, 'При необходимости идентифицировать лекарственный препарат, вызвавший\nдиабет, используют дополнительный код внешних причин (класс XX).\nСледующие четвертые знаки используются с рубриками E10-E14:\n.0 С комой Диаберическая: . кома с кетоацидозом (кетоацидотическая) или без него . гиперсмолярная кома . гипогликемическая кома Гипергликемическая кома БДУ\n.1 С кетоацидозом Диабетический: . ацидоз } . кетоацидоз } без упоминания о коме\n.2+ С поражением почек Диабетическая нефропатия (N08.3*) Интракапиллярный гломерулонефроз (N08.3*) Синдром Киммельстила-Уилсона (N08.3*)\n.3+ С поражениями глаз Диабетическая: . катаракта (Н28.0*) . ретинопатия (Н36.0*)\n.4+ С неврологическими осложнениями Диабетическая: . амиотрофия (G73.0*) . автономная невропатия (G99.0*) . мононевропатия (G59.0*) . полиневропатия (G63.2*) . автономная (G99.0*)\n.5 С нарушениями периферического кровообращения Диабетическая: . гангрена . периферическая ангиопатия+ (I79.2*) . язва\n.6 С другими уточненными осложнениями Диабетическая артропатия+ (М14.2*) . невропатическая+ (М14.6*)\n.7 С множественными осложнениями\n.8 С неуточненными осложнениями\n.9 Без осложнений');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3053, 'Инсулинзависимый сахарный диабет', 'E10', 3052, 'E10-E14', 0, '[см. вышеуказанные рубрики] Включены: диабет (сахарный): . лабильный . с началом в молодом возрасте . с наклонностью к кетозу . тип I Исключены: сахарный диабет: . связанный с недостаточностью питания (E12.-) . новорожденных (Р70.2) . при беременности, во время родов и в послеродовом периоде (O24.-) гликозурия: . БДУ (R81) . почечная (E74.8) нарушение толерантности к глюкозе (R73.0) послеоперационная гипоинсулинемия (E89.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3054, 'Инсулиннезависимый сахарный диабет', 'E11', 3052, 'E10-E14', 0, '[см. вышеуказанные подрубрики] Включены: диабет (сахарный) (без ожирения) (с ожирением): . с началом в зрелом возрасте . без склонности к кетозу . стабильный . тип II Исключены: сахарный диабет: . связанный с недостаточностью питания (E12.-) . у новорожденных (P70.2) . при беременности, во время родов и в послеродовом периоде (O24.-) гликозурия: . БДУ (R81) . почечная (E74.8) нарушение толерантности к глюкозе (R73.0) послеоперационная гипоинсулинемия (E89.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3055, 'Сахарный диабет, связанный с недостаточностью питания', 'E12', 3052, 'E10-E14', 0, '[см. вышеуказанные подрубрики] Включены: сахарный диабет, связанный с недостаточностью питания: . инсулинзависимый . инсулиннезависимый Исключены: сахарный диабет при беременности, во время родов и в послеродовом периоде (O24.-) гликозурия: . БДУ (R81) . почечная (E74.8) нарушение толерантности к глюкозе (R73.0) сахарный диабет новорожденных (P70.2) послеоперационная гипоинсулинемия (E89.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3056, 'Другие уточненные формы сахарного диабета', 'E13', 3052, 'E10-E14', 0, '[см. вышеуказанные подрубрики] Исключены: сахарный диабет: . инсулинзависимый (E10.-) . связанный с недостаточностью питания (E12.-) . неонатальный (P70.2) . инсулиннезависимый (E11.-) . при беременности, во время родов и в послеродовом периоде (O24.-) гликозурия: . БДУ (R81) . почечная (E74.8) нарушение толерантности к глюкозе (R73.0) послеоперационная гипоинсулинемия (E89.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3057, 'Сахарный диабет неуточненный', 'E14', 3052, 'E10-E14', 0, '[см. вышеуказанные подрубрики] Включен: диабет БДУ Исключены: сахарный диабет: . инсулинзависимый (E10.-) . связанный с недостаточностью питания (E12.-) . новорожденных (P70.2) . инсулиннезависимый (E11.-) . при беременности, во время родов и в послеродовом периоде (O24.-) гликозурия: . БДУ (R81) . почечная (E74.8) нарушение толерантности к глюкозе (R73.0) послеоперационная гипоинсулинемия (E89.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3059, 'ДРУГИЕ НАРУШЕНИЯ РЕГУЛЯЦИИ ГЛЮКОЗЫ И ВНУТРЕННЕЙ СЕКРЕЦИИ ПОДЖЕЛУДОЧНОЙ ЖЕЛЕЗЫ', 'E15-E16', 3001, 'E00-E90', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3060, 'Недиабетическая гипогликемическая кома', 'E15', 3059, 'E15-E16', 0, 'Недиабетическая инсулиновая кома, вызванная лекарственными средствами Гиперинсулинизм с гипогликемический комой Гипогликемическая кома БДУ При необходимости идентифицировать лекарственное средство, вызвавшее недиабетическую гиполикемическую кому, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3061, 'Другие нарушения внутренней секреции поджелудочной железы', 'E16', 3059, 'E15-E16', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3062, 'Медикаментозная гипогликемия без комы', 'E16.0', 3061, 'E16', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код ввнешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3063, 'Другие формы гипогликемии', 'E16.1', 3061, 'E16', 0, 'Функциональная негиперинсулинемическая гипогликемия Гиперинсулинизм: . БДУ . функциональный Гиперплазия панкреатических островковых бета-клеток БДУ Энцефалопатия после гипогликемической комы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3064, 'Гипогликемия неуточненная', 'E16.2', 3061, 'E16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3065, 'Увеличенная секреция глюкагона', 'E16.3', 3061, 'E16', 0, 'Гиперплазия панкреатических островковых клеток с гиперсекрецией глюкагона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3066, 'Другие уточненные нарушения внутренней секреции поджелудочной железы', 'E16.8', 3061, 'E16', 0, 'Гипергастринемия Гиперсекреция: . гормон-рилизинга гормона роста . панкреатического полипептида . соматостатина . вазоактивного интенстинального полипептида Синдром Золлингера-Эллисона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3067, 'Нарушение внутренней секреции поджелудочной железы неуточненное', 'E16.9', 3061, 'E16', 0, 'Гиперплазия островковых клеток БДУ Гиперплазия эндокринных клеток поджелудочной железы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3069, 'НАРУШЕНИЯ ДРУГИХ ЭНДОКРИННЫХ ЖЕЛЕЗ', 'E20-E35', 3001, 'E00-E90', 15, 'Исключены: галакторея (N64.3) гинекомастия (N62)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3070, 'Гипопаратиреоз', 'E20', 3069, 'E20-E35', 4, 'Исключены: синдром Ди Георга (D82.1) гипопаратиреоз, возникший после медицинских процедур (E89.2) тетания БДУ (R29.0) транзиторный гипопаратиреоз новорожденного (P71.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3071, 'Идиопатический гипопаратиреоз', 'E20.0', 3070, 'E20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3072, 'Псевдогипопаратиреоз', 'E20.1', 3070, 'E20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3073, 'Другие формы гипопаратиреоза', 'E20.8', 3070, 'E20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3074, 'Гипопаратиреоз неуточненный', 'E20.9', 3070, 'E20', 0, 'Паратиреоидная тетагия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3075, 'Гиперпаратиреоз и другие нарушения паращитовидной [околощитовидной] железы', 'E21', 3069, 'E20-E35', 6, 'Исключены: остеомаляция: . у взрослых (M83.-) . в детском и юношеском возрасте (E55.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3076, 'Первичный гиперпаратиреоз', 'E21.0', 3075, 'E21', 0, 'Гиперплазия паращитовидных желез Остеодистрофия фиброзная генерализованная [костная болезнь Реклингхаузена]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3077, 'Вторичный гиперпаратиреоз, не классифицированный в других рубриках', 'E21.1', 3075, 'E21', 0, 'Исключен: вторичный гиперпаратиреоз почечного происхождения (N25.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3078, 'Другие формы гиперпаратиреоза', 'E21.2', 3075, 'E21', 0, 'Исключена: семейная гипокальциурическая гиперкальциемия (E83.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3079, 'Гиперпаратиреоз неуточненный', 'E21.3', 3075, 'E21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3080, 'Другие уточненные нарушения паращитовидной железы', 'E21.4', 3075, 'E21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3081, 'Болезнь паращитовидных желез неуточненная', 'E21.5', 3075, 'E21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3082, 'Гиперфункция гипофиза', 'E22', 3069, 'E20-E35', 5, 'Исключены: синдром Иценко-Кушинга (E24.-) синдром Нельсона (E24.1) гиперсекреция: . адренокортикотропного гормона [АКТГ], не связанная с синдромом Иценко-Кушинга (E27.0) . АКТГ гипофиза (E24.0) . тиреостимулирующего гормона (E05.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3083, 'Акромегалия и гипофизарный гигантизм', 'E22.0', 3082, 'E22', 0, 'Артропатия, связанная с акромегалией+ (М14.5*) Гиперсекреция гормона роста Исключены: конституциональный: . гигантизм (E34.4) . высокий рост (E34.4) гиперсекреция гормон-рилизинга гормона роста (E16.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3084, 'Гиперпролактинемия', 'E22.1', 3082, 'E22', 0, 'При необходимости идентифицировать лекарственное средство, вызвавшее гиперпролактинемию, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3085, 'Синдром неадекватной секреции антидиуретического гормона', 'E22.2', 3082, 'E22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3086, 'Другие состояния гиперфункции гипофиза', 'E22.8', 3082, 'E22', 0, 'Преждевременная половая зрелость центрального происхождения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3087, 'Гиперфункция гипофиза неуточненная', 'E22.9', 3082, 'E22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3088, 'Гипофункция и другие нарушения гипофиза', 'E23', 3069, 'E20-E35', 6, 'Включены: перечисленные состояния, вызванные заболеваниями гипофиза и гипоталамуса Исключен: гипопитуитаризм, возникший после медицинских процедур (E89.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3089, 'Гипопитуитаризм', 'E23.0', 3088, 'E23', 0, 'Фертильный евнухоидный синдром Гипогонадотропный гипогонадизм Идиопатическая недостаточность гормона роста Изолированная недостаточность: . гонадотропина . гормона роста . других гормонов гипофиза Синдром Калманна Hизкорослость [карликовость] Лорейна-Леви Hекроз гипофиза (послеродовой) Пангипопитуитаризм Гипофизарная(ый) : . кахексия . недостаточность БДУ . низкорослость [карликовость] Синдром Шихена Болезнь Симмондса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3090, 'Медикаментозный гипопитуитаризм', 'E23.1', 3088, 'E23', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3091, 'Несахарный диабет', 'E23.2', 3088, 'E23', 0, 'Исключен: нефрогенный несахарный диабет (N25.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3092, 'Дисфункция гипоталамуса, не классифицированная в других рубриках', 'E23.3', 3088, 'E23', 0, 'Исключены: синдром Прадера-Вилли (Q87.1) синдром Рассела-Сильвера (Q87.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3093, 'Другие болезни гипофиза', 'E23.6', 3088, 'E23', 0, 'Абсцесс гипофиза Адипозогенитальная дистрофия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3094, 'Болезнь гипофиза неуточненная', 'E23.7', 3088, 'E23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3095, 'Синдром Иценко-Кушинга', 'E24', 3069, 'E20-E35', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3096, 'Болезнь Иценко-Кушинга гипофизарного происхождения', 'E24.0', 3095, 'E24', 0, 'Гиперсекреция АКТГ гипофизом Гиперадренокортицизм гипофизарного происхождения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3097, 'Синдром Нельсона', 'E24.1', 3095, 'E24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3098, 'Медикаментозный синдром Иценко-Кушинга', 'E24.2', 3095, 'E24', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3099, 'Эктопический АКТГ-синдром', 'E24.3', 3095, 'E24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3100, 'Кушингоидный синдром, вызванный алкоголем', 'E24.4', 3095, 'E24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3101, 'Другие состояния, характеризующиеся кушингоидным синдромом', 'E24.8', 3095, 'E24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3102, 'Синдром Иценко-Кушинга неуточненный', 'E24.9', 3095, 'E24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3103, 'Адреногенитальные расстройства', 'E25', 3069, 'E20-E35', 3, 'Включены: адреногенитальные синдромы, вирилизация или феминизация, приобретенные или обусловленные гиперплазией надпочечников, которая является следствием врожденных ферментных дефектов в синтезе гормонов женский(ая): . адреналовый ложный гермафродитизм . гетеросексуальная преждевременная ложная половая зрелость мужская(ое): . изосексуальная преждевременная ложная половая зрелость . ранняя макрогенитосомия . преждевременное половое созревание с гиперплазией надпочечников . вирилизация (женская)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3104, 'Врожденные адреногенитальные нарушения, связанные с дефицитом ферментов', 'E25.0', 3103, 'E25', 0, 'Врожденная гиперплазия надпочечников Дефицит 21-гидроксилазы Врожденная гиперплазия надпочечников, вызывающая потерю соли');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3105, 'Другие адреногенитальные нарушения', 'E25.8', 3103, 'E25', 0, 'Идиопатическое адреногенитальное нарушение При необходимости идентифицировать лекарственное средство, вызвавшее адреногенитальное нарушение, исподьзуют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3106, 'Адреногенитальное нарушение неуточненное', 'E25.9', 3103, 'E25', 0, 'Адреногенитальный синдром БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3107, 'Гиперальдостеронизм', 'E26', 3069, 'E20-E35', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3108, 'Первичный гиперальдостеронизм', 'E26.0', 3107, 'E26', 0, 'Синдром Конна Первичный альдостеронизм, обусловленный гиперплазией надпочечников (двусторонний)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3109, 'Вторичный гиперальдостеронизм', 'E26.1', 3107, 'E26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3110, 'Другие формы гиперальдостеронизма', 'E26.8', 3107, 'E26', 0, 'Синдром Бартера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3111, 'Гиперальдостеронизм неуточненный', 'E26.9', 3107, 'E26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3112, 'Другие нарушения надпочечников', 'E27', 3069, 'E20-E35', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3113, 'Другие виды гиперсекреции коры надпочечников', 'E27.0', 3112, 'E27', 0, 'Гиперсекреция адренокортикотропного гормона [АКТГ], не связанная с болезнью Иценко-Кушинга Исключен: синдром Иценко-Кушинга (E24.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3114, 'Первичная недостаточность коры надпочечников', 'E27.1', 3112, 'E27', 0, 'Болезнь Адиссона Аутоиммунное воспаление надпочечников Исключены: амилоидоз (E85.-) болезнь Аддисона туберкулезного происхождения (A18.7) синдром Уотерхауса-Фридериксена (A39.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3115, 'Аддисонов криз', 'E27.2', 3112, 'E27', 0, 'Адреналовый криз Адренокортикальный криз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3116, 'Медикаментозная недостаточность коры надпочечников', 'E27.3', 3112, 'E27', 0, 'При необходимости идентифицировать лекарственное средство исподьзуют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3117, 'Другая и неуточненная недостаточность коры надпочечников', 'E27.4', 3112, 'E27', 0, 'Надпочечниковое(ый): . кровотечение . инфаркт Надостаточность коры надпочечников БДУ Гипоальдостеронизм Исключены: адренолейкодистрофия [Аддисона-Шильдера] (E71.3) синдром Уотерхауса-Фридериксена (A39.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3118, 'Гиперфункция мозгового слоя надпочечников', 'E27.5', 3112, 'E27', 0, 'Гиперплазия мозгового слоя надпочечников Катехоламиновая гиперсекреция');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3119, 'Другие уточненные нарушения надпочечников', 'E27.8', 3112, 'E27', 0, 'Нарушение кортизолсвязывающего глобулина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3120, 'Болезнь надпочечников неуточненная', 'E27.9', 3112, 'E27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3121, 'Дисфункция яичников', 'E28', 3069, 'E20-E35', 6, 'Исключены: изолированная гонадотропная недостаточность (E23.0) недостаточность яичников, возникшая после медицинских процедур (E89.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3122, 'Избыток эстрогенов', 'E28.0', 3121, 'E28', 0, 'При необходимости идентифицировать лекарственное средство, вызвавшее избыток эстрогенов, исподьзуют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3123, 'Избыток андрогенов', 'E28.1', 3121, 'E28', 0, 'Гиперсекреция овариальных андрогенов При необходимости идентифицировать лекарственное средство, вызвавшее избыток андрогенов, исподьзуют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3124, 'Синдром поликистоза яичников', 'E28.2', 3121, 'E28', 0, 'Склерокистозный овариальный синдром Синдром Стейна-Левенталя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3125, 'Первичная яичниковая недостаточность', 'E28.3', 3121, 'E28', 0, 'Низкое содержание эстрогенов Преждевременная менопауза БДУ Устойчивый овариальный синдром Исключены: менопауза и женский климактерический статус (N95.1) чистый гонадный дисгенез (Q99.1) синдром Тернера (Q96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3126, 'Другие виды дисфункции яичников', 'E28.8', 3121, 'E28', 0, 'Гиперфункция яичников БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3127, 'Дисфункция яичников неуточненная', 'E28.9', 3121, 'E28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3128, 'Дисфункция яичек', 'E29', 3069, 'E20-E35', 4, 'Исключены: синдром андрогенной резистентности (E34.5) азооспермия или олигоспермия БДУ (N46) изолированная гонадотропная недостаточность (E23.0) синдром Клайнфелтера (Q98.0-Q98.2, Q98.4) гипофункция яичек, возникшая после медицинских процедур (E89.5) тестикулярная феминизация (синдром) (E34.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3129, 'Гиперфункция яичек', 'E29.0', 3128, 'E29', 0, 'Гиперсекреция тестикулярных гормонов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3130, 'Гипофункция яичек', 'E29.1', 3128, 'E29', 0, 'Нарушение биосинтеза тестикулярного андрогена БДУ Дефицит 5-альфа-редуктазы (с мужским псевдогермафродитизмом) Тестикулярный гипогонадизм БДУ При необходимости идентифицировать лекарственное средство, вызвавшее гипофункцию яичек, исподьзуют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3131, 'Другие виды дисфункции яичек', 'E29.8', 3128, 'E29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3132, 'Дисфункция яичек неуточненная', 'E29.9', 3128, 'E29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3133, 'Нарушения полового созревания, не классифицированные в других рубриках', 'E30', 3069, 'E20-E35', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3134, 'Задержка полового созревания', 'E30.0', 3133, 'E30', 0, 'Конституциональная задержка полового созревания Задержка полового созревания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3135, 'Преждевременное половое созревание', 'E30.1', 3133, 'E30', 0, 'Преждевременная менструация Исключены: синдром Олбрайта(-Мак-Кьюна)(-Штернберга) (Q78.1) преждевременное половое развитие центрального происхождения (E22.8) врожденная гиперплазия надпочечников (E25.0) женская гетеросексуальная преждевременная 0 ложная половая зрелость (E25.-) мужская изосексуальная преждевременная ложная половая зрелость (E25.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3136, 'Другие нарушения полового созревания', 'E30.8', 3133, 'E30', 0, 'Преждевременное телархе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3137, 'Нарушение полового созревания неуточненное', 'E30.9', 3133, 'E30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3138, 'Полигландулярная дисфункция', 'E31', 3069, 'E20-E35', 4, 'Исключены: телеангиэктатическая атаксия [Луи-Бар] (G11.3) миотоническая дистрофия [Штейнерта] (G71.1) псевдогипопаратиреоз (E20.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3139, 'Аутоиммунная полигландулярная недостаточность', 'E31.0', 3138, 'E31', 0, 'Синдром Шмидта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3140, 'Полигландулярная гиперфункция', 'E31.1', 3138, 'E31', 0, 'Исключен: множественный эндокринный аденоматоз (D44.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3141, 'Другая полигландулярная дисфункция', 'E31.8', 3138, 'E31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3142, 'Полигландулярная дисфункция неуточненная', 'E31.9', 3138, 'E31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3143, 'Болезни вилочковой железы', 'E32', 3069, 'E20-E35', 4, 'Исключены: аплазия или гипоплазия с иммунодефицитом (D82.1) myasthenia gravis (G70.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3144, 'Стойкая гиперплазия вилочковой железы', 'E32.0', 3143, 'E32', 0, 'Гипертрофия вилочковой железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3145, 'Абсцесс вилочковой железы', 'E32.1', 3143, 'E32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3146, 'Другие болезни вилочковой железы', 'E32.8', 3143, 'E32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3147, 'Болезнь вилочковой железы неуточненная', 'E32.9', 3143, 'E32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3148, 'Другие эндокринные нарушения', 'E34', 3069, 'E20-E35', 8, 'Исключен: псевдогипопаратиреоз (E20.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3149, 'Карциноидный синдром', 'E34.0', 3148, 'E34', 0, 'Примечание. При необходимости идентифицировать функциональную активность, связанную с карциноидной опухолью, можно использовать дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3150, 'Другие состояния гиперсекреции интестинальных гормонов', 'E34.1', 3148, 'E34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3151, 'Эктопическая гормональная секреция, не классифицированная в других рубриках', 'E34.2', 3148, 'E34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3152, 'Низкорослость [карликовость], не классифицированная в других рубриках', 'E34.3', 3148, 'E34', 0, 'Низкорослость: . БДУ . конституциональная . типа Ларона . психосоциальная Исключены: прогерия (E34.8) синдром Рассела-Сильвера (Q87.1) укорочение конечностей с иммунодефицитом (D82.2) низкорослость: . ахондропластическая (Q77.4) . гипохондропластическая (Q77.4) . при специфических дисморфических синдромах (кодировать эти синдромы; см. Алфавитный указатель) . алиментарная (E45) . гипофизарная (E23.0) . почечная (N25.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3153, 'Конституциональная высокорослость', 'E34.4', 3148, 'E34', 0, 'Конституциональный гигантизм');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3154, 'Синдром андрогенной резистентности', 'E34.5', 3148, 'E34', 0, 'Мужской псевдогермафродитизм с андрогенной резистентностью Нарушение периферической гормональной рецепции Синдром Рейфенштейна Тестикулярная феминизация (синдром)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3155, 'Другие уточненные эндокринные расстройства', 'E34.8', 3148, 'E34', 0, 'Нарушение функции шишковидной железы Прогерия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3156, 'Эндокринное расстройство неуточненное', 'E34.9', 3148, 'E34', 0, 'Нарушение: . эндокринное БДУ . гормональное БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3157, 'Нарушения эндокринных желез при болезнях, классифицированных в других рубриках', 'E35*', 3069, 'E20-E35', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3158, 'Нарушения щитовидной железы при болезнях, классифицированных в других рубриках', 'E35.0*', 3157, 'E35*', 0, 'Туберкулез щитовидной железы (А18.8+)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3159, 'Нарушения надпочечников при болезнях, классифицированных в других рубриках', 'E35.1*', 3157, 'E35*', 0, 'Болезнь Аддисона туберкулезной этиологии (А18.7+) Синдром Уотерхауса-Фридериксена (менингококковый) (А39.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3160, 'Нарушения других эндокринных желез при болезнях, классифицированных в других рубриках', 'E35.8*', 3157, 'E35*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3162, 'НЕДОСТАТОЧНОСТЬ ПИТАНИЯ', 'E40-E46', 3001, 'E00-E90', 7, 'Примечание. Степень недостаточности питания обычно оценивают по показателям массы тела, выраженным в стандартных отклонениях от средней величины для эталонной популяции. Отсутствие прибавки массы тела у детей или свидетельство снижения массы тела у детей или взрослых при наличии одного или более предыдущих измерений массы тела обычно является индикатором недостаточности питания. При наличии показателей только однократного измерения массы тела диагноз основывается на предположениях и не считается окончательным, если не проведены другие клинические и лабораторные исследования. В исключительных случаях, когда отсутствуют какие-либо сведения о массе тела, за основу берутся клинические данные. Если масса тела индивида ниже среднего показателя для эталонной популяции, то тяжелую недостаточность питания с высокой степенью вероятности можно предположить тогда, когда наблюдаемое значение на 3 или более стандартных отклонений ниже среднего значения для эталонной группы; недостаточность питания средней степени, если наблюдаемая величина на 2 или более, но менее чем на 3 стандартных отклонений ниже средней величины, и легкую степень недостаточности питания, если наблюдаемый показатель массы тела на 1 или более, но менее чем на 2 стандпртных отклонения ниже среднего значения для эталонной группы.\nИсключены: нарушение всасывания в кишечнике (K90.-) алиментарная анемия (D50-D53) последствия белково-энергетической недостаточности (E64.0) истощающая болезнь (B22.2) голодание (T73.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3163, 'Квашиоркор', 'E40', 3162, 'E40-E46', 0, 'Тяжелое нарушение питания, сопровождаемое алиментарными отеками и нарушениями пигментации кожи и волос Исключен: маразматический квашиоркор (E42)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3164, 'Алиментарный маразм', 'E41', 3162, 'E40-E46', 0, 'Тяжелое нарушение питания, сопровождающееся маразмом Исключен: маразматический квашиоркор (E42)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3165, 'Маразматический квашиоркор', 'E42', 3162, 'E40-E46', 0, 'Тяжелая белково-энергетическая недостаточность [как в Е43]: . промежуточная форма . с симптомами квашиоркора и маразма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3166, 'Тяжелая белково-энергетическая недостаточность неуточненная', 'E43', 3162, 'E40-E46', 0, 'Тяжелая потеря массы тела у детей или взрослых или отсутствие прибавки массы тела у ребенка, которые приводят к тому, что выявляемая масса тела оказывается как минимум на 3 стандартных отклонения ниже среднего показателя для эталонной группы (или подобное снижение массы тела, отраженное другими статистическими методами). Если в распоряжении имеются данные лишь однократного измерения массы тела, то о тяжелом истощении с большой степенью вероятности можно говорить, когда выявленная масса тела на 3 или более стандартных отклонений ниже среднего показателя для эталонной группы населения. Голодный отек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3167, 'Белково-энергетическая недостаточность умеренной и слабой степени', 'E44', 3162, 'E40-E46', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3168, 'Умеренная белково-энергетическая недостаточность', 'E44.0', 3167, 'E44', 0, 'Потеря массы тела у детей или взрослых или отсутствие прибавки массы тела у ребенка, которые приводят к тому, что выявляемая масса тела оказывается ниже среднего показателя для эталонной группы населения на 2 стандартных отклонения или более, но менее чем на 3 стандартных отклонения (или подобное снижение массы тела, отраженное другими статистическими методами). Если в распоряжении имеются данные лишь однократного измерения массы тела, то об умеренной белково-энергетической недостаточности с большой степенью вероятности можно говорить, когда выявляемая масса тела на 2 или более стандартных отклонений ниже среднего показателя для эталонной группы населения.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3169, 'Легкая белково-энергетическая недостаточность', 'E44.1', 3167, 'E44', 0, 'Потеря массы тела у детей или взрослых или отсутствие прибавки массы тела у ребенка, которые приводят к тому, что выявляемая масса тела оказывается ниже среднего показателя для эталонной группы населения на 1 или более, но менее чем на 2 стандартных отклонения (или подобное снижение массы тела, отраженное другими статистическими методами). Если в распоряжении имеются данные лишь однократного измерения массы тела, то о легкой белково-энергетической недостаточности с большой степенью вероятности можно говорить, когда выявляенная масса тела на 1 или более, но менее чем на 2 стандартных отклонения ниже среднего показателя для эталонной группы населения.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3170, 'Задержка развития, обусловленная белково-энергетической недостаточностью', 'E45', 3162, 'E40-E46', 0, 'Алиментарная: . низкорослость (карликовость) . задержка роста Задержка физического развития вследствие недостаточности питания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3171, 'Белково-энергетическая недостаточность неуточненная', 'E46', 3162, 'E40-E46', 0, 'Недостаточность питания БДУ Белково-энергетический дисбаланс БДУ');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3173, 'ДРУГИЕ ВИДЫ НЕДОСТАТОЧНОСТИ ПИТАНИЯ', 'E50-E64', 3001, 'E00-E90', 13, 'Исключены: алиментарные анемии (D50-D53)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3174, 'Недостаточность витамина A', 'E50', 3173, 'E50-E64', 10, 'Исключены: последствия недостаточности витамина A (E64.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3175, 'Недостаточность витамина A с ксерозом конъюнктивы', 'E50.0', 3174, 'E50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3176, 'Недостаточность витамина A с бляшками Бито и ксерозом  конъюнктивы', 'E50.1', 3174, 'E50', 0, 'Бляшка Бито у ребенка раннего возраста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3177, 'Недостаточность витамина A с ксерозом роговицы', 'E50.2', 3174, 'E50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3178, 'Недостаточность витамина A с изъязвлением роговицы и ксерозом', 'E50.3', 3174, 'E50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3179, 'Недостаточность витамина A с кератомаляцией', 'E50.4', 3174, 'E50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3180, 'Недостаточность витамина A с куриной слепотой', 'E50.5', 3174, 'E50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3181, 'Недостаточность витамина A с ксерофтальмическими рубцами роговицы', 'E50.6', 3174, 'E50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3182, 'Другие глазные проявления недостаточности витамина A', 'E50.7', 3174, 'E50', 0, 'Ксерофтальмия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3183, 'Другие проявления недостаточности витамина A', 'E50.8', 3174, 'E50', 0, 'Фолликулярный кератоз } вследствие недостаточности Ксеодерма } витамина A+ (L86*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3184, 'Недостаточность витамина A неуточненная', 'E50.9', 3174, 'E50', 0, 'Гиповитаминоз A БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3185, 'Недостаточность тиамина', 'E51', 3173, 'E50-E64', 4, 'Исключены: последствия недостаточности тиамина (E64.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3186, 'Бери-бери', 'E51.1', 3185, 'E51', 0, 'Бери-бери: . сухая форма . мокрая форма+ (I98.8*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3187, 'Энцефалопатия Вернике', 'E51.2', 3185, 'E51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3188, 'Другие проявления недостаточности тиамина', 'E51.8', 3185, 'E51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3189, 'Недостаточность тиамина неуточненная', 'E51.9', 3185, 'E51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3190, 'Недостаточность никотиновой кислоты [пеллагра]', 'E52', 3173, 'E50-E64', 0, 'Недостаточность: . ниацина (-триптофана) . никотинамида Пеллагра (алкогольная) Исключены: последствия недостаточности никотиновой кислоты (E64.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3191, 'Недостаточность других витаминов группы B', 'E53', 3173, 'E50-E64', 4, 'Исключены: последствия дефицита витамина B (E64.8) витамин-B12-дефицитная анемия (D51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3192, 'Недостаточность рибофлавина', 'E53.0', 3191, 'E53', 0, 'Арибофлавиноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3193, 'Недостаточность пиридоксина', 'E53.1', 3191, 'E53', 0, 'Недостаточность витамина B6 Исключена: пиридоксинреагирующая сидеробластная анемия (D64.3)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3194, 'Недостаточность других уточненных витаминов группы B', 'E53.8', 3191, 'E53', 0, 'Недостаточность: . биотина . цианкобаламина . фолата . фолиевой кислоты . пантотеновой кислоты . витамина B12');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3195, 'Недостаточность витаминов группы B неуточненная', 'E53.9', 3191, 'E53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3196, 'Недостаточность аскорбиновой кислоты', 'E54', 3173, 'E50-E64', 0, 'Недостаточность витамина C Цинга Исключены: анемия, обусловленная цингой (D53.2) последствия недостаточности витамина C (E64.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3197, 'Недостаточность витамина D', 'E55', 3173, 'E50-E64', 2, 'Исключены: остеомаляция у взрослых (M83.-) остеопороз (M80-M81) последствия рахита (E64.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3198, 'Рахит активный', 'E55.0', 3197, 'E55', 0, 'Остеомаляция: . детская . юношеская Исключены: рахит: . кишечный (K90.0) . Крона (K50.-) . неактивный (E64.3) . почечный (N25.0) . витамин-D-резистентный (E83.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3199, 'Недостаточность витамина D неуточненная', 'E55.9', 3197, 'E55', 0, 'Авитаминоз D');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3200, 'Недостаточность других витаминов', 'E56', 3173, 'E50-E64', 4, 'Исключены: последствия недостаточности других витаминов (E64.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3201, 'Недостаточность витамина E', 'E56.0', 3200, 'E56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3202, 'Недостаточность витамина K', 'E56.1', 3200, 'E56', 0, 'Исключены: недостаточность фактора свертывания крови вследствие дефицита витамина K (D68.4) недостаточность витамина K у новорожденного (P53)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3203, 'Недостаточность других витаминов', 'E56.8', 3200, 'E56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3204, 'Недостаточность витаминов неуточненная', 'E56.9', 3200, 'E56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3205, 'Алиментарная недостаточность кальция', 'E58', 3173, 'E50-E64', 0, 'Исключены: нарушения обмена кальция (E83.5) последствия недостаточности кальция (E64.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3206, 'Алиментарная недостаточность селена', 'E59', 3173, 'E50-E64', 0, 'Кешанская болезнь Исключены: последствия недостаточности селена (E64.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3207, 'Алиментарная недостаточность цинка', 'E60', 3173, 'E50-E64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3208, 'Недостаточность других элементов питания', 'E61', 3173, 'E50-E64', 10, 'При необходимости идентифицировать лекарственное средство, вызвавшее недостаточность, используют дополнительный код внешних причин (класс XX). Исключены: нарушения минерального обмена (E83.-) нарушения функции щитовидной железы, связанные с недостаточностью йода (E00-E02) последствия недостаточности питания и недостаточности других питательных веществ (E64.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3209, 'Недостаточность меди', 'E61.0', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3210, 'Недостаточность железа', 'E61.1', 3208, 'E61', 0, 'Исключена: железодефицитная анемия (D50.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3211, 'Недостаточность магния', 'E61.2', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3212, 'Недостаточность марганца', 'E61.3', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3213, 'Недостаточность хрома', 'E61.4', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3214, 'Недостаточность молибдена', 'E61.5', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3215, 'Недостаточность ванадия', 'E61.6', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3216, 'Недостаточность многих элементов питания', 'E61.7', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3217, 'Недостаточность других уточненных элементов питания', 'E61.8', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3218, 'Недостаточность элементов питания неуточненная', 'E61.9', 3208, 'E61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3219, 'Другие виды недостаточности питания', 'E63', 3173, 'E50-E64', 4, 'Исключены: обезвоживание (E86) нарушения роста (R62.8) проблемы вскармливания новорожденного (P92.-) последствия недостаточности питания и недостаточности других питательных веществ (E64.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3220, 'Недостаточность незаменимых жирных кислот', 'E63.0', 3219, 'E63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3221, 'Несбалансированное поступление пищевых элементов', 'E63.1', 3219, 'E63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3222, 'Другие уточненные виды недостаточности питания', 'E63.8', 3219, 'E63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3223, 'Недостаточность питания неуточненная', 'E63.9', 3219, 'E63', 0, 'Кардиомиопатия вследствие недостаточности питания БДУ+ (I43.2*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3224, 'Последствия недостаточности питания и недостатка других питательных веществ', 'E64', 3173, 'E50-E64', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3225, 'Последствия белково-энергетической недостаточности', 'E64.0', 3224, 'E64', 0, 'Исключена: задержка развития вследствие белково-энергетической недостаточности (E45)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3226, 'Последствия недостаточности витамина A', 'E64.1', 3224, 'E64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3227, 'Последствия недостаточности витамина C', 'E64.2', 3224, 'E64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3228, 'Последствия рахита', 'E64.3', 3224, 'E64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3229, 'Последствия недостаточности других витаминов', 'E64.8', 3224, 'E64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3230, 'Последствия недостаточности питательных веществ', 'E64.9', 3224, 'E64', 0, 'неуточненных');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3232, 'ОЖИРЕНИЕ И ДРУГИЕ ВИДЫ ИЗБЫТОЧНОСТИ ПИТАНИЯ', 'E65-E68', 3001, 'E00-E90', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3233, 'Локализованное отложение жира', 'E65', 3232, 'E65-E68', 0, 'Жировые подушки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3234, 'Ожирение', 'E66', 3232, 'E65-E68', 5, 'Исключены: адипозогенитальная дистрофия (E23.6) липоматоз: . БДУ (E88.2) . болезненный [болезнь Деркума] (E88.2) синдром Прадера-Вилли (Q87.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3235, 'Ожирение, обусловленное избыточным поступлением энергетических ресурсов', 'E66.0', 3234, 'E66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3236, 'Ожирение, вызванное приемом лекарственных средств', 'E66.1', 3234, 'E66', 0, 'При необходимости идентифицировать лекарственный препарат используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3237, 'Крайняя степень ожирения, сопровождаемая альвеолярной гиповентиляцией', 'E66.2', 3234, 'E66', 0, 'Пикквикский синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3238, 'Другие формы ожирения', 'E66.8', 3234, 'E66', 0, 'Болезненное ожирение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3239, 'Ожирение неуточненное', 'E66.9', 3234, 'E66', 0, 'Простое ожирение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3240, 'Другие виды избыточности питания', 'E67', 3232, 'E65-E68', 5, 'Исключены: переедание БДУ (R63.2) последствия избыточности питания (E68)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3241, 'Гипервитаминоз A', 'E67.0', 3240, 'E67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3242, 'Гиперкаротинемия', 'E67.1', 3240, 'E67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3243, 'Синдром мегадоз витамина B6', 'E67.2', 3240, 'E67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3244, 'Гипервитаминоз D', 'E67.3', 3240, 'E67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3245, 'Другие уточненные формы избыточности питания', 'E67.8', 3240, 'E67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3246, 'Последствия избыточности питания', 'E68', 3232, 'E65-E68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3248, 'НАРУШЕНИЯ ОБМЕНА ВЕЩЕСТВ', 'E70-E90', 3001, 'E00-E90', 19, 'Исключены: синдром андрогенной резистентности (E34.5) врожденная гиперплазия надпочечников (E25.0) синдром Элерса-Данло (Q79.6) гемолитические анемии, обусловленные ферментными нарушениями (D55.-) синдром Марфана (Q87.4) недостаточность 5-альфа-редуктазы (E29.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3249, 'Нарушения обмена ароматических аминокислот', 'E70', 3248, 'E70-E90', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3250, 'Классическая фенилкетонурия', 'E70.0', 3249, 'E70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3251, 'Другие виды гиперфенилаланинемии', 'E70.1', 3249, 'E70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3252, 'Нарушения обмена тирозина', 'E70.2', 3249, 'E70', 0, 'Алкаптонурия Гипертирозинемия Охроноз Тирозинемия Тирозиноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3253, 'Альбинизм', 'E70.3', 3249, 'E70', 0, 'Альбинизм: . глазной . кожно-глазной Синдром: . Чедиака(-Стейнбринка)-Хигаси . Кросса . Хермански-Пудлака');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3254, 'Другие нарушения обмена ароматических аминокислот', 'E70.8', 3249, 'E70', 0, 'Нарушения: . обмена гистидина . обмена триптофана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3255, 'Нарушения обмена ароматических аминокислот неуточненные', 'E70.9', 3249, 'E70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3256, 'Нарушения обмена аминокислот с разветвленной цепью и обмена жирных кислот', 'E71', 3248, 'E70-E90', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3257, 'Болезнь "кленового сиропа"', 'E71.0', 3256, 'E71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3258, 'Другие виды нарушений обмена аминокислот с разветвленной цепью', 'E71.1', 3256, 'E71', 0, 'Гиперлейцин-изолейцинемия Гипервалинемия Изовалериановая ацидемия Метилмалоновая ацидемия Пропионовая ацидемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3259, 'Нарушения обмена аминокислот с разветвленной цепью неуточненные', 'E71.2', 3256, 'E71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3260, 'Нарушения обмена жирных кислот', 'E71.3', 3256, 'E71', 0, 'Адренолейкодистрофия [Аддисона-Шильдера] Дефицит мышечной карнитинпальмитилтрансферазы Исключены: болезнь Рефсума (G60.1) болезнь Шильдера (G37.0) синдром Зельвегера (Q87.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3261, 'Другие нарушения обмена аминокислот', 'E72', 3248, 'E70-E90', 8, 'Исключены: отклонения от нормы без проявлений болезни (R70-R89) нарушения: . обмена ароматических аминокислот (E70.-) . обмена аминокислот с разветвленной цепью (E71.0-E71.2) . обмена жирных кислот (E71.3) . обмена пуринов и пиримидинов (E79.-) подагра (M10.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3262, 'Нарушения транспорта аминокислот', 'E72.0', 3261, 'E72', 0, 'Цистиноз Цистинурия Синдром Фанкони(-де Тони)(-Дебре) Болезнь Хартнапа Синдром Лоу Исключены: нарушения метаболизма триптофана (E70.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3263, 'Нарушения обмена серосодержащих аминокислот', 'E72.1', 3261, 'E72', 0, 'Цистатионинурия Гомоцистинурия Метионинемия Недостаточность сульфитоксидазы Исключена: недостаточность транскобаламина II (D51.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3264, 'Нарушения обмена цикла мочевины', 'E72.2', 3261, 'E72', 0, 'Аргининемия Аргининосукцинаацидурия Цитруллинемия Гипераммонемия Исключены: нарушения метаболизма орнитина (E72.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3265, 'Нарушения обмена лизина и гидроксилизина', 'E72.3', 3261, 'E72', 0, 'Глютарикацидурия Гидроксилизинемия Гиперлизинемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3266, 'Нарушения обмена орнитина', 'E72.4', 3261, 'E72', 0, 'Орнитинемия (типы I, II)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3267, 'Нарушения обмена глицина', 'E72.5', 3261, 'E72', 0, 'Гипергидроксипролинемия Гиперпролинемия (типы I, II) Некетоновая гиперглицинемия Саркозинемия');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3268, 'Другие уточненные нарушения обмена аминокислот', 'E72.8', 3261, 'E72', 0, 'Нарушения: . обмена бета-аминокислот . гамма-глутамильного цикла');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3269, 'Нарушения обмена аминокислот неуточненные', 'E72.9', 3261, 'E72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3270, 'Непереносимость лактозы', 'E73', 3248, 'E70-E90', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3271, 'Врожденная недостаточность лактазы', 'E73.0', 3270, 'E73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3272, 'Вторичная недостаточность лактазы', 'E73.1', 3270, 'E73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3273, 'Другие виды непереносимости лактозы', 'E73.8', 3270, 'E73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3274, 'Непереносимость лактозы неуточненная', 'E73.9', 3270, 'E73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3275, 'Другие нарушения обмена углеводов', 'E74', 3248, 'E70-E90', 7, 'Исключены: увеличенная секреция глюкагона (E16.3) сахарный диабет (E10-E14) гипогликемия БДУ (E16.2) мукополисахаридоз (E76.0-E76.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3276, 'Болезни накопления гликогена', 'E74.0', 3275, 'E74', 0, 'Сердечный гликогеноз Болезнь: . Андерсена . Кори . Форбса . Герса . Мак-Ардла . Помпе . Таури . Гирке Недостаточность фосфорилазы печени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3277, 'Нарушения обмена фруктозы', 'E74.1', 3275, 'E74', 0, 'Эссенциальная фруктозурия Недостаточность фруктозо-1,6-дифосфатазы Наследственная непереносимость фруктозы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3278, 'Нарушения обмена галактозы', 'E74.2', 3275, 'E74', 0, 'Недостаточность галактокиназы Галактоземия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3279, 'Другие нарушения всасывания углеводов в кишечнике', 'E74.3', 3275, 'E74', 0, 'Нарушение всасывания глюкозы-галактозы Недостаточность сахарозы Исключена: непереносимость лактозы (E73.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3280, 'Нарушения обмена пирувата и гликонеогенеза', 'E74.4', 3275, 'E74', 0, 'Недостаточность: . фосфоенолпируваткарбоксикиназы . пирувата: . карбоксилазы . дегидрогеназы Исключена: с анемией (D55.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3281, 'Другие уточненные нарушения обмена углеводов', 'E74.8', 3275, 'E74', 0, 'Эссенциальная пентозурия Оксалоз Оксалурия Почечная глюкозурия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3282, 'Нарушение обмена углеводов неуточненное', 'E74.9', 3275, 'E74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3283, 'Нарушения обмена сфинголипидов и другие болезни накопления липидов', 'E75', 3248, 'E70-E90', 7, 'Исключены: муколипидоз, типы I-III (E77.0-E77.1) болезнь Рефсума (G60.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3284, 'Ганглиозидоз-GM2', 'E75.0', 3283, 'E75', 0, 'Болезнь: . Сендхоффа . Тея-Сакса GM2-ганглиозидоз: . БДУ . взрослых . ювенильный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3285, 'Другие ганглиозидозы', 'E75.1', 3283, 'E75', 0, 'Ганглиозидоз: . БДУ . GM1 . GM3 Муколипидоз IV');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3286, 'Другие сфинголипидозы', 'E75.2', 3283, 'E75', 0, 'Болезнь: . Фабри(-Андерсон) . Гаучера . Краббе . Нимана-Пика Синдром Фабера Метахроматическая лейкодистрофия Недостаточность сульфатазы Исключена: адренолейкодистрофия (Аддисона-Шильдера) (E71.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3287, 'Сфинголипидоз неуточненный', 'E75.3', 3283, 'E75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3288, 'Липофусциноз нейронов', 'E75.4', 3283, 'E75', 0, 'Болезнь: . Баттена . Бильшовского-Янского . Куфса . Шпильмейера-Фогта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3289, 'Другие нарушения накопления липидов', 'E75.5', 3283, 'E75', 0, 'Церебротендинозный холестероз [Ван-Богарта-ШерераЭпштейна] Болезнь Волмана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3290, 'Болезнь накопления липидов неуточненная', 'E75.6', 3283, 'E75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3291, 'Нарушения обмена глюкозаминогликанов', 'E76', 3248, 'E70-E90', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3292, 'Мукополисахаридоз, тип I', 'E76.0', 3291, 'E76', 0, 'Синдромы: . Гурлер . Гурлер-Шейе . Шейе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3293, 'Мукополисахаридоз, тип II', 'E76.1', 3291, 'E76', 0, 'Синдром Гунтера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3294, 'Другие мукополисахаридозы', 'E76.2', 3291, 'E76', 0, 'Недостаточность бета-глюкуронидазы Мукополисахаридозы типов III, IV, VI, VII Синдром: . Марото-Лами (легкий) (тяжелый) . Моркио(-подобный) (классический) . Санфилиппо (тип B) (тип C) (тип D)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3295, 'Мукополисахаридоз неуточненный', 'E76.3', 3291, 'E76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3296, 'Другие нарушения обмена глюкозаминогликанов', 'E76.8', 3291, 'E76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3297, 'Нарушение обмена глюкозаминогликанов неуточненное', 'E76.9', 3291, 'E76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3298, 'Нарушения обмена гликопротеинов', 'E77', 3248, 'E70-E90', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3299, 'Дефекты посттрансляционной модификации лизосомных', 'E77.0', 3298, 'E77', 0, 'ферментов Муколипидоз II [1-клеточная болезнь] Муколипидоз III [псевдополидистрофия Гурлер]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3300, 'Дефекты деградации гликопротеидов', 'E77.1', 3298, 'E77', 0, 'Аспартилглюкозаминурия Фукозидоз Маннозидоз Сиалидоз [муколипидоз I]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3301, 'Другие нарушения обмена гликопротеидов', 'E77.8', 3298, 'E77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3302, 'Нарушения обмена гликопротеидов неуточненные', 'E77.9', 3298, 'E77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3303, 'Нарушения обмена липопротеидов и другие липидемии', 'E78', 3248, 'E70-E90', 9, 'Исключен: сфинголипидоз (E75.0-E75.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3304, 'Чистая гиперхолестеринемия', 'E78.0', 3303, 'E78', 0, 'Семейная гиперхолестеринемия Гиперлипопортеинемия Фредриксона, тип IIa Гипер-бета-липопротеинемия Гиперлипидемия, группа A Гиперлипопротеинемия с липопротеинами низкой плотности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3305, 'Чистая гиперглицеридемия', 'E78.1', 3303, 'E78', 0, 'Эндогенная гиперглицеридемия Гиперлипопортеинемия Фредриксона, тип IV Гиперлипидемия, группа B Гиперпре-бета-липопротеинемия Гиперлипопротеинемия с липопротеинами очень низкой плотности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3306, 'Смешанная гиперлипидемия', 'E78.2', 3303, 'E78', 0, 'Обширная или флотирующая бета-липопротеинемия Гиперлипопортеинемия Фредриксона, типы IIb или III Гипербеталипопротеинемия с пре-бета-липопротеинемией Гиперхолестеринемия с эндогенной гиперглицеридемией Гиперлипидемия, группа C Тубоэруптивная ксантома Ксантома туберозная Исключен: церебротендинозный холестероз [Ван-БогартаШерера-Эпштейна] (E75.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3307, 'Гиперхиломикронемия', 'E78.3', 3303, 'E78', 0, 'Гиперлипопортеинемия Фредриксона, типы I или V Гиперлипидемия, группа D Смешанная гиперглицеридемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3308, 'Другие гиперлипидемии', 'E78.4', 3303, 'E78', 0, 'Семейная комбинированная гиперлипидемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3309, 'Гиперлипидемия неуточненная', 'E78.5', 3303, 'E78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3310, 'Недостаточность липопротеидов', 'E78.6', 3303, 'E78', 0, 'A-бета-липопротеинемия Недостаточность липопротеидов высокой плотности Гипо-альфа-липопротеинемия Гипо-бета-липопротеинемия (семейная) Недостаточность лецитинхолестеринацилтрансферазы Танжерская болезнь');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3311, 'Другие нарушения обмена липопротеидов', 'E78.8', 3303, 'E78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3312, 'Нарушения обмена липопротеидов неуточненные', 'E78.9', 3303, 'E78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3313, 'Нарушения обмена пуринов и пиримидинов', 'E79', 3248, 'E70-E90', 4, 'Исключены: камень почки (N20.0) комбинированные иммунодефициты (D81.-) подагра (M10.-) оротацидурическая анемия (D53.0) пигментная ксеродермия (Q82.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3314, 'Гиперурикемия без признаков воспалительного артрита и подагрических узлов', 'E79.0', 3313, 'E79', 0, 'Бессимптомная гиперурикемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3315, 'Синдром Леша-Нихена', 'E79.1', 3313, 'E79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3316, 'Другие нарушения обмена пуринов и пиримидинов', 'E79.8', 3313, 'E79', 0, 'Наследственная ксантинурия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3317, 'Нарушение пуринового и пиримидинового обмена неуточненное', 'E79.9', 3313, 'E79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3318, 'Нарушения обмена порфирина и билирубина', 'E80', 3248, 'E70-E90', 8, 'Включены: дефекты каталазы и пероксидазы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3319, 'Наследственная эритропоэтическая порфирия', 'E80.0', 3318, 'E80', 0, 'Врожденная эритропоэтическая порфирия Эритропоэтическая протопорфирия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3320, 'Порфирия кожная медленная', 'E80.1', 3318, 'E80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3321, 'Другие порфирии', 'E80.2', 3318, 'E80', 0, 'Наследственная копропорфирия Порфирия: . БДУ . острая перемежающаяся (печеночная) При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3322, 'Дефекты каталазы и пероксидазы', 'E80.3', 3318, 'E80', 0, 'Акаталазия [Такахары]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3323, 'Синдром Жильберта', 'E80.4', 3318, 'E80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3324, 'Синдром Криглера-Найяра', 'E80.5', 3318, 'E80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3325, 'Другие нарушения обмена билирубина', 'E80.6', 3318, 'E80', 0, 'Синдром Дубина-Джонсона Синдром Ротора');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3326, 'Нарушение обмена билирубина неуточненное', 'E80.7', 3318, 'E80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3327, 'Нарушения минерального обмена', 'E83', 3248, 'E70-E90', 8, 'Исключены: алиментарная недостаточность минеральных веществ (E58-E61) нарушения паращитовидной железы (E20-E21) недостаточность витамина D (E55.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3328, 'Нарушения обмена меди', 'E83.0', 3327, 'E83', 0, 'Болезнь Менкеса [болезнь курчавых волос] ["стальные" волосы] Болезнь Вильсона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3329, 'Нарушения обмена железа', 'E83.1', 3327, 'E83', 0, 'Гемохроматоз Исключены: анемия: . железодефицитная (D50.-) . сидеробластная (D64.0-D64.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3330, 'Нарушения обмена цинка', 'E83.2', 3327, 'E83', 0, 'Энтеропатический акродерматит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3331, 'Нарушения обмена фосфора', 'E83.3', 3327, 'E83', 0, 'Недостаточность кислой фосфатазы Семейная гипофосфатемия Гипофосфатазия Витамин-D-резистентная(ый): . остеомаляция . рахит Исключены: остеомаляция у взрослых (M83.-) остеопороз (M80-M81)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3332, 'Нарушения обмена магния', 'E83.4', 3327, 'E83', 0, 'Гипермагниемия Гипомагниемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3333, 'Нарушения обмена кальция', 'E83.5', 3327, 'E83', 0, 'Семейная гипокальциурическая гиперкальциемия Идиопатическая гиперкальциурия Исключены: хондрокальциноз (M11.1-M11.2) гиперпаратиреоидизм (E21.0-E21.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3334, 'Другие нарушения минерального обмена', 'E83.8', 3327, 'E83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3335, 'Нарушение минерального обмена неуточненное', 'E83.9', 3327, 'E83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3336, 'Кистозный фиброз', 'E84', 3248, 'E70-E90', 4, 'Включен: муковисцидоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3337, 'Кистозный фиброз с легочными проявлениями', 'E84.0', 3336, 'E84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3338, 'Кистозный фиброз с кишечными проявлениями', 'E84.1', 3336, 'E84', 0, 'Мекониевый илеус+ (P75*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3339, 'Кистозный фиброз с другими проявлениями', 'E84.8', 3336, 'E84', 0, 'Кистозный фиброз с комбинированными проявлениями');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3340, 'Кистозный фиброз неуточненный', 'E84.9', 3336, 'E84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3341, 'Амилоидоз', 'E85', 3248, 'E70-E90', 7, 'Исключена: болезнь Альцгеймера (G30.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3342, 'Наследственный семейный амилоидоз без невропатии', 'E85.0', 3341, 'E85', 0, 'Семейная средиземноморская лихорадка Наследственная амилоидная нефропатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3343, 'Невропатический наследственный семейный амилоидоз', 'E85.1', 3341, 'E85', 0, 'Амилоидная полиневропатия (португальская)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3344, 'Наследственный семейный амилоидоз неуточненный', 'E85.2', 3341, 'E85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3345, 'Вторичный системный амилоидоз', 'E85.3', 3341, 'E85', 0, 'Амилоидоз, связанный с гемодиализом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3346, 'Ограниченный амилоидоз', 'E85.4', 3341, 'E85', 0, 'Локализованный амилоидоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3347, 'Другие формы амилоидоза', 'E85.8', 3341, 'E85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3348, 'Амилоидоз неуточненный', 'E85.9', 3341, 'E85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3349, 'Уменьшение объема жидкости', 'E86', 3248, 'E70-E90', 0, 'Обезвоживание Уменьшение объема плазмы или внеклеточной жидкости Гиповолемия Исключены: обезвоживание новорожденного (P74.1) гиповолемический шок: . БДУ (R57.1) . послеоперационный (T81.1) . травматический (T79.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3350, 'Другие нарушения водно-солевого обмена или кислотно-щелочного равновесия', 'E87', 3248, 'E70-E90', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3351, 'Гиперосмолярность и гипернатриемия', 'E87.0', 3350, 'E87', 0, 'Избыток натрия [Na] Перегрузка натрием [Na]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3352, 'Гипоосмолярность и гипонатриемия', 'E87.1', 3350, 'E87', 0, 'Недостаточность натрия [Na] Исключено: синдром нарушения секреции антидиуретического гормона (E22.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3353, 'Ацидоз', 'E87.2', 3350, 'E87', 0, 'Ацидоз: . БДУ . молочнокислый . метаболический . респираторный Исключен: диабетический ацидоз (E10-E14 с общим четвертым знаком .1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3354, 'Алкалоз', 'E87.3', 3350, 'E87', 0, 'Алкалоз: . БДУ . метаболический . респираторный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3355, 'Смешанное нарушение кислотно-щелочного равновесия', 'E87.4', 3350, 'E87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3356, 'Гиперкалиемия', 'E87.5', 3350, 'E87', 0, 'Избыток калия [K] Перегрузка калием [K]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3357, 'Гипокалиемия', 'E87.6', 3350, 'E87', 0, 'Недостаточность калия [K]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3358, 'Гиперволемия', 'E87.7', 3350, 'E87', 0, 'Исключен: отек (R60.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3359, 'Другие нарушения водно-солевого равновесия, не классифи-', 'E87.8', 3350, 'E87', 0, 'цированные в других рубриках Нарушение электролитного баланса БДУ Гиперхлоремия Гипохлоремия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3360, 'Другие нарушения обмена веществ', 'E88', 3248, 'E70-E90', 5, 'Исключен: гистиоцидоз X (хронический) (D76.0) При необходимости идентифицировать лекарственное средство, вызвавшее нарушение обмена веществ, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3361, 'Нарушения обмена белков плазмы, не классифицированные', 'E88.0', 3360, 'E88', 0, 'в других рубриках Дефицит альфа-1-антитрипсина Бис-альбуминемия Исключены: нарушения обмена липопротеидов (E78.-) моноклональная гаммапатия (D47.2) поликлональная гипер-гамма-глобулинемия (D89.0) макроглобулинемия Вальденстрема (C88.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3362, 'Липодистрофия, не классифицированная в других рубриках', 'E88.1', 3360, 'E88', 0, 'Липодистрофия БДУ Исключена: болезнь Уиппла (K90.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3363, 'Липоматоз, не классифицированный в других рубриках', 'E88.2', 3360, 'E88', 0, 'Липоматоз: . БДУ . болезненный [болезнь Деркума]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3364, 'Другие уточненные нарушения обмена веществ', 'E88.8', 3360, 'E88', 0, 'Аденолипоматоз Лонуа-Бансода Триметиламинурия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3365, 'Нарушение обмена веществ неуточненное', 'E88.9', 3360, 'E88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3366, 'Эндокринные и метаболические нарушения, возникшие после медицинских процедур, не классифицированные в других рубриках', 'E89', 3248, 'E70-E90', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3367, 'Гипотироидизм, возникший после медицинских процедур', 'E89.0', 3366, 'E89', 0, 'Гипотироидизм, вызванный облучением Послеоперационный гипотироидизм');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3368, 'Гипоинсулинемия, возникшая после медицинских процедур', 'E89.1', 3366, 'E89', 0, 'Гипергликемия после удаления поджелудочной железы Гипоинсулинемия послеоперационная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3369, 'Гипопаратироидизм, возникший после медицинских процедур', 'E89.2', 3366, 'E89', 0, 'Паратиреопривная тетания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3370, 'Гипопитуитаризм, возникший после медицинских процедур', 'E89.3', 3366, 'E89', 0, 'Гипопитуитаризм, вызванный облучением');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3371, 'Нарушение функции яичников, возникшее после медицинских процедур', 'E89.4', 3366, 'E89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3372, 'Гипофункция яичек, возникшая после медицинских процедур', 'E89.5', 3366, 'E89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3373, 'Гипофункция коры надпочечников (мозгового слоя), возникшая после медицинских процедур', 'E89.6', 3366, 'E89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3374, 'Другие эндокринные и обменные нарушения, возникшие после медицинских процедур', 'E89.8', 3366, 'E89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3375, 'Эндокринное и обменное нарушение, возникшее после медицинских процедур, неуточненное', 'E89.9', 3366, 'E89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(3376, 'Расстройства питания и нарушения обмена веществ при болезнях, классифицированных в других рубриках', 'E90*', 3248, 'E70-E90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4001, 'ПСИХИЧЕСКИЕ РАССТРОЙСТВА И РАССТРОЙСТВА ПОВЕДЕНИЯ', 'F00-F99', NULL, NULL, 11, 'Включены: нарушения психологического развития\nИсключены: симптомы, отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\nЭтот класс содержит следующие блоки:\nF00-F09 Органические, включая симптоматические, психические расстройства\nF10-F19 Психические расстройства и расстройства поведения, связанные с употреблением психоактивных веществ\nF20-F29 Шизофрения, шизотипические и бредовые расстройства\nF30-F39 Расстройства настроения [аффективные расстройства]\nF40-F48 Невротические, связанные со стессом, и соматоформные расстройства\nF50-F59 Поведенческие синдромы, связанные с физиологическими нарушениями и физическими факторами\nF60-F69 Расстройства личности и поведения в зрелом возрасте\nF70-F79 Умственная отсталость\nF80-F89 Расстройства психологического развития\nF90-F98 Эмоциональные расстройства, расстройства поведения, обычно начинающиеся в детском и подростковом возрасте\nF99 Неуточненные психические расстройства\n\nЗвездочкой обозначены следующие рубрики:\nF00* Деменция при болезни Альцгеймера\nF02* Деменция при других болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4002, 'ОРГАНИЧЕСКИЕ, ВКЛЮЧАЯ СИМПТОМАТИЧЕСКИЕ, ПСИХИЧЕСКИЕ РАССТРОЙСТВА', 'F00-F09', 4001, 'F00-F99', 9, 'Этот блок включает в себя ряд психических расстройств, сгруппирован-\nных вместе в связи с наличием явных этиологических факторов,а именно\nпричиной этих расстройств явились болезни головного мозга, травма\nголовного мозга или инсульт, ведущие к церебральной дисфункции. Дис-\nфункция может быть первичной (как при болезнях, травмах головного\nмозга и инсультах, непосредственно или избирательно поражающих го-\nловной мозг) и вторичной (как при системных заболеваниях или наруше-\nниях, когда головной мозг вовлекается в патологический процесс наря-\nду с другими органами и системами).\nДеменция [слабоумие] (F00-F03) - синдром, обусловленный поражением\nголовного мозга (обычно хронического или прогрессирующего характе-\nра), при котором нарушаются многие высшие корковые функции, включая\nпамять, мышление, ориентацию, понимание, счет, способность к обуче-\nнию, речь и суждения. Сознание не зетемнено. Снижение познавательной\nфункции обычно сопровождается, а иногда предваряется ухудшением кон-\nтроля над эмоциями, социальным поведением или мотивацией. Этот синд-\nром отмечатся при болезни Альцгеймера, при цереброваскулярных болез-\nнях и при других состояниях, первично или вторично поражающих голов-\nной мозг.\nПри необходимости идентифицировать первоначальное заболевание ис-\nпользуют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4003, 'Деменция при болезни Альцгеймера (G30.-+)', 'F00*', 4002, 'F00-F09', 4, 'Болезнь Альцгеймера - это первичная дегенеративная болезнь головного мозга неизвестной этиологии с характерными нейропатологическими и нейрохимическими проявлениями. Болезнь обычно начинается незаметно и медленно, но неуклонно прогрессирует в течение нескольких лет.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4004, 'Деменция при болезни Альцгеймера с ранним началом (G30.0+)', 'F00.0*', 4003, 'F00*', 0, 'Деменция при болезни Альцгеймера, начавшаяся в возрасте до 65 лет, сравнительно быстро прогрессирующая и характеризующаяся выраженными различными расстройствами высших корковых функций. Болезнь Альцгеймера, тип 2 Пресенильная деменция, тип Альцгеймера Первичная дегенеративная деменция, тип Альцгеймера, пресенильное начало');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4005, 'Деменция при болезни Альцгеймера с поздним началом (G30.1+)', 'F00.1*', 4003, 'F00*', 0, 'Деменция при болезни Альцгеймера, начавшаяся в возрасте после 65 лет (обычно в 70 лет и позднее), медленно прогрессирующая и характеризующаяся выраженным нарушением памяти как основным симптомом. Болезнь Альцгеймера, тип 1 Первичная дегенеративная деменция, тип Альцгеймера, сенильное начало Сенильная деменция, тип Альцгеймера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4006, 'Деменция при болезни Альцгеймера, атипичная или смешанного типа (G30.8+)', 'F00.2*', 4003, 'F00*', 0, 'Атипичная деменция, тип Альцгеймера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4007, 'Деменция при болезни Альцгеймера неуточненная (G30.9+)', 'F00.9*', 4003, 'F00*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4008, 'Сосудистая деменция', 'F01', 4002, 'F00-F09', 6, 'Сосудистая деменция -результат инфаркта головного мозга вследствие заболевания церебральных сосудов, включая цереброваскулярную болезнь при гипертензии. Инфаркты, как правило, небольшие, но проявляется их кумулятивное действие. Болезнь начинается обычно в позднем возрасте. Включена: атеросклеротическая деменция');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4009, 'Сосудистая деменция с острым началом', 'F01.0', 4008, 'F01', 0, 'Обычно быстро развивается после серии инсультов вследствие цереброваскулярного тромбоза, эмболии или кровоизлияния. Реже причиной может быть один обширный инфаркт мозга.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4010, 'Мультиинфарктная деменция', 'F01.1', 4008, 'F01', 0, 'Постепенное начало, связанное с повторными преходящими ишемическими состояниями, которые ведут к накоплению очагов инфаркта в паренхиме головного мозга. Преимущественно корковая деменция');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4011, 'Подкорковая сосудистая деменция', 'F01.2', 4008, 'F01', 0, 'Включает случаи, характеризующиеся наличием в анамнезе гипертензии и ишемических деструктивных очагов в глубоких слоях белого вещества полушарий мозга. Кора мозга обычно сохранена, и это контрастирует с клинической картиной деменции при болезни Альцгеймера.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4012, 'Смешанная корковая и подкорковая сосудистая деменция', 'F01.3', 4008, 'F01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4013, 'Другая сосудистая деменция', 'F01.8', 4008, 'F01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4014, 'Сосудистая деменция неуточненная', 'F01.9', 4008, 'F01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4015, 'Деменция при других болезнях, классифицированных в других рубриках', 'F02*', 4002, 'F00-F09', 6, 'Случаи деменции, связанные (или предположительно связанные) с причинами, не относящимися ни к болезни Альцгеймера, ни к цереброваскулярному заболеванию. Болезнь может начинаться в любом возрасте, но в старческом возрасте реже.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4016, 'Деменция при болезни Пика (G31.0+)', 'F02.0*', 4015, 'F02*', 0, 'Прогрессирующая деменция, начинающаяся в среднем возрасте, характеризующаяся ранними, медленно прогрессирующими изменениями характера и социальной деградацией, снижением интеллекта, памяти и разговорной функции в сочетании с безразличием, эйфорией и иногда экстрапирамидными явлениями.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4017, 'Деменция при болезни Крейтцфельда-Якоба (A81.0+)', 'F02.1*', 4015, 'F02*', 0, 'Прогрессирующая деменция с обширной неврологической симптоматикой, обусловленной специфическими изменениями нервной системы, которые, как предполагают, вызываются трансмиссивным агентом. Обычно начинается в среднем или преклонном возрасте, хотя может развиваться и в любом другом зрелом возрасте. Течение подострое, смерть наступает через 1-2 года.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4018, 'Деменция при болезни Гентингтона (G10+)', 'F02.2*', 4015, 'F02*', 0, 'Деменция, развивающаяся как одно из проявлений обширной дегенерации мозга. Это нарушение наследуется по аутосомно-доминантному типу. Симптомы поражения появляются, как правило, на третьем или четвертом десятилетии жизни. Медленно прогрессирующая болезнь приводит к смерти обычно через 10-15 лет. Деменция при хорее Гентингтона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4019, 'Деменция при болезни Паркинсона (G20+)', 'F02.3*', 4015, 'F02*', 0, 'Деменция, развивающаяся в процессе течения болезни Паркинсона. Каких-либо особых характерных клинических признаков не имеет. Деменция при: . дрожательном параличе . паркинсонизме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4020, 'Деменция при болезни, вызванной вирусом иммунодефицита человека [ВИЧ] (B22.0+)', 'F02.4*', 4015, 'F02*', 0, 'Деменция, развивающаяся в процессе течения болезни, вызванной ВИЧ, при отсутствии других сопутствующих заболеваний или состояний, помимо инфекции ВИЧ, которыми можно было бы объяснить клиническую картину.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4021, 'Деменция при других уточненных болезнях, классифициро ванных в других рубриках', 'F02.8*', 4015, 'F02*', 0, 'Деменция при: . церебральном липидозе (Е75.-+) . эпилепсии (G40.-+) . гепатолентикулярной дегенерации (Е83.0+) . гиперкальциемии (Е83.5+) . гипотиреозе приобретенном (Е01,Е03.-+) . интоксикациях (Т36-Т65+) . рассеянном склерозе (G35+) . нейросифилисе (A52.1+) . дефиците никотиновой кислоты [пеллагре] (Е52+) . узелковом периартериите (М30.0+) . системной красной волчанке (М32.-+) . трипаносомозе (В56.-+,В57.-+) . дефиците витамина В12 (E53.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4022, 'Деменция неуточненная', 'F03', 4002, 'F00-F09', 0, 'Пресенильная(ый): . деменция БДУ . психоз БДУ Первичная дегенеративная деменция БДУ Сенильная(ый): . деменция: . БДУ . депрессивного или параноидного типа . психоз БДУ Исключены: сенильная деменция с делирием или острой спутанностью сознания (F05.1) старость БДУ (R54)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4023, 'Органический амнестический синдром, не вызванный алкоголем или другими психоактивными веществами', 'F04', 4002, 'F00-F09', 0, 'Синдром, характеризующийся выраженным ухудшением памяти на недавние и давние события, с сохранением способности к ближайшим воспоминаниям, снижением способности изучать новый материал и нарушением ориентации во времени. Характерной особенностью могут быть конфабуляции, однако восприятие и другие познавательные функции, включая интеллект, обычно сохранены. Прогноз зависит от течения основного заболевания. Корсаковский психоз, или синдром, неалкогольный Исключены: амнезия: . БДУ (R41.3) . антероградная (R41.1) . диссоциативная (F44.0) . ретроградная (R41.2) корсаковский синдром: . алкогольный или неуточненный (F10.6) . вызванный употреблением других психоактивных веществ (F11-F19 c общим четвертым знаком .6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4024, 'Делирий, не вызванный алкоголем или другими психоактивными веществами', 'F05', 4002, 'F00-F09', 4, 'Экологически неспецифический органический церебральный синдром, характеризующийся одновременным нарушением сознания и внимания, восприятия, мышления, памяти, психомоторного поведения, эмоций, цикличности сна и бодрствования. Длительность состояния варьируется, и степень тяжести колеблется от средней до очень тяжелой. Включены: острый(ое)(ая) или подострый(ое)(ая): . мозговой синдром . состояние спутанности сознания (неалкогольной этиологии) . инфекционный психоз . органическая реакция . психоорганический синдром Исключена: белая горячка алкогольная или неуточненная (F10.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4025, 'Делирий не на фоне деменции, так описанный', 'F05.0', 4024, 'F05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4026, 'Делирий на фоне деменции', 'F05.1', 4024, 'F05', 0, 'Состояние, соответствующее вышеупомянутым критериям, но развившееся в процессе деменции (F00-F03).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4027, 'Другой делирий', 'F05.8', 4024, 'F05', 0, 'Делирий смешанного происхождения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4028, 'Делирий неуточненный', 'F05.9', 4024, 'F05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4029, 'Другие психические расстройства, обусловленные повреждением и дисфункцией головного мозга или соматической болезнью', 'F06', 4002, 'F00-F09', 10, 'В эту рубрику включены смешанные состояния, причинно связанные с мозговыми нарушениями, обусловленными первичной болезнью головного мозга, системным заболеванием, вторично поражающим головной мозг, воздействием экзогенных токсичных веществ или гормонов, эндокринными расстройствами или другими соматическими заболеваниями. Исключены: связанные с: . делирием (F05.-) . деменцией, классифицированной в рубриках F00-F03 вследствие употребления алкоголя и других психоактивных веществ (F10-F19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4030, 'Органический галлюциноз', 'F06.0', 4029, 'F06', 0, 'Расстройство с устойчивыми или рецидивирующими галлюцинациями, обычно зрительными или слуховыми, которые возникают при ясном сознании и могут (не всегда) осознаваться больным как таковые. Может отмечаться бредовая трактовка галлюцинаций, но бред не доминирует в клинической картине; понимание окружающего может быть сохранено. Органическое галлюцинаторное состояние (неалкогольное) Исключены: алкогольные галлюцинозы (F10.5) шизофрения (F20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4031, 'Органическое кататоническое состояние', 'F06.1', 4029, 'F06', 0, 'Расстройство с ослаблением (ступор) или увеличением (возбуждение) психомоторной активности, ассоциируемое с кататоническими симптомами. Крайние проявления психомоторных нарушений могут чередоваться. Исключены: кататоническая шизофрения (F20.2) ступор: . БДУ (R40.1) . диссоциативный (F44.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4032, 'Органическое бредовое [шизофреноподобное] расстройство', 'F06.2', 4029, 'F06', 0, 'Расстройство, при котором в клинической картине преобладает постоянный или рецидивирующий бред. Бред может сопровождаться галлюцинациями. Могут отмечаться некоторые симптомы, заставляющие думать о шизофрении, такие, как причудливые галлюцинации или расстройство мышления. Параноидное и параноидно-галлюцинаторное органические состояния Шизофреноподобный психоз при эпилепсии Исключены: расстройство: . острое или преходящее психотическое (F23.-) . устойчивое бредовое (F22.-) . психотическое, вызванное лекарственными средствами (F11-F19 с общим четвертым знаком .5) шизофрения (F20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4033, 'Органические расстройства настроения [аффективные]', 'F06.3', 4029, 'F06', 0, 'Расстройства, характеризующиеся изменениями настроения или аффекта, обычно сопровождающиеся изменениями общего уровня активности, депрессией, гипоманией, манией или биполярными состояниями (см. F30-F32), но возникающие как следствие органического заболевания. Исключены: расстройства настроения неорганические или неуточненные (F30-F39)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4034, 'Органическое тревожное расстройство', 'F06.4', 4029, 'F06', 0, 'Расстройство, характеризующееся основными чертами генерализованного тревожного расстройства (F41.1) либо панического расстройства (F41.0) или их сочетанием, но возникшее как следствие органического нарушения. Исключены: тревожные расстройства неорганические или неуточненные (F41.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4035, 'Органическое диссоциативное расстройство', 'F06.5', 4029, 'F06', 0, 'Расстройство, характеризующееся частичной или полной потерей нормальной интеграции между памятью на прошлое, осознанием себя как личности, непосредственными ощущениями и контролем за движением тела (F44.-), но возникшее как следствие органического нарушения. Исключены: диссоциативные [конверсионные] расстройства неорганические или неуточненные (F44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4036, 'Органическое эмоционально лабильное [астеническое] расстройство', 'F06.6', 4029, 'F06', 0, 'Расстройство, характеризующееся эмоциональной несдержанностью или лабильностью, утомояемостью, множеством неприятных физических ощущений (например, головокружение) и болями, но возникшее как следствие органического нарушения. Исключены: соматоформные расстройства неорганические или неуточненные (F45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4037, 'Легкое когнитивное расстройство', 'F06.7', 4029, 'F06', 0, 'Нарушение, характеризующееся снижением памяти, трудностью обучения, сниженной способностью концентрироваться на выполнении какой-либо задачи на длительное время. Часто имеет место выраженное ощущение психической усталости при попытке решить умственную задачу; обучение новому представляется субъективно трудным, даже когда объективно оно успешно. Ни один из этих симптомов не является настолько выраженным, чтобы можно было диагностировать деменцию (F00-F03) или делирий (F05.-). Этот диагноз должен ставиться только в связи с уточненным соматическим нарушением, он не должен основываться только на наличии каких-либо психических или поведенческих расстройств, классифицированных в рубриках F10-F99. Расстройство может предшествовать широкому спектру инфекционных и соматических болезней (как церебральных, так и системных), сопровождать их или следовать за ними, но при этом не обязательно должны присутствовать непосредственные признаки вовлечения в процесс головного мозга. Данное расстройство может быть отдифференцировано от постэнцефалитного синдрома (F07.1) и постконтузионного синдрома (F07.2) по его отличной от них этиологии, более ограниченному спектру преимущественно слабо выраженных симптомов и обычно непродолжительному течению.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4038, 'Другие уточненные психические расстройства, обусловленные повреждением и дисфункцией головного мозга или соматической болезнью', 'F06.8', 4029, 'F06', 0, 'Эпилептический психоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4039, 'Психическое расстройство, обусловленное повреждением и дисфункцией головного мозга или соматической болезнью, неуточненное', 'F06.9', 4029, 'F06', 0, 'Органический(ое): . мозговой синдром БДУ . психическое расстройство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4040, 'Расстройства личности и поведения, обусловленные болезнью, повреждением или дисфункцией головного мозга', 'F07', 4002, 'F00-F09', 5, 'Изменение личности и поведения может быть остаточным явлением или сопутствующим нарушением при болезни, повреждении и дисфункции головного мозга.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4041, 'Расстройство личности органической этиологии', 'F07.0', 4040, 'F07', 0, 'Нарушение, характеризующееся значительным изменением привычных моделей преморбидного поведения больного, включая выражение эмоций, потребностей и побуждений. Клиническую картину могут дополнять снижение когнитивных и мыслительных функций, а также сексуальные изменения. Органической этиологии: . псевдопсихопатическая личность . личность с псевдозадержкой психического развития Синдром: . лобной доли . личности при лимбической эпилепсии . лоботомии . постлейкотомный Исключены: стойкое изменение личности после: . переживания катастроф (F62.0) . психического заболевания (F62.1) постконтузионный синдром (F07.2) постэнцефалитный синдром (F07.1) специфические расстройства личности (F60.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4042, 'Постэнцефалитный синдром', 'F07.1', 4040, 'F07', 0, 'Остаточные неспецифические и разнообразные изменения поведения, сопровождающие период выздоровления после перенесенного вирусного или бактериального энцефалита. Принципиальное отличие этого расстройства от расстройств личности органической природы заключается в обратимости процесса. Исключено: расстройство личности органической этиологии (F07.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4043, 'Постконтузионный синдром', 'F07.2', 4040, 'F07', 0, 'Синдром, развивающийся после травмы головы (обычно достаточно тяжелой, с потерей сознания) и включающий различные симптомы, такие, как головная боль, головокружение, утомляемость, раздражительность, трудности в сосредоточении и решении умственных задач, снижение памяти, бессонница и сниженная устойчивость к стрессу, эмоциональному возбуждению и алкоголю. Синдром последствий сотрясения мозга (энцефалопатия) Посттравматический мозговой синдром непсихотический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4044, 'Другие органические расстройства личности и поведения, обусловленные болезнью, травмой и дисфункцией головного мозга', 'F07.8', 4040, 'F07', 0, 'Органическое аффективное расстройство вследствие поражения правого полушария мозга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4045, 'Органическое расстройство личности и поведения, обусловленное болезнью, повреждением или дисфункцией головного мозга, неуточненное', 'F07.9', 4040, 'F07', 0, 'Органический психосиндром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4046, 'Органическое или симптоматическое психическое расстройство неуточненное', 'F09', 4002, 'F00-F09', 0, 'Психоз: . органический БДУ . симптоматический БДУ Исключен: психоз БДУ (F29)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4048, 'ПСИХИЧЕСКИЕ РАССТРОЙСТВА И РАССТРОЙСТВА ПОВЕДЕНИЯ, СВЯЗАННЫЕ С УПОТРЕБЛЕНИЕМ ПСИХОАКТИВНЫХ ВЕЩЕСТВ', 'F10-F19', 4001, 'F00-F99', 10, 'Этот блок содержит широкий спектр различных по тяжести и клиническим\nпроявлениям расстройств, развитие которых всегда связано с употреб-\nлением одного или более психоактивных веществ, предписанных или не\nпредписанных по медицинским показаниям. Трехзначная рубрика иденти-\nфицирует использованное вещество, а четвертый знак кода определяет\nклиническую характеристику состояния. Такое кодирование рекоменду-\nется проводить для каждого уточненного вещества, однако необходимо\nотметить, что не все четырехзначные коды применимы для всех веществ.\nИдентификация психоактивного вещества должна основываться на возмож-\nно большем числе источников информации. К ним относяться данные, со-\nобщенные самим индивидом, результаты исследования крови и других би-\nологических жидкостей, характерные соматические и психологические\nпризнаки, клинические и поведенческие симптомы, а также другие оче-\nвидные данные, такие, как вещество, находящееся в распоряжении паци-\nента, или информация от третьих лиц. Многие потребители наркотиков\nиспользуют не один вид наркотического вещества. Основной диагноз\nдолжен быть по возможности установлен по веществу (или группе ве-\nществ), которое вызвало клинические симптомы или способствовало их\nпоявлению. Другие диагнозы следует кодировать в случаях, когда дру-\nгое психоактивное вещество принято в количестве, вызвавшем отравле-\nние (общий четвертый знак.0), причинившем вред здоровью (общий чет-\nвертый знак .1), приведшем к зависимости (общий четвертый знак .2)\nили другим нарушениям (общий четвертый знак .3-.9).\nТолько в тех случаях, когда применение наркотических веществ носит\nхаотичный и смешанный характер или вклад различных психоактивных ве-\nществ в клиническую картину невозможно вычленить, следует ставить\nдиагноз расстройств, вызванных употреблением нескольких наркотичес-\nких веществ (F19.-).\nИсключено: злоупотребление веществами, не вызывающими зависимость (F55)\nСледующие четвертые знаки используются в рубриках F10-F19:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4049, 'Психические и поведенческие расстройства, вызванные употреблением алкоголя', 'F10', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4050, 'Острая интоксикация', 'F10.0', 4049, 'F10', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4051, 'Пагубное употребление', 'F10.1', 4049, 'F10', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4052, 'Синдром зависимости', 'F10.2', 4049, 'F10', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4053, 'Абстинентное состояние', 'F10.3', 4049, 'F10', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4054, 'Абстинентное состояние с делирием', 'F10.4', 4049, 'F10', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4055, 'Психотическое расстройство', 'F10.5', 4049, 'F10', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4056, 'Амнестический синдром', 'F10.6', 4049, 'F10', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4057, 'Резидуальные и отсроченные психотические расстройства', 'F10.7', 4049, 'F10', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4058, 'Другие психические расстройства и расстройства поведения', 'F10.8', 4049, 'F10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4059, 'Психическое расстройство и расстройство поведения неуточненное', 'F10.9', 4049, 'F10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4060, 'Психические и поведенческие расстройства, вызванные употреблением опиоидов', 'F11', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4061, 'Острая интоксикация', 'F11.0', 4060, 'F11', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4062, 'Пагубное употребление', 'F11.1', 4060, 'F11', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4063, 'Синдром зависимости', 'F11.2', 4060, 'F11', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4064, 'Абстинентное состояние', 'F11.3', 4060, 'F11', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4065, 'Абстинентное состояние с делирием', 'F11.4', 4060, 'F11', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4066, 'Психотическое расстройство', 'F11.5', 4060, 'F11', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4067, 'Амнестический синдром', 'F11.6', 4060, 'F11', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4068, 'Резидуальные и отсроченные психотические расстройства', 'F11.7', 4060, 'F11', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4069, 'Другие психические расстройства и расстройства поведения', 'F11.8', 4060, 'F11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4070, 'Психическое расстройство и расстройство поведения неуточненное', 'F11.9', 4060, 'F11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4071, 'Психические и поведенческие расстройства, вызванные употреблением каннабиоидов', 'F12', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4072, 'Острая интоксикация', 'F12.0', 4071, 'F12', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4073, 'Пагубное употребление', 'F12.1', 4071, 'F12', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4074, 'Синдром зависимости', 'F12.2', 4071, 'F12', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4075, 'Абстинентное состояние', 'F12.3', 4071, 'F12', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4076, 'Абстинентное состояние с делирием', 'F12.4', 4071, 'F12', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4077, 'Психотическое расстройство', 'F12.5', 4071, 'F12', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4078, 'Амнестический синдром', 'F12.6', 4071, 'F12', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4079, 'Резидуальные и отсроченные психотические расстройства', 'F12.7', 4071, 'F12', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4080, 'Другие психические расстройства и расстройства поведения', 'F12.8', 4071, 'F12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4081, 'Психическое расстройство и расстройство поведения неуточненное', 'F12.9', 4071, 'F12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4082, 'Психические и поведенческие расстройства, вызванные употреблением седативных или снотворных средств', 'F13', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4083, 'Острая интоксикация', 'F13.0', 4082, 'F13', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4084, 'Пагубное употребление', 'F13.1', 4082, 'F13', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4085, 'Синдром зависимости', 'F13.2', 4082, 'F13', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4086, 'Абстинентное состояние', 'F13.3', 4082, 'F13', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4087, 'Абстинентное состояние с делирием', 'F13.4', 4082, 'F13', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4088, 'Психотическое расстройство', 'F13.5', 4082, 'F13', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4089, 'Амнестический синдром', 'F13.6', 4082, 'F13', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4090, 'Резидуальные и отсроченные психотические расстройства', 'F13.7', 4082, 'F13', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4091, 'Другие психические расстройства и расстройства поведения', 'F13.8', 4082, 'F13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4092, 'Психическое расстройство и расстройство поведения неуточненное', 'F13.9', 4082, 'F13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4093, 'Психические и поведенческие расстройства, вызванные употреблением кокаина', 'F14', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4094, 'Острая интоксикация', 'F14.0', 4093, 'F14', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4095, 'Пагубное употребление', 'F14.1', 4093, 'F14', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4096, 'Синдром зависимости', 'F14.2', 4093, 'F14', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4097, 'Абстинентное состояние', 'F14.3', 4093, 'F14', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4098, 'Абстинентное состояние с делирием', 'F14.4', 4093, 'F14', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4099, 'Психотическое расстройство', 'F14.5', 4093, 'F14', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4100, 'Амнестический синдром', 'F14.6', 4093, 'F14', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4101, 'Резидуальные и отсроченные психотические расстройства', 'F14.7', 4093, 'F14', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4102, 'Другие психические расстройства и расстройства поведения', 'F14.8', 4093, 'F14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4103, 'Психическое расстройство и расстройство поведения неуточненное', 'F14.9', 4093, 'F14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4104, 'Психические и поведенческие расстройства, вызванные употреблением других стимуляторов (включая кофеин)', 'F15', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4105, 'Острая интоксикация', 'F15.0', 4104, 'F15', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4106, 'Пагубное употребление', 'F15.1', 4104, 'F15', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4107, 'Синдром зависимости', 'F15.2', 4104, 'F15', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4108, 'Абстинентное состояние', 'F15.3', 4104, 'F15', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4109, 'Абстинентное состояние с делирием', 'F15.4', 4104, 'F15', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4110, 'Психотическое расстройство', 'F15.5', 4104, 'F15', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4111, 'Амнестический синдром', 'F15.6', 4104, 'F15', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4112, 'Резидуальные и отсроченные психотические расстройства', 'F15.7', 4104, 'F15', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4113, 'Другие психические расстройства и расстройства поведения', 'F15.8', 4104, 'F15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4114, 'Психическое расстройство и расстройство поведения неуточненное', 'F15.9', 4104, 'F15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4115, 'Психические и поведенческие расстройства, вызванные употребле-', 'F16', 4048, 'F10-F19', 10, 'нием галлюциногенов [четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4116, 'Острая интоксикация', 'F16.0', 4115, 'F16', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4117, 'Пагубное употребление', 'F16.1', 4115, 'F16', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4118, 'Синдром зависимости', 'F16.2', 4115, 'F16', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4119, 'Абстинентное состояние', 'F16.3', 4115, 'F16', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4120, 'Абстинентное состояние с делирием', 'F16.4', 4115, 'F16', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4121, 'Психотическое расстройство', 'F16.5', 4115, 'F16', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4122, 'Амнестический синдром', 'F16.6', 4115, 'F16', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4123, 'Резидуальные и отсроченные психотические расстройства', 'F16.7', 4115, 'F16', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4124, 'Другие психические расстройства и расстройства поведения', 'F16.8', 4115, 'F16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4125, 'Психическое расстройство и расстройство поведения неуточненное', 'F16.9', 4115, 'F16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4126, 'Психические и поведенческие расстройства, вызванные употреблением табака', 'F17', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4127, 'Острая интоксикация', 'F17.0', 4126, 'F17', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4128, 'Пагубное употребление', 'F17.1', 4126, 'F17', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4129, 'Синдром зависимости', 'F17.2', 4126, 'F17', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4130, 'Абстинентное состояние', 'F17.3', 4126, 'F17', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4131, 'Абстинентное состояние с делирием', 'F17.4', 4126, 'F17', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4132, 'Психотическое расстройство', 'F17.5', 4126, 'F17', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4133, 'Амнестический синдром', 'F17.6', 4126, 'F17', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4134, 'Резидуальные и отсроченные психотические расстройства', 'F17.7', 4126, 'F17', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4135, 'Другие психические расстройства и расстройства поведения', 'F17.8', 4126, 'F17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4136, 'Психическое расстройство и расстройство поведения неуточненное', 'F17.9', 4126, 'F17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4137, 'Психические и поведенческие расстройства, вызванные употреблением летучих растворителей', 'F18', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4138, 'Острая интоксикация', 'F18.0', 4137, 'F18', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4139, 'Пагубное употребление', 'F18.1', 4137, 'F18', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4140, 'Синдром зависимости', 'F18.2', 4137, 'F18', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4141, 'Абстинентное состояние', 'F18.3', 4137, 'F18', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4142, 'Абстинентное состояние с делирием', 'F18.4', 4137, 'F18', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4143, 'Психотическое расстройство', 'F18.5', 4137, 'F18', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4144, 'Амнестический синдром', 'F18.6', 4137, 'F18', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4145, 'Резидуальные и отсроченные психотические расстройства', 'F18.7', 4137, 'F18', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4146, 'Другие психические расстройства и расстройства поведения', 'F18.8', 4137, 'F18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4147, 'Психическое расстройство и расстройство поведения неуточненное', 'F18.9', 4137, 'F18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4148, 'Психические и поведенческие расстройства, вызванные одновре менным употреблением нескольких наркотических средств и использованием других психоактивных веществ', 'F19', 4048, 'F10-F19', 10, '[четырехзначные подрубрики см. выше] Эту рубрику следует использовать, если известно об употреблении двух или более психоактивных веществ, но невозможно установить, какое из них в большей степени ответственно за возникшее расстройство. Эту рубрику также следует использовать, когда индентификация некоторых или даже всех применявшихся психоактивных веществ затруднительна, так как многие лица, потребляющие несколько наркотиков, сами часто не знают точно, что они принимают. Включено: злоупотребление наркотиками БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4149, 'Острая интоксикация', 'F19.0', 4148, 'F19', 0, 'Состояние, вызванное применением психоактивного вещества, проявляющееся в нарушениях сознания, познавательной способности, восприятия, эмоций и поведения или других психофизиологических функций и реакций. Эти нарушения непосредственно связаны с острым фармакологическим действием вещества и через некоторое время полностью исчезают, за исключением случаев, когда имеют место повреждения тканей и другие осложнения. В числе осложнений могут быть травма, аспирация рвотных масс, делирий, кома, судороги. Характер осложнений зависит от фармакологического класса вещества и способа его введения. Острое опьянение при алкоголизме Bad trips (наркотическое опьянение) Алкогольное опьянение БДУ Патологическая интоксикация Расстройства в виде транса и одержимости при интоксикации, вызванной психоактивными веществами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4150, 'Пагубное употребление', 'F19.1', 4148, 'F19', 0, 'Сам способ употребления психоактивного вещества является причиной ущерба здоровью. Ущерб может быть физическим (как, например, случаи гепатита, вызванного самостоятельными инъекциями психоактивных веществ) или психическим (как, например, эпизоды депрессивного расстройства, вторичного по отношению к тяжелому алкогольному опьянению). Злоупотребление психоактивным веществом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4151, 'Синдром зависимости', 'F19.2', 4148, 'F19', 0, 'Комплекс поведенческих, познавательных и физиологических симптомов, который возникает после повторного использования вещества и обычно включает сильное желание принять его; трудности в контролировании его употребления; упорное продолжение его использования, несмотря на пагубные последствия; предпочтение употребления психоактивного вещества в ущерб другим видам деятельности и выполнению обязанностей; возрастание допустимых пределов употребления и иногда состояние абстиненции. Синдром зависимости может быть по отношению к определенному веществу (например, табаку, алкоголю или диазепаму), классу веществ (например, опиоидным наркотикам) или к широкому ряду фармакологически различных психоактивных веществ. Хронический алкоголизм Дипсомания Наркомания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4152, 'Абстинентное состояние', 'F19.3', 4148, 'F19', 0, 'Группа симптомов различного характера и различной тяжести, возникающих в результате полного или частичного удаления из организма психоактивного вещества после постоянного употребления. Время начала и продолжительность абстинентного состояния зависят от типа психоактивного вещества и его дозы, принятой непосредственно перед прекращением или уменьшением дозы приема. Абстинентное состояние может осложняться судорогами.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4153, 'Абстинентное состояние с делирием', 'F19.4', 4148, 'F19', 0, 'Состояние, при котором абстиненция, охарактеризованная выше (общий четвертый знак .3), осложнена делирием, охарактеризованным в рубрике F05.-. Это состояние может также сопровождаться судорогами. Если в этиологии расстройства играет роль органический фактор, такое состояние следует классифицировать рубрикой F05.8. Белая горячка (алкогольная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4154, 'Психотическое расстройство', 'F19.5', 4148, 'F19', 0, 'Комплекс психотических симптомов, возникающих во время или после употребления психоактивного вещества, которые, однако, не могут быть объяснены только острой интоксикацией и которые не являются составной частью абстинентного состояния. Расстройство характеризуется галлюцинациями (обычно слуховыми, но часто и нескольких видов), расстройствами восприятия, бредом (часто параноидного характера или мании преследования), психомоторными расстройствами (возбуждением или ступором), ненормальной аффектацией, колеблющейся от сильного страха до экстаза. Сознание обычно ясное, однако может иметь место некоторая степень его помрачения, но без тяжелой спутанности. Алкогольный(ая): . галлюциноз . бред ревности . паранойя . психоз БДУ Исключены: алкогольные или вызванные употреблением другого психоактивного вещества резидуальные и отсроченные психотические расстройства (F10-F19 с общим четвертым знаком .7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4155, 'Амнестический синдром', 'F19.6', 4148, 'F19', 0, 'Синдром, характеризующийся выраженным хроническим снижением памяти на недавние и отдаленные события. Непосредственное воскрешение в памяти событий обычно не нарушено. Память на недавние события обычно нарушена сильнее, чем на отдаленные. Обычно явно выражено нарушение ощущения времени и последовательности событий и имеются трудности в освоении нового материала. Конфабуляция возможна, но не обязательна. Другие познавательные функции обычно относительно хорошо сохранены, и амнестические расстройства непропорциональны выраженности других нарушений. Амнестическое расстройство, обусловленное алкоголем или наркотиком Корсаковский психоз или синдром, обусловленный алкоголем или другим психоактивным веществом или неуточненный Исключен: неалкогольный корсаковский психоз или синдром (F04)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4156, 'Резидуальные и отсроченные психотические расстройства', 'F19.7', 4148, 'F19', 0, 'Расстройство, при котором нарушения познавательных функций, эмоций, личности или поведения, вызванные приемом алкоголя или психоактивного вещества, могут сохраняться после периода, в течение которого проявляется непосредственное влияние психоактивного вещества. Начало расстройства должно быть непосредственно связано с употреблением психоактивного вещества. Случаи, при которых нарушения возникают после эпизода (эпизодов) употребления психоактивного вещества, должны кодироваться вышеуказанным четвертым знаком только тогда, когда есть убедительные доказательства причастности остаточных явлений воздействия психоактивного вещества к расстройству. Резидуальные явления можно отличить от психотического состояния отчасти по их эпизодичности, преимущественно очень короткой продолжительности, дублированию предшествующих алкогольных или наркотических проявлений. Алкогольная деменция БДУ Хронический алкогольный церебральный синдром Деменция и другие легкие формы стойких нарушений познавательных функций "Флэшбэк" Отсроченное психотическое расстройство, вызванное употреблением психоактивного вещества Нарушение восприятия после употребления галлюциногена Резидуальное: . эмоциональное [аффективное] расстройство . расстройство личности и поведения Исключены: алкогольный или наркотический: . корсаковский синдром (F10-F19 с общим четвертым знаком .6) . психотическое состояние (F10-F19 с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4157, 'Другие психические расстройства и расстройства поведения', 'F19.8', 4148, 'F19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4158, 'Психическое расстройство и расстройство поведения неуточненное', 'F19.9', 4148, 'F19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4160, 'ШИЗОФРЕНИЯ, ШИЗОТИПИЧЕСКИЕ СОСТОЯНИЯ И БРЕДОВЫЕ РАССТРОЙСТВА', 'F20-F29', 4001, 'F00-F99', 8, 'Этот блок включает в себя шизофрению как наиболее важную составную\nчасть группы, шизотипическое расстройство, устойчивые бредовые рас-\nстройства и большую группу острых и преходящих психотических рас-\nстройств. Шизоаффективные расстройства были оставлены в этом блоке,\nнесмотря на их противоречивый характер.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4161, 'Шизофрения', 'F20', 4160, 'F20-F29', 9, 'Шизофренические расстройства обычно характеризуются существенными и характерными искажениями мышления и восприятия, а также неадекватными аффектами. Ясное сознание и интеллектуальные способности обычно сохраняются, хотя с течением времени может иметь место определенное снижение познавательных способностей. Важнейшая психопатологическая симптоматика включает ощущение отражения мыслей (эхо), вкладывания чужой или похищения собственной мысли, передачи мысли на расстояние; бредовое восприятие и бред контроля извне; инертность; слуховые галлюцинации, комментирующие или обсуждающие больного в третьем лице; беспорядочность мысли и симптомы негативизма. Течение шизофренических расстройств может быть продолжительным или эпизодическим с прогрессированием или стабильностью нарушений; это может быть один или несколько эпизодов болезни с полной или неполной ремиссией. При наличии обширной депрессивной или маниакальной симптоматики диагноз шизофрении не следует ставить до тех пор, пока не будет ясно, что шизофреническая симптоматика предшествовала аффективным нарушениям. Не следует диагностировать шизофрению и при наличии очевидной болезни мозга, а также в течение наркотической интоксикации или абстиненции. Аналогичные расстройства, развивающиеся при эпилепсии или других болезнях головного мозга, следует кодировать рубрикой F06.2, а если их возникновение связано с употреблением психоактивных веществ, - рубриками F10-F19 с общим четвертым знаком .5. Исключены: шизофрения: . острая (недифференцированная) (F23.2) . циклическая (F25.2) шизофреническая реакция (F23.2) шизотипическое расстройство (F21)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4162, 'Параноидная шизофрения', 'F20.0', 4161, 'F20', 0, 'Параноидная форма шизофрении, при которой в клинической картине доминируют относительно устойчивый, часто параноидный бред, обычно сопровождающийся галлюцинациями, особенно слуховыми, и расстройства восприятия. Расстройства эмоций, воли, речи и кататонические симптомы отсутчтвуют или относительно слабо выражены. Парафреническая шизофрения Исключены: инволюционное параноидное состояние (F22.8) паранойя (F22.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4163, 'Гебефреническая шизофрения', 'F20.1', 4161, 'F20', 0, 'Форма шизофрении, при которой доминируют аффективные изменения. Бред и галлюцинации поверхностны и фрагментарны, поведение нелепо и непредсказуемо, обычно манерничанье. Настроение изменчиво и неадекватно, мышление дезорганизовано, речь бессвязна. Имеется тенденция к социальной изоляции. Прогноз обычно неблагоприятен вследствие быстрого нарастания "негативных" симптомов, особенно аффективного уплощения и потери воли. Гебефрению следует диагностировать только в подростковом и юношеском возрасте. Дезорганизованная шизофрения Гебефрения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4164, 'Кататоническая шизофрения', 'F20.2', 4161, 'F20', 0, 'В клинической картине кататонической шизофрении доминируют чередующиеся психомоторные нарушения полярного характера, такие, как колебания между гиперкинезом и ступором или автоматическим подчинением и негативизмом. Скованные позы могут сохраняться в течение длительного времени. Примечательной особенностью состояния могут быть случаи резкого возбуждения. Кататонические проявления могут сочетаться со сноподобным (онейроидным) состоянием с яркими сценическими галлюцинациями. Кататонический ступор Шизофреническая: . каталепсия . кататония . восковая гибкость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4165, 'Недифференцированная шизофрения', 'F20.3', 4161, 'F20', 0, 'Психотическое состояние, отвечающее основным диагностическим критериям шизофрении, но не соответствующее какой-либо ее форме, классифицированной в подрубриках F20.0-F20.2, или проявляющее черты более чем одной из вышеуказанных форм без ярко выраженного преобладания специфического комплекса диагностических характеристик. Антипичная шизофрения Исключены: острое шизофреноподобное психотическое расстройство (F23.2) хроническая недифференцированная шизофрения (F20.5) постшизофреническая депрессия (F20.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4166, 'Постшизофреническая депрессия', 'F20.4', 4161, 'F20', 0, 'Депрессивный эпизод, который может быть длительным, возникающий как последствие заболевания шизофренией. Некоторые симптомы шизофрении ("позитивные" или "негативные") все еще должны присутствовать, но они уже не доминируют в клинической картине. С этими депрессивными состояниями связан повышенный риск самоубийства. Если у пациента уже не обнаруживаются какие-либо симптомы шизофрении, следует ставить диагноз депрессивного эпизода (F32.-). Если симптомы шизофрении все еще ярки и четки, следует ставить диагноз соответствующего типа шизофрении (F20.0-F20.3).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4167, 'Остаточная шизофрения', 'F20.5', 4161, 'F20', 0, 'Хроническая стадия в развитии заболевания шизофренией, при которой имел место явный переход от ранней стадии к поздней стадии, характеризующейся длительными (хотя и не обязательно необратимыми) "негативными" симптомами, такими, как психомоторная заторможенность; низкая активность; эмоциональная притупленность; пассивность и недостаток инициативы; бедность содержания речи; бедность невербальных взаимодействий посредством мимики, выражения глаз, интонаций и поз; снижение заботы о себе и скудность социальных действий. Хроническая недифференцированная шизофрения Резидуальное шизофреническое состояние');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4168, 'Простой тип шизофрении', 'F20.6', 4161, 'F20', 0, 'Расстройство, при котором наблюдается незаметное, но прогрессирующее развитие странностей в поведении, неспособности удовлетворять требованиям общества и снижение всех видов деятельности. Характерные негативные черты остаточной шизофрении (например, уплощение аффекта и потеря воли) развиваются без каких-либо явных предшествующих психотических симптомов.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4169, 'Другой тип шизофрении', 'F20.8', 4161, 'F20', 0, 'Сенестопатическая шизофрения Шизофреноформное(ый): . расстройство БДУ . психоз БДУ Исключено: краткое шизофреноформное расстройство (F23.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4170, 'Шизофрения неуточненная', 'F20.9', 4161, 'F20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4171, 'Шизотипическое расстройство', 'F21', 4160, 'F20-F29', 0, 'Расстройство, характеризующееся эксцентричным поведением, аномалиями мышления и эмоциональных реакций, похожими на те, которые имеют место при шизофрении, однако отчетливые и характерные для шизофрении нарушения не обнаруживаются ни на какой стадии болезни. Симптомы могут включать холодность или неадекватность эмоциональных реакций, странное или эксцентричное поведение, склонность к социальной изоляции, параноидные или необычные идеи, не доходящие до явно выраженного бреда, болезненную навязчивость, нарушение мышления и расстройства восприятия, редкие преходящие квазипсихотические эпизоды с выраженными иллюзорными ощущениями, слуховыми или другими галлюцинациями, бредовыми идеями, обычно возникающими без видимых причин. Отсутствует определенность начала болезни и ее развития, а ее течение обычно такое же, как и при расстройстве личности. Латентная шизофреническая реакция Шизофрения: . пограничная . латентная . предпсихотическая . продромальная . псевдоневротическая . псевдопсихопатическая Шизотипическое расстройство личности Исключены: синдром Аспергера (F84.5) шизоидное расстройство личности (F60.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4172, 'Хронические бредовые расстройства', 'F22', 4160, 'F20-F29', 3, 'Включают ряд расстройств, при которых устойчивый бред является единственным или наиболее характерным клиническим симптомом и которые не могут быть классифицированы как органические, шизофренические или аффективные. Бредовые расстройства, которые длились менее нескольких месяцев, следует обозначать, хотя бы временно, рубрикой F23.-.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4173, 'Бредовое расстройство', 'F22.0', 4172, 'F22', 0, 'Расстройство, характеризующннся развитием единственной картины бреда или серии связанных картин бреда, которые обычно устойчивы и иногда пожизненны. Содержание бреда или серии картин бреда чрезвычайно вариабельно. Совершенно несовместимыми с этим диагнозом являются четкие и устойчивые слуховые галлюцинации (голоса), шизофренические симптомы, такие, как бред контроля извне, и выраженная эмоциональная притупленность, а также явные признаки заболевания мозга. Однако наличие случайных или преходящих слуховых галлюцинаций, особенно у больных пожилого возраста, не исключает настоящего диагноза при условии, что они не являются типично шизофреническими и составляют только небольшую часть общей клинической картины. Паранойя Параноидный(ое): . психоз . состояние Парафрения (поздняя) Сенситивный бред отношения Исключены: параноидное(ый)(ая): . расстройство личности (F60.0) . психоз психогенный (F23.3) . реакция (F23.3) . шизофрения (F20.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4174, 'Другие хронические бредовые расстройства', 'F22.8', 4172, 'F22', 0, 'Расстройства, при которых одна или несколько картин бреда сопровождаются устойчивыми галлюцинаторными голосами или шизофреническими симптомами, которые не укладываются в диагноз шизофрении (F20.-). Бредовая дисморфофобия Инволюционное параноидное состояние Кверулянтная паранойя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4175, 'Хроническое бредовое расстройство неуточненное', 'F22.9', 4172, 'F22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4176, 'Острые и преходящие психотические расстройства', 'F23', 4160, 'F20-F29', 6, 'Разнородная группа нарушений, характеризующихся острым началом психотических симптомов, таких, как бред, галлюцинации и расстройства восприятия, и тяжелым нарушением обычного поведения. Под острым началом понимают быстро нарастающее развитие (в течение двух недель или менее) ясно выраженной аномальной клинической картины. Очевидная органическая причина этих нарушений отсутствует. Часто отмечаются растерянность и недоумение, но дезориентация во времени, месте и окружении не настолько устойчива и тяжела, чтобы можно было диагностировать делирий органической этиологии (F05.-). Полное выздоровление обычно наступает в течение нескольких месяцев, часто в течение нескольких недель или даже дней. Если эти нарушения принимают устойчивый характер, необходимо будет изменить классификационную рубрику этого состояния. Описанное расстройство может быть связано (не всегда) с острым стрессом, под которым понимают стрессовые ситуации, имевшие место за одну-две недели до начала расстройства.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4177, 'Острое полиморфное психотическое расстройство без', 'F23.0', 4176, 'F23', 0, 'симптомов шизофрении Острое психотическое расстройство, при котором галлюцинации, бред или расстройство восприятия несомненны, но чрезвычайно многообразны, изменяясь день ото дня или даже час от часу. Кроме того, часто имеет место эмоциональная неустойчивость с выраженными преходящими ощущениями счастья, экстаза или беспокойства, раздражительности. Полиморфизм и нестабильность характерны для всей клинической картины, и психотические признаки не подтверждают диагноз шизофрении (F20.-). Эти расстройства часто внезапно начинаются, быстро (в течение нескольких дней) развиваются и нередко столь же быстро угасают, не повторяясь в последующем. Если вышеуказанная симптоматика устойчива, диагноз следует изменить на хроническое бредовое расстройство (F22.-). Острый бред без симптомов шизофрении или неуточненный Циклоидный психоз без симптомов шизофрении или неуточненный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4178, 'Острое полиморфное психотическое расстройство с симптомами шизофрении', 'F23.1', 4176, 'F23', 0, 'Острое психотическое расстройство с полиморфной и неустойчивой клинической картиной, описанной в подрубрике F23.0; однако, несмотря на эту нестабильность, в большинстве случаев присутствует ряд симптомов шизофрении. Если шизофреническая симптоматика устойчива, диагноз должен быть изменен на шизофрению (F20.-). Острый бред с симптомами шизофрении Циклоидный психоз с симптомами шизофрении');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4179, 'Острое шизофреноформное психотическое расстройство', 'F23.2', 4176, 'F23', 0, 'Острое психотическое оасстройство, при котором психотические симптомы относительно стабильны и соответствуют диагнозу шизофрении, но сохраняются до одного месяца. Полиморфные неустойчивые черты, описанные в подрубрике F23.0, отсутствуют. Если шизофреническая симптоматика устойчива, диагноз следует изменить на шизофрению (F20.-). Острая (недифференцированная) шизофрения Краткий(ое) шизофреноформный(ое): . психоз . расстройство Онейрофрения Шизофреническая реакция Исключены: органическое бредовое [шизофреноподобное] расстройство (F06.2) шизофреноформное расстройство БДУ (F20.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4180, 'Другие острые преимущественно бредовые психотические расстройства', 'F23.3', 4176, 'F23', 0, 'Острые психотические расстройства, при которых основными клиническими чертами являются относительно стабильный бред или галлюцинации, однако не позволяющие диагностировать шизофрению (F20.-). Если бред устойчив, диагноз следует изменить на хроническое бредовое расстройство (F22.-). Параноидная реакция Психогенный параноидный психоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4181, 'Другие острые и преходящие психотические расстройства', 'F23.8', 4176, 'F23', 0, 'Любые другие уточненные острые психотические расстройства, не имеющие очевидной органической причины возникновения, которые невозможно отнести к рубрикам F23.0-F23.3.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4182, 'Острое и преходящее психотическое расстройство неуточненное', 'F23.9', 4176, 'F23', 0, 'Краткий реактивный психоз БДУ Реактивный психоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4183, 'Индуцированное бредовое расстройство', 'F24', 4160, 'F20-F29', 0, 'Бредовое расстройство, общее для двух или более лиц, находящихся в тесном эмоциональном контакте. Только один из них страдает истинным психотическим расстройством; бред передается путем индукции другому лицу (или другим лицам) и обычно исчезает при прекращении контакта с больным. Folie a deux Индуцированное: . параноидное расстройство . психотическое расстройство');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4184, 'Шизоаффективные расстройства', 'F25', 4160, 'F20-F29', 5, 'Эпизодические расстройства, при которых одинаково ярко проявляется шизофреническая и маниакальная симптоматика, на основании которой невозможно поставить диагноз только шизофрении либо только депрессивного или маниакального эпизода. Другие состояния, при которых аффективные симптомы накладываются на уже имеющуюся шизофрению, сосуществуют или чередуются с другими видами хронических бредовых расстройств, классифицируются рубриками F20-F29. Психотическая симптоматика в виде выраженных нарушений настроения при аффективных расстройствах не дает основания для диагностирования шизоаффективного расстройства.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4185, 'Шизоаффективное расстройство, маниакальный тип', 'F25.0', 4184, 'F25', 0, 'Расстройство, при котором и шизофренические, и маниакальные симптомы настолько выражены, что невозможно поставить диагноз ни шизофрении, ни маниакального эпизода. Эту рубрику следует использовать как для одиночного эпизода, так и для рецидивирующего расстройства, при котором большинство эпизодов являются шизоаффективными, маниакального типа. Шизоаффективный психоз, маниакальный тип Шизофреноформный психоз, маниакальный тип');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4186, 'Шизоаффективное расстройство, депрессивный тип', 'F25.1', 4184, 'F25', 0, 'Расстройство, при котором и шизофренические, и депрессивные симптомы настолько выражены, что невозможно поставить диагноз ни шизофрении, ни депрессивного эпизода. Эту рубрику следует использовать и для одиночного эпизода, и для рецидивирующего расстройства, при котором большинство эпизодов являются шизоаффективными, депрессивного типа. Шизоаффективный психоз, депрессивный тип Шизофреноформный психоз, депрессивный тип');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4187, 'Шизоаффективное расстройство, смешанный тип', 'F25.2', 4184, 'F25', 0, 'Циклическая шизофрения Смешанный шизофренический и аффективный психоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4188, 'Другие шизоаффективные расстройства', 'F25.8', 4184, 'F25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4189, 'Шизоаффективное расстройство неуточненное', 'F25.9', 4184, 'F25', 0, 'Шизоаффективный психоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4190, 'Другие неорганические психотические расстройства', 'F28', 4160, 'F20-F29', 0, 'Бредовые или галлюцинаторные расстройства, не дающие основания для постановки диагноза шизофрении (F20.-), хронических бредовых расстройств (F22.-), острых и преходящих психотических расстройств (F23.-), психотических типов маниакального эпизода (F30.2) или тяжелого депрессивного эпизода (F32.3). Хронический галлюцинаторный психоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4191, 'Неорганический психоз неуточненный', 'F29', 4160, 'F20-F29', 0, 'Психоз БДУ Исключены: психическое расстройство БДУ (F99) органический или симптоматический психоз БДУ (F09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4193, 'РАССТРОЙСТВА НАСТРОЕНИЯ [АФФЕКТИВНЫЕ РАССТРОЙСТВА]', 'F30-F39', 4001, 'F00-F99', 7, 'Этот блок включает в себя расстройства, при которых основным наруше-\nнием является изменение эмоций и настроения в сторону депрессии (с\nтревогой или без нее) или в сторону приподнятости. Изменения настро-\nения обычно сопровождаются изменениями общего уровня активности.\nБольшинство других симптомов являются вторичными или легко объясня-\nются на фоне изменений настроения и активности. Такие расстройства\nчаще всего имеют тенденцию к рецидивированию, причем начало отдель-\nного эпизода нередко может связываться со стрессовыми событиями и\nситуациями.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4194, 'Маниакальный эпизод', 'F30', 4193, 'F30-F39', 5, 'Все подрубрики этой трехзначной рубрики должны использоваться только для единственного эпизода. Гипоманиакальный или маниакальный эпизоды в случаях, когда в прошлом уже имели место один или несколько аффективных эпизодов (депрессивный, гипоманиакальный, маниакальный или смешанного характера), должны кодироваться как биполярное аффективное расстройство (F31.-) Включено: биполярное расстройство, одиночный маниакальный эпизод');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4195, 'Гипомания', 'F30.0', 4194, 'F30', 0, 'Расстройство, характеризующееся устойчивым подъемом настроения, повышенной энергичностью и активностью и обычно выраженным ощущением благополучия, умственной и физической продуктивности. Часто имеют место повышенная коммуникабельность, болтливость, излишняя фамильярность, повышенная сексуальность и сниженная потребность во сне, однако не до такой степени, чтобы привести к тяжелым нарушениям деятельности и социальному отторжению. Раздражительность, самомнение, грубость могут замещать более обычные эйфорические взаимоотношения. Нарушения настроения и поведения не сопровождаются галлюцинациями или бредом.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4196, 'Мания без психотических симптомов', 'F30.1', 4194, 'F30', 0, 'Настроение приподнято без связи с реальными обстоятельствами жизни больного и может варьироваться от беззаботной веселости до почти неконтролируемого возбуждения. Приподнятое настроение сопровождается возрастание энергичности, перерастающей в сверхактивность и говорливость, и снижением потребности во сне. Выражена невозможность концентрировать внимание, часто имеет место значительная рассеянность. Чувство самооценки нередко принимает напыщенный характер с грандиозными идеями и сверхсамоуверенностью. Утрата нормальной социальной сдержанности влечет за собой поведение, характеризующееся безрассудностью, рискованностью, неуместностью и несоответствием характеру больного.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4197, 'Мания с психотическими симптомами', 'F30.2', 4194, 'F30', 0, 'В дополнение к клинической картине, описанной в подрубрике F30.1, налицо бред (обычно грандиозный) или галлюцинации (обычно голоса, обращающиеся непосредственно к больному) или возбуждение, чрезмерная двигательная активность, причем вспышки идей столь выражены, что индивид становится недоступным для обычного общения. Мания с: . соответствующими настроению психотическими симптомами . не соответствующими настроению психотическими симптомами Маниакальный ступор');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4198, 'Другие маниакальные эпизоды', 'F30.8', 4194, 'F30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4199, 'Маниакальный эпизод неуточненный', 'F30.9', 4194, 'F30', 0, 'Мания БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4200, 'Биполярное аффективное расстройство', 'F31', 4193, 'F30-F39', 10, 'Расстройство, характеризующееся двумя или более эпизодами, при которых настроение и уровень активности пациента значительно нарушены. Эти нарушения представляют собой случаи подъема настроения, прилива энергии и усиления активности (гипомания или мания) и случаи падения настроения и резкого снижения энергичности и активности (депрессия). Повторные эпизоды только гипомании или мании классифицируются как биполярные (F31.8). Включены: маниакально-депрессивное(ый)(ая): . заболевание . психоз . реакция Исключены: биполярное расстройство, единственный маниакальный эпизод (F30.-) циклотимия (F34.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4201, 'Биполярное аффективное расстройство, текущий эпизод гипомании', 'F31.0', 4200, 'F31', 0, 'У пациента в данный момент имеются гипоманиакальные явления, и в прошлом отмечался, по крайней мере однократно, другой аффективный эпизод (гипоманиакальный, маниакальный, депрессивный или смешенного характера).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4202, 'Биполярное аффективное расстройство, текущий эпизод мании без психотических симптомов', 'F31.1', 4200, 'F31', 0, 'У пациента в данный момент имеются маниакальные явления без психотической симптоматики (как в подрубрике F30.1), и в прошлом отмечался, по крайней мере однократно, другой аффективный эпизод (гипоманиакальный, маниакальный, депрессивный или смешанного характера).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4203, 'Биполярное аффективное расстройство, текущий эпизод мании с психотическими симптомами', 'F31.2', 4200, 'F31', 0, 'У пациента в данный момент имеются маниакальные явления с психотической симптоматикой (как в подрубрике F30.2), и в прошлом отмечался, по крайней мере однократно, другой аффективный эпизод (гипоманиакальный, маниакальный, депрессивный или смешанного характера).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4204, 'Биполярное аффективное расстройство, текущий эпизод легкой или умеренной депрессии', 'F31.3', 4200, 'F31', 0, 'У пациента в данный момент имеются явления депрессии, как при депрессивном эпизоде легкой или средней тяжести (F32.0 или F32.1), и в прошлом отмечался, по крайней мере однократно, подтвержденный гипоманиакальный, маниакальный или смешанный аффективный эпизод.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4205, 'Биполярное аффективное расстройство, текущий эпизод тяже-', 'F31.4', 4200, 'F31', 0, 'лой депрессии без психотических симптомов У пациента в данный момент имеются явления депрессии, как при тяжелом депрессивном эпизоде без психотической симптоматике (F32.2), и в прошлом отмечался, по крайней мере однократно, подтвержденный гипоманиакальный, маниакальный или смешанный аффективный эпизод.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4206, 'Биполярное аффективное расстройство, текущий эпизод тяжелой депрессии с психотическими симптомами', 'F31.5', 4200, 'F31', 0, 'У пациента в данный момент имеются явления депрессии, как при тяжелом депрессивном эпизоде с психотической симптоматикой (F32.3), и в прошлом отмечался, по крайней мере однократно, подтвержденный гипоманиакальный, маниакальный или смешанный аффективный эпизод.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4207, 'Биполярное аффективное расстройство, текущий эпизод смешанного характера', 'F31.6', 4200, 'F31', 0, 'Пациент в прошлом имел, по крайней мере однократно, подтвержденный гипоманиакальный, маниакальный, депрессивный или смешанный аффективный эпизод, а текущее состояние представляет собой сочетание маниакальных и депрессивных симптомов или их быструю смену. Исключен: одиночный аффективный эпизод смешанного характера (F38.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4208, 'Биполярное аффективное расстройство, текущая ремиссия', 'F31.7', 4200, 'F31', 0, 'Пациент в прошлом имел, по крайней мере однократно, подтвержденный гипоманиакальный, маниакальный или смешанный аффективный эпизод и хотя бы один другой аффективный эпизод (гипоманиакальный, маниакальный, депрессивный или смешанный), но в текущий момент он не страдает какими-либо значительными нарушениями настроения, которые отсутствуют уже в течение нескольких месяцев. Периоды ремиссии в течение профилактического лечения должны кодироваться этой же рубрикой.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4209, 'Другие биополярные аффективные расстройства', 'F31.8', 4200, 'F31', 0, 'Биполярное II расстройство Рецидивирующие маниакальные эпизоды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4210, 'Биполярное аффективное расстройство неуточненное', 'F31.9', 4200, 'F31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4211, 'Депрессивный эпизод', 'F32', 4193, 'F30-F39', 6, 'В легких, средних или тяжелых типичных случаях депрессивных эпизодов у больного отмечаются пониженное настроение, уменьшение энергичности и падение активности. Снижена способность радоваться, получать удовольствие, интересоваться, сосредоточиваться. Обычным является выраженная усталость даже после минимальных усилий. Обычно нарушен сон и снижен аппетит. Самооценка и уверенность в себе почти всегда снижены, даже при легких формах заболевания. Часто присутствуют мысли о собственной виновности и бесполезности. Пониженное настроение, мало меняющееся день ото дня, не зависит от обстоятельств и может сопровождаться так называемыми соматическими симптомами, такими, как потеря интереса к окружающему и утрата ощущений, доставляющих удовольствие, пробуждение по утрам на несколько часов раньше обычного времени, усиление депрессии по утрам, выраженная психомоторная заторможенность, тревожность, потеря аппетита, похудание и снижение либидо. В зависимости от числа и тяжести симптомов депрессивный эпизод может классифицироваться как легкий, умеренно выраженный и тяжелый. Включены: одиночный эпизод: . депрессивной реакции . психогенной депрессии . реактивной депрессии Исключены: расстройство приспособительных реакций (F43.2) рекуррентное депрессивное расстройство (F33.-) депрессивный эпизод, связанный с расстройствами поведения, классифицированными в рубриках F91.-(F92.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4212, 'Депрессивный эпизод легкой степени', 'F32.0', 4211, 'F32', 0, 'Обычно выражены два-три вышеупомянутых симптома. Пациент, конечно, страдает от этого, но, вероятно, будет в состоянии продолжать выполнять основные виды деятельности.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4213, 'Депрессивный эпизод средней степени', 'F32.1', 4211, 'F32', 0, 'Выражены четыре и более из вышеупомянутых симптомов. Пациент, вероятно, испытывает большие трудности при продолжении обычной деятельности.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4214, 'Депрессивный эпизод тяжелой степени без психотических симптомов', 'F32.2', 4211, 'F32', 0, 'Эпизод депрессии, при котором явно выражен ряд вышеупомянутых симптомов, приносящих страдание; обычны снижение самооценки и мысли о собственной никчемности или виновности. Характерны суицидальные мысли и попытки, обычно имеет место ряд псевдосоматических симптомов. Депрессия с возбуждением } Значительная депрессия } одиночный эпизод без Витальная депрессия } психотических симптомов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4215, 'Депрессивный эпизод тяжелой степени с психотическими симптомами', 'F32.3', 4211, 'F32', 0, 'Эпизод депрессии, как описано в подрубрике F32.3, но с наличием галлюцинаций, бреда, психомоторной заторможенности или ступора, настолько выраженных, что обычная социальная активность невозможна. Имеется опасность для жизни вследствие суицидальных попыток, обезвоживания или голодания. Галлюцинации и бред могут соответствовать или не соответствовать настроению. Одиночный эпизод: . значительной депрессии с психотическими симптомами . психогенного депрессивного психоза . психотической депрессии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4216, 'Другие депрессивные эпизоды', 'F32.8', 4211, 'F32', 0, 'Атипичная депрессия Одиночный эпизод "скрытой" депрессии БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4217, 'Депрессивный эпизод неуточненный', 'F32.9', 4211, 'F32', 0, 'Депрессия БДУ Депрессивное расстройство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4218, 'Рекуррентное депрессивное расстройство', 'F33', 4193, 'F30-F39', 7, 'Расстройство, характеризующееся повторными эпизодами депрессии, соответствующими описанию депрессивного эпизода (F32.-), без наличия в анамнезе самостоятельных эпизодов подъема настроения и прилива энергии (мании). Однако могут быть краткие эпизоды легкого подъема настроения и гиперактивности (гипомания) сразу же после депрессивного эпизода, иногда вызванные лечением антидепрессантами. Наиболее тяжелые формы рекуррентного депрессивного расстройства (F33.2 и F33.3) имеют много общего с прежними понятиями, такими, как маниакально-депрессивная депрессия, меланхолия, витальная депрессия и эндогенная депрессия. Первый эпизод может возникнуть в любом возрасте, начиная с детства и до старости. Начало его может быть острым или незаметным, а продолжительность - от нескольких недель до многих месяцев. Никогда полностью не исчезает опасность того, что у больного рекуррентным депрессивным расстройством не возникнет маниакального эпизода. Если такое произойдет, диагноз должен быть изменен на биполярное аффективное расстройство (F31.-). Включены: повторные эпизоды: . депрессивной реакции . психогенной депрессии . реактивной депрессии сезонное депрессивное расстройство Исключены: рекуррентные краткие депрессивные эпизоды (F38.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4219, 'Рекуррентное депрессивное расстройство, текущий эпизод легкой степени', 'F33.0', 4218, 'F33', 0, 'Расстройство, характеризующееся повторными эпизодами депрессии. Текущий эпизод легко выражен (как описано в подрубрике F32.0) и без мании в анамнезе.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4220, 'Рекуррентное депрессивное расстройство, текущий эпизод средней степени', 'F33.1', 4218, 'F33', 0, 'Расстройство, характеризующееся повторными эпизодами депрессии. Текущий эпизод умеренно выражен (как описано в подрубрике F32.1) и без мании в анамнезе.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4221, 'Рекуррентное депрессивное расстройство, текущий эпизод тяжелой степени без психотических симптомов', 'F33.2', 4218, 'F33', 0, 'Расстройство, характеризующееся повторными эпизодами депрессии. Текущий эпизод значительно выражен, без психотических симптомов (как описано в подрубрике F32.2) и без мании в анамнезе. Эндогенная депрессия без психотических симптомов Значительная депрессия, рекуррентная без психотических симптомов Маниакально-депрессивный психоз, депрессивный тип без психотических симптомов Витальная депрессия, рекуррентная без психотических симптомов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4222, 'Рекуррентное депрессивное расстройство, текущий эпизод тяжелой степени с психотическими симптомами', 'F33.3', 4218, 'F33', 0, 'Расстройство, характеризующееся повторными эпизодами депрессии. Текущий эпизод значительно выражен, сопровождается психотической симптоматикой, как описано в подрубрике F32.3, но без указаний на предыдущие эпизоды мании. Эндогенная депрессия с психотическими симптомами Маниакально-депрессивный психоз, депрессивный тип с психотическими симптомами Повторные тяжелые эпизоды: . значительной депрессии с психотическими симптомами . психогенного депрессивного психоза . психотичсекой депрессии . реактивного депрессивного психоза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4223, 'Рекуррентное депрессивное расстройство, текущее состояние ремиссии', 'F33.4', 4218, 'F33', 0, 'У пациента в прошлом отмечались два или более депрессивных эпизода (как описано в подрубриках F33.0-F33.3), но уже в течение нескольких месяцев депрессивная симптоматика отсутствует.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4224, 'Другие рекуррентные депрессивные расстройства', 'F33.8', 4218, 'F33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4225, 'Рекуррентное депрессивное расстройство неуточненное', 'F33.9', 4218, 'F33', 0, 'Монополярная депрессия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4226, 'Устойчивые расстройства настроения [аффективные расстройства]', 'F34', 4193, 'F30-F39', 4, 'Стойкие и обычно колеблющиеся расстройства настроения, при которых большинство отдельных эпизодов недостаточно тяжелы, чтобы позволить описать их как гипоманиакальный или легкий депрессивный эпизод. Поскольку он длятся многие годы, а иногда значительную часть жизни больного, они вызывают выраженное недомогание и нетрудоспособность. В отдельных случаях повторные или единичный маниакальный или депрессивный эпизоды могут накладываться на хроническое аффективное расстройство.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4227, 'Циклотимия', 'F34.0', 4226, 'F34', 0, 'Устойчивая нестабильность настроения, включающая ряд периодов депрессии и легкой приподнятости настроения, ни один из которых не является достаточно тяжелым или длительным, чтобы поставить диагноз биполярного аффективного расстройства (F31.-) или рекуррентного депрессивного расстройства (F33.-). Такое расстройство часто обнаруживается у родственников больного, страдающего биполярным аффективным расстройством. У некоторых пациентов с циклотимией в конце концов развивается биполярное аффективное расстройство. Аффективное расстройство личности Циклоидная личность Циклотимическая личность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4228, 'Дистимия', 'F34.1', 4226, 'F34', 0, 'Хроническое депрессивное настроение, продолжающееся по меньшей мере несколько лет, которое является недостаточно тяжелым или при котором отдельные эпизоды недостаточно длительны, чтобы можно было поставить диагноз рекуррентного депрессивного расстройства тяжелой, средней или легкой степени выраженности (F33.-). Депрессивный(ое): . невроз . расстройство личности Невротическая депрессия Устойчивая тревожная депрессия Исключено: тревожная депрессия (легкая или неустойчивая) (F41.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4229, 'Другие устойчивые расстройства настроения [аффективные]', 'F34.8', 4226, 'F34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4230, 'Устойчивое расстройство настроения [аффективное] неуточненное', 'F34.9', 4226, 'F34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4231, 'Другие расстройства настроения [аффективные]', 'F38', 4193, 'F30-F39', 3, 'Любые другие расстройства настроения, не дающие оснований классифицировать их рубриками F30-F34, поскольку они недостаточно тяжелы или продолжительны.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4232, 'Другие одиночные расстройства настроения [аффективные]', 'F38.0', 4231, 'F38', 0, 'Смешанный аффективный эпизод');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4233, 'Другие рекуррентные расстройства настроения [аффективные]', 'F38.1', 4231, 'F38', 0, 'Повторные краткие депрессивные эпизоды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4234, 'Другие уточненные расстройства настроения [аффективные]', 'F38.8', 4231, 'F38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4235, 'Расстройство настроения [аффективное] неуточненное', 'F39', 4193, 'F30-F39', 0, 'Аффективный психоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4237, 'НЕВРОТИЧЕСКИЕ, СВЯЗАННЫЕ СО СТРЕССОМ И СОМАТОФОРМНЫЕ РАССТРОЙСТВА', 'F40-F48', 4001, 'F00-F99', 7, 'Исключены: связанные с расстройствами поведения, классифицированными в рубриках F91.-(F92.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4238, 'Фобические тревожные расстройства', 'F40', 4237, 'F40-F48', 5, 'Группа расстройств, при которых единственным или преобладающим симптомом является боязнь определенных ситуаций, не представляющих текущей опасности. В результате больной обычно избегает или страшится таких ситуаций. Беспокойство больного может быть сфокусировано на отдельных симптомах, таких, как дрожь от страха или обморочное ощущение, и часто ассоциируется с боязнью умереть, потерять над собой контроль или сойти с ума. Ожидание возможности попадания в фобическую ситуацию обычно вызывает преждевременную тревогу. Фобическая тревожность и депрессия часто сочетаются. Решение о постановке двух диагнозов (фобическое тревожное расстройство и депрессивный эпизод) или только одного определяется продолжительностью этих состояний и соображениями врача в отношении терапии во время консультации больного.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4239, 'Агорафобия', 'F40.0', 4238, 'F40', 0, 'Довольно хорошо очерченная группа фобий, включающая в себя боязнь выходить из дома, входить в магазины, боязнь толпы и общественных мест, боязнь в одиночку путешествовать поездом, автобусом, самолетом. Паническое расстройство является обычной чертой эпизодов и в прошлом, и в настоящем. Кроме того, в качестве дополнительной характеристики часто присутствуют депрессивный и навязчивые симптомы и социальные фобии. Часто выражено избегание фобических ситуаций, и лица, страдающие агорафобией, не испытывают большого беспокойства, так как они в состоянии избежать этих "опасностей". Агорафобия без панического расстройства в анамнезе Паническое расстройство с агорафобией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4240, 'Социальные фобии', 'F40.1', 4238, 'F40', 0, 'Боязнь пристального внимания со стороны других людей, ведущая к избеганию социальных ситуаций. Более глубокие социальные фобии связаны с низкой самооценкой и боязнью критики. Их присутствие проявляется в виде покраснения лица, дрожания рук, тошноты, постоянных позывов на мочеиспускание. Иногда больной убежден, что какое-либо из этих вторичных проявлений и составляет его основную проблему. Симптоматика может прогрессировать до приступов паники. Антропофобия Социальный невроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4241, 'Специфические (изолированные) фобии', 'F40.2', 4238, 'F40', 0, 'Сюда входят фобии, ограниченные весьма специфичными ситуациями, такими, как близость особых животных, высота, гром, темнота, полет, закрытое пространство, мочеиспускание и дефекация в общественных туалетах, употребление определенных пищевых продуктов, лечение зубов, вид крови или травмы. Хотя мысль о такой ситуации является абстрактной, попадание в нее может вызвать панику, как при агорафобии или социальной фобии. Акрофобия Боязнь животных Клаустрофобия Простая фобия Исключены: дисморфофобия (небредовая) (F45.2) боязнь заболеть (нозофобия) (F45.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4242, 'Другие фобические тревожные расстройства', 'F40.8', 4238, 'F40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4243, 'Фобическое тревожное расстройство неуточненное', 'F40.9', 4238, 'F40', 0, 'Фобия БДУ Фобическое состояние БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4244, 'Другие тревожные расстройства', 'F41', 4237, 'F40-F48', 6, 'Расстройства, при которых проявление тревоги является основным симптомом и не ограничивается какой-либо конкретной внешней ситуацией. Могут также присутствовать депрессивные и навязчивые симптомы и даже некоторые элементы фобической тревожности при условии, что они несомненно являются вторичными и менее тяжелыми.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4245, 'Паническое расстройство [эпизодическая пароксизмальная тревожность]', 'F41.0', 4244, 'F41', 0, 'Характерной чертой расстройства являются рецидивируюие приступы резко выраженной тревоги (паники), которые не ограничены какой-либо особой ситуацией или комплексом обстоятельств и, следовательно, непредсказуемы. Как и при других тревожных расстройствах, основная симптоматика включает внезапное возникновение сердцебиений, боли за грудиной, ощущение удушья, тошноту и чувство нереальности (деперсонализация или дереализация). Кроме того, как вторичное явление часто присутствует боязнь умереть, потерять контроль над собой или сойти с ума. Паническое расстройство не следует использовать в качестве основного диагноза, если у пациента имелось депрессивное расстройство в начале приступа паники. В этом случае приступ паники, вероятнее всего, является вторичным по отношению к депрессии. Панический(ое): . приступ . состояние Исключено: паническое расстройство с агорафобией (F40.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4246, 'Генерализованное тревожное расстройство', 'F41.1', 4244, 'F41', 0, 'Тревога, которая является распространенной и устойчивой, но не ограниченной или преимущественно вызванной какимилибо особыми обстоятельствами (т.е. свободно плавающей, или "free-floating"). Доминирующие симптомы изменчивы, но включают жалобы на устойчивую нервозность, ощущение страха, мышечное напряжение, потливость, ощущение безумства, дрожь, головокружение и чувство дискомфорта в эпигастральной области. Часто выражена боязнь несчастного случая или болезни, которые, по мнению больного ожидают его или его родственников в ближайшее время. Тревожная(ое): . реакция . состояние Невроз тревоги Исключена: неврастения (F48.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4247, 'Смешанное тревожное и депрессивное расстройство', 'F41.2', 4244, 'F41', 0, 'Эту рубрику следует использовать в том случае, когда присутствуют одновременно и тревожность, и депрессия, но ни одно из этих состояний не является превалирующим, а степень выраженности их симптоматики не позволяет при рассмотрении каждого поставить отдельный диагноз. Если же симптомы и тревожности, и депрессии настолько выражены, что позволяют поставить отдельный диагноз каждого из этих расстройств, следует кодировать оба диагноза, и в этом случае данная рубрика не должна использоваться. Тревожная депрессия (легкая или неустойчивая)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4248, 'Другие смешанные тревожные расстройства', 'F41.3', 4244, 'F41', 0, 'Симптомы тревожности сочетаются с чертами других расстройств, классифицированных в рубриках F42-F48. При этом степень выраженности симптомов этих расстройств не является столь тяжелой, чтобы можно было поставить диагноз, если их рассматривать раздельно.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4249, 'Другие уточненные тревожные расстройства', 'F41.8', 4244, 'F41', 0, 'Тревожная истерия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4250, 'Тревожное расстройство неуточненное', 'F41.9', 4244, 'F41', 0, 'Тревожность БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4251, 'Обсессивно-компульсивное расстройство', 'F42', 4237, 'F40-F48', 5, 'Существенной особенностью состояния является наличие повторяющихся навязчивых мыслей или вынужденных действий. Навязчивые мысли представляют собой идеи, образы или побуждения, которые вновь и вновь приходят больному в голову в стереотипном виде. Они почти всегда огорчительны, и пациент часто безуспешно пытается сопротивляться им. Тем не менее больной считает эти мысли своими собственными, даже если они непроизвольны и отвратительны. Навязчивые действия, или ритуалы, являются стереотипными манерами, которые больной повторяет вновь и вновь. Они не являются способом получить удовольствие или атрибутом выполнения полезных задач. Эти действия являются способом предотвратить возможность наступления неприятного события, которое, как опасается больной, в противном случае может произойти, нанеся вред ему или им другому лицу. Обычно такое поведение осознается больным как бессмысленное или неэффективное и делаются повторные попытки противостоять ему. Почти всегда присутствует тревожность. Если компульсивные действия подавляются, тревожность становится более выраженной. Включены: ананкастический невроз обсессивно-компульсивный невроз Исключена: обсессивно-компульсивная личность (расстройство) (F60.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4252, 'Преимущественно навязчивые мысли или размышления', 'F42.0', 4251, 'F42', 0, 'Они могут принимать форму идей, мысленных образов или побуждений к действию, которые почти всегда причиняют страдание пациенту. Иногда идеи являются незаконченными, бесконечно рассматриваемыми альтернативами, связанными с неспособностью принять обычное, но необходимое решение, касающееся повседневной жизни. Связь между навязчивыми размышлениями и депрессией является особенно тесной, поэтому диагнозу обсессивно-компульсивного расстройства следует отдать предпочтение лишь только в том случае, если навязчивые мысли возникают или удерживаются при отсутствии депрессивного эпизода.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4253, 'Преимущественно компульсивное действие [навязчивые ритуалы]', 'F42.1', 4251, 'F42', 0, 'Большинство компульсивных действий относится к очистке от загрязнения (в основном мытье рук), повторным проверкам для получения гарантии того, что потенциально опасная ситуация не может возникнуть, или соблюдению аккуратности и опрятности. В основе такого явного поведения лежит обычно боязнь опасности, которой может подвергнуться сам пациент или которой он может подвергнуть другого, и ритуальные действия являются безрезультатной или символической попыткой предотвратить опасность.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4254, 'Смешанные навязчивые мысли и действия', 'F42.2', 4251, 'F42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4255, 'Другие обсессивно-компульсивные расстройства', 'F42.8', 4251, 'F42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4256, 'Обсессивно-компульсивное расстройство неуточненное', 'F42.9', 4251, 'F42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4257, 'Реакция на тяжелый стресс и нарушения адаптации', 'F43', 4237, 'F40-F48', 5, 'Эта группа расстройств отличается от других групп тем, что в нее включены расстройства, идентифицируемые не только на основе симптоматики и характера течения, но также на основе очевидности влияния одной или даже обеих причин: исключительно неблагоприятного события в жизни, вызвавшего острую стрессовую реакцию, или значительной перемены в жизни, ведущей к продолжительным неприятным обстоятельствам и обусловившей нарушения адаптации. Хотя менее тяжелый психосоциальный стресс (жизненные обстоятельства) может ускорить начало или способствовать проявлению широкого спектра расстройств, представленных в этом классе заболеваний, его этиологическая значимость не всегда ясна, и в каждом случае будет признаваться зависимость от индивида, часто от его сверхчувствительности и уязвимости (т.е. жизненные события не являются обязательными или достаточными, чтобы объяснить возникновение и форму расстройства). Расстройства, собранные в этой рубрике, напротив, всегда рассматриваются как непосредственное следствие острого тяжелого стресса или продолжительного травмирования. Стрессовые события или продолжительные неприятные обстоятельства являются первичным или преобладающим причинным фактором и расстройство не могло бы возникнуть без их влияния. Таким образом, расстройства, классифицированные в этой рубрике, могут рассматриваться как извращенные приспособительные реакции на тяжелый или продолжительный стресс, при этом они мешают успешно справиться со стрессом и, следовательно, ведут к проблемам социального функционирования.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4258, 'Острая реакция на стресс', 'F43.0', 4257, 'F43', 0, 'Преходящее расстройство, которое развивается у человека без каких-либо других проявлений психических расстройств в ответ на необычный физический или психический стресс и обычно стихает через несколько часов или дней. В распространенности и тяжести стрессовых реакций имеют значение индивидуальная ранимость и способность владеть собой. Симптомы показывают типичную смешанную и изменчивую картину и включают первоначальное состояние "ошеломления" с некоторым сужением области сознания и внимания, невозможностью полностью осознать раздражители и дезориентированностью. Это состояние может сопровождаться последующим "уходом" из окружающей ситуации (до состояния диссоциативного ступора - F44.2) или ажиатацией и сверхактивностью (реакция полета или фуги). Обычно присутствуют отдельные черты панического расстройства (тахикардия, избыточное потоотделение, покраснение). Симптоматика обычно проявляется через несколько минут после воздействия стрессовых стимулов или события и исчезает через 2-3 дня (часто через несколько часов). Может присутствовать частичная или полная амнезия (F44.0) на стрессовое событие. Если вышеуказанная симптоматика устойчива, необходимо изменить диагноз. Острая: . кризисная реакция . реакция на стресс Нервная демобилизация Кризисное состояние Психический шок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4259, 'Посттравматическое стрессовое расстройство', 'F43.1', 4257, 'F43', 0, 'Возникает как отсроченный или затянувшийся ответ на стрессовое событие (краткое или продолжительное) исключительно угрожающего или катастрофического характера, которое может вызвать глубокий стресс почти у каждого. Предрасполагающие факторы, такие, как личностные особенности (компульсивность, астеничность) или нервное заболевание в анамнезе, могут снизить порог для развития синдрома или усугубить его течение, но они никогда не являются необходимыми или достаточными для объяснения его возникновения. Типичные признаки включают эпизоды повторяющихся переживаний травмирующего события в навязчивых воспоминаниях ("кадрах"), мыслях или кошмарах, появляющихся на устойчивом фоне чувства оцепенения, эмоциональной заторможенности, отчужденности от других людей, безответности на окружающее и избегания действий и ситуаций, напоминающих о травме. Обычно имеют место перевозбуждение и выраженная сверхнастороженность, повышенная реакция на испуг и бессонница. С вышеупомянутыми симптомами часто связаны тревожность и депрессия, и не редкостью являются идеи самоубийства. Появлению симптомов расстройства предшествует латентный период после травмы, колеблющийся от нескольких недель до нескольких месяцев. Течение расстройства различно, но в большинстве случаев можно ожидать выздоровления. В некоторых случаях состояние может принять хроническое течение на многие годы с возможным переходом в устойчивое изменение личности (F62.0). Травматический невроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4260, 'Расстройство приспособительных реакций', 'F43.2', 4257, 'F43', 0, 'Состояние субъективного дистресса и эмоционального расстройства, создающее трудности для общественной деятельности и поступков, возникающее в период адаптации к значительному изменению в жизни или стрессовому событию. Стрессовое событие может нарушить целостность социальных связей индивида (тяжелая утрата, разлука) или широкую систему социальной поддержки и ценностей (миграция, статус беженца) либо представлять широкий диапазон изменений и переломов в жизни (поступление в школу, приобретение статуса родителей, неудача в достижении заветной личной цели, уход в отставку). Индивидуальная предрасположенность или ранимость играют важную роль в риске возникновения и форме проявления расстройств приспособительных реакций, однако не допускается возможность возникновения таких расстройств без травмирующего фактора. Проявления очень вариабельны и включают подавленность настроения, настороженность или беспокойство (или комплекс этих состояний), ощущение неспособности справиться с ситуацией, запланировать все заранее или решить оставаться в настоящей ситуации, а также включает некоторую степень снижения способности действовать в повседневной жизни. Одновременно могут присоединяться расстройства поведения, особенно в юношеском возрасте. Характерной чертой может быть краткая или длительная депрессивная реакция или нарушение других эмоций и поведения. Культурный шок Реакция горя Госпитализм у детей Исключено: тревожное расстройство у детей, вызванное разлукой (F93.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4261, 'Другие реакции на тяжелый стресс', 'F43.8', 4257, 'F43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4262, 'Реакция на тяжелый стресс неуточненная', 'F43.9', 4257, 'F43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4263, 'Диссоциативные [конверсионные] расстройства', 'F44', 4237, 'F40-F48', 10, 'Общепринятыми положениями, на основе которых выделяются диссоциативные, или конверсионные, расстройства, являются полная или частичная потеря нормальной интеграции между памятью на прошлые события, способностью осознать себя как личность и непосредственными ощущениями и способностью управлять движениями тела. Все виды диссоциативных расстройств имеют тенденцию к исчезновению через несколько недель или месяцев, особенно если их возникновение связано с каким-либо травмирующем событием в жизни. Многие хронические расстройства, особенно параличи и потеря чувствительности, могут развиваться на основе существования неразрешимых проблем и межличностных сложностей. Эти расстройства ранее преимущественно классифицировались как различные виды "конверсионной истерии". Считается, что они имеют психогенную этиологию, поскольку по времени возникновения тесно связаны с травмирующими событиями, неразрешимыми и невыносимыми проблемами или нарушенными взаимоотношениями. Симптомы часто соответствуют представлению больного о том, как должно было бы проявляться психическое заболевание. Медицинский осмотр и обследование не выявляют каких-либо явных физических или неврологических нарушений. Кроме того, совершенно очевидно, что потеря функции является выражением эмоционального конфликта или потребностей. Симптомы могут развиваться в тесной связи с психологическим стрессом и часто проявляются внезапно. В эту рубрику включены только расстройства физических функций, в норме произвольно контролирующихся, и потеря чувствительности. Расстройства, включающие болевые ощущения и комплекс других физических ощущений, опосредованных через вегетативную нервную систему, классифицированы в рубрике психосоматических нарушений (F45.0). Всегда следует помнить о возможности развития в дальнейшем серьезных физических или психических расстройств. Включены: конверсионная: . истерия . реакция истерия истерический психоз Исключена: симуляция [сознательная симуляция] (Z76.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4264, 'Диссоциативная амнезия', 'F44.0', 4263, 'F44', 0, 'Основной чертой является потеря памяти, особенно на важные недавние события, которая не вызвана органическим психическим заболевание и слишком выражена, чтобы ее можно было объяснить обычной забывчивостью или усталостью. Амнезия обычно сконцентрирована на травмирующих событиях, таких, как несчастный случай или неожиданная тяжелая утрата, и обычно является частичной и избирательной. Полная и генерализованная амнезия редка и обычно является частью амбулаторного автоматизма (фуги) (F44.1); в этом случае расстройство так и следует классифицировать. Диагноз диссоциативной амнезии не следует ставить при наличии органического заболевания мозга, интоксикации или чрезмерной усталости. Исключены: амнестическое расстройство, вызванное употреблением алкоголя или другого психоактивного вещества (F10-F19 c общим четвертым знаком .6) амнезия: . БДУ (R41.3) . антероградная (R41.1) . ретроградная (R41.2) неалкогольный органический амнестический синдром (F04) амнезия после приступа эпилепсии (G40.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4265, 'Диссоциативная фуга', 'F44.1', 4263, 'F44', 0, 'Диссоциативная фуга имеет все черты диссоциативной амнезии в сочетании с целенаправленными передвижениями, выходящими за обычный каждодневный предел. Хотя в период фуги имеет место амнезия, посторонним наблюдателям поведение пациента в это время может казаться абсолютно нормальным. Исключено: фуга после приступа эпилепсии (G40.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4266, 'Диссоциативный ступор', 'F44.2', 4263, 'F44', 0, 'Диссоциативный ступор диагностируется на основании выраженного уменьшения или отсутствия произвольных движений и нормальных ответных реакций на внешние раздражители, такие, как свет, шум, прикосновение, однако осмотр и обследование не обнаруживают явной физической причины. Кроме того, имеет место абсолютная очевидность психогенной причины в виде недавних стрессовых событий или проблем. Исключены: органическое кататоническое расстройство (F06.1) ступор: . БДУ (R40.1) . кататонический (F20.2) . депрессивный (F31-F33) . маниакальный (F30.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4267, 'Транс и одержимость', 'F44.3', 4263, 'F44', 0, 'Расстройства, при которых имеет место временная потеря ощущения себя как личности и полная неосознанность окружающего. В эту рубрику включены только состояния транса, которые непроизвольны и нежелательны и возникают вне религиозных или культурно-приемлемых ситуаций. Исключены: состояния, связанные с: . острыми или преходящими психотическими расстройствами (F23.-) . расстройством личности органической этиологии (F07.0) . постконтузионным синдромом (F07.2) . интоксикацией, вызванной употреблением психоактивных веществ (F10-F19 с общим четвертым знаком .0) . шизофренией (F20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4268, 'Диссоциативные двигательные расстройства', 'F44.4', 4263, 'F44', 0, 'При всем разнообразии имеет место полная или частичная потеря способности двигать конечностью или конечностями. Может отмечаться тесное сходство почти с любым видом атаксии, апраксии, акинезии, афонии, дизартрии, дискинезии, припадка или паралича. Психогенная: . афония . дисфония');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4269, 'Диссоциативные конвульсии', 'F44.5', 4263, 'F44', 0, 'Диссоциативные конвульсии могут имитировать эпилептический припадок, однако прикусывание языка, кровоподтеки, связанные с падением, и непроизвольное мочеиспускание редки. Сознание сохранено либо заменено состоянием ступора или транса.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4270, 'Диссоциативная анестезия или потеря чувственного восприятия', 'F44.6', 4263, 'F44', 0, 'Области кожной анестезии часто имеют границы. Это означает, что они связаны с представлениями пациента о функциях тела, отличающимися от медицинских знаний. Может иметь место потеря различий между сенсорными модуляциями, которая необязательно обусловлена неврологическими повреждениями. Потеря чувственного восприятия может сопровождаться жалобами на парестезию. Потеря зрения и слуха при диссоциативных расстройствах редко бывает тотальной. Психогенная глухота');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4271, 'Смешанные диссоциативные [конверсионные] расстройства', 'F44.7', 4263, 'F44', 0, 'Сочетание расстройств, классифицированных в рубриках F44.0-F44.6');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4272, 'Другие диссоциативные [конверсионные] расстройства', 'F44.8', 4263, 'F44', 0, 'Синдром Ганзера Сложная личность Психогенное: . замешательство . сумеречное состояние');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4273, 'Диссоциативное [конверсионное] расстройство неуточненное', 'F44.9', 4263, 'F44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4274, 'Соматоформные расстройства', 'F45', 4237, 'F40-F48', 7, 'Главной особенностью является повторное предъявление соматической симптоматики одновременно с настойчивыми требованиями медицинских обследований, несмотря на повторные отрицательные их результаты и заверения врачей, что симптомы не имеют соматической природы. Если у больного имеются какие-либо соматические заболевания, они не объясняют природы и степени выраженности симптомов или страдания или жалоб пациента. Исключены: диссоциативные расстройства (F44.-) выдергивание волос (F98.4) детская форма речи [лепет] (F80.0) сюсюканье (F80.8) кусание ногтей (F98.8) психологические и поведенческие факторы, связанные с нарушениями или болезнями, классифицированными в других рубриках (F54) сексуальная дисфункция, не обусловленная органическими нарушениями или болезнями (F52.-) сосание пальца (F98.8) тики (в детстве и подростковом возрасте) (F95.-) синдром де ла Туретта (F95.2) трихотилломания (F63.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4275, 'Соматизированное расстройство', 'F45.0', 4274, 'F45', 0, 'Основными чертами являются многочисленные, повторные, часто меняющиеся физические симптомы, имеющие место по крайней мере в течение двух лет. Большинство пациентов имеют длительную и сложную историю контактов со службами первичной и специализированной медицинской помощи, в ходе которых могло быть выполнено множество безрезультатных исследований и бесплодных диагностических манипуляций. Симптоматика может относиться к любой части тела или системе органов. Течение расстройства хроническое и неустойчивое и часто ассоциируется с нарушением социального, межличностного и семейного поведения. Непродолжительно существующие (менее двух лет) и менее ярко выраженные примеры симптоматики должны классифицироваться как недифференцированное соматоформное расстройство (F45.1). Множественное психосоматическое расстройство Исключена: симуляция [сознательная симуляция] (Z76.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4276, 'Недифференцированное соматоформное расстройство', 'F45.1', 4274, 'F45', 0, 'Диагноз недифференцированного соматоформного расстройства следует ставить тогда, когда жалобы пациента многочисленны, вариабельны и устойчивы, но не удовлетворяют полной и типичной клинической картине соматизированного расстройства. Недифференцированное психосоматическое расстройство');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4277, 'Ипохондрическое расстройство', 'F45.2', 4274, 'F45', 0, 'Важнейшей чертой является устойчивая озабоченность пациента возможностью иметь у себя тяжелое, прогрессирующее заболевание или несколько заболеваний. Пациент предъявляет устойчивые соматические жалобы или проявляет устойчивое беспокойство по поводу их возникновения. Нормальные, обычные ощущения и признаки часто воспринимаются больным как ненормальные, беспокоящие; он сосредоточивает свое внимание обычно только на одном-двух органах или системах организма. Часто присутствуют выраженная депрессия и тревога, что может объяснить дополнительные диагнозы. Расстройство, выражающееся в озабоченности собственным здоровьем Дисморфофобия (небредовая) Ипохондрический невроз Ипохондрия Нозофобия Исключены: бредовая дисморфофобия (F22.8) бред, фиксированный на функционировании или внешнем виде собственного тела (F22.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4278, 'Соматоформная дисфункция вегетативной нервной системы', 'F45.3', 4274, 'F45', 0, 'Симптоматика, предъявляемая пациентом подобна той, которая возникает при повреждении органа или системы органов, преимущественно или полностью иннервируемых и контролируемых вегетативной нервной системой, т.е. сердечно-сосудистой, желудочно-кишечной, дыхательной и мочеполовой систем. Симптомы обычно бывают двух типов, ни один из которых не указывает на нарушение конкретного органа или системы. Первый тип симптомов - это жалобы, основанные на объективных признаках вегетативного раздражения, таких, как сердцебиение, потливость, покраснение, тремор и выражение страха и беспокойства относительно возможного нарушения здоровья. Второй тип симптомов - это субъективные жалобы неспецифического или изменчивого характера, такие, как быстротечные боли по всему телу, ощущение жара, тяжести, усталости или вздутия живота, которые пациент соотносит с каким-либо органом или системой органов. Кардинальный невроз Синдром да Косты Гастроневроз Нейроциркуляторная астения Психогенные формы: . аэрофагии . кашля . диареи . диспепсии . дизурии . метеоризма . икоты . глубокого и частого дыхания . учащенного мочеиспускания . синдрома раздраженного кишечника . пилороспазма Исключены: психологические и поведенческие факторы, связанные с нарушениями или болезнями, классифицированными в других рубриках (F54)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4279, 'Устойчивое соматоформное болевое расстройство', 'F45.4', 4274, 'F45', 0, 'Основной жалобой является устойчивая, резкая мучительная боль, которую нельзя полностью объяснить физиологическим нарушением или соматическим заболеванием и которая возникает в связи с эмоциональным конфликтом или психосоциальными проблемами, что позволяет рассматривать их как основную этиологическую причину. Результатом обычно является заметное усиление поддержки и внимания личностного или медицинского характера. Боль психогенной природы, возникающая в процессе депрессивного расстройства или шизофрении, не может быть отнесена к этой рубрике. Психалгия Психогенная: . боль в спине . головная боль Соматоформное болевое расстройство Исключены: боль в спине БДУ (M54.9) боль: . БДУ (R52.9) . острая (R52.0) . хроническая (R52.2) . неустранимая (R52.1) головная боль напряженного типа (G44.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4280, 'Другие соматоформные расстройства', 'F45.8', 4274, 'F45', 0, 'Какие-либо другие расстройства чувствительности, функций или поведения, возникающие не вследствие соматических нарушений. Расстройства, которые не опосредованы через вегетативную нервную систему, ограничены определенными системами или участками тела и имеют тесную временную связь с травмирующими событиями или проблемами. Психогенная(ый): . дисменорея . дисфагия, включая "глобус истерикус" (globus hystericus) . зуд . кривошея Скрежетание зубами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4281, 'Соматоформное расстройство неуточненное', 'F45.9', 4274, 'F45', 0, 'Психосоматическое расстройство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4282, 'Другие невротические расстройства', 'F48', 4237, 'F40-F48', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4283, 'Неврастения', 'F48.0', 4282, 'F48', 0, 'При этом расстройстве проявляется значительная, связанная с культурой вариабельность. Выделяются два основных типа расстройства, в значительной степени перекрывающих друг друга. Главной характерной чертой первого типа являются жалобы на повышенную утомляемость после умственной нагрузки, с которой часто связано некоторое снижение производственных показателей или продуктивности в повседневных делах. Умственная утомляемость описывается больным как неприятное возникновение рассеянности, ослабления памяти, невозможности сосредоточиться и неэффективности умственной деятельности. При другом типе расстройства основной упор делается на ощущение физической слабости и изнеможения даже после минимальной нагрузки, сопровождаемых ощущением мышечных болей и невозможностью расслабиться. Оба типа расстройства характеризуются рядом общих неприятных физических ощущений, таких, как головокружение, напряженная головная боль и ощущение общей нестабильности. Общими чертами являются также беспокойство по поводу снижения своих умственных и физических способностей, раздражительность, утрата способности радоваться и незначительно выраженная депрессия и тревога. Сон часто нарушен в своей начальной и средней фазе, но может также быть выраженной и сонливость. Синдром утомляемости При необходимости идентифицировать соматическое заболевание, предшествовавшее данному расстройству, используют дополнительный код. Исключены: астения БДУ (R53) состояние истощения жизненных сил (Z73.0) недомогание и утомляемость (R53) синдром утомляемости после перенесенной вирусной болезни (G93.3) психастения (F48.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4284, 'Синдром деперсонализации-дереализации', 'F48.1', 4282, 'F48', 0, 'Редкое расстройство, при котором пациент непроизвольно жалуется на то, что его умственная деятельность, тело и окружающее качественно изменены так, что представляются нереальными, удаленными или автоматизированными. Среди различных проявлений этого синдрома самое частое - это потеря эмоций и ощущение холодности или отстраненности от своих мыслей, от своего тела или реального мира. Несмотря на драматический характер переживаний, пациент осознает нереальность этих изменений. Сознание сохраняется, и не утрачивается способность выражать эмоции. Синдром деперсонализации-дереализации может быть составной частью диагностируемой шизофрении, депрессивного, фобического или обессивно-компульсивного расстройства. В этом случае диагноз ставится по основному расстройству.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4285, 'Другие уточненные невротические расстройства', 'F48.8', 4282, 'F48', 0, 'Болезнь Брике Синдром Дата Профессиональный невроз, в том числе писчий спазм Психастения Психастенический невроз Психогенный обморок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4286, 'Невротическое расстройство неуточненное', 'F48.9', 4282, 'F48', 0, 'Невроз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4288, 'ПОВЕДЕНЧЕСКИЕ СИНДРОМЫ, СВЯЗАННЫЕ С ФИЗИОЛОГИЧЕСКИМИ НАРУШЕНИЯМИ И ФИЗИЧЕСКИМИ ФАКТОРАМИ', 'F50-F59', 4001, 'F00-F99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4289, 'Расстройства приема пищи', 'F50', 4288, 'F50-F59', 8, 'Исключены: анорексия БДУ (R63.0) трудности вскармливания и введения пищи (R63.3) расстройство приема пищи в младенческом и детском возрасте (F98.2) полифагия (R63.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4290, 'Нервная анорексия', 'F50.0', 4289, 'F50', 0, 'Расстройство, характеризующееся преднамеренной потерей массы тела, вызванной и поддерживаемой пациентом. Это расстройство, как правило, чаще встречается у девочек подросткового возраста и молодых женщин, но ему могут быть подвержены юноши и молодые мужчины, а также дети, приближающиеся к пубертатному периоду, и женщины старшего возраста (вплоть до наступления менопаузы). Расстройство ассоциируется со специфической психопатологической боязнью ожирения и дряблости фигуры, которая становится назойливой идеей, и пациенты устанавливают для себя низкий предел массы тела. Как правило, имеют место различные вторичные эндокринные и обменные нарушения и функциональные расстройства. Симптоматика включает ограничение диеты, чрезмерную физическую нагрузку, прием рвотных, слабительных и мочегонных средств, а также препаратов, понижающих аппетит. Исключены: потеря аппетита (R63.0) психогенная (F50.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4291, 'Атипичная нервная анорексия', 'F50.1', 4289, 'F50', 0, 'Расстройство, отвечающее некоторым чертам нервной анорексии, но полная клиническая картина которого не позволяет поставить этот диагноз. Так, один из ключевых симптомов вышеуказанного расстройства, такой, как аменорея или выраженная боязнь ожирения, может отсутствовать при наличии заметной потери массы тела и поведения, направленного на достижение похудания. Этот диагноз не следует ставить, если имеются свидетельства наличия соматического заболевания, вызывающего потерю массы тела.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4292, 'Нервная булимия', 'F50.2', 4289, 'F50', 0, 'Синдром, характеризующийся повторными приступами переедания и выраженным беспокойством по поводу контроля за массой тела. Это приводит к выработке стиля переедания, сопровождаемого вызовом рвоты и использованием слабительных средств. Это расстройство имеет много общего с нервной анорексией, включая сверхозабоченность свой фигурой и массой тела. Повторные рвоты чреваты нарушениями электролитного баланса и соматическими осложнениями. Часто (но не всегда) в анамнезе пациента отмечается ранее имевший место эпизод нервной анорексии с колебаниями его давности от нескольких месяцев до нескольких лет. Булимия БДУ Нервная кинорексия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4293, 'Атипичная нервная булимия', 'F50.3', 4289, 'F50', 0, 'Расстройство, имеющее некоторые признаки нервной булимии, но полная клиническая картина не позволяет поставить этот диагноз. Например, могут иметь место повторные приступы переедания и чрезмерное употребление слабительных средств без значительных изменений массы тела или может отсутствовать типичная сверхозабоченность собственной фигурой и массой тела.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4294, 'Переедание, связанное с другими психологическими расстройствами', 'F50.4', 4289, 'F50', 0, 'Переедание вследствие стрессовых событий, таких, как тяжелая утрата, несчастный случай, рождение ребенка и т.д. Психогенное переедание Исключено: ожирение (E66.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4295, 'Рвота, связанная с другими психологическими расстройствами', 'F50.5', 4289, 'F50', 0, 'Повторная рвота, которая возникает при диссоциативных расстройствах (F44.-) и ипохондрическом расстройстве (F45.2) и которая не является исключительно следствием состояний, не входящих в перечень данного класса. Эта подрубрика может также использоваться как дополнение к рубрике O21.- (Чрезмерная рвота при беременности), когда эмоциональные факторы доминируют в причине повторной тошноты и рвоты у беременных. Психогенная рвота Исключены: тошнота (R11) рвота БДУ (R11)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4296, 'Другие расстройства приема пищи', 'F50.8', 4289, 'F50', 0, 'Поедание несъедобного [извращенный аппетит] у взрослых Психогенная потеря аппетита Исключено: поедание несъедобного [извращенный аппетит] у младенцев и детей (F98.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4297, 'Расстройство приема пищи неуточненное', 'F50.9', 4289, 'F50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4298, 'Расстройства сна неорганической этиологии', 'F51', 4288, 'F50-F59', 8, 'Во многих случаях нарушение сна является одним из симптомов других расстройств - психических или соматических. Являются ли нарушения сна у данного пациента самостоятельным состоянием или просто одним из симптомов другого нарушения, классифицированного в рубриках этого или любого другого класса, следует определять на основе клинической картины и течения расстройства, а также с учетом терапевтических заключений у приоритетов, установленных во время консультации. Как правило, если расстройство сна является одним из главных недугов и воспринимается как болезненное состояние само по себе, данный код следует использовать вместе с другими кодами диагнозов психопатологических и патофизиологических расстройств, имеющихся в данном случае. Эта рубрика включает только те нарушения сна, при которых ведущими этиологическими факторами являются эмоциональные причины и которые не не имеют в своей основе идентифицированных в каких-либо рубриках физических нарушений. Исключены: расстройства сна (органической этиологии) (G47.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4299, 'Бессонница неорганической этиологии', 'F51.0', 4298, 'F51', 0, 'Состояние неудовлетворительной продолжительности и/или неудовлетворительного качества сна, которое сохраняется в течение значительного отрезка времени и включает трудности засыпания, трудности оставаться в состоянии сна или раннее окончательное пробуждение. Бессонница является общим симптомом многих психических и соматических расстройств и должна классифицироваться данной подрубрикой в дополнение к основному заболеванию только в том случае, если она доминирует в клинической картине. Исключена: бессонница (органической этиологии) (G47.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4300, 'Сонливость [гиперсомния] неорганической этиологии', 'F51.1', 4298, 'F51', 0, 'Гиперсомния определяется как состояние чрезмерной сонливости и приступов сна в дневное время или как затяжной переход к состоянию полного бодрствования при пробуждении. Если в этиологии гиперсомнии отсутствует органический фактор, это состояние обычно связывают с психическим расстройством. Исключены: гиперсомния (органической этиологии) (G47.1) нарколепсия (G47.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4301, 'Расстройство режима сна и бодрствования неорганической этиологии', 'F51.2', 4298, 'F51', 0, 'Недостаток синхронности между существующим у пациента режимом сна и бодрствования и тем, какого режима сна и бодрствования требует окружающая его обстановка, результатом чего являются жалобы на бессонницу или гиперсомнию. Психогенная инверсия: . циркадного } . никтогемерального } ритма . сна } Исключены: нарушения цикличности сна и бодрствования (органической этиологии) (G47.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4302, 'Снохождение [сомнамбулизм]', 'F51.3', 4298, 'F51', 0, 'Форма измененного сознания, при которой сочетаются состояния сна и бодрствования. Во время эпизода сомнамбулизма человек встает с постели обычно в течение первой трети ночного сна и ходит, демонстрируя низкий уровень осознавания, реактивности и двигательного умения. При пробуждении он обычно не вспоминает случившееся.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4303, 'Ужасы во время сна [ночные ужасы]', 'F51.4', 4298, 'F51', 0, 'Ночные эпизоды крайнего ужаса и паники, сопровождаемые интенсивными восклицаниями, движениями и высоким уровнем вегетативных проявлений. Больной садится или вскакивает с постели обычно в течение первой трети ночного сна с паническим криком. Довольно часто он рвется к двери, как бы пытаясь убежать, хотя очень редко покидает комнату. Воспоминание о случившемся, если оно есть, очень ограничено (обычно один или два фрагмента мысленных воображений).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4304, 'Кошмары', 'F51.5', 4298, 'F51', 0, 'Переживания во сне перегружены тревогой или страхом. Больной помнит все детали содержания сна. Картины сна очень яркие и обычно включают темы, касающиеся угрозы жизни, безопасности или самооценки. Довольно часто имеет место повторение одних и тех же или подобных пугающих кошмарных сновидений. В течение типичного эпизода данного расстройства выражены вегетативные проявления, но нет заметных восклицаний или движений тела. При пробуждении человек быстро становится бодрым и ориентированным. Ночное тревожное расстройство');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4305, 'Другие расстройства сна неорганической этиологии', 'F51.8', 4298, 'F51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4306, 'Расстройство сна неорганической этиологии неуточненное', 'F51.9', 4298, 'F51', 0, 'Эмоциональное расстройство сна БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4307, 'Сексуальная дисфункция, не обусловленная органическими нарушениями или болезнями', 'F52', 4288, 'F50-F59', 10, 'Сексуальная дисфункция охватывает различные состояния, в силу которых индивид не способен вступать в сексуальную связь, как бы он того ни желал. Половая реакция является психосоматическим процессом, и обычно и психологический, и соматический процессы причастны к сексуальной дисфункции. Исключен: синдром Дата (F48.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4308, 'Отсутствие или потеря сексуального влечения', 'F52.0', 4307, 'F52', 0, 'Потеря сексуального влечения является основной проблемой, и она не вторична по отношению к другим сексуальным проблемам, таким, как недостаток эрекции или диспареуния. Фригидность Сниженное сексуальное влечение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4309, 'Отвращение к половым сношениям и отсутствие полового', 'F52.1', 4307, 'F52', 0, 'удовольствия Перспектива сексуального сношения вызывает такой страх или тревогу, что заставляет избегать полового акта (отвращение к половым сношениям), либо сексуальная реакция оказывается нормальной и испытывается оргазм, но отсутствует соответствующее приятное ощущение (отсутствие полового удовольствия). Ангедония (сексуальная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4310, 'Недостаточность генитальной реакции', 'F52.2', 4307, 'F52', 0, 'Основной проблемой для мужчин является нарушение эрекции (трудности с возникновением или поддержанием эрекции, достаточной для удовлетворительного полового сношения). У женщин главной проблемой является сухость влагалища или недостаток влагалищной смазки. Расстройство сексуального возбуждения у женщин Эрективное расстройство у мужчин Психогенная импотенция Исключена: импотенция органического происхождения (N48.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4311, 'Оргазмическая дисфункция', 'F52.3', 4307, 'F52', 0, 'Оргазм или не возникает, или значительно задерживается. Заторможенный оргазм (у мужчин) (у женщин) Психогенное отсутствие оргазма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4312, 'Преждевременная эякуляция', 'F52.4', 4307, 'F52', 0, 'Невозможность контролировать эякуляцию в той мере, которая достаточна, чтобы оба партнера получили удовлетворение от полового акта.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4313, 'Вагинизм неорганического происхождения', 'F52.5', 4307, 'F52', 0, 'Спазм мышц тазового дна, окружающих влагалище, который препятствует открытию влагалища. Введение полового члена невозможно или болезненно. Исключен: вагинизм (органический) (N94.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4314, 'Диспареуния неорганического происхождения', 'F52.6', 4307, 'F52', 0, 'Диспареуния (болевое ощущение во время полового акта) возникает и у мужчин, и у женщин. Часто диспареуния может быть связана с локальным патологическим процессом, и тогда ее следует классифицировать в соответствии с этим патологическим состоянием. Данную подрубрику следует использовать только в том случае, если отсутствует первичная неорганическая сексуальная дисфункция (например, вагинизм или сухость влагалища). Психогенная диспареуния Исключена: диспареуния (органическая) (N94.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4315, 'Повышенное половое влечение', 'F52.7', 4307, 'F52', 0, 'Нимфомания Сатириаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4316, 'Другая сексуальная дисфункция, не обусловленная органическим нарушением или болезнью', 'F52.8', 4307, 'F52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4317, 'Сексуальная дисфункция, не обусловленная органическим нарушением или болезнью, неуточненная', 'F52.9', 4307, 'F52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4318, 'Психические расстройства и расстройства поведения, связанные с послеродовым периодом, не классифицированные в других рубриках', 'F53', 4288, 'F50-F59', 4, 'Эта рубрика включает только психические расстройства, связанные с послеродовым периодом (возникшие в течение 6 недель после родов), которые не соответствуют критериям, применяемым к расстройствам, классифицированным в каких-либо других рубриках этого класса; это объясняется либо недостаточностью доступной информации, либо тем, что присутствуют дополнительные клинические проявления, что делает неуместной классификацию этих расстройств в каких-либо других рубриках.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4319, 'Легкие психические расстройства и расстройства поведения, связанные с послеродовым периодом, не классифицированные в других рубриках', 'F53.0', 4318, 'F53', 0, 'Депрессия: . постнатальная БДУ . послеродовая БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4320, 'Тяжелые психические расстройства и расстройства поведения, связанные с послеродовым периодом, не классифицированные в других рубриках', 'F53.1', 4318, 'F53', 0, 'Послеродовой психоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4321, 'Другие психические расстройства и расстройства поведения,  связанные с послеродовым периодом, не классифицированные в других рубриках', 'F53.8', 4318, 'F53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4322, 'Послеродовое психическое расстройство неуточненное', 'F53.9', 4318, 'F53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4323, 'Психологические и поведенческие факторы, связанные с нарушениями или болезнями, классифицированными в других рубриках', 'F54', 4288, 'F50-F59', 0, 'Эту рубрику следует использовать для кодирования имеющихся психологических и поведенческих факторов, рассматривающихся как основная этиологическая причина соматических расстройств, которые могут быть отнесены к другим классам болезней. Эти проистекающие психические нарушения обычно слабо выражены и часто устойчивы (например, волнение, эмоциональный конфликт, мрачные предчувствия) и сами по себе не позволяют использовать какую-либо другую рубрику этого класса. Психологические факторы, влияющие на физическое состояние Примерами использования этой рубрики могут служить: . астма F54 и J45.. дерматит F54 и L23-L25 . язва желудка F54 и K25.. слизистый колит F54 и K58.. язвенный колит F54 и K51.. крапивница F54 и L50.При необходимости идентифицировать связанное соматическое нарушение используют дополнительный код. Исключена: головная боль напряженного типа (G44.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4324, 'Злоупотребление веществами, не вызывающими зависимость', 'F55', 4288, 'F50-F59', 0, 'Может использоваться широкий спектр медикаментов и народных средств, но особую важность представляют: а) психотропные средства, не приводящие к возникновению зависимости, такие, как антидепрессанты; б) слабительные средства и в) обезболивающие средства, которые могут употребляться без назначения врача (например, аспирин и парацетамол). Постоянное использование этих препаратов часто приводит к ненужным контактам с врачами и другим медицинским персоналом и иногда сопровождается развитием побочных реакций на эти вещества. Попытки разубедить в целесообразности приема этих препаратов или запретить их употребление часто вызывают сопротивление в отношении приема слабительных и обезболивающих средств. Такое сопротивление может иметь место, несмотря на предостережение о возможности (или даже развития) побочных реакций типа почечной дисфункции или нарушений электролитного баланса. Хотя обычно очевидно6 что у пациента имеется выраженная мотивация к приему вещества, симптомы зависимости или абстиненции (классифицированные в рубриках F10-F19), как при использовании психоактивных веществ, не развиваются. Злоупотребление: . антацидными средствами . травами и средствами народной медицины . стероидными или другими гормонами . витаминами Увлечение слабительными средствами Исключено: злоупотребление психоактивными веществами (F10-F19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4325, 'Поведенческие синдромы, связанные с физиологическими нарушениями и физическими факторами, неуточненные', 'F59', 4288, 'F50-F59', 0, 'Психогенная физиологическая дисфункция БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4327, 'РАССТРОЙСТВА ЛИЧНОСТИ И ПОВЕДЕНИЯ В ЗРЕЛОМ ВОЗРАСТЕ', 'F60-F69', 4001, 'F00-F99', 9, 'Этот блок включает различные состояния и модели поведения клиничес-\nкой значимости, имеющие тенденцию к устойчивости и возникающие как\nвыражение характерного образа жизни индивида и его взаимоотношений\nс окружающими. Некоторые из этих состояний и образцов поведения по-\nявляются рано в ходе индивидуального развития как результат одновре-\nменного воздействия конституциональных факторов и социального опыта,\nв то время как другие приобретаются на более поздних этапах жизни.\nСпецифические расстройства личности (F60.-), смешанные и другие рас-\nстройства личности (F61.-), длительно сохраняющиеся изменения лич-\nности(F62.-) являются глубоко укоренившимися и длительными моделями\nповедения, проявляющимися как негибкая ответная реакция на самые\nразные личные и социальные ситуации. Такие расстройства представляют\nсобой чрезвычайные или значительные отклонения от способа, которым\nобычный человек данного уровня культуры воспринимает, мыслит, чувст-\nвует и особенно общается с окружающими. Такие модели поведения имеют\nтенденцию к устойчивости и охватывают многие области поведения и\nпсихологического функционирования. Данные расстройства часто, но не\nвсегда связаны с субъективными переживаниями различной степени и\nпроблемами социального характера.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4328, 'Специфические расстройства личности', 'F60', 4327, 'F60-F69', 10, 'В эту рубрику отнесены тяжелые расстройства личности и выраженные отклонения в поведении индивида, не являющиеся прямым следствием заболевания, повреждения или другого острого поражения головного мозга либо других психических нарушений. Обычно эти расстройства охватывают несколько сфер личности; почти всегда они тесно связаны с выраженными личными страданиями и социальным распадом. Эти расстройства обычно проявляются в детстве или подростковом возрасте и продолжаются в течение дальнейшей жизни.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4329, 'Параноидное расстройство личности', 'F60.0', 4328, 'F60', 0, 'Расстройство личности, характеризующееся чрезмерной чувствительностью к неудачам, невозможностью прощать обиды, подозрительностью и склонностью к извращению действительности путем истолкования нейтральных или дружеских действий окружающих как враждебных или пренебрежительных. Наблюдаются повторные необоснованные подозрения супруга или сексуального партнера в неверности, воинствующее и упорное сознание собственной правоты. Такие лица склонны к преувеличенной самооценке; часто имеет место преувеличенное самомнение. Личность (расстройство): . экспансивно-параноидная . фанатичная . кверулянтная . параноидная . обидчиво параноидная Исключены: паранойя (F22.0) . кверулянтная (F22.8) параноидный(ая)(ое): . психоз (F22.0) . шизофрения (F20.0) . состояние (F22.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4330, 'Шизоидное расстройство личности', 'F60.1', 4328, 'F60', 0, 'Расстройство личности, характеризующееся слабостью привязанностей, социальных и других контактов, склонностью к фантазиям, отшельничеству и самоанализу. Имеет место ограниченная способность выражать чувства и испытывать удовольствие. Исключены: синдром Аспергера (F84.5) бредовое расстройство (F22.0) шизоидное расстройство в детском возрасте (F84.5) шизофрения (F20.-) шизотипическое расстройство (F21)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4331, 'Диссоциальное расстройство личности', 'F60.2', 4328, 'F60', 0, 'Расстройство личности, характеризующееся пренебрежением к социальным обязанностям и черствым равнодушием к окружающим. Наблюдается значительное несоответствие между поведением больного и основными социальными нормами. Поведение с трудом поддается изменению на основе опыта, включая наказание. Больные плохо переносят неудачи и легко поддаются агрессии, включая насилие. Они склонны обвинять других или давать правдоподобные объяснения своему поведению, приводящему их к конфликту с обществом. Личность (расстройство): . аморальная . антисоциальная . асоциальная . психопатическая . социопатическая Исключены: расстройства поведения (F91.-) эмоционально неустойчивое расстройство личности (F60.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4332, 'Эмоционально неустойчивое расстройство личности', 'F60.3', 4328, 'F60', 0, 'Расстройство личности, характеризующееся определенной склонностью к импульсивным действиям без учета последствий. Настроение непредсказуемо и капризно. Имеются склонность к вспышкам эмоций и неспособность контролировать взрывчатое поведение. Отмечаются сварливость и конфликтность с окружающими, особенно тогда, когда импульсивные поступки пресекаются и критикуются. Можно выделить два типа расстройства: импульсивный тип, характеризующийся преимущественно эмоциональной нестабильностью и недостатком эмоционального контроля, и пограничный тип, для которого дополнительно характерны расстройство самовосприятия, целей и внутренних устремлений, хроническое ощущение пустоты, напряженные и нестабильные межличностные отношения и тенденция к саморазрушающему поведению, включая суицидальные жесты и попытки. Личность (расстройство): . агрессивная . пограничная . возбудимая Исключено: диссоциальное расстройство личности (F60.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4333, 'Истерическое расстройство личности', 'F60.4', 4328, 'F60', 0, 'Расстройство личности, характеризующееся поверхностной и неустойчивой возбудимостью, склонностью к драматизированию, театральности, а также к преувеличенному выражению эмоций, внушаемостью, эгоцентризмом, потаканием своим желаниям, отсутствием внимания к окружающим, легко ранимыми ощущениями и постоянным желанием иметь успех и внимание. Личность (расстройство): . истерическая . психоинфантильная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4334, 'Ананкастное расстройство личности', 'F60.5', 4328, 'F60', 0, 'Расстройство личности, характеризующееся чувством неуверенности в себе, чрезмерной щепетильностью, сдержанностью и озабоченностью деталями, упрямством, осторожностью и непреклонностью. Могут присутствовать настойчивые или непрошенные мысли или действия, которые не достигают тяжести обессивно-компульсивного расстройства. Личность (расстройство): . компульсивная . обессивная . обессивно-компульсивная Исключено: обсессивно-компульсивное расстройство (F42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4335, 'Тревожное (уклоняющееся) расстройство личности', 'F60.6', 4328, 'F60', 0, 'Расстройство личности, характеризующееся ощущением внутренней напряженности, наличием мрачных предчувствий, отсутствием ощущения безопасности и комплексом неполноценности. Выражены постоянное сильное желание нравиться и быть признанным, сверхчувствительная реакция на отказы и критику наряду с ограничением личных привязанностей, тенденцией к избеганию некоторых действий путем привычного преувеличения потенциальных опасностей и риска в обыденных ситуациях.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4336, 'Расстройство типа зависимой личности', 'F60.7', 4328, 'F60', 0, 'Расстройство личности, характеризующееся глубоким пассивным подчинением окружающим людям в принятии больших и малых жизненных решений, выраженным страхом перед одиночеством, ощущением беспомощности и некомпетентности, пассивным согласием с желанием старших и окружающих и слабой реакцией на требования повседневной жизни. Отсутствие активности может выражаться в интеллектуальной и эмоциональной сферах; часто выражена тенденция к перекладыванию ответственности на других. Личность (расстройство): . астеническая . неадекватная . пассивная . самоподавляющая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4337, 'Другие специфические расстройства личности', 'F60.8', 4328, 'F60', 0, 'Личность (расстройство): . эксцентричная . расторможенная ("безудержная") . незрелая . самовлюбленная (нарциссическая) . пассивно-агрессивная . психоневротическая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4338, 'Расстройство личности неуточненное', 'F60.9', 4328, 'F60', 0, 'Невроз характера БДУ Патологическая личность БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4339, 'Смешанные и другие расстройства личности', 'F61', 4327, 'F60-F69', 0, 'Эта рубрика предназначена для расстройств личности, которые часто причиняют беспокойство, но не проявляют специфической картины симптомов, характеризующих расстройства, классифицированные в рубрике F60.-, поэтому нередко их труднее диагностировать, чем расстройства, кодируемые в рубрике F60.-. Примерами являются: . смешанные расстройства личности с чертами некоторых расстройств, классифицированных в рубрике F60.-, но без доминирующего комплекса симптомов, позволяющего поставить более специфичный диагноз; . причиняющие беспокойство изменения личности, не классифицированные в рубриках F60.- или F62.- и рассматривающиеся как вторичные по отношению к основному диагнозу имеющегося аффективного или тревожного расстройства. Исключены: акцентуированные личностные черты (Z73.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4340, 'Стойкие изменения личности, не связанные с повреждением или болезнью головного мозга', 'F62', 4327, 'F60-F69', 4, 'Расстройства личности и поведения в зрелом возрасте, которые возникли у человека, не имевшего в прошлом расстройств личности, пережившего катастрофу или чрезмерно длительный стресс, или перенесшего тяжелое психическое заболевание. Диагнозы этой рубрики следует ставить только тогда, когда очевидно наличие определенных и продолжительных изменений в личной модели восприятия, отношения и мыслей относительно окружающей обстановки и лично себя. Изменение личности должно быть значительным и должно ассоциироваться с негибким, не соответствующим нормам поведением, не отмечавшимся ранее. Изменение не должно быть непосредственным проявлением имеющегося другого психического расстройства или остаточным симптомом какого-либо предшествующего психического заболевания. Исключено: расстройство личности и поведения, обусловленное болезнью, повреждением или дисфункцией головного мозга (F07.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4341, 'Стойкое изменение личности после переживания катастрофы', 'F62.0', 4340, 'F62', 0, 'Длительно сохраняющееся (по крайней мере два года) изменение личности, вызванное действием катастрофического стресса. Стресс может быть таким экстремальным, что нет необходимости принимать во внимание индивидуальную ранимость для того, чтобы объяснить глубину его воздействия на личность. Психическое расстройство характеризуется враждебным или подозрительным отношением к окружающему, социальной самоизоляцией, чувством пустоты и безысходности, стойким ощущением "пребывания на грани", как это отмечается в случае постоянных угроз, и отчужденностью. Этому типу изменения личности может предшествовать расстройство, вызванное травматическим стрессом (F43.1). Изменение личности после: . пребывания в концентрационном лагере . бедствия . длительного: . плена с угрозой быть убитым . нахождения в ситуации, угрожающей жизни, типа быть жертвой терроризма . пыток Исключено: посттравматическое стрессовое расстройство (F43.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4342, 'Стойкое изменение личности после психического заболевания', 'F62.1', 4340, 'F62', 0, 'Изменение личности, сохраняющееся по крайней мере два года, которое вызвано травмирующим влиянием страдания от тяжелой психической болезни. Изменение не может быть объяснено предшествующим расстройством личности. Его следует дифференцировать от остаточных проявлений шизофрении и других состояний неполного выздоровления после предшествующей психической болезни. Это расстройство характеризуется чрезмерной зависимостью и нуждаемостью в других. Убежденность человека в том, что болезнь изменила его и оставила на нем свое клеймо, приводит к неспособности формировать и поддерживать тесные доверительные межличностные отношения и ведет к социальной изоляции. Наблюдается пассивность, ограниченность интересов и слабая вовлекаемость в активное проведение досуга. Устойчивы жалобы на плохое самочувствие, которые могут быть связаны с ипохондрическими претензиями и болезненным поведением. Отмечается пониженное или неустойчивое настроение, не являющееся следствием текущего психического расстройства или предшествующей психической болезни с остаточными аффективными симптомами, а также давнишние проблемы социального и профессионального функционирования.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4343, 'Другие стойкие изменения личности', 'F62.8', 4340, 'F62', 0, 'Хронический болевой личностный синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4344, 'Стойкое изменение личности неуточненное', 'F62.9', 4340, 'F62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4345, 'Расстройства привычек и влечений', 'F63', 4327, 'F60-F69', 6, 'Эта рубрика включает некоторые расстройства поведения, которые не классифицируются в других рубриках. Эти расстройства характеризуются повторными действиями, которые не имеют ясно выраженной рациональной мотивации, не могут контролироваться и обычно наносят вред самому больному и окружающим. Пациент говорит, что его поведение связано с влечением к действию. Причина этих расстройств не установлена, и они сгруппированы вместе на основе ярко выраженной тождественности в их описании, а не из-за наличия у них каких-либо известных других важных общих особенностей. Исключены: привычное чрезмерное употребление алкоголя или психоактивных веществ (F10-F19) расстройство влечений и привычек, затрагивающих сексуальное поведение (F65.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4346, 'Патологическое влечение к азартным играм', 'F63.0', 4345, 'F63', 0, 'Суть расстройства заключается в частых повторных эпизодах азартной игры, которые доминируют в жизни пациента в ущерб социальным, профессиональным, материальным и семейным ценностям и обязательствам. Навязчивое влечение к азартным играм Исключены: пристрастие к азартным играм лиц с маниакальным эпизодом (F30.-) склонность к азартным играм и пари БДУ (Z72.6) склонность к азартным играм при диссоциальном расстройстве личности (F60.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4347, 'Патологическое влечение к поджогам [пиромания]', 'F63.1', 4345, 'F63', 0, 'Расстройство, характеризующееся многочисленными актами поджогов имущества или других объектов или попытками поджогов, которые совершаются без какой-либо явной мотивации, а также увлеченностью всем, что связано с огнем и горением. Такое поведение часто связано с ощущением возрастающего напряжения перед этим действием и сильным возбуждением сразу же после него. Исключены: поджог (совершенный): . взрослым человеком с диссоциальным расстройством личности (F60.2) . как повод для наблюдения за лицом с подозрением на психическое расстройство (Z03.2) при: . интоксикации алкоголем или психоактивным веществом (F10-F19 с общим четвертым знаком .0) . расстройствах поведения (F91.-) . органических психических расстройствах (F00-F09) . шизофрении (F20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4348, 'Патологическое влечение к воровству [клептомания]', 'F63.2', 4345, 'F63', 0, 'Расстройство, характеризующееся повторными безуспешными попытками человека противостоять желанию украсть какой-либо предмет, не являющийся для него необходимым или представляющим денежную ценность. Украденные предметы, напротив, могут быть испорчены, отданы задаром или припрятаны. Такое поведение обычно сопровождается возрастающим чувством напряжения до совершения кражи и ощущением удовлетворения в процессе кражи или сразу же после нее. Исключены: депрессивное расстройство с воровством (F31-F33) органические психические расстройства (F00-F09) ограбление магазина как повод для наблюдения за лицом с подозрением на психическое расстройство (Z03.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4349, 'Трихотилломания', 'F63.3', 4345, 'F63', 0, 'Расстройство, характеризующееся заметной потерей волос вследствие повторных безуспешных попыток подавить желание их выдергивать. Выдергиванию волос обычно предшествует растущее напряжение, а акт выдергивания сопровождается расслаблением и чувством удовлетворения. Этот диагноз не следует ставить, если имеется ранее существовавшее воспаление кожи или если выдергивание волос является реакцией на бред или галлюцинацию. Исключено: стереотипное двигательное расстройство с выдергиванием волос (F98.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4350, 'Другие расстройства привычек и влечений', 'F63.8', 4345, 'F63', 0, 'Другие формы постоянно повторяющегося неадекватного поведения, которые не являются вторичными по отношению к диагностированному психическому синдрому и при которых очевидно, что пациент производит повторяющиеся безуспешные попытки подавить влечение к такому поведению. Человек испытывает продромальный период напряжения, затем возникает ощущение облегчения в процессе этого действия. Перемежающееся расстройство взрывного характера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4351, 'Расстройство привычек и влечений неуточненное', 'F63.9', 4345, 'F63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4352, 'Расстройства половой идентификации', 'F64', 4327, 'F60-F69', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4353, 'Транссексуализм', 'F64.0', 4352, 'F64', 0, 'Желание жить и восприниматься окружающими как лицо противоположного пола, обычно сопровождаемое ощущением дискомфорта от своего анатомического пола или чувством неуместности своей половой принадлежности. Желание подвергнуться хирургическому вмешательству или получить гормональное лечение с тем, чтобы достичь, насколько это возможно, соответствия предпочитаемому полу.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4354, 'Трансвестизм двойной роли', 'F64.1', 4352, 'F64', 0, 'Периодическое ношение одежды противоположного пола для того, чтобы насладиться временным участием в жизни противоположного пола, но без какого-либо желания изменить свой пол, в том числе и хирургическим путем, и без полового возбуждения, сопровождающего переодевание. Расстройство половой идентификации в юности или зрелом возрасте не транссексуального типа Исключен: фетишистский трансвестизм (F65.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4355, 'Расстройство половой идентификации в детском возрасте', 'F64.2', 4352, 'F64', 0, 'Расстройство, первоначально обычно проявляющееся в раннем детстве (и всегда задолго до пубертатного периода) и характеризующееся устойчивым и сильным страданием по поводу своего пола одновременно с сильным желанием быть лицом другого пола или настойчивым требованием признать его таковым. имеются постоянная озабоченность одеждой и занятиями лиц другого пола и отказ от особенностей своего пола. Этот диагноз должен ставиться лишь при глубоком нарушении половой идентификации, наличие черт сорванца у девочки или девичьих черт у мальчика недостаточно для его постановки. Расстройство половой идентификации у лиц, достигших половой зрелости или входящих в пубертатный период, следует классифицировать не этой рубрикой, а рубрикой F66.-. Исключены: эгодистоническая половая ориентация (F66.1) расстройство сексуальной сформированности (F66.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4356, 'Другое расстройство половой идентификации', 'F64.8', 4352, 'F64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4357, 'Расстройство половой идентификации неуточненное', 'F64.9', 4352, 'F64', 0, 'Отклонение от поведения, свойственного данному полу БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4358, 'Расстройства сексуального предпочтения', 'F65', 4327, 'F60-F69', 9, 'Включены: парафилии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4359, 'Фетишизм', 'F65.0', 4358, 'F65', 0, 'Ориентированность на некоторые неживые объекты как стимуляторы полового возбуждения и полового удовлетворения. Многие фетиши являются дополнениями к человеческому телу (например, предметы одежды или обуви). Другими распространенными примерами фетишей являются некоторые специфические материалы (например, резина, пластик или кожа). Фетишные объекты варьируются в своей значимости для индивида. Иногда они просто способствуют усилению сексуального возбуждения, достигаемого обычным способом (например, одевание партнера в специфическую одежду).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4360, 'Фетишистский трансвестизм', 'F65.1', 4358, 'F65', 0, 'Надевание одежды противоположного пола главным образом для того, чтобы добиться сексуального возбуждения и вызвать образ индивида противоположного пола. Фетишистский трансвестизм отличается от транссексуального трансвестизма своей ясно выраженной связью с сексуальным возбуждением и сильным желанием освободиться от одежды при наступлении оргазма и последующего сексуального расслабления. Расстройство может оказываться ранней стадией развития транссексуализма. Трансвестистский фетишизм');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4361, 'Эсгибиционизм', 'F65.2', 4358, 'F65', 0, 'Повторная или устойчивая тенденция показывать свои половые органы посторонним лицам (обычно противоположного пола) или людям в общественных местах без намерения вступить в близкий контакт. Обычно, но не всегда отмечается сексуальное возбуждение в момент показа половых органов, и этот акт чаще всего сопровождается мастурбацией.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4362, 'Вуайеризм', 'F65.3', 4358, 'F65', 0, 'Повторная или устойчивая тенденция подсматривать за людьми в момент совершения ими сексуальных или интимных действий, таких, как раздевание. Это производится втайне от человека, за которым наблюдают, и обычно ведет к сексуальному возбуждению и мастурбации.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4363, 'Педофилия', 'F65.4', 4358, 'F65', 0, 'Сексуальная тяга к детям (мальчикам, девочкам или к тем и другим), обычно препубертатного или раннего пубертатного возраста.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4364, 'Садомазохизм', 'F65.5', 4358, 'F65', 0, 'Сексуальная тяга к действиям, которые связаны с причинением боли или вызыванием унижения и зависимости. Если индивид предпочитает быть объектом такой стимуляции, речь идет о мазохизме, если исполнителем ее, то о садизме. Часто индивид достигает сексуального возбуждения и от садистских, и от мазохистских действий. Мазохизм Садизм');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4365, 'Множественные расстройства сексуального предпочтения', 'F65.6', 4358, 'F65', 0, 'Иногда у одного пациента имеет место несколько сексуальных извращений, и их трудно ранжировать. Наиболее частой комбинацией является фетишизм, трансвестизм и садомазохизм.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4366, 'Другие расстройства сексуального предпочтения', 'F65.8', 4358, 'F65', 0, 'Разнообразие других форм извращенных сексуальных влечений и действий, включая осуществление "грязных" телефонных звонков; стремление притиснуться к человеку в переполненных толпой общественных местах с тем, чтобы вызвать половое возбуждение; сексуальные действия с животными; использование удушения или аноксии для увеличения сексуального возбуждения. Фроттаризм [фроттаж] Некрофилия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4367, 'Расстройство сексуального предпочтения неуточненное', 'F65.9', 4358, 'F65', 0, 'Сексуальная девиация БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4368, 'Психологические и поведенческие расстройства, связанные с половым развитием и ориентацией', 'F66', 4327, 'F60-F69', 5, 'Примечание. Сама по себе сексуальная ориентация не рассматривается как расстройство.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4369, 'Расстройство сексуального созревания', 'F66.0', 4368, 'F66', 0, 'Пациент страдает от неопределенности своей половой принадлежности или сексуальной ориентации, и это является причиной тревоги и депрессии. Чаще всего это расстройство возникает у подростков, которые не уверены, являются ли они в своей ориентации гомосексуалами, гетеросексуалами или бисексуалами, либо у индивидов, которые после периода явно стабильной сексуальной ориентации (часто в период длительных связей) обнаруживают, что их сексуальная ориентация изменяется.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4370, 'Эгодистоническая половая ориентация', 'F66.1', 4368, 'F66', 0, 'Половая принадлежность и сексуальное влечение (гетеросексуальное, гомосексуальное, бисексуальное или препубертатное) не вызывают сомнений, но индивид желает это изменить в связи с присоединившимися психологическими нарушениями и расстройствами поведения и может добиваться лечения для такого изменения.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4371, 'Расстройство сексуальных отношений', 'F66.2', 4368, 'F66', 0, 'Половая принадлежность или сексуальная ориентация (гетеросексуальная, гомосексуальная или бисексуальная) являются причиной трудностей в формировании и поддержании связи с сексуальным партнером.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4372, 'Другие расстройства психосексуального развития', 'F66.8', 4368, 'F66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4373, 'Расстройство психосексуального развития неуточненное', 'F66.9', 4368, 'F66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4374, 'Другие расстройства личности и поведения в зрелом возрасте', 'F68', 4327, 'F60-F69', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4375, 'Преувеличение соматической симптоматики по психологическим причинам', 'F68.0', 4374, 'F68', 0, 'Соматические симптомы, которые соответствуют и вызваны подтвержденным физическим нарушением, болезнью или снижением физических возможностей, становятся преувеличенными или затяжными вследствие психологического состояния пациента. Пациент обычно страдает от боли или снижения дееспособности и часто полностью поглощен своей тревогой (которая может быть оправданной) о возможности продолжения или прогрессирования боли и снижения дееспособности. Компенсационный невроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4376, 'Умышленное вызывание или симулирование симптомов или инвалидности физического или психологического характера [поддельное нарушение]', 'F68.1', 4374, 'F68', 0, 'Пациент симулирует симптомы неоднократно по не вполне понятной причине и может даже нанести себе вред, чтобы вызвать признаки нарушений. Мотивация является неясной и внутренне, по-видимому, оправдана с целью взятия на себя роли больного. Расстройство часто сочетается с заметными расстройствами личности и взаимоотношений. Синдром "госпитальной блохи" Синдром Мюнхгаузена Кочующий пациент Исключено: искусственный [артифициальный] дерматит (L98.1) личность, симулирующая болезнь (с очевидной мотивацией) (Z76.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4377, 'Другие уточненные расстройства личности и поведения в зрелом возрасте', 'F68.8', 4374, 'F68', 0, 'Нарушение характера БДУ Расстройство взаимоотношений БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4378, 'Расстройство личности и поведения в зрелом возрасте неуточненное', 'F69', 4327, 'F60-F69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4380, 'УМСТВЕННАЯ ОТСТАЛОСТЬ', 'F70-F79', 4001, 'F00-F99', 6, 'Состояние задержанного или неполного умственного развития, которое\nхарактеризуется прежде всего снижением навыков, возникающих в про-\nцессе развития, и навыков, которые определяют общий уровень интел-\nлекта (т.е. познавательных способностей, языка, моторики, социаль-\nной дееспособности). Умственная отсталость может возникнуть на фо-\nне другого психического или физического нарушения либо без него.\nСтепень умственной отсталости обычно оценивается стандартизованны-\nми тестами, определяющими состояние пациента. Они могут быть до-\nполнены шкалами, оценивающими социальную адаптацию в данной окру-\nжающей обстановке. Эти методики обеспечивают ориентировочное опре-\nделение степени умственной отсталости. Диагноз будет также зави-\nсеть от общей оценки интеллектуального функционирования по выяв-\nленному уровню навыков.\nИнтеллектуальные способности и социальная адаптация со временем\nмогут измениться, однако достаточно слабо. Это улучшение может\nявиться результатом тренировки и реабилитации. Диагноз должен ба-\nзироваться на достигнутом на настоящий момент уровне умственной\nдеятельности.\nДля идентифицикации степени умственной недостаточности рубрики\nF70-F79 употребляются со следующим четвертым знаком:\nПри необходимости идентифицировать состояния, связанные с умственной\nотсталостью, такие, как аутизм, другие нарушения развития, эпилеп-\nсия, расстройства поведения или тяжелый физический недостаток, ис-\nпользуют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4381, 'Умственная отсталость легкой степени', 'F70', 4380, 'F70-F79', 4, 'Ориентировочный IQ составляет 50-69 (в зрелом возрасте умственное развитие соответствует развитию в возрасте 9-12 лет). Вероятны некоторые трудности обучения в школе. Многие взрослые будут в состоянии работать, поддерживать нормальные социальные отношения и вносить вклад в общество. Включены: слабоумие');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4382, 'С указанием на отсутствие или слабую выраженность нарушения поведения', 'F70.0', 4381, 'F70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4383, 'Значительное нарушение поведения, требующее ухода и лечения', 'F70.1', 4381, 'F70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4384, 'Другие нарушения поведения', 'F70.8', 4381, 'F70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4385, 'Без указаний на нарушение поведения', 'F70.9', 4381, 'F70', 0, 'слабо выраженная умственная субнормальность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4386, 'Умственная отсталость умеренная', 'F71', 4380, 'F70-F79', 4, 'Ориентировочный IQ колеблется от 35 до 49 (в зрелом возрасте умственное развитие соответствует развитию в возрасте 6-9 лет). Вероятно заметное отставание в развитии с детства, но большинство может обучаться и достичь определенной степени независимости в самообслуживании, приобрести адекватные коммуникационные и учебные навыки. Взрослые будут нуждаться в разных видах поддержки в быту и на работе. Включена: умственная субнормальность средней тяжести');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4387, 'С указанием на отсутствие или слабую выраженность нарушения поведения', 'F71.0', 4386, 'F71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4388, 'Значительное нарушение поведения, требующее ухода и лечения', 'F71.1', 4386, 'F71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4389, 'Другие нарушения поведения', 'F71.8', 4386, 'F71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4390, 'Без указаний на нарушение поведения', 'F71.9', 4386, 'F71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4391, 'Умственная отсталость тяжелая', 'F72', 4380, 'F70-F79', 4, 'Ориентировочный IQ колеблется от 20 до 34 (в зрелом возрасте умственное развитие соответствует развитию в возрасте 3-6 лет). Вероятна необходимость постоянной поддержки. Включена: резко выраженная умственная субнормальность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4392, 'С указанием на отсутствие или слабую выраженность нарушения поведения', 'F72.0', 4391, 'F72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4393, 'Значительное нарушение поведения, требующее ухода и лечения', 'F72.1', 4391, 'F72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4394, 'Другие нарушения поведения', 'F72.8', 4391, 'F72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4395, 'Без указаний на нарушение поведения', 'F72.9', 4391, 'F72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4396, 'Умственная отсталость глубокая', 'F73', 4380, 'F70-F79', 4, 'Ориентировочный IQ ниже 20 (в зрелом возрасте умственное развитие ниже развития в трехлетнем возрасте). Результатом является тяжелое ограничение самообслуживания, коммуникабельности и подвижности, а также повышенная сексуальность. Включена: глубокая умственная субнормальность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4397, 'С указанием на отсутствие или слабую выраженность нарушения поведения', 'F73.0', 4396, 'F73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4398, 'Значительное нарушение поведения, требующее ухода и лечения', 'F73.1', 4396, 'F73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4399, 'Другие нарушения поведения', 'F73.8', 4396, 'F73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4400, 'Без указаний на нарушение поведения', 'F73.9', 4396, 'F73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4401, 'Другие формы умственной отсталости', 'F78', 4380, 'F70-F79', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4402, 'С указанием на отсутствие или слабую выраженность нарушения поведения', 'F78.0', 4401, 'F78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4403, 'Значительное нарушение поведения, требующее ухода и лечения', 'F78.1', 4401, 'F78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4404, 'Другие нарушения поведения', 'F78.8', 4401, 'F78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4405, 'Без указаний на нарушение поведения', 'F78.9', 4401, 'F78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4406, 'Умственная отсталость неуточненная', 'F79', 4380, 'F70-F79', 4, 'Включены: умственная: . недостаточность БДУ . субнормальность БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4407, 'С указанием на отсутствие или слабую выраженность нарушения поведения', 'F79.0', 4406, 'F79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4408, 'Значительное нарушение поведения, требующее ухода и лечения', 'F79.1', 4406, 'F79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4409, 'Другие нарушения поведения', 'F79.8', 4406, 'F79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4410, 'Без указаний на нарушение поведения', 'F79.9', 4406, 'F79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4412, 'НАРУШЕНИЯ ПСИХОЛОГИЧЕСКОГО РАЗВИТИЯ', 'F80-F89', 4001, 'F00-F99', 7, 'Расстройства, включенные в этот блок, имеют общие черты: а) начало\nобязательно в младенческом или детском возрасте; б) нарушение или\nзадержка развития функций, тесно связанных с биологическим созрева-\nнием центральной нервной системы; в) устойчивое течение без ремис-\nсий и рецидивов. В большинстве случаев страдают речь, зрительно-про-\nстранственные навыки и двигательная координация. Обычно задержка или\nнарушение, проявившиеся настолько рано, насколько возможно было их\nдостоверно обнаружить, будут прогрессивно уменьшаться по мере взрос-\nления ребенка, хотя более легкая недостаточность часто сохраняется\nи в зрелом возрасте.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4413, 'Специфические расстройства развития речи и языка', 'F80', 4412, 'F80-F89', 6, 'Расстройства, при которых нормальный характер приобретения языковых навыков страдает уже на ранних стадиях развития. Эти состояния непосредственно не соотносятся с нарушениями неврологических или речевых механизмов, сенсорной недостаточностью, умственной отсталостью или факторами окружающей среды. Специфические расстройства развития речи и языка часто сопровождаются смежными проблемами, такими, как трудности при чтении, правописании и произношении слов, нарушения межличностных отношений, эмоциональные и поведенческие расстройства.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4414, 'Специфическое расстройство речевой артикуляции', 'F80.0', 4413, 'F80', 0, 'Специфическое расстройство, связанное с развитием, при котором употребление ребенком речевых звуков находится на уровне более низком, чем это соответствует его возрасту, но при котором уровень языковых навыков нормален. Связанное с развитием: . физиологическое расстройство . расстройство речевой артикуляции Дислалия [косноязычие] Функциональное расстройство речевой артикуляции Лепет [детская форма речи] Исключены: недостаточность речевой артикуляции: . афазия БДУ (R47.0) . апраксия (R48.2) вследствие: . потери слуха (H90-H91) . умственной отсталости (F70-F79) . в сочетании со связанным с развитием расстройством языка: . экспрессивного типа (F80.1) . рецептивного типа (F80.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4415, 'Расстройство экспрессивной речи', 'F80.1', 4413, 'F80', 0, 'Специфическое расстройство, связанное с развитием, при котором способность ребенка использовать разговорный язык находится на уровне, значительно более низком, чем соответствующий его возрасту, но при котором понимание языка не выходит за пределы возрастной нормы; аномалии артикуляции при этом могут быть не всегда. Связанная с развитием дисфазия или афазия экспрессивного типа Исключены: приобретенная афазия с эпилепсией [Ландау-Клефнера] (F80.3) связанная с развитием дисфазия или афазия рецептивного типа (F80.2) дисфазия и афазия БДУ (R47.0) элективный мутизм (F94.0) умственная отсталость (F70-F79) первазивные нарушения, связанные с развитием (F84.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4416, 'Расстройство рецептивной речи', 'F80.2', 4413, 'F80', 0, 'Связанное с развитием специфическое расстройство, при котором понимание ребенком языка находится на более низком уровне, чем соответствующий его возрасту. При этом заметно страдают все стороны использования языка и имеются отклонения в произношении звуков. Врожденная неспособность слухового восприятия Связанная с развитием: . дисфазия или афазия рецептивного типа . афазия Вернике Невосприятие слов Исключены: приобретенная афазия при эпилепсии [ЛандауКлефнера] (F80.3) аутизм (F84.0-F84.1) дисфазия и афазия: . БДУ (R47.0) . экспрессивного типа (F80.1) элективный мутизм (F94.0) языковая задержка вследствие глухоты (H90-H91) умственная отсталость (F70-F79)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4417, 'Приобретенная афазия с эпилепсией [Ландау-Клефнера]', 'F80.3', 4413, 'F80', 0, 'Расстройство, при котором ребенок, имевший ранее нормальный ход речевого развития, теряет рецептивные и экспрессивные языковые навыки, но сохраняет общий интеллект. Начало расстройства сопровождается пароксизмальными изменениями на ЭЭГ и в большинстве случаев эпилептическими припадками. Начало расстройства приходится обычно на интервал между тремя и семью годами жизни, причем потеря навыков происходит через несколько дней или недель. Временная связь между началом припадков и потерей языковых навыков вариабельна с предшествованием одного другому (или цикличностью) от нескольких месяцев до двух лет. Как возможная причина этого расстройства предполагается воспалительный процесс в головном мозге. Примерно две трети случаев характеризуются сохранением более или менее тяжелых недостатков восприятия языка. Исключены: афазия: . БДУ (R47.0) . при аутизме (F84.0-F84.1) . вследствие дезинтегративных расстройств детского возраста (F84.2-F84.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4418, 'Другие расстройства развития речи и языка', 'F80.8', 4413, 'F80', 0, 'Сюсюканье');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4419, 'Расстройства развития речи и языка неуточненные', 'F80.9', 4413, 'F80', 0, 'Речевое расстройство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4420, 'Специфические расстройства развития учебных навыков', 'F81', 4412, 'F80-F89', 6, 'Расстройства, при которых нормальные показатели приобретения учебных навыков нарушены, начиная с ранних стадий развития. Такое нарушение не является просто следствием отсутствия возможности обучаться или исключительно результатом умственной отсталости и не обусловлено полученной травмой или перенесенной болезнью головного мозга.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4421, 'Специфическое расстройство чтения', 'F81.0', 4420, 'F81', 0, 'Основной чертой этого расстройства является специфическая, значительно выраженная недостаточность развития навыков чтения, что не может быть объяснено исключительно уровнем интеллекта, наличием проблем, связанных с остротой зрения или неадекватным обучением в школе. Затронутыми могут быть навыки чтения и узнавания читаемого слова, речевой навык чтения и выполнения задач, требующихся при чтении. С этим расстройством обычно сочетаются трудности правописания, которые часто сохраняются и в подростковом возрасте, даже если имеется определенный прогресс в чтении. В анамнезе лиц со специфическим, связанным с развитием расстройством чтения обычно имеют место расстройства освоения навыков речи или языковой лексики. Обычным является возникновение эмоциональных срывов и нарушений поведения в период обучения в школе. "Отсталое чтение" Дислексия развития Специфическое отставание в чтении Исключены: алексия БДУ (R48.0) дислексия БДУ (R48.0) трудности чтения вторичного характера у лиц с эмоциональными расстройствами (F93.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4422, 'Специфическое расстройство спеллингования', 'F81.1', 4420, 'F81', 0, 'Расстройство, основной чертой которого является специфическая, значительно выраженная недостаточность развития навыков спеллингования при отсутствии в анамнезе специфического расстройства чтения. Оно не может быть объяснено низким уровнем интеллекта, наличием проблем, касающихся остроты зрения или неадекватным обучением в школе. Расстройство касается как умения правильно произнести слово по буквам, так и написать его грамотно. Специфическая задержка овладения навыком спеллингования (без расстройства чтения) Исключены: аграфия БДУ (R48.8) трудности спеллингования: . связанные с расстройством чтения (F81.0) . вследствие неадекватного обучения (Z55.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4423, 'Специфическое расстройство арифметических навыков', 'F81.2', 4420, 'F81', 0, 'Расстройство включает в себя специфическую недостаточность навыков счета, которая не может быть объяснена умственной отсталостью или неадекватным обучением в школе. Недостаточность касается прежде всего умения производить основные арифметические действия сложения, вычитания, умножения, деления, а не только таких более абстрактных математических действий, какие необходимы в алгебре, тригонометрии, геометрии или при вычислениях. Связанная(ое)(ый): с развитием: . акалькулия . нарушение счета . синдром Герстмана Исключены: акалькулия БДУ (R48.8) трудности счета: . связанные с расстройством чтения или спеллингования (F81.3) . вследствие неадекватного обучения в школе (Z55.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4424, 'Смешанное расстройство учебных навыков', 'F81.3', 4420, 'F81', 0, 'Плохо очерченная оставшаяся группа расстройств, при которых имеет место значительная недостаточность как арифметических навыков, так и навыков чтения и правописания, которая не может быть объяснена исключительно умственной отсталостью или неадекватным обучением в школе. Эту рубрику следует использовать для расстройств, одновременно отвечающих критериям подрубрик F81.2 и F81.0 либо F81.1. Исключены: специфическое: . расстройство арифметических навыков (F81.2) . расстройство чтения (F81.0) . расстройство спеллингования (F81.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4425, 'Другие расстройства развития учебных навыков', 'F81.8', 4420, 'F81', 0, 'Расстройство развития экспрессивного письма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4426, 'Расстройство развития учебных навыков неуточненное', 'F81.9', 4420, 'F81', 0, 'Неспособность к приобретению знаний БДУ Неспособность к обучению БДУ Расстройство обучения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4427, 'Специфические расстройства развития моторной функции', 'F82', 4412, 'F80-F89', 0, 'Расстройство, главной чертой которого является значительное снижение развития моторной координации и которое не может быть объяснено исключительно обычным интеллектуальным отставанием или каким-либо специфическим врожденным или приобретенным неврологическим нарушением. Однако в большинстве случаев тщательное клиническое обследование выявляет признаки незрелости неврологического развития, такие, как хорееподобные движения конечностей в свободном положении, отражательные движения, другие признаки, связанные с особенностями моторики, а также симптомы нарушения тонкой и более грубой моторной координации. Синдром неуклюжего ребенка Связанное(ая) с развитием: . нарушение координации . диспраксия Исключены: нарушения походки и подвижности (R26.-) нарушение координации (R27.-) . вторичное по отношению к умственной отсталости (F70-F79)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4428, 'Смешанные специфические расстройства психологического развития', 'F83', 4412, 'F80-F89', 0, 'В эту остаточную рубрику собраны нарушения, представляющие собой сочетание специфических расстройств развития речи и языка, учебных навыков и моторики, при которых дефекты выражены в равной степени, что не позволяет вычленить какой-либо из них как основной диагноз. Эту рубрику следует использовать лишь тогда, когда имеет место выраженное переплетение этих специфических расстройств развития. Эти нарушения обычно, но не всегда связаны с определенной степенью общей недостаточности познавательных функций. Таким образом, данную рубрику следует использовать в тех случаях, когда имеется сочетание дисфункций, отвечающих критериям двух или более рубрик: F80.-; F81.- и F82.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4429, 'Общие расстройства психологического развития', 'F84', 4412, 'F80-F89', 8, 'Группа расстройств, характеризующихся качественными отклонениями в социальных взаимодействиях и показателях коммуникабельности, а также ограниченным, стереотипным, повторяющимся комплексом интересов и действий. Эти качественные отклонения являются общей характерной чертой деятельности индивида во всех ситуациях. При необходимости идентифицировать связанные с данными нарушениями заболевания или умственную отсталость используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4430, 'Детский аутизм', 'F84.0', 4429, 'F84', 0, 'Тип общего нарушения развития, который определяется наличием: а) аномалий и задержек в развитии, проявляющихся у ребенка в возрасте до трех лет; б) психопатологических изменений во всех трех сферах: эквивалентных социальных взаимодействиях, функциях общения и поведения, которое ограничено, стереотипно и монотонно. Эти специфические диагностические черты обычно дополняют другие неспецифические проблемы, такие, как фобии, расстройства сна и приема пищи, вспышки раздражения и направленная на себя агрессивность. Аутическое расстройство Детский: . аутизм . психоз Синдром Каннера Исключена: аутическая психопатия (F84.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4431, 'Атипичный аутизм', 'F84.1', 4429, 'F84', 0, 'Тип общего нарушения развития, отличающийся от детского аутизма возрастом, в котором начинается расстройство, или отсутствием триады патологических нарушений, необходимой для постановки диагноза детского аутизма. Эту подрубрику следует использовать только в том случае, если аномалии и задержки в развитии проявились у ребенка старше трех лет и недостаточно демонстративно выражены нарушения в одной или двух из трех областей психопатологической триады, необходимой для постановки диагноза детского аутизма (а именно в социальном взаимодействии, общении и поведении, характеризующемся ограниченностью, стереотипностью и монотонностью), несмотря на наличие характерных нарушений в другой (других) из перечисленных областей. Атипичный аутизм чаще всего развивается у лиц с глубокой задержкой развития и у лиц, имеющих тяжелое, специфическое рецептивное расстройство развития речи. Атипичный детский психоз Умственная отсталость с чертами аутизма При необходимости идентифицировать умственную отсталость используют дополнительный код (F70-F79).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4432, 'Синдром Ретта', 'F84.2', 4429, 'F84', 0, 'Состояние, до настоящего времени обнаруживаемое только у девочек, при котором явно нормальное ранне развитие осложняется частичной или полной утратой речи, локомоторных навыков и навыков пользования руками одновременно с замедлением роста головы. Нарушения возникают в возрастном интервале от 7 до 24 месяцев жизни. Характерны потеря произвольных движений руками, стереотипные круговые движения рук и усиленное дыхание. Социальное и игровое развитие останавливается, но интерес к общению имеет тенденцию к сохранности. К 4 годам начинается развитие атаксии туловища и апраксии, часто сопровождаемые хореоатетоидными движениями. Почти неизменно отмечается тяжелая умственная отсталость.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4433, 'Другое дезинтегративное расстройство детского возраста', 'F84.3', 4429, 'F84', 0, 'Тип общего нарушения развития, для которого характерно наличие периода абсолютно нормального развития до проявления признаков расстройства, сопровождаемого выраженной потерей приобретенных к тому времени навыков, касающихся различных областей развития. Потеря происходит в течение нескольких месяцев после развития расстройства. Обычно это сопровождается выраженной утратой интереса к окружающему, стереотипным, монотонным двигательным поведением и характерными для аутизма нарушениями в сфере социальных взаимодействий и функций общения. В ряде случаев может быть показана причинная связь этого расстройства с энцефалопатией, но диагноз должен базироваться на особенностях поведения. Детская деменция Дезинтегративный психоз Синдром Геллера Симбиозный психоз При необходимости идентифицировать связанные с расстройством неврологические заболевания используют дополнительный код. Исключен: синдром Ретта (F84.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4434, 'Гиперактивное расстройство, сочетающееся с умственной отсталостью и стереотипными движениями', 'F84.4', 4429, 'F84', 0, 'Плохо обозначенное расстройство неопределенной нозологии. Эта категория предназначена для группы детей с выраженной умственной отсталостью (IQ ниже 50), проявляющих гиперактивность, нарушение внимания, а также стереотипное поведение. У этих детей стимулирующие препараты могут вызвать не положительный ответ (как у лиц с нормальным уровнем IQ), а, напротив, тяжелую дисфорическую реакцию (иногда с психомоторной ретардацией). В подростковом возрасте гипреактивность имеет тенденцию сменяться сниженной активностью (что нетипично для гипреактивных детей с нормальным интеллектом). Данный синдром часто связан с различными отставаниями в развитии общего или специфического характера. Неизвестна степень этиологического участия в этом поведении низкого IQ или органического поражения мозга.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4435, 'Синдром Аспергера', 'F84.5', 4429, 'F84', 0, 'Расстройство неопределенной нозологии, характеризующееся такими же качественными аномалиями социальных взаимодействий, какие характерны для аутизма, в сочетании с ограниченностью, стереотипностью, монотонностью интересов и занятий. Отличие от аутизма в первую очередь состоит в том, что отсутствует обычная для него остановка ил задержка развития речи и познания. Это расстройство часто сочетается с выраженной неуклюжестью. Выражена тенденция к сохранности вышеуказанных изменений в подростковом и зрелом возрасте. В раннем периоде зрелости периодически имеют место психотические эпизоды. Аутическая психопатия Шизоидное расстройство в детском возрасте');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4436, 'Другие общие расстройства развития', 'F84.8', 4429, 'F84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4437, 'Общее расстройство развития неуточненное', 'F84.9', 4429, 'F84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4438, 'Другие расстройства психологического развития', 'F88', 4412, 'F80-F89', 0, 'Агнозия развития');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4439, 'Расстройство психологического развития неуточненное', 'F89', 4412, 'F80-F89', 0, 'Нарушение развития БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4441, 'ЭМОЦИОНАЛЬНЫЕ РАССТРОЙСТВА И РАССТРОЙСТВА ПОВЕДЕНИЯ, НАЧИНАЮЩИЕСЯ ОБЫЧНО В ДЕТСКОМ И ПОДРОСТКОВОМ ВОЗРАСТЕ', 'F90-F98', 4001, 'F00-F99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4442, 'Гиперкинетические расстройства', 'F90', 4441, 'F90-F98', 4, 'Группа расстройств, характеризующихся ранним началом (обычно в первые пять лет жизни), отсутствием упорства в деятельности, требующей умственной сосредоточенности, и склонностью к перескакиванию с одних дел на другие без доведения их до конца. Одновременно с этим отмечается неорганизованная, нерегулируемая и чрезмерная активность. Могут присоединяться и некоторые другие нарушения. Дети с гиперкинетическими расстройствами часто бывают отчаянными и импульсивными, подвержены несчастным случаям и дисциплинарным взысканиям вследствие необдуманных нарушений правил, прежде чем осознают свое вызывающее поведение. Их взаимоотношения со взрослыми часто социально расторможены, без обычной предусмотрительности и сдержанности. Они не пользуются любовью других детей и могут оказаться в изоляции. Недостаточность познавательных функций является распространенным явлением, и специфические задержки моторного и языкового развития несоразмерно часты. Вторичные осложнения включают диссоциальное поведение и низкую самооценку. Исключены: тревожные расстройства (F41.-) расстройства настроения (аффективные) (F30-F39) общие расстройства психологического развития (F84.-) шизофрения (F20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4443, 'Нарушение активности и внимания', 'F90.0', 4442, 'F90', 0, 'Дефицит внимания с гиперактивностью Расстройство с дефицитом внимания и гиперактивностью Синдром дефицита внимания с гиперактивностью Исключено: гиперкинетическое расстройство, связанное с расстройством поведения (F90.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4444, 'Гиперкинетическое расстройство поведения', 'F90.1', 4442, 'F90', 0, 'Гиперкинетическое расстройство, связанное с расстройством поведения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4445, 'Другие гиперкинетические расстройства', 'F90.8', 4442, 'F90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4446, 'Гиперкинетическое расстройство неуточненное', 'F90.9', 4442, 'F90', 0, 'Гиперкинетическая реакция детского или подросткового возраста БДУ Гиперкинетический синдром БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4447, 'Расстройства поведения', 'F91', 4441, 'F90-F98', 6, 'Расстройства, характеризующиеся повторяющимися, устойчивыми образцами необщительного, агрессивного или вызывающего поведения. Такое поведение можно было бы расценить как наивысшее проявление возрастных социальных нарушений, тем не менее оно может быть более тяжелым, чем обычное детское непослушание или подростковая недисциплинированность, и длиться значительное время (6 месяцев и дольше). Черты такого расстройства поведения могут также быть симптомами других психических состояний, и в этом случае предпочтение следует отдавать основному диагнозу. Примеры поведения, на которых базируется диагноз, включают чрезмерную драчливость и вздорность, жестокость по отношению к другим людям и животным, тяжелую порчу имущества, поджоги, воровство, постоянную лживость, прогуливание занятий в школе и побеги из дома, обычно частые и тяжелые вспышки раздражения, непослушание. Наличие любого из вышеуказанных признаков, если он ярко выражен, достаточно для постановки диагноза, однако отдельные диссоциальные действия не могут служить для него основанием. Исключены: расстройства настроения [аффективные] (F30-F39) общие нарушения развития (F84.-) шизофрения (F20.-) расстройства поведения, связанные с: . эмоциональными расстройствами (F92.-) . гиперкинетическими расстройствами (F90.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4448, 'Расстройство поведения, ограниченное рамками семьи', 'F91.0', 4447, 'F91', 0, 'Расстройство поведения, заключающееся в диссоциальном и агрессивном поведении (а не только оппозиционное, дерзкое, разрывающее отношения поведение), при котором отклонение в поведении полностью или почти полностью ограничивается пределами дома и взаимоотношениями с членами семьи или ближайшими домочадцами. Диагноз этого расстройства требует наличия полного комплекса критериев для рубрики F91.-; даже тяжелое нарушение взаимоотношений родители-ребенок само по себе недостаточно для постановки диагноза.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4449, 'Несоциализированное расстройство поведения', 'F91.1', 4447, 'F91', 0, 'Расстройство, характеризующееся сочетанием устойчивого диссоциального или агрессивного поведения (полностью соответствующего критериям рубрики F91.-, а не только охватывающего оппозиционное, дерзкое, разрывающее отношения поведение) со значительно выраженными аномалиями во взаимоотношениях индивида с другими детьми. Расстройство поведения, одиночно агрессивный тип Несоциализированное агрессивное поведение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4450, 'Социализированное расстройство поведения', 'F91.2', 4447, 'F91', 0, 'Расстройство, включающее устойчивое диссоциальное или агрессивное поведение (полностью соответствующее критериям рубрики F91.-, а не только охватывающее оппозиционное, дерзкое, разрывающее отношения поведение), встречающееся у индивидов, которые в основном хорошо интегрированы в свою социально равную группу. Расстройство поведения, групповой тип Групповое правонарушение Правонарушение в ситуации члена банды Воровство в компании с другими Манкирование школой, прогулы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4451, 'Вызывающее оппозиционное расстройство', 'F91.3', 4447, 'F91', 0, 'Расстройство поведения, обычно отмечающееся у детей более младшего возраста и характеризующееся в основном выраженным вызовом, непослушанием, разрывающим отношения поведением, которое не включает правонарушительных действий или более экстремальных форм агрессивного или диссоциального поведения. Диагноз требует полного соответствия критериям рубрики F91.-; даже тяжелые формы озорства или непослушания сами по себе не являются достаточными для постановки диагноза. Необходимо соблюсти осторожность, прежде чем использовать эту рубрику, особенно применительно к детям более старшего возраста, поскольку клинически значимое расстройство поведения обычно будет сопровождаться диссоциальным или агрессивным поведением, что превышает просто вызывающее поведение, непослушание или разрывающее отношения поведение.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4452, 'Другие расстройства поведения', 'F91.8', 4447, 'F91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4453, 'Расстройство поведения неуточненное', 'F91.9', 4447, 'F91', 0, 'Детское: . поведенческое расстройство БДУ . расстройство поведения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4454, 'Смешанные расстройства поведения и эмоций', 'F92', 4441, 'F90-F98', 3, 'Группа расстройств, характеризующихся сочетанием устойчивого агрессивного, диссоциального или вызывающего поведения с явно выраженной депрессией, тревогой или другими эмоциональными расстройствами. Эти состояния должны соответствовать критериям расстройств поведения в детском возрасте (F91.-), эмоциональных расстройств в детском возрасте (F93.-), невротических расстройств взрослого типа (F40-F48) или расстройств настроения (F30-F39).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4455, 'Депрессивное расстройство поведения', 'F92.0', 4454, 'F92', 0, 'Эта подрубрика предусматривает сочетание расстройств поведения (F91.-) с устойчивой и выраженной депрессией настроения (F32.-), что проявляется такими симптомами, как чрезмерное страдание, потеря интереса и удовлетворения от обычной деятельности, самопорицание и безнадежность. Могут также присутствовать расстройства сна и аппетита. Расстройство поведения, относящееся к рубрике F91.-, в сочетании с депрессивным расстройством, относящимся к рубрике F32.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4456, 'Другие смешанные расстройства поведения и эмоций', 'F92.8', 4454, 'F92', 0, 'Эта рубрика предусматривает сочетание расстройств поведения (F91.-) с устойчивой и выраженной эмоциональной симптоматикой, такой, как тревожность, одержимость или навязчивость, деперсонализация или дереализация, фобии или гипохондрия. Расстройство поведения, относящееся к рубрике F91.-, в сочетании с: . эмоциональным расстройством, указанным в рубрике F93.. невротическими расстройствами, указанными в рубриках F40-F48');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4457, 'Смешанное расстройство поведения и эмоций неуточненное', 'F92.9', 4454, 'F92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4458, 'Эмоциональные расстройства, начало которых специфично для детского возраста', 'F93', 4441, 'F90-F98', 6, 'Это скорее преувеличенная выраженность обычных тенденций развития, чем качественная аномальность самих отклонений. Свойственность периоду развития является ключевым диагностическим признаком при дифференциации этих эмоциональных расстройств, обычно начинающихся в детском возрасте, от невротических расстройств (F40-F48). Исключены: связанные с расстройством поведения (F92.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4459, 'Тревожное расстройство у детей, вызванное разлукой', 'F93.0', 4458, 'F93', 0, 'Его следует диагностировать, когда боязнь разлуки создает фокус тревожности и когда такая тревожность впервые возникает в течение первых лет жизни. От нормального беспокойства, вызванного разлукой, данное расстройство отличается статистически необычной степенью выраженности (тяжестью), включая ненормальную для этого возрастного периода продолжительность, и тем, что эта тревожность создает значительные проблемы социального функционирования. Исключены: расстройства настроения [аффективные расстройства] (F30-F39) невротические расстройства (F40-F48) фобическое тревожное расстройство в детском возрасте (F93.1) социальное тревожное расстройство в детском возрасте (F93.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4460, 'Фобическое тревожное расстройство в детском возрасте', 'F93.1', 4458, 'F93', 0, 'Страхи в детстве, специфично характеризующие определенную стадию развития и возникающие (в определенной мере) у большинства детей, но чрезмерные по степени выраженности. Другие страхи, которые возникают в детстве, но не являются нормальной частью психосоциального развития (например, агорафобия), следует кодировать соответствующими рубриками F40-F48. Исключено: генерализованное тревожное расстройство (F41.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4461, 'Социальное тревожное расстройство в детском возрасте', 'F93.2', 4458, 'F93', 0, 'При этом расстройстве отмечаются боязнь незнакомых лиц и социальная тревога и беспокойство при неожиданных новостях, странных или социально угрожающих ситуациях. Эту рубрику следует использовать только в том случае, если такие страхи возникают в течение ранних лет жизни, имеют необычную степень выраженности и сопровождаются проблемами социального функционирования. Расстройство общения с незнакомыми лицами у детей и подростков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4462, 'Расстройство сиблингового соперничества', 'F93.3', 4458, 'F93', 0, 'Некоторую степень эмоциональных нарушений, возникающих обычно непосредственно после рождения младшего брата (сестры), демонстрируют многие дети раннего возраста. Расстройство, выражающееся в соперничестве между сибсами, следует диагностировать только в том случае, если степень и длительность расстройства статистически необычны и связаны с отклонениями в социальных взаимодействиях. Ревность сибсов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4463, 'Другие эмоциональные расстройства в детском возрасте', 'F93.8', 4458, 'F93', 0, 'Расстройство идентификации Гипертревожное расстройство Исключено: расстройство половой идентичности в детском возрасте (F64.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4464, 'Эмоциональное расстройство в детском возрасте неуточненное', 'F93.9', 4458, 'F93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4465, 'Расстройства социального функционирования, начало которых характерно для детского и подросткового возрастов', 'F94', 4441, 'F90-F98', 5, 'До некоторой степени разнородная группа расстройств, общей чертой которых являются отклонения в социальном функционировании; эти расстройства возникают в период роста и развития, но в отличии от общих расстройств развития не характеризуются главным образом явно органической социальной неспособностью или дефектностью, охватывающей все сферы деятельности. Во многих случаях в этиологии этих расстройств решающую роль играют серьезные извращения или лишения, связанные с окружающей обстановкой.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4466, 'Элективный мутизм', 'F94.0', 4465, 'F94', 0, 'Характеризуется выраженной эмоционально обусловленной селективностью в речи: ребенок показывает языковые навыки в одних ситуациях и не в состоянии говорить в других (определенных) ситуациях. Расстройство обычно ассоциируется с заметными личными особенностями, исключая социальное беспокойство, замкнутость, восприимчивость или сопротивляемость. Селективный мутизм Исключены: общие нарушения психологического развития (F84.-) шизофрения (F20.-) специфические расстройства развития речи и языка (F80.-) преходящий мутизм как составляющая часть боязни разлуки у детей раннего возраста (F93.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4467, 'Реактивное расстройство привязанностей в детском возрасте', 'F94.1', 4465, 'F94', 0, 'Начинается в первые пять лет жизни и характеризуется устойчивыми отклонениями модели детских социальных взаимоотношений, что связано с эмоциональным нарушением и реактивностью по отношению к изменениям окружающей обстановки (боязнью, сверхбдительностью, бедностью социальных взаимосвязей со сверстниками, агрессивностью по отношению к себе и другим, страданием и остановкой развития в некоторых случаях). Синдром, вероятно, возникает как непосредственный результат полного отсутствия заботы о ребенке со стороны родителей, как результат злоупотреблений и жестокого обращения с ним. При необходимости идентифицировать какое-либо связанное с этим нарушение или задержку развития используют дополнительный код. Исключены: синдром Аспергера (F84.5) расстройство привязанностей в детском возрасте по расторможенному типу (F94.2) синдром жестокого обращения (T74.-) нормальная вариация в структуре селективной привязанности сексуальное или физическое насилие в детстве, приводящее к психосоциальным проблемам (Z61.4-Z61.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4468, 'Расстройство привязанностей в детском возрасте по расторможенному типу', 'F94.2', 4465, 'F94', 0, 'Особая модель аномального социального функционирования, которая возникает в первые пять лет жизни и имеет тенденцию сохраняться, несмотря на выраженные перемены в окружающей обстановке, а именно диффузное, неизбирательно сфокусированное привязчивое поведение, требующее к себе внимания, и неразборчиво дружественное поведение; плохо модулированные взаимодействия со сверстниками. В зависимости от обстоятельств могут присоединяться эмоциональные и поведенческие расстройства. Психопатия от недостатка привязанностей Синдром детского закрытого учреждения Исключены: синдром Аспергера (F84.5) госпитализм у детей (F43.2) гиперкинетические расстройства (F90.-) реактивное расстройство привязанностей в детском возрасте (F94.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4469, 'Другие расстройства социального функционирования в детском возрасте', 'F94.8', 4465, 'F94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4470, 'Расстройство социального функционирования в детском возрасте неуточненное', 'F94.9', 4465, 'F94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4471, 'Тики', 'F95', 4441, 'F90-F98', 5, 'Синдромы, преимущественным выражением которых являются некоторые формы тиков. Тик представляет собой непроизвольное, быстрое, повторяющееся, неритмичное движение (обычно вовлекающее ограниченную группу мышц) или голосовой звук, которые внезапно возникают и не служат определенной цели. Тики имеют тенденцию переживаться как непреодолимые, но обычно они могут подавляться на различные промежутки времени. Тики усиливаются при стрессе и исчезают во время сна. Обычные простые двигательные тики включают мигание, судорожное подергивание шеей, пожимание плечами и гримасы лица. Обычные простые голосовые тики включают откашливание, вздохи, фырканье, свист. Обычные сложные двигательные тики включают удары по себе, подпрыгивание, подскакивание на одной ноге. Сложные голосовые тики - повторение специфических слов и иногда использование социально неприемлемых (часто непристойных) слов (копролалия) и повторение своих собственных звуков или слов (палилалия).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4472, 'Транзиторные тики', 'F95.0', 4471, 'F95', 0, 'Соответствуют основным критериям такового расстройства, но тики сохраняются не дольше чем 12 месяцев. Тики обычно носят характер подмигивания, лицевых гримас, подергиваний головой.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4473, 'Хронические моторные тики или вокализмы', 'F95.1', 4471, 'F95', 0, 'Соответствуют основным критериям такового расстройства, при котором имеют место моторные тики или вокализмы (но не оба вида одновременно), которые могут быть единичными или множественными (обычно множественными) и длятся дольше одного года.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4474, 'Комбинирование вокализмов и множественных моторных тиков', 'F95.2', 4471, 'F95', 0, '[синдром де ла Туретта] Форма тиков, при которой имеются или имелись множественные моторные тики и один или несколько вокализмов, хотя нет необходимости, чтобы они возникали одновременно. Расстройство обычно усиливается в подростковом возрасте и имеет тенденцию сохраняться в зрелом возрасте. Вокализмы часто бывают множественными: внезапные повторные звуки, откашливание, звуки, напоминающие похрюкивание, а также употребление неприличных слов и фраз. Иногда присоединяется жестовая эхопраксия, которая также может носить неприличный характер (копропраксия).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4475, 'Другие тики', 'F95.8', 4471, 'F95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4476, 'Тики неуточненные', 'F95.9', 4471, 'F95', 0, 'Тики БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4477, 'Другие эмоциональные расстройства и расстройства поведения, начинающиеся обычно в детском и подростковом возрасте', 'F98', 4441, 'F90-F98', 9, 'Разнородная группа расстройств, имеющих общую характерную черту - начало в детском возрасте, но, с другой стороны, отличных по многим параметрам. Некоторые из них являются точно обозначенными синдромами, другие представляют собой не более чем комплексы симптомов, которые требуют включения в эту рубрику вследствие своей частоты и связи с психосоциальными проблемами и вследствие того, что они не могут быть объединены с другими синдромами. Исключены: приступы задержки дыхания (R06.8) расстройство половой идентификации в детском возрасте (F64.2) синдром Клейне-Левина (G47.8) обсессивно-компульсивное расстройство (F42.-) расстройства сна вследствие эмоциональных причин (F51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4478, 'Энурез неорганической природы', 'F98.0', 4477, 'F98', 0, 'Расстройство, характеризующееся непроизвольным мочеиспусканием днем или ночью (что не соответствует возрасту индивида), которое не является результатом недостаточного контроля функции мочевого пузыря вследствие какого-либо неврологического заболевания, приступа эпилепсии или структурной аномалии мочевых путей. Энурез может отмечаться с рождением или может возникнуть после периода приобретенного пузырного контроля. Энурез может ассоциироваться (но не всегда) с более глубоким эмоциональным расстройством и расстройством поведения. Энурез (первичный) (вторичный) неорганической природы Функциональный энурез Психогенный энурез Недержание мочи неорганического происхождения Исключен: энурез БДУ (R32)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4479, 'Энкопрез неорганической природы', 'F98.1', 4477, 'F98', 0, 'Повторяющееся произвольное или непроизвольное отхождение кала обычно нормальной или почти нормальной консистенции в местах, не предназначенных для этой цели социально-культурным окружением индивида. Расстройство может представлять собой аномальную продолжительность нормального для младенца недержания кала; оно может проявляться в потере контроля над действиями кишечника у индивида, ранее имевшего навык такого контроля, или может включать умышленную дефекацию в неподходящих местах. несмотря на нормальный психологический контроль над действиями кишечника. Состояние может встречаться как моносимптоматическое расстройство или может являться частью более обширного расстройства, главным образом эмоционального расстройства (F93.-) или расстройства поведения (F91.-). Функциональный энкопрез Недержание кала неорганической природы Психогенный энкопрез При необходимости идентифицировать причину сосуществующего с энкопрезом запора используют дополнительный код. Исключен: энкопрез БДУ (R15)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4480, 'Расстройство приема пищи в младенческом и детском возрасте', 'F98.2', 4477, 'F98', 0, 'Расстройство приема пищи различных проявлений обычно характерно для младенческого и раннего детского возраста. Основным проявлением расстройства является отказ от пищи и крайняя степень баловства ребенка, не имеющего никакого органического заболевания, в ответ на предложение ему адекватной пищи разумным и компетентным лицом, осуществляющим уход за ним. К этому может присоединяться состояние "жевания жвачки" (повторное отрыгивание пищи без тошноты и наличия какого-либо желудочно-кишечного заболевания). Расстройство срыгивания у младенцев Исключены: нервная анорексия и другие расстройства приема пищи (F50.-) трудности вскармливания и введения пищи (R63.3) проблемы новорожденного (P92.-) поедание несъедобного младенцами или детьми (F98.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4481, 'Поедание несъедобного младенцами и детьми', 'F98.3', 4477, 'F98', 0, 'Устойчивая тяга к поеданию непищевых продуктов (таких, как земля, краски, стружки и т.д.). Этот симптом может быть частью более глубокого психического расстройства (такого, как аутизм); он также может проявляться как относительно самостоятельное психопатологическое поведение. Только в этом, последнем случае можно использовать данную рубрику. Извращенный аппетит более распространен среди умственно отсталых детей. Случаи с одновременным наличием умственной отсталости следует кодировать рубриками F70-F79 в соответствии с основным диагнозом.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4482, 'Стереотипные двигательные расстройства', 'F98.4', 4477, 'F98', 0, 'Произвольные, повторяющиеся, стереотипные, не имеющие функциональной значимости движения (часто ритмичные), которые не являются составной частью какого-либо диагностированного психического или неврологического заболевания. Но в том случае, если такие движения являются симптомами какого-либо заболевания, кодировать следует только последнее. Такие движения, не приводящие к самоповреждению, включают раскачивание тела, кивание, выдергивание и накручивание волос, постукивание пальцами, шлепки ладонями. Стереотипные, наносящие больному травмы действия включают повторяющиеся удары головой, шлепки по лицу, тыканье в глаза, кусанье рук, губ или других частей тела. Расстройства с такими стереотипными движениями чаще всего связаны с умственной отсталостью (когда такое случается, следует кодировать оба состояния). Если тыканье в глаза имеет место у ребенка с недостатком зрения, необходимо кодировать оба этих состояния: тыканье в глаза кодируется данной рубрикой, а нарушение зрения - кодом соответствующего соматического заболевания. Привычна стереотипия Исключены: аномальные непроизвольные движения (R25.-) двигательные расстройства органической природы (G20-G25) кусание ногтей (F98.8) ковыряние в носу (F98.8) стереотипии, являющиеся частью более глубокого психического заболевания (F00-F95) сосание пальца (F98.8) тики (F95.-) трихотилломания (F63.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4483, 'Заикание [запинание]', 'F98.5', 4477, 'F98', 0, 'Речь, характеризующаяся частым повторением или пролонгированием звуков, слогов или слов либо частыми запинаниями или паузами, что разрывает ритмичное течение речи. Такое состояние следует классифицировать как расстройство только в том случае, если оно столь выражено, что заметно нарушает течение речи. Исключены: тики (F95.-) речь взахлеб (F98.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4484, 'Речь взахлеб', 'F98.6', 4477, 'F98', 0, 'Быстрый темп речи с распадом плавности, но без повторений или запинаний, выраженный настолько, что уменьшается ее внятность. Речь беспорядочна, неритмична, быстра, в виде отрывистых толчков и неправильных фраз. Исключены: заикание (F98.5) тики (F95.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4485, 'Другие уточненные эмоциональные расстройства и расстройства поведения с началом, обычно приходящимся на детский и подростковый возраст', 'F98.8', 4477, 'F98', 0, 'Дефицит внимания без гиперактивности Неумеренная мастурбация Кусание ногтей Ковыряние в носу Сосание пальца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4486, 'Эмоциональное расстройство и расстройство поведения с началом, обычно приходящемся на детский и подростковый возраст, неуточненное', 'F98.9', 4477, 'F98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4487, 'НЕУТОЧНЕННЫЕ ПСИХИЧЕСКИЕ РАССТРОЙСТВА', 'F99', 4001, 'F00-F99', 1, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(4488, 'Психическое расстройство без дополнительных уточнений', 'F99', 4487, 'F99', 0, 'Психическое заболевание БДУ Исключено: органическое психическое расстройство БДУ (F06.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5001, 'БОЛЕЗНИ НЕРВНОЙ СИСТЕМЫ', 'G00-G99', NULL, NULL, 11, 'Исключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-099) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\nЭтот класс содержит следующие блоки:\nG00-G09 Воспалительные болезни центральной нервной ситемы\nG10-G13 Системные атрофии, поражающие преимущественно центральную нервную систему\nG20-G26 Экстрапирамидные и другие двигательные нарушения\nG30-G32 Другие дегенеративные болезни центральной нервной системы\nG35-G37 Демиелинизирующие болезни центральной нервной системы\nG40-G47 Эпизодические и пароксизмальные расстройства\nG50-G59 Поражения отдельных нервов, нервных корешков и сплетений\nG60-G64 Полиневропатии и другие поражения периферической нервной системы\nG70-G73 Болезни нервно-мышечного синапса и мышц\nG80-G83 Церебральный паралич и другие паралитические синдромы\nG90-G99 Другие нарушения нервной системы\n\nЗвездочкой отмечены следующие категории:\nG01* Менингит при бактериальных болезнях, классифицированных в других рубриках\nG02* Менингит при других инфекционных и паразитарных болезнях, классифицированных в других рубриках\nG05* Энцефалит, миелит и энцефаломиелит при болезнях, классифицированных в других рубриках\nG07* Внутричерепной и внутрипозвоночный абсцесс и гранулема при болезнях, классифицированных в других рубриках\nG13* Системные атрофии, преимущественно поражающие центральную нервную систему при болезнях, классифицированных в других рубриках\nG22* Паркинсонизм при болезнях, классифицированных в других рубриках\nG26* Экстрапирамидные и другие двигательные нарушения при болезнях, классифицированных в других рубриках\nG32* Другие дегенеративные нарушения нервной системы при болезнях, классифицированных в других рубриках\nG46* Сосудистые мозговые синдромы при цереброваскулярных болезнях\nG53* Поражения черепных нервов при болезнях, классифицированных в других рубриках\nG55* Сдавления нервных корешков и сплетений при болезнях, классифицированных других рубриках\nG59* Мононевропатия при болезнях, классифицированных в других рубриках\nG63* Полиневропатия при болезнях, классифицированных в других рубриках\nG73* Поражения нервно-машечного синапса и мышц при болезнях, классифицированных в других рубриках\nG94* Другие поражения головного мозга при болезнях, классифицированных в других рубриках\nG99* Другие поражения нервной системы при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5002, 'ВОСПАЛИТЕЛЬНЫЕ БОЛЕЗНИ ЦЕНТРАЛЬНОЙ НЕРВНОЙ СИСТЕМЫ', 'G00-G09', 5001, 'G00-G99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5003, 'Бактериальный менингит, не классифицированный в других рубриках', 'G00', 5002, 'G00-G09', 6, 'Включены: арахноидит } лептоменингит } менингит } бактериальный пахименингит } Исключены: бактериальный: . менингоэнцефалит (G04.2) . менингомиелит (G04.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5004, 'Гриппозный менингит', 'G00.0', 5003, 'G00', 0, 'Менингит, вызванный Haemophilus influenzae');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5005, 'Пневмококковый менингит', 'G00.1', 5003, 'G00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5006, 'Стрептококковый менингит', 'G00.2', 5003, 'G00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5007, 'Стафилококковый менингит', 'G00.3', 5003, 'G00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5008, 'Менингит, вызванный другими бактериями', 'G00.8', 5003, 'G00', 0, 'Менингит, вызванный: . палочкой Фридлендера . Escherichia coli . Klebsiella');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5009, 'Бактериальный менингит неуточненный', 'G00.9', 5003, 'G00', 0, 'Менингит: . гнойный БДУ . пиогенный БДУ . гноеродный БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5010, 'Менингит при бактериальных болезнях, классифицированных в других рубриках', 'G01*', 5002, 'G00-G09', 0, 'Менингит (при): . сибирской язве (А22.8+) . гонококковый (А54.8+) . лептоспирозный (А27.-+) . листериозе (А32.1+) . болезни Лайма (А69.2+) . менингококковый (А39.0+) . нейросифилисе (А52.1+) . сальмонеллезе (А02.2+) . сифилисе: . врожденном (А50.4+) . вторичном (А51.4+) . туберкулезе (А17.0+) . тифоидной лихорадке (А01.0+) Исключены: менингоэнцефалит и менингомиелит при бактериальных болезнях, классифицированных в других рубриках (G05.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5011, 'Менингит при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'G02*', 5002, 'G00-G09', 3, 'Исключены: менингоэнцефалит и менингомиелит при инфекционных и паразитарных болезнях, классифицированных в других рубриках (G05.1-G05.2*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5012, 'Менингит при вирусных болезнях,  классифицированных в других рубриках', 'G02.0*', 5011, 'G02*', 0, 'Менингит (вызванный вирусом): . аденовирусный (А87.1+) . энтеровирусный (А87.0+) . простого герпеса (В00.3+) . инфекционного мононуклеоза (В27.-+) . кори (В05.1+) . эпидемического паротита (В26.1+) . краснухи (В06.0+) . ветряной оспы (В01.0+) . опоясывающего лишая (В02.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5013, 'Менингит при микозах', 'G02.1*', 5011, 'G02*', 0, 'Менингит (при): . кандидозный (В37.5+) . кокцидиоидомикозе (В38.4+) . криптококковый (В45.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5014, 'Менингит при других уточненных инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'G02.8*', 5011, 'G02*', 0, 'Менингит, обусловенный: . африканским трипаносомозом (В56.-+) . болезнью Шагаса (В57.4+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5015, 'Менингит, обусловленный другими и неуточненными причинами', 'G03', 5002, 'G00-G09', 5, 'Включены: арахноидит } лептоменингит } вследствие других и неуточненных менингит } причин пахименингит } Исключены: менингоэнцефалит (G04.-) менингомиелит (G04.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5016, 'Непиогенный менингит', 'G03.0', 5015, 'G03', 0, 'Небактериальный менингит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5017, 'Хронический менингит', 'G03.1', 5015, 'G03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5018, 'Доброкачественный рецидивирующий менингит [Молларе]', 'G03.2', 5015, 'G03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5019, 'Менингит, вызванный другими уточненными возбудителями', 'G03.8', 5015, 'G03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5020, 'Менингит неуточненный', 'G03.9', 5015, 'G03', 0, 'Арахноидит (спинальный) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5021, 'Энцефалит, миелит и энцефаломиелит', 'G04', 5002, 'G00-G09', 5, 'Включены: острый восходящий миелит менингоэнцефалит менингомиелит Исключены: доброкачественный миалгический энцефалит (G93.3) энцефалопатия: . БДУ (G93.4) . алкогольного генеза (G31.2) . токсическая (G92) рассеянный склероз (G35) миелит: . острый поперечный (G37.3) . подострый некротизирующий (G37.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5022, 'Острый диссеминированный энцефалит', 'G04.0', 5021, 'G04', 0, 'Энцефалит } Энцефаломиелит } постиммунизационный При необходимости индентифицировать вакцину используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5023, 'Тропическая спастическая параплегия', 'G04.1', 5021, 'G04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5024, 'Бактериальный менингоэнцефалит и менингомиелит, не классифицированный в других рубриках', 'G04.2', 5021, 'G04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5025, 'Другой энцефалит, миелит и энцефаломиелит', 'G04.8', 5021, 'G04', 0, 'Постинфекционный энцнфалит и энцефаломиелит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5026, 'Энцефалит, миелит или энцефаломиелит неуточненный', 'G04.9', 5021, 'G04', 0, 'Вентрикулит (церебральный) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5027, 'Энцефалит, миелит и энцефаломиелит при болезнях, классифицированных в других рубриках', 'G05*', 5002, 'G00-G09', 4, 'Включены: менингоэнцефалит и менингомиелит при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5028, 'Энцефалит, миелит и энцефаломиелит при бактериальных болезнях, классифицированных в других рубриках', 'G05.0*', 5027, 'G05*', 0, 'Энцефалит, миелит или энцефаломиелит (при): . листериозе (А32.1+) . менингококковый (А39.8+) . сифилисе: . врожденном (А50.4+) . позднем (А52.1+) . туберкулезный (А17.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5029, 'Энцефалит, миелит и энцефаломиелит при вирусных болезнях, классифицированных в других рубриках', 'G05.1*', 5027, 'G05*', 0, 'Энцефалит, миелит или энцефаломиелит (при): . аденовирусных (А85.1+) . цитомегаловирусный (В25.8+) . энтеровирусный (А85.0+) . простом герпесе (В00.4+) . гриппе (J10.8+, J11.8+) . кори (В05.0+) . эпидемическом паротите (В26.2+) . после ветряной оспы (В01.1+) . краснухе (В06.0+) . опоясывающем лишае (В02.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5030, 'Энцефалит, миелит и энцефаломиелит при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'G05.2*', 5027, 'G05*', 0, 'Энцефалит, миелит или энцефаломиелит при: . африканском трипаносомозе (В56.-+) . болезни Шагаса (хронической) (В57.4+) . менингите, вызванном свободноживущими амебами (naegleria) (В60.2+) . токсоплазмозе (В58.2+) Эозинофильный менингоэнцефалит (В83.2+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5031, 'Энцефалит, миелит и энцефаломиелит при других болезнях, классифицированных в других рубриках', 'G05.8*', 5027, 'G05*', 0, 'Энцефалит при системной красной волчанке (М32.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5032, 'Внутричерепной и внутрипозвоночный абсцесс и гранулема', 'G06', 5002, 'G00-G09', 3, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (В95-В97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5033, 'Внутричерепной абсцесс и гранулема', 'G06.0', 5032, 'G06', 0, 'Абсцесс (эмболический): . головного мозга [любой части] . мозжечковый . церебральный . отогенный Внутричерепной(ая) абсцесс или гранулема: . эпидуральный(ая) . экстрадуральный(ая) . субдуральный(ая)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5034, 'Внутрипозвоночный абсцесс и гранулема', 'G06.1', 5032, 'G06', 0, 'Абсцесс (эмболический) спинного мозга [любой части] Внутрипозвоночный абсцесс или гранулема: . эпидуральный . экстрадуральный . субдуральный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5035, 'Экстрадуральный и субдуральный абсцесс неуточненный', 'G06.2', 5032, 'G06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5036, 'Внутричерепной и внутрипозвоночный абсцесс и гранулема при болезнях, классифицированных в других рубриках', 'G07*', 5002, 'G00-G09', 0, 'Абсцесс головного мозга: . амебный (А06.6+) . гонококковый (А54.8+) . туберкулезный (А17.8+) Гранулема головного мозга при шистосомозе (В65.-+) Туберкулома: . головного мозга (А17.8+) . мозговых оболочек (А17.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5037, 'Внутричерепной и внутрипозвоночный флебит и тромбофлебит', 'G08', 5002, 'G00-G09', 0, 'Септическая(ий): . эмболия } . эндофлибит } . флебит } внутричерепных или внутрипозвоночных . тромбофлебит } венозных синусов и вен . тромбоз } Исключены: внутричерепные флебиты и тромбофлебиты: . осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.7) . беременность, роды или послеродовой период (O22.5, O87.3) . негнойного происхождения (I67.6) негнойные внутрипозвоночные флебиты и тромбофлебиты (G95.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5038, 'Последствия воспалительных болезней центральной нервной системы', 'G09', 5002, 'G00-G09', 0, 'Примечание. Эту рубрику следует использовать для обозначения состояний, первично классифицированных в рубриках G00-G08 (исключая те, которые отмечены значком *) как причина последствий, которые сами отнесены к другим рубрикам. Понятие "последствия" включает состояния, уточненные как таковые или как поздние проявления или последствия, существующие в течение года или более после начала вызвавшего их состояния. При использовании этой рубрики необходимо руководствоваться соответствующими рекомендациями и правилами кодирования заболеваемости и смертности, приведенными в т.2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5039, 'СИСТЕМНЫЕ АТРОФИИ, ПОРАЖАЮЩИЕ ПРЕИМУЩЕСТВЕННО ЦЕНТРАЛЬНУЮ НЕРВНУЮ СИСТЕМУ', 'G10-G13', 5001, 'G00-G99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5040, 'Болезнь Гентингтона', 'G10', 5039, 'G10-G13', 0, 'Хорея Гентингтона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5041, 'Наследственная атаксия', 'G11', 5039, 'G10-G13', 7, 'Исключены: наследственная и идиопатическая невропатия (G60.-) детский церебральный паралич (G80.-) нарушения обмена веществ (E70-E90)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5042, 'Врожденная непрогрессирующая атаксия', 'G11.0', 5041, 'G11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5043, 'Ранняя мозжечковая атаксия', 'G11.1', 5041, 'G11', 0, 'Примечание. Начинается обычно у лиц моложе 20 лет Ранняя мозжечковая атаксия с: . эссенциальным тремором . миоклонусом [атаксия Ханта] . с сохраненными сухожильными рефлексами Атаксия Фридрейха (аутосомно-рецессивная) Х-связанная рецессивная спиноцеребеллярная атаксия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5044, 'Поздняя мозжечковая атаксия', 'G11.2', 5041, 'G11', 0, 'Примечание. Начинается обычно у лиц старше 20 лет');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5045, 'Мозжечковая атаксия с нарушением репарации ДНК', 'G11.3', 5041, 'G11', 0, 'Телеангиэктатическая атаксия [синдром Луи-Бар] Исключены: синдром Коккейна (Q87.1) пигментная ксеродермия (Q82.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5046, 'Наследственная спастическая параплегия', 'G11.4', 5041, 'G11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5047, 'Другая наследственная атаксия', 'G11.8', 5041, 'G11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5048, 'Наследственная атаксия неуточненная', 'G11.9', 5041, 'G11', 0, 'Наследственная(ый) мозжечковая(ый): . атаксия БДУ . дегенерация . болезнь . синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5049, 'Спинальная мышечная атрофия и родственные синдромы', 'G12', 5039, 'G10-G13', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5050, 'Детская спинальная мышечная атрофия, I тип [Верднига-Гоффмана]', 'G12.0', 5049, 'G12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5051, 'Другие наследственные спинальные мышечные атрофии', 'G12.1', 5049, 'G12', 0, 'Програссирующий бульбарный паралич у детей [Фацио-Лонде] Спинальная мышечная атрофия: . форма взрослых . детская форма, тип II . дистальная . юношеская форма, тип III [Кугельберга-Веландера] . лопаточно-перонеальная форма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5052, 'Болезнь двигательного неврона', 'G12.2', 5049, 'G12', 0, 'Семейная болезнь двигательного неврона Боковой склероз: . амиотрофический . первичный Прогрессирующий(ая): . бульбарный паралич . спинальная мышечная атрофия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5053, 'Другие спинальные мышечные атрофии и родственные синдромы', 'G12.8', 5049, 'G12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5054, 'Спинальная мышечная атрофия неуточненная', 'G12.9', 5049, 'G12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5055, 'Системные атрофии, поражающие преимущественно центральную нервную систему при болезнях, классифицированных в других рубриках', 'G13*', 5039, 'G10-G13', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5056, 'Паранеопластическая невромиопатия и невропатия', 'G13.0*', 5055, 'G13*', 0, 'Карциноматозная невромиопатия (С00-С97+) Невропатия органов чувств при опухолевом процессе [Дении-Брауна] (С00-D48+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5057, 'Другие системные атрофии, влияющие преимущественно на центральную нервную систему, при опухолевых заболеваниях', 'G13.1*', 5055, 'G13*', 0, 'Паранеопластическая лимбическая энцефалопатия (С00-D48+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5058, 'Системная атрофия при микседеме, влияющая преимущественно на центральную нервную систему (E00.1+, E03.-+)', 'G13.2*', 5055, 'G13*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5059, 'Системная атрофия, влияющая преимущественно на центральную нервную систему, при прочих заболеваниях, классифицированных в других рубриках', 'G13.8*', 5055, 'G13*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5061, 'ЭКСТРАПИРАМИДНЫЕ И ДРУГИЕ ДВИГАТЕЛЬНЫЕ НАРУШЕНИЯ', 'G20-G26', 5001, 'G00-G99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5062, 'Болезнь Паркинсона', 'G20', 5061, 'G20-G26', 0, 'Гемипаркинсонизм Дрожательный паралич Паркинсонизм, или болезнь Паркинсона: . БДУ . идиопатический(ая) . первичный(ая)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5063, 'Вторичный паркинсонизм', 'G21', 5061, 'G20-G26', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5064, 'Злокачественный нейролептический синдром', 'G21.0', 5063, 'G21', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5065, 'Другие формы вторичного паркинсонизма, вызванного лекарственными средствами', 'G21.1', 5063, 'G21', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5066, 'Вторичный паркинсонизм, вызванный другими внешними факторами', 'G21.2', 5063, 'G21', 0, 'При необходимости идентифицировать внешний фактор используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5067, 'Постэнцефалитический паркинсонизм', 'G21.3', 5063, 'G21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5068, 'Другие формы вторичного паркинсонизма', 'G21.8', 5063, 'G21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5069, 'Вторичный паркинсонизм неуточненный', 'G21.9', 5063, 'G21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5070, 'Паркинсонизм при болезнях, классифицированных в других рубриках', 'G22*', 5061, 'G20-G26', 0, 'Сифилитический паркинсонизм (А52.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5071, 'Другие дегенеративные болезни базальных ганглиев', 'G23', 5061, 'G20-G26', 5, 'Исключена: полисистемная дегенерация (G90.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5072, 'Болезнь Галлервордена-Шпатца', 'G23.0', 5071, 'G23', 0, 'Пигментная паллидарная дегенерация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5073, 'Прогрессирующая надъядерная офтальмоплегия [Стила-Ричардсона-Ольшевского]', 'G23.1', 5071, 'G23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5074, 'Стриатонигральная дегенерация', 'G23.2', 5071, 'G23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5075, 'Другие уточненные дегенеративные болезни базальных ганглиев', 'G23.8', 5071, 'G23', 0, 'Обызвествление базальных ганглиев');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5076, 'Дегенеративная болезнь базальных ганглиев неуточненная', 'G23.9', 5071, 'G23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5077, 'Дистония', 'G24', 5061, 'G20-G26', 8, 'Включена: дискинезия Исключен: атетоидный церебральный паралич (G80.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5078, 'Дистония, вызванная лекарственными средствами', 'G24.0', 5077, 'G24', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5079, 'Идиопатическая семейная дистония', 'G24.1', 5077, 'G24', 0, 'Идиопатическая дистония БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5080, 'Идиопатическая несемейная дистония', 'G24.2', 5077, 'G24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5081, 'Спастическая кривошея', 'G24.3', 5077, 'G24', 0, 'Исключена: кривошея БДУ (M43.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5082, 'Идиопатическая рото-лицевая дистония', 'G24.4', 5077, 'G24', 0, 'Рото-лицевая дискинезия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5083, 'Блефароспазм', 'G24.5', 5077, 'G24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5084, 'Прочие дистонии', 'G24.8', 5077, 'G24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5085, 'Дистония неуточненная', 'G24.9', 5077, 'G24', 0, 'Дискинезия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5086, 'Другие экстрапирамидные и двигательные нарушения', 'G25', 5061, 'G20-G26', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5087, 'Эссенциальный тремор', 'G25.0', 5086, 'G25', 0, 'Семейный тремор Исключен: тремор БДУ (R25.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5088, 'Тремор, вызванный лекарственным средством', 'G25.1', 5086, 'G25', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5089, 'Другие уточненные формы тремора', 'G25.2', 5086, 'G25', 0, 'Интенционный тремор');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5090, 'Миоклонус', 'G25.3', 5086, 'G25', 0, 'Миоклонус, вызванный лекарственным средстом При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ). Исключены: лицевая миокимия (G51.4) миоклоническая эпилепсия (G40.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5091, 'Хорея, вызванная лекарственным средством', 'G25.4', 5086, 'G25', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5092, 'Другие виды хореи', 'G25.5', 5086, 'G25', 0, 'Хорея БДУ Исключены: хорея БДУ с вовлечением сердца (I02.0) хорея Гентингтона (G10) ревматическая хорея (I02.-) хорея Сиденхена (I02.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5093, 'Тики, вызванные лекарственными средствами, и другие тики органического происхождения', 'G25.6', 5086, 'G25', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ). Исключены: синдром де ла Туретта (F95.2) тик БДУ (F95.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5094, 'Другие уточненные экстрапирамидные и двигательные нарушения', 'G25.8', 5086, 'G25', 0, 'Синдром "беспокойных " ног Синдром скованного человека');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5095, 'Экстрапирамидное и двигательное расстройство неуточненное', 'G25.9', 5086, 'G25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5096, 'Экстрапирамидные и двигательные нарушения при болезнях, классифицированных в других рубриках', 'G26*', 5061, 'G20-G26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5098, 'ДРУГИЕ ДЕГЕНЕРАТИВНЫЕ БОЛЕЗНИ НЕРВНОЙ СИСТЕМЫ', 'G30-G32', 5001, 'G00-G99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5099, 'Болезнь Альцгеймера', 'G30', 5098, 'G30-G32', 4, 'Включены: сенильная и пресенильная формы Исключены: сенильная: . дегенерация головного мозга НКДР (G31.1) . деменция БДУ (F03) сенильность БДУ (R54)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5100, 'Ранняя болезнь Альцгеймера', 'G30.0', 5099, 'G30', 0, 'Примечание. Начало болезни обычно у лиц в возрасте до 65 лет');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5101, 'Поздняя болезнь Альцгеймера', 'G30.1', 5099, 'G30', 0, 'Примечание. Начало болезни обычно у лиц в возрасте старше 65 лет');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5102, 'Другие формы болезни Альцгеймера', 'G30.8', 5099, 'G30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5103, 'Болезнь Альцгеймера неуточненная', 'G30.9', 5099, 'G30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5104, 'Другие дегенеративные болезни нервной системы, не классифицированные в других рубриках', 'G31', 5098, 'G30-G32', 5, 'Исключен: синдром Рейе (G93.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5105, 'Ограниченная атрофия головного мозга', 'G31.0', 5104, 'G31', 0, 'Болезнь Пика Прогрессирующая изолированная афазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5106, 'Сенильная дегенерация головного мозга, не классифицированная в других рубриках', 'G31.1', 5104, 'G31', 0, 'Исключены: болезнь Альцгеймера (G30.-) сенильность БДУ (R54)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5107, 'Дегенерация нервной системы, вызванная алкоголем', 'G31.2', 5104, 'G31', 0, 'Алкогольная: . мозжечковая: . атаксия . дегенерация . церебральная дегенерация . энцефалопатия Расстройство вегетативной [автономной] нервной системы, вызванное алкоголем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5108, 'Другие уточненные дегенеративные болезни нервной системы', 'G31.8', 5104, 'G31', 0, 'Дегенерация серого вещества [болезнь Альперса] Подострая некротизирующая энцефалопатия [болезнь Лейга]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5109, 'Дегенеративная болезнь нервной системы неуточненная', 'G31.9', 5104, 'G31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5110, 'Другие дегенеративные нарушения нервной системы при болезнях, классифицированных в других рубриках', 'G32*', 5098, 'G30-G32', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5111, 'Подострая комбинированная дегенерация спинного мозга при болезнях, классифицированных в других рубриках', 'G32.0*', 5110, 'G32*', 0, 'Подострая комбинированная дегенерация спинного мозга при недостатке витамина В12 (Е53.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5112, 'Другие уточненные дегенеративные нарушения нервной системы при болезнях, классифицированных в других рубриках', 'G32.8*', 5110, 'G32*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5114, 'ДЕМИЕЛИНИЗИРУЮЩИЕ БОЛЕЗНИ ЦЕНТРАЛЬНОЙ НЕРВНОЙ СИСТЕМЫ', 'G35-G37', 5001, 'G00-G99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5115, 'Рассеянный склероз', 'G35', 5114, 'G35-G37', 0, 'Множественный склероз: . БДУ . ствола головного мозга . спинного мозга . диссеминированный . генерализованный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5116, 'Другая форма острой диссеминированной демиелинизации', 'G36', 5114, 'G35-G37', 4, 'Исключены: постинфекционный энцефалит и энцефаломиелит БДУ (G04.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5117, 'Оптиконевромиелит [болезнь Девика]', 'G36.0', 5116, 'G36', 0, 'Демиелинизация при неврите зрительного нерва Исключен: неврит зрительного нерва БДУ (H46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5118, 'Острый и подострый геморрагический лейкоэнцефалит [болезнь Харста]', 'G36.1', 5116, 'G36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5119, 'Другая уточненная форма острой диссеминированной демиелинизации', 'G36.8', 5116, 'G36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5120, 'Острая диссеминированная демиелинизация неуточненная', 'G36.9', 5116, 'G36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5121, 'Другие демиелинизирующие болезни центральной нервной системы', 'G37', 5114, 'G35-G37', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5122, 'Диффузный склероз', 'G37.0', 5121, 'G37', 0, 'Периаксиальный энцефалит болезнь Шильдера Исключена: адренолейкодистрофия [Аддисона-Шильдера] (E71.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5123, 'Центральная демиелинизация мозолистого тела', 'G37.1', 5121, 'G37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5124, 'Центральный понтинный миелинолиз', 'G37.2', 5121, 'G37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5125, 'Острый поперечный миелит при демиелинизирующей болезни центральной нервной системы', 'G37.3', 5121, 'G37', 0, 'Острый поперечный миелит БДУ Исключены: рассеянный склероз (G35) оптиконевромиелит [болезнь Девика] (G36.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5126, 'Подострый некротизирующий миелит', 'G37.4', 5121, 'G37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5127, 'Концентрический склероз [Бало]', 'G37.5', 5121, 'G37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5128, 'Другие уточненные демиелинизирующие болезни центральной нервной системы', 'G37.8', 5121, 'G37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5129, 'Демиелинизирующая болезнь центральной нервной системы неуточненная', 'G37.9', 5121, 'G37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5131, 'ЭПИЗОДИЧЕСКИЕ И ПАРОКСИЗМАЛЬНЫЕ РАССТРОЙСТВА', 'G40-G47', 5001, 'G00-G99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5132, 'Эпилепсия', 'G40', 5131, 'G40-G47', 10, 'Исключены: синдром Ландау-Клеффнера (F80.3) судорожный припадок БДУ (R56.8) эпилептический статус (G41.-) паралич Тодда (G83.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5133, 'Локализованная (фокальная) (парциальная) идиопатическая эпилепсия и эпилептические синдромы с судорожными припадками с фокальным началом', 'G40.0', 5132, 'G40', 0, 'Доброкачественная детская эпилепсия с пиками на ЭЭГ в центрально-височной области Детская эпилепсия с пароксизмальной активностью ни ЭЭГ в затылочной области');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5134, 'Локализованная (фокальная) (парциальная) симптоматическая эпилепсия и эпилептические синдромы с простыми парциальными припадками', 'G40.1', 5132, 'G40', 0, 'Приступы без изменения сознания Простые парциальные припадки, переходящие во вторично генерализованные припадки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5135, 'Локализованная (фокальная) (парциальная) симптоматическая эпилепсия и эпилептические синдромы с комплексными парциальными судорожными припадками', 'G40.2', 5132, 'G40', 0, 'Приступы с измением сознания, часто с эпилептическим автоматизмом Комплексные парциальные припадки, переходящие во вторично генерализованные припадки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5136, 'Генерализованная идиопатическая эпилепсия и эпилептические синдромы', 'G40.3', 5132, 'G40', 0, 'Доброкачественная(ые): . миоклоническая эпилепсия раннего детского возраста . неонатальные судороги (семейные) Детские эпилептические абсансы [пикнолепсия] Эпилепсия с большими судорожными припадками [grand mal] при пробуждении Ювенильная: . абсанс-эпилепсия . миоклоническая эпилепсия [импульсивный малый припадок, petit mal] Неспецифические эпилептические припадки: . атонические . клонические . миоклонические . тонические . тонико-клонические');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5137, 'Другие виды генерализованной эпилепсии и эпилептических синдромов', 'G40.4', 5132, 'G40', 0, 'Эпилепсия с: . миоклоническими абсансами . миоклоно-астатическими припадками Детские спазмы Синдром Леннокса-Гасто Салаамов тик Симптоматическая ранняя миоклоническая энцефалопатия Синдром Уэста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5138, 'Особые эпилептические синдромы', 'G40.5', 5132, 'G40', 0, 'Эпилепсия парциальная непрерывная [Кожевникова] Эпилептические припадки, связанные с: . употреблением алкоголя . применением лекарственных средств . гормональными изменениями . лишением сна . воздействием стрессовых факторов При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5139, 'Припадки grand mal неуточненные (с малыми припадками [petit mal] или без них)', 'G40.6', 5132, 'G40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5140, 'Малые припадки [petit mal] неуточненные без припадков grand mal', 'G40.7', 5132, 'G40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5141, 'Другие уточненные формы эпилепсии', 'G40.8', 5132, 'G40', 0, 'Эпилепсия и эпилептические синдромы, не определенные как фокальные или генерализованные');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5142, 'Эпилепсия неуточненная', 'G40.9', 5132, 'G40', 0, 'Эпилептические: . конвульсии БДУ . приступы БДУ . припадки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5143, 'Эпилептический статус', 'G41', 5131, 'G40-G47', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5144, 'Эпилептический статус grand mal (судорожных припадков)', 'G41.0', 5143, 'G41', 0, 'Тонико-клонический эпилептический статус Исключена: эпилепсия парциальная непрерывная [Кожевникова] (G40.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5145, 'Зпилептический статус petit mal (малых припадков)', 'G41.1', 5143, 'G41', 0, 'Эпилептический статус абсансов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5146, 'Сложный парциальный эпилептический статус', 'G41.2', 5143, 'G41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5147, 'Другой уточненный эпилептический статус', 'G41.8', 5143, 'G41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5148, 'Эпилептический статус неуточненный', 'G41.9', 5143, 'G41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5149, 'Мигрень', 'G43', 5131, 'G40-G47', 6, 'Исключена: головная боль БДУ (R51)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5150, 'Мигрень без ауры [простая мигрень]', 'G43.0', 5149, 'G43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5151, 'Мигрень с аурой [классическая мигрень]', 'G43.1', 5149, 'G43', 0, 'Мигрень: . аура без головной боли . базилярная . эквиваленты . семейная гемиплегическая . гемиплегическая . с: . аурой при остром начале . длительной аурой . типичной аурой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5152, 'Мигренозный статус', 'G43.2', 5149, 'G43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5153, 'Осложненная мигрень', 'G43.3', 5149, 'G43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5154, 'Другая мигрень', 'G43.8', 5149, 'G43', 0, 'Офтальмоплегическая мигрень Ретинальная мигрень');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5155, 'Мигрень неуточненная', 'G43.9', 5149, 'G43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5156, 'Другие синдромы головной боли', 'G44', 5131, 'G40-G47', 6, 'Исключены: атипичная лицевая боль (G50.1) головная боль БДУ (R51) невралгия тройничного нерва (G50.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5157, 'Синдром "гистаминовой" головной боли', 'G44.0', 5156, 'G44', 0, 'Хроническая пароксизмальная гемикрания "Гистаминовая" головная боль: . хроническая . эпизодическая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5158, 'Сосудистая головная боль, не классифицированная в других рубриках', 'G44.1', 5156, 'G44', 0, 'Сосудистая головная боль БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5159, 'Головная боль напряженного типа', 'G44.2', 5156, 'G44', 0, 'Хроническая головная боль напряжения Эпизодическая головная боль напряжения Головная боль напряжения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5160, 'Хроническая посттравматическая головная боль', 'G44.3', 5156, 'G44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5161, 'Головная боль, вызванная применением лекарственных средств, не классифицированная в других рубриках', 'G44.4', 5156, 'G44', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5162, 'Другой уточненный синдром головной боли', 'G44.8', 5156, 'G44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5163, 'Преходящие транзиторные церебральные ишемические приступы [атаки] и родственные синдромы', 'G45', 5131, 'G40-G47', 7, 'Исключена: неонатальная церебральная ишемия (P91.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5164, 'Синдром вертебробазилярной артериальной системы', 'G45.0', 5163, 'G45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5165, 'Синдром сонной артерии (полушарный)', 'G45.1', 5163, 'G45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5166, 'Множественные и двусторонние синдромы церебральных артерий', 'G45.2', 5163, 'G45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5167, 'Преходящая слепота', 'G45.3', 5163, 'G45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5168, 'Транзиторная глобальная амнезия', 'G45.4', 5163, 'G45', 0, 'Исключена: амнезия БДУ (R41.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5169, 'Другие транзиторные церебральные ишемические атаки и связанные с ними синдромы', 'G45.8', 5163, 'G45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5170, 'Транзиторная церебральная ишемическая атака неуточненная', 'G45.9', 5163, 'G45', 0, 'Спазм церебральной артерии Транзиторная церебральная ишемия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5171, 'Сосудистые мозговые синдромы при цереброваскулярных болезнях (I60-I67+)', 'G46*', 5131, 'G40-G47', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5172, 'Синдром средней мозговой артерии (I66.0+)', 'G46.0*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5173, 'Синдром передней мозговой артерии (I66.1+)', 'G46.1*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5174, 'Синдром задней мозговой артерии (I66.2+)', 'G46.2*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5175, 'Синдром инсульта в стволе головного мозга (I60-I67+)', 'G46.3*', 5171, 'G46*', 0, 'Синдром: . Бенедикта . Клода . Фовилля . Мийяра-Жюбле . Валленберга . Вебера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5176, 'Синдром мозжечкового инсульта (I60-I67+)', 'G46.4*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5177, 'Чисто двигательный лакунарный синдром (I60-I67+)', 'G46.5*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5178, 'Чисто чувствительный лакунарный синдром (I60-I67+)', 'G46.6*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5179, 'Другие лакунарные синдромы (I60-I67+)', 'G46.7*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5180, 'Другие сосудистые синдромы головного мозга при цереброваскулярных болезнях (I60-I67+)', 'G46.8*', 5171, 'G46*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5181, 'Расстройства сна', 'G47', 5131, 'G40-G47', 7, 'Исключены: кошмары (F51.5) расстройства сна неорганической этиологии (F51.-) ночные ужасы (F51.4) снохождение (F51.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5182, 'Нарушения засыпания и поддержания сна [бессонница]', 'G47.0', 5181, 'G47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5183, 'Нарушения в виде повышенной сонливости [гиперсомния]', 'G47.1', 5181, 'G47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5184, 'Нарушения цикличности сна и бодрствования', 'G47.2', 5181, 'G47', 0, 'Синдром задержки фазы сна Нарушение цикла сна и бодрствования');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5185, 'Апноэ во сне', 'G47.3', 5181, 'G47', 0, 'Апноэ во сне: . центральное . обструктивное Исключены: пиквикский синдром (E66.2) апноэ во сне у новорожденных (P28.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5186, 'Нарколепсия и катаплексия', 'G47.4', 5181, 'G47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5187, 'Другие нарушения сна', 'G47.8', 5181, 'G47', 0, 'Синдром Клейне-Левина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5188, 'Нарушение сна неуточненное', 'G47.9', 5181, 'G47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5190, 'ПОРАЖЕНИЯ ОТДЕЛЬНЫХ НЕРВОВ, НЕРВНЫХ КОРЕШКОВ И СПЛЕТЕНИЙ', 'G50-G59', 5001, 'G00-G99', 10, 'Исключены: текущие травматические поражения нервов, нервных корешков и сплетений-см. травмы нервов по областям тела невралгия } неврит } БДУ (M79.2) периферический неврит при беременности (O26.8) радикулит БДУ (M54.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5191, 'Поражения тройничного нерва', 'G50', 5190, 'G50-G59', 4, 'Включены: поражения 5-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5192, 'Невралгия тройничного нерва', 'G50.0', 5191, 'G50', 0, 'Синдром пароксизмальной лицевой боли болезненный тик');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5193, 'Атипичная лицевая боль', 'G50.1', 5191, 'G50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5194, 'Другие поражения тройничного нерва', 'G50.8', 5191, 'G50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5195, 'Поражение тройничного нерва неуточненное', 'G50.9', 5191, 'G50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5196, 'Поражения лицевого нерва', 'G51', 5190, 'G50-G59', 7, 'Включены: поражения 7-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5197, 'Паралич Белла', 'G51.0', 5196, 'G51', 0, 'Лицевой паралич');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5198, 'Воспаление узла коленца', 'G51.1', 5196, 'G51', 0, 'Исключено: постгерпетическое воспаление узла коленца (B02.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5199, 'Синдром Россолимо-Мелькерссона', 'G51.2', 5196, 'G51', 0, 'Синдром Россолимо-Мелькерссона-Розенталя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5200, 'Клонический гемифациальный спазм', 'G51.3', 5196, 'G51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5201, 'Лицевая миокимия', 'G51.4', 5196, 'G51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5202, 'Другие поражения лицевого нерва', 'G51.8', 5196, 'G51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5203, 'Поражение лицевого нерва неуточненное', 'G51.9', 5196, 'G51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5204, 'Поражения других черепных нервов', 'G52', 5190, 'G50-G59', 7, 'Исключены: нарушения: . слухового (8-го) нерва (H93.3) . зрительного (2-го) нерва (H46, H47.0) . паралитическое косоглазие вследствие паралича нерва (H49.0-H49.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5205, 'Поражения обонятельного нерва', 'G52.0', 5204, 'G52', 0, 'Поражение 1-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5206, 'Поражения языкоглоточного нерва', 'G52.1', 5204, 'G52', 0, 'Поражение 9-го черепного нерва Языкоглоточная невралгия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5207, 'Поражения блуждающего нерва', 'G52.2', 5204, 'G52', 0, 'Поражение пневмогастрального (10-го) нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5208, 'Поражения подъязычного нерва', 'G52.3', 5204, 'G52', 0, 'Поражение 12-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5209, 'Множественные поражения черепных нервов', 'G52.7', 5204, 'G52', 0, 'Полиневрит черепных нервов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5210, 'Поражения других уточненных черепных нервов', 'G52.8', 5204, 'G52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5211, 'Поражение черепного нерва неуточненное', 'G52.9', 5204, 'G52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5212, 'Поражения черепных нервов при болезнях, классифицированных в других рубриках', 'G53*', 5190, 'G50-G59', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5213, 'Невралгия после опоясывающего лишая (B02.2+)', 'G53.0*', 5212, 'G53*', 0, 'Постгерпетическое(ая): . воспаление ганглия узла коленца . невралгия тройничного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5214, 'Множественные поражения черепных нервов при инфекционных и паразитарных болезнях, классифицированных в других рубриках (A00-B99+)', 'G53.1*', 5212, 'G53*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5215, 'Множественные поражения черепных нервов при саркоидозе (D86.8+)', 'G53.2*', 5212, 'G53*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5216, 'Множественные поражения черепных нервов при новообразо ваниях (C00-D48+)', 'G53.3*', 5212, 'G53*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5217, 'Другие поражения черепных нервов при других болезнях, классифицированных в других рубриках', 'G53.8*', 5212, 'G53*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5218, 'Поражения нервных корешков и сплетений', 'G54', 5190, 'G50-G59', 10, 'Исключены: текущие травматические поражения нервных корешков и сплетений - см. травму нервов по областям тела поражения межпозвоночных дисков (M50-M51) невралгия или неврит БДУ (M79.2) неврит или радикулит: . плечевой БДУ } . поясничный БДУ } . пояснично-крестцовый БДУ } . грудной БДУ } (M54.1) радикулит БДУ } радикулопатия БДУ } спондилез (M47.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5219, 'Поражения плечевого сплетения', 'G54.0', 5218, 'G54', 0, 'Инфраторакальный синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5220, 'Поражения пояснично-крестцового сплетения', 'G54.1', 5218, 'G54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5221, 'Поражения шейных корешков, не классифицированные в других рубриках', 'G54.2', 5218, 'G54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5222, 'Поражения грудных корешков, не классифицированные в другихрубриках', 'G54.3', 5218, 'G54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5223, 'Поражения пояснично-крестцовых корешков, не классифицированные в других рубриках', 'G54.4', 5218, 'G54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5224, 'Невралгическая амиотрофия', 'G54.5', 5218, 'G54', 0, 'Синдром Парсонейджа-Алдрена-Тернера Плечевой опоясывающий неврит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5225, 'Синдром фантома конечности с болью', 'G54.6', 5218, 'G54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5226, 'Синдром фантома конечности без боли', 'G54.7', 5218, 'G54', 0, 'Синдром фантома конечности БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5227, 'Другие поражения нервных корешков и сплетений', 'G54.8', 5218, 'G54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5228, 'Поражение нервных корешков и сплетений неуточненное', 'G54.9', 5218, 'G54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5229, 'Сдавления нервных корешков и сплетений при болезнях, классифицированных в других рубриках', 'G55*', 5190, 'G50-G59', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5230, 'Сдавления нервных корешков и сплетений при новообразованиях (C00-D48+)', 'G55.0*', 5229, 'G55*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5231, 'Сдавления нервных корешков и сплетений при нарушениях межпозвоночных дисков (M50-M51+)', 'G55.1*', 5229, 'G55*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5232, 'Сдавления нервных корешков и сплетений при спондилезе(M47.-+)', 'G55.2*', 5229, 'G55*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5233, 'Сдавления нервных корешков и сплетений при других дорсопатиях (M45-M46+, M48.-+, M53-M54+)', 'G55.3*', 5229, 'G55*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5234, 'Сдавления нервных корешков и сплетений при других болезнях, классифицированных в других рубриках', 'G55.8*', 5229, 'G55*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5235, 'Мононевропатии верхней конечности', 'G56', 5190, 'G50-G59', 7, 'Исключено: текущее травматическое поражение нервов - см. травму нервов по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5236, 'Синдром запястного канала', 'G56.0', 5235, 'G56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5237, 'Другие поражения срединного нерва', 'G56.1', 5235, 'G56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5238, 'Поражение локтевого нерва', 'G56.2', 5235, 'G56', 0, 'Поздний паралич локтевого нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5239, 'Поражение лучевого нерва', 'G56.3', 5235, 'G56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5240, 'Каузалгия', 'G56.4', 5235, 'G56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5241, 'Другие мононевропатии верхней конечности', 'G56.8', 5235, 'G56', 0, 'Межпальцевая неврома верхней конечности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5242, 'Мононевропатия верхней конечности неуточненная', 'G56.9', 5235, 'G56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5243, 'Мононевропатии нижней конечности', 'G57', 5190, 'G50-G59', 9, 'Исключено: текущее травматическое поражение нервов - см. травму нервов по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5244, 'Поражение седалищного нерва', 'G57.0', 5243, 'G57', 0, 'Исключен: ишиас: . БДУ (M54.3) . связанный с поражением межпозвоночного диска (M51.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5245, 'Мералгия парестетическая', 'G57.1', 5243, 'G57', 0, 'Синдром бокового кожного нерва бедра');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5246, 'Поражение бедренного нерва', 'G57.2', 5243, 'G57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5247, 'Поражение бокового подколенного нерва', 'G57.3', 5243, 'G57', 0, 'Паралич малоберцового (перонеального) нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5248, 'Поражение срединного подколенного нерва', 'G57.4', 5243, 'G57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5249, 'Синдром предплюсневого канала', 'G57.5', 5243, 'G57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5250, 'Поражение подошвенного нерва', 'G57.6', 5243, 'G57', 0, 'Метатарзалгия Мортона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5251, 'Другие мононевралгии нижней конечности', 'G57.8', 5243, 'G57', 0, 'Межпальцевая неврома нижней конечности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5252, 'Мононевропатия нижней конечности неуточненная', 'G57.9', 5243, 'G57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5253, 'Другие мононевропатии', 'G58', 5190, 'G50-G59', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5254, 'Межреберная невропатия', 'G58.0', 5253, 'G58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5255, 'Множественный мононеврит', 'G58.7', 5253, 'G58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5256, 'Другие уточненные виды мононевропатии', 'G58.8', 5253, 'G58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5257, 'Мононевропатия неуточненная', 'G58.9', 5253, 'G58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5258, 'Мононевропатия при болезнях, классифицированных в других рубриках', 'G59*', 5190, 'G50-G59', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5259, 'Диабетическая мононевропатия (E10-E14+ с общим четвертым знаком .4)', 'G59.0*', 5258, 'G59*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5260, 'Другие мононевропатии при болезнях, классифицированных в других рубриках', 'G59.8*', 5258, 'G59*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5262, 'ПОЛИНЕВРОПАТИИ И ДРУГИЕ ПОРАЖЕНИЯ ПЕРИФЕРИЧЕСКОЙ НЕРВНОЙ СИСТЕМЫ', 'G60-G64', 5001, 'G00-G99', 5, 'Исключены: невралгия БДУ (M79.2) неврит БДУ (M79.2) периферический неврит при беременности (O26.8) радикулит БДУ (M54.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5263, 'Наследственная и идиопатическая невропатия', 'G60', 5262, 'G60-G64', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5264, 'Наследственная моторная и сенсорная невропатия', 'G60.0', 5263, 'G60', 0, 'Болезнь: . Шарко-Мари-Тутса . Дежерина-Сотта Наследственная моторная и сенсорная невропатия, типы I-IY Гипертрофическая невропатия у детей Перонеальная мышечная атрофия (аксональный тип) (гепертрофический тип) Синдром Русси-Леви');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5265, 'Болезнь Рефсума', 'G60.1', 5263, 'G60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5266, 'Невропатия в сочетании с наследственной атаксией', 'G60.2', 5263, 'G60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5267, 'Идиопатическая прогрессирующая невропатия', 'G60.3', 5263, 'G60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5268, 'Другие наследственные и идиопатические невропатии', 'G60.8', 5263, 'G60', 0, 'Болезнь Морвана Синдром Нелатона Сенсорная невропатия: . доминантное наследование . рецессивное наследование');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5269, 'Наследственная и идиопатическая невропатия неуточненная', 'G60.9', 5263, 'G60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5270, 'Воспалительная полиневропатия', 'G61', 5262, 'G60-G64', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5271, 'Синдром Гийена-Барре', 'G61.0', 5270, 'G61', 0, 'Острый (пост-)инфекционный полиневрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5272, 'Сывороточная невропатия', 'G61.1', 5270, 'G61', 0, 'При необходимости идентифицировать причину используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5273, 'Другие воспалительные полиневропатии', 'G61.8', 5270, 'G61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5274, 'Воспалительная полиневропатия неуточненная', 'G61.9', 5270, 'G61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5275, 'Другие полиневропатии', 'G62', 5262, 'G60-G64', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5276, 'Лекарственная полиневропатия', 'G62.0', 5275, 'G62', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5277, 'Алкогольная полиневропатия', 'G62.1', 5275, 'G62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5278, 'Полиневропатия, вызванная другими токсичными веществами', 'G62.2', 5275, 'G62', 0, 'При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5279, 'Другие уточненные полиневропатии', 'G62.8', 5275, 'G62', 0, 'Лучевая полиневропатия При необходимости идентифицировать причину используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5280, 'Полиневропатия неуточненная', 'G62.9', 5275, 'G62', 0, 'Невропатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5281, 'Полиневропатия при болезнях, классифицированных в других рубриках', 'G63*', 5262, 'G60-G64', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5282, 'Полиневропатия при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'G63.0*', 5281, 'G63*', 0, 'Полиневропатия при: . дифтерии (А36.8+) . инфекционном мононуклеозе (В27.-+) . лепре (A30.-+) . болезни Лайма (А69.2+) . эпидемическом паротите (В26.8+) . опоясывающем лишае (В02.2+) . сифилисе позднем (А52.1+) . сифилисе врожденном (А50.4+) . туберкулезе (A17.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5283, 'Полиневропатия при новообразованиях (C00-D48+)', 'G63.1*', 5281, 'G63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5284, 'Диабетическая полиневропатия (E10-E14+ с общим четвертым знаком .4)', 'G63.2*', 5281, 'G63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5285, 'Полиневропатия при других эндокринных болезнях и нарушениях обмена веществ (E00-E07+, E15-E16+, E20-E34+, E70-E89+)', 'G63.3*', 5281, 'G63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5286, 'Полиневропатия при недостаточности питания (E40-E64+)', 'G63.4*', 5281, 'G63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5287, 'Полиневропатия при системных поражениях соединительной ткани (M30-M35+)', 'G63.5*', 5281, 'G63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5288, 'Полиневропатия при других костно-мышечных поражениях (M00-M25+, M40-M96+)', 'G63.6*', 5281, 'G63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5289, 'Полиневропатия при других болезнях, классифицированных в других рубриках', 'G63.8*', 5281, 'G63*', 0, 'Уремическая невропатия (N18.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5290, 'Другие расстройства периферической нервной системы', 'G64', 5262, 'G60-G64', 0, 'Расстройство периферической нервной системы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5292, 'БОЛЕЗНИ НЕРВНО-МЫШЕЧНОГО СИНАПСА И МЫШЦ', 'G70-G73', 5001, 'G00-G99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5293, 'Myasthenia gravis и другие нарушения нервно-мышечного синапса', 'G70', 5292, 'G70-G73', 5, 'Исключены: ботулизм (A05.1) транзиторная неонатальная Myasthenia gravis (P94.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5294, 'Myasthenia gravis', 'G70.0', 5293, 'G70', 0, 'Если болезнь вызвана лекарственным средством, для его идентификации используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5295, 'Токсические нарушения нервно-мышечного синапса', 'G70.1', 5293, 'G70', 0, 'При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5296, 'Врожденная или приобретенная миастения', 'G70.2', 5293, 'G70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5297, 'Другие нарушения нервно-мышечного синапса', 'G70.8', 5293, 'G70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5298, 'Нарушение нервно-мышечного синапса неуточненное', 'G70.9', 5293, 'G70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5299, 'Первичные поражения мышц', 'G71', 5292, 'G70-G73', 6, 'Исключены: артрогрипоз множественный врожденный (Q74.3) нарушения обмена веществ (E70-E90) миозит (M60.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5300, 'Мышечная дистрофия', 'G71.0', 5299, 'G71', 0, 'Мышечная дистрофия: . аутосомная рецессивная детского типа, напоминающая дистрофию Дюшенна или Беккера . доброкачественная [Беккера] . доброкачественная лопаточно-перонеальная с ранними контрактурами [Эмери-Дрейфуса] . дистальная . плечелопаточно-лицевая . конечностно-поясная . глазных мышц . глазоглоточная [окулофарингеальная] . лопаточно-малоберцовая . злокачественная [Дюшенна] Исключены: врожденная мышечная дистрофия: . БДУ (G71.2) . с уточненными морфологическими поражениями мышечного волокна (G71.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5301, 'Миотонические расстройства', 'G71.1', 5299, 'G71', 0, 'Дистрофия миотоническая [Штейнера] Миотония: . хондродистрофическая . лекарственная . симптоматическая Миотония врожденная: . БДУ . доминантное наследование [Томсена] . рецессивное наследование [Беккера] Нейромиотония [Исаакса] Парамиотония врожденная Псевдомиотония При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5302, 'Врожденные миопатии', 'G71.2', 5299, 'G71', 0, 'Врожденная мышечная дистрофия: . БДУ . со специфическими морфологическими поражениями мышечного волокна Болезнь: . цетрального ядра . миниядерная . мультиядерная Диспропорция типов волокон Миопатия: . миотубулярная (центроядерная) . немалинная [болезнь немалинного тела]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5303, 'Митохондриальная миопатия, не классифицированная в других рубриках', 'G71.3', 5299, 'G71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5304, 'Другие первичные поражения мышц', 'G71.8', 5299, 'G71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5305, 'Первичное поражение мышцы неуточненное', 'G71.9', 5299, 'G71', 0, 'Наследственная миопатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5306, 'Другие миопатии', 'G72', 5292, 'G70-G73', 7, 'Исключены: врожденный множественный артрогрипоз (Q74.3) дерматополимиозит (M33.-) ишемический инфаркт мышцы (M62.2) миозит (M60.-) полимиозит (M33.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5307, 'Лекарственная миопатия', 'G72.0', 5306, 'G72', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5308, 'Алкогольная миопатия', 'G72.1', 5306, 'G72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5309, 'Миопатия, вызванная другим токсичным веществом', 'G72.2', 5306, 'G72', 0, 'При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс ХХ).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5310, 'Периодический паралич', 'G72.3', 5306, 'G72', 0, 'Периодический паралич (семейный): . гиперкалиемический . гипокалиемический . миотонический . нормокалиемический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5311, 'Воспалительная миопатия, не классифицированная в других рубриках', 'G72.4', 5306, 'G72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5312, 'Другие уточненные миопатии', 'G72.8', 5306, 'G72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5313, 'Миопатия неуточненная', 'G72.9', 5306, 'G72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5314, 'Поражения нервно-мышечного синапса и мышц при болезнях, классифицированных в других рубриках', 'G73*', 5292, 'G70-G73', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5315, 'Миастенические синдромы при эндокринных болезнях', 'G73.0*', 5314, 'G73*', 0, 'Миастенические синдромы при: . диабетической амиотрофии (Е10-Е14+ с общим четвертым знаком .4) . тиреотоксикозе [гипертиреозе] (Е05.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5316, 'Синдром Итона-Ламберта (C80+)', 'G73.1*', 5314, 'G73*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5317, 'Другие миастенические синдромы при опухолевом поражении (C00-D48+)', 'G73.2*', 5314, 'G73*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5318, 'Миастенические синдромы при других болезнях, классифицированных в других рубриках', 'G73.3*', 5314, 'G73*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5319, 'Миопатия при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'G73.4*', 5314, 'G73*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5320, 'Миопатия при эндокринных болезнях', 'G73.5*', 5314, 'G73*', 0, 'Миопатия при: . гиперпаратиреозе (Е21.0-Е21.3+) . гипопаратиреозе (Е20.-+) Тиреотоксическая миопатия (Е05.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5321, 'Миопатия при нарушениях обмена веществ', 'G73.6*', 5314, 'G73*', 0, 'Миопатия при: . нарушениях накопления гликогена (Е74.0+) . нарушениях накопления липидов (Е75.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5322, 'Миопатия при других болезнях, классифицированных в других рубриках', 'G73.7*', 5314, 'G73*', 0, 'Миопатия при: . ревматоидном артрите (М05-М06+) . склеродермии (М34.8+) . синдроме Шегрена (М35.0+) . системной красной волчанке (М32.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5324, 'ЦЕРЕБРАЛЬНЫЙ ПАРАЛИЧ И ДРУГИЕ ПАРАЛИТИЧЕСКИЕ СИНДРОМЫ', 'G80-G83', 5001, 'G00-G99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5325, 'Детский церебральный паралич', 'G80', 5324, 'G80-G83', 7, 'Включена: болезнь Литтла Исключена: наследственная спастическая параплегия (G11.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5326, 'Спастический церебральный паралич', 'G80.0', 5325, 'G80', 0, 'Врожденный спастический паралич (церебральный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5327, 'Спастическая диплегия', 'G80.1', 5325, 'G80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5328, 'Детская гемиплегия', 'G80.2', 5325, 'G80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5329, 'Дискинетический церебральный паралич', 'G80.3', 5325, 'G80', 0, 'Атетоидный церебральный паралич');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5330, 'Атаксический церебральный паралич', 'G80.4', 5325, 'G80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5331, 'Другой вид детского церебрального паралича', 'G80.8', 5325, 'G80', 0, 'Смешанные синдромы церебрального паралича');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5332, 'Детский церебральный паралич неуточненный', 'G80.9', 5325, 'G80', 0, 'Церебральный паралич БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5333, 'Гемиплегия', 'G81', 5324, 'G80-G83', 3, 'Примечание. Для первичного кодирования эту рубрику следует использовать только тогда, когда о гемиплегии (полной) (неполной) сообщается без дополнительного уточнения или утверждается, что она установлена давно или существует длительно, но ее причина не уточнена. Эту рубрику также применяют при кодировании по множественным причинам для идентификации типов гемиплегии, вызванной любой причиной. Исключены: врожденный и детский церебральный паралич (G80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5334, 'Вялая гемиплегия', 'G81.0', 5333, 'G81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5335, 'Спастическая гемиплегия', 'G81.1', 5333, 'G81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5336, 'Гемиплегия неуточненная', 'G81.9', 5333, 'G81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5337, 'Параплегия и тетраплегия', 'G82', 5324, 'G80-G83', 6, 'Примечание. Для первичного кодирования эту рубрику следует использовать только тогда, когда о перечисленных состояниях сообщается без дополнительного уточнения или утверждается, что они установлены давно или существуют длительно, но их причина не уточнена. Эту рубрику также применяют при кодировании по множественным причинам для идентификации этих состояний, вызванных любой причиной. Исключены: врожденный или детский церебральный паралич (G80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5338, 'Вялая параплегия', 'G82.0', 5337, 'G82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5339, 'Спастическая параплегия', 'G82.1', 5337, 'G82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5340, 'Параплегия неуточненная', 'G82.2', 5337, 'G82', 0, 'Паралич обеих нижних конечностей БДУ Параплегия (нижняя) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5341, 'Вялая тетраплегия', 'G82.3', 5337, 'G82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5342, 'Спастическая тетраплегия', 'G82.4', 5337, 'G82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5343, 'Тетраплегия неуточненная', 'G82.5', 5337, 'G82', 0, 'Квадриплегия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5344, 'Другие паралитические синдромы', 'G83', 5324, 'G80-G83', 7, 'Примечание. Для первичного кодирования эту рубрику следует использовать только тогда, когда о перечисленных состояниях сообщается без дополнительного уточнения или утверждается, что они установлены давно или существуют длительно, но их причина не уточнена. Эту рубрику также применяют при кодировании по множественным причинам для идентификации этих состояний, вызванных любой причиной. Включен: паралич (полный) (неполный), кроме указанного в рубриках G80-G82');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5345, 'Диплегия верхних конечностей', 'G83.0', 5344, 'G83', 0, 'Диплегия (верхняя) Паралич обеих верхних конечностей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5346, 'Моноплегия нижней конечности', 'G83.1', 5344, 'G83', 0, 'Паралич нижней конечности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5347, 'Моноплегия верхней конечности', 'G83.2', 5344, 'G83', 0, 'Паралич верхней конечности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5348, 'Моноплегия неуточненная', 'G83.3', 5344, 'G83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5349, 'Синдром конского хвоста', 'G83.4', 5344, 'G83', 0, 'Неврогенный мочевой пузырь, связанный с синдромом конского хвоста Исключен: спинальный мочевой пузырь БДУ (G95.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5350, 'Другие уточненные паралитические синдромы', 'G83.8', 5344, 'G83', 0, 'Паралич Тодда (постэпилептичнский)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5351, 'Паралитический синдром неуточненный', 'G83.9', 5344, 'G83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5353, 'ДРУГИЕ НАРУШЕНИЯ НЕРВНОЙ СИСТЕМЫ', 'G90-G99', 5001, 'G00-G99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5354, 'Расстройства вегетативной [автономной] нервной системы', 'G90', 5353, 'G90-G99', 6, 'Исключено: расстройство вегетативной нервной системы, вызванное алкоголем (G31.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5355, 'Идиопатическая периферическая вегетативная невропатия', 'G90.0', 5354, 'G90', 0, 'Обморок, связанный с раздражением каротидного синуса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5356, 'Семейная дизавтономия [Райли-Дея]', 'G90.1', 5354, 'G90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5357, 'Синдром Горнера', 'G90.2', 5354, 'G90', 0, 'Синдром Бернара(-Горнера)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5358, 'Полисистемная дегенерация', 'G90.3', 5354, 'G90', 0, 'Неврогенная ортостатическая гипотензия [Шая-Дрейджера] Исключена: ортостатическая гипотензия БДУ (I95.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5359, 'Другие расстройства вегетативной [автономной] нервной системы', 'G90.8', 5354, 'G90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5360, 'Расстройство вегетативной [автономной] нервной системы неуточненное', 'G90.9', 5354, 'G90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5361, 'Гидроцефалия', 'G91', 5353, 'G90-G99', 6, 'Включена: приобретенная гидроцефалия Исключены: гидроцефалия: . врожденная (Q03.-) . вызванная врожденным токсоплазмозом (P37.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5362, 'Сообщающаяся гидроцефалия', 'G91.0', 5361, 'G91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5363, 'Обструктивная гидроцефалия', 'G91.1', 5361, 'G91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5364, 'Гидроцефалия нормального давления', 'G91.2', 5361, 'G91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5365, 'Посттравматическая гидроцефалия неуточненная', 'G91.3', 5361, 'G91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5366, 'Другие виды гидроцефалии', 'G91.8', 5361, 'G91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5367, 'Гидроцефалия неуточненная', 'G91.9', 5361, 'G91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5368, 'Токсическая энцефалопатия', 'G92', 5353, 'G90-G99', 0, 'При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5369, 'Другие поражения головного мозга', 'G93', 5353, 'G90-G99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5370, 'Церебральная киста', 'G93.0', 5369, 'G93', 0, 'Арахноидальная киста Порэнцефалическая киста приобретенная Исключены: перивентрикулярная приобретенная киста новорожденного (P91.1) врожденная церебральная киста (Q04.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5371, 'Аноксическое поражение головного мозга, не классифицированное в других рубриках', 'G93.1', 5369, 'G93', 0, 'Исключены: осложняющее: . аборт, внематочную или молярную беременность (O00-O07, O08.8) . беременность, роды или родоразрешение (O29.2, O74.3, O89.2) . хирургическую и медицинскую помощь (T80-T88) неонатальная аноксия (P21.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5372, 'Доброкачественная внутричерепная гипертензия', 'G93.2', 5369, 'G93', 0, 'Исключена: гипертензивная энцефалопатия (I67.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5373, 'Синдром утомляемости после перенесенной вирусной болезни', 'G93.3', 5369, 'G93', 0, 'Доброкачественный миалгический энцефаломиелит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5374, 'Энцефалопатия неуточненная', 'G93.4', 5369, 'G93', 0, 'Исключены: энцефалопатия: . алкогольная (G31.2) . токсическая (G92)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5375, 'Сдавление головного мозга', 'G93.5', 5369, 'G93', 0, 'Сдавление } Ущемление } головного мозга (ствола) Исключено: травматическое сдавление головного мозга (S06.2) . очаговое (S06.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5376, 'Отек мозга', 'G93.6', 5369, 'G93', 0, 'Исключены: отек мозга: . вследствие родовой травмы (P11.0) . травматический (S06.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5377, 'Синдром Рейе', 'G93.7', 5369, 'G93', 0, 'При необходимости идентифицировать внешний фактор используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5378, 'Другие уточненные поражения головного мозга', 'G93.8', 5369, 'G93', 0, 'Энцефалопатия, вызванная облучением При необходимости идентифицировать внешний фактор используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5379, 'Поражение головного мозга неуточненное', 'G93.9', 5369, 'G93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5380, 'Другие поражения головного мозга при болезнях, классифицированных в других рубриках', 'G94*', 5353, 'G90-G99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5381, 'Гидроцефалия при инфекционных и паразитарных болезнях, классифицированных в других рубриках (A00-B99+)', 'G94.0*', 5380, 'G94*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5382, 'Гидроцефалия при опухолевых болезнях (C00-D48+)', 'G94.1*', 5380, 'G94*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5383, 'Гидроцефалия при других болезнях, классифицированных в других рубриках', 'G94.2*', 5380, 'G94*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5384, 'Другие уточненные поражения головного мозга при болезнях, классифицированных в других рубриках', 'G94.8*', 5380, 'G94*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5385, 'Другие болезни спинного мозга', 'G95', 5353, 'G90-G99', 5, 'Исключен: миелит (G04.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5386, 'Сирингомиелия и сирингобульбия', 'G95.0', 5385, 'G95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5387, 'Сосудистые миелопатии', 'G95.1', 5385, 'G95', 0, 'Острый инфаркт спинного мозга (эмболический) (неэмболический) Тромбоз артерий спинного мозга Гепатомиелия Непиогенный спинномозговой флебит и тромбофлебит Отек спинного мозга Подострая некротическая миелопатия Исключен: спинномозговой флебит и тромбофлебит, кроме непиогенного (G08)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5388, 'Сдавление спинного мозга неуточненное', 'G95.2', 5385, 'G95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5389, 'Другие уточненные болезни спинного мозга', 'G95.8', 5385, 'G95', 0, '"Спинальный" мочевой пузырь БДУ Миелопатия: . лекарственная . лучевая При необходимости идентифицировать внешний фактор используют дополнительный код внешних причин (класс XX). Исключены: неврогенный мочевой пузырь: . БДУ (N31.9) . связанный с синдромом конского хвоста (G83.4) нервно-мышечная дисфункция мочевого пузыря без упоминания о поражении спинного мозга (N31.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5390, 'Болезнь спинного мозга неуточненная', 'G95.9', 5385, 'G95', 0, 'Миелопатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5391, 'Другие нарушения центральной нервной системы', 'G96', 5353, 'G90-G99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5392, 'Истечение цереброспинальной жидкости [ликворея]', 'G96.0', 5391, 'G96', 0, 'Исключено: при спинномозговой пункции (G97.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5393, 'Поражения оболочек головного мозга, не классифицированные в других рубриках', 'G96.1', 5391, 'G96', 0, 'Менингеальные сращения (церебральные) (спинальные)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5394, 'Другие уточненные поражения центральной нервной системы', 'G96.8', 5391, 'G96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5395, 'Поражение центральной нервной системы неуточненное', 'G96.9', 5391, 'G96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5396, 'Нарушения нервной системы после медицинских процедур, не классифицированные в других рубриках', 'G97', 5353, 'G90-G99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5397, 'Истечение цереброспинальной жидкости при спинномозговой пункции', 'G97.0', 5396, 'G97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5398, 'Другая реакция на спинномозговую пункцию', 'G97.1', 5396, 'G97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5399, 'Внутричерепная гипертензия после шунтирования желудочков', 'G97.2', 5396, 'G97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5400, 'Другие нарушения нервной системы после медицинских процедур', 'G97.8', 5396, 'G97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5401, 'Расстройство нервной системы после медицинских процедур неуточненное', 'G97.9', 5396, 'G97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5402, 'Другие нарушения нервной системы, не классифицированные в других рубриках', 'G98', 5353, 'G90-G99', 0, 'Поражение нервной системы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5403, 'Другие поражения нервной системы при болезнях, классифицированных в других рубриках', 'G99*', 5353, 'G90-G99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5404, 'Вегетативная невропатия при эндокринных и метаболических болезнях', 'G99.0*', 5403, 'G99*', 0, 'Амилоидная вегетативная невропатия (E85.-+) Диабетическая вегетативная невропатия (E10-E14+ с общим четвертым знаком .4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5405, 'Другие нарушения вегетативной [автономной] нервной системы при прочих болезнях, классифицированных в других рубриках', 'G99.1*', 5403, 'G99*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5406, 'Миелопатия при болезнях, классифицированных в других рубриках', 'G99.2*', 5403, 'G99*', 0, 'Синдромы сдавления передней спинальной и позвоночной артерии (M47.0*) Миелопатия при: . поражениях межпозвоночных дисков (M50.0+, M51.0+) . опухолевом поражении (C00-D48+) . спондилезе (M47.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(5407, 'Другие уточненные нарушения нервной системы при болезнях, классифицированных в других рубриках', 'G99.8*', 5403, 'G99*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6001, 'БОЛЕЗНИ ГЛАЗА И ЕГО ПРИДАТОЧНОГО АППАРАТА', 'H00-H59', NULL, NULL, 11, 'Исключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\n\nЭтот класс содержит следующие блоки:\nH00-H06 Болезни век, слезных путей и глазницы\nH10-H13 Болезни конъюнктивы\nH15-H22 Болезни склеры, роговицы, радужной оболочки и цилиарного тела\nH25-H28 Болезни хрусталика\nH30-H36 Болезни сосудистой оболочки и сетчатки\nH40-H42 Глаукома\nH43-H45 Болезни стекловидного тела и глазного яблока\nH46-H48 Болезни зрительного нерва и зрительных путей\nH49-H52 Болезни мышц глаза, нарушения содружественного движения глаз, аккомодации и рефракции\nH53-H54 Зрительные расстройства и слепота\nH55-H59 Другие болезни глаза и его придаточного аппарата\n\nЗвездочкой отмечены следующие категории:\nH03* Поражения века при болезнях, классифицированных в других рубриках\nH06* Поражения слезного аппарата и глазницы при болезнях, классифицированных в других рубриках\nH13* Поражения конъюнктивы при болезнях, классифицированных в других рубриках\nH19* Поражения склеры и роговицы при болезнях, классифицированных в других рубриках\nH22* Поражения радужной оболочки и цилиарного тела при болезнях, классифицированных в других рубриках\nH28* Катаракта и другие поражения хрусталика при болезнях, классифицированных в других рубриках\nH32* Хориоретинальные нарушения при болезнях, классифицированных в других рубриках\nH36* Нарушения сетчатки при болезнях, классифицированных в других рубриках\nH42* Глаукома при болезнях, классифицированных в других рубриках\nH45* Поражения стекловидного тела и глазного яблока при болезнях, классифицированных в других рубриках\nH48* Поражения зрительного [2-го] нерва и зрительных путей при болезнях, классифицированных других рубриках\nH58* Другие поражения глаза и его придаточного аппарата при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6002, 'БОЛЕЗНИ ВЕК, СЛЕЗНЫХ ПУТЕЙ И ГЛАЗНИЦЫ', 'H00-H06', 6001, 'H00-H59', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6003, 'Гордеолум и халазион', 'H00', 6002, 'H00-H06', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6004, 'Гордеолум и другие глубокие воспаления век', 'H00.0', 6003, 'H00', 0, 'Абсцесс } Фурункул } века Ячмень }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6005, 'Халазион', 'H00.1', 6003, 'H00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6006, 'Другие воспаления век', 'H01', 6002, 'H00-H06', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6007, 'Блефарит', 'H01.0', 6006, 'H01', 0, 'Исключен: блефароконъюнктивит (H10.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6008, 'Неинфекционные дерматозы века', 'H01.1', 6006, 'H01', 0, 'Дерматит: . аллергический } . контактный } . экзематозный } века Дисковидная эритематозная волчанка } Ксеродерма }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6009, 'Другие воспаления века уточненные', 'H01.8', 6006, 'H01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6010, 'Воспаление века неуточненное', 'H01.9', 6006, 'H01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6011, 'Другие болезни век', 'H02', 6002, 'H00-H06', 10, 'Исключены: врожденные пороки развития века (Q10.0-Q10.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6012, 'Энтропион и трихиаз века', 'H02.0', 6011, 'H02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6013, 'Эктропион века', 'H02.1', 6011, 'H02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6014, 'Лагофтальм', 'H02.2', 6011, 'H02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6015, 'Блефарохалазис', 'H02.3', 6011, 'H02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6016, 'Птоз века', 'H02.4', 6011, 'H02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6017, 'Другие болезни, нарушающие функцию века', 'H02.5', 6011, 'H02', 0, 'Анкилоблефарон Блефарофимоз Сморщивание века Исключены: блефароспазм (G24.5) тик (психогенный) (F95.-) . органический (G25.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6018, 'Ксантелазма века', 'H02.6', 6011, 'H02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6019, 'Другие дегенеративные болезни века и окологлазной области', 'H02.7', 6011, 'H02', 0, 'Хлоазма } Мадароз } века Витилиго }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6020, 'Другие уточненные болезни века', 'H02.8', 6011, 'H02', 0, 'Гипертрихоз века Неудаленное инородное тело в веке');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6021, 'Болезнь века неуточненная', 'H02.9', 6011, 'H02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6022, 'Поражения века при болезнях, классифицированных в других рубриках', 'H03*', 6002, 'H00-H06', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6023, 'Паразитарные болезни века при болезнях, классифицированных в других рубриках', 'H03.0*', 6022, 'H03*', 0, 'Дерматит века, вызванный видами Demodex (B88.0+) Поражения века при: . лейшманиозе (B55.-+) . лоаозе (B74.3+) . онхоцеркозе (B73+) . вшивости (B85.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6024, 'Поражения века при других инфекционных болезнях, классифицированных в других рубриках', 'H03.1*', 6022, 'H03*', 0, 'Поражения века при: . герпесвирусной инфекции [herpes simplex] (B00.5+) . лепре (A30.-+) . контагиозном моллюске (B08.1+) . туберкулезе (A18.4+) . фрамбезии (A66.-+) . опоясывающем лишае [herpes zoster] (B02.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6025, 'Поражения века при других болезнях, классифицированных в других рубриках', 'H03.8*', 6022, 'H03*', 0, 'Поражение века при импетиго (L01.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6026, 'Болезни слезного аппарата', 'H04', 6002, 'H00-H06', 9, 'Исключены: врожденные пороки слезного аппарата (Q10.4-Q10.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6027, 'Дакриоаденит', 'H04.0', 6026, 'H04', 0, 'Хроническая гипертрофия слезной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6028, 'Другие болезни слезной железы', 'H04.1', 6026, 'H04', 0, 'Дакриопс Синдром сухого глаза Слезной железы: . киста . атрофия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6029, 'Эпифора', 'H04.2', 6026, 'H04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6030, 'Острое и неуточненное воспаление слезных протоков', 'H04.3', 6026, 'H04', 0, 'Дакриоцистит (флегматозный) } Дакриоперицистит } острый, подострый или Каналикулит слезный } неуточненный Исключен: дакриоцистит новорожденного (P39.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6031, 'Хроническое воспаление слезных протоков', 'H04.4', 6026, 'H04', 0, 'Дакриоцистит } Слезной железы: } . каналикулит } хронический(ое) . мукоцеле }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6032, 'Стеноз и недостаточность слезных протоков', 'H04.5', 6026, 'H04', 0, 'Дакриолит Выворот слезной точки Стеноз слезного: . канальца . протока . мешка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6033, 'Другие изменения слезных протоков', 'H04.6', 6026, 'H04', 0, 'Слезная фистула');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6034, 'Другие болезни слезного аппарата', 'H04.8', 6026, 'H04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6035, 'Болезнь слезного аппарата неуточненная', 'H04.9', 6026, 'H04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6036, 'Болезни глазницы', 'H05', 6002, 'H00-H06', 8, 'Исключены: врожденные пороки глазницы (Q10.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6037, 'Острое воспаление глазницы', 'H05.0', 6036, 'H05', 0, 'Абсцесс } Целлюлит } Остеомиелит } глазницы Периостит } Тенонит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6038, 'Хронические воспалительные болезни глазницы', 'H05.1', 6036, 'H05', 0, 'Гранулема глазницы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6039, 'Экзофтальмические состояния', 'H05.2', 6036, 'H05', 0, 'Смещение глазного яблока (наружное) БДУ Кровоизлияние } Отек } глазницы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6040, 'Деформация глазницы', 'H05.3', 6036, 'H05', 0, 'Атрофия } Экзостоз } глазницы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6041, 'Энофтальм', 'H05.4', 6036, 'H05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6042, 'Неудаленное давно попавшее в глазницу инородное тело вследствие проникающего ранения глазницы', 'H05.5', 6036, 'H05', 0, 'Ретробульбарное инородное тело');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6043, 'Другие болезни глазницы', 'H05.8', 6036, 'H05', 0, 'Киста глазницы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6044, 'Болезнь глазницы неуточненная', 'H05.9', 6036, 'H05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6045, 'Поражения слезного аппарата и глазницы при болезнях, классифицированных в других рубриках', 'H06*', 6002, 'H00-H06', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6046, 'Поражения слезного аппарата при болезнях, классифицированных в других рубриках', 'H06.0*', 6045, 'H06*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6047, 'Паразитарная инвазия глазницы при болезнях, классифицированных в других рубриках', 'H06.1*', 6045, 'H06*', 0, 'Инфицирование глазницы эхинококками (B67.-+) Миаз глазницы (B87.2+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6048, 'Экзофтальм при нарушении функции щитовидной железы (E05.-+)', 'H06.2*', 6045, 'H06*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6049, 'Другие поражения глазницы, при болезнях, классифицированных в других рубриках', 'H06.3*', 6045, 'H06*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6051, 'БОЛЕЗНИ КОНЪЮНКТИВЫ', 'H10-H13', 6001, 'H00-H59', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6052, 'Конъюнктивит', 'H10', 6051, 'H10-H13', 8, 'Исключен: кератоконъюнктивит (H16.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6053, 'Слизисто-гнойный конъюнктивит', 'H10.0', 6052, 'H10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6054, 'Острый атопический конъюнктивит', 'H10.1', 6052, 'H10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6055, 'Другие острые конъюнктивиты', 'H10.2', 6052, 'H10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6056, 'Острый конъюнктивит неуточненный', 'H10.3', 6052, 'H10', 0, 'Исключена: офтальмия новорожденного БДУ (P39.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6057, 'Хронический конъюнктивит', 'H10.4', 6052, 'H10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6058, 'Блефароконъюнктивит', 'H10.5', 6052, 'H10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6059, 'Другие конъюнктивиты', 'H10.8', 6052, 'H10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6060, 'Конъюнктивит неуточненный', 'H10.9', 6052, 'H10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6061, 'Другие болезни конъюнктивы', 'H11', 6051, 'H10-H13', 7, 'Исключен: кератоконъюнктивит (H16.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6062, 'Птеригий', 'H11.0', 6061, 'H11', 0, 'Исключен: псевдоптеригий (H11.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6063, 'Конъюнктивальные перерождения и отложения', 'H11.1', 6061, 'H11', 0, 'Конъюнктивальные: . аргирия . конкременты . пигментация . ксероз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6064, 'Рубцы конъюнктивы', 'H11.2', 6061, 'H11', 0, 'Симблефарон');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6065, 'Конъюнктивальное кровоизлияние', 'H11.3', 6061, 'H11', 0, 'Субконъюнктивальное кровоизлияние');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6066, 'Другие конъюнктивальные васкулярные болезни и кисты', 'H11.4', 6061, 'H11', 0, 'Конъюнктивальные: . аневризма . гиперемия . отек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6067, 'Другие уточненные болезни конъюнктивы', 'H11.8', 6061, 'H11', 0, 'Псевдоптеригий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6068, 'Болезнь конъюнктивы неуточненная', 'H11.9', 6061, 'H11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6069, 'Поражения конъюнктивы при болезнях, классифицированных в других рубриках', 'H13*', 6051, 'H10-H13', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6070, 'Филярийная инвазия конъюнктивы (B74.-+)', 'H13.0*', 6069, 'H13*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6071, 'Острый конъюнктивит при болезнях, классифицированных в других рубриках', 'H13.1*', 6069, 'H13*', 0, 'Конъюнктивит (вызванный): . акантамебный (B60.1+) . аденовирусный фолликулярный (острый) (B30.1+) . хламидийный (A74.0+) . дифтерийный (A36.8+) . гонококковый (A54.3+) . геморрагический (острый) (эпидемический) (B30.3+) . герпесвирусный [herpes simplex] (B00.5+) . менингококковый (A39.8+) . Ньюкасла (B30.8+) . опоясывающий лишай [zoster] (B02.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6072, 'Конъюнктивит при болезнях, классифицированных в других рубриках', 'H13.2*', 6069, 'H13*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6073, 'Глазной пемфигоид (L12.-+)', 'H13.3*', 6069, 'H13*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6074, 'Другие поражения конъюнктивы при болезнях, классифицированных в других рубриках', 'H13.8*', 6069, 'H13*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6076, 'БОЛЕЗНИ СКЛЕРЫ, РОГОВИЦЫ, РАДУЖНОЙ ОБОЛОЧКИ И ЦИЛИАРНОГО ТЕЛА', 'H15-H22', 6001, 'H00-H59', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6077, 'Болезни склеры', 'H15', 6076, 'H15-H22', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6078, 'Склерит', 'H15.0', 6077, 'H15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6079, 'Эписклерит', 'H15.1', 6077, 'H15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6080, 'Другие поражения склеры', 'H15.8', 6077, 'H15', 0, 'Экваториальная стафилома Склеральная эктазия Исключена: дегенеративная миопия (H44.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6081, 'Болезнь склеры неуточненная', 'H15.9', 6077, 'H15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6082, 'Кератит', 'H16', 6076, 'H15-H22', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6083, 'Язва роговицы', 'H16.0', 6082, 'H16', 0, 'Язва: . роговицы: . БДУ . центральная . краевая . перфоративная . кольцевая . с гипопионом . Мурена');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6084, 'Другие поверхностные кератиты без конъюнктивита', 'H16.1', 6082, 'H16', 0, 'Кератит: . ареолярный . нитевидный . монетовидный . картообразный . звездчатый . полосчатый . поверхностный точечный Фотокератит Снежная слепота');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6085, 'Кератоконъюнктивит', 'H16.2', 6082, 'H16', 0, 'Кератоконъюнктивит: . БДУ . вызванный внешним воздействием . нейротрофический . фликтенулезный Нодозная [узелковая] офтальмия Поверхностный кератит с конъюнктивитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6086, 'Интерстициальный (стромальный) и глубокий кератит', 'H16.3', 6082, 'H16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6087, 'Неоваскуляризация роговицы', 'H16.4', 6082, 'H16', 0, 'Тенеподобные сосуды (роговичные) Паннус (роговичный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6088, 'Другие формы кератита', 'H16.8', 6082, 'H16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6089, 'Кератит неуточненный', 'H16.9', 6082, 'H16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6090, 'Рубцы и помутнение роговицы', 'H17', 6076, 'H15-H22', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6091, 'Слипчивая лейкома', 'H17.0', 6090, 'H17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6092, 'Другие центральные помутнения роговицы', 'H17.1', 6090, 'H17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6093, 'Другие рубцы и помутнения роговицы', 'H17.8', 6090, 'H17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6094, 'Рубцы и помутнения роговицы неуточненные', 'H17.9', 6090, 'H17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6095, 'Другие болезни роговицы', 'H18', 6076, 'H15-H22', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6096, 'Пигментация и отложения в роговице', 'H18.0', 6095, 'H18', 0, 'Кровоизлияние в роговицу Кольцо Кайзера-Флейшера Веретено Крукенберга Линия Стегли При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6097, 'Буллезная кератопатия', 'H18.1', 6095, 'H18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6098, 'Другие отеки роговицы', 'H18.2', 6095, 'H18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6099, 'Изменения оболочек роговицы', 'H18.3', 6095, 'H18', 0, 'Складка } Разрыв } десцеметовой оболчки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6100, 'Дегенерация роговицы', 'H18.4', 6095, 'H18', 0, 'Старческая дуга Ленточная кератопатия Исключена: язва Мурена (H16.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6101, 'Наследственные дистрофии роговицы', 'H18.5', 6095, 'H18', 0, 'Дистрофия: . роговицы: . эпителиальная . гранулярная . решетчатая . пятнистая . Фукса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6102, 'Кератоконус', 'H18.6', 6095, 'H18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6103, 'Другие деформации роговой оболочки', 'H18.7', 6095, 'H18', 0, 'Роговицы: . эктазия . стафилома Десцеметоцеле Исключены: врожденные пороки развития роговицы (Q13.3-Q13.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6104, 'Другие уточненные болезни роговицы', 'H18.8', 6095, 'H18', 0, 'Анестезия } Гипестезия } роговицы Рецидивирующая эрозия }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6105, 'Болезнь роговицы неуточненная', 'H18.9', 6095, 'H18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6106, 'Поражения склеры и роговицы при болезнях, классифицированных в других рубриках', 'H19*', 6076, 'H15-H22', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6107, 'Склерит и эписклерит при болезнях, классифицированных в других рубриках', 'H19.0*', 6106, 'H19*', 0, 'Сифилитический эписклерит (A52.7+) Туберкулезный эписклерит (A18.5+) Склерит (при опоясывающем лишае) (B02.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6108, 'Кератит, обусловленный вирусом простого герпеса, и кератоконъюнктивит (B00.5+)', 'H19.1*', 6106, 'H19*', 0, 'Древовидный, дисковидный и картообразный кератит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6109, 'Кератиты и кератоконъюнктивит при других инфекционных и паразитарных болезнях,  классифицированных в других рубриках', 'H19.2*', 6106, 'H19*', 0, 'Инфекционный кератоконъюнктивит (B30.0+) Кератит и кератоконъюнктивит (интерстициальный) (стромальный) при: . акантамебиаза (B60.1+) . кори (B05.8+) . сифилисе (A50.3+) . туберкулезе (A18.5+) . опоясывающем лишае [zoster] (B02.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6110, 'Кератит и кератоконъюнктивит при болезнях, классифицированных в других рубриках', 'H19.3*', 6106, 'H19*', 0, 'Сухой кератоконъюнктивит (M35.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6111, 'Другие поражения склеры и роговицы при болезнях, классифицированных в других рубриках', 'H19.8*', 6106, 'H19*', 0, 'Кератоконус при болезни Дауна (Q90.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6112, 'Иридоциклит', 'H20', 6076, 'H15-H22', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6113, 'Острый и подострый иридоциклит', 'H20.0', 6112, 'H20', 0, 'Передний увеит } Циклит } острый рецидивирующий или подострый Ирит }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6114, 'Хронический иридоциклит', 'H20.1', 6112, 'H20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6115, 'Иридоциклит, вызванный линзами', 'H20.2', 6112, 'H20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6116, 'Другие иридоциклиты', 'H20.8', 6112, 'H20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6117, 'Иридоциклит неуточненный', 'H20.9', 6112, 'H20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6118, 'Другие болезни радужной оболочки и цилиарного тела', 'H21', 6076, 'H15-H22', 8, 'Исключен: симпатический увеит (H44.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6119, 'Гифема', 'H21.0', 6118, 'H21', 0, 'Исключена: травматическая гифема (S05.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6120, 'Другие сосудистые болезни радужной оболочки и цилиарного', 'H21.1', 6118, 'H21', 0, 'тела Неоваскуляризация радужной оболочки или цилиарного тела Рубеоз радужной оболочки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6121, 'Дегенерация радужной оболочки и цилиарного тела', 'H21.2', 6118, 'H21', 0, 'Дегенерация: . радужной оболочки (пигментная) . зрачкового края Иридошизис Атрофия радужной оболочки (эссенциальная) (прогрессирующая) Миотическая киста зрачка Просвечивание радужной оболочки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6122, 'Киста радужной оболочки, цилиарного тела и передней камеры глаза', 'H21.3', 6118, 'H21', 0, 'Киста радужной оболочки, цилиарного тела и передней камеры: . БДУ . экссудативная . имплантационная . паразитарная Исключена: миотическая киста зрачка (H21.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6123, 'Зрачковые мембраны', 'H21.4', 6118, 'H21', 0, 'Бомбаж радужки Зрачковое: . заращение . сращение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6124, 'Другие виды спаек и разрывов радужной оболочки и цилиарного тела', 'H21.5', 6118, 'H21', 0, 'Гониосинехия Иридодиализ Углубление угла камеры Синехии (радужной оболочки): . БДУ . передние . задние Исключена: коректопия (Q13.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6125, 'Другие уточненные болезни радужной оболочки и цилиарного тела', 'H21.8', 6118, 'H21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6126, 'Болезнь радужной оболочки и цилиарного тела неуточненная', 'H21.9', 6118, 'H21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6127, 'Поражения радужной оболочки и цилиарного тела при болезнях, классифицированных в других рубриках', 'H22*', 6076, 'H15-H22', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6128, 'Иридоциклит при инфекционных болезнях, классифицированных в других рубриках', 'H22.0*', 6127, 'H22*', 0, 'Иридоциклит при: . гонококковой инфекции (A54.3+) . герпесвирусной [herpes simplex] инфекции (B00.5+) . сифилисе (вторичном) (A51.4+) . туберкулезе (A18.5+) . опоясывающем лишае [zoster] (B02.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6129, 'Иридоциклит при болезнях, классифицированных в других рубриках', 'H22.1*', 6127, 'H22*', 0, 'Иридоциклит при: . анкилозирующем спондилите (M45+) . саркоидозе (D86.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6130, 'Другие поражения радужной оболочки и цилиарного тела при болезнях, классифицированных в других рубриках', 'H22.8*', 6127, 'H22*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6132, 'БОЛЕЗНИ ХРУСТАЛИКА', 'H25-H28', 6001, 'H00-H59', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6133, 'Старческая катаракта', 'H25', 6132, 'H25-H28', 5, 'Исключена: капсулярная глаукома с ложным отслоением хрусталика (H40.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6134, 'Начальная старческая катаракта', 'H25.0', 6133, 'H25', 0, 'Старческая катаракта: . коронарная . кортикальная . точечная Субкапсулярная полярная старческая катаракта (передняя) (задняя) Водные щели');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6135, 'Старческая ядерная катаракта', 'H25.1', 6133, 'H25', 0, 'Бурая катаракта Ядерная склеротическая катаракта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6136, 'Старческая морганиева катаракта', 'H25.2', 6133, 'H25', 0, 'Старческая перезрелая катаракта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6137, 'Другие старческие катаракты', 'H25.8', 6133, 'H25', 0, 'Комбинированные формы старческой катаракты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6138, 'Старческая катаракта неуточненная', 'H25.9', 6133, 'H25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6139, 'Другие катаракты', 'H26', 6132, 'H25-H28', 7, 'Исключена: врожденная катаракта (Q12.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6140, 'Детская, юношеская и пресенильная катаракта', 'H26.0', 6139, 'H26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6141, 'Травматическая катаракта', 'H26.1', 6139, 'H26', 0, 'При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6142, 'Осложненная катаракта', 'H26.2', 6139, 'H26', 0, 'Катаракта при хроническом иридоциклите Вторичная катаракта при глазных болезнях Glaucomatous flecks (subcapsular)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6143, 'Катаракта, вызванная лекарственными средствами', 'H26.3', 6139, 'H26', 0, 'При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6144, 'Вторичная катаракта', 'H26.4', 6139, 'H26', 0, 'Секундарная катаракта Кольцо Земмеринга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6145, 'Другая уточненная катаракта', 'H26.8', 6139, 'H26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6146, 'Катаракта неуточненная', 'H26.9', 6139, 'H26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6147, 'Другие болезни хрусталика', 'H27', 6132, 'H25-H28', 4, 'Исключены: врожденные пороки хрусталика (Q12.-) механические осложнения, связанные с имплантированным хрусталиком (T85.2) псевдофакия (Z96.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6148, 'Афакия', 'H27.0', 6147, 'H27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6149, 'Вывих хрусталика', 'H27.1', 6147, 'H27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6150, 'Другие уточненные болезни хрусталика', 'H27.8', 6147, 'H27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6151, 'Болезнь хрусталика неуточненная', 'H27.9', 6147, 'H27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6152, 'Катаракта и другие поражения хрусталика при болезнях, классифицированных в других рубриках', 'H28*', 6132, 'H25-H28', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6153, 'Диабетическая катаракта (E10-E14+ с общим четвертым знаком .3)', 'H28.0*', 6152, 'H28*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6154, 'Катаракта при других болезнях эндокринной системы, расстройствах питания и нарушениях обмена веществ, классифицированных в других рубриках', 'H28.1*', 6152, 'H28*', 0, 'Катаракта при гипопаратиреозе (E20.-+) Катаракта при недостаточности питания и обезвоживании (E40-E46+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6155, 'Катаракта при других болезнях, классифицированных в других рубриках', 'H28.2*', 6152, 'H28*', 0, 'Миотоническая катаракта (G71.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6156, 'Другие поражения хрусталика при болезнях, классифицированных в других рубриках', 'H28.8*', 6152, 'H28*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6158, 'БОЛЕЗНИ СОСУДИСТОЙ ОБОЛОЧКИ И СЕТЧАТКИ', 'H30-H36', 6001, 'H00-H59', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6159, 'Хориоретинальное воспаление', 'H30', 6158, 'H30-H36', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6160, 'Очаговое хориоретинальное воспаление', 'H30.0', 6159, 'H30', 0, 'Очаговый: . хориоретинит . хориоидит . ретинит . ретинохориоидит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6161, 'Диссеминированное хориоретинальное воспаление', 'H30.1', 6159, 'H30', 0, 'Диссеминированный: . хориоретинит . хориоидит . ретинит . ретинохориоидит Исключена: экссудативная ретинопатия (H35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6162, 'Задний циклит', 'H30.2', 6159, 'H30', 0, 'Pars planitis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6163, 'Другие хориоретинальные воспаления', 'H30.8', 6159, 'H30', 0, 'Болезнь Харада');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6164, 'Хориоретинальное воспаление неуточненное', 'H30.9', 6159, 'H30', 0, 'Хориоретинит } Хориоидит } Ретинит } БДУ Ретинохориоидит }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6165, 'Другие болезни сосудистой оболочки глаза', 'H31', 6158, 'H30-H36', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6166, 'Хориоретинальные рубцы', 'H31.0', 6165, 'H31', 0, 'Макулярные рубцы заднего полюса (послевоспалительные) (посттравматические) Солнечная ретинопатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6167, 'Дегенерация сосудистой оболочки глаза', 'H31.1', 6165, 'H31', 0, 'Атрофия } Склероз } сосудистой оболочки глаза Исключены: ангиоидные полоски (H35.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6168, 'Наследственная дистрофия сосудистой оболочки глаза', 'H31.2', 6165, 'H31', 0, 'Хориоидермия Дистрофия хориоидальная (центрально-ареолярная) (генерализованная) (перипапиллярная) Кольцеобразная атрофия сосудистой оболочки глаза Исключена: орнитинемия (E72.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6169, 'Кровоизлияние и разрыв сосудистой оболочки глаза', 'H31.3', 6165, 'H31', 0, 'Хориоидальное кровоизлияние: . БДУ . экспульсивное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6170, 'Отслойка сосудистой оболочки глаза', 'H31.4', 6165, 'H31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6171, 'Другие уточненные болезни сосудистой оболочки глаза', 'H31.8', 6165, 'H31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6172, 'Болезнь сосудистой оболочки неуточненная', 'H31.9', 6165, 'H31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6173, 'Хориоретинальные нарушения при болезнях, классифицированных в других рубриках', 'H32*', 6158, 'H30-H36', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6174, 'Хориоретинальное воспаление при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'H32.0*', 6173, 'H32*', 0, 'Хориоретинит: . сифилитический поздний (A52.7+) . токсоплазмозный (B58.0+) . туберкулезный (A18.5+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6175, 'Другие хориоретинальные нарушения при болезнях, классифицированных в других рубриках', 'H32.8*', 6173, 'H32*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6176, 'Отслойка и разрывы сетчатки', 'H33', 6158, 'H30-H36', 6, 'Исключена: отслойка ретинального пигментного эпителия (H35.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6177, 'Отслойка сетчатки с разрывом сетчатки', 'H33.0', 6176, 'H33', 0, 'Отслойка сетчатки на почве разрыва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6178, 'Ретиношизис и ретинальные кисты', 'H33.1', 6176, 'H33', 0, 'Киста зубчатого края Паразитарная киста сетчатки Псевдокиста сетчатки Исключены: врожденный ретиношизис (Q14.1) микрокистозная дегенерация сетчатки (H35.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6179, 'Серозная отслойка сетчатки', 'H33.2', 6176, 'H33', 0, 'Отслойка сетчатки: . БДУ . без разрыва сетчатки Исключена: центральная серозная хориоретинопатия (H35.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6180, 'Ретинальные разрывы без отслойки сетчатки', 'H33.3', 6176, 'H33', 0, 'Подковообразный разрыв } Круглое отверстие } сетчатки без отслойки Operculum Ретинальный разрыв БДУ Исключены: хориоретинальные рубцы после операции по поводу отслойки сетчатки (H59.8) периферическая дегенерация сетчатки без разрыва (H35.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6181, 'Тракционная отслойка сетчатки', 'H33.4', 6176, 'H33', 0, 'Пролиферативная витреоретинопатия с отслойкой сетчатки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6182, 'Другие формы отслойки сетчатки', 'H33.5', 6176, 'H33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6183, 'Окклюзии сосудов сетчатки', 'H34', 6158, 'H30-H36', 5, 'Исключена: преходящая слепота (G45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6184, 'Преходящая ретинальная артериальная окклюзия', 'H34.0', 6183, 'H34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6185, 'Центральная ретинальная артериальная окклюзия', 'H34.1', 6183, 'H34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6186, 'Другие ретинальные артериальные окклюзии', 'H34.2', 6183, 'H34', 0, 'Пятно [бляшка] Холленхорста Ретинальные: . артериальная окклюзия: . ветви . частичная . микроэмболия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6187, 'Другие ретинальные сосудистые окклюзии', 'H34.8', 6183, 'H34', 0, 'Ретинальная венозная окклюзия: . центральная . начальная . частичная . венозной ветви');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6188, 'Ретинальная васкулярная окклюзия неуточненная', 'H34.9', 6183, 'H34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6189, 'Другие болезни сетчатки', 'H35', 6158, 'H30-H36', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6190, 'Фоновая ретинопатия и ретинальные сосудистые изменения', 'H35.0', 6189, 'H35', 0, 'Изменения в ретинальном сосудистом рисунке Ретинальные: . микроаневризмы . неоваскуляризация . периваскулит . варикоз . сосудистые футляры . васкулит Ретинопатия: . БДУ . фоновая БДУ . Коутса . экссудативная . гипертензивная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6191, 'Преретинопатия', 'H35.1', 6189, 'H35', 0, 'Ретролентальная фиброплазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6192, 'Другая пролиферативная ретинопатия', 'H35.2', 6189, 'H35', 0, 'Пролиферативная витреоретинопатия Исключена: пролиферативная витреоретинопатия с отслойкой сетчатки (H33.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6193, 'Дегенерация макулы и заднего полюса', 'H35.3', 6189, 'H35', 0, 'Ангиоидные полосы } Киста } Друзы (дегенеративные) } макулы Отверстие } Сморщивание } Дегенерация Кунта-Юниуса Старческая дегенерация макулы (атрофическая) (экссудативная) Токсическая макулопатия При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6194, 'Периферические ретинальные дегенерации', 'H35.4', 6189, 'H35', 0, 'Дегенерация сетчатки: . БДУ . решетчатая . микрокистозная . палисадная . напоминающая по внешнему виду булыжную мостовую . ретикулярная Исключена: с ретинальным разрывом (H33.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6195, 'Наследственные ретинальные дистрофии', 'H35.5', 6189, 'H35', 0, 'Дистрофия: . ретинальная (альбипунктатная) (пигментная) (желточноподобная) . тапеторетинальная . витреоретинальная Пигментный ретинит Болезнь Штаргардта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6196, 'Ретинальное кровоизлияние', 'H35.6', 6189, 'H35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6197, 'Расщепление слоев сетчатки', 'H35.7', 6189, 'H35', 0, 'Центральная серозная хориоретинопатия Отслойка ретинального пигментного эпителия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6198, 'Другие уточненные ретинальные нарушения', 'H35.8', 6189, 'H35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6199, 'Болезнь сетчатки неуточненная', 'H35.9', 6189, 'H35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6200, 'Поражения сетчатки при болезнях, классифицированных в других рубриках', 'H36*', 6158, 'H30-H36', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6201, 'Диабетическая ретинопатия (E10-E14+ с общим четвертым  знаком .3)', 'H36.0*', 6200, 'H36*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6202, 'Другие ретинальные нарушения при болезнях, классифици рованных в других рубриках', 'H36.8*', 6200, 'H36*', 0, 'Атеросклеротическая ретинопатия (I70.8+) Пролиферативная серповидно-клеточная ретинопатия (D57.-+) Ретинальная дистрофия при болезнях накопления липидов (E75.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6204, 'ГЛАУКОМА', 'H40-H42', 6001, 'H00-H59', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6205, 'Глаукома', 'H40', 6204, 'H40-H42', 9, 'Исключены: абсолютная глаукома (H44.5) врожденная глаукома (Q15.0) травматическая глаукома при родовой травме (P15.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6206, 'Подозрение на глаукому', 'H40.0', 6205, 'H40', 0, 'Глазная гипертензия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6207, 'Первичная открытоугольная глаукома', 'H40.1', 6205, 'H40', 0, 'Глаукома (первичная) (остаточная стадия): . капсулярная с ложным отслоением хрусталика . хроническая простая . с низким давлением . пигментная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6208, 'Первичная закрытоугольная глаукома', 'H40.2', 6205, 'H40', 0, 'Закрытоугольная глаукома (первичная) (остаточная стадия): . острая . хроническая . перемежающаяся');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6209, 'Глаукома вторичная посттравматическая', 'H40.3', 6205, 'H40', 0, 'При необходимости идентифицировать причину используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6210, 'Глаукома вторичная вследствие воспалительного заболевания глаза', 'H40.4', 6205, 'H40', 0, 'При необходимости идентифицировать причину используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6211, 'Глаукома вторичная вследствие других болезней глаз', 'H40.5', 6205, 'H40', 0, 'При необходимости идентифицировать причину используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6212, 'Глаукома вторичная, вызванная приемом лекарственных средств', 'H40.6', 6205, 'H40', 0, 'При необходимости идентифицировать лекарственный препарат, вызвавший поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6213, 'Другая глаукома', 'H40.8', 6205, 'H40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6214, 'Глаукома неуточненная', 'H40.9', 6205, 'H40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6215, 'Глаукома при болезнях, классифицированных в других рубриках', 'H42*', 6204, 'H40-H42', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6216, 'Глаукома при болезнях эндокринной системы, расстройствах питания и нарушениях обмена веществ', 'H42.0*', 6215, 'H42*', 0, 'Глаукома при: . амилоидозе (E85.-+) . синдроме Лоу (E72.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6217, 'Глаукома при других болезнях, классифицированных в других рубриках', 'H42.8*', 6215, 'H42*', 0, 'Глаукома при онхоцеркозе (B73+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6219, 'БОЛЕЗНИ СТЕКЛОВИДНОГО ТЕЛА И ГЛАЗНОГО ЯБЛОКА', 'H43-H45', 6001, 'H00-H59', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6220, 'Болезни стекловидного тела', 'H43', 6219, 'H43-H45', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6221, 'Выпадение стекловидного тела (пролапс)', 'H43.0', 6220, 'H43', 0, 'Исключен: синдром стекловидного тела после операции по поводу катаракты (H59.0)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6222, 'Кровоизлияние в стекловидное тело', 'H43.1', 6220, 'H43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6223, 'Кристаллические отложения в стекловидном теле', 'H43.2', 6220, 'H43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6224, 'Другие помутнения стекловидного тела', 'H43.3', 6220, 'H43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6225, 'Другие болезни стекловидного тела', 'H43.8', 6220, 'H43', 0, 'Стекловидного тела: . дегенерация . отслойка Исключена: пролиферативная витреоретинопатия с отслойкой сетчатки (H33.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6226, 'Болезнь стекловидного тела неуточненная', 'H43.9', 6220, 'H43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6227, 'Болезни глазного яблока', 'H44', 6219, 'H43-H45', 10, 'Включены: нарушения, затрагивающие множественные структуры глаза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6228, 'Гнойный эндофтальмит', 'H44.0', 6227, 'H44', 0, 'Панофтальмит Абсцесс стекловидного тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6229, 'Другие эндофтальмиты', 'H44.1', 6227, 'H44', 0, 'Паразитарный эндофтальмит БДУ Симпатический увеит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6230, 'Дегенеративная миопия', 'H44.2', 6227, 'H44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6231, 'Другие дегенеративные болезни глазного яблока', 'H44.3', 6227, 'H44', 0, 'Халкоз Сидероз глаза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6232, 'Гипотония глаза', 'H44.4', 6227, 'H44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6233, 'Дегенеративные состояния глазного яблока', 'H44.5', 6227, 'H44', 0, 'Абсолютная глаукома Атрофия глазного яблока Сморщивание глазного яблока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6234, 'Неудаленное (давно попавшее в глаз) магнитное инородное тело', 'H44.6', 6227, 'H44', 0, 'Сохранившееся старое магнитное инородное тело в: . передней камере . ресничном теле . радужной оболочке . хрусталике . задней стенке глазного яблока . стекловидном теле');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6235, 'Неудаленное (давно попавшее в глаз) немагнитное инородное тело', 'H44.7', 6227, 'H44', 0, 'Неудаленное (немагнитное) (старое) инородное тело в: . передней камере . ресничном теле . радужной оболочке . хрусталике . задней стенке глаза . стекловидном теле');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6236, 'Другие болезни глазного яблока', 'H44.8', 6227, 'H44', 0, 'Гемофтальм Вывих глазного яблока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6237, 'Болезнь глазного яблока неуточненная', 'H44.9', 6227, 'H44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6238, 'Поражения стекловидного тела и глазного яблока при болезнях, классифицированных в других рубриках', 'H45*', 6219, 'H43-H45', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6239, 'Кровоизлияние в стекловидное тело при болезнях, класси фицированных в других рубриках', 'H45.0*', 6238, 'H45*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6240, 'Эндофтальмит при болезнях, классифицированных в других рубриках', 'H45.1*', 6238, 'H45*', 0, 'Эндофтальмит при: . цистицеркоз (B69.1+) . онхоцеркозе (B73+) . токсокарозе (B83.+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6241, 'Другие поражения стекловидного тела и глазного яблока при болезнях, классифицированных в других рубриках', 'H45.8*', 6238, 'H45*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6243, 'БОЛЕЗНИ ЗРИТЕЛЬНОГО НЕРВА И ЗРИТЕЛЬНЫХ ПУТЕЙ', 'H46-H48', 6001, 'H00-H59', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6244, 'Неврит зрительного нерва', 'H46', 6243, 'H46-H48', 0, 'Оптическая(ий): . невропатия, кроме ишемической . папиллит Ретробульбарный неврит БДУ Исключены: ишемическая невропатия зрительного нерва (H47.0) невромиелит зрительного нерва [Девика] (G36.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6245, 'Другие болезни зрительного [2-го] нерва и зрительных путей', 'H47', 6243, 'H46-H48', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6246, 'Болезни зрительного нерва, не классифицированные в других рубриках', 'H47.0', 6245, 'H47', 0, 'Сдавление зрительного нерва Кровоизлияние в оболочку зрительного нерва Ишемическая невропатия зрительного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6247, 'Отек диска зрительного нерва неуточненный', 'H47.1', 6245, 'H47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6248, 'Атрофия зрительного нерва', 'H47.2', 6245, 'H47', 0, 'Побледнение височной половины диска зрительного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6249, 'Другие болезни диска зрительного нерва', 'H47.3', 6245, 'H47', 0, 'Разрастание на диске зрительного нерва Ложный отек диска зрительного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6250, 'Поражения перекреста зрительных нервов', 'H47.4', 6245, 'H47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6251, 'Поражения других отделов зрительных путей', 'H47.5', 6245, 'H47', 0, 'Болезни зрительных трактов, коленчатого ядра и области зрительной лучистости');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6252, 'Поражения зрительной корковой области', 'H47.6', 6245, 'H47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6253, 'Болезни зрительных проводящих путей неуточненные', 'H47.7', 6245, 'H47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6254, 'Поражения зрительного [2-го] нерва и зрительных путей при болезнях, классифицированных в других рубриках', 'H48*', 6243, 'H46-H48', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6255, 'Атрофия зрительного нерва при болезнях, классифицированных в других рубриках', 'H48.0*', 6254, 'H48*', 0, 'Атрофия зрительного нерва при позднем сифилисе (A52.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6256, 'Ретробульбарный неврит при болезнях, классифицированных в других рубриках', 'H48.1*', 6254, 'H48*', 0, 'Ретробульбарный неврит при: . сифилисе позднем (A52.1+) . менингококковой инфекции (A39.8+) . множественном склерозе (G35+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6257, 'Другие поражения зрительного нерва и зрительных путей при болезнях, классифицированных в других рубриках', 'H48.8*', 6254, 'H48*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6259, 'БОЛЕЗНИ МЫШЦ ГЛАЗА, НАРУШЕНИЯ СОДРУЖЕСТВЕННОГО ДВИЖЕНИЯ ГЛАЗ, АККОМОДАЦИИ И РЕФРАКЦИИ', 'H49-H52', 6001, 'H00-H59', 4, 'Исключены: нистагм и другие непроизвольные движения глаза (H55)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6260, 'Паралитическое косоглазие', 'H49', 6259, 'H49-H52', 7, 'Исключены: офтальмоплегия: . внутренняя (H52.5) . внутриядерная (H51.2) . надъядерная прогрессирующая (G23.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6261, 'Паралич 3-го [глазодвигательного] нерва', 'H49.0', 6260, 'H49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6262, 'Паралич 4-го [блокового] нерва', 'H49.1', 6260, 'H49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6263, 'Паралич 6-го [отводящего] нерва', 'H49.2', 6260, 'H49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6264, 'Полная (наружная) офтальмоплегия', 'H49.3', 6260, 'H49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6265, 'Прогрессирующая наружная офтальмоплегия', 'H49.4', 6260, 'H49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6266, 'Другие паралитические косоглазия', 'H49.8', 6260, 'H49', 0, 'Наружная офтальмоплегия БДУ Синдром Кернс-Сейра');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6267, 'Паралитическое косоглазие неуточненное', 'H49.9', 6260, 'H49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6268, 'Другие формы косоглазия', 'H50', 6259, 'H49-H52', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6269, 'Сходящееся содружественное косоглазие', 'H50.0', 6268, 'H50', 0, 'Эзотропия (альтернирующая) (монокулярная), кроме перемежающейся');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6270, 'Расходящееся содружественное косоглазие', 'H50.1', 6268, 'H50', 0, 'Экзотропия (альтернирующая) (монокулярная), кроме перемежающейся');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6271, 'Вертикальное косоглазие', 'H50.2', 6268, 'H50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6272, 'Перемежающаяся гетеротропия', 'H50.3', 6268, 'H50', 0, 'Перемежающаяся: . эзотропия } . экзотропия } альтернирующая (монокулярная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6273, 'Другие и неуточненные гетеротропии', 'H50.4', 6268, 'H50', 0, 'Содружественное косоглазие БДУ Циклотропия Гипертропия Гипотропия Микротропия Синдром монофиксации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6274, 'Гетерофория', 'H50.5', 6268, 'H50', 0, 'Альтернирующая гетерофория Эзофория Экзофория');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6275, 'Механическое косоглазие', 'H50.6', 6268, 'H50', 0, 'Синдром капсулы Брауна Косоглазие вследствие сращений Травматическое ограничение эластичности глазной мышцы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6276, 'Другие уточненные виды косоглазия', 'H50.8', 6268, 'H50', 0, 'Синдром Дуэйна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6277, 'Косоглазие неуточненное', 'H50.9', 6268, 'H50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6278, 'Другие нарушения содружественного движения глаз', 'H51', 6259, 'H49-H52', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6279, 'Паралич взора', 'H51.0', 6278, 'H51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6280, 'Недостаточность конвергенции [конвергенция недостаточная и избыточная]', 'H51.1', 6278, 'H51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6281, 'Внутриядерная офтальмоплегия', 'H51.2', 6278, 'H51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6282, 'Другие уточненные нарушения содружественного движения глаз', 'H51.8', 6278, 'H51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6283, 'Нарушение содружественного движения глаз неуточненное', 'H51.9', 6278, 'H51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6284, 'Нарушения рефракции и аккомодации', 'H52', 6259, 'H49-H52', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6285, 'Гиперметропия', 'H52.0', 6284, 'H52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6286, 'Миопия', 'H52.1', 6284, 'H52', 0, 'Исключена: злокачественная миопия (H44.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6287, 'Астигматизм', 'H52.2', 6284, 'H52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6288, 'Анизометропия и анизейкония', 'H52.3', 6284, 'H52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6289, 'Пресбиопия', 'H52.4', 6284, 'H52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6290, 'Нарушения аккомодации', 'H52.5', 6284, 'H52', 0, 'Внутренняя офтальмоплегия (полная) (тотальная) Парез } Спазм } аккомодации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6291, 'Другие нарушения рефракции', 'H52.6', 6284, 'H52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6292, 'Нарушение рефракции неуточненное', 'H52.7', 6284, 'H52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6294, 'ЗРИТЕЛЬНЫЕ РАССТРОЙСТВА И СЛЕПОТА', 'H53-H54', 6001, 'H00-H59', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6295, 'Расстройства зрения', 'H53', 6294, 'H53-H54', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6296, 'Амблиопия вследствие анопсии', 'H53.0', 6295, 'H53', 0, 'Амблиопия, обусловленная: . анизометропией . зрительной депривацией . косоглазием');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6297, 'Субъективные зрительные расстройства', 'H53.1', 6295, 'H53', 0, 'Астенопия Дневная слепота Гемералопия Метоморфопсия Фотофобия Мерцательная скотома Внезапная потеря зрения Зрительные радужные кольца Исключены: зрительные галлюцинации (R44.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6298, 'Диплопия', 'H53.2', 6295, 'H53', 0, 'Удвоение изображения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6299, 'Другие нарушения бинокулярного зрения', 'H53.3', 6295, 'H53', 0, 'Несоответствие изображения на сетчатке Слияние изображений при стереоскопическом дефекте Одновременное зрительное восприятие без слияния изображений Угнетение бинокулярного зрения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6300, 'Дефекты поля зрения', 'H53.4', 6295, 'H53', 0, 'Расширенное слепое пятно Генерализованное сужение поля зрения Гемионопсия (разноименная) (одноименная) Квадрантная анопсия Скотома: . дугообразная . Бьеррума . центральная . кольцевидная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6301, 'Аномалии цветового зрения', 'H53.5', 6295, 'H53', 0, 'Ахроматопсия Приобретенная недостаточность цветового зрения Цветовая слепота Дейтераномалия Дейтеранопия Протаномалия Протанопия Тританомалия Тританопия Исключена: дневная слепота (H53.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6302, 'Ночная слепота', 'H53.6', 6295, 'H53', 0, 'Исключена: вследствие недостатка витамина A (E50.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6303, 'Другие расстройства зрения', 'H53.8', 6295, 'H53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6304, 'Расстройство зрения неуточненное', 'H53.9', 6295, 'H53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6305, 'Слепота и пониженное зрение', 'H54', 6294, 'H53-H54', 8, 'Примечание. Для определения категорий нарушения зрения см. нижеследующую таблицу. Исключена: преходящая слепота (G45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6306, 'Слепота обоих глаз', 'H54.0', 6305, 'H54', 0, 'Нарушение зрения категории 3, 4, 5 обоих глаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6307, 'Слепота одного глаза, пониженное зрение другого глаза', 'H54.1', 6305, 'H54', 0, 'Нарушение зрения категории 3, 4, 5 одного глаза и категории 1 или 2 другого глаза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6308, 'Пониженное зрение обоих глаз', 'H54.2', 6305, 'H54', 0, 'Нарушение зрения категории 1 или 2 обоих глаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6309, 'Неопределенная потеря зрения обоих глаз', 'H54.3', 6305, 'H54', 0, 'Нарушение зрения категории 9 обоих глаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6310, 'Слепота одного глаза', 'H54.4', 6305, 'H54', 0, 'Нарушение зрения категории 3, 4, 5 одного глаза [нормальная острота зрения другого глаза]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6311, 'Пониженное зрение одного глаза', 'H54.5', 6305, 'H54', 0, 'Нарушение зрения категории 1 или 2 одного глаза [нормальная острота зрения другого глаза]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6312, 'Неопределенная потеря зрения одного глаза', 'H54.6', 6305, 'H54', 0, 'Нарушение зрения категории 9 одного глаза [нормальная острота зрения другого глаза]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6313, 'Неуточненная потеря зрения', 'H54.7', 6305, 'H54', 0, 'Нарушение зрения категории 9 БДУ Примечание. В нижеследующей таблице приведена классификация степени нарушения зрения, рекомендованная научной группой ВОЗ по предупреждению слепоты, Женева, 6-10 ноября 1972 г. (Серия технических докладов ВОЗ, N518, 1974). Термин "пониженное зрение" в рубрике H54 охватывает категории 1 и 2 приведенной таблицы, термин "слепота" - категории 3, 4 и 5, а термин "неопределенная потеря зрения" - категорию 9. Если учитывать также границы поля зрения, то пациенты с полем зрения не больше 10 градусов, но больше 5 градусов вокруг центральной зрительной оси, должны быть отнесены к категории 3, а пациенты с полем зрения не более 5 градусов вокруг центральной оси - к категории 4,даже если центральная острота зрения не нарушена.\n-------------------------------------------------------------------Категория Острота зрения с максимально возможной коррекцией нарушения ----------------------------------------------------зрения максимальный показатель минимальный показатель менее чем равен или более чем\n-------------------------------------------------------------------1 6/18 6/60 3/10 (0,3) 1/10 (0,1) 20/70 20/200\n 2 6/60 3/60 1/10 (0,1) 1/20 (0,5) 20/200 20/400\n 3 3/60 1/60 (счет пальцев на расстоянии 1 м) 1/20 (0,05) 1/50 (0,02) 20/400 5/300 (20/1200)\n 4 1/60 (счет пальцев на расстоянии 1м) Светоощущение 1/50 (0,02) 5/300\n-------------------------------------------------------------------5 Отсутствие светоощущения 9 Неопределенная или неуточненная\n--------------------------------------------------------------------');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6315, 'ДРУГИЕ БОЛЕЗНИ ГЛАЗА И ЕГО ПРИДАТОЧНОГО АППАРАТА', 'H55-H59', 6001, 'H00-H59', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6316, 'Нистагм и другие непроизвольные движения глаз', 'H55', 6315, 'H55-H59', 0, 'Нистагм: . БДУ . врожденный . в результате зрительной депривации . разобщенный . латентный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6317, 'Другие болезни глаза и его придаточного аппарата', 'H57', 6315, 'H55-H59', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6318, 'Аномалии зрачковой функции', 'H57.0', 6317, 'H57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6319, 'Глазная боль', 'H57.1', 6317, 'H57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6320, 'Другие неуточненные болезни глаза и придаточного аппарата', 'H57.8', 6317, 'H57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6321, 'Нарушение глаза и придаточного аппарата неуточненное', 'H57.9', 6317, 'H57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6322, 'Другие поражения глаза и его придаточного аппарата при болезнях, классифицированных в других рубриках', 'H58*', 6315, 'H55-H59', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6323, 'Аномалии зрачковой функции при болезнях, классифицированных в других рубриках', 'H58.0*', 6322, 'H58*', 0, 'Феномен или зрачок Аргайла Робертсона сифилитический (A52.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6324, 'Нарушения зрения при болезнях, классифицированных в других рубриках', 'H58.1*', 6322, 'H58*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6325, 'Другие нарушения глаза и его придаточного аппарата при болезнях, классифицированных в других рубриках', 'H58.8*', 6322, 'H58*', 0, 'Сифилитическая окулопатия НКДР: . врожденная . ранняя (A50.0+) . поздняя (A50.3+) . ранняя (вторичная) (A51.4+) . поздняя (A52.7+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6326, 'Поражения глаза и его придаточного аппарата после медицинских процедур', 'H59', 6315, 'H55-H59', 3, 'Исключены: механическое осложнение от: . интраокулярной линзы (T85.2) . других глазных протезных устройств, имплантата и трансплантата (T85.3) псевдофакия (Z96.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6327, 'Синдром стекловидного тела после операции по поводу катаракты', 'H59.0', 6326, 'H59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6328, 'Другие поражения глаза и его придаточного аппарата после медицинских процедур', 'H59.8', 6326, 'H59', 0, 'Хориоретинальные рубцы после операции по поводу отслойки сетчатки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(6329, 'Поражение глаза и его придаточного аппарата после медицинских процедур неуточненное', 'H59.9', 6326, 'H59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7001, 'БОЛЕЗНИ УХА И СОСЦЕВИДНОГО ОТРОСТКА', 'H60-H95', NULL, NULL, 4, 'Исключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\nЭтот класс содержит следующие блоки:\nH60-H62 Болезни наружного уха\nH65-H75 Болезни среднего уха и сосцевидного отростка\nH80-H83 Болезни внутреннего уха\nH90-H95 Другие болезни уха\nЗвездочкой отмечены следующие категории:\nH62* Поражения наружного уха при болезнях, классифицированных в других рубриках\nH67* Средний отит при болезнях, классифицированных в других рубриках\nH75* Другие поражения среднего уха и сосцевидного отростка при болезнях, классифицированных в других рубриках\nH82* Вестибулярные синдромы при болезнях, классифицированных в других рубриках\nH94* Другие поражения уха при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7002, 'БОЛЕЗНИ НАРУЖНОГО УХА', 'H60-H62', 7001, 'H60-H95', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7003, 'Наружный отит', 'H60', 7002, 'H60-H62', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7004, 'Абсцесс наружного уха', 'H60.0', 7003, 'H60', 0, 'Нарыв } ушной раковины или наружного Карбункул } слухового прохода Фурункул }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7005, 'Целлюлит наружного уха', 'H60.1', 7003, 'H60', 0, 'Целлюлит: . ушной раковины . наружного слухового прохода');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7006, 'Злокачественный наружный отит', 'H60.2', 7003, 'H60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7007, 'Другие инфекционные наружные отиты', 'H60.3', 7003, 'H60', 0, 'Наружный отит: . диффузный . геморрагический Ухо пловца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7008, 'Холестеатома наружного уха', 'H60.4', 7003, 'H60', 0, 'Закупоривающий кератоз наружного уха (канала)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7009, 'Острый наружный отит неинфекционный', 'H60.5', 7003, 'H60', 0, 'Острый наружный отит: . БДУ . актиничный . химический . контактный . экзематозный . реактивный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7010, 'Другие наружные отиты', 'H60.8', 7003, 'H60', 0, 'Хронический наружный отит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7011, 'Наружный отит неуточненный', 'H60.9', 7003, 'H60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7012, 'Другие болезни наружного уха', 'H61', 7002, 'H60-H62', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7013, 'Перихондрит наружного уха', 'H61.0', 7012, 'H61', 0, 'Узелковый хондродерматит основного завитка Перихондрит: . наружного уха . ушной раковины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7014, 'Неинфекционные болезни ушной раковины', 'H61.1', 7012, 'H61', 0, 'Приобретенная деформация: . наружного уха . ушной раковины Исключена: деформация ушной раковины, вызванная травмой и последующим перихондритом (M95.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7015, 'Серная пробка', 'H61.2', 7012, 'H61', 0, 'Сера в ухе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7016, 'Приобретенный стеноз наружного слухового канала', 'H61.3', 7012, 'H61', 0, 'Сужение наружного слухового канала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7017, 'Другие уточненные болезни наружного уха', 'H61.8', 7012, 'H61', 0, 'Экзостоз наружного слухового канала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7018, 'Болезнь наружного уха неуточненная', 'H61.9', 7012, 'H61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7019, 'Поражения наружного уха при болезнях, классифицированных в других рубриках', 'H62*', 7002, 'H60-H62', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7020, 'Наружный отит при бактериальных болезнях, классифицированных в других рубриках', 'H62.0*', 7019, 'H62*', 0, 'Наружный отит при рожистом воспалении (A46+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7021, 'Наружный отит при вирусных болезнях, классифицированных в других рубриках', 'H62.1*', 7019, 'H62*', 0, 'Наружный отит при: . герпесвирусной [herpes simplex] инфекции (B00.1+) . опоясывающем лишае (B02.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7022, 'Наружный отит при микозах', 'H62.2*', 7019, 'H62*', 0, 'Наружный отит при: . аспергиллезе (B44.8+) . кандидозе (B37.2+) Отомикоз БДУ (B36.9+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7023, 'Наружный отит при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'H62.3*', 7019, 'H62*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7024, 'Наружный отит при других болезнях, классифицированных в других рубриках', 'H62.4*', 7019, 'H62*', 0, 'Наружный отит при импетиго (L01.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7025, 'Другие поражения наружного уха при болезнях, классифицированных в других рубриках', 'H62.8*', 7019, 'H62*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7027, 'БОЛЕЗНИ СРЕДНЕГО УХА И СОСЦЕВИДНОГО ОТРОСТКА', 'H65-H75', 7001, 'H60-H95', 11, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7028, 'Негнойный средний отит', 'H65', 7027, 'H65-H75', 6, 'Включен: с мирингитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7029, 'Острый средний серозный отит', 'H65.0', 7028, 'H65', 0, 'Острый и подострый секреторный отит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7030, 'Другие острые негнойные средние отиты', 'H65.1', 7028, 'H65', 0, 'Средний отит, острый и подострый: . аллергический (слизистый) (геморрагический) (серозный) . слизистый . негнойный БДУ . геморрагический . серозно-слизистый Исключены: отит в результате баротравмы (T70.0) отит средний (острый) БДУ (H66.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7031, 'Хронический серозный средний отит', 'H65.2', 7028, 'H65', 0, 'Хронический туботимпанальный катар');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7032, 'Хронический слизистый средний отит', 'H65.3', 7028, 'H65', 0, '"Клейкое" ухо Хронический средний отит: . слизистый . секреторный . транссудативный Исключена: адгезивная болезнь среднего уха (H74.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7033, 'Другие хронические негнойные средние отиты', 'H65.4', 7028, 'H65', 0, 'Хронический средний отит: . аллергический . экссудативный . негнойный БДУ . серозно-муцинозный . с выпотом (негнойный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7034, 'Негнойный средний отит неуточненный', 'H65.9', 7028, 'H65', 0, 'Средний отит: . аллергический . катаральный . экссудативный . слизеподобный . секреторный . серозно-слизистый . серозный . транссудативный . с выпотом (негнойный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7035, 'Гнойный и неуточненный средний отит', 'H66', 7027, 'H65-H75', 6, 'Включен: с мирингитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7036, 'Острый гнойный средний отит', 'H66.0', 7035, 'H66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7037, 'Хронический туботимпанальный гнойный средний отит', 'H66.1', 7035, 'H66', 0, 'Доброкачественный хронический гнойный средний отит Хроническая туботимпанальная болезнь [мезотимпанит]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7038, 'Хронический эпитимпано-антральный гнойный средний отит', 'H66.2', 7035, 'H66', 0, 'Хроническая эпитимпано-антральная болезнь [эпитимпанит]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7039, 'Другие хронические гнойные средние отиты', 'H66.3', 7035, 'H66', 0, 'Хронический гнойный средний отит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7040, 'Гнойный средний отит неуточненный', 'H66.4', 7035, 'H66', 0, 'Гнойный средний отит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7041, 'Средний отит неуточненный', 'H66.9', 7035, 'H66', 0, 'Средний отит: . БДУ . острый БДУ . хронический БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7042, 'Средний отит при болезнях, классифицированных в других рубриках', 'H67*', 7027, 'H65-H75', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7043, 'Средний отит при бактериальных болезнях, классифицированных в других рубриках', 'H67.0*', 7042, 'H67*', 0, 'Средний отит при: . скарлатине (A38+) . туберкулезе (A18.6+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7044, 'Средний отит при вирусных болезнях, классифицированных в других рубриках', 'H67.1*', 7042, 'H67*', 0, 'Средний отит при: . гриппе (J10-J11+) . кори (B05.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7045, 'Средний отит при других болезнях, классифицированных в других рубриках', 'H67.8*', 7042, 'H67*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7046, 'Воспаление и закупорка слуховой [евстахиевой] трубы', 'H68', 7027, 'H65-H75', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7047, 'Воспаление слуховой [евстахиевой] трубы', 'H68.0', 7046, 'H68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7048, 'Закупорка слуховой [евстахиевой] трубы', 'H68.1', 7046, 'H68', 0, 'Сдавление } Стеноз } слуховой [евстахиевой] трубы Стриктура }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7049, 'Другие болезни слуховой [евстахиевой] трубы', 'H69', 7027, 'H65-H75', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7050, 'Зияющая слуховая [евстахиева] труба', 'H69.0', 7049, 'H69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7051, 'Другие уточненные болезни слуховой [евстахиевой] трубы', 'H69.8', 7049, 'H69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7052, 'Болезнь слуховой [евстахиевой] трубы неуточненная', 'H69.9', 7049, 'H69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7053, 'Мастоидит и родственные состояния', 'H70', 7027, 'H65-H75', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7054, 'Острый мастоидит', 'H70.0', 7053, 'H70', 0, 'Абсцесс } Эмпиема } сосцевидного отростка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7055, 'Хронический мастоидит', 'H70.1', 7053, 'H70', 0, 'Кариес } Свищ } сосцевидного отростка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7056, 'Петрозит', 'H70.2', 7053, 'H70', 0, 'Воспаление каменистой части височной кости (острое) (хроническое)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7057, 'Другие мастоидиты и родственные состояния', 'H70.8', 7053, 'H70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7058, 'Мастоидит неуточненный', 'H70.9', 7053, 'H70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7059, 'Холестеатома среднего уха', 'H71', 7027, 'H65-H75', 0, 'Холестеатома барабанной перепонки Исключены: холестеатома наружного уха (H60.4) рецидивирующая холестеатома после мастоидэктомии (H95.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7060, 'Перфорация барабанной перепонки', 'H72', 7027, 'H65-H75', 5, 'Включены: перфорация барабанной перепонки: . устойчивая посттравматическая . послевоспалительная Исключен: травматический разрыв барабанной перепонки (S09.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7061, 'Центральная перфорация барабанной перепонки', 'H72.0', 7060, 'H72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7062, 'Перфорация барабанной перепонки в области аттика', 'H72.1', 7060, 'H72', 0, 'Перфорация pars flaccida');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7063, 'Другие краевые перфорации барабанной перепонки', 'H72.2', 7060, 'H72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7064, 'Другие перфорации барабанной перепонки', 'H72.8', 7060, 'H72', 0, 'Перфорация(ии): . множественные } барабанной перепонки . полная }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7065, 'Перфорация барабанной перепонки неуточненная', 'H72.9', 7060, 'H72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7066, 'Другие болезни барабанной перепонки', 'H73', 7027, 'H65-H75', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7067, 'Острый мирингит', 'H73.0', 7066, 'H73', 0, 'Острый тимпанит Буллезный мирингит Исключен: со средним отитом (H65-H66)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7068, 'Хронический мирингит', 'H73.1', 7066, 'H73', 0, 'Хронический тимпанит Исключен: со средним отитом (H65-H66)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7069, 'Другие уточненные болезни барабанной перепонки', 'H73.8', 7066, 'H73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7070, 'Болезнь барабанной перепонки неуточненная', 'H73.9', 7066, 'H73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7071, 'Другие болезни среднего уха и сосцевидного отростка', 'H74', 7027, 'H65-H75', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7072, 'Тимпаносклероз', 'H74.0', 7071, 'H74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7073, 'Адгезивная болезнь среднего уха', 'H74.1', 7071, 'H74', 0, 'Адгезивный отит Исключено: "клейкое" ухо (H65.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7074, 'Разрыв и дислокация слуховых косточек', 'H74.2', 7071, 'H74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7075, 'Другие приобретенные дефекты слуховых косточек', 'H74.3', 7071, 'H74', 0, 'Анкилоз } слуховых косточек Частичная утрата }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7076, 'Полип среднего уха', 'H74.4', 7071, 'H74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7077, 'Другие уточненные болезни среднего уха и сосцевидного', 'H74.8', 7071, 'H74', 0, 'отростка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7078, 'Болезнь среднего уха и сосцевидного отростка неуточненная', 'H74.9', 7071, 'H74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7079, 'Другие поражения среднего уха и сосцевидного отростка при болезнях, классифицированных в других рубриках', 'H75*', 7027, 'H65-H75', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7080, 'Мастоидит при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'H75.0*', 7079, 'H75*', 0, 'Туберкулезный мастоидит (A18.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7081, 'Другие уточненные болезни среднего уха и сосцевидного отростка при болезнях, классифицированных в других рубриках', 'H75.8*', 7079, 'H75*', 0, NULL);

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7083, 'БОЛЕЗНИ ВНУТРЕННЕГО УХА', 'H80-H83', 7001, 'H60-H95', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7084, 'Отосклероз', 'H80', 7083, 'H80-H83', 5, 'Включен: отоспонгиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7085, 'Отосклероз, вовлекающий овальное окно, необлитерирующий', 'H80.0', 7084, 'H80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7086, 'Отосклероз, вовлекающий овальное окно, облитерирующий', 'H80.1', 7084, 'H80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7087, 'Кохлеарный отосклероз', 'H80.2', 7084, 'H80', 0, 'Отосклероз, вовлекающий: . капсулу лабиринта . круглое окно');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7088, 'Другие формы отосклероза', 'H80.8', 7084, 'H80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7089, 'Отосклероз неуточненный', 'H80.9', 7084, 'H80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7090, 'Нарушения вестибулярной функции', 'H81', 7083, 'H80-H83', 7, 'Исключены: головокружение: . БДУ (R42) . эпидемическое (A88.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7091, 'Болезнь Меньера', 'H81.0', 7090, 'H81', 0, 'Эндолимфатическая водянка Синдром, или головокружение, Меньера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7092, 'Доброкачественное параксизмальное головокружение', 'H81.1', 7090, 'H81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7093, 'Вестибулярный нейронит', 'H81.2', 7090, 'H81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7094, 'Другие периферические головокружения', 'H81.3', 7090, 'H81', 0, 'Синдром Лермуайе Головокружение: . ушное . отогенное . периферическое БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7095, 'Головокружение центрального происхождения', 'H81.4', 7090, 'H81', 0, 'Центральный позиционный нистагм');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7096, 'Другие нарушения вестибулярной функции', 'H81.8', 7090, 'H81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7097, 'Нарушение вестибулярной функции неуточненное', 'H81.9', 7090, 'H81', 0, 'Синдром головокружения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7098, 'Вестибулярные синдромы при болезнях, классифицированных в других рубриках', 'H82*', 7083, 'H80-H83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7099, 'Другие болезни внутреннего уха', 'H83', 7083, 'H80-H83', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7100, 'Лабиринтит', 'H83.0', 7099, 'H83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7101, 'Лабиринтная фистула', 'H83.1', 7099, 'H83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7102, 'Лабиринтная дисфункция', 'H83.2', 7099, 'H83', 0, 'Повышенная чувствительность } Гипофункция } лабиринта Выпадение функции }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7103, 'Шумовые эффекты внутреннего уха', 'H83.3', 7099, 'H83', 0, 'Акустическая травма Потеря слуха, вызванная шумом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7104, 'Другие уточненные болезни внутреннего уха', 'H83.8', 7099, 'H83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7105, 'Болезнь внутреннего уха неуточненная', 'H83.9', 7099, 'H83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7107, 'ДРУГИЕ БОЛЕЗНИ УХА', 'H90-H95', 7001, 'H60-H95', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7108, 'Кондуктивная и нейросенсорная потеря слуха', 'H90', 7107, 'H90-H95', 9, 'Включена: врожденная глухота Исключено: мутационная глухота НКДР (H91.3) глухота БДУ (H91.9) потеря слуха: . БДУ (H91.9) . вызванная шумом (H83.3) . ототоксическая (H91.0) . внезапная (идиопатическая) (H91.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7109, 'Кондуктивная потеря слуха двусторонняя', 'H90.0', 7108, 'H90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7110, 'Кондуктивная потеря слуха односторонняя с нормальным слухом на противоположном ухе', 'H90.1', 7108, 'H90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7111, 'Кондуктивная потеря слуха неуточненная', 'H90.2', 7108, 'H90', 0, 'Кондуктивная глухота БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7112, 'Нейросенсорная потеря слуха двусторонняя', 'H90.3', 7108, 'H90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7113, 'Нейросенсорная потеря слуха односторонняя с нормальным слухом на противоположном ухе', 'H90.4', 7108, 'H90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7114, 'Нейросенсорная потеря слуха неуточненная', 'H90.5', 7108, 'H90', 0, 'Врожденная глухота БДУ Снижение слуха: . центральное } . невральное } БДУ . сенсорное } Нейросенсорная глухота БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7115, 'Смешанная кондуктивная и нейросенсорная тугоухость двусторонняя', 'H90.6', 7108, 'H90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7116, 'Смешанная кондуктивная и нейросенсорная тугоухость односторонняя, с нормальным слухом на противоположном ухе', 'H90.7', 7108, 'H90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7117, 'Смешанная кондуктивная и нейросенсорная тугоухость неуточненная', 'H90.8', 7108, 'H90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7118, 'Другая потеря слуха', 'H91', 7107, 'H90-H95', 6, 'Исключены: аномалии слухового восприятия (H93.2) потеря слуха, классифицированные в рубрике H90.серная пробка (H61.2) утрата слуха, вызванная шумом (H83.3) психогенная глухота (F44.6) преходящая ишемическая глухота (H93.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7119, 'Ототоксическая потеря слуха', 'H91.0', 7118, 'H91', 0, 'При необходимости идентифицировать токсический агент используют дополнительный код внешних причин (класс XX)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7120, 'Пресбиакузис', 'H91.1', 7118, 'H91', 0, 'Пресбиакузия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7121, 'Внезапная идиопатическая потеря слуха', 'H91.2', 7118, 'H91', 0, 'Внезапная потеря слуха БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7122, 'Мутационная глухота, не классифицированная в других рубриках', 'H91.3', 7118, 'H91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7123, 'Другие уточненные потери слуха', 'H91.8', 7118, 'H91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7124, 'Потеря слуха неуточненная', 'H91.9', 7118, 'H91', 0, 'Глухота: . БДУ . высокочастотная . низкочастотная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7125, 'Оталгия и выделения из уха', 'H92', 7107, 'H90-H95', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7126, 'Оталгия', 'H92.0', 7125, 'H92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7127, 'Оторея', 'H92.1', 7125, 'H92', 0, 'Исключено: истечение спинномозговой жидкости через ухо (G96.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7128, 'Кровотечение из уха', 'H92.2', 7125, 'H92', 0, 'Исключено: травматическое кровотечение (кодируют по типу травмы)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7129, 'Другие болезни уха, не классифицированные в других рубриках', 'H93', 7107, 'H90-H95', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7130, 'Дегенеративные и сосудистые болезни уха', 'H93.0', 7129, 'H93', 0, 'Преходящая ишемическая глухота Исключен: пресбиакузис (H91.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7131, 'Шум в ушах (субъективный)', 'H93.1', 7129, 'H93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7132, 'Другие аномалии слухового восприятия', 'H93.2', 7129, 'H93', 0, 'Слуховое дополнение Диплакузия Гиперкузия Преходящий слуховой пороговый сдвиг Исключены: слуховые галлюцинации (R44.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7133, 'Болезни слухового нерва', 'H93.3', 7129, 'H93', 0, 'Поражение 8-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7134, 'Другие уточненные болезни уха', 'H93.8', 7129, 'H93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7135, 'Болезнь уха неуточненная', 'H93.9', 7129, 'H93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7136, 'Другие поражения уха при болезнях, классифицированных в других рубриках', 'H94*', 7107, 'H90-H95', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7137, 'Кохлеарный неврит при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'H94.0*', 7136, 'H94*', 0, 'Кохлеарный неврит при сифилисе (A52.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7138, 'Другие уточненные поражения уха при болезнях, классифицированных в других рубриках', 'H94.8*', 7136, 'H94*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7139, 'Поражения уха и сосцевидного отростка после медицинских процедур, не классифицированные в других рубриках', 'H95', 7107, 'H90-H95', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7140, 'Рецидивирующая холестеатома полости после мастоидэктомии', 'H95.0', 7139, 'H95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7141, 'Другие поражения после мастоидэктомии', 'H95.1', 7139, 'H95', 0, 'Хроническое воспаление } Грануляции } полости после мастоидэктомии Мукозная киста }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7142, 'Другие поражения уха и сосцевидного отростка после медицинских процедур', 'H95.8', 7139, 'H95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(7143, 'Поражение уха и сосцевидного отростка после медицинских процедур неуточненное', 'H95.9', 7139, 'H95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8001, 'БОЛЕЗНИ СИСТЕМЫ КРОВООБРАЩЕНИЯ', 'I00-I99', NULL, NULL, 10, 'Исключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99) системные нарушения соединительной ткани (M30-M36) транзиторные церебральные ишемические приступы и родственные синдромы (G45.-)\nЭтот класс содержит следующие блоки:\nI00-I02 Острая ревматическая лихорадка\nI05-I09 Хронические ревматические болезни сердца\nI10-I15 Болезни, характеризующиеся повышенным кровяным давлением\nI20-I25 Ишемическая болезнь сердца\nI26-I28 Легочное сердце и нарушения легочного кровообращения\nI30-I52 Другие болезни сердца\nI60-I69 Цереброваскулярные болезни\nI70-I79 Болезни артерий, артериол и капилляров\nI80-I89 Болезни вен, лимфатических сосудов и лимфатических узлов, не классифицированные в других рубриках\nI95-I99 Другие и неуточненные болезни системы кровообращения\nЗвездочкой отмечены следующие категории:\nI32* Перикардит при болезнях, классифицированных в других рубриках\nI39* Эндокардит и поражения клапанов сердца при болезнях, классифицированных в других рубриках\nI41* Миокардит при болезнях, классифицированных в других рубриках\nI43* Кардиомиопатии при болезнях, классифицированных в других рубриках\nI52* Другие поражения сердца при болезнях, классифицированных в других рубриках\nI68* Поражения сосудов мозга при болезнях, классифицированных в других рубриках\nI79* Поражения артерий, артериол и капилляров при болезнях, классифицированных в других рубриках\nI98* Другие нарушения системы кровообращения при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8002, 'ОСТРАЯ РЕВМАТИЧЕСКАЯ ЛИХОРАДКА', 'I00-I02', 8001, 'I00-I99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8003, 'Ревматическая лихорадка без упоминания о вовлечении сердца', 'I00', 8002, 'I00-I02', 0, 'Артрит ревматический острый или подострый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8004, 'Ревматическая лихорадка с вовлечением сердца', 'I01', 8002, 'I00-I02', 5, 'Исключены: хронические болезни сердца ревматического происхождения (I05-I09) без одновременного развития острого ревматического процесса или без явлений активизирования или рецидива этого процесса. При появлении сомнений относительно активности ревматического процесса к моменту смерти следует обратиться к рекомендациям и правилам кодирования смертности, изложенным в т. 2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8005, 'Острый ревматический перикардит', 'I01.0', 8004, 'I01', 0, 'Любое состояние, относящееся к рубрике I00, в сочетании с перикардитом Исключен: перикардит, не обозначенный как ревматический (I30.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8006, 'Острый ревматический эндокардит', 'I01.1', 8004, 'I01', 0, 'Любое состояние, относящееся к рубрике I00, в сочетании с эндокардитом или вальвулитом Острый ревматический вальвулит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8007, 'Острый ревматический миокардит', 'I01.2', 8004, 'I01', 0, 'Любое состояние, относящееся к рубрике I00, в сочетании с миокардитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8008, 'Другие острые ревматические болезни сердца', 'I01.8', 8004, 'I01', 0, 'Любое состояние, относящееся к рубрике I00, в сочетании с другими или множественными формами состояний с вовлечением сердца Острый ревматический панкардит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8009, 'Острая ревматическая болезнь сердца неуточненная', 'I01.9', 8004, 'I01', 0, 'Любое состояние, относящееся к рубрике I00, в сочетании с неуточненной формой поражения сердца . ревматический кардит, острый . болезнь сердца, активная или острая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8010, 'Ревматическая хорея', 'I02', 8002, 'I00-I02', 2, 'Включена: хорея Сиденхема Исключена: хорея: . БДУ (G25.5) . Хантингтона (G10)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8011, 'Ревматическая хорея с вовлечением сердца', 'I02.0', 8010, 'I02', 0, 'Хорея БДУ с вовлечением сердца Ревматическая хорея с вовлечением сердца любого из указанных в рубрике I01.- типа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8012, 'Ревматическая хорея без вовлечения сердца', 'I02.9', 8010, 'I02', 0, 'Ревматическая хорея БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8014, 'ХРОНИЧЕСКИЕ РЕВМАТИЧЕСКИЕ БОЛЕЗНИ СЕРДЦА', 'I05-I09', 8001, 'I00-I99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8015, 'Ревматические болезни митрального клапана', 'I05', 8014, 'I05-I09', 5, 'Включены: состояния, классифицированные в рубриках I05.0 и I05.2-I05.9, уточненные или не уточненные как ревматические Исключены: случаи, уточненные как неревматические (I34.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8016, 'Митральный стеноз', 'I05.0', 8015, 'I05', 0, 'Сужение митрального клапана (ревматическое)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8017, 'Ревматическая недостаточность митрального клапана', 'I05.1', 8015, 'I05', 0, 'Ревматическая митральная: . функциональная недостаточность . регургитация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8018, 'Митральный стеноз с недостаточностью', 'I05.2', 8015, 'I05', 0, 'Митральный стеноз с функциональной недостаточностью или регургитацией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8019, 'Другие болезни митрального клапана', 'I05.8', 8015, 'I05', 0, 'Митральная (клапанная) недостаточночть');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8020, 'Болезнь митрального клапана неуточненная', 'I05.9', 8015, 'I05', 0, 'Митральное (клапанное) нарушение (хроническое) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8021, 'Ревматические болезни аортального клапана', 'I06', 8014, 'I05-I09', 5, 'Исключены: случаи, не уточненные как ревматические (I35.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8022, 'Ревматический аортальный стеноз', 'I06.0', 8021, 'I06', 0, 'Ревматическое сужение аортального клапана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8023, 'Ревматическая недостаточность аортального клапана', 'I06.1', 8021, 'I06', 0, 'Ревматическая аортальная: . недостаточность . регургитация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8024, 'Ревматический аортальный стеноз с недостаточностью', 'I06.2', 8021, 'I06', 0, 'Ревматический аортальный стеноз с функциональной недостаточностью или регургитацией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8025, 'Другие ревматические болезни аортального клапана', 'I06.8', 8021, 'I06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8026, 'Ревматическая болезнь аортального клапана неуточненная', 'I06.9', 8021, 'I06', 0, 'Ревматическая аортальная (клапанная) болезнь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8027, 'Ревматические болезни трехстворчатого клапана', 'I07', 8014, 'I05-I09', 5, 'Включены: случаи, уточненные или не уточненные как ревматические Исключены: случаи, уточненные как неревматические (I36.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8028, 'Трикуспидальный стеноз', 'I07.0', 8027, 'I07', 0, 'Трикуспидальный (клапанный) стеноз (ревматический)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8029, 'Трикуспидальная недостаточность', 'I07.1', 8027, 'I07', 0, 'Трикуспидальная (клапанная) недостаточность (ревматическая)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8030, 'Трикуспидальный стеноз с недостаточностью', 'I07.2', 8027, 'I07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8031, 'Другие болезни трехстворчатого клапана', 'I07.8', 8027, 'I07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8032, 'Болезнь трехстворчатого клапана неуточненная', 'I07.9', 8027, 'I07', 0, 'Нарушение функции трехстворчатого клапана БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8033, 'Поражения нескольких клапанов', 'I08', 8014, 'I05-I09', 6, 'Включены: случаи, уточненные или не уточненные как ревматические Исключены: эндокардит, клапан не уточнен (I38) ревматические болезни эндокарда, клапан не уточнен (I09.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8034, 'Сочетанное поражение митрального и аортального клапанов', 'I08.0', 8033, 'I08', 0, 'Поражение как митрального, так и аортального клапанов, уточненное или не уточненное как ревматическое');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8035, 'Сочетанные поражения митрального и трехстворчатого клапанов', 'I08.1', 8033, 'I08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8036, 'Сочетанные поражения аортального и трехстворчатого клапанов', 'I08.2', 8033, 'I08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8037, 'Сочетанные поражения митрального, аортального и трехстворчатого клапанов', 'I08.3', 8033, 'I08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8038, 'Другие множественные болезни клапанов', 'I08.8', 8033, 'I08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8039, 'Множественное поражение клапанов неуточненное', 'I08.9', 8033, 'I08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8040, 'Другие ревматические болезни сердца', 'I09', 8014, 'I05-I09', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8041, 'Ревматический миокардит', 'I09.0', 8040, 'I09', 0, 'Исключен: миокардит, не уточненный как ревматический (I51.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8042, 'Ревматические болезни эндокарда, клапан не уточнен', 'I09.1', 8040, 'I09', 0, 'Ревматический: . эндокардит (хронический) . вальвулит (хронический) Исключен: эндокардит, клапан не уточнен (I38)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8043, 'Хронический ревматический перикардит', 'I09.2', 8040, 'I09', 0, 'Слипчивый перикардит ревматический Хронический ревматический: . медиастиноперикардит . миоперикардит Исключены: состояния, не уточненные как ревматические (I31.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8044, 'Другие уточненные ревматические болезни сердца', 'I09.8', 8040, 'I09', 0, 'Ревматическая болезнь легочного клапана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8045, 'Ревматические  болезни сердца неуточненные', 'I09.9', 8040, 'I09', 0, 'Ревматический(ая): . кардит . сердечная недостаточность Исключен: ревматоидный кардит (M05.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8047, 'БОЛЕЗНИ, ХАРАКТЕРИЗУЮЩИЕСЯ ПОВЫШЕННЫМ КРОВЯНЫМ ДАВЛЕНИЕМ', 'I10-I15', 8001, 'I00-I99', 5, 'Исключены: осложняющие беременность, роды или послеродовой период (O10-O11, O13-O16) с вовлечением коронарных сосудов (I20-I25) неонатальная гипертензия (P29.2) легочная гипертензия (I27.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8048, 'Эссенциальная [первичная] гипертензия', 'I10', 8047, 'I10-I15', 0, 'Высокое кровяное давление Гипертензия (артериальная) (доброкачественная) (эссенциалная) (злокачественная) (первичная) (системная) Исключена: с вовлечением сосудов: . мозга (I60-I69) . глаза (H35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8049, 'Гипертензивная болезнь сердца [гипертоническая болезнь сердца с преимущественным поражением сердца]', 'I11', 8047, 'I10-I15', 2, 'Включено: любое состояние, указанное в рубриках I50.-, I51.4-I51.9, обусловленное гипертензией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8050, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением сердца с (застойной) сердечной недостаточностью', 'I11.0', 8049, 'I11', 0, 'Гипертензивная [гипертоническая] сердечная недостаточность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8051, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением сердца без (застойной) сердечной недостаточности', 'I11.9', 8049, 'I11', 0, 'Гипертензивная болезнь сердца БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8052, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением почек', 'I12', 8047, 'I10-I15', 2, 'Включено: любое состояние, указанное в рубриках N18.-, N19.или N26.- в сочетании с любым состоянием, указанным в рубрике I10 артериосклероз почек артериосклеротический нефрит (хронический) (интерстициальный) гипертензивная нефропатия нефросклероз Исключена: вторичная гипертензия (I15.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8053, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением почек с почечной недостаточностью', 'I12.0', 8052, 'I12', 0, 'Гипертоническая почечная недостаточность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8054, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением почек без почечной недостаточности', 'I12.9', 8052, 'I12', 0, 'Почечная форма гипертонической болезни БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8055, 'Гипертензивная  [гипертоническая] болезнь с преимущественным поражением сердца и почек', 'I13', 8047, 'I10-I15', 4, 'Включены: любое состояние, указанное в рубрике I11.-, в сочетании с любым состоянием, указанным в рубрике I12.болезнь: . сердечно-почечная . сердечно-сосудистая почечная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8056, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением сердца и почек с (застойной) сердечной недостаточностью', 'I13.0', 8055, 'I13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8057, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением почек с почечной недостаточностью', 'I13.1', 8055, 'I13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8058, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением сердца и почек с (застойной) сердечной недостаточностью и почечной недостаточностью', 'I13.2', 8055, 'I13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8059, 'Гипертензивная [гипертоническая] болезнь с преимущественным поражением сердца и почек неуточненная', 'I13.9', 8055, 'I13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8060, 'Вторичная гипертензия', 'I15', 8047, 'I10-I15', 5, 'Исключена: с вовлечением сосудов: . мозга (I60-I69) . глаза (H35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8061, 'Реноваскулярная гипертензия', 'I15.0', 8060, 'I15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8062, 'Гипертензия вторичная по отношению к другим поражениям почек', 'I15.1', 8060, 'I15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8063, 'Гипертензия вторичная по отношению к эндокринным нарушениям', 'I15.2', 8060, 'I15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8064, 'Другая вторичная гипертензия', 'I15.8', 8060, 'I15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8065, 'Вторичная гипертензия неуточненная', 'I15.9', 8060, 'I15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8067, 'ИШЕМИЧЕСКАЯ БОЛЕЗНЬ СЕРДЦА', 'I20-I25', 8001, 'I00-I99', 6, 'Примечание. Для статистики заболеваемости определение "продолжительность", использованное в рубрике I21-I25, включает отрезок времени от начала ишемического приступа до поступления больного в медицинское учреждение. Для статистики смертности оно охватывает отрезок времени от начала ишемического приступа до наступления смертельного исхода.\nВключена: с упоминанием о гипертензии (I10-I15)\nПри необходимости указать наличие гипертензии используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8068, 'Стенокардия [грудная жаба]', 'I20', 8067, 'I20-I25', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8069, 'Нестабильная стенокардия', 'I20.0', 8068, 'I20', 0, 'Стенокардия: . нарастающая . напряжения, впервые возникшая . напряжения прогрессирующая Промежуточный коронарный синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8070, 'Стенокардия с документально подтвержденным спазмом', 'I20.1', 8068, 'I20', 0, 'Стенокардия: . ангиоспастическая . Принцметала . обусловленная спазмом . вариантная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8071, 'Другие формы стенокардии', 'I20.8', 8068, 'I20', 0, 'Стенокардия напряжения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8072, 'Стенокардия неуточненная', 'I20.9', 8068, 'I20', 0, 'Стенокардия: . БДУ . cardiac Ангинозный синдром Ишемические боли в груди');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8073, 'Острый инфаркт миокарда', 'I21', 8067, 'I20-I25', 6, 'Включен: инфаркт миокарда, уточненный как острый или установленной продолжительностью 4 нед (28 дней) или менее от начала Исключены: некоторые текущие осложнения после острого инфаркта миокарда (I23.-) инфаркт миокарда: . перенесенный в прошлом (I25.2) . уточненный как хронический или продолжительностью более 4 нед (более 28 дней) от начала (I25.8) . последующий (I22.-) постинфарктный миокардиальный синдром (I24.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8074, 'Острый трансмуральный инфаркт передней стенки миокарда', 'I21.0', 8073, 'I21', 0, 'Трансмуральный инфаркт (острый): . передней (стенки) БДУ . передневерхушечный . переднебоковой . переднесептальный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8075, 'Острый трансмуральный инфаркт нижней стенки миокарда', 'I21.1', 8073, 'I21', 0, 'Трансмуральный инфаркт миокарда (острый): . диафрагмальной стенки . нижней (стенки) БДУ . нижнебоковой . нижнезадний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8076, 'Острый трансмуральный инфаркт миокарда других уточненных локализаций', 'I21.2', 8073, 'I21', 0, 'Трансмуральный инфаркт (острый): . верхушечно-боковой . базально-литеральный . верхнебоковой . боковой (стенки) БДУ . задний (истинный) . заднебазальный . заднебоковой . заднесептальный . перегородочный БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8077, 'Острый трансмуральный инфаркт миокарда неуточненной локализации', 'I21.3', 8073, 'I21', 0, 'Трансмуральный инфаркт миокарда БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8078, 'Острый субэндокардиальный инфаркт миокарда', 'I21.4', 8073, 'I21', 0, 'Нетрансмуральный инфаркт миокарда БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8079, 'Острый инфаркт миокарда неуточненный', 'I21.9', 8073, 'I21', 0, 'Инфаркт миокарда (острый) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8080, 'Повторный инфаркт миокарда', 'I22', 8067, 'I20-I25', 4, 'Включен: рецидивирующий инфаркт миокарда Исключен: инфаркт миокарда, уточненный как хронический или с установленной продолжительностью более 4 нед (более 28 дней) от начала (I25.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8081, 'Повторный инфаркт передней стенки миокарда', 'I22.0', 8080, 'I22', 0, 'Повторный инфаркт (острый): . передней (стенки) БДУ . передневерхушечный . переднебоковой . переднесептальный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8082, 'Повторный инфаркт нижней стенки миокарда', 'I22.1', 8080, 'I22', 0, 'Повторный инфаркт (острый): . диафрагмальной стенки . нижней (стенки) БДУ . нижнебоковой . нижнезадний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8083, 'Повторный инфаркт миокарда другой уточненной локализации', 'I22.8', 8080, 'I22', 0, 'Повторный инфаркт миокарда (острый): . верхушечно-боковой . базально-литеральный . верхнебоковой . боковой (стенки) БДУ . задний (истинный) . заднебазальный . заднебоковой . заднесептальный . перегородочный БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8084, 'Повторный инфаркт миокарда неуточненной локализации', 'I22.9', 8080, 'I22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8085, 'Некоторые текущие осложнения острого инфаркта миокарда', 'I23', 8067, 'I20-I25', 8, 'Исключены: перечисленные состояния: . сопровождающие острый инфаркт миокарда (I21-I22) . не уточненные как текущие осложнения острого инфаркта миокарда (I31.-, I51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8086, 'Гемоперикард как ближайшее осложнение острого инфаркта миокарда', 'I23.0', 8085, 'I23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8087, 'Дефект межпредсердной перегородки как текущее осложнение острого инфаркта миокарда', 'I23.1', 8085, 'I23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8088, 'Дефект межжелудочковой перегородки как текущее осложнение острого инфаркта миокарда', 'I23.2', 8085, 'I23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8089, 'Разрыв сердечной стенки без гемоперикарда как текущее осложнение острого инфаркта миокарда', 'I23.3', 8085, 'I23', 0, 'Исключен: с гемоперикардом (I23.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8090, 'Разрыв сухожильной хорды как текущее осложнение острого инфаркта миокарда', 'I23.4', 8085, 'I23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8091, 'Разрыв сосочковой мышцы как текущее осложнение острого инфаркта миокарда', 'I23.5', 8085, 'I23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8092, 'Тромбоз предсердия, ушка предсердия и желудочка сердца как текущее осложнение острого инфаркта миокарда', 'I23.6', 8085, 'I23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8093, 'Другие текущие осложнения острого инфаркта миокарда', 'I23.8', 8085, 'I23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8094, 'Другие формы острой ишемической болезни сердца', 'I24', 8067, 'I20-I25', 4, 'Исключены: стенокардия (I20.-) преходящая ишемия миокарда новорожденного (P29.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8095, 'Коронарный тромбоз, не приводящий к инфаркту миокарда', 'I24.0', 8094, 'I24', 0, 'Коронарная (артерии) (вены): . эмболия } не приводящие . окклюзия } к инфаркту . тромбоэмболия } миокарда Исключен: коронарный тромбоз хронический или установленной продолжительностью более 4 нед (более 28 дней) от начала (I25.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8096, 'Синдром Дресслера', 'I24.1', 8094, 'I24', 0, 'Постинфарктный синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8097, 'Другие формы острой ишемической болезни сердца', 'I24.8', 8094, 'I24', 0, 'Коронарная: . недостаточность . неполноценность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8098, 'Острая ишемическая болезнь сердца неуточненная', 'I24.9', 8094, 'I24', 0, 'Исключена: ишемическая болезнь сердца (хроническая) БДУ (I25.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8099, 'Хроническая ишемическая болезнь сердца', 'I25', 8067, 'I20-I25', 9, 'Исключена: сердечно-сосудистая болезнь БДУ (I51.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8100, 'Атеросклеротическая сердечно-сосудистая болезнь, так описанная', 'I25.0', 8099, 'I25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8101, 'Атеросклеротическая болезнь сердца', 'I25.1', 8099, 'I25', 0, 'Коронарная(ый) (артерии): . атерома . атеросклероз . болезнь . склероз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8102, 'Перенесенный в прошлом инфаркт миокарда', 'I25.2', 8099, 'I25', 0, 'Излеченный инфаркт миокарда Перенесенный в прошлом инфаркт миокарда, диагностированный с помощью ЭКГ или другого специального исследования при отсутствии в настоящее время симптомов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8103, 'Аневризма сердца', 'I25.3', 8099, 'I25', 0, 'Аневризма: . стенки . вентрикулярная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8104, 'Аневризма коронарной артерии', 'I25.4', 8099, 'I25', 0, 'Коронарная артериовенозная фистула приобретенная Исключена: врожденная коронарная (артерии) аневризма (Q24.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8105, 'Ишемическая кардиомиопатия', 'I25.5', 8099, 'I25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8106, 'Бессимптомная ишемия миокарда', 'I25.6', 8099, 'I25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8107, 'Другие формы хронической ишемической болезни сердца', 'I25.8', 8099, 'I25', 0, 'Любое состояние, указанное в рубриках I21-I22 и I24.-, обозначенное как хроническое или установленной продолжительностью более 4 нед (более 28 дней) от начала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8108, 'Хроническая ишемическая болезнь сердца неуточненная', 'I25.9', 8099, 'I25', 0, 'Ишемическая болезнь сердца (хроническая) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8110, 'ЛЕГОЧНОЕ СЕРДЦЕ И НАРУШЕНИЯ ЛЕГОЧНОГО КРОВООБРАЩЕНИЯ', 'I26-I28', 8001, 'I00-I99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8111, 'Легочная эмболия', 'I26', 8110, 'I26-I28', 2, 'Включены: легочный(ая) (артерии) (вены): . инфаркт . тромбоэмболия . тромбоз Исключена: осложняющая: . аборт (O03-O07), внематочную или молярную беременность (O00-O07, O08.2) . беременность, роды и послеродовой период (O88.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8112, 'Легочная эмболия с упоминанием об остром легочном сердце', 'I26.0', 8111, 'I26', 0, 'Острое легочное сердце БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8113, 'Легочная эмболия без упоминания об остром легочном сердце', 'I26.9', 8111, 'I26', 0, 'Легочная эмболия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8114, 'Другие формы легочно-сердечной недостаточности', 'I27', 8110, 'I26-I28', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8115, 'Первичная легочная гипертензия', 'I27.0', 8114, 'I27', 0, 'Легочная (артериальная) гипертензия (идиопатическая) (первичная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8116, 'Кифосколиотическая болезнь сердца', 'I27.1', 8114, 'I27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8117, 'Другие уточненные формы легочно-сердечной недостаточности', 'I27.8', 8114, 'I27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8118, 'Легочно-сердечная недостаточность неуточненная', 'I27.9', 8114, 'I27', 0, 'Хроническая болезнь сердца легочного происхождения Легочное сердце [cor pulmonale] (хроническое) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8119, 'Другие болезни легочных сосудов', 'I28', 8110, 'I26-I28', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8120, 'Артериовенозный свищ легочных сосудов', 'I28.0', 8119, 'I28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8121, 'Аневризма легочной артерии', 'I28.1', 8119, 'I28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8122, 'Другие уточненные болезни легочных сосудов', 'I28.8', 8119, 'I28', 0, 'Разрыв } Стеноз } легочного сосуда Стриктура }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8123, 'Болезнь легочных сосудов неуточненная', 'I28.9', 8119, 'I28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8125, 'ДРУГИЕ БОЛЕЗНИ СЕРДЦА', 'I30-I52', 8001, 'I00-I99', 23, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8126, 'Острый перикардит', 'I30', 8125, 'I30-I52', 4, 'Включен: острый перикардиальный выпот Исключен: ревматический перикардит (острый) (I01.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8127, 'Острый неспецифический идиопатический перикардит', 'I30.0', 8126, 'I30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8128, 'Инфекционный перикардит', 'I30.1', 8126, 'I30', 0, 'Перикардит: . пневмококковый . гнойный . стафилококковый . стрептококковый . вирусный Пиоперикардит При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8129, 'Другие формы острого перикардита', 'I30.8', 8126, 'I30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8130, 'Острый перикардит неуточненный', 'I30.9', 8126, 'I30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8131, 'Другие болезни перикарда', 'I31', 8125, 'I30-I52', 6, 'Исключены: некоторые текущие осложнения острого инфаркта миокарда (I23.-) посткардиотонический синдром (I97.0) травма сердца (S26.-) болезни, уточненные как ревматические (I09.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8132, 'Хронический адгезивный перикардит', 'I31.0', 8131, 'I31', 0, 'Accretio cordis Слипчивый перикард Адгезивный медиастиноперикардит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8133, 'Хронический констриктивный перикардит', 'I31.1', 8131, 'I31', 0, 'Concretio cordis Кальциноз перикарда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8134, 'Гемоперикард, не классифицированный в других рубриках', 'I31.2', 8131, 'I31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8135, 'Перикардиальный выпот (невоспалительный)', 'I31.3', 8131, 'I31', 0, 'Хилоперикард');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8136, 'Другие уточненные болезни перикарда', 'I31.8', 8131, 'I31', 0, 'Эпикардиальные бляшки Очаговые перикардиальные сращения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8137, 'Болезни перикарда неуточненные', 'I31.9', 8131, 'I31', 0, 'Тампонада сердца Перикардит (хронический) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8138, 'Перикардит при болезнях, классифицированных в других рубриках', 'I32*', 8125, 'I30-I52', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8139, 'Перикардит при бактериальных болезнях, классифицированных в других рубриках', 'I32.0*', 8138, 'I32*', 0, 'Перикардит: . гонококковый (A54.8+) . менингококковый (A39.5+) . сифилитический (A52.0+) . туберкулезный (A18.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8140, 'Перикардит при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'I32.1*', 8138, 'I32*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8141, 'Перикардит при других болезнях, классифицированных в других рубриках', 'I32.8*', 8138, 'I32*', 0, 'Перикардит: . ревматоидный (M05.3+) . при системной красной волчанке (M32.1+) . уремический (N18.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8142, 'Острый и подострый эндокардит', 'I33', 8125, 'I30-I52', 2, 'Исключен: острый ревматический эндокардит (I01.1) эндокардит БДУ (I38)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8143, 'Острый и подострый инфекционный эндокардит', 'I33.0', 8142, 'I33', 0, 'Эндокардит (острый) (подострый): . бактериальный . инфекционный БДУ . медленно текущий . злокачественный . септический . язвенный При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8144, 'Острый эндокардит неуточненный', 'I33.9', 8142, 'I33', 0, 'Эндокардит } Миоэндокардит } острый или подострый Периэндокардит }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8145, 'Неревматические поражения митрального клапана', 'I34', 8125, 'I30-I52', 5, 'Исключены: митральная (клапанная): . болезнь (I05.9) . недостаточность (I05.8) . стеноз (I05.0) при неустановленной причине, но с упоминанием ее . болезни аортального клапана (I08.0) . митральном стенозе или обструкции (I05.0) поражения, уточненные как ревматические (I05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8146, 'Митральная (клапанная) недостаточность', 'I34.0', 8145, 'I34', 0, 'Митральная (клапанная): . функциональная } БДУ или уточненной причины, . недостаточность } кроме ревматической . регургитация }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8147, 'Пролапс [пролабирование] митрального клапана', 'I34.1', 8145, 'I34', 0, 'Синдром выбухающего митрального клапана Исключен: синдром Марфана (Q87.4)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8148, 'Неревматический стеноз митрального клапана', 'I34.2', 8145, 'I34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8149, 'Другие неревматические поражения митрального клапана', 'I34.8', 8145, 'I34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8150, 'Неревматическое поражение митрального клапана неуточненное', 'I34.9', 8145, 'I34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8151, 'Неревматические поражения аортального клапана', 'I35', 8125, 'I30-I52', 5, 'Исключены: гипертрофический субаортальный стеноз (I42.1) при неустановленной причине, но с упоминанием о болезни митрального клапана (I08.0) поражения, уточненные как ревматические (I06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8152, 'Аортальный (клапанный) стеноз', 'I35.0', 8151, 'I35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8153, 'Аортальная (клапанная) недостаточность', 'I35.1', 8151, 'I35', 0, 'Аортальная (клапанная): . функциональная } БДУ или уточненной причины, недостаточность } кроме ревматической . регургитация }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8154, 'Аортальный (клапанный) стеноз с недостаточностью', 'I35.2', 8151, 'I35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8155, 'Другие поражения аортального клапана', 'I35.8', 8151, 'I35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8156, 'Поражение аортального клапана неуточненное', 'I35.9', 8151, 'I35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8157, 'Неревматические поражения трехстворчатого клапана', 'I36', 8125, 'I30-I52', 5, 'Исключенs: без уточнения причины (I07.-) уточненные как ревматические (I07.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8158, 'Неревматический стеноз трехстворчатого клапана', 'I36.0', 8157, 'I36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8159, 'Неревматическая недостаточность трехстворчатого клапана', 'I36.1', 8157, 'I36', 0, 'Трикуспидальная (клапанная): . функциональная } БДУ или уточненной причины, недостаточность } кроме ревматической . регургитация }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8160, 'Неревматический стеноз трехстворчатого клапана с недостаточностью', 'I36.2', 8157, 'I36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8161, 'Другие неревматические поражения трехстворчатого клапана', 'I36.8', 8157, 'I36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8162, 'Неревматическое поражение трехстворчатого клапана неуточненное', 'I36.9', 8157, 'I36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8163, 'Поражения клапана легочной артерии', 'I37', 8125, 'I30-I52', 5, 'Исключены: нарушения, уточненные как ревматические (I09.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8164, 'Стеноз клапана легочной артерии', 'I37.0', 8163, 'I37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8165, 'Недостаточность клапана легочной артерии', 'I37.1', 8163, 'I37', 0, 'Легочного клапана: . функциональная } БДУ или уточненной причины, недостаточность } кроме ревматической . регургитация }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8166, 'Стеноз клапана легочной артерии с недостаточностью', 'I37.2', 8163, 'I37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8167, 'Другие поражения клапана легочной артерии', 'I37.8', 8163, 'I37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8168, 'Поражение легочного клапана неуточненное', 'I37.9', 8163, 'I37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8169, 'Эндокардит, клапан не уточнен', 'I38', 8125, 'I30-I52', 0, 'Эндокардит (хронический) БДУ Клапанная(ый): . неполноценность } . недостаточность } неуточ- { БДУ или уточненной . регургитация } ненного { причины, кроме . стеноз } клапана { ревматической Вульвит (хронический) } Исключены: эндокардиальный фиброэластоз (I42.4) случаи, уточненные как ревматические (I09.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8170, 'Эндокардит и поражения клапанов сердца при болезнях, классифицированных в других рубриках', 'I39*', 8125, 'I30-I52', 6, 'Включены: поражение эндокарда при: . кандидозной инфекции (B37.6+) . гонококковой инфекции (A54.8+) . болезни Либмана-Сакса (M32.1+) . менингококковой инфекции (A39.5+) . ревматоидном артрите (M05.3+) . сифилисе (A52.0+) . туберкулезе (A18.8+) . брюшном тифе (A01.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8171, 'Поражения митрального клапана при болезнях, классифицированных в других рубриках', 'I39.0*', 8170, 'I39*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8172, 'Поражения аортального клапана при болезнях, классифицированных в других рубриках', 'I39.1*', 8170, 'I39*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8173, 'Поражения трехстворчатого клапана при болезнях, классифицированных в других рубриках', 'I39.2*', 8170, 'I39*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8174, 'Поражения клапана легочной артерии при болезнях, классифицированных в других рубриках', 'I39.3*', 8170, 'I39*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8175, 'Множественные поражения клапанов при болезнях, классифицированных в других рубриках', 'I39.4*', 8170, 'I39*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8176, 'Эндокардит, клапан не уточнен, при болезнях, классифицированных в других рубриках', 'I39.8*', 8170, 'I39*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8177, 'Острый миокардит', 'I40', 8125, 'I30-I52', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8178, 'Инфекционный миокардит', 'I40.0', 8177, 'I40', 0, 'Септический миокардит При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8179, 'Изолированный миокардит', 'I40.1', 8177, 'I40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8180, 'Другие виды острого миокардита', 'I40.8', 8177, 'I40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8181, 'Острый миокардит неуточненный', 'I40.9', 8177, 'I40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8182, 'Миокардит при болезнях, классифицированных в других рубриках', 'I41*', 8125, 'I30-I52', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8183, 'Миокардит при бактериальных болезнях, классифицированных в других рубриках', 'I41.0*', 8182, 'I41*', 0, 'Миокардит: . дифтерийный (A36.8+) . гонококковый (A54.8+) . менингококковый (A39.5+) . сифилитический (A52.0+) . Туберкулезный (A18.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8184, 'Миокардит при вирусных болезнях, классифицированных в других рубриках', 'I41.1*', 8182, 'I41*', 0, 'Гриппозный миокардит (острый): . вирус идентифицирован (J10.8+) . вирус не идентифицирован (J11.8+) Паротитный миокардит (B26.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8185, 'Миокардит при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'I41.2*', 8182, 'I41*', 0, 'Миокардит при: . болезни Шагаса (хронический) (B57.2+) . острой (B57.0+) . токсоплазмозе (B58.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8186, 'Миокардит при других болезнях, классифицированных в других рубриках', 'I41.8*', 8182, 'I41*', 0, 'Ревматоидный миокардит (M05.3+) Саркоидный миокардит (D86.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8187, 'Кардиомиопатия', 'I42', 8125, 'I30-I52', 10, 'Исключены: кардиомиопатия, осложняющая: . беременность (O99.4) . послеродовой период (O90.3) ишемическая кардиомиопатия (I25.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8188, 'Дилатационная кардиомиопатия', 'I42.0', 8187, 'I42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8189, 'Обструктивная гипертрофическая кардиомиопатия', 'I42.1', 8187, 'I42', 0, 'Гипертрофический субаортальный стеноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8190, 'Другая гипертрофическая кардиомиопатия', 'I42.2', 8187, 'I42', 0, 'Необструктивная гипертрофическая кардиомиопатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8191, 'Эндомиокардиальная (эозинофильная) болезнь', 'I42.3', 8187, 'I42', 0, 'Эндомиокардиальный (тропический) фиброз Эндокардит Леффлера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8192, 'Эндокардиальный фиброэластоз', 'I42.4', 8187, 'I42', 0, 'Врожденная кардиомиопатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8193, 'Другая рестриктивная кардиомиопатия', 'I42.5', 8187, 'I42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8194, 'Алкогольная кардиомиопатия', 'I42.6', 8187, 'I42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8195, 'Кардиомиопатия, обусловленная воздействием лекарственных средств и других внешних факторов', 'I42.7', 8187, 'I42', 0, 'При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8196, 'Другие кардиомиопатии', 'I42.8', 8187, 'I42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8197, 'Кардиомиопатия неуточненная', 'I42.9', 8187, 'I42', 0, 'Кардиомиопатия (первичная) (вторичная) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8198, 'Кардиомиопатия при болезнях, классифицированных в других рубриках', 'I43*', 8125, 'I30-I52', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8199, 'Кардиомиопатия при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'I43.0*', 8198, 'I43*', 0, 'Кардиомиопатия при дифтерии (A36.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8200, 'Кардиомиопатия при метаболических нарушениях', 'I43.1*', 8198, 'I43*', 0, 'Амилоидоз сердца (E85.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8201, 'Кардиомиопатия при расстройствах питания', 'I43.2*', 8198, 'I43*', 0, 'Кардиомиопатия при расстройстве питания БДУ (E63.9+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8202, 'Кардиомиопатия при других болезнях, классифицированных в других рубриках', 'I43.8*', 8198, 'I43*', 0, 'Подагрическое сердце (M10.0+) Тиреотоксическая болезнь сердца (E05.9+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8203, 'Предсердно-желудочковая [атриовентрикулярная] блокада и блокада левой ножки пучка [Гиса]', 'I44', 8125, 'I30-I52', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8204, 'Предсердно-желудочковая блокада первой степени', 'I44.0', 8203, 'I44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8205, 'Предсердно-желудочковая блокада второй степени', 'I44.1', 8203, 'I44', 0, 'Атриовентрикулярная блокада, тип I и II Блокада Мобитца, тип I и II Блокада второй степени, тип I и II Блокада Венкебаха');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8206, 'Предсердно-желудочковая блокада полная', 'I44.2', 8203, 'I44', 0, 'Полная блокада сердца БДУ Блокада третьей степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8207, 'Другая и неуточненная предсердно-желудочковая блокада', 'I44.3', 8203, 'I44', 0, 'Атриовентрикулярная блокада БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8208, 'Блокада передней ветви левой ножки пучка', 'I44.4', 8203, 'I44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8209, 'Блокада задней ветви левой ножки пучка', 'I44.5', 8203, 'I44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8210, 'Другие и неуточненные блокады пучка', 'I44.6', 8203, 'I44', 0, 'Гемиблокада левой ножки пучка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8211, 'Блокада левой ножки пучка неуточненная', 'I44.7', 8203, 'I44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8212, 'Другие нарушения проводимости', 'I45', 8125, 'I30-I52', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8213, 'Блокада правой ножки пучка', 'I45.0', 8212, 'I45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8214, 'Другая и неуточненная блокада правой ножки пучка', 'I45.1', 8212, 'I45', 0, 'Блокада разветвлений правой ножки пучка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8215, 'Двухпучковая блокада', 'I45.2', 8212, 'I45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8216, 'Трехпучковая блокада', 'I45.3', 8212, 'I45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8217, 'Неспецифическая внутрижелудочковая блокада', 'I45.4', 8212, 'I45', 0, 'Блокада ножки пучка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8218, 'Другая уточненная блокада сердца', 'I45.5', 8212, 'I45', 0, 'Синусно-предсердная блокада Синоаурикулярная блокада Исключена: блокада сердца БДУ (I45.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8219, 'Синдром преждевременного возбуждения', 'I45.6', 8212, 'I45', 0, 'Аномалии предсердно-желудочкового возбуждения Предсердно-желудочковое проведение: . ускоренное . по дополнительным путям . с преждевременным возбуждением Синдром Лауна-Ганонга-Левина Синдром Вольфа-Паркинсона-Уайта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8220, 'Другие уточненные нарушения проводимости', 'I45.8', 8212, 'I45', 0, 'Предсердно-желудочковая диссоциация Интерферентная диссоциация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8221, 'Нарушение проводимости неуточненное', 'I45.9', 8212, 'I45', 0, 'Блокада сердца БДУ Синдром Стокса-Адамса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8222, 'Остановка сердца', 'I46', 8125, 'I30-I52', 3, 'Исключены: кардиогенный шок (R57.0) осложняющая: . аборт, внематочную или молярную беременность (O00-O07, O08.8) . акушерские хирургические вмешательства и процедуры (O75.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8223, 'Остановка сердца с успешным восстановлением сердечной деятельности', 'I46.0', 8222, 'I46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8224, 'Внезапная сердечная смерть, так описанная', 'I46.1', 8222, 'I46', 0, 'Исключены: внезапная смерть: . БДУ (R96.-) при: . нарушении проводимости (I44-I45) . инфаркте миокарда (I21-I22)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8225, 'Остановка сердца неуточненная', 'I46.9', 8222, 'I46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8226, 'Пароксизмальная тахикардия', 'I47', 8125, 'I30-I52', 4, 'Исключен: осложняющая: . аборт, внематочную или молярную беременность (O00-O07, O08.8) . акушерские хирургические вмешательства и процедуры (O75.4) тахикардия БДУ (R00.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8227, 'Возвратная желудочковая аритмия', 'I47.0', 8226, 'I47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8228, 'Наджелудочковая тахикардия', 'I47.1', 8226, 'I47', 0, 'Пароксизмальная тахикардия: . предсердная . предсердно-желудочковая . исходящая из соединения . узловая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8229, 'Желудочковая тахикардия', 'I47.2', 8226, 'I47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8230, 'Пароксизмальная тахикардия неуточненная', 'I47.9', 8226, 'I47', 0, 'Синдром Бувере-(Гоффмана)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8231, 'Фибрилляция и трепетание предсердий', 'I48', 8125, 'I30-I52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8232, 'Другие нарушения сердечного ритма', 'I49', 8125, 'I30-I52', 8, 'Исключены: брадикардия БДУ (R00.1) состояния, осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.8) . акушерские хирургические вмешательства и процедуры (O75.4) нарушение ритма сердца у новорожденного (P29.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8233, 'Фибрилляция и трепетание желудочков', 'I49.0', 8232, 'I49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8234, 'Преждевременная деполяризация предсердий', 'I49.1', 8232, 'I49', 0, 'Преждевременные сокращения предсердий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8235, 'Преждевременная деполяризация, исходящая из соединения', 'I49.2', 8232, 'I49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8236, 'Преждевременная деполяризация желудочков', 'I49.3', 8232, 'I49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8237, 'Другая и неуточненная преждевременная деполяризация', 'I49.4', 8232, 'I49', 0, 'Эктопические систолы Экстрасистолы Экстрасистолическая аритмия Преждевременные: . сокращения БДУ . сжатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8238, 'Синдром слабости синусового узла', 'I49.5', 8232, 'I49', 0, 'Синдром тахикардии-брадикардии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8239, 'Другие уточненные нарушения сердечного ритма', 'I49.8', 8232, 'I49', 0, 'Нарушение ритма: . коронарного синуса . эктопические . узловые');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8240, 'Нарушение сердечного ритма неуточненное', 'I49.9', 8232, 'I49', 0, 'Аритмия (сердечная) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8241, 'Сердечная недостаточность', 'I50', 8125, 'I30-I52', 3, 'Исключены: состояния, осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.8) . акушерские хирургические вмешательства и процедуры (O75.4) состояния, обусловленные гипертензией (I11.0) . заболеванием почек (I13.-) последствия операции на сердце или при наличии сердечного протеза (I97.1) сердечная недостаточность у новорожденного (P29.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8242, 'Застойная сердечная недостаточность', 'I50.0', 8241, 'I50', 0, 'Болезнь сердца застойного характера Правожелудочковая недостаточность (вторичная по отношению к левожелудочковой сердечной недостаточности)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8243, 'Левожелудочковая недостаточность', 'I50.1', 8241, 'I50', 0, 'Острый отек легкого } с упоминанием о болезни сердца Острый легочный отек } БДУ или сердечной недостаточности Сердечная астма Левосторонняя сердечная недостаточность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8244, 'Сердечная недостаточность неуточненная', 'I50.9', 8241, 'I50', 0, 'Недостаточность обоих желудочков Сердечная (сердца) или миокардиальная недостаточность БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8245, 'Осложнения и неточно обозначенные болезни сердца', 'I51', 8125, 'I30-I52', 10, 'Исключены: любые состояния, указанные в рубриках I51.4-I51.9, обусловленные гипертензией (I11.-) . с заболеванием почек (I13.-) осложнения, сопровождающие острый инфаркт (I23.-) уточненные как ревматические (I00-I09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8246, 'Дефект перегородки сердца приобретенный', 'I51.0', 8245, 'I51', 0, 'Приобретенный дефект перегородки (давний): . предсердный . ушка предсердия . желудочковый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8247, 'Разрыв сухожилий хорды, не классифицированный в других рубриках', 'I51.1', 8245, 'I51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8248, 'Разрыв сосочковой мышцы, не классифицированный в других рубриках', 'I51.2', 8245, 'I51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8249, 'Внутрисердечный тромбоз, не классифицированный в других рубриках', 'I51.3', 8245, 'I51', 0, 'Тромбоз (давний): . верхушечный . предсердный . ушка предсердия . желудочковый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8250, 'Миокардит неуточненный', 'I51.4', 8245, 'I51', 0, 'Фиброз миокарда Миокардит: . БДУ . хронический (интерстициальный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8251, 'Дегенерация миокарда', 'I51.5', 8245, 'I51', 0, 'Дегенерация сердца или миокарда: . жировая . старческая Миокардиальная болезнь');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8252, 'Сердечно-сосудистая болезнь неуточненная', 'I51.6', 8245, 'I51', 0, 'Сердечно-сосудистый приступ БДУ Исключена: атеросклеротическая сердечно-сосудистая болезнь, так описанная (I25.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8253, 'Кардиомегалия', 'I51.7', 8245, 'I51', 0, 'Сердечное(ая): . расширение . гипертрофия Дилатация желудочков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8254, 'Другие неточно обозначенные болезни сердца', 'I51.8', 8245, 'I51', 0, 'Кардит (острый) (хронический) Панкардит (острый) (хронический)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8255, 'Болезнь сердца неуточненная', 'I51.9', 8245, 'I51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8256, 'Другие поражения сердца при болезнях, классифицированных в других рубриках', 'I52*', 8125, 'I30-I52', 3, 'Исключены: сердечно-сосудистые нарушения БДУ при болезнях, классифицированных в других рубриках (I98.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8257, 'Другие поражения сердца при бактериальных болезнях, классифицированных в других рубриках', 'I52.0*', 8256, 'I52*', 0, 'Менингококковый кардит НКДР (A39.5+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8258, 'Другие поражения сердца при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'I52.1*', 8256, 'I52*', 0, 'Легочно-сердечная недостаточность при шистосомозе (B65.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8259, 'Другие поражения сердца при других болезнях, классифицированных в других рубриках', 'I52.8*', 8256, 'I52*', 0, 'Ревматоидный кардит (M05.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8261, 'ЦЕРЕБРОВАСКУЛЯРНЫЕ БОЛЕЗНИ', 'I60-I69', 8001, 'I00-I99', 10, 'Включены: с упоминанием о гипертензии (состояния, указанные в рубриках I10 и I15.-)\nПри необходимости указать наличие гипертензии используют дополни-\nтельный код.\nИсключены: транзиторные церебральные ишемические приступы и родственные синдромы (G45.-) травматическое внутричерепное кровоизлияние (S06.-) сосудистая деменция (F01.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8262, 'Субарахноидальное кровоизлияние', 'I60', 8261, 'I60-I69', 10, 'Включен: разрыв аневризмы сосудов мозга Исключены: последствия субарахноидального кровоизлияния (I69.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8263, 'Субарахноидальное кровоизлияние из каротидного синуса и бифуркации', 'I60.0', 8262, 'I60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8264, 'Субарахноидальное кровоизлияние из средней мозговой артерии', 'I60.1', 8262, 'I60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8265, 'Субарахноидальное кровоизлияние из передней соединительной артерии', 'I60.2', 8262, 'I60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8266, 'Субарахноидальное кровоизлияние из задней соединительной артерии', 'I60.3', 8262, 'I60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8267, 'Субарахноидальное кровоизлияние из базилярной артерии', 'I60.4', 8262, 'I60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8268, 'Субарахноидальное кровоизлияние из позвоночной артерии', 'I60.5', 8262, 'I60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8269, 'Субарахноидальное кровоизлияние из других внутричерепных артерий', 'I60.6', 8262, 'I60', 0, 'Множественное поражение внутричерепных артерий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8270, 'Субарахноидальное кровоизлияние из внутричерепной артерии неуточненной', 'I60.7', 8262, 'I60', 0, 'Разорванная (врожденная) ягодоподобная аневризма мозга БДУ Субарахноидальное кровоизлияние из: . церебральной } артерии БДУ . соединительной }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8271, 'Другое субарахноидальное кровоизлияние', 'I60.8', 8262, 'I60', 0, 'Менингеальное кровоизлияние Разрыв мозговых артериовенозных дефектов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8272, 'Субарахноидальное кровоизлияние неуточненное', 'I60.9', 8262, 'I60', 0, 'Разорванная (врожденная) церебральная аневризма БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8273, 'Внутримозговое кровоизлияние', 'I61', 8261, 'I60-I69', 9, 'Исключены: последствия кровоизлияния в мозг (I69.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8274, 'Внутримозговое кровоизлияние в полушарие субкортикальное', 'I61.0', 8273, 'I61', 0, 'Глубокое внутримозговое кровоизлияние');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8275, 'Внутримозговое кровоизлияние в полушарие кортикальное', 'I61.1', 8273, 'I61', 0, 'Церебральное долевое кровоизлияние Неглубокое внутримозговое кровоизлияние');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8276, 'Внутримозговое кровоизлияние в полушарие неуточненное', 'I61.2', 8273, 'I61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8277, 'Внутримозговое кровоизлияние в ствол мозга', 'I61.3', 8273, 'I61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8278, 'Внутримозговое кровоизлияние в мозжечок', 'I61.4', 8273, 'I61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8279, 'Внутримозговое кровоизлияние внутрижелудочковое', 'I61.5', 8273, 'I61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8280, 'Внутримозговое кровоизлияние множественной локализации', 'I61.6', 8273, 'I61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8281, 'Другое внутримозговое кровоизлияние', 'I61.8', 8273, 'I61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8282, 'Внутримозговое кровоизлияние неуточненное', 'I61.9', 8273, 'I61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8283, 'Другое нетравматическое внутричерепное кровоизлияние', 'I62', 8261, 'I60-I69', 3, 'Исключены: последствия внутричерепного кровоизлияния (I69.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8284, 'Субдуральное кровоизлияние (острое) (нетравматическое)', 'I62.0', 8283, 'I62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8285, 'Нетравматическое экстрадуральное кровоизлияние', 'I62.1', 8283, 'I62', 0, 'Нетравматическое эпидуральное кровоизлияние');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8286, 'Внутричерепное кровоизлияние (нетравматическое) неуточненное', 'I62.9', 8283, 'I62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8287, 'Инфаркт мозга', 'I63', 8261, 'I60-I69', 9, 'Включены: закупорка и стеноз церебральных и прецеребральных артерий, вызывающие инфаркт мозга Исключены: осложнения после инфаркта мозга (I69.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8288, 'Инфаркт мозга, вызванный тромбозом прецеребральных артерий', 'I63.0', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8289, 'Инфаркт мозга, вызванный эмболией прецеребральных артерий', 'I63.1', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8290, 'Инфаркт мозга, вызванный неуточненной закупоркой или стенозом прецеребральных артерий', 'I63.2', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8291, 'Инфаркт мозга, вызванный тромбозом мозговых артерий', 'I63.3', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8292, 'Инфаркт мозга, вызванный эмболией мозговых артерий', 'I63.4', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8293, 'Инфаркт мозга, вызванный неуточненной закупоркой или стенозом мозговых артерий', 'I63.5', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8294, 'Инфаркт мозга, вызванный тромбозом вен мозга, непиогенный', 'I63.6', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8295, 'Другой инфаркт мозга', 'I63.8', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8296, 'Инфаркт мозга неуточненный', 'I63.9', 8287, 'I63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8297, 'Инсульт, не уточненный как кровоизлияние или инфаркт', 'I64', 8261, 'I60-I69', 0, 'Цереброваскулярный инсульт БДУ Исключены: последствия инсульта (I69.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8298, 'Закупорка и стеноз прецеребральных артерий, не приводящие к инфаркту мозга', 'I65', 8261, 'I60-I69', 6, 'Включены: эмболия } базилярной, сонной или сужение } позвоночной артерий, обструкция (полная) } не вызывающие инфаркт (частичная) } мозга тромбоз } Исключены: состояния, вызывающие инфаркт мозга (I63.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8299, 'Закупорка и стеноз позвоночной артерии', 'I65.0', 8298, 'I65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8300, 'Закупорка и стеноз базилярной артерии', 'I65.1', 8298, 'I65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8301, 'Закупорка и стеноз сонной артерии', 'I65.2', 8298, 'I65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8302, 'Закупорка и стеноз множественных и двусторонних прецеребральных артерий', 'I65.3', 8298, 'I65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8303, 'Закупорка и стеноз других прецеребральных артерий', 'I65.8', 8298, 'I65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8304, 'Закупорка и стеноз неуточненной прецеребральной артерии', 'I65.9', 8298, 'I65', 0, 'Прецеребральной артерии БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8305, 'Закупорка и стеноз церебральных артерий, не приводящие к инфаркту мозга', 'I66', 8261, 'I60-I69', 7, 'Включены: эмболия } средней, передней и задней сужение } мозговых артерий и артерий обструкция (полная) } мозжечка, не вызывающие (частичная) } инфаркт мозга тромбоз } Исключено: состояния, вызывающие инфаркт мозга (I63.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8306, 'Закупорка и стеноз средней мозговой артерии', 'I66.0', 8305, 'I66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8307, 'Закупорка и стеноз передней мозговой артерии', 'I66.1', 8305, 'I66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8308, 'Закупорка и стеноз задней мозговой артерии', 'I66.2', 8305, 'I66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8309, 'Закупорка и стеноз мозжечковых артерий', 'I66.3', 8305, 'I66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8310, 'Закупорка и стеноз множественных и двусторонних артерий мозга', 'I66.4', 8305, 'I66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8311, 'Закупорка и стеноз другой артерии мозга', 'I66.8', 8305, 'I66', 0, 'Закупорка и стеноз сквозных артерий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8312, 'Закупорка и стеноз артерии мозга неуточненной', 'I66.9', 8305, 'I66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8313, 'Другие цереброваскулярные болезни', 'I67', 8261, 'I60-I69', 10, 'Исключены: последствия перечисленных состояний (I69.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8314, 'Расслоение мозговых артерий без разрыва', 'I67.0', 8313, 'I67', 0, 'Исключен: разрыв мозговых артерий (I60.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8315, 'Аневризма мозга без разрыва', 'I67.1', 8313, 'I67', 0, 'Мозговая(ой): . аневризма БДУ . артериовенозный свищ приобретенный Исключены: врожденная аневризма мозга без разрыва (Q28.-) разорванная аневризма мозга (I60.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8316, 'Церебральный атеросклероз', 'I67.2', 8313, 'I67', 0, 'Атерома артерий мозга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8317, 'Прогрессирующая сосудистая лейкоэнцефалопатия', 'I67.3', 8313, 'I67', 0, 'Болезнь Бинсвангера Исключен: субкортикальная сосудистая деменция (F01.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8318, 'Гипертензивная энцефалопатия', 'I67.4', 8313, 'I67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8319, 'Болезнь Мойамойа', 'I67.5', 8313, 'I67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8320, 'Негнойный тромбоз внутричерепной венозной системы', 'I67.6', 8313, 'I67', 0, 'Негнойный тромбоз: . вен мозга . внутричерепного венозного синуса Исключены: состояния, вызывающие инфаркт мозга (I63.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8321, 'Церебральный артериит, не классифицированный в других рубриках', 'I67.7', 8313, 'I67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8322, 'Другие уточненные поражения сосудов мозга', 'I67.8', 8313, 'I67', 0, 'Острая цереброваскулярная недостаточность БДУ Ишемия мозга (хроническая)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8323, 'Цереброваскулярная болезнь неуточненная', 'I67.9', 8313, 'I67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8324, 'Поражения сосудов мозга при болезнях, классифицированных в других рубриках', 'I68*', 8261, 'I60-I69', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8325, 'Церебральная амилоидная ангиопатия (E85.-+)', 'I68.0*', 8324, 'I68*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8326, 'Церебральный артериит при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'I68.1*', 8324, 'I68*', 0, 'Церебральный артериит: . листериозный (A32.8+) . сифилитический (A52.0+) . туберкулезный (A18.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8327, 'Церебральный артериит при других болезнях, классифицированных в других рубриках', 'I68.2*', 8324, 'I68*', 0, 'Церебральный артериит при системной красной волчанке (M32.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8328, 'Другие поражения сосудов мозга при болезнях, классифицированных в других рубриках', 'I68.8*', 8324, 'I68*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8329, 'Последствия цереброваскулярных болезней', 'I69', 8261, 'I60-I69', 6, 'Примечание. Эту рубрику использовать для обозначения состояний, указанных в рубриках I60-I67, как причину последствий, которые сами по себе классифицированы в других рубриках. Понятие "последствия" включает состояния, уточненные как таковые, как остаточные явления или как состояния, которые существуют в течение года или более с момента возникновения причинного состояния.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8330, 'Последствия субарахноидального кровоизлияния', 'I69.0', 8329, 'I69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8331, 'Последствия внутричерепного кровоизлияния', 'I69.1', 8329, 'I69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8332, 'Последствия другого нетравматического внутричерепного кровоизлияния', 'I69.2', 8329, 'I69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8333, 'Последствия инфаркта мозга', 'I69.3', 8329, 'I69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8334, 'Последствия инсульта, не уточненные как кровоизлияние или инфаркт мозга', 'I69.4', 8329, 'I69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8335, 'Последствия других и неуточненных цереброваскулярных болезней', 'I69.8', 8329, 'I69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8337, 'БОЛЕЗНИ АРТЕРИЙ, АРТЕРИОЛ И КАПИЛЛЯРОВ', 'I70-I79', 8001, 'I00-I99', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8338, 'Атеросклероз', 'I70', 8337, 'I70-I79', 5, 'Включены: артериолосклероз артериосклероз артериосклеротическая болезнь сосудов атерома дегенерация: . артериальная . артериоваскулярная . сосудистая деформирующий или облитерирующий эндартериит старческий: . артериит . эндартериит Исключены: церебральный (I67.2) коронарный (I25.1) брыжеечный (K55.1) легочный (I27.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8339, 'Атеросклероз аорты', 'I70.0', 8338, 'I70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8340, 'Атеросклероз почечной артерии', 'I70.1', 8338, 'I70', 0, 'Почка Гольдблатта Исключен: атеросклероз почечных артериол (I12.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8341, 'Атеросклероз артерий конечностей', 'I70.2', 8338, 'I70', 0, 'Атеросклеротическая гангрена Склероз (медиальный) Менкеберга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8342, 'Атеросклероз других артерий', 'I70.8', 8338, 'I70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8343, 'Генерализованный и неуточненный атеросклероз', 'I70.9', 8338, 'I70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8344, 'Аневризма и расслоение аорты', 'I71', 8337, 'I70-I79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8345, 'Расслоение аорты (любой части)', 'I71.0', 8344, 'I71', 0, 'Расслаивающая аневризма аорты (разорванная) (любой части)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8346, 'Аневризма грудной части аорты разорванная', 'I71.1', 8344, 'I71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8347, 'Аневризма грудной части аорты без упоминания о разрыве', 'I71.2', 8344, 'I71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8348, 'Аневризма брюшной аорты разорванная', 'I71.3', 8344, 'I71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8349, 'Аневризма брюшной аорты без упоминания о разрыве', 'I71.4', 8344, 'I71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8350, 'Аневризма грудной и брюшной аорты разорванная', 'I71.5', 8344, 'I71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8351, 'Аневризма грудной и брюшной аорты без упоминания о разрыве', 'I71.6', 8344, 'I71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8352, 'Аневризма аорты неуточненной локализации разорванная', 'I71.8', 8344, 'I71', 0, 'Разрыв аорты БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8353, 'Аневризма аорты неуточненной локализации без упоминания о разрыве', 'I71.9', 8344, 'I71', 0, 'Аневризма } Дилатация } аорты Гиалиновй некроз }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8354, 'Другие формы аневризмы', 'I72', 8337, 'I70-I79', 7, 'Включена: аневризма (ветвистая) (ложная) (разорванная) Исключены: аневризма: . аорты (I71.-) . артериовенозная БДУ (Q27.3) . приобретенная (I77.0) . церебральная (без разрыва) (I67.1) . разорванная (I60.-) . коронарная (I25.4) . сердца (I25.3) . легочной артерии (I28.1) . сетчатки (H35.0) . варикозная (I77.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8355, 'Аневризма сонной артерии', 'I72.0', 8354, 'I72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8356, 'Аневризма артерии верхних конечностей', 'I72.1', 8354, 'I72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8357, 'Аневризма почечной артерии', 'I72.2', 8354, 'I72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8358, 'Аневризма подвздошной артерии', 'I72.3', 8354, 'I72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8359, 'Аневризма артерии нижних конечностей', 'I72.4', 8354, 'I72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8360, 'Аневризма других уточненных артерий', 'I72.8', 8354, 'I72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8361, 'Аневризма неуточненной локализации', 'I72.9', 8354, 'I72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8362, 'Другие болезни периферических сосудов', 'I73', 8337, 'I70-I79', 4, 'Исключены: ознобление (T69.1) отморожение (T33-T35) траншейная рука или стопа (T69.0) спазм мозговой артерии (G45.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8363, 'Синдром Рейно', 'I73.0', 8362, 'I73', 0, 'Рейно: . болезнь . гангрена . феномен (вторичный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8364, 'Облитерирующий тромбоангиит [болезнь Бергера]', 'I73.1', 8362, 'I73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8365, 'Другие уточненные болезни периферических сосудов', 'I73.8', 8362, 'I73', 0, 'Акроцианоз Акропарестезия: . простая [тип Шультца] . вазомоторная [тип Нотнагеля] Эритроцианоз Эритромелалгия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8366, 'Болезнь периферических сосудов неуточненная', 'I73.9', 8362, 'I73', 0, 'Перемежающаяся хромота Спазм артерий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8367, 'Эмболия и тромбоз артерий', 'I74', 8337, 'I70-I79', 8, 'Включены: инфаркт: . эмболический . тромботический окклюзия: . эмболическая . тромботическая Исключены: эмболия и тромбоз артерии: . базилярной (I63.0-I63.2, I65.1) . сонной (I63.0-I63.2, I65.2) . мозговой (I63.3-I63.5, I66.9) . коронарной (I21-I25) . брыжеечной (K55.0) . прецеребральной (I63.0-I63.2, I65.9) . легочной (I26.-) . почечной (N28.0) . ретинальной (H34.-) . позвоночной (I63.0-I63.2, I65.0) . осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.2) . беременность, роды и послеродовой период (O88.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8368, 'Эмболия и тромбоз брюшной аорты', 'I74.0', 8367, 'I74', 0, 'Синдром бифуркации аорты Синдром Лериша');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8369, 'Эмболия и тромбоз других и неуточненных отделов аорты', 'I74.1', 8367, 'I74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8370, 'Эмболия и тромбоз артерий верхних конечностей', 'I74.2', 8367, 'I74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8371, 'Эмболия и тромбоз артерий нижних конечностей', 'I74.3', 8367, 'I74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8372, 'Эмболия и тромбоз артерий конечностей неуточненных', 'I74.4', 8367, 'I74', 0, 'Эмболия периферической артерии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8373, 'Эмболия и тромбоз подвздошной артерии', 'I74.5', 8367, 'I74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8374, 'Эмболия и тромбоз других артерий', 'I74.8', 8367, 'I74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8375, 'Эмболия и тромбоз неуточненных артерий', 'I74.9', 8367, 'I74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8376, 'Другие поражения артерий и артериол', 'I77', 8337, 'I70-I79', 9, 'Исключены: коллагеноз (сосудов) (M30-M36) гиперсенситивный ангиит (M31.0) болезни легочных сосудов (I28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8377, 'Артериовенозный свищ приобретенный', 'I77.0', 8376, 'I77', 0, 'Аневризматическое варикозное расширение Артериовенозная аневризма приобретенная Исключены: артериовенозная аневризма БДУ (Q27.3) церебральная (I67.1) коронарная (I25.4) травматическая - см. травмы кровеносных сосудов по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8378, 'Сужение артерий', 'I77.1', 8376, 'I77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8379, 'Разрыв артерии', 'I77.2', 8376, 'I77', 0, 'Эрозия } Свищ } артерии Язва } Исключен: травматический разрыв артерии - см. травмы сосудов по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8380, 'Мышечная и соединительнотканная дисплазия артерий', 'I77.3', 8376, 'I77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8381, 'Синдром компрессии чревного ствола брюшной аорты', 'I77.4', 8376, 'I77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8382, 'Некроз артерии', 'I77.5', 8376, 'I77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8383, 'Артериит неуточненный', 'I77.6', 8376, 'I77', 0, 'Артериит БДУ Эндартериит БДУ Исключены: артериит или эндартериит: . дуги аорты [Такаясу] (M31.4) . церебральный НКДР (I67.7) . коронарный (I25.8) . деформирующий (I70.-) . гигантоклеточный (M31.5-M31.6) . облитерирующий (I70.-) . старческий (I70.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8384, 'Другие уточненные изменения артерий и артериол', 'I77.8', 8376, 'I77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8385, 'Изменение артерий и артериол неуточненное', 'I77.9', 8376, 'I77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8386, 'Болезни капилляров', 'I78', 8337, 'I70-I79', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8387, 'Наследственная геморрагическая телеангиэктазия', 'I78.0', 8386, 'I78', 0, 'Болезнь Рандю-Ослера-Вебера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8388, 'Невус неопухолевый', 'I78.1', 8386, 'I78', 0, 'Невус: . паутинный . паукообразный . звездчатый Исключены: невус: . БДУ (D22.-) . голубой (D22.-) . пламенеющий (Q82.5) . волосяной (D22.-) . меланоформный (D22.-) . пигментный (D22.-) . цвета портвейна (Q82.5) . кроваво-красный [багровый] (Q82.5) . кавернозный (Q82.5) . сосудистый БДУ (Q82.5) . бородавчатый (Q82.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8389, 'Другие болезни капилляров', 'I78.8', 8386, 'I78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8390, 'Болезнь капилляров неуточненная', 'I78.9', 8386, 'I78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8391, 'Поражения артерий, артериол и капилляров при болезнях, классифицированных в других рубриках', 'I79*', 8337, 'I70-I79', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8392, 'Аневризма аорты при болезнях, классифицированных в других рубриках', 'I79.0*', 8391, 'I79*', 0, 'Сифилитическая аневризма аорты (A52.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8393, 'Аортит при болезнях, классифицированных в других рубриках', 'I79.1*', 8391, 'I79*', 0, 'Сифилитический аортит (A52.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8394, 'Периферическая ангиопатия при болезнях, классифицированных в других рубриках', 'I79.2*', 8391, 'I79*', 0, 'Диабетическая периферическая ангиопатия (E10-E14+ с общим четвертым знаком .5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8395, 'Другие поражения артерий, артериол и капилляров при болезнях, классифицированных в других рубриках', 'I79.8*', 8391, 'I79*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8397, 'БОЛЕЗНИ ВЕН, ЛИМФАТИЧЕСКИХ СОСУДОВ И ЛИМФАТИЧЕСКИХ УЗЛОВ, НЕ КЛАССИФИЦИРОВАННЫЕ В ДРУГИХ РУБРИКАХ', 'I80-I89', 8001, 'I00-I99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8398, 'Флебит и тромбофлебит', 'I80', 8397, 'I80-I89', 6, 'Включены: эндофлебит воспаление вен перифлебит гнойный флебит Исключены: флебит и тромбофлебит: . осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.7) . беременность, роды и послеродовой период (O22.-, O87.-) . внутричерепной и спинномозговой септический или БДУ (G08) . внутричерепной непиогенный (I67.6) . спинномозговой непиогенный (G95.1) . портальной вены (K75.1) постфлебитический синдром (I87.0) тромбофлебит мигрирующий (I82.1) При необходимости идентифицировать лекарственное средство, применение которого вызвало поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8399, 'Флебит и тромбофлебит поверхностных сосудов нижних конечностей', 'I80.0', 8398, 'I80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8400, 'Флебит и тромбофлебит бедренной вены', 'I80.1', 8398, 'I80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8401, 'Флебит и тромбофлебит других глубоких сосудов нижних конечностей', 'I80.2', 8398, 'I80', 0, 'Тромбоз глубоких вен БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8402, 'Флебит и тромбофлебит нижних конечностей неуточненный', 'I80.3', 8398, 'I80', 0, 'Эмболия или тромбоз нижних конечностей БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8403, 'Флебит и тромбофлебит других локализаций', 'I80.8', 8398, 'I80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8404, 'Флебит и тромбофлебит неуточненной локализации', 'I80.9', 8398, 'I80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8405, 'Тромбоз портальной вены', 'I81', 8397, 'I80-I89', 0, 'Закупорка портальной вены Исключен: флебит портальной вены (K75.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8406, 'Эмболия и тромбоз других вен', 'I82', 8397, 'I80-I89', 6, 'Исключены: эмболия и тромбоз вен: . мозговых (I63.6, I67.6) . коронарных (I21-I25) . внутричерепных и спинномозговых, септические или БДУ (G08) . внутричерепных, непиогенные (I67.6) . спинномозговых, непиогенные (G95.1) . нижних конечностей (I80.-) . брыжеечных (K55.0) . портальных (I81) . легочных (I26.-) . осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.8) . беременность, роды и послеродовой период (O22.-, O87.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8407, 'Синдром Бадда-Киари', 'I82.0', 8406, 'I82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8408, 'Тромбофлебит мигрирующий', 'I82.1', 8406, 'I82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8409, 'Эмболия и тромбоз полой вены', 'I82.2', 8406, 'I82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8410, 'Эмболия и тромбоз почечной вены', 'I82.3', 8406, 'I82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8411, 'Эмболия и тромбоз других уточненных вен', 'I82.8', 8406, 'I82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8412, 'Эмболия и тромбоз неуточненной вены', 'I82.9', 8406, 'I82', 0, 'Эмболия вены БДУ Тромбоз (вены) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8413, 'Варикозное расширение вен нижних конечностей', 'I83', 8397, 'I80-I89', 4, 'Исключены: осложняющее: . беременность (O22.0) . послеродовой период (O87.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8414, 'Варикозное расширение вен нижних конечностей с язвой', 'I83.0', 8413, 'I83', 0, 'Любое состояние, классифицированное в рубрике I83.9, с язвой или уточненное как язвенное Варикозная язва (нижних конечностей любой части)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8415, 'Варикозное расширение вен нижних конечностей с воспалением', 'I83.1', 8413, 'I83', 0, 'Любое состояние, классифицированное в рубрике I83.9, с воспалением или обозначенное как воспалительное Застойный дерматит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8416, 'Варикозное расширение вен нижних конечностей c язвой и воспалением', 'I83.2', 8413, 'I83', 0, 'Любое состояние, классифицированное в рубрике I83.9, с язвой и воспалением');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8417, 'Варикозное расширение вен нижних конечностей без язвы или воспаления', 'I83.9', 8413, 'I83', 0, 'Флебэктазия } нижних конечностей Варикозные вены } [любой части] или неуточВарикозное расширение вен } ненной локализации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8418, 'Геморрой', 'I84', 8397, 'I80-I89', 10, 'Включены: геморроидальные узлы варикозное расширение вен ануса или прямой кишки Исключены: осложняющий: . роды или послеродовой период (O87.2) . беременность (O22.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8419, 'Внутренний тромбированный геморрой', 'I84.0', 8418, 'I84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8420, 'Внутренний геморрой с другими осложнениями', 'I84.1', 8418, 'I84', 0, 'Внутренний геморрой: . кровоточащий . выпадающий . ущемленный . изъязвленный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8421, 'Внутренний геморрой без осложнения', 'I84.2', 8418, 'I84', 0, 'Внутренний геморрой БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8422, 'Наружный тромбированный геморрой', 'I84.3', 8418, 'I84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8423, 'Наружный геморрой с другими осложнениями', 'I84.4', 8418, 'I84', 0, 'Наружный геморрой: . кровоточащий . выпадающий . ущемленный . изъязвленный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8424, 'Наружный геморрой без осложнения', 'I84.5', 8418, 'I84', 0, 'Наружный геморрой БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8425, 'Остаточные геморроидальные кожные метки', 'I84.6', 8418, 'I84', 0, 'Кожные метки анальные или прямой кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8426, 'Тромбированный геморрой неуточненный', 'I84.7', 8418, 'I84', 0, 'Тромбированный геморрой, не уточненный как внутренний или наружный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8427, 'Геморрой с другими осложнениями неуточненный', 'I84.8', 8418, 'I84', 0, 'Геморрой - не уточненный как внутренний или наружный: . кровоточащий . выпадающий . ущемленный . изъязвленный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8428, 'Геморрой без осложнения неуточненный', 'I84.9', 8418, 'I84', 0, 'Геморрой БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8429, 'Варикозное расширение вен пищевода', 'I85', 8397, 'I80-I89', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8430, 'Варикозное расширение вен пищевода с кровотечением', 'I85.0', 8429, 'I85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8431, 'Варикозное расширение вен пищевода без кровотечения', 'I85.9', 8429, 'I85', 0, 'Варикозное расширение вен пищевода БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8432, 'Варикозное расширение вен других локализаций', 'I86', 8397, 'I80-I89', 6, 'Исключены: варикозное расширение вен сетчатки (H35.0) варикозное расширение вен неуточненной локализации (I83.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8433, 'Варикозное расширение подъязычных вен', 'I86.0', 8432, 'I86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8434, 'Варикозное расширение вен мошонки', 'I86.1', 8432, 'I86', 0, 'Расширение вен семенного канатика');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8435, 'Варикозное расширение вен таза', 'I86.2', 8432, 'I86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8436, 'Варикозное расширение вен вульвы', 'I86.3', 8432, 'I86', 0, 'Исключены: осложняющее: . роды и послеродовой период (O87.8) . беременность (O22.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8437, 'Варикозное расширение вен желудка', 'I86.4', 8432, 'I86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8438, 'Варикозное расширение вен других уточненных локализаций', 'I86.8', 8432, 'I86', 0, 'Варикозная язва носовой перегородки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8439, 'Другие поражения вен', 'I87', 8397, 'I80-I89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8440, 'Постфлебитический синдром', 'I87.0', 8439, 'I87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8441, 'Сдавление вен', 'I87.1', 8439, 'I87', 0, 'Сужение вен Синдром полой вены (нижней) (верхней) Исключено: легочный (I28.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8442, 'Венозная недостаточность (хроническая) (периферическая)', 'I87.2', 8439, 'I87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8443, 'Другие уточненные поражения вен', 'I87.8', 8439, 'I87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8444, 'Поражение вены неуточненное', 'I87.9', 8439, 'I87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8445, 'Неспецифический лимфаденит', 'I88', 8397, 'I80-I89', 4, 'Исключено: острый лимфаденит, кроме брыжеечного (L04.-) увеличение лимфатических узлов БДУ (R59.-) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ], проявляющаяся в виде генерализованной лимфаденопатии (B23.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8446, 'Неспецифический брыжеечный лимфаденит', 'I88.0', 8445, 'I88', 0, 'Брыжеечный лимфаденит (острый) (хронический)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8447, 'Хронический лимфаденит, кроме брыжеечного', 'I88.1', 8445, 'I88', 0, 'Аденит } хронический, любого лимфатического Лимфаденит } узла, кроме брыжеечного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8448, 'Другие неспецифические лимфадениты', 'I88.8', 8445, 'I88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8449, 'Неспецифический лимфаденит неуточненный', 'I88.9', 8445, 'I88', 0, 'Лимфаденит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8450, 'Другие неинфекционные болезни лимфатических сосудов и лимфатических узлов', 'I89', 8397, 'I80-I89', 4, 'Исключены: хилоцеле: . филариозное (B74.-) . оболочки влагалищной (нефилариозное) БДУ (N50.8) увеличение лимфатических узлов БДУ (R59.-) врожденный лимфоотек (Q82.0) лимфоотек после мастэктомии (I97.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8451, 'Лимфоотек, не классифицированный в других рубриках', 'I89.0', 8450, 'I89', 0, 'Лимфангиэктазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8452, 'Лимфангит', 'I89.1', 8450, 'I89', 0, 'Лимфангит: . БДУ . хронический . подострый Исключен: острый лимфангит (L03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8453, 'Другие уточненные неинфекционные болезни лимфатических сосудов и лимфатических узлов', 'I89.8', 8450, 'I89', 0, 'Хилоцеле (нефилариозное) Липомеланотический ретикулез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8454, 'Неинфекционная болезнь лимфатических сосудов и лимфатических узлов неуточненная', 'I89.9', 8450, 'I89', 0, 'Болезнь лимфатических сосудов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8456, 'ДРУГИЕ И НЕУТОЧНЕННЫЕ БОЛЕЗНИ СИСТЕМЫ КРОВООБРАЩЕНИЯ', 'I95-I99', 8001, 'I00-I99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8457, 'Гипотензия', 'I95', 8456, 'I95-I99', 5, 'Исключены: сердечно-сосудистый коллапс (R57.9) гипотензивный синдром у матери (O26.5) неспецифический показатель низкого кровяного давления БДУ (R03.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8458, 'Идиопатическая гипотензия', 'I95.0', 8457, 'I95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8459, 'Ортостатическая гипотензия', 'I95.1', 8457, 'I95', 0, 'Гипотензия, связанная с изменением позы, положения Исключена: нейрогенная ортостатическая гипотензия [Шая-Дрейджера] (G90.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8460, 'Гипотензия, вызванная лекарственными средствами', 'I95.2', 8457, 'I95', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8461, 'Другие виды гипотензии', 'I95.8', 8457, 'I95', 0, 'Хроническая гипотензия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8462, 'Гипотензия неуточненная', 'I95.9', 8457, 'I95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8463, 'Нарушения системы кровообращения после медицинских процедур, не классифицированные в других рубриках', 'I97', 8456, 'I95-I99', 5, 'Исключен: послеоперационный шок (T81.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8464, 'Посткардиотомический синдром', 'I97.0', 8463, 'I97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8465, 'Другие функциональные нарушения после операций на сердце', 'I97.1', 8463, 'I97', 0, 'Сердечная недостаточность } после операции на сердце Сердечная слабость } или в связи с наличием } сердечного протеза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8466, 'Синдром постмастэктомического лимфатического отека', 'I97.2', 8463, 'I97', 0, 'Элефантиаз } Облитерация лимфатических } обусловленные сосудов } мастэктомией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8467, 'Другие нарушения системы кровообращения после медицинских процедур, не классифицированные в других рубриках', 'I97.8', 8463, 'I97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8468, 'Нарушения кровообращения после медицинских процедур неуточненные', 'I97.9', 8463, 'I97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8469, 'Другие нарушения системы кровообращения при болезнях, классифицированных в других рубриках', 'I98*', 8456, 'I95-I99', 4, 'Исключены: нарушения, классифицированные в других трехзначных рубриках этого класса, обозначенных звездочкой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8470, 'Сифилис сердечно-сосудистой системы', 'I98.0*', 8469, 'I98*', 0, 'Сифилис сердечно-сосудистой системы: . БДУ (A52.0+) . врожденный поздний (A50.5+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8471, 'Поражение сердечно-сосудистой системы при других инфекционных и паразитарных  болезнях, классифицированных в других рубриках', 'I98.1*', 8469, 'I98*', 0, 'Сердечно-сосудистые: . нарушения НКДР при болезнях Шагаса (хронический) (B57.2+) . поражения при пинте [карате] (A67.2+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8472, 'Варикозное расширение вен пищевода при болезнях, классифицированных в других рубриках', 'I98.2*', 8469, 'I98*', 0, 'Варикозное расширение вен при: . болезнях печени (K70-K71+, K74.-+) . шистосомозе (B65.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8473, 'Другие уточненные нарушения системы кровообращения при болезнях, классифицированных в других рубриках', 'I98.8*', 8469, 'I98*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(8474, 'Другие и неуточненные нарушения системы кровообращения', 'I99', 8456, 'I95-I99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9001, 'БОЛЕЗНИ ОРГАНОВ ДЫХАНИЯ', 'J00-J99', NULL, NULL, 10, 'Примечание. Если поражение органов дыхания вовлекает более чем одну анатомическую область, не обозначенную специально, его следует квалифицировать по анатомически ниже расположенной локализации (например, трахеобронхит кодируется как бронхит в рубрике J40).\nИсключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки, отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\n\nЭтот класс содержит следующие блоки:\nJ00-J06 Острые респираторные инфекции верхних дыхательных путей\nJ10-J18 Грипп и пневмония\nJ20-J22 Другие острые респираторные инфекции нижних дыхательных путей\nJ30-J39 Другие болезни верхних дыхательных путей\nJ40-J47 Хронические болезни нижних дыхательных путей\nJ60-J70 Болезни легкого, вызванные внешними агентами\nJ80-J84 Другие респираторные болезни, поражающие главным образом интерстициальную ткань\nJ85-J86 Гнойные и некротические состояния нижних дыхательных путей\nJ90-J94 Другие болезни плевры\nJ95-J99 Другие болезни органов дыхания\n\nЗвездочкой отмечены следующие категории:\nJ17* Пневмония при болезнях, классифицированных в других рубриках\nJ91* Плевральный выпот при состояниях, классифицированных в других рубриках\nJ99* Респираторные нарушения при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9002, 'ОСТРЫЕ РЕСПИРАТОРНЫЕ ИНФЕКЦИИ ВЕРХНИХ ДЫХАТЕЛЬНЫХ ПУТЕЙ', 'J00-J06', 9001, 'J00-J99', 7, 'Исключена: хроническая обструктивная болезнь легких с обострением БДУ (J44.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9003, 'Острый назофарингит (насморк)', 'J00', 9002, 'J00-J06', 0, 'Насморк (острый) Острый катар носа Назофарингит: . БДУ . инфекционный БДУ Ринит: . острый . инфекционный Исключены: хронический назофарингит (J31.1) фарингит: . БДУ (J02.9) . острый (J02.-) . хронический (J31.2) ринит: . БДУ (J31.0) . аллергический (J30.1-J30.4) . хронический (J31.0) . вазомоторный (J30.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9004, 'Острый синусит', 'J01', 9002, 'J00-J06', 7, 'Включены: абсцесс } эмпиема } острый(ая)(ое), синуса инфекция } (придаточного) (носового) воспаление } нагноение } При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключен: синусит хронический или БДУ (J32.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9005, 'Острый верхнечелюстной синусит', 'J01.0', 9004, 'J01', 0, 'Острый антрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9006, 'Острый фронтальный синусит', 'J01.1', 9004, 'J01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9007, 'Острый этмоидальный синусит', 'J01.2', 9004, 'J01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9008, 'Острый сфеноидальный синусит', 'J01.3', 9004, 'J01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9009, 'Острый пансинусит', 'J01.4', 9004, 'J01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9010, 'Другой острый синусит', 'J01.8', 9004, 'J01', 0, 'Острые синуситы, вовлекающие более одного синуса, но не пансинуситы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9011, 'Острый синусит неуточненный', 'J01.9', 9004, 'J01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9012, 'Острый фарингит', 'J02', 9002, 'J00-J06', 3, 'Включено: acute sore throat Исключены: абсцесс: . перитонзиллярный (J36) . фарингеальный (J39.1) . ретрофарингеальный (J39.0) острый ларингофарингит (J06.0) хронический фарингит (J31.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9013, 'Стрептококковый фарингит', 'J02.0', 9012, 'J02', 0, 'Streptococcal sore throat Исключена: скарлатина (A38)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9014, 'Острый фарингит, вызванный другими уточненными возбудителями', 'J02.8', 9012, 'J02', 0, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: вызванный (при): . инфекционным мононуклеозе (B27.-) . вирусом гриппа: . идентифицированным (J10.1) . неидентифицированным (J11.1) фарингит: . энтеровирусный везикулярный (B08.5) . вызванный вирусом простого герпеса [herpes simplex] (B00.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9015, 'Острый фарингит неуточненный', 'J02.9', 9012, 'J02', 0, 'Фарингит (острый): . БДУ . гангренозный . инфекционный БДУ . гнойный . язвенный . Sore throat (acute) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9016, 'Острый тонзиллит', 'J03', 9002, 'J00-J06', 3, 'Исключены: перитонзиллярный абсцесс (J36) Sore throat: . БДУ (J02.9) . acute (J02.-) . streptococcal (J02.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9017, 'Стрептококковый тонзиллит', 'J03.0', 9016, 'J03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9018, 'Острый тонзиллит, вызванный другими уточненными возбудителями', 'J03.8', 9016, 'J03', 0, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключен: фаринготонзиллит, вызванный вирусом простого герпеса [herpes simplex] (B00.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9019, 'Острый тонзиллит неуточненный', 'J03.9', 9016, 'J03', 0, 'Тонзиллит (острый): . БДУ . фолликулярный . гангренозный . инфекционный . язвенный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9020, 'Острый ларингит и трахеит', 'J04', 9002, 'J00-J06', 3, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: острый обструктивный ларингит [круп] и эпиглоттит (J05.-) ларингизм (стридор) (J38.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9021, 'Острый ларингит', 'J04.0', 9020, 'J04', 0, 'Ларингит (острый): . БДУ . отечный . под собственно голосовым аппаратом . гнойный . язвенный Исключены: хронический ларингит (J37.0) гриппозный ларингит, вирус гриппа: . идентифицирован (J10.1) . не идентифицирован (J11.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9022, 'Острый трахеит', 'J04.1', 9020, 'J04', 0, 'Трахеит (острый): . БДУ . катаральный Исключен: хронический трахеит (J42)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9023, 'Острый ларинготрахеит', 'J04.2', 9020, 'J04', 0, 'Ларинготрахеит Трахеит (острый) с ларингитом (острым) Исключен: хронический ларинготрахеит (J37.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9024, 'Острый обструктивный ларингит [круп] и эпиглоттит', 'J05', 9002, 'J00-J06', 2, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9025, 'Острый обструктивный ларингит [круп]', 'J05.0', 9024, 'J05', 0, 'Обструктивный ларингит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9026, 'Острый эпиглоттит', 'J05.1', 9024, 'J05', 0, 'Эпиглоттит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9027, 'Острые инфекции верхних дыхательных путей множественной и неуточненной локализации', 'J06', 9002, 'J00-J06', 3, 'Исключены: острая респираторная инфекция БДУ (J22) вирус гриппа: . идентифицирован (J10.1) . не идентифицирован (J11.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9028, 'Острый ларингофарингит', 'J06.0', 9027, 'J06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9029, 'Другие острые инфекции верхних дыхательных путей множественной локализации', 'J06.8', 9027, 'J06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9030, 'Острая инфекция верхних дыхательных путей неуточненная', 'J06.9', 9027, 'J06', 0, 'Верхних дыхательных путей: . болезнь острая . инфекция БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9032, 'ГРИПП И ПНЕВМОНИЯ', 'J10-J18', 9001, 'J00-J99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9033, 'Грипп, вызванный идентифицированным вирусом гриппа', 'J10', 9032, 'J10-J18', 3, 'Исключены: вызванная(ый) Haemophilus influenzae [палочкой Афанасьева-Пфейффера]: . инфекция БДУ (A49.2) . менингит (G00.0) . пневмония (J14)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9034, 'Грипп с пневмонией, вирус гриппа идентифицирован', 'J10.0', 9033, 'J10', 0, 'Гриппозная (бронхо)пневмония, вирус гриппа идентифицирован');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9035, 'Грипп с другими респираторными проявлениями, вирус гриппа идентифицирован', 'J10.1', 9033, 'J10', 0, 'Грипп } Гриппозная(ый): } . острая респираторная инфекция } вирус гриппа верхних дыхательных путей } идентифицирован . ларингит } . фарингит } . плевральный выпот }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9036, 'Грипп с другими проявлениями, вирус гриппа идентифицирован', 'J10.8', 9033, 'J10', 0, 'Энцефалопатия, вызванная } гриппом } Гриппозный: } вирус гриппа . гастроэнтерит } идентифицирован . миокардит (острый) }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9037, 'Грипп, вирус не идентифицирован', 'J11', 9032, 'J10-J18', 3, 'Включены: грипп } упоминание об идентификации вирусный грипп } вируса отсутствует Исключены: вызванная(ый) Haemophilus influenzae [палочкой Афанасьева-Пфейффера]: . инфекция БДУ (A49.2) . менингит (G00.0) . пневмония (J14)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9038, 'Грипп с пневмонией, вирус не идентифицирован', 'J11.0', 9037, 'J11', 0, 'Гриппозная (бронхо)пневмония неуточненная или без упоминания об идентификации вируса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9039, 'Грипп с другими респираторными проявлениями, вирус не идентифицирован', 'J11.1', 9037, 'J11', 0, 'Грипп БДУ Гриппозная(ый): } . острая респираторная инфекция } неуточненный(ая) верхних дыхательных путей } или вирус не . ларингит } идентифицирован . фарингит } . плевральный выпот }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9040, 'Грипп с другими проявлениями, вирус не идентифицирован', 'J11.8', 9037, 'J11', 0, 'Энцефалопатия, вызванная гриппом } Гриппозный: } неуточненный . гастроэнтерит } или вирус не . миокардит (острый) } идентифицирован');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9041, 'Вирусная пневмония, не классифицированная в других рубриках', 'J12', 9032, 'J10-J18', 5, 'Включена: бронхопневмония, вызванная другими вирусами, отличными от вируса гриппа Исключены: врожденный краснушный пневмонит (P35.0) пневмония: . аспирационная: . БДУ (J69.0) при анестезии: . во время родов и родоразрешения (O74.0) . во время беременности (O29.0) . в послеродовом периоде (O89.0) . новорожденного (P24.9) . при вдыхании твердых и жидких веществ (J69.-) . врожденная (P23.0) . при гриппе (J10.0, J11.0) . интерстициальная БДУ (J84.9) . жировая (J69.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9042, 'Аденовирусная пневмония', 'J12.0', 9041, 'J12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9043, 'Пневмония, вызваннаяреспираторным синцитиальным вирусом', 'J12.1', 9041, 'J12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9044, 'Пневмония, вызванная вирусом парагриппа', 'J12.2', 9041, 'J12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9045, 'Другая вирусная пневмония', 'J12.8', 9041, 'J12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9046, 'Вирусная пневмония неуточненная', 'J12.9', 9041, 'J12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9047, 'Пневмония, вызванная Streptococcus pneumoniae', 'J13', 9032, 'J10-J18', 0, 'Бронхопневмония, вызванная S. pneumoniae Исключены: врожденная пневмония, вызванная S.pneumoniae (P23.6) пневмония, вызванная другими стрептококками (J15.3-J15.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9048, 'Пневмония, вызванная Haemophilus influenzae [палочкой Афанасьева-Пфейффера]', 'J14', 9032, 'J10-J18', 0, 'Бронхопневмония, вызванная H. influenzae Исключена: врожденная пневмония, вызванная H.influenzae (P23.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9049, 'Бактериальная пневмония, не классифицированная в других рубриках', 'J15', 9032, 'J10-J18', 10, 'Включена: бронхопневмония, вызванная другими, отличными от S.pneumoniae и H.influenzae бактериями Исключены: пневмония, вызванная хламидиями (J16.0) врожденная пневмония (P23.-) болезнь легионеров (A48.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9050, 'Пневмония, вызванная Klebsiella pneumoniae', 'J15.0', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9051, 'Пневмония, вызванная Pseudomonas (синегнойной палочкой)', 'J15.1', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9052, 'Пневмония, вызванная стафилококком', 'J15.2', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9053, 'Пневмония, вызванная стрептококком группы B', 'J15.3', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9054, 'Пневмония, вызванная другими стрептококками', 'J15.4', 9049, 'J15', 0, 'Исключены: пневмония, вызванная: . стрептококком группы B (J15.3) . Streptococcus pneumoniae (J13)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9055, 'Пневмония, вызванная Escherichia coli', 'J15.5', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9056, 'Пневмония, вызванная другими аэробными грамотрицательными бактериями', 'J15.6', 9049, 'J15', 0, 'Пневмония, вызванная Serratia marcescens');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9057, 'Пневмония, вызванная Mycoplasma pneumoniae', 'J15.7', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9058, 'Другие бактериальные пневмонии', 'J15.8', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9059, 'Бактериальная пневмония неуточненная', 'J15.9', 9049, 'J15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9060, 'Пневмония, вызванная другими инфекционными возбудителями, не классифицированная в других рубриках', 'J16', 9032, 'J10-J18', 2, 'Исключены: орнитоз (A70) пневмоцистоз (B59) пневмония: . БДУ (J18.9) . врожденная (P23.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9061, 'Пневмония, вызванная хламидиями', 'J16.0', 9060, 'J16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9062, 'Пневмония, вызванная другими уточненными инфекционными возбудителями', 'J16.8', 9060, 'J16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9063, 'Пневмония при болезнях, классифицированных в других рубриках', 'J17*', 9032, 'J10-J18', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9064, 'Пневмония при бактериальных болезнях, классифицированных в других рубриках', 'J17.0*', 9063, 'J17*', 0, 'Пневмония при: . актиномикозе (A42.0+) . сибирской язве (A22.1+) . гонорее (A54.8+) . нокардиозе (A43.0+) . сальмонеллезе (A02.2+) . туляремии (A21.2+) . брюшном тифе (A01.0+) . коклюше (A37.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9065, 'Пневмония при вирусных болезнях, классифицированных в других рубриках', 'J17.1*', 9063, 'J17*', 0, 'Пневмония при: . цитомегаловирусной болезни (B25.0+) . кори (B05.2+) . краснухе (B06.8+) . ветряной оспе (B01.2+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9066, 'Пневмония при микозах', 'J17.2*', 9063, 'J17*', 0, 'Пневмония при: . аспергиллезе (B44.0-B44.1+) . кандидозе (B37.1+) . кокцидиоидомикозе (B38.0-B38.2+) . гистоплазмозе (B39.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9067, 'Пневмония при паразитарных болезнях', 'J17.3*', 9063, 'J17*', 0, 'Пневмония при: . аскаридозе (B77.8+) . шистосомозе (B65.-+) . токсоплазмозе (B58.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9068, 'Пневмония при других болезнях, классифицированных в других рубриках', 'J17.8*', 9063, 'J17*', 0, 'Пневмония при: . орнитозе (A70+) . лихорадке Ку (A78+) . ревматической лихорадке (I00+) . спирохетозе, не классифицированная в других рубриках (A69.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9069, 'Пневмония без уточнения возбудителя', 'J18', 9032, 'J10-J18', 5, 'Исключены: абсцесс легкого с пневмонией (J85.1) лекарственные интерстициальные болезни легкого (J70.2-J70.4) пневмония: . аспирационная: . БДУ (J69.0) . при анестезии: . во время родов и родоразрешения (O74.0) . во время беременности (O29.0) . в послеродовом периоде (O89.0) . новорожденного (P24.9) . при вдыхании твердых и жидких веществ (J69.-) . врожденная (P23.9) . интерстициальная БДУ (J84.9) . жировая (J69.1) пневмонит, вызванный внешними агентами (J67-J70)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9070, 'Бронхопневмония неуточненная', 'J18.0', 9069, 'J18', 0, 'Исключен: бронхиолит (J21.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9071, 'Долевая пневмония неуточненная', 'J18.1', 9069, 'J18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9072, 'Гипостатическая пневмония неуточненная', 'J18.2', 9069, 'J18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9073, 'Другая пневмония, возбудитель не уточнен', 'J18.8', 9069, 'J18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9074, 'Пневмония неуточненная', 'J18.9', 9069, 'J18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9076, 'ДРУГИЕ ОСТРЫЕ РЕСПИРАТОРНЫЕ ИНФЕКЦИИ НИЖНИХ ДЫХАТЕЛЬНЫХ ПУТЕЙ', 'J20-J22', 9001, 'J00-J99', 3, 'Исключены: хроническая обструктивная легочная болезнь с: . обострением БДУ (J44.1) . острой респираторной инфекцией нижних дыхательных путей (J44.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9077, 'Острый бронхит', 'J20', 9076, 'J20-J22', 10, 'Включены: бронхит: . БДУ у лиц моложе 15 лет . острый и подострый (с): . бронхоспазмом . фибринозный . пленчатый . гнойный . септический . трахеитом трахеобронхит острый Исключено: бронхит: . БДУ у лиц в возрасте 15 лет и старше (J40) . аллергический БДУ (J45.0) . хронический: . БДУ (J42) . слизисто-гнойный (J41.1) . обструктивный (J44.-) . простой (J41.0) трахеобронхит: . БДУ (J40) . хронический (J42) . обструктивный (J44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9078, 'Острый бронхит, вызванный Mycoplasma pneumoniae', 'J20.0', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9079, 'Острый бронхит, вызванный Haemophilus influenzae [палочкой Афанасьева-Пфейффера]', 'J20.1', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9080, 'Острый бронхит, вызванный стрептококком', 'J20.2', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9081, 'Острый бронхит, вызванный вирусом Коксаки', 'J20.3', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9082, 'Острый бронхит, вызванный вирусом парагриппа', 'J20.4', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9083, 'Острый бронхит, вызванный респираторным синцитиальным вирусом', 'J20.5', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9084, 'Острый бронхит, вызванный риновирусом', 'J20.6', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9085, 'Острый бронхит, вызванный эховирусом', 'J20.7', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9086, 'Острый бронхит, вызванный другими уточненными агентами', 'J20.8', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9087, 'Острый бронхит неуточненный', 'J20.9', 9077, 'J20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9088, 'Острый бронхиолит', 'J21', 9076, 'J20-J22', 3, 'Включен: с бронхоспазмом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9089, 'Острый бронхиолит, вызванный респираторным синцитиальным вирусом', 'J21.0', 9088, 'J21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9090, 'Острый бронхиолит, вызванный другими уточненными агентами', 'J21.8', 9088, 'J21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9091, 'Острый бронхиолит неуточненный', 'J21.9', 9088, 'J21', 0, 'Бронхиолит (острый)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9092, 'Острая респираторная инфекция нижних дыхательных путей неуточненная', 'J22', 9076, 'J20-J22', 0, 'Острая респираторная инфекция (нижних) (дыхательных путей) БДУ Исключена: респираторная инфекция верхних дыхательных путей (острая) (J06.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9094, 'ДРУГИЕ БОЛЕЗНИ ВЕРХНИХ ДЫХАТЕЛЬНЫХ ПУТЕЙ', 'J30-J39', 9001, 'J00-J99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9095, 'Вазомоторный и аллергический ринит', 'J30', 9094, 'J30-J39', 5, 'Включен: спазматический насморк Исключены: аллергический ринит с астмой (J45.0) ринит БДУ (J31.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9096, 'Вазомоторный ринит', 'J30.0', 9095, 'J30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9097, 'Аллергический ринит, вызванный пыльцой растений', 'J30.1', 9095, 'J30', 0, 'Аллергия БДУ, вызванная пыльцой растений Сенная лихорадка Поллиноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9098, 'Другие сезонные аллергические риниты', 'J30.2', 9095, 'J30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9099, 'Другие аллергические риниты', 'J30.3', 9095, 'J30', 0, 'Круглогодичный аллергический ринит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9100, 'Аллергический ринит неуточненный', 'J30.4', 9095, 'J30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9101, 'Хронический ринит, назофарингит и фарингит', 'J31', 9094, 'J30-J39', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9102, 'Хронический ринит', 'J31.0', 9101, 'J31', 0, 'Озена Ринит (хронический): . БДУ . атрофический . гранулематозный . гипертрофический . закупоривающий . гнойный . язвенный Исключены: ринит: . аллергический (J30.1-J30.4) . вазомоторный (J30.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9103, 'Хронический назофарингит', 'J31.1', 9101, 'J31', 0, 'Исключен: назофарингит острый или БДУ (J00)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9104, 'Хронический фарингит', 'J31.2', 9101, 'J31', 0, 'Chronic sore throat Фарингит (хронический): . атрофический . гранулезный . гипертрофический Исключен: фарингит острый или БДУ (J02.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9105, 'Хронический синусит', 'J32', 9094, 'J30-J39', 7, 'Включены: абсцесс } эмпиема } хронический(ая)(ое) синуса инфекция } (придаточного) (носового) нагноение } При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключен: острый синусит (J01.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9106, 'Хронический верхнечелюстной синусит', 'J32.0', 9105, 'J32', 0, 'Антрит (хронический) Верхнечелюстной синусит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9107, 'Хронический фронтальный синусит', 'J32.1', 9105, 'J32', 0, 'Фронтальный синусит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9108, 'Хронический этмоидальный синусит', 'J32.2', 9105, 'J32', 0, 'Этмоидальный синусит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9109, 'Хронический сфеноидальный синусит', 'J32.3', 9105, 'J32', 0, 'Сфеноидальный синусит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9110, 'Хронический пансинусит', 'J32.4', 9105, 'J32', 0, 'Пансинусит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9111, 'Другие хронические синуситы', 'J32.8', 9105, 'J32', 0, 'Синусит (хронический), вовлекающий более одного синуса, но не пансинусит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9112, 'Хронический синусит неуточненный', 'J32.9', 9105, 'J32', 0, 'Синусит (хронический) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9113, 'Полип носа', 'J33', 9094, 'J30-J39', 4, 'Исключены: аденоматозные полипы (D14.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9114, 'Полип полости носа', 'J33.0', 9113, 'J33', 0, 'Полип: . хоанальный . назофарингеальный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9115, 'Полипозная дегенерация синуса', 'J33.1', 9113, 'J33', 0, 'Синдром Уокеса или этмоидит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9116, 'Другие полипы синуса', 'J33.8', 9113, 'J33', 0, 'Полипы синуса: . придаточного . этмоидального . верхнечелюстного . сфеноидального');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9117, 'Полип носа неуточненный', 'J33.9', 9113, 'J33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9118, 'Другие болезни носа и носовых синусов', 'J34', 9094, 'J30-J39', 5, 'Исключена: варикозная язва носовой перегородки (I86.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9119, 'Абсцесс, фурункул и карбункул носа', 'J34.0', 9118, 'J34', 0, 'Целлюлит } Некроз } носа (перегородки) Изъязвление }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9120, 'Киста или мукоцеле носового синуса', 'J34.1', 9118, 'J34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9121, 'Смещенная носовая перегородка', 'J34.2', 9118, 'J34', 0, 'Искривление или смещение перегородки (носовой) (приобретенное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9122, 'Гипертрофия носовой раковины', 'J34.3', 9118, 'J34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9123, 'Другие уточненные болезни носа и носовых синусов', 'J34.8', 9118, 'J34', 0, 'Перфорация носовой перегородки БДУ Ринолит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9124, 'Хронические болезни миндалин и аденоидов', 'J35', 9094, 'J30-J39', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9125, 'Хронический тонзиллит', 'J35.0', 9124, 'J35', 0, 'Исключены: тонзиллит: . БДУ (J03.9) . острый (J03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9126, 'Гипертрофия миндалин', 'J35.1', 9124, 'J35', 0, 'Увеличение миндалин');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9127, 'Гипертрофия аденоидов', 'J35.2', 9124, 'J35', 0, 'Увеличение аденоидов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9128, 'Гипертрофия миндалин с гипертрофией аденоидов', 'J35.3', 9124, 'J35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9129, 'Другие хронические болезни миндалин и аденоидов', 'J35.8', 9124, 'J35', 0, 'Аденоидные разрастания Амигдалолит Рубец миндалины (и аденоида) Тонзиллярные "метки" Язва миндалины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9130, 'Хроническая болезнь миндалин и аденоидов неуточненная', 'J35.9', 9124, 'J35', 0, 'Болезнь (хроническая) миндалин и аденоидов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9131, 'Перитонзиллярный абсцесс', 'J36', 9094, 'J30-J39', 0, 'Абсцесс миндалин Перитонзиллярный целлюлит Квинзи При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: ретрофарингеальный абсцесс (J39.0) тонзиллит: . БДУ (J03.9) . острый (J03.-) . хронический (J35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9132, 'Хронический ларингит и ларинготрахеит', 'J37', 9094, 'J30-J39', 2, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9133, 'Хронический ларингит', 'J37.0', 9132, 'J37', 0, 'Ларингит: . катаральный . гипертрофический . сухой Исключены: ларингит: . БДУ (J04.0) . острый (J04.0) . обструктивный (острый) (J05.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9134, 'Хронический ларинготрахеит', 'J37.1', 9132, 'J37', 0, 'Ларингит хронический с трахеитом (хроническим) Трахеит хронический с ларингитом Исключены: ларинготрахеит: . БДУ (J04.2) . острый (J04.2) трахеит: . БДУ (J04.1) . острый (J04.1) . хронический (J42)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9135, 'Болезни голосовых складок и гортани, не классифицированные в других рубриках', 'J38', 9094, 'J30-J39', 8, 'Исключены: врожденный стридор гортани (Q31.4) ларингит: . обструктивный (острый) (J05.0) . язвенный (J04.0) постпроцедурный стеноз гортани под собственно голосовым аппаратом (J95.5) стридор (R06.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9136, 'Паралич голосовых складок и гортани', 'J38.0', 9135, 'J38', 0, 'Ларингоплегия Паралич собственно голосового аппарата');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9137, 'Полип голосовой складки и гортани', 'J38.1', 9135, 'J38', 0, 'Исключены: аденоматозные полипы (D14.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9138, 'Узелки голосовых складок', 'J38.2', 9135, 'J38', 0, 'Хордит (фиброзный) (узелковый) (бугорковый) Узелки певцов Узелки учителей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9139, 'Другие болезни голосовых складок', 'J38.3', 9135, 'J38', 0, 'Абсцесс } Целлюлит } Гранулема } голосовой складки(ок) Лейкокератоз } Лейкоплакия }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9140, 'Отек гортани', 'J38.4', 9135, 'J38', 0, 'Отек: . собственно голосового аппарата . под собственно голосовым аппаратом . над собственно голосовым аппаратом Исключены: ларингит: . острый обструктивный [круп] (J05.0) . отечный (J04.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9141, 'Спазм гортани', 'J38.5', 9135, 'J38', 0, 'Ларингизм (стридор)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9142, 'Стеноз гортани', 'J38.6', 9135, 'J38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9143, 'Другие болезни гортани', 'J38.7', 9135, 'J38', 0, 'Абсцесс } Целлюлит } Болезнь БДУ } Некроз } гортани Пахидермия } Перихондрит } Язва }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9144, 'Другие болезни верхних дыхательных путей', 'J39', 9094, 'J30-J39', 6, 'Исключены: острая респираторная инфекция БДУ (J22) . верхних дыхательных путей (J06.9) воспаление верхних дыхательных путей, вызванное химическими вмешательствами, газами, дымами и парами (J68.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9145, 'Ретрофарингеальный и парафарингеальный абсцесс', 'J39.0', 9144, 'J39', 0, 'Перифарингеальный абсцесс Исключен: перитонзиллярный абсцесс (J36)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9146, 'Другой абсцесс глотки', 'J39.1', 9144, 'J39', 0, 'Целлюлит глотки Назофарингеальный абсцесс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9147, 'Другие болезни глотки', 'J39.2', 9144, 'J39', 0, 'Киста } глотки или Отек } носоглотки Исключены: фарингит: . хронический (J31.2) . язвенный (J02.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9148, 'Реакция повышенной чувствительности верхних дыхательных путей, локализация не уточнена', 'J39.3', 9144, 'J39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9149, 'Другие уточненные болезни верхних дыхательных путей', 'J39.8', 9144, 'J39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9150, 'Болезнь верхних дыхательных путей неуточненная', 'J39.9', 9144, 'J39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9152, 'ХРОНИЧЕСКИЕ БОЛЕЗНИ НИЖНИХ ДЫХАТЕЛЬНЫХ ПУТЕЙ', 'J40-J47', 9001, 'J00-J99', 8, 'Исключен: кистозный фиброз (E84.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9153, 'Бронхит, не уточненный как острый или хронический', 'J40', 9152, 'J40-J47', 0, 'Примечание. Бронхит, не уточненный как острый или хронический, у лиц моложе 15 лет может рассматриваться как острый по своему характеру и его следует относить к рубрике J20.Бронхит: . БДУ . катаральный . с трахеитом БДУ Трахеобронхит БДУ Исключены: бронхит: . аллергический БДУ (J45.0) . астматический БДУ (J45.9) . вызванный химическими веществами (острый) (J68.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9154, 'Простой и слизисто-гнойный хронический бронхит', 'J41', 9152, 'J40-J47', 3, 'Исключены: хронический бронхит: . БДУ (J42) . обструктивный (J44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9155, 'Простой хронический бронхит', 'J41.0', 9154, 'J41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9156, 'Слизисто-гнойный хронический бронхит', 'J41.1', 9154, 'J41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9157, 'Смешанный, простой и слизисто-гнойный хронический бронхит', 'J41.8', 9154, 'J41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9158, 'Хронический бронхит неуточненный', 'J42', 9152, 'J40-J47', 0, 'Хронический: . бронхит БДУ . трахеит . трахеобронхит Исключены: хронический(ая): . астматический бронхит (J44.-) . бронхит: . простой и слизисто-гнойный (J41.-) . с закупоркой дыхательных путей (J44.-) . эмфизематозный бронхит (J44.-) . обструктивная легочная болезнь БДУ (J44.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9159, 'Эмфизема', 'J43', 9152, 'J40-J47', 5, 'Исключены: эмфизема: . компенсаторная (J98.3) . вызванная химическими веществами, газами, дымами и парами (J68.4) . интерстициальная (J98.2) . новорожденного (P25.0) . медиастинальная (J98.2) . хирургическая (подкожная) (T81.8) . травматическая подкожная (T79.7) . с хроническим (обструктивным) бронхитом (J44.-) . эмфизематозный (обструктивный) бронхит (J44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9160, 'Синдром Мак-Леода', 'J43.0', 9159, 'J43', 0, 'Односторонняя: . эмфизема . прозрачность легкого');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9161, 'Панлобулярная эмфизема', 'J43.1', 9159, 'J43', 0, 'Панацинарная эмфизема');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9162, 'Центрилобулярная эмфизема', 'J43.2', 9159, 'J43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9163, 'Другая эмфизема', 'J43.8', 9159, 'J43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9164, 'Эмфизема (легкого) (легочная):', 'J43.9', 9159, 'J43', 0, '. БДУ . буллезная . везикулярная Эмфизематозный пузырек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9165, 'Другая хроническая обструктивная легочная болезнь', 'J44', 9152, 'J40-J47', 4, 'Включены: хронический(ая): . бронхит: . астматический (обструктивный) . эмфизематозный . с: . закупоркой дыхательных путей . эмфиземой . обструктивная(ый): . астма . бронхит . трахеобронхит Исключены: астма (J45.-) астматический бронхит БДУ (J45.9) бронхоэктазия (J47) хронический: . бронхит: . БДУ (J42) . простой и слизисто-гнойный (J41.-) . трахеит (J42) . трахеобронхит (J42) эмфизема (J43.-) болезни легкого, вызванные внешними агентами (J60-J70)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9166, 'Хроническая обструктивная легочная болезнь с острой респираторной инфекцией нижних дыхательных путей', 'J44.0', 9165, 'J44', 0, 'Исключена: с гриппом (J10-J11)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9167, 'Хроническая обструктивная легочная болезнь с обострением неуточненная', 'J44.1', 9165, 'J44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9168, 'Другая уточненная хроническая обструктивная легочная болезнь', 'J44.8', 9165, 'J44', 0, 'Хронический бронхит: . астматический (обструктивный) БДУ . эмфизематозный БДУ . обструктивный БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9169, 'Хроническая обструктивная легочная болезнь неуточненная', 'J44.9', 9165, 'J44', 0, 'Хроническая обструктивная: . болезнь дыхательных путей БДУ . болезнь легкого БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9170, 'Астма', 'J45', 9152, 'J40-J47', 4, 'Исключены: острая тяжелая астма (J46) хронический астматический (обструктивный) бронхит (J44.-) хроническая обструктивная астма (J44.-) эозинофильная астма (J82) болезни легкого, вызванные внешними агентами (J60-J70) астматический статус (J46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9171, 'Астма с преобладанием аллергического компонента', 'J45.0', 9170, 'J45', 0, 'Аллергический: . бронхит БДУ . ринит с астмой Атопическая астма Экзогенная аллергическая астма Сенная лихорадка с астмой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9172, 'Неаллергическая астма', 'J45.1', 9170, 'J45', 0, 'Идиосинкратическая астма Эндогенная неаллергическая астма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9173, 'Смешанная астма', 'J45.8', 9170, 'J45', 0, 'Сочетание состояний, указанных в рубриках J45.0 и J45.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9174, 'Астма неуточненная', 'J45.9', 9170, 'J45', 0, 'Астматический бронхит БДУ Поздно начавшаяся астма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9175, 'Астматическое статус [status asthmaticus]', 'J46', 9152, 'J40-J47', 0, 'Острая тяжелая астма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9176, 'Бронхоэктазия', 'J47', 9152, 'J40-J47', 0, 'Бронхиолэктазы Исключены: врожденные бронхоэктазы (Q33.4) туберкулезные бронхоэктазы (текущее заболевание) (A15-A16)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9178, 'БОЛЕЗНИ ЛЕГКОГО, ВЫЗВАННЫЕ ВНЕШНИМИ АГЕНТАМИ', 'J60-J70', 9001, 'J00-J99', 11, 'Исключена: астма, классифицированная в рубрике J45.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9179, 'Пневмокониоз угольщика', 'J60', 9178, 'J60-J70', 0, 'Антракосиликоз Антракоз Легкое угольщика Исключен: с туберкулезом (J65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9180, 'Пневмокониоз, вызванный асбестом и другими минеральными веществами', 'J61', 9178, 'J60-J70', 0, 'Асбестоз Исключены: плевральная бляшка с асбестозом (J92.0) с туберкулезом (J65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9181, 'Пневмокониоз, вызванный пылью, содержащей кремний', 'J62', 9178, 'J60-J70', 2, 'Включен: силикатный фиброз (обширный) легкого Исключен: пневмокониоз с туберкулезом (J65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9182, 'Пневмокониоз, вызванный тальковой пылью', 'J62.0', 9181, 'J62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9183, 'Пневмокониоз, вызванный другой пылью, содержащей кремний', 'J62.8', 9181, 'J62', 0, 'Силикоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9184, 'Пневмокониоз, вызванный другой неорганической пылью', 'J63', 9178, 'J60-J70', 7, 'Исключен: с туберкулезом (J65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9185, 'Алюминоз (легкого)', 'J63.0', 9184, 'J63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9186, 'Бокситный фиброз (легкого)', 'J63.1', 9184, 'J63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9187, 'Бериллиоз', 'J63.2', 9184, 'J63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9188, 'Графитный фиброз (легкого)', 'J63.3', 9184, 'J63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9189, 'Сидероз', 'J63.4', 9184, 'J63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9190, 'Станноз', 'J63.5', 9184, 'J63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9191, 'Пневмокониоз, вызванный другой уточненной неорганической пылью', 'J63.8', 9184, 'J63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9192, 'Пневмокониоз неуточненный', 'J64', 9178, 'J60-J70', 0, 'Исключен: с туберкулезом (J65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9193, 'Пневмокониоз, связанный с туберкулезом', 'J65', 9178, 'J60-J70', 0, 'Любое состояние, указанное в рубриках J60-J64, в сочетании с туберкулезом, классифицированным в рубриках A15-A16');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9194, 'Болезнь дыхательных путей, вызванная специфической органической пылью', 'J66', 9178, 'J60-J70', 4, 'Исключены: багассоз (J67.1) легкое фермера (J67.0) гиперсенситивный пневмонит, вызванный органической пылью (J67.-) реактивный синдром дисфункции дыхательных путей (J68.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9195, 'Биссиноз', 'J66.0', 9194, 'J66', 0, 'Болезнь дыхательных путей, вызванная хлопковой пылью');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9196, 'Болезнь трепальщиков льна', 'J66.1', 9194, 'J66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9197, 'Каннабиноз', 'J66.2', 9194, 'J66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9198, 'Болезнь дыхательных путей, вызванная другой уточненной органической пылью', 'J66.8', 9194, 'J66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9199, 'Гиперсенситивный пневмонит, вызванный органической пылью', 'J67', 9178, 'J60-J70', 10, 'Включены: аллергический альвеолит и пневмонит, вызванные вдыханием органической пыли и частиц грибов, актиномицетов или частиц другого происхождения Исключен: пневмонит, вызванный вдыханием химических веществ, газов, дымов и паров (J68.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9200, 'Легкое фермера [сельскохозяйственного работника]', 'J67.0', 9199, 'J67', 0, 'Легкое жнеца Легкое косаря Болезнь, вызванная заплесневелым сеном');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9201, 'Багассоз (от пыли сахарного тростника)', 'J67.1', 9199, 'J67', 0, 'Багассозная(ый): . болезнь . пневмонит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9202, 'Легкое птицевода', 'J67.2', 9199, 'J67', 0, 'Болезнь, или легкое, любителя попугаев Болезнь, или легкое, любителя голубей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9203, 'Субероз', 'J67.3', 9199, 'J67', 0, 'Болезнь, или легкое, обработчика пробкового дерева Болезнь, или легкое, работающего на пробковом производстве');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9204, 'Легкое работающего с солодом', 'J67.4', 9199, 'J67', 0, 'Альвеолит, вызванный Aspergillus clavatus');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9205, 'Легкое работающего с грибами', 'J67.5', 9199, 'J67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9206, 'Легкое сборщика коры клена', 'J67.6', 9199, 'J67', 0, 'Альвеолит, вызванный Cryptostroma corticale Криптостромоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9207, 'Легкое контактирующего с кондиционером и увлажнителями воздуха', 'J67.7', 9199, 'J67', 0, 'Аллергический альвеолит, вызванный грибковой плесенью, термофильными актиномицетами и другими микроорганизмами, размножающимися в системах вентиляции [кондиционирования] воздуха');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9208, 'Гиперсенситивные пневмониты, вызванные другой органической пылью', 'J67.8', 9199, 'J67', 0, 'Легкое мойщика сыра Легкое кофемола Легкое работника рыбомучного предприятия Легкое меховщика [скорняка] Легкое работающего с секвойей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9209, 'Гиперсенситивный пневмонит,  вызванный неуточненной органической пылью', 'J67.9', 9199, 'J67', 0, 'Альвеолит аллергический (экзогенный) БДУ Гиперсенситивный пневмонит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9210, 'Респираторные состояния, вызванные вдыханием химических веществ, газов, дымов и паров', 'J68', 9178, 'J60-J70', 7, 'Для идентификации причины используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9211, 'Бронхит и пневмонит, вызванный химическими веществами, газами, дымами и парами', 'J68.0', 9210, 'J68', 0, 'Химический бронхит (острый)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9212, 'Острый легочный отек, вызванный химическими веществами, газами, дымами и парами', 'J68.1', 9210, 'J68', 0, 'Химический легочный отек (острый)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9213, 'Воспаление верхних дыхательных путей, вызванное химическими веществами, газами, дымами и парами, не классифицированное в других рубриках', 'J68.2', 9210, 'J68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9214, 'Другие острые и подострые респираторные состояния, вызванные химическими веществами, газами, дымами и парами', 'J68.3', 9210, 'J68', 0, 'Реактивный синдром дисфункции дыхательных путей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9215, 'Химические респираторные состояния, вызванные химическими веществами, газами, дымами и парами', 'J68.4', 9210, 'J68', 0, 'Эмфизема (диффузная) (хроническая) } вызванная(ый) вдыхаОблитерирующий бронхит (хроничес- } нием химических кий) (подострый) } веществ, газов, Легочный фиброз (хронический) } дымов и паров');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9216, 'Другие респираторные состояния, вызванные химическими веществами, газами, дымами и парами', 'J68.8', 9210, 'J68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9217, 'Неуточненные респираторные состояния, вызванные химическими веществами, газами, дымами и парами', 'J68.9', 9210, 'J68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9218, 'Пневмонит, вызванный твердыми веществами и жидкостями', 'J69', 9178, 'J60-J70', 3, 'Для идентификации причины используют дополнительный код внешних причин (класс XX). Исключен: неонатальный аспирационный синдром (P24.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9219, 'Пневмонит, вызванный пищей и рвотными массами', 'J69.0', 9218, 'J69', 0, 'Аспирационная пневмония (вызванная): . БДУ . пищей (при регургитации) . желудочным соком . молоком . рвотными массами Исключен: синдром Мендельсона (J95.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9220, 'Пневмонит, вызванный вдыханием масел и эссенций', 'J69.1', 9218, 'J69', 0, 'Жировая пневмония');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9221, 'Пневмонит, вызванный другими твердыми веществами и жидкостями', 'J69.8', 9218, 'J69', 0, 'Пневмонит, вызванный аспирацией крови');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9222, 'Респираторные состояния, вызванные другими внешними агентами', 'J70', 9178, 'J60-J70', 7, 'Для идентификации причины используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9223, 'Острые легочные проявления, вызванные радиацией', 'J70.0', 9222, 'J70', 0, 'Радиационный пневмонит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9224, 'Хронические и другие легочные проявления, вызванные радиацией', 'J70.1', 9222, 'J70', 0, 'Фиброз легкого вследствие радиации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9225, 'Острые интерстициальные легочные нарушения, вызванные лекарственными средствами', 'J70.2', 9222, 'J70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9226, 'Хронические интерстициальные легочные нарушения, вызванные лекарственными средствами', 'J70.3', 9222, 'J70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9227, 'Легочные интерстициальные нарушения, вызванные лекарственными средствами, неуточненные', 'J70.4', 9222, 'J70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9228, 'Респираторные состояния, вызванные другими уточненными внешними агентами', 'J70.8', 9222, 'J70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9229, 'Респираторные состояния, вызванные неуточненными внешними агентами', 'J70.9', 9222, 'J70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9231, 'ДРУГИЕ РЕСПИРАТОРНЫЕ БОЛЕЗНИ, ПОРАЖАЮЩИЕ ГЛАВНЫМ ОБРАЗОМ ИНТЕРСТИЦИАЛЬНУЮ ТКАНЬ', 'J80-J84', 9001, 'J00-J99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9232, 'Синдром респираторного расстройства [дистресса] у взрослого', 'J80', 9231, 'J80-J84', 0, 'Болезнь гиалиновых мембран у взрослого');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9233, 'Легочный отек', 'J81', 9231, 'J80-J84', 0, 'Острый отек легкого Легочный застой (пассивный) Исключены: гипостатическая пневмония (J18.2) легочный отек: . химический (острый) (J68.1) . вызванный внешними агентами (J60-J70) . с упоминанием о болезни сердца БДУ или сердечной недостаточности (I50.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9234, 'Легочная эозинофилия, не классифицированная в других рубриках', 'J82', 9231, 'J80-J84', 0, 'Эозинофильная астма Пневмония Леффлера Тропическая (легочная) эозинофилия БДУ Исключены: вызванная: . аспергиллезом (B44.-) . лекарственными средствами (J70.2-J70.4) . уточненной паразитарной инфекцией (B50-B83) . системными поражениями соединительной ткани (M30-M36)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9235, 'Другие интерстициальные легочные болезни', 'J84', 9231, 'J80-J84', 4, 'Исключены: интерстициальные болезни легкого, вызванные лекарственными средствами (J70.2-J70.4) интерстициальная эмфизема (J98.2) болезни легкого, вызванные внешними агентами (J60-J70) лимфоидный интерстициальный пневмонит, вызванный вирусом иммунодефицита человека [ВИЧ] (B22.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9236, 'Альвеолярные и парието-альвеолярные нарушения', 'J84.0', 9235, 'J84', 0, 'Альвеолярный протеиноз Легочный альвеолярный микролитиаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9237, 'Другие интерстициальные легочные болезни с упоминанием о фиброзе', 'J84.1', 9235, 'J84', 0, 'Диффузный легочный фиброз Фиброзирующий альвеолит (криптогенный) Синдром Хаммена-Рича Идиопатический легочный фиброз Исключены: легочный фиброз (хронический): . вызванный вдыханием химических веществ, газов, дымов или паров (J68.4) . вызванный излучением (J70.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9238, 'Другие уточненные интерстициальные легочные болезни', 'J84.8', 9235, 'J84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9239, 'Интерстициальная легочная болезнь, неуточненная', 'J84.9', 9235, 'J84', 0, 'Интерстициальная пневмония БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9241, 'ГНОЙНЫЕ И НЕКРОТИЧЕСКИЕ СОСТОЯНИЯ НИЖНИХ ДЫХАТЕЛЬНЫХ ПУТЕЙ', 'J85-J86', 9001, 'J00-J99', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9242, 'Абсцесс легкого и средостения', 'J85', 9241, 'J85-J86', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9243, 'Гангрена и некроз легкого', 'J85.0', 9242, 'J85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9244, 'Абсцесс легкого с пневмонией', 'J85.1', 9242, 'J85', 0, 'Исключен: с пневмонией, вызванной уточненным возбудителем (J10-J16)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9245, 'Абсцесс легкого без пневмонии', 'J85.2', 9242, 'J85', 0, 'Абсцесс легкого БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9246, 'Абсцесс средостения', 'J85.3', 9242, 'J85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9247, 'Пиоторакс', 'J86', 9241, 'J85-J86', 2, 'Включены: абсцесс: . плевры . грудной клетки эмпиема пиопневмоторакс При необходимости идентифицировать возбудитель используют дополнительный код (B95-B97). Исключен: вследствие туберкулеза (A15-A16)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9248, 'Пиоторакс с фистулой', 'J86.0', 9247, 'J86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9249, 'Пиоторакс без фистулы', 'J86.9', 9247, 'J86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9251, 'ДРУГИЕ БОЛЕЗНИ ПЛЕВРЫ', 'J90-J94', 9001, 'J00-J99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9252, 'Плевральный выпот, не классифицированный в других рубриках', 'J90', 9251, 'J90-J94', 0, 'Плеврит с выпотом Исключены: хилусный (плевральный) выпот (J94.0) плеврит БДУ (R09.1) туберкулезный (A15-A16)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9253, 'Плевральный выпот при состояниях, классифицированных в других рубриках', 'J91*', 9251, 'J90-J94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9254, 'Плевральная бляшка', 'J92', 9251, 'J90-J94', 2, 'Включено: плевральное утолщение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9255, 'Плевральная бляшка с упоминанием об асбестозе', 'J92.0', 9254, 'J92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9256, 'Плевральная бляшка без упоминания об асбестозе', 'J92.9', 9254, 'J92', 0, 'Плевральная бляшка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9257, 'Пневмоторакс', 'J93', 9251, 'J90-J94', 4, 'Исключены: пневмоторакс: . врожденный или перинатальный (P25.1) . травматический (S27.0) . туберкулезный (текущий случай) (A15-A16) пиопневмоторакс (J86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9258, 'Спонтанный пневмоторакс напряжения', 'J93.0', 9257, 'J93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9259, 'Другой спонтанный пневмоторакс', 'J93.1', 9257, 'J93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9260, 'Другой пневмоторакс', 'J93.8', 9257, 'J93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9261, 'Пневмоторакс неуточненный', 'J93.9', 9257, 'J93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9262, 'Другие поражения плевры', 'J94', 9251, 'J90-J94', 5, 'Исключены: плеврит БДУ (R09.1) травматический: . гемопневмоторакс (S27.2) . гемоторакс (S27.1) туберкулезное поражение плевры (текущий случай) (A15-A16)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9263, 'Хилусный выпот', 'J94.0', 9262, 'J94', 0, 'Хилоподобный выпот');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9264, 'Фиброторакс', 'J94.1', 9262, 'J94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9265, 'Гемоторакс', 'J94.2', 9262, 'J94', 0, 'Гемопневмоторакс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9266, 'Другие уточненные плевральные состояния', 'J94.8', 9262, 'J94', 0, 'Гидроторакс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9267, 'Плевральное поражение неуточненное', 'J94.9', 9262, 'J94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9269, 'ДРУГИЕ БОЛЕЗНИ ОРГАНОВ ДЫХАНИЯ', 'J95-J99', 9001, 'J00-J99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9270, 'Респираторные нарушения после медицинских процедур, не классифицированные в других рубриках', 'J95', 9269, 'J95-J99', 8, 'Исключены: эмфизема (подкожная) постпроцедурная (T81.8) легочные проявления, вызванные радиацией (J70.0-J70.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9271, 'Нарушение функционирования трахеостомы', 'J95.0', 9270, 'J95', 0, 'Кровотечение из трахеостомы Закупорка трахеостомного дыхательного пути Сепсис трахеостомы Трахеопищеводный свищ вследствие трахеостомии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9272, 'Острая легочная недостаточность после торакального оперативного вмешательства', 'J95.1', 9270, 'J95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9273, 'Острая легочная недостаточность после неторакального оперативного вмешательства', 'J95.2', 9270, 'J95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9274, 'Хроническая легочная недостаточность вследствие операции', 'J95.3', 9270, 'J95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9275, 'Синдром Мендельсона', 'J95.4', 9270, 'J95', 0, 'Исключены: осложняющий: . роды и родоразрешение (O74.0) . беременность (O29.0) . послеродовой период (O89.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9276, 'Стеноз под собственно голосовым аппаратом после медицинских процедур', 'J95.5', 9270, 'J95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9277, 'Другие респираторные нарушения после медицинских процедур', 'J95.8', 9270, 'J95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9278, 'Респираторное нарушение после медицинских процедур неуточненное', 'J95.9', 9270, 'J95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9279, 'Дыхательная недостаточность, не классифицированная в других рубриках', 'J96', 9269, 'J95-J99', 3, 'Исключены: сердечно-дыхательная недостаточность (R09.2) постпроцедурная респираторная недостаточность (J95.-) . остановка дыхания (R09.2) . синдром респираторного расстройства [дистресса]: . у взрослого (J80) . у новорожденного (P22.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9280, 'Острая респираторная недостаточность', 'J96.0', 9279, 'J96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9281, 'Хроническая респираторная недостаточность', 'J96.1', 9279, 'J96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9282, 'Респираторная недостаточность неуточненная', 'J96.9', 9279, 'J96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9283, 'Другие респираторные нарушения', 'J98', 9269, 'J95-J99', 9, 'Исключены: апноэ: . БДУ (R06.8) . у новорожденного (P28.4) . во время сна (G47.3) . у новорожденного (P28.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9284, 'Болезни бронхов, не классифицированные в других рубриках', 'J98.0', 9283, 'J98', 0, 'Бронхолитиаз } Обызвествление } бронхов Стеноз } Язва } Трахеобронхиальный(ая): . коллапс . дискинезия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9285, 'Легочный коллапс', 'J98.1', 9283, 'J98', 0, 'Ателектаз Коллапс легкого Исключены: ателектаз (у): . новорожденного (P28.0-P28.1) . туберкулезный (текущее заболевание) (A15-A16)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9286, 'Интерстициальная эмфизема', 'J98.2', 9283, 'J98', 0, 'Медиастинальная эмфизема Исключены: эмфизема: . БДУ (J43.9) . у плода и новорожденного (P25.0) . хирургическая (подкожная) (T81.8) . травматическая подкожная (T79.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9287, 'Компенсаторная эмфизема', 'J98.3', 9283, 'J98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9288, 'Другие поражения легкого', 'J98.4', 9283, 'J98', 0, 'Обызвествление легкого Кистозная болезнь легкого (приобретенная) Болезнь легкого БДУ Пульмолитиаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9289, 'Болезни средостения, не классифицированные в других', 'J98.5', 9283, 'J98', 0, 'рубриках Фиброз } Грыжа } средостения Смещение } Медиастинит Исключен: абсцесс средостения (J85.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9290, 'Болезни диафрагмы', 'J98.6', 9283, 'J98', 0, 'Диафрагмит Паралич диафрагмы Релаксация диафрагмы Исключены: врожденный дефект диафрагмы НКДР (Q79.1) диафрагмальная грыжа (K44.-) . врожденная (Q79.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9291, 'Другие уточненные респираторные нарушения', 'J98.8', 9283, 'J98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9292, 'Респираторное нарушение неуточненное', 'J98.9', 9283, 'J98', 0, 'Респираторное заболевание (хроническое) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9293, 'Респираторные нарушения при болезнях, классифицированных в других рубриках', 'J99*', 9269, 'J95-J99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9294, 'Ревматоидная болезнь легкого (M05.1+)', 'J99.0*', 9293, 'J99*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9295, 'Респираторные нарушения при других диффузных нарушениях соединительной ткани', 'J99.1*', 9293, 'J99*', 0, 'Респираторные нарушения при: . дерматомиозите (M33.0-M33.1+) . полимиозите (M33.2+) . синдроме сухости [Шегрена] (M35.0+) . системной(ом): . красной волчанке (M32.1+) . склерозе (M34.8+) . гранулематозе Вегенера (M31.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(9296, 'Респираторные нарушения при других болезнях, классифицированных в других рубриках', 'J99.8*', 9293, 'J99*', 0, 'Респираторные нарушения при: . амебиазе (A06.5+) . анкилозирующем спондилите (M45+) . криоглобулинемии (D89.1+) . споротрихозе (B42.0+) . сифилисе (A52.7+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10001, 'БОЛЕЗНИ ОРГАНОВ ПИЩЕВАРЕНИЯ', 'K00-K93', NULL, NULL, 10, 'Исключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\n\nЭтот класс содержит следующие блоки:\nK00-K04 Болезни полости рта, слюнных желез и челюстей\nK20-K31 Болезни пищевода, желудка и двенадцатиперстной кишки\nK35-K38 Болезни аппендикса [червеобразного отростка]\nK40-K46 Грыжи\nK50-K52 Неинфекционные энтериты и колиты\nK55-K63 Другие болезни кишечника\nK65-K67 Болезни брюшины\nK70-K77 Болезни печени\nK80-K87 Болезни желчного пузыря, желчевыводящих путей и поджелудочной железы\nK90-K93 Другие болезни органов пищеварения\n\nЗвездочкой отмечены следующие категории:\nK23* Поражения пищевода при болезнях, классифицированных в других рубриках\nK67* Поражения брюшины при инфекционных болезнях, классифицированных в других рубриках\nK77* Поражения печени при болезнях, классифицированных в других рубриках\nK87* Поражения желчного пузыря, желчевыводящих путей и поджелудочной железы при болезнях, классифицированных в других рубриках\nK93* Поражения других органов пищеварения при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10002, 'БОЛЕЗНИ ПОЛОСТИ РТА, СЛЮННЫХ ЖЕЛЕЗ И ЧЕЛЮСТЕЙ', 'K00-K14', 10001, 'K00-K93', 15, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10003, 'Нарушения развития и прорезывания зубов', 'K00', 10002, 'K00-K14', 10, 'Исключены: ретенированные и импактные зубы (K01.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10004, 'Адентия', 'K00.0', 10003, 'K00', 0, 'Гиподентия Олигодентия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10005, 'Сверхкомплектные зубы', 'K00.1', 10003, 'K00', 0, 'Дистомолярные Четвертый моляр Мезиодентия [срединный зуб] Парамолярные Добавочные зубы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10006, 'Аномалии размеров и формы зубов', 'K00.2', 10003, 'K00', 0, 'Сращение } Слияние } зубов Прорастание } Выпячивание зубов Зуб в зубе Инвагинация зубов Эмалевые жемчужины Макродентия Микродентия Копьевидные [конические] зубы "Бычий зуб" Парамолярные добавочные бугорки Исключена: бугорковая аномалия Карабелли, рассматриваемая как вариант нормы и подлежащая кодированию');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10007, 'Крапчатые зубы', 'K00.3', 10003, 'K00', 0, 'Флюороз зубов Крапчатость эмали Нефлюорозное потемнение эмали Исключены: отложения [наросты] на зубах (K03.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10008, 'Нарушения формирования зубов', 'K00.4', 10003, 'K00', 0, 'Аплазия и гипоплазия цемента Трещины эмали Гипоплазия эмали (неонатальная) (поснатальная) (пренатальная) Региональная одонтодисплазия Зубы Тернера Исключены: резцы Гетчинсона и моляры в виде тутовых ягод при врожденном сифилисе (A50.5) крапчатые зубы (K00.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10009, 'Наследственные нарушения структуры зуба, не классифицированные в других рубриках', 'K00.5', 10003, 'K00', 0, 'Эмали } Дентина } недоразвитие Зуба } Дисплазия дентина Раковинные зубы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10010, 'Нарушения прорезывания зубов', 'K00.6', 10003, 'K00', 0, 'Раннее прорезывание Натальные (прорезавшиеся к моменту рождения) } Неонатальные (у новорожденного, прорезавшиеся } зубы преждевременно) } Преждевременное: . прорезывание зубов . выпадение первичных (временных) зубов Задержка смены первичных зубов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10011, 'Синдром прорезывания зубов', 'K00.7', 10003, 'K00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10012, 'Другие нарушения развития зубов', 'K00.8', 10003, 'K00', 0, 'Изменение цвета зубов в процессе формирования Выраженная окрашенность зубов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10013, 'Нарушение развития зубов неуточненное', 'K00.9', 10003, 'K00', 0, 'Нарушение одонтогенеза БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10014, 'Ретенированные и импактные зубы', 'K01', 10002, 'K00-K14', 2, 'Исключены: ретенированные и импактные зубы с неправильным положением их или соседних зубов (K07.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10015, 'Ретенированные зубы', 'K01.0', 10014, 'K01', 0, 'Ретенированный зуб - это зуб, изменивший свое положение при прорезывании без препятствия со стороны соседнего зуба.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10016, 'Импактные зубы', 'K01.1', 10014, 'K01', 0, 'Импактный зуб - это зуб, изменивший свое положение при прорезывании из-за препятствия со стороны соседнего зуба.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10017, 'Кариес зубов', 'K02', 10002, 'K00-K14', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10018, 'Кариес эмали', 'K02.0', 10017, 'K02', 0, 'Стадия "мелового пятна" [начальный кариес]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10019, 'Кариес дентина', 'K02.1', 10017, 'K02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10020, 'Кариес цемента', 'K02.2', 10017, 'K02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10021, 'Приостановившийся кариес зубов', 'K02.3', 10017, 'K02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10022, 'Одонтоклазия', 'K02.4', 10017, 'K02', 0, 'Детская меланодентия Меланодонтоклазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10023, 'Другой кариес зубов', 'K02.8', 10017, 'K02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10024, 'Кариес зубов неуточненный', 'K02.9', 10017, 'K02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10025, 'Другие болезни твердых тканей зубов', 'K03', 10002, 'K00-K14', 10, 'Исключены: бруксизм (F45.8) кариес зубов (K02.-) скрежетание зубами БДУ (F45.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10026, 'Повышенное стирание зубов', 'K03.0', 10025, 'K03', 0, 'Стирание зубов: . апроксимльное . окклюзионное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10027, 'Сошлифовывание зубов', 'K03.1', 10025, 'K03', 0, 'Сошлифовывание: . вызванное зубным порошком . привычное } . профессиональное } . ритуальное } зубов . традиционное } Клиновидные дефект БДУ }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10028, 'Эрозия зубов', 'K03.2', 10025, 'K03', 0, 'Эрозия зубов: . БДУ . обусловленная: . диетой . лекарственными средствами и медикаментами . постоянной работой . идиопатическая . профессиональная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10029, 'Патологическая резорбция зубов', 'K03.3', 10025, 'K03', 0, 'Внутренняя гранулема пульпы Резорбция твердых тканей зубов (наружная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10030, 'Гиперцементоз', 'K03.4', 10025, 'K03', 0, 'Гиперплазия цемента');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10031, 'Анкилоз зубов', 'K03.5', 10025, 'K03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10032, 'Отложения (наросты) на зубах', 'K03.6', 10025, 'K03', 0, 'Зубной камень: . поддесневой . наддесневой Отложения (наросты) на зубах: . бетельные . черные . зеленые . белые . оранжевые . табачные Окрашивание зубов: . БДУ . не соответствующий понятию БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10033, 'Изменение цвета твердых тканей зубов после прорезывания', 'K03.7', 10025, 'K03', 0, 'Исключены: отложения [наросты] на зубах (K03.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10034, 'Другие уточненные болезни твердых тканей зубов', 'K03.8', 10025, 'K03', 0, 'Облученная эмаль Чувствительный дентин При необходимости идентифицировать излучение, вызвавшее поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10035, 'Болезнь твердых тканей зубов неуточненная', 'K03.9', 10025, 'K03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10036, 'Болезни пульпы и периапикальных тканей', 'K04', 10002, 'K00-K14', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10037, 'Пульпит', 'K04.0', 10036, 'K04', 0, 'Пульпарный: . абсцесс . полип Пульпит: . острый . хронический (гиперпластический) (язвенный) . гнойный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10038, 'Некроз пульпы', 'K04.1', 10036, 'K04', 0, 'Гангрена пульпы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10039, 'Дегенерация пульпы', 'K04.2', 10036, 'K04', 0, 'Дентикли Пульпарные: . кальцификации . камни');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10040, 'Неправильное формирование твердых тканей в пульпе', 'K04.3', 10036, 'K04', 0, 'Образование вторичного, или иррегулярного, дентина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10041, 'Острый апикальный периодонтит пульпарного происхождения', 'K04.4', 10036, 'K04', 0, 'Острый апикальный периодонтит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10042, 'Хронический апикальный периодонтит', 'K04.5', 10036, 'K04', 0, 'Апикальная или периапикальная гранулема Апикальный периодонтит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10043, 'Периапикальный абсцесс с полостью', 'K04.6', 10036, 'K04', 0, 'Зубной [дентальный] } Дентоальвеолярный } абсцесс с полостью');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10044, 'Периапикальный абсцесс без полости', 'K04.7', 10036, 'K04', 0, 'Зубной [дентальный] } Дентоальвеолярный } абсцесс БДУ Периапикальный }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10045, 'Корневая киста', 'K04.8', 10036, 'K04', 0, 'Киста: . апикальная (периодонтальная) . периапикальная . остаточная корневая Исключена: боковая киста периодонтальная (K09.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10046, 'Другие и неуточненные болезни пульпы и периапикальных тканей', 'K04.9', 10036, 'K04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10047, 'Гингивит и болезни пародонта', 'K05', 10002, 'K00-K14', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10048, 'Острый гингивит', 'K05.0', 10047, 'K05', 0, 'Исключены: острый некротизирующий язвенный гингивит (A69.1) гингивостоматит, вызванный вирусом простого герпеса [herpes simplex] (B00.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10049, 'Хронический гингивит', 'K05.1', 10047, 'K05', 0, 'Гингивит (хронический): . БДУ . десквамативный . гиперпластический . простой маргинальный . язвенный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10050, 'Острый пародонтит', 'K05.2', 10047, 'K05', 0, 'Острый пародонтит Пародонтальный абсцесс Периодонтальный абсцесс Исключены: острый апикальный периодонтит (K04.4) периапикальный абсцесс (K04.7) . с полостью (K04.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10051, 'Хронический пародонтит', 'K05.3', 10047, 'K05', 0, 'Хронический перикоронит Пародонтит: . БДУ . сложный . простой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10052, 'Пародонтоз', 'K05.4', 10047, 'K05', 0, 'Юношеский пародонтоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10053, 'Другие болезни пародонта', 'K05.5', 10047, 'K05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10054, 'Болезнь пародонта неуточненная', 'K05.6', 10047, 'K05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10055, 'Другие изменения десны и беззубого альвеолярного края', 'K06', 10002, 'K00-K14', 5, 'Исключены: атрофия беззубого альвеолярного края (K08.2) гингивит: . БДУ (K05.1) . острый (K05.0) . хронический (K05.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10056, 'Рецессия десны', 'K06.0', 10055, 'K06', 0, 'Рецессия десны (генерализованная) (локальная) (постинфекционная) (послеоперационная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10057, 'Гипертрофия десны', 'K06.1', 10055, 'K06', 0, 'Фиброматоз десны');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10058, 'Поражения десны и беззубого альвеолярного края, обусловленные травмой', 'K06.2', 10055, 'K06', 0, 'При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10059, 'Другие уточненные изменения десны и беззубого альвеолярного края', 'K06.8', 10055, 'K06', 0, 'Фиброзный эпулис Атрофичный гребень Гигантоклеточный эпулис Гигантоклеточная периферическая гранулема Пиогенная гранулема десны');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10060, 'Изменение десны и беззубого альвеолярного края неуточненное', 'K06.9', 10055, 'K06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10061, 'Челюстно-лицевые аномалии [включая аномалии прикуса]', 'K07', 10002, 'K00-K14', 9, 'Исключены: атрофия и гипертрофия половины лица (Q67.4) односторонняя мыщелковая гиперплазия или гипоплазия (K10.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10062, 'Основные аномалии размеров челюстей', 'K07.0', 10061, 'K07', 0, 'Гиперплазия, гипоплазия: . нижней челюсти . верхней челюсти Макрогнатия (нижней челюсти) (верхней челюсти) Микрогнатия (нижней челюсти) (верхней челюсти) Исключены: акромегалия (E22.0) синдром Робина (Q87.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10063, 'Аномалии челюстно-черепных соотношений', 'K07.1', 10061, 'K07', 0, 'Асимметрия челюсти Прогнатия (нижней челюсти) (верхней челюсти) Ретрогнатия (нижней челюсти) (верхней челюсти)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10064, 'Аномалии соотношений зубных дуг', 'K07.2', 10061, 'K07', 0, 'Смещенный прикус (передний) (задний) Дистальный прикус Мезиальный прикус Смещение зубных дуг от средней линии Открытый прикус (передний) (задний) Чрезмерный прикус: . глубокий . горизонтальный . вертикальный Веерообразный прикус Заднеязычный прикус нижних зубов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10065, 'Аномалии положения зубов', 'K07.3', 10061, 'K07', 0, 'Скученность } Диастема } Смещение } Поворот } зуба (зубов) Нарушение межзубных } промежутков } Транспозиция } Ретенирование или импактные зубы с неправильным положением их или соседних зубов Исключены: ретенированные и импактные зубы с нормальным положением (K01.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10066, 'Аномалия прикуса неуточненная', 'K07.4', 10061, 'K07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10067, 'Челюстно-лицевые аномалии функционального происхождения', 'K07.5', 10061, 'K07', 0, 'Неправильное смыкание челюстей Нарушение прикуса вследствие: . нарушения глотания . ротового дыхания . сосания языка, губ или пальца Исключены: бруксизм (F45.8) скрежетание зубами БДУ (F45.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10068, 'Болезни височно-нижнечелюстного сустава', 'K07.6', 10061, 'K07', 0, 'Синдром, или комплекс, Костена Разболтанность височно-нижнечелюстного сустава "Щелкающая" челюсть Синдром болевой дисфункции височно-нижнечелюстного сустава Исключены: височно-нижнечелюстного сустава: . вывих (SO3.0) } . растяжение (S03.4) } текущий случай');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10069, 'Другие челюстно-лицевые аномалии', 'K07.8', 10061, 'K07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10070, 'Челюстно-лицевая аномалия неуточненная', 'K07.9', 10061, 'K07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10071, 'Другие изменения зубов и их опорного аппарата', 'K08', 10002, 'K00-K14', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10072, 'Эксфолиация зубов вследствие системных нарушений', 'K08.0', 10071, 'K08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10073, 'Потеря зубов вследствие несчастного случая, удаления  или локальной периодонтальной болезни', 'K08.1', 10071, 'K08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10074, 'Атрофия беззубого альвеолярного края', 'K08.2', 10071, 'K08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10075, 'Задержка зубного корня [ретенционный корень]', 'K08.3', 10071, 'K08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10076, 'Другие уточненные изменения зубов и их опорного аппарата', 'K08.8', 10071, 'K08', 0, 'Гипертрофия альвеолярного края БДУ Неправильная форма альвеолярного отростка Зубная боль БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10077, 'Изменение зубов и их опорного аппарата неуточненное', 'K08.9', 10071, 'K08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10078, 'Кисты области рта, не классифицированные в других рубриках', 'K09', 10002, 'K00-K14', 5, 'Включены: поражения с гистологическими особенностями аневризматической кисты и другого фиброзно-костного поражения Исключена: корневая киста (K04.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10079, 'Кисты, образовавшиеся в процессе формирования зубов', 'K09.0', 10078, 'K09', 0, 'Киста: . содержащая зубы . при прорезывании зубов . фолликулярная . десны . боковая периодонтальная . рудиментарная Роговая киста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10080, 'Ростовые (неодонтогенные) кисты области рта', 'K09.1', 10078, 'K09', 0, 'Киста: . глобуломаксиллярная [верхнечелюстной пазухи] . канала резца . средненебная . носонебная . небная сосочковая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10081, 'Другие кисты челюстей', 'K09.2', 10078, 'K09', 0, 'Киста челюсти: . БДУ . аневризматическая . геморрагческая . травматическая Исключены: скрытая костная киста челюсти (K10.0) киста Стафне (K10.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10082, 'Другие уточненные кисты области рта, не классифицированные в других рубриках', 'K09.8', 10078, 'K09', 0, 'Дермоидная киста } Эпидермоидная киста } полости рта Лимфоэпителиальная киста } Жемчужина Эпштейна Носоальвеолярная киста Носогубная киста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10083, 'Киста области рта неуточненная', 'K09.9', 10078, 'K09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10084, 'Другие болезни челюстей', 'K10', 10002, 'K00-K14', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10085, 'Нарушения развития челюстей', 'K10.0', 10084, 'K10', 0, 'Скрытая костная киста челюсти Киста Стафне Торус: . нижней челюсти . твердого неба');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10086, 'Гигантоклеточная гранулема центральная', 'K10.1', 10084, 'K10', 0, 'Гигантоклеточная гранулема БДУ Исключена: периферическая гигантоклеточная гранулема (K06.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10087, 'Воспалительные заболевания челюстей', 'K10.2', 10084, 'K10', 0, 'Остеит } Остеомиелит (неонатальный) } челюсти (острый) Радиационный остеонекроз } (хронический) (гнойный) Периостит } Секвестр челюстной кости При необходимости идентифицировать излучение, вызвавшее поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10088, 'Альвеолит челюстей', 'K10.3', 10084, 'K10', 0, 'Альвеолярный остеит Сухая лунка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10089, 'Другие уточненные болезни челюстей', 'K10.8', 10084, 'K10', 0, 'Херувизм Экзостоз } Фиброзная дисплазия } челюсти Односторонняя мыщелковая: . гиперплазия . гипоплазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10090, 'Болезнь челюсти неуточненная', 'K10.9', 10084, 'K10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10091, 'Болезнь слюнных желез', 'K11', 10002, 'K00-K14', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10092, 'Атрофия слюнной железы', 'K11.0', 10091, 'K11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10093, 'Гипертрофия слюнной железы', 'K11.1', 10091, 'K11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10094, 'Сиаладенит', 'K11.2', 10091, 'K11', 0, 'Исключены: эпидемический паротит (B26.-) увеопаротитная лихорадка Хирфорда (D86.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10095, 'Абсцесс слюнной железы', 'K11.3', 10091, 'K11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10096, 'Свищ слюнной железы', 'K11.4', 10091, 'K11', 0, 'Исключен: врожденный свищ слюнной железы (Q38.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10097, 'Сиалолитиаз', 'K11.5', 10091, 'K11', 0, 'Камни слюнной железы или протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10098, 'Мукоцеле слюнной железы', 'K11.6', 10091, 'K11', 0, 'Слизистая: . киста с экссудатом } . ретенционная киста } слюнной железы Ранула');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10099, 'Нарушения секреции слюнных желез', 'K11.7', 10091, 'K11', 0, 'Гипоптиализм Птиализм Ксеростомия Исключена: сухость полости рта БДУ (R68.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10100, 'Другие болезни слюнных желез', 'K11.8', 10091, 'K11', 0, 'Доброкачественное лимфоэпителиальное поражение слюнной железы Болезнь Микулича Некротизирующая сиалометаплазия Сиалэктазия Стеноз } Сужение } слюнного протока Исключен: синдром сухости [болезнь Шегрена] (M35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10101, 'Болезнь слюнной железы неуточненная', 'K11.9', 10091, 'K11', 0, 'Сиалоаденопатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10102, 'Стоматит и родственные поражения', 'K12', 10002, 'K00-K14', 3, 'Исключены: распадающаяся язва рта (A69.0) хейлит (K13.0) гангренозный стоматит (A69.0) гингивостоматит, вызванный вирусом герпеса [herpes simplex] (B00.2) нома (A69.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10103, 'Рецидивирующие афты полости рта', 'K12.0', 10102, 'K12', 0, 'Афтозный стоматит (большой) (малый) Афты Беднара Рецидивирующий слизисто-некротический периаденит Рецидивирующая афтозная язва Герпетиформный стоматит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10104, 'Другие формы стоматита', 'K12.1', 10102, 'K12', 0, 'Стоматит: . БДУ . зубного ряда . язвенный . везикулярный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10105, 'Флегмона и абсцесс области рта', 'K12.2', 10102, 'K12', 0, 'Воспаление клетчатки полости рта(дна) Абсцесс подчелюстной области Исключены: абсцесс: . периапикальный (K04.6-K04.7) . периодонтальный (K05.2) . перитонзиллярный (J36) . слюнной железы (K11.3) . языка (K14.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10106, 'Другие болезни губ и слизистой оболочки полости рта', 'K13', 10002, 'K00-K14', 8, 'Включены: изменения эпителия языка Исключены: некоторые изменения десны и беззубого альвеолярного края (K05-K06) кисты области рта (K09.-) болезни языка (K14.-) стоматит и родственные поражения (K12.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10107, 'Болезни губ', 'K13.0', 10106, 'K13', 0, 'Хейлит: . БДУ . ангулярный . эксфолиативный . гландулярный Хейлодиния Хейлоз Трещина спайки губ (заеда) БДУ Исключены: арибофлавиноз (E53.0) хейлит, связанный с излучением (L55-L59) трещина спайки губ (заеда) вследствие: . кандидоза (B37.8) . недостаточности рибофлавина (E53.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10108, 'Прикусывание щеки и губ', 'K13.1', 10106, 'K13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10109, 'Лейкоплакия и другие изменения эпителия полости рта,', 'K13.2', 10106, 'K13', 0, 'включая язык Эритроплакия } Лейкедема } эпителия полости рта, включая язык Никотиновый лейкокератоз неба Небо курильщика Исключена: волосатая лейкоплакия (K13.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10110, 'Волосатая лейкоплакия', 'K13.3', 10106, 'K13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10111, 'Гранулема и гранулемоподобные поражения слизистой оболочки полости рта', 'K13.4', 10106, 'K13', 0, 'Эозинофильная гранулема } Пиогенная гранулема } слизистой оболочки полости рта Веррукозная ксантома }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10112, 'Подслизистый фиброз полости рта', 'K13.5', 10106, 'K13', 0, 'Подслизистый фиброз языка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10113, 'Гиперплазия слизистой оболочки полости рта вследствие раздражения', 'K13.6', 10106, 'K13', 0, 'Исключено: гиперплазия беззубого альвеолярного края вследствие раздражения (denture hyperplasia) (K06.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10114, 'Другие и неуточненные поражения слизистой оболочки полости рта', 'K13.7', 10106, 'K13', 0, 'Очаговый муциноз полости рта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10115, 'Болезни языка', 'K14', 10002, 'K00-K14', 9, 'Исключены: эритроплакия } очаговая эпителиальная } гиперплазия } языка (K13.2) лейкедема } лейкоплакия } волосатая лейкоплакия (K13.3) макроглоссия (врожденная) (Q38.2) подслизистый фиброз языка (K13.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10116, 'Глоссит', 'K14.0', 10115, 'K14', 0, 'Абсцесс } Изъязвление (травматическое) } языка Исключен: атрофический глоссит (K14.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10117, '"Географический" язык', 'K14.1', 10115, 'K14', 0, 'Доброкачественный мигрирующий глоссит Эксфолиативный глоссит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10118, 'Срединный ромбовидный глоссит', 'K14.2', 10115, 'K14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10119, 'Гипертрофия сосочков языка', 'K14.3', 10115, 'K14', 0, 'Глоссофития ["черный волосатый язык"] Обложенный язык Гипертрофия листовидных сосочков Lingua villosa nigra');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10120, 'Атрофия сосочков языка', 'K14.4', 10115, 'K14', 0, 'Атрофический глоссит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10121, 'Складчатый язык', 'K14.5', 10115, 'K14', 0, 'Расщепленный } Бороздчатый } язык Морщинистый } Исключен: расщепленный язык врожденный (Q38.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10122, 'Глоссодиния', 'K14.6', 10115, 'K14', 0, 'Жжение в языке Глоссалгия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10123, 'Другие болезни языка', 'K14.8', 10115, 'K14', 0, 'Атрофия } Зубчатый } Увеличенный } язык(а) Гипертрофированный }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10124, 'Болезнь языка неуточненная', 'K14.9', 10115, 'K14', 0, 'Глоссопатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10126, 'БОЛЕЗНИ ПИЩЕВОДА, ЖЕЛУДКА И ДВЕНАДЦАТИПЕРСТНОЙ КИШКИ', 'K20-K31', 10001, 'K00-K93', 11, 'Исключена: диафрагмальная грыжа (K44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10127, 'Эзофагит', 'K20', 10126, 'K20-K31', 0, 'Абсцесс пищевода Эзофагит: . БДУ . химический . пептический При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX). Исключены: эрозия пищевода (K22.1) рефлекс-эзофагит (K21.0) эзофагит с гастроэзофагеальным рефлюксом (K21.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10128, 'Гастроэзофагеальный рефлюкс', 'K21', 10126, 'K20-K31', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10129, 'Гастроэзофагеальный рефлюкс с эзофагитом', 'K21.0', 10128, 'K21', 0, 'Рефлюкс-эзофагит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10130, 'Гастроэзофагеальный рефлюкс без эзофагита', 'K21.9', 10128, 'K21', 0, 'Эзофагеальный рефлюкс БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10131, 'Другие болезни пищевода', 'K22', 10126, 'K20-K31', 9, 'Исключено: варикозное расширение вен пищевода (I85.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10132, 'Ахалазия кардиальной части', 'K22.0', 10131, 'K22', 0, 'Ахалазия БДУ Кардиоспазм Исключен: врожденный кардиоспазм (Q40.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10133, 'Язва пищевода', 'K22.1', 10131, 'K22', 0, 'Эрозия пищевода Язва пищевода: . БДУ вызванная: . химическими веществами . лекарственными средствами и медикаментами . грибковая . пептическая При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10134, 'Непроходимость пищевода', 'K22.2', 10131, 'K22', 0, 'Компрессия } Сужение } Стеноз } пищевода Стриктура } Исключен: врожденный(ая) стеноз или стриктура пищевода (Q39.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10135, 'Прободение пищевода', 'K22.3', 10131, 'K22', 0, 'Разрыв пищевода Исключено: травматическое прободение (торакальной части) пищевода (S27.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10136, 'Дискинезия пищевода', 'K22.4', 10131, 'K22', 0, '"Штопорообразный" пищевод Диффузный спазм пищевода Спазм пищевода Исключен: кардиоспазм (K22.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10137, 'Дивертикул пищевода приобретенный', 'K22.5', 10131, 'K22', 0, 'Карман пищевода приобретенный Исключен: врожденный дивертикул пищевода (Q39.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10138, 'Желудочно-пищеводный разрывно-геморрагический синдром', 'K22.6', 10131, 'K22', 0, 'Синдром Маллори-Вейсса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10139, 'Другие уточненные болезни пищевода', 'K22.8', 10131, 'K22', 0, 'Пищеводное кровотечение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10140, 'Болезнь пищевода неуточненная', 'K22.9', 10131, 'K22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10141, 'Поражения пищевода при болезнях, классифицированных в других рубриках', 'K23*', 10126, 'K20-K31', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10142, 'Туберкулезный эзофагит (A18.8+)', 'K23.0*', 10141, 'K23*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10143, 'Расширение пищевода при болезни Шагаса (B57.3+)', 'K23.1*', 10141, 'K23*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10144, 'Поражения пищевода при других болезнях, классифицированных в других рубриках', 'K23.8*', 10141, 'K23*', 0, 'С рубриками K25-K28 используются следующие четырехзначные\nподрубрики:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10145, 'Язва желудка', 'K25', 10126, 'K20-K31', 9, '[см. указанные выше подрубрики] Включены: эрозия (острая) желудка язва (пептическая): . пилорической части . желудка При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс XX) Исключены: острый геморрагический эрозивный гастрит (K29.0) пептическая язва БДУ (K27.-) 25.0 Острая с кровотечением 25.1 Острая с прободением 25.2 Острая с кровотечением и прободением 25.3 Острая без кровотечения или прободения 25.4 Хроническая или неуточненная с кровотечением 25.5 Хроническая или неуточненная с прободением 25.6 Хроническая или неуточненная с кровотечением и прободением 25.7 Хроническая без кровотечения или прободения 25.9 Не уточненная как острая или хроническая без кровотечения или прободения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10146, 'Язва двенадцатиперстной кишки', 'K26', 10126, 'K20-K31', 9, '[см. указанные выше подрубрики] Включены: эрозия (острая) двенадцатиперстной кишки язва (пептическая): . двенадцатиперстной кишки . постпилорической части При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс XX) Исключена: пептическая язва БДУ (K27.-) 26.0 Острая с кровотечением 26.1 Острая с прободением 26.2 Острая с кровотечением и прободением 26.3 Острая без кровотечения или прободения 26.4 Хроническая или неуточненная с кровотечением 26.5 Хроническая или неуточненная с прободением 26.6 Хроническая или неуточненная с кровотечением и прободением 26.7 Хроническая без кровотечения или прободения 26.9 Не уточненная как острая или хроническая без кровотечения или прободения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10147, 'Пептическая язва неуточненной локализации', 'K27', 10126, 'K20-K31', 9, '[см. указанные выше подрубрики] Включены: гастродуоденальная язва БДУ пептическая язва БДУ Исключена: пептическая язва новорожденного (P78.8) 27.0 Острая с кровотечением 27.1 Острая с прободением 27.2 Острая с кровотечением и прободением 27.3 Острая без кровотечения или прободения 27.4 Хроническая или неуточненная с кровотечением 27.5 Хроническая или неуточненная с прободением 27.6 Хроническая или неуточненная с кровотечением и прободением 27.7 Хроническая без кровотечения или прободения 27.9 Не уточненная как острая или хроническая без кровотечения или прободения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10148, 'Гастроеюнальная язва', 'K28', 10126, 'K20-K31', 9, '[см. указанные выше подрубрики] Включены: язва (пептическая) или эрозия: . анастомоза . желудочно-ободочнокишечная . желудочно-тонкокишечная . желудочно-тощекишечная . тощекишечная . краевая . соустья Исключена: первичная язва тонкой кишки (K63.3) 28.0 Острая с кровотечением 28.1 Острая с прободением 28.2 Острая с кровотечением и прободением 28.3 Острая без кровотечения или прободения 28.4 Хроническая или неуточненная с кровотечением 28.5 Хроническая или неуточненная с прободением 28.6 Хроническая или неуточненная с кровотечением и прободением 28.7 Хроническая без кровотечения или прободения 28.9 Не уточненная как острая или хроническая без кровотечения или прободения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10149, 'Гастрит и дуоденит', 'K29', 10126, 'K20-K31', 10, 'Исключены: эозинофильный гастрит или гастроэнтерит (K52.8) синдром Золлингера-Эллисона (E16.8)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10150, 'Острый геморрагический гастрит', 'K29.0', 10149, 'K29', 0, 'Острый (эрозивный) гастрит с кровотечением Исключена: эрозия (острая) желудка (K25.-)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10151, 'Другие острые гастриты', 'K29.1', 10149, 'K29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10152, 'Алкогольный гастрит', 'K29.2', 10149, 'K29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10153, 'Хронический поверхностный гастрит', 'K29.3', 10149, 'K29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10154, 'Хронический атрофический гастрит', 'K29.4', 10149, 'K29', 0, 'Атрофия слизистой оболочки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10155, 'Хронический гастрит неуточненный', 'K29.5', 10149, 'K29', 0, 'Хронический гастрит: . антральный . фундальный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10156, 'Другие гастриты', 'K29.6', 10149, 'K29', 0, 'Гастрит гипертрофический гигантский Гранулематозный гастрит Болезнь Менетрие');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10157, 'Гастрит неуточненный', 'K29.7', 10149, 'K29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10158, 'Дуоденит', 'K29.8', 10149, 'K29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10159, 'Гастродуоденит неуточненный', 'K29.9', 10149, 'K29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10160, 'Диспепсия', 'K30', 10126, 'K20-K31', 0, 'Нарушение пищеварения Исключены: диспепсия: . нервная (F45.3) . невротическая (F45.3) . психогенная (F45.3) изжога (R12)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10161, 'Другие болезни желудка и двенадцатиперстной кишки', 'K31', 10126, 'K20-K31', 9, 'Включены: функциональные расстройства желудка Исключены: дивертикул двенадцатиперстной кишки (K57.0-K57.1) желудочно-кишечное кровотечение (K92.0-K92.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10162, 'Острое расширение желудка', 'K31.0', 10161, 'K31', 0, 'Острое растяжение желудка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10163, 'Гипертрофический пилоростеноз у взрослых', 'K31.1', 10161, 'K31', 0, 'Пилоростеноз БДУ Исключены: врожденный или детский пилоростеноз (Q40.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10164, 'Стриктура в виде песочных часов и стеноз желудка', 'K31.2', 10161, 'K31', 0, 'Исключены: желудок в виде песочных часов врожденный (Q40.2) сужение желудка в виде песочных часов (K31.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10165, 'Пилороспазм, не классифицированный в других рубриках', 'K31.3', 10161, 'K31', 0, 'Исключены: пилороспазм: . врожденный или младенческий (Q40.0) . невротический (F45.3) . психогенный (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10166, 'Дивертикул желудка', 'K31.4', 10161, 'K31', 0, 'Исключен: врожденный дивертикул желудка (Q40.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10167, 'Непроходимость двенадцатиперстной кишки', 'K31.5', 10161, 'K31', 0, 'Сжатие } Стеноз } двенадцатиперстной кишки Сужение } Непроходимость двенадцатиперстной кишки хроническая Исключен: врожденный стеноз двенадцатиперстной кишки (Q41.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10168, 'Свищ желудка и двенадцатиперстной кишки', 'K31.6', 10161, 'K31', 0, 'Желудочно-ободочнокишечный свищ Желудочно-тощекишечно-ободочнокишечный свищ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10169, 'Другие уточненные болезни желудка и двенадцатиперстной кишки', 'K31.8', 10161, 'K31', 0, 'Ахлоргидрия Гастроптоз Сужение желудка в виде песочных часов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10170, 'Болезнь желудка и двенадцатиперстной кишки неуточненная', 'K31.9', 10161, 'K31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10172, 'БОЛЕЗНИ АППЕНДИКСА [ЧЕРВЕОБРАЗНОГО ОТРОСТКА]', 'K35-K38', 10001, 'K00-K93', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10173, 'Острый аппендицит', 'K35', 10172, 'K35-K38', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10174, 'Острый аппендицит с генерализованным перитонитом', 'K35.0', 10173, 'K35', 0, 'Аппендицит (острый) с: . прободением . перитонитом (разлитым) . разрывом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10175, 'Острый аппендицит с перитонеальным абсцессом', 'K35.1', 10173, 'K35', 0, 'Абсцесс червеобразного отростка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10176, 'Острый аппендицит неуточненный', 'K35.9', 10173, 'K35', 0, 'Острый аппендицит без: . прободения . перитонеального абсцесса . перитонита . разрыва');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10177, 'Другие формы аппендицита', 'K36', 10172, 'K35-K38', 0, 'Аппендицит: . хронический . рецидивирующий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10178, 'Аппендицит неуточненный', 'K37', 10172, 'K35-K38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10179, 'Другие болезни аппендикса', 'K38', 10172, 'K35-K38', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10180, 'Гиперплазия аппендикса', 'K38.0', 10179, 'K38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10181, 'Аппендикулярные камни', 'K38.1', 10179, 'K38', 0, 'Каловый камень аппендикса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10182, 'Дивертикул аппендикса', 'K38.2', 10179, 'K38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10183, 'Свищ аппендикса', 'K38.3', 10179, 'K38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10184, 'Другие уточненные болезни аппендикса', 'K38.8', 10179, 'K38', 0, 'Инвагинация аппендикса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10185, 'Болезнь аппендикса неуточненная', 'K38.9', 10179, 'K38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10187, 'ГРЫЖИ', 'K40-K46', 10001, 'K00-K93', 7, 'Примечание. Грыжа с гангреной и непроходимостью классифицируется как грыжа с гангреной.\nВключены: грыжа: . приобретенная . врожденная [кроме диафрагмальной или пищеводного отверстия диафрагмы] . рецидивирующая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10188, 'Паховая грыжа', 'K40', 10187, 'K40-K46', 6, 'Включены: бубоноцеле паховая грыжа: . БДУ . прямая . двусторонняя . непрямая . косая мошоночная грыжа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10189, 'Двусторонняя паховая грыжа с непроходимостью без гангрены', 'K40.0', 10188, 'K40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10190, 'Двусторонняя паховая грыжа с гангреной', 'K40.1', 10188, 'K40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10191, 'Двусторонняя паховая грыжа без непроходимости или гангрены', 'K40.2', 10188, 'K40', 0, 'Двусторонняя паховая грыжа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10192, 'Односторонняя или неуточненная паховая грыжа с непроходимостью без гангрены', 'K40.3', 10188, 'K40', 0, 'Паховая грыжа (односторонняя): . вызывающая непроходимость } . ущемленная } . невправимая } без гангрены . странгуляционная }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10193, 'Односторонняя или неуточненная паховая грыжа с гангреной', 'K40.4', 10188, 'K40', 0, 'Паховая грыжа БДУ с гангреной');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10194, 'Односторонняя или неуточненная паховая грыжа без непроходимости или гангрены', 'K40.9', 10188, 'K40', 0, 'Паховая грыжа (односторонняя) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10195, 'Бедренная грыжа', 'K41', 10187, 'K40-K46', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10196, 'Двусторонняя бедренная грыжа с непроходимостью без гангрены', 'K41.0', 10195, 'K41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10197, 'Двусторонняя бедренная грыжа с гангреной', 'K41.1', 10195, 'K41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10198, 'Двусторонняя бедренная грыжа без непроходимости или гангрены', 'K41.2', 10195, 'K41', 0, 'Двусторонняя бедренная грыжа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10199, 'Односторонняя или неуточненная бедренная грыжа с непроходимостью без гангрены', 'K41.3', 10195, 'K41', 0, 'Бедренная грыжа (односторонняя): . вызывающая непроходимость } . ущемленная } . невправимая } без гангрены . странгуляционная }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10200, 'Односторонняя или неуточненная бедренная грыжа с гангреной', 'K41.4', 10195, 'K41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10201, 'Односторонняя или неуточненная бедренная грыжа без непроходимости или гангрены', 'K41.9', 10195, 'K41', 0, 'Бедренная грыжа (односторонняя) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10202, 'Пупочная грыжа', 'K42', 10187, 'K40-K46', 3, 'Включена: околопупочная грыжа Исключено: омфалоцеле (Q79.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10203, 'Пупочная грыжа с непроходимостью без гангрены', 'K42.0', 10202, 'K42', 0, 'Пупочная грыжа: . вызывающая непроходимость } . ущемленная } . невправимая } без гангрены . странгуляционная }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10204, 'Пупочная грыжа с гангреной', 'K42.1', 10202, 'K42', 0, 'Гангренозная пупочная грыжа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10205, 'Пупочная грыжа без непроходимости или гангрены', 'K42.9', 10202, 'K42', 0, 'Пупочная грыжа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10206, 'Грыжа передней брюшной стенки', 'K43', 10187, 'K40-K46', 3, 'Включены: грыжа: . надчревная . инцизионная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10207, 'Грыжа передней брюшной стенки с непроходимостью без гангрены', 'K43.0', 10206, 'K43', 0, 'Грыжа передней брюшной стенки: . вызывающая непроходимость } . ущемленная } . невправимая } без гангрены . странгуляционная }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10208, 'Грыжа передней брюшной стенки с гангреной', 'K43.1', 10206, 'K43', 0, 'Гангренозная грыжа передней брюшной стенки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10209, 'Грыжа передней брюшной стенки без непроходимости или гангрены', 'K43.9', 10206, 'K43', 0, 'Грыжа передней брюшной стенки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10210, 'Диафрагмальная грыжа', 'K44', 10187, 'K40-K46', 3, 'Включены: грыжа отверстия диафрагмы (пищеводного) (скользящая) околопищеводная грыжа Исключены: врожденная грыжа: . диафрагмальная (Q79.0) . пищеводного отверстия диафрагмы (Q40.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10211, 'Диафрагмальная грыжа с непроходимостью без гангрены', 'K44.0', 10210, 'K44', 0, 'Диафрагмальная грыжа: . вызывающая непроходимость } . ущемленная } . невправимая } без гангрены . странгуляционная }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10212, 'Диафрагмальная грыжа с гангреной', 'K44.1', 10210, 'K44', 0, 'Гангренозная диафрагмальная грыжа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10213, 'Диафрагмальная грыжа без непроходимости или гангрены', 'K44.9', 10210, 'K44', 0, 'Диафрагмальная грыжа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10214, 'Другие грыжи брюшной полости', 'K45', 10187, 'K40-K46', 3, 'Включены: грыжа: . брюшной полости, уточненной локализации НКДР . поясничная . запирательная . женских наружных половых органов . забрюшинная . седалищная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10215, 'Другая уточненная грыжа брюшной полости с непроходимостью без гангрены', 'K45.0', 10214, 'K45', 0, 'Любое состояние, перечисленное в рубрике K45: . вызывающее непроходимость } . ущемления } . невправимости } без гангрены . странгуляции }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10216, 'Другая уточненная грыжа брюшной полости с гангреной', 'K45.1', 10214, 'K45', 0, 'Любое состояние, перечисленное в рубрике K45, уточненное как гангренозное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10217, 'Другая уточненная грыжа брюшной полости без непроходимости или гангрены', 'K45.8', 10214, 'K45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10218, 'Грыжа брюшной полости неуточненная', 'K46', 10187, 'K40-K46', 3, 'Включены: энтероцеле [грыжа кишечника] эпиплоцеле [сальниковая грыжа] грыжа: . БДУ . интерстициальная . кишечная . внутрибрюшная Исключено: влагалищное энтероцеле (N81.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10219, 'Неуточненная грыжа брюшной полости с непроходимостью без гангрены', 'K46.0', 10218, 'K46', 0, 'Любое состояние, перечисленное в рубрике K45: . вызывающее непроходимость } . ущемления } . невправимости } без гангрены . странгуляции }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10220, 'Неуточненная грыжа брюшной полости с гангреной', 'K46.1', 10218, 'K46', 0, 'Любое состояние, перечисленное в рубрике K46, уточненное как гангренозное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10221, 'Неуточненная грыжа брюшной полости без непроходимости или гангрены', 'K46.9', 10218, 'K46', 0, 'Грыжа брюшной полости БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10223, 'НЕИНФЕКЦИОННЫЙ ЭНТЕРИТ И КОЛИТ', 'K50-K52', 10001, 'K00-K93', 3, 'Включены: неинфекционные воспалительные болезни кишечника\nИсключены: синдром раздраженного кишечника (K58.-) мегаколон (K59.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10224, 'Болезнь Крона [регионарный энтерит]', 'K50', 10223, 'K50-K52', 4, 'Включен: гранулематозный энтерит Исключен: язвенный колит (K51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10225, 'Болезнь Крона тонкой кишки', 'K50.0', 10224, 'K50', 0, 'Болезнь Крона [регионарный энтерит]: . двенадцатиперстной кишки . подвздошной кишки . тощей кишки Илеит: . сегментарный . терминальный Исключена: с болезнью Крона толстой кишки (K50.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10226, 'Болезнь Крона толстой кишки', 'K50.1', 10224, 'K50', 0, 'Колит: . гранулематозный . регионарный Болезнь Крона [регионарный энтерит]: . ободочной кишки . толстой кишки . прямой кишки Исключена: с болезнью Крона тонкой кишки (K50.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10227, 'Другие разновидности болезни Крона', 'K50.8', 10224, 'K50', 0, 'Болезнь Крона тонкой и толстой кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10228, 'Болезнь Крона неуточненная', 'K50.9', 10224, 'K50', 0, 'Болезнь Крона БДУ Регионарный энтерит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10229, 'Язвенный колит', 'K51', 10223, 'K50-K52', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10230, 'Язвенный (хронический) энтероколит', 'K51.0', 10229, 'K51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10231, 'Язвенный (хронический) илеоколит', 'K51.1', 10229, 'K51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10232, 'Язвенный (хронический) проктит', 'K51.2', 10229, 'K51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10233, 'Язвенный (хронический) ректосигмоидит', 'K51.3', 10229, 'K51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10234, 'Псевдополипоз ободочной кишки', 'K51.4', 10229, 'K51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10235, 'Мукозный проктоколит', 'K51.5', 10229, 'K51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10236, 'Другие язвенные колиты', 'K51.8', 10229, 'K51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10237, 'Язвенный колит неуточненный', 'K51.9', 10229, 'K51', 0, 'Язвенный энтерит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10238, 'Другие неинфекционные гастроэнтериты и колиты', 'K52', 10223, 'K50-K52', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10239, 'Радиационный гастроэнтерит и колит', 'K52.0', 10238, 'K52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10240, 'Токсический гастроэнтерит и колит', 'K52.1', 10238, 'K52', 0, 'При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10241, 'Аллергический и алиментарный гастроэнтерит и колит', 'K52.2', 10238, 'K52', 0, 'Гиперсенситивный пищевой энтерит и колит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10242, 'Другие уточненные неинфекционные гастроэнтериты и колиты', 'K52.8', 10238, 'K52', 0, 'Эозинофильный гастрит или гастроэнтерит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10243, 'Неинфекционный гастроэнтерит и колит неуточненный', 'K52.9', 10238, 'K52', 0, 'Понос } Энтерит } уточненные как неинфекционные или БДУ Илеит } в странах, где предполагается неинфекциЕюнит } онное происхождение этих состояний Сигмоидит } Исключены: колит, понос, энтерит, гастроэнтерит: . инфекционный (A09) . неуточненный в странах, где условия предполагают инфекционное происхождение этих состояний (A09) функциональная диарея (K59.1) диарея новорожденных (неинфекционная) (P78.3) психогенная диарея (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10245, 'ДРУГИЕ БОЛЕЗНИ КИШЕЧНИКА', 'K55-K63', 10001, 'K00-K93', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10246, 'Сосудистые болезни кишечника', 'K55', 10245, 'K55-K63', 5, 'Исключен: некротизирующий энтероколит плода или новорожденного (P77)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10247, 'Острые сосудистые болезни кишечника', 'K55.0', 10246, 'K55', 0, 'Острый(ая): . молниеносный ишемический колит . инфаркт кишечника . ишемия тонкой кишки Мезентериальная(ый), [артериальная(ый), венозная(ый)]: . эмболия . инфаркт . тромбоз Подострый ишемический колит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10248, 'Хронические сосудистые болезни', 'K55.1', 10246, 'K55', 0, 'Хронический ишемический: . колит . энтерит . энтероколит Ишемическое сужение кишечника Мезентериальный(ая): . атеросклероз . сосудистая недостаточность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10249, 'Ангиодисплазия ободочной кишки', 'K55.2', 10246, 'K55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10250, 'Другие сосудистые болезни кишечника', 'K55.8', 10246, 'K55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10251, 'Сосудистые болезни кишечника неуточненные', 'K55.9', 10246, 'K55', 0, 'Ишемический: . колит } . энтерит } БДУ . энтероколит }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10252, 'Паралитический илеус и непроходимость кишечника без грыжи', 'K56', 10245, 'K55-K63', 8, 'Исключены: врожденное сужение или стеноз кишечника (Q41-Q42) ишемическое сужение кишечника (K55.1) мекониевый илеус (E84.1) непроходимость кишечника у новорожденного, классифицированная в рубрике P76.непроходимость двенадцатиперстной кишки (K31.5) послеоперационная непроходимость кишечника (K91.3) стеноз прямой кишки или заднего прохода (K62.4) с грыжей (K40-K46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10253, 'Паралитический илеус', 'K56.0', 10252, 'K56', 0, 'Паралич: . кишечника . ободочной кишки . тонкой кишки Исключены: илеус, вызванный желчным камнем (K56.3) илеус БДУ (K56.7) обструктивный илеус БДУ (K56.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10254, 'Инвагинация', 'K56.1', 10252, 'K56', 0, 'Внедрение петли кишечника, или инвагинация: . кишечника . ободочной кишки . тонкой кишки . прямой кишки Исключена: инвагинация аппендикса (K38.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10255, 'Заворот кишок', 'K56.2', 10252, 'K56', 0, 'Странгуляция } Перекручивание } ободочной или тонкой кишки Узлообразование }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10256, 'Илеус, вызванный желчным камнем', 'K56.3', 10252, 'K56', 0, 'Закупорка тонкой кишки желчным камнем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10257, 'Другие виды закрытия просвета кишечника', 'K56.4', 10252, 'K56', 0, 'Кишечный камень Закрытие просвета: . ободочной кишки . каловое');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10258, 'Кишечные сращения [спайки] с непроходимостью', 'K56.5', 10252, 'K56', 0, 'Перитонеальные сращения [спайки] с кишечной непроходимостью');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10259, 'Другая и неуточненная кишечная непроходимость', 'K56.6', 10252, 'K56', 0, 'Энтеростеноз Обструктивный илеус БДУ Закупорка } Стеноз } ободочной или тонкой кишки Сужение }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10260, 'Илеус неуточненный', 'K56.7', 10252, 'K56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10261, 'Дивертикулярная болезнь кишечника', 'K57', 10245, 'K55-K63', 8, 'Включены: дивертикулит } дивертикулез } (тонкой) (толстой) кишки дивертикул } Исключены: врожденный дивертикул кишечника (Q43.8) дивертикул аппендикса (K38.2) дивертикул Меккеля (Q43.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10262, 'Дивертикулярная болезнь тонкой кишки с прободением и абсцессом', 'K57.0', 10261, 'K57', 0, 'Дивертикулярная болезнь тонкой кишки с перитонитом Исключена: дивертикулярная болезнь тонкой и толстой кишки с прободением и абсцессом (K57.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10263, 'Дивертикулярная болезнь тонкой кишки без прободения и абсцесса', 'K57.1', 10261, 'K57', 0, 'Дивертикулярная болезнь тонкой кишки БДУ Исключена: дивертикулярная болезнь и тонкой, и толстой кишки без абсцесса (K57.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10264, 'Дивертикулярная болезнь толстой кишки с прободением и абсцессом', 'K57.2', 10261, 'K57', 0, 'Дивертикулярная болезнь ободочной кишки с перитонитом Исключена: дивертикулярная болезнь и тонкой, и толстой кишки с прободением и абсцессом (K57.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10265, 'Дивертикулярная болезнь толстой кишки без прободения и абсцесса', 'K57.3', 10261, 'K57', 0, 'Дивертикулярная болезнь ободочной кишки БДУ Исключена: дивертикулярная болезнь и тонкой, и толстой кишки без прободения или абсцесса (K57.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10266, 'Дивертикулярная болезнь и тонкой, и толстой кишки с прободением и абсцессом', 'K57.4', 10261, 'K57', 0, 'Дивертикулярная болезнь и тонкой, и толстой кишки с перитонитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10267, 'Дивертикулярная болезнь и тонкой, и толстой кишки без прободения или абсцесса', 'K57.5', 10261, 'K57', 0, 'Дивертикулярная болезнь и тонкой, и толстой кишки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10268, 'Дивертикулярная болезнь кишечника, неуточненной части, с прободением и абсцессом', 'K57.8', 10261, 'K57', 0, 'Дивертикулярная болезнь кишечника БДУ с перитонитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10269, 'Дивертикулярная болезнь кишечника, неуточненной части, без прободения и абсцесса', 'K57.9', 10261, 'K57', 0, 'Дивертикулярная болезнь кишечника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10270, 'Синдром раздраженного кишечника', 'K58', 10245, 'K55-K63', 2, 'Включен: синдром раздраженной ободочной кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10271, 'Синдром раздраженного кишечника с диареей', 'K58.0', 10270, 'K58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10272, 'Синдром раздраженного кишечника без диареи', 'K58.9', 10270, 'K58', 0, 'Синдром раздраженного кишечника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10273, 'Другие функциональные кишечные нарушения', 'K59', 10245, 'K55-K63', 7, 'Исключены: изменения состояния кишечника БДУ (R19.4) функциональные расстройства желудка (K31.-) нарушение всасывания в кишечнике (K90.-) психогенные кишечные расстройства (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10274, 'Запор', 'K59.0', 10273, 'K59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10275, 'Функциональная диарея', 'K59.1', 10273, 'K59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10276, 'Неврогенная возбудимость кишечника, не классифицированная в других рубриках', 'K59.2', 10273, 'K59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10277, 'Мегаколон, не классифицированный в других рубриках', 'K59.3', 10273, 'K59', 0, 'Расширение ободочной кишки Токсический мегаколон При необходимости идентифицировать токсичный агент используют дополнительный код внешних причин (класс XX). Исключены: мегаколон (при): . болезни Шагаса (B57.3) . врожденный (аганглионарный) (Q43.1) . болезни Гиршпрунга (Q43.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10278, 'Спазм анального сфинктера', 'K59.4', 10273, 'K59', 0, 'Прокталгия преходящая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10279, 'Другие уточненные функциональные кишечные нарушения', 'K59.8', 10273, 'K59', 0, 'Атония ободочной кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10280, 'Функциональное нарушение кишечника неуточненное', 'K59.9', 10273, 'K59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10281, 'Трещина и свищ области заднего прохода и прямой кишки', 'K60', 10245, 'K55-K63', 6, 'Исключены: с абсцессом или флегмоной (K61.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10282, 'Острая трещина заднего прохода', 'K60.0', 10281, 'K60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10283, 'Хроническая трещина заднего прохода', 'K60.1', 10281, 'K60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10284, 'Трещина заднего прохода неуточненная', 'K60.2', 10281, 'K60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10285, 'Свищ заднего прохода', 'K60.3', 10281, 'K60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10286, 'Прямокишечный свищ', 'K60.4', 10281, 'K60', 0, 'Кожный (полный) свищ прямой кишки Исключены: свищ: . ректовагинальный (N82.3) . мочепузырно-прямокишечный (N32.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10287, 'Аноректальный свищ (свищ между прямой кишкой и задним проходом)', 'K60.5', 10281, 'K60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10288, 'Абсцесс области заднего прохода и прямой кишки', 'K61', 10245, 'K55-K63', 5, 'Включены: абсцесс } области заднего прохода и прямой флегмона } кишки со свищом или без него');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10289, 'Анальный [заднепроходный] абсцесс', 'K61.0', 10288, 'K61', 0, 'Перианальный абсцесс Исключен: интрасфинктерный абсцесс (K61.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10290, 'Ректальный абсцесс', 'K61.1', 10288, 'K61', 0, 'Периректальный абсцесс Исключен: ишиоректальный абсцесс (K61.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10291, 'Аноректальный абсцесс', 'K61.2', 10288, 'K61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10292, 'Ишиоректальный абсцесс', 'K61.3', 10288, 'K61', 0, 'Абсцесс ишиоректальной ямки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10293, 'Интрасфинктерный абсцесс', 'K61.4', 10288, 'K61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10294, 'Другие болезни заднего прохода и прямой кишки', 'K62', 10245, 'K55-K63', 10, 'Включены: анального канала Исключены: дисфункция после колостомии и энтеростомии (K91.4) недержание кала (R15) геморрой (I84.-) язвенный проктит (K51.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10295, 'Полип анального канала', 'K62.0', 10294, 'K62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10296, 'Полип прямой кишки', 'K62.1', 10294, 'K62', 0, 'Исключен: аденоматозный полип (D12.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10297, 'Выпадение заднего прохода', 'K62.2', 10294, 'K62', 0, 'Выпадение анального канала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10298, 'Выпадение прямой кишки', 'K62.3', 10294, 'K62', 0, 'Выпадение слизистой оболочки прямой кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10299, 'Стеноз заднего прохода и прямой кишки', 'K62.4', 10294, 'K62', 0, 'Стриктура заднего прохода (сфинктера)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10300, 'Кровотечение из заднего прохода и прямой кишки', 'K62.5', 10294, 'K62', 0, 'Исключено: кровотечение из прямой кишки у новорожденного (P54.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10301, 'Язва заднего прохода и прямой кишки', 'K62.6', 10294, 'K62', 0, 'Язва: . солитарная . каловая Исключены: трещина и свищ заднего прохода и прямой кишки (K60.-) при язвенном колите (K51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10302, 'Радиационный проктит', 'K62.7', 10294, 'K62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10303, 'Другие уточненные болезни заднего прохода и прямой кишки', 'K62.8', 10294, 'K62', 0, 'Прободение (нетравматическое) прямой кишки Проктит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10304, 'Болезнь заднего прохода и прямой кишки неуточненная', 'K62.9', 10294, 'K62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10305, 'Другие болезни кишечника', 'K63', 10245, 'K55-K63', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10306, 'Абсцесс кишечника', 'K63.0', 10305, 'K63', 0, 'Исключены: абсцесс: . области заднего прохода и прямой кишки (K61.-) . аппендикса (K35.1) с дивертикулярной болезнью (K57.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10307, 'Прободение кишечника (нетравматическое)', 'K63.1', 10305, 'K63', 0, 'Исключены: прободение: . аппендикса (K35.0) . двенадцатиперстной кишки (K26.-) с дивертикулярной болезнью (K57.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10308, 'Кишечный свищ', 'K63.2', 10305, 'K63', 0, 'Исключены: свищ: . области заднего прохода и прямой кишки (K60.-) . аппендикса (K38.3) . двенадцатиперстной кишки (K31.6) . кишечно-генитальный у женщин (N82.2-N82.4) . пузырно-кишечный (N32.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10309, 'Язва кишечника', 'K63.3', 10305, 'K63', 0, 'Первичная язва тонкой кишки Исключены: язва: . области заднего прохода и прямой кишки (K62.6) . двенадцатиперстной кишки (K26.-) . желудочно-кишечная (K28.-) . гастроеюнальная (K28.-) . еюнальная (K28.-) . пептическая неуточненной локализации (K27.-) язвенный колит (K51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10310, 'Энтероптоз', 'K63.4', 10305, 'K63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10311, 'Другие уточненные болезни кишечника', 'K63.8', 10305, 'K63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10312, 'Болезнь кишечника неуточненная', 'K63.9', 10305, 'K63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10314, 'БОЛЕЗНИ БРЮШИНЫ', 'K65-K67', 10001, 'K00-K93', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10315, 'Перитонит', 'K65', 10314, 'K65-K67', 3, 'Исключены: перитонит: . асептический (T81.6) . доброкачественный пароксизмальный (E85.0) . химический (T81.6) . вызванный тальком или другим инородным веществом (T81.6) . неонатальный (P78.0-P78.1) . тазовый у женщин (N73.3-N73.5) . периодический семейный (E85.0) . послеродовой (O85) . возникший после: . аборта, внематочной или молярной беременности (O00-O07, O08.0) . аппендицита (K35.-) . в сочетании с дивертикулярной болезнью кишечника (K57.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10316, 'Острый перитонит', 'K65.0', 10315, 'K65', 0, 'Абсцесс: . брюшно-тазовый . брыжеечный . сальника . брюшины . ретроцекальный . ретроперитонеальный . поддиафрагмальный . подпеченочный Перитонит (острый): . разлитой . тазовый у мужчин . поддиафрагмальный . гнойный При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10317, 'Другие виды перитонита', 'K65.8', 10315, 'K65', 0, 'Хронический пролиферативный перитонит Брыжеечный(ая): . жировой некроз . сапонификация [омыление] Перитонит, вызванный: . желчью . мочой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10318, 'Перитонит неуточненный', 'K65.9', 10315, 'K65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10319, 'Другие поражения брюшины', 'K66', 10314, 'K65-K67', 4, 'Исключен: асцит (R18)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10320, 'Брюшинные спайки', 'K66.0', 10319, 'K66', 0, 'Спайки: . абдоминальные (стенки) . диафрагмы . кишечника . тазовые у мужчин . брыжейки . сальника . желудка Спаечные тяжи Исключены: спайки [сращения]: . тазовые у женщин (N73.6) . с непроходимостью кишечника (K56.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10321, 'Гемоперитонеум', 'K66.1', 10319, 'K66', 0, 'Исключен: травматический гемоперитонеум (S36.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10322, 'Другие уточненные поражения брюшины', 'K66.8', 10319, 'K66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10323, 'Поражение брюшины неуточненное', 'K66.9', 10319, 'K66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10324, 'Поражения брюшины при инфекционных болезнях, классифицированных в других рубриках', 'K67*', 10314, 'K65-K67', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10325, 'Хламидийный перитонит (A74.8*)', 'K67.0*', 10324, 'K67*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10326, 'Гонококковый перитонит (A54.8+)', 'K67.1*', 10324, 'K67*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10327, 'Сифилитический перитонит (A52.7+)', 'K67.2*', 10324, 'K67*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10328, 'Туберкулезный перитонит (A18.3+)', 'K67.3*', 10324, 'K67*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10329, 'Другие поражения брюшины при инфекционных болезнях, классифицированных в других рубриках', 'K67.8*', 10324, 'K67*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10331, 'БОЛЕЗНИ ПЕЧЕНИ', 'K70-K77', 10001, 'K00-K93', 8, 'Исключены: гемохроматоз (E83.1) желтуха БДУ (R17) синдром Рейе (G93.7) вирусный гепатит (B15-B19) болезнь Вильсона (E83.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10332, 'Алкогольная болезнь печени', 'K70', 10331, 'K70-K77', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10333, 'Алкогольная жировая дистрофия печени [жирная печень]', 'K70.0', 10332, 'K70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10334, 'Алкогольный гепатит', 'K70.1', 10332, 'K70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10335, 'Алкогольный фиброз и склероз печени', 'K70.2', 10332, 'K70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10336, 'Алкогольный цирроз печени', 'K70.3', 10332, 'K70', 0, 'Алкогольный цирроз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10337, 'Алкогольная печеночная недостаточность', 'K70.4', 10332, 'K70', 0, 'Алкогольная печеночная недостаточность: . БДУ . острая . хроническая . подострая . с печеночной комой или без нее');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10338, 'Алкогольная болезнь печени неуточненная', 'K70.9', 10332, 'K70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10339, 'Токсическое поражение печени', 'K71', 10331, 'K70-K77', 10, 'Включены: лекарственная: . идиосинкразическая (непредсказуемая) болезнь печени . токсическая (предсказуемая) болезнь печени При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс XX). Исключены: алкогольная болезнь печени (K70.-) синдром Бадда-Киари (I82.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10340, 'Токсическое поражение печени с холестазом', 'K71.0', 10339, 'K71', 0, 'Холестаз с поражением гепатоцитов "Чистый" холестаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10341, 'Токсическое поражение печени с печеночным некрозом', 'K71.1', 10339, 'K71', 0, 'Печеночная недостаточность (острая) (хроническая), обусловленная лекарственными средствами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10342, 'Токсическое поражение печени, протекающее по типу острого гепатита', 'K71.2', 10339, 'K71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10343, 'Токсическое поражение печени, протекающее по типу хронического персистирующего гепатита', 'K71.3', 10339, 'K71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10344, 'Токсическое поражение печени, протекающее по типу хронического лобулярного гепатита', 'K71.4', 10339, 'K71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10345, 'Токсическое поражение печени, протекающее по типу хронического активного гепатита', 'K71.5', 10339, 'K71', 0, 'Токсическое поражение печени, протекающее по типу люпоидного гепатита');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10346, 'Токсическое поражение печени с картиной гепатита, не классифицированное в других рубриках', 'K71.6', 10339, 'K71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10347, 'Токсическое поражение печени с фиброзом и циррозом печени', 'K71.7', 10339, 'K71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10348, 'Токсические поражение печени с картиной других нарушений печени', 'K71.8', 10339, 'K71', 0, 'Токсические поражение печени с: . очаговой узелковой гиперплазией . печеночными гранулемами . пелиоз печени . веноокклюзионной болезнью печени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10349, 'Токсическое поражение печени неуточненное', 'K71.9', 10339, 'K71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10350, 'Печеночная недостаточность, не классифицированная в других рубриках', 'K72', 10331, 'K70-K77', 3, 'Включены: печеночная: . кома БДУ . энцефалопатия БДУ гепатит: . острый } не классифицированный в других . фульминантный } рубриках, с печеночной . злокачественный } недостаточностью некроз печени (клеток) с печеночной недостаточностью желтая атрофия или дистрофия печени Исключены: алкогольная печеночная недостаточность (K70.4) печеночная недостаточность, осложняющая: . аборт, внематочную или молярную беременность (O00-O07, O08.8) . беременность, роды и послеродовой период (O26.6) желтуха плода и новорожденного (P55-P59) вирусный гепатит (B15-B19) в сочетании с токсическим поражением печени (K71.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10351, 'Острая и подострая печеночная недостаточность', 'K72.0', 10350, 'K72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10352, 'Хроническая печеночная недостаточность', 'K72.1', 10350, 'K72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10353, 'Печеночная недостаточность неуточненная', 'K72.9', 10350, 'K72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10354, 'Хронический гепатит, не классифицированный в других рубриках', 'K73', 10331, 'K70-K77', 5, 'Исключены: гепатит (хронический): . алкогольный (K70.1) . лекарственный (K71.-) . гранулематозный НКДР (K75.3) . реактивный неспецифический (K75.2) . вирусный (B15-B19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10355, 'Хронический персистирующий гепатит, не классифицированный в других рубриках', 'K73.0', 10354, 'K73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10356, 'Хронический лобулярный гепатит, не классифицированный в других рубриках', 'K73.1', 10354, 'K73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10357, 'Хронический активный гепатит, не классифицированный в других рубриках', 'K73.2', 10354, 'K73', 0, 'Люпоидный гепатит НКДР');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10358, 'Другие хронические гепатиты, не классифицированные в других рубриках', 'K73.8', 10354, 'K73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10359, 'Хронический гепатит неуточненный', 'K73.9', 10354, 'K73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10360, 'Фиброз и цирроз печени', 'K74', 10331, 'K70-K77', 7, 'Исключены: алкогольный фиброз печени (K70.2) кардиальный склероз печени (K76.1) цирроз (печени): . алкогольный (K70.3) . врожденный (P78.3) . с токсическим поражением печени (K71.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10361, 'Фиброз печени', 'K74.0', 10360, 'K74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10362, 'Склероз печени', 'K74.1', 10360, 'K74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10363, 'Фиброз печени в сочетании со склерозом печени', 'K74.2', 10360, 'K74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10364, 'Первичный билиарный цирроз', 'K74.3', 10360, 'K74', 0, 'Хронический негнойный деструктивный холангит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10365, 'Вторичный билиарный цирроз', 'K74.4', 10360, 'K74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10366, 'Билиарный цирроз неуточненный', 'K74.5', 10360, 'K74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10367, 'Другой и неуточненный цирроз печени', 'K74.6', 10360, 'K74', 0, 'Цирроз (печени): . БДУ . криптогенный . крупноузловой [макронодулярный] . мелкоузловой [микронодулярный] . смешанного типа . портальный . постнекротический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10368, 'Другие воспалительные болезни печени', 'K75', 10331, 'K70-K77', 6, 'Исключен: хронический гепатит, не классифицированный в других рубриках (K73.-) гепатит: . острый или подострый (K72.0) . вирусный (B15-B19) токсическое поражение печени (K71.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10369, 'Абсцесс печени', 'K75.0', 10368, 'K75', 0, 'Печеночный абсцесс: . БДУ . холангитический . гематогенный . лимфогенный . пилефлебитический Исключены: амебный абсцесс печени (A06.4) холангит без абсцесса печени (K83.0) пилефлебит без абсцесса печени (K75.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10370, 'Флебит воротной вены', 'K75.1', 10368, 'K75', 0, 'Пилефлебит Исключен: пилефлебитический абсцесс печени (K75.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10371, 'Неспецифический реактивный гепатит', 'K75.2', 10368, 'K75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10372, 'Гранулематозный гепатит, не классифицированный в других рубриках', 'K75.3', 10368, 'K75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10373, 'Другие уточненные воспалительные болезни печени', 'K75.8', 10368, 'K75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10374, 'Воспалительная болезнь печени неуточненная', 'K75.9', 10368, 'K75', 0, 'Гепатит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10375, 'Другие болезни печени', 'K76', 10331, 'K70-K77', 10, 'Исключены: алкогольная болезнь печени (K70.-) амилоидная дегенерация печени (E85.-) кистозная болезнь печени (врожденная) (Q44.6) тромбоз печеночной вены (I82.0) гепатомегалия БДУ (R16.0) тромбоз воротной вены (I81) токсическое поражение печени (K71.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10376, 'Жировая дегенерация печени, не классифицированная в других рубриках', 'K76.0', 10375, 'K76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10377, 'Хроническое пассивное полнокровие печени', 'K76.1', 10375, 'K76', 0, 'Кардиальный: . цирроз (так называемый) } . склероз } печени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10378, 'Центрилобулярный геморрагический некроз печени', 'K76.2', 10375, 'K76', 0, 'Исключен: некроз печени с печеночной недостаточностью (K72.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10379, 'Инфаркт печени', 'K76.3', 10375, 'K76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10380, 'Пелиоз печени', 'K76.4', 10375, 'K76', 0, 'Печеночный ангиоматоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10381, 'Веноокклюзионная болезнь печени', 'K76.5', 10375, 'K76', 0, 'Исключен: синдром Бадда-Киари (I82.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10382, 'Портальная гипертензия', 'K76.6', 10375, 'K76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10383, 'Гепаторенальный синдром', 'K76.7', 10375, 'K76', 0, 'Исключен: сопровождающий роды (O90.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10384, 'Другие уточненные болезни печени', 'K76.8', 10375, 'K76', 0, 'Очаговая узелковая гиперплазия печени Гепатоптоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10385, 'Болезнь печени неуточненная', 'K76.9', 10375, 'K76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10386, 'Поражения печени при болезнях, классифицированных в других рубриках', 'K77*', 10331, 'K70-K77', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10387, 'Поражения печени при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'K77.0*', 10386, 'K77*', 0, 'Гепатит (при): . цитомегаловирусный (B25.1+) . вызванный вирусом простого герпеса [herpes simplex] (B00.8+) . токсоплазмозе (B58.1+) Печеночно-селезеночный шистосомоз (B65.-+) Портальная гипертензия при шистосомозе (B65.-+) Поражение печени при сифилисе (A52.7+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10388, 'Поражение печени при других болезнях, классифицированных в других рубриках', 'K77.8*', 10386, 'K77*', 0, 'Гранулемы печени при: . бериллиозе (J63.2+) . саркоидозе (D86.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10390, 'БОЛЕЗНИ ЖЕЛЧНОГО ПУЗЫРЯ, ЖЕЛЧЕВЫВОДЯЩИХ ПУТЕЙ И ПОДЖЕЛУДОЧНОЙ ЖЕЛЕЗЫ', 'K80-K87', 10001, 'K00-K93', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10391, 'Желчекаменная болезнь [холелитиаз]', 'K80', 10390, 'K80-K87', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10392, 'Камни желчного пузыря с острым холециститом', 'K80.0', 10391, 'K80', 0, 'Любое состояние, перечисленное в подрубрике K80.2, с острым холециститом');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10393, 'Камни желчного пузыря с другим холециститом', 'K80.1', 10391, 'K80', 0, 'Любое состояние, перечисленное в подрубрике K80.2, с холециститом (хроническим) Холецистит с холелитиазом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10394, 'Камни желчного пузыря без холецистита', 'K80.2', 10391, 'K80', 0, 'Холецистолитиаз } Холелитиаз } Колика (рецидивирующая) желчного } пузыря } неуточненные или Желчный камень (ущемленный): } без холецистита . пузырного протока } . желчного пузыря }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10395, 'Камни желчного протока с холангитом', 'K80.3', 10391, 'K80', 0, 'Любое состояние, перечисленное в подрубрике K80.5, с холангитом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10396, 'Камни желчного протока с холециститом', 'K80.4', 10391, 'K80', 0, 'Любое состояние, перечисленное в подрубрике K80.5, с холециститом (с холангитом)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10397, 'Камни желчного протока без холангита или холецистита', 'K80.5', 10391, 'K80', 0, 'Холедохолитиаз } Желчный камень (ущемленный): } . желчного протока БДУ } . общего протока } уточненные либо без . печеночного протока } холангита или Печеночный(ая): } холецистита . холелитиаз } . колика (рецидивирующая) }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10398, 'Другие формы холелитиаза', 'K80.8', 10391, 'K80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10399, 'Холецистит', 'K81', 10390, 'K80-K87', 4, 'Исключен: с холелитиазом (K80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10400, 'Острый холецистит', 'K81.0', 10399, 'K81', 0, 'Абсцесс желчного пузыря } Ангиохолецистит } Холецистит: } . эмфизематозный (острый) } . гангренозный } без камней . гнойный } Эмпиема желчного пузыря } Гангрена желчного пузыря }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10401, 'Хронический холецистит', 'K81.1', 10399, 'K81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10402, 'Другие формы холецистита', 'K81.8', 10399, 'K81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10403, 'Холецистит неуточненный', 'K81.9', 10399, 'K81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10404, 'Другие болезни желчного пузыря', 'K82', 10390, 'K80-K87', 7, 'Исключены: отсутствие контрастности желчного пузыря при рентгенологическом исследовании (R93.2) постхолецистэктомический синдром (K91.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10405, 'Закупорка желчного пузыря', 'K82.0', 10404, 'K82', 0, 'Окклюзия } Стеноз } пузырного протока или желчного пузыря Сужение } без камней Исключен: с желчнокаменной болезнью (K80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10406, 'Водянка желчного пузыря', 'K82.1', 10404, 'K82', 0, 'Мукоцеле желчного пузыря');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10407, 'Прободение желчного пузыря', 'K82.2', 10404, 'K82', 0, 'Разрыв пузырного протока или желчного пузыря');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10408, 'Свищ желчного пузыря', 'K82.3', 10404, 'K82', 0, 'Пузырно-толстокишечный } Холецистодуоденальный } свищ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10409, 'Холестероз желчного пузыря', 'K82.4', 10404, 'K82', 0, 'Слизистая оболочка желчного пузыря, напоминающая малину ["малиновый" желчный пузырь]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10410, 'Другие уточненные болезни желчного пузыря', 'K82.8', 10404, 'K82', 0, 'Спайки } Атрофия } Киста } Дискинезия } пузырного протока или Гипертрофия } желчного пузыря Отсутствие функции } Язва }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10411, 'Болезнь желчного пузыря неуточненная', 'K82.9', 10404, 'K82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10412, 'Другие болезни желчевыводящих путей', 'K83', 10390, 'K80-K87', 8, 'Исключены: перечисленные состояния, относящиеся к: . желчному пузырю (K81-K82) . пузырному протоку (K81-K82) постхолецистэктомический синдром (K91.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10413, 'Холангит', 'K83.0', 10412, 'K83', 0, 'Холангит: . БДУ . восходящий . первичный . рецидивирующий . склерозирующий . вторичный . стенозирующий . гнойный Исключены: холангитический абсцесс печени (K75.0) холангит с холедохолитиазом (K80.3-K80.4) хронический негнойный деструктивный холангит (K74.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10414, 'Закупорка желчного протока', 'K83.1', 10412, 'K83', 0, 'Окклюзия } Стеноз } желчного протока без камней Сужение } Исключен: с холелитиазом (K80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10415, 'Прободение желчного протока', 'K83.2', 10412, 'K83', 0, 'Разрыв желчного протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10416, 'Свищ желчного протока', 'K83.3', 10412, 'K83', 0, 'Холедоходуоденальный свищ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10417, 'Спазм сфинктера Одди', 'K83.4', 10412, 'K83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10418, 'Желчная киста', 'K83.5', 10412, 'K83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10419, 'Другие уточненные болезни желчевыводящих путей', 'K83.8', 10412, 'K83', 0, 'Спайки } Атрофия } Гипертрофия } желчного протока Язва }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10420, 'Болезнь желчевыводящих путей неуточненная', 'K83.9', 10412, 'K83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10421, 'Острый панкреатит', 'K85', 10390, 'K80-K87', 0, 'Абсцесс поджелудочной железы Некроз поджелудочной железы: . острый . инфекционный Панкреатит: . БДУ . острый (рецидивирующий) . геморрагический . подострый . гнойный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10422, 'Другие болезни поджелудочной железы', 'K86', 10390, 'K80-K87', 6, 'Исключены: кистофиброз поджелудочной железы (E84.-) опухоль из островковых клеток поджелудочной железы (D13.7) панкреатическая стеаторея (K90.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10423, 'Хронический панкреатит алкогольной этиологии', 'K86.0', 10422, 'K86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10424, 'Другие хронические панкреатиты', 'K86.1', 10422, 'K86', 0, 'Хронический панкреатит: . БДУ . инфекционный . повторяющийся . рецидивирующий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10425, 'Киста поджелудочной железы', 'K86.2', 10422, 'K86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10426, 'Ложная киста поджелудочной железы', 'K86.3', 10422, 'K86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10427, 'Другие уточненные болезни поджелудочной железы', 'K86.8', 10422, 'K86', 0, 'Атрофия } Камни } Цирроз } поджелудочной железы Фиброз } Поджелудочной железы: . недоразвитие . некроз: . БДУ . асептический . жировой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10428, 'Болезнь поджелудочной железы неуточненная', 'K86.9', 10422, 'K86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10429, 'Поражения желчного пузыря, желчевыводящих путей и поджелудочной железы при болезнях, классифицированных в других рубриках', 'K87*', 10390, 'K80-K87', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10430, 'Поражение желчного пузыря и желчевыводящих путей при болезнях, классифицированных в других рубриках', 'K87.0*', 10429, 'K87*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10431, 'Поражение поджелудочной железы при болезнях, классифицированных в других рубриках', 'K87.1*', 10429, 'K87*', 0, 'Цитомегаловирусный панкреатит (B25.2+) Панкреатит при эпидемическом паротите (B26.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10433, 'ДРУГИЕ БОЛЕЗНИ ОРГАНОВ ПИЩЕВАРЕНИЯ', 'K90-K93', 10001, 'K00-K93', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10434, 'Нарушения всасывания в кишечнике', 'K90', 10433, 'K90-K93', 7, 'Исключены: являющиеся последствием хирургического вмешательства на желудочно-кишечном тракте (K91.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10435, 'Целиакия', 'K90.0', 10434, 'K90', 0, 'Глютенчувствительная энтеропатия Идиопатическая стеаторея Нетропическая спру');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10436, 'Тропическая спру', 'K90.1', 10434, 'K90', 0, 'Спру БДУ Тропическая стеаторея');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10437, 'Синдром слепой петли, не классифицированный в других рубриках', 'K90.2', 10434, 'K90', 0, 'Синдром слепой петли БДУ Исключены: синдром слепой петли: . врожденный (Q43.8) . после хирургического вмешательства (K91.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10438, 'Панкреатическая стеаторея', 'K90.3', 10434, 'K90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10439, 'Нарушения всасывания, обусловленные непереносимостью, не классифицированные в других рубриках', 'K90.4', 10434, 'K90', 0, 'Нарушения всасывания, обусловленные непереносимостью: . углеводов . жира . белка . крахмала Исключены: глютенчувствительная энтеропатия (K90.0) непереносимость лактозы (E73.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10440, 'Другие нарушения всасывания в кишечнике', 'K90.8', 10434, 'K90', 0, 'Болезнь Уипла+ (M14.8*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10441, 'Нарушение всасывания в кишечнике неуточненное', 'K90.9', 10434, 'K90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10442, 'Нарушения органов пищеварения после медицинских процедур, не классифицированные в других рубриках', 'K91', 10433, 'K90-K93', 8, 'Исключены: гастроеюнальная язва (K28.-) радиационный: . колит (K52.0) . гастроэнтерит (K52.0) . проктит (K62.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10443, 'Рвота после хирургического вмешательства на желудочно-кишечном тракте', 'K91.0', 10442, 'K91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10444, 'Синдромы оперированного желудка', 'K91.1', 10442, 'K91', 0, 'Синдром: . демпинг . постгастроэктопический . постваготомическая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10445, 'Нарушение всасывания после хирургического вмешательства, не классифицированное в других рубриках', 'K91.2', 10442, 'K91', 0, 'Синдром слепой петли после хирургического вмешательства Исключено: нарушение всасывания: . остеомаляция у взрослых (M83.2) . остеопороз после хирургических вмешательств (M81.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10446, 'Послеоперационная кишечная непроходимость', 'K91.3', 10442, 'K91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10447, 'Дисфункция после колостомии и энтеростомии', 'K91.4', 10442, 'K91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10448, 'Постхолецистэктомический синдром', 'K91.5', 10442, 'K91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10449, 'Другие нарушения органов пищеварения после медицинских процедур, не классифицированные в других рубриках', 'K91.8', 10442, 'K91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10450, 'Нарушение органов пищеварения после медицинских процедур неуточненное', 'K91.9', 10442, 'K91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10451, 'Другие болезни органов пищеварения', 'K92', 10433, 'K90-K93', 5, 'Исключено: желудочно-кишечное кровотечение у новорожденного (P54.0-P54.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10452, 'Кровавая рвота', 'K92.0', 10451, 'K92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10453, 'Мелена', 'K92.1', 10451, 'K92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10454, 'Желудочно-кишечное кровотечение неуточненное', 'K92.2', 10451, 'K92', 0, 'Кровотечение: . желудочное БДУ . кишечное БДУ Исключены: острый геморрагический гастрит (K29.0) кровотечения из заднего прохода и прямой кишки (K62.5) с пептической язвой (K25-K28)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10455, 'Другие уточненные болезни органов пищеварения', 'K92.8', 10451, 'K92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10456, 'Болезнь органов пищеварения неуточненная', 'K92.9', 10451, 'K92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10457, 'Поражения других органов пищеварения при болезнях,классифицированных в других рубриках', 'K93*', 10433, 'K90-K93', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10458, 'Туберкулезное поражение кишечника, брюшины и лимфатических узлов брыжейки (A18.3+)', 'K93.0*', 10457, 'K93*', 0, 'Исключен: туберкулезный перитонит (K67.3*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10459, 'Мегаколон при болезни Шагаса (B57.3+)', 'K93.1*', 10457, 'K93*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(10460, 'Поражение других уточненных органов пищеварения при болезнях, классифицированных в других рубриках', 'K93.8*', 10457, 'K93*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11001, 'БОЛЕЗНИ КОЖИ И ПОДКОЖНОЙ КЛЕТЧАТКИ', 'L00-L99', NULL, NULL, 8, 'Исключено: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) липомеланотический ретикулез (I89.8) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99) системные нарушения соединительной ткани (M30-M36)\nЭтот класс содержит следующие блоки:\nL00-L04 Инфекции кожи и подкожной клетчатки\nL10-L14 Буллезные нарушения\nL20-L30 Дерматит и экзема\nL40-L45 Папулосквамозные нарушения\nL50-L54 Крапивница и эритема\nL55-L59 Болезни кожи и подкожной клетчатки, связанные с излучением\nL60-L75 Болезни придатков кожи\nL80-L99 Другие болезни кожи и подкожной клетчатки\nЗвездочкой отмечены следующие категории:\nL14* Буллезные нарушения кожи при болезнях, классифицированных в других рубриках\nL45* Папулосквамозные нарушения при болезнях, классифицированных в других рубриках\nL54* Эритема при болезнях, классифицированных в других рубриках\nL62* Изменения ногтей при болезнях, классифицированных в других рубриках\nL86* Кератодермии при болезнях, классифицированных в других рубриках\nL99* Другие нарушения кожи и подкожной клетчатки при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11002, 'ИНФЕКЦИИ КОЖИ И ПОДКОЖНОЙ КЛЕТЧАТКИ', 'L00-L08', 11001, 'L00-L99', 7, 'При необходимости идентифицировать инфекционный агент используют\nдополнительный код (B95-B97).\nИсключены: гордеолум (H00.0) инфекционный дерматит (L30.3) местные инфекции кожи, классифицированные в классе I, такие как: . рожа (A46) . эризипелоид (A26.-) . герпетическая вирусная инфекция [herpes simplex] (B00.-) . аногенитальная (A60.-) . контагиозный моллюск (B08.1) . микозы (B35-B49) . педикулез, акариаз и другие инфестации (B85-B89) . вирусные бородавки (B07) панникулит: . БДУ (M79.3) . волчаночный (L93.2) . шеи и спины (M54.0) . рецидивирующий [Вебера-Крисчена] (M35.6) трещина спайки губ [заеда] (вследствие): . БДУ (K13.0) . кандидоза (B37.-) . недостаточности рибофлавина (E53.0) пиогенная гранулема (L98.0) опоясывающий лишай [zoster] (B02.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11003, 'Синдром стафилококкового поражения кожи в виде ожогоподобных пузырей', 'L00', 11002, 'L00-L08', 0, 'Пузырчатка новорожденного Болезнь Риттера Исключен: токсический эпидермальный некролиз [Лайелла] (L51.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11004, 'Импетиго', 'L01', 11002, 'L00-L08', 2, 'Исключены: импетиго герпетиформное (L40.1) пузырчатка новорожденного (L00)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11005, 'Импетиго [вызванное любым организмом] [любой локализации]', 'L01.0', 11004, 'L01', 0, 'Импетиго Бокхарта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11006, 'Импетигинизация других дерматозов', 'L01.1', 11004, 'L01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11007, 'Абсцесс кожи, фурункул и карбункул', 'L02', 11002, 'L00-L08', 7, 'Включены: фурункул фурункулез Исключены: области заднего прохода и прямой кишки (K61.-) половых органов (наружных): . женских (N76.4) . мужских (N48.2, N49.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11008, 'Абсцесс кожи, фурункул и карбункул лица', 'L02.0', 11007, 'L02', 0, 'Исключены: уха наружного (H60.0) века (H00.0) головы [любой части, кроме лица] (L02.8) слезных: . желез (H04.0) . путей (H04.3) рта (K12.2) носа (J34.0) глазницы (H05.0) подчелюстной (K12.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11009, 'Абсцесс кожи, фурункул и карбункул шеи', 'L02.1', 11007, 'L02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11010, 'Абсцесс кожи, фурункул и карбункул туловища', 'L02.2', 11007, 'L02', 0, 'Брюшной стенки Спины [любой части, кроме ягодичной] Грудной стенки Паховой области Промежности Пупка Исключены: молочной железы (N61) тазового пояса (L02.4) омфалит новорожденного (P38)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11011, 'Абсцесс кожи, фурункул и карбункул ягодицы', 'L02.3', 11007, 'L02', 0, 'Ягодичной области Исключена: пилонидальная киста с абсцессом (L05.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11012, 'Абсцесс кожи, фурункул и карбункул конечности', 'L02.4', 11007, 'L02', 0, 'Подмышечной впадины Тазового пояса Плеча');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11013, 'Абсцесс кожи, фурункул и карбункул других локализаций', 'L02.8', 11007, 'L02', 0, 'Головы [любой части, кроме лица] Волосистой части головы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11014, 'Абсцесс кожи, фурункул и карбункул неуточненной локализации', 'L02.9', 11007, 'L02', 0, 'Фурункулез БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11015, 'Флегмона', 'L03', 11002, 'L00-L08', 6, 'Включен: острый лимфангит Исключены: флегмона: . области заднего прохода и прямой кишки (K61.-) . наружного слухового прохода (H60.1) . наружных половых органов: . женских (N76.4) . мужских (N48.2, N49.-) . века (H00.0) . слезного аппарата (H04.3) . рта (K12.2) . носа (J34.0) эозинофильный целлюлит [Велса] (L98.3) фебрильный (острый) нейтрофильный дерматоз [Свита] (L98.2) лимфангит (хронический) (подострый) (I89.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11016, 'Флегмона пальцев кисти и стопы', 'L03.0', 11015, 'L03', 0, 'Инфекция ногтя Онихия Паронихия Перионихия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11017, 'Флегмона других отделов конечностей', 'L03.1', 11015, 'L03', 0, 'Подмышечной впадины Тазового пояса Плеча');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11018, 'Флегмона лица', 'L03.2', 11015, 'L03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11019, 'Флегмона туловища', 'L03.3', 11015, 'L03', 0, 'Стенки живота Спины [любой части] Грудной стенки Паха Промежности Пупка Исключен: омфалит новорожденного (P38)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11020, 'Флегмона других локализаций', 'L03.8', 11015, 'L03', 0, 'Головы [любой части, кроме лица] Волосистой части головы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11021, 'Флегмона неуточненная', 'L03.9', 11015, 'L03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11022, 'Острый лимфаденит', 'L04', 11002, 'L00-L08', 6, 'Включены: абсцесс (острый) } любого лимфатического узла, лимфаденит острый } кроме брыжеечного Исключены: увеличение лимфатических узлов (R59.-) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ], проявляющаяся в виде генерализованной лимфаденопатии (B23.1) лимфаденит: . БДУ (I88.9) . хронический или подострый, кроме брыжеечного (I88.1) . брыжеечный неспецифический (I88.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11023, 'Острый лимфаденит лица, головы и шеи', 'L04.0', 11022, 'L04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11024, 'Острый лимфаденит туловища', 'L04.1', 11022, 'L04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11025, 'Острый лимфаденит верхней конечности', 'L04.2', 11022, 'L04', 0, 'Подмышечной впадины Плеча');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11026, 'Острый лимфаденит нижней конечности', 'L04.3', 11022, 'L04', 0, 'Тазового пояса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11027, 'Острый лимфаденит других локализаций', 'L04.8', 11022, 'L04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11028, 'Острый лимфаденит неуточненный', 'L04.9', 11022, 'L04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11029, 'Пилонидальная киста', 'L05', 11002, 'L00-L08', 2, 'Включены: свищ } копчиковый(ая) или пазуха } пилонидальный(ая)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11030, 'Пилонидальная киста с абсцессом', 'L05.0', 11029, 'L05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11031, 'Пилонидальная киста без абсцессов', 'L05.9', 11029, 'L05', 0, 'Пилонидальная киста БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11032, 'Другие местные инфекции кожи и подкожной клетчатки', 'L08', 11002, 'L00-L08', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11033, 'Пиодермия', 'L08.0', 11032, 'L08', 0, 'Дерматит: . гнойный . септический . гноеродный Исключена: пиодермия гангренозная (L88)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11034, 'Эритразма', 'L08.1', 11032, 'L08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11035, 'Другие уточненные местные инфекции кожи и подкожной клетчатки', 'L08.8', 11032, 'L08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11036, 'Местная инфекция кожи и подкожной клетчатки неуточненная', 'L08.9', 11032, 'L08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11038, 'БУЛЛЕЗНЫЕ НАРУШЕНИЯ', 'L10-L14', 11001, 'L00-L99', 5, 'Исключены: доброкачественный (хронический) семейный пемфигус [болезнь Хейли-Хейли] (Q82.8) синдром стафилококкового поражения кожи в виде ожогоподобных пузырей (L00) токсический эпидермальный некролиз [синдром Лайелла] (L51.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11039, 'Пузырчатка [пемфигус]', 'L10', 11038, 'L10-L14', 8, 'Исключена: пузырчатка новорожденного (L00)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11040, 'Пузырчатка обыкновенная', 'L10.0', 11039, 'L10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11041, 'Пузырчатка вегетирующая', 'L10.1', 11039, 'L10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11042, 'Пузырчатка листовидная', 'L10.2', 11039, 'L10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11043, 'Пузырчатка бразильская', 'L10.3', 11039, 'L10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11044, 'Пузырчатка эритематозная', 'L10.4', 11039, 'L10', 0, 'Синдром Сенира-Ашера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11045, 'Пузырчатка, вызванная лекарственными средствами', 'L10.5', 11039, 'L10', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11046, 'Другие виды пузырчатки', 'L10.8', 11039, 'L10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11047, 'Пузырчатка неуточненная', 'L10.9', 11039, 'L10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11048, 'Другие акантолитические нарушения', 'L11', 11038, 'L10-L14', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11049, 'Приобретенный кератоз фолликулярный', 'L11.0', 11048, 'L11', 0, 'Исключен: кератоз фолликулярный (врожденный) [Дарье-Уайта] (Q82.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11050, 'Преходящий акантолитический дерматоз [Гровера]', 'L11.1', 11048, 'L11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11051, 'Другие уточненные акантолитические изменения', 'L11.8', 11048, 'L11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11052, 'Акантолитические изменения неуточненные', 'L11.9', 11048, 'L11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11053, 'Пемфигоид', 'L12', 11038, 'L10-L14', 6, 'Исключены: герпес беременных (O26.4) герпетиформное импетиго (L40.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11054, 'Буллезный пемфигоид', 'L12.0', 11053, 'L12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11055, 'Рубцующий пемфигоид', 'L12.1', 11053, 'L12', 0, 'Доброкачественный пемфигоид слизистых оболочек [Левера]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11056, 'Хроническая буллезная болезнь у детей', 'L12.2', 11053, 'L12', 0, 'Юношеский герпетиформный дерматит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11057, 'Приобретенный буллезный эпидермолиз', 'L12.3', 11053, 'L12', 0, 'Исключен: буллезный эпидермолиз (врожденный) (Q81.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11058, 'Другой пемфигиод', 'L12.8', 11053, 'L12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11059, 'Пемфигоид неуточненный', 'L12.9', 11053, 'L12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11060, 'Другие буллезные изменения', 'L13', 11038, 'L10-L14', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11061, 'Дерматит герпетиформный', 'L13.0', 11060, 'L13', 0, 'Болезнь Дюринга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11062, 'Субкорнеальный пустулезный дерматит', 'L13.1', 11060, 'L13', 0, 'Болезнь Снеддона-Уилкинсона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11063, 'Другие уточненные буллезные изменения', 'L13.8', 11060, 'L13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11064, 'Буллезные изменения неуточненные', 'L13.9', 11060, 'L13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11065, 'Буллезные нарушения кожи при болезнях, классифицированных в других рубриках', 'L14*', 11038, 'L10-L14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11067, 'ДЕРМАТИТ И ЭКЗЕМА', 'L20-L30', 11001, 'L00-L99', 11, 'Примечание. В этом блоке термины "дерматит" и "экзема" используются как взаимозаменяемые синонимы.\nИсключены: хроническая (детская) гранулематозная болезнь (D71) дерматит: . сухой кожи (L85.3) . искусственный (L98.1) . гангренозный (L88) . герпетиформный (L13.0) . периоральный (L71.0) . застойный (I83.1- I83.2) болезни кожи и подкожной клетчатки, связанные с воздействием излучения (L55-L59)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11068, 'Атопический дерматит', 'L20', 11067, 'L20-L30', 3, 'Исключен: ограниченный нейродерматит (L28.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11069, 'Почесуха Бенье', 'L20.0', 11068, 'L20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11070, 'Другие атопические дерматиты', 'L20.8', 11068, 'L20', 0, 'Экзема: . сгибательная НКДР . детская (острая) (хроническая) . эндогенная (аллергическая) Нейродерматит: . атопический (локализованный) . диффузный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11071, 'Атопический дерматит неуточненный', 'L20.9', 11068, 'L20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11072, 'Себорейный дерматит', 'L21', 11067, 'L20-L30', 4, 'Исключен: инфекционный дерматит (L30.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11073, 'Себорея головы', 'L21.0', 11072, 'L21', 0, '"Чепчик младенца"');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11074, 'Себорейный детский дерматит', 'L21.1', 11072, 'L21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11075, 'Другой себорейный дерматит', 'L21.8', 11072, 'L21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11076, 'Себорейный дерматит неуточненный', 'L21.9', 11072, 'L21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11077, 'Пеленочный дерматит', 'L22', 11067, 'L20-L30', 0, 'Пеленочная: . эритема . сыпь Псориазоподобное высыпание, вызванное пеленками');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11078, 'Аллергический контактный дерматит', 'L23', 11067, 'L20-L30', 10, 'Включена: аллергическая контактная экзема Исключены: аллергия БДУ (T78.4) дерматит: . БДУ (L30.9) . контактный БДУ (L25.9) . пеленочный (L22) . вызванный веществами, принятыми внутрь (L27.-) . века (H01.1) . простой раздражительный [irritant] контактный (L24.-) . периоральный (L71.0) экзема наружного уха (H60.5) болезни кожи и подкожной клетчатки, связанные с воздействием излучения (L55-L59)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11079, 'Аллергический контактный дерматит, вызванный металлами', 'L23.0', 11078, 'L23', 0, 'Хромом Никелем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11080, 'Аллергический контактный дерматит, вызванный клейкими веществами', 'L23.1', 11078, 'L23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11081, 'Аллергический контактный дерматит, вызванный косметическими средствами', 'L23.2', 11078, 'L23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11082, 'Аллергический контактный дерматит, вызванный лекарственными средствами при их контакте с кожей', 'L23.3', 11078, 'L23', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX). Исключены: аллергия БДУ, вызванная лекарственными средствами (T88.7) дерматит, вызванный приемом лекарственных средств (L27.0-L27.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11083, 'Аллергический контактный дерматит, вызванный красителями', 'L23.4', 11078, 'L23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11084, 'Аллергический контактный дерматит, вызванный другими химическими веществами', 'L23.5', 11078, 'L23', 0, 'Цементом Инсектицидами Пластиком Резиной');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11085, 'Аллергический контактный дерматит, вызванный пищевыми продуктами при их контакте с кожей', 'L23.6', 11078, 'L23', 0, 'Исключен: дерматит, вызванный съеденной пищей (L27.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11086, 'Аллергический контактный дерматит, вызванный растениями, кроме пищевых', 'L23.7', 11078, 'L23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11087, 'Аллергический контактный дерматит, вызванный другими веществами', 'L23.8', 11078, 'L23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11088, 'Аллергический контактный дерматит, причина не уточнена', 'L23.9', 11078, 'L23', 0, 'Аллергическая контактная экзема БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11089, 'Простой раздражительный [irritant] контактный дерматит', 'L24', 11067, 'L20-L30', 10, 'Включена: простая раздражительная [irritant] контактная экзема Исключены: аллергия БДУ (T78.4) дерматит: . БДУ (L30.9) . аллергический контактный (L23.-) . контактный БДУ (L25.9) . пеленочный (L22) . вызванный веществами, принятыми внутрь (L27.-) . века (H01.1) . периоральный (L71.0) экзема наружного уха (H60.5) болезни кожи и подкожной клетчатки, связанные с воздействием излучения (L55-L59)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11090, 'Простой раздражительный контактный дерматит, вызванный моющими средствами', 'L24.0', 11089, 'L24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11091, 'Простой раздражительный контактный дерматит, вызванный маслами и смазочными материалами', 'L24.1', 11089, 'L24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11092, 'Простой раздражительный контактный дерматит, вызванный растворителями', 'L24.2', 11089, 'L24', 0, 'Растворителями: . хлорсодержащей } . циклогексановой } . эфирной } . гликолевой } группы . углеводородной } . кетоновой }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11093, 'Простой раздражительный контактный дерматит, вызванный косметическими средствами', 'L24.3', 11089, 'L24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11094, 'Раздражительный контактный дерматит, вызванный лекарственными средствами при их контакте с кожей', 'L24.4', 11089, 'L24', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX). Исключены: аллергия БДУ, вызванная лекарственными средствами (T88.7) дерматит, вызванный приемом лекарственных средств (L27.0-L27.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11095, 'Простой раздражительный контактный дерматит, вызванный другими химическими веществами', 'L24.5', 11089, 'L24', 0, 'Цементом Инсектицидами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11096, 'Простой раздражительный контактный дерматит,вызванный пищевыми продуктами при их контакте с кожей', 'L24.6', 11089, 'L24', 0, 'Исключен: дерматит, вызванный съеденной пищей (L27.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11097, 'Простой раздражительный контактный дерматит,вызванный растениями, кроме пищевых', 'L24.7', 11089, 'L24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11098, 'Простой раздражительный контактный дерматит,вызванный другими веществами', 'L24.8', 11089, 'L24', 0, 'Красителями');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11099, 'Простой раздражительный контактный дерматит,причина не уточнена', 'L24.9', 11089, 'L24', 0, 'Ирритационная контактная экзема БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11100, 'Контактный дерматит неуточненный', 'L25', 11067, 'L20-L30', 8, 'Включена: контактная экзема неуточненная Исключены: аллергия БДУ (T78.4) дерматит: . БДУ (L30.9) . аллергический контактный (L23.-) . вызванный веществами, принятыми внутрь (L27.-) . века (H01.1) . простой раздражительный контактный (L24.-) . периоральный (L71.0) экзема наружного уха (H60.5) поражения кожи и подкожной клетчатки, связанные с воздействием излучения (L55-L59)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11101, 'Неуточненный контактный дерматит, вызванный косметическими средствами', 'L25.0', 11100, 'L25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11102, 'Неуточненный контактный дерматит, вызванный лекарственными средствами при их контакте с кожей', 'L25.1', 11100, 'L25', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX). Исключены: аллергия БДУ, вызванная лекарственными средствами (T88.7) дерматит, вызванный приемом лекарственных средств (L27.0-L27.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11103, 'Неуточненный контактный дерматит, вызванный красителями', 'L25.2', 11100, 'L25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11104, 'Неуточненный контактный дерматит, вызванный другими химическими веществами', 'L25.3', 11100, 'L25', 0, 'Цементом Инсектицидами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11105, 'Неуточненный контактный дерматит, вызванный пищевыми продуктами при их контакте с кожей', 'L25.4', 11100, 'L25', 0, 'Исключен: контактный дерматит, вызванный съеденной пищей (L27.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11106, 'Неуточненный контактный дерматит, вызванный растениями, кроме пищевых', 'L25.5', 11100, 'L25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11107, 'Неуточненный контактный дерматит, вызванный другими веществами', 'L25.8', 11100, 'L25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11108, 'Неуточненный контактный дерматит, причина не уточнена', 'L25.9', 11100, 'L25', 0, 'Контактный(ая): . дерматит (профессиональный) БДУ . экзема (профессиональная) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11109, 'Эксфолиативный дерматит', 'L26', 11067, 'L20-L30', 0, 'Питириаз Гебры Исключена: болезнь Риттера (L00)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11110, 'Дерматит, вызванный веществами, принятыми внутрь', 'L27', 11067, 'L20-L30', 5, 'Исключены: неблагоприятное(ая): . воздействие лекарственных средств БДУ (T88.7) . реакция на пищу, исключая дерматит (T78.0-T78.1) аллергическая реакция БДУ (T78.4) контактные дерматиты (L23-l25) лекарственная: . фотоаллергическая реакция (L56.1) . фототоксическая реакция (L56.0) крапивница (L50.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11111, 'Генерализованное высыпание на коже, вызванное лекарственными средствами и медикаментами', 'L27.0', 11110, 'L27', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11112, 'Локализованное высыпание на коже, вызванное лекарственными средствами и медикаментами', 'L27.1', 11110, 'L27', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11113, 'Дерматит, вызванный съеденной пищей', 'L27.2', 11110, 'L27', 0, 'Исключен: дерматит, вызванный пищевыми продуктами при их контакте с кожей (L23.6, L24.6, L25.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11114, 'Дерматит, вызванный другими веществами, принятыми внутрь', 'L27.8', 11110, 'L27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11115, 'Дерматит, вызванный неуточненными веществами, принятыми внутрь', 'L27.9', 11110, 'L27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11116, 'Простой хронический лишай и почесуха', 'L28', 11067, 'L20-L30', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11117, 'Простой хронический лишай', 'L28.0', 11116, 'L28', 0, 'Ограниченный нейродерматит Лишай БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11118, 'Почесуха узловатая', 'L28.1', 11116, 'L28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11119, 'Другая почесуха', 'L28.2', 11116, 'L28', 0, 'Почесуха: . БДУ . Гебры . mitis Крапивница папулезная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11120, 'Зуд', 'L29', 11067, 'L20-L30', 6, 'Исключены: невротическое расчесывание кожи (L98.1) психогенный зуд (F45.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11121, 'Зуд заднего прохода', 'L29.0', 11120, 'L29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11122, 'Зуд мошонки', 'L29.1', 11120, 'L29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11123, 'Зуд вульвы', 'L29.2', 11120, 'L29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11124, 'Аногенитальный зуд неуточненный', 'L29.3', 11120, 'L29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11125, 'Другой зуд', 'L29.8', 11120, 'L29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11126, 'Зуд неуточненный', 'L29.9', 11120, 'L29', 0, 'Зуд БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11127, 'Другие дерматиты', 'L30', 11067, 'L20-L30', 8, 'Исключены: дерматит: . контактный (L23-L25) . сухой кожи (L85.3) мелкобляшечный парапсориаз (L41.3) застойный дерматит (I83.1-I83.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11128, 'Монетовидная экзема', 'L30.0', 11127, 'L30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11129, 'Дисгидроз [помфоликс]', 'L30.1', 11127, 'L30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11130, 'Кожная аутосенсибилизация', 'L30.2', 11127, 'L30', 0, 'Кандидозная Дерматофитозная Экзематозная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11131, 'Инфекционный дерматит', 'L30.3', 11127, 'L30', 0, 'Инфекционная экзема');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11132, 'Эритематозная опрелость', 'L30.4', 11127, 'L30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11133, 'Питириаз белый', 'L30.5', 11127, 'L30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11134, 'Другой уточненный дерматит', 'L30.8', 11127, 'L30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11135, 'Дерматит неуточненный', 'L30.9', 11127, 'L30', 0, 'Экзема БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11137, 'ПАПУЛОСКВАМОЗНЫЕ НАРУШЕНИЯ', 'L40-L45', 11001, 'L00-L99', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11138, 'Псориаз', 'L40', 11137, 'L40-L45', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11139, 'Псориаз обыкновенный', 'L40.0', 11138, 'L40', 0, 'Монетовидный псориаз Бляшечный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11140, 'Генерализованный пустулезный псориаз', 'L40.1', 11138, 'L40', 0, 'Импетиго герпетиформное Болезнь Цумбуша');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11141, 'Акродерматит стойкий [Аллопо]', 'L40.2', 11138, 'L40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11142, 'Пустулез ладонный и подошвенный', 'L40.3', 11138, 'L40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11143, 'Псориаз каплевидный', 'L40.4', 11138, 'L40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11144, 'Псориаз артропатический (M07.0-M07.3*, M09.0*)', 'L40.5+', 11138, 'L40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11145, 'Другой псориаз', 'L40.8', 11138, 'L40', 0, 'Сгибательный инверсный псориаз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11146, 'Псориаз неуточненный', 'L40.9', 11138, 'L40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11147, 'Парапсориаз', 'L41', 11137, 'L40-L45', 8, 'Исключена: атрофическая сосудистая пойкилодермия (L94.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11148, 'Питириаз лихеноидный и оспоподобный острый', 'L41.0', 11147, 'L41', 0, 'Болезнь Мухи-Хабермана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11149, 'Питириаз лихеноидный хронический', 'L41.1', 11147, 'L41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11150, 'Лимфоматоидный папулез', 'L41.2', 11147, 'L41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11151, 'Мелкобляшечный парапсориаз', 'L41.3', 11147, 'L41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11152, 'Крупнобляшечный парапсориаз', 'L41.4', 11147, 'L41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11153, 'Сетевидный парапсориаз', 'L41.5', 11147, 'L41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11154, 'Другой парапсориаз', 'L41.8', 11147, 'L41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11155, 'Парапсориаз неуточненный', 'L41.9', 11147, 'L41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11156, 'Питириаз розовый [Жибера]', 'L42', 11137, 'L40-L45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11157, 'Лишай красный плоский', 'L43', 11137, 'L40-L45', 6, 'Исключен: лишай плоский волосяной (L66.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11158, 'Лишай гипертрофический красный плоский', 'L43.0', 11157, 'L43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11159, 'Лишай красный плоский буллезный', 'L43.1', 11157, 'L43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11160, 'Лишаевидная реакция на лекарственное средство', 'L43.2', 11157, 'L43', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11161, 'Лишай красный плоский подострый (активный)', 'L43.3', 11157, 'L43', 0, 'Лишай красный плоский тропический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11162, 'Другой красный плоский лишай', 'L43.8', 11157, 'L43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11163, 'Лишай красный плоский неуточненный', 'L43.9', 11157, 'L43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11164, 'Другие папулосквамозные изменения', 'L44', 11137, 'L40-L45', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11165, 'Питириаз красный волосяной отрубевидный', 'L44.0', 11164, 'L44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11166, 'Лихен блестящий', 'L44.1', 11164, 'L44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11167, 'Лихен линейный', 'L44.2', 11164, 'L44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11168, 'Лишай красный монилиформный', 'L44.3', 11164, 'L44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11169, 'Детский папулезный акродерматит [Джанотти-Крости синдром]', 'L44.4', 11164, 'L44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11170, 'Другие уточненные папулосквамозные изменения', 'L44.8', 11164, 'L44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11171, 'Папулосквамозные изменения неуточненные', 'L44.9', 11164, 'L44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11172, 'Папулосквамозные нарушения при болезнях, классифицированных в других рубриках', 'L45*', 11137, 'L40-L45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11174, 'КРАПИВНИЦА И ЭРИТЕМА', 'L50-L54', 11001, 'L00-L99', 5, 'Исключены: Лайма болезнь (A69.2) розацеа (L71.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11175, 'Крапивница', 'L50', 11174, 'L50-L54', 9, 'Исключены: аллергический контактный дерматит (L23.-) ангионевротический отек (T78.3) наследственный сосудистый отек (E88.0) отек Квинке (T78.3) крапивница: . гигантская (T78.3) . новорожденного (P83.8) . папулезная (L28.2) . пигментная (Q82.2) . сывороточная (T80.6) . солнечная (L56.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11176, 'Аллергическая крапивница', 'L50.0', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11177, 'Идиопатическая крапивница', 'L50.1', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11178, 'Крапивница, вызванная воздействием низкой или высокой температуры', 'L50.2', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11179, 'Дерматографическая крапивница', 'L50.3', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11180, 'Вибрационная крапивница', 'L50.4', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11181, 'Холинергическая крапивница', 'L50.5', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11182, 'Контактная крапивница', 'L50.6', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11183, 'Другая крапивница', 'L50.8', 11175, 'L50', 0, 'Крапивница: . хроническая . периодическая повторяющаяся');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11184, 'Крапивница неуточненная', 'L50.9', 11175, 'L50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11185, 'Эритема многоформная', 'L51', 11174, 'L50-L54', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11186, 'Небуллезная эритема многоформная', 'L51.0', 11185, 'L51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11187, 'Буллезная эритема многоформная', 'L51.1', 11185, 'L51', 0, 'Синдром Стивенса-Джонсона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11188, 'Токсический эпидермальный некролиз [Лайелла]', 'L51.2', 11185, 'L51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11189, 'Другая эритема многоформная', 'L51.8', 11185, 'L51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11190, 'Эритема многоформная неуточненная', 'L51.9', 11185, 'L51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11191, 'Эритема узловатая', 'L52', 11174, 'L50-L54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11192, 'Другие эритематозные состояния', 'L53', 11174, 'L50-L54', 6, 'Исключены: эритема: . ожоговая (L59.0) . возникающая при контактах с кожей внешних агентов (L23-L25) . опрелость (L30.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11193, 'Токсическая эритема', 'L53.0', 11192, 'L53', 0, 'При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс XX). Исключена: неонатальная токсическая эритема (P83.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11194, 'Эритема кольцевидная центробежная', 'L53.1', 11192, 'L53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11195, 'Эритема маргинальная', 'L53.2', 11192, 'L53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11196, 'Другая хроническая узорчатая эритема', 'L53.3', 11192, 'L53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11197, 'Другие уточненные эритематозные состояния', 'L53.8', 11192, 'L53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11198, 'Эритематозное состояние неуточненное', 'L53.9', 11192, 'L53', 0, 'Эритема БДУ Эритродерма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11199, 'Эритема при болезнях, классифицированных в других рубриках', 'L54*', 11174, 'L50-L54', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11200, 'Эритема маргинальная при остром суставном ревматизме(I00+)', 'L54.0*', 11199, 'L54*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11201, 'Эритема при других болезнях, классифицированных в других рубриках', 'L54.8*', 11199, 'L54*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11203, 'БОЛЕЗНИ КОЖИ И ПОДКОЖНОЙ КЛЕТЧАТКИ, СВЯЗАННЫЕ С ВОЗДЕЙСТВИЕМ ИЗЛУЧЕНИЯ', 'L55-L59', 11001, 'L00-L99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11204, 'Солнечный ожог', 'L55', 11203, 'L55-L59', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11205, 'Солнечный ожог первой степени', 'L55.0', 11204, 'L55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11206, 'Солнечный ожог второй степени', 'L55.1', 11204, 'L55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11207, 'Солнечный ожог третьей степени', 'L55.2', 11204, 'L55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11208, 'Другой солнечный ожог', 'L55.8', 11204, 'L55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11209, 'Солнечный ожог неуточненный', 'L55.9', 11204, 'L55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11210, 'Другие острые изменения кожи, вызванные ультрафиолетовым излучением', 'L56', 11203, 'L55-L59', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11211, 'Лекарственная фототоксическая реакция', 'L56.0', 11210, 'L56', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11212, 'Лекарственная фотоаллергическая реакция', 'L56.1', 11210, 'L56', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11213, 'Фотоконтактный дерматит [berloque dermatitis]', 'L56.2', 11210, 'L56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11214, 'Солнечная крапивница', 'L56.3', 11210, 'L56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11215, 'Полиморфная световая сыпь', 'L56.4', 11210, 'L56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11216, 'Другие уточненные острые изменения кожи, вызванные ультрафиолетовым излучением', 'L56.8', 11210, 'L56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11217, 'Острое изменение кожи, вызванное ультрафиолетовым излучением, неуточненное', 'L56.9', 11210, 'L56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11218, 'Изменения кожи, вызванные хроническим воздействием неионизирующего излучения', 'L57', 11203, 'L55-L59', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11219, 'Актинический (фотохимический) кератоз', 'L57.0', 11218, 'L57', 0, 'Кератоз: . БДУ . старческий . солнечный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11220, 'Актинический ретикулоид', 'L57.1', 11218, 'L57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11221, 'Кожа ромбическая на затылке (шее)', 'L57.2', 11218, 'L57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11222, 'Пойкилодермия Сиватта', 'L57.3', 11218, 'L57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11223, 'Старческая атрофия (вялость) кожи', 'L57.4', 11218, 'L57', 0, 'Старческий эластоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11224, 'Актиническая [фотохимическая] гранулема', 'L57.5', 11218, 'L57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11225, 'Другие изменения кожи, вызванные хроническим воздействием неионизирующего излучения', 'L57.8', 11218, 'L57', 0, 'Кожа фермера Кожа моряка Солнечный дерматит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11226, 'Изменение кожи, вызванное хроническим воздействием неионизирующего излучения, неуточненное', 'L57.9', 11218, 'L57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11227, 'Радиационный дерматит лучевой', 'L58', 11203, 'L55-L59', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11228, 'Острый радиационный дерматит', 'L58.0', 11227, 'L58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11229, 'Хронический радиационный дерматит', 'L58.1', 11227, 'L58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11230, 'Радиационный дерматит неуточненный', 'L58.9', 11227, 'L58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11231, 'Другие болезни кожи и подкожной клетчатки, связанные с излучением', 'L59', 11203, 'L55-L59', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11232, 'Эритема ожоговая [дерматит ab igne]', 'L59.0', 11231, 'L59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11233, 'Другие уточненные болезни кожи и подкожной клетчатки, связанные с излучением', 'L59.8', 11231, 'L59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11234, 'Болезнь кожи и подкожной клетчатки, связанная с излучением, неуточненная', 'L59.9', 11231, 'L59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11236, 'БОЛЕЗНИ ПРИДАТКОВ КОЖИ', 'L60-L75', 11001, 'L00-L99', 14, 'Исключены: врожденные пороки наружных покровов (Q84.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11237, 'Болезни ногтей', 'L60', 11236, 'L60-L75', 8, 'Исключены: булавовидные ногти (R68.3) онихия и паронихия (L03.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11238, 'Вросший ноготь', 'L60.0', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11239, 'Онихолиз', 'L60.1', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11240, 'Онихогрифоз', 'L60.2', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11241, 'Дистрофия ногтя', 'L60.3', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11242, 'Линии Бо', 'L60.4', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11243, 'Синдром желтого ногтя', 'L60.5', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11244, 'Другие болезни ногтей', 'L60.8', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11245, 'Болезнь ногтя неуточненная', 'L60.9', 11237, 'L60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11246, 'Изменения ногтей при болезнях, классифицированных в других рубриках', 'L62*', 11236, 'L60-L75', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11247, 'Булавовидный ноготь при пахидермопериостозе (M89.4+)', 'L62.0*', 11246, 'L62*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11248, 'Изменения ногтей при других болезнях, классифицированных в других рубриках', 'L62.8*', 11246, 'L62*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11249, 'Гнездная алопеция', 'L63', 11236, 'L60-L75', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11250, 'Алопеция тотальная', 'L63.0', 11249, 'L63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11251, 'Алопеция универсальная', 'L63.1', 11249, 'L63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11252, 'Гнездная плешивость (лентовидная форма)', 'L63.2', 11249, 'L63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11253, 'Другая гнездная алопеция', 'L63.8', 11249, 'L63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11254, 'Гнездная алопеция неуточненная', 'L63.9', 11249, 'L63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11255, 'Андрогенная алопеция', 'L64', 11236, 'L60-L75', 3, 'Включен: мужской тип плешивости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11256, 'Андрогенная алопеция, вызванная приемом лекарственных средств', 'L64.0', 11255, 'L64', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11257, 'Другая андрогенная алопеция', 'L64.8', 11255, 'L64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11258, 'Андрогенная алопеция неуточненная', 'L64.9', 11255, 'L64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11259, 'Другая нерубцующая потеря волос', 'L65', 11236, 'L60-L75', 5, 'При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс XX). Исключена: трихотилломания (F63.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11260, 'Телогенное выпадение волос', 'L65.0', 11259, 'L65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11261, 'Анагенное выпадение волос', 'L65.1', 11259, 'L65', 0, 'Регенерируюшие миазмы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11262, 'Алопеция муцинозная', 'L65.2', 11259, 'L65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11263, 'Другая уточненная нерубцующая потеря волос', 'L65.8', 11259, 'L65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11264, 'Нерубцующая потеря волос неуточненная', 'L65.9', 11259, 'L65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11265, 'Рубцующая алопеция', 'L66', 11236, 'L60-L75', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11266, 'Алопеция пятнистая рубцующая', 'L66.0', 11265, 'L66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11267, 'Лишай плоский волосяной', 'L66.1', 11265, 'L66', 0, 'Фолликулярный плоский лишай');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11268, 'Фолликулит, приводящий к облысению', 'L66.2', 11265, 'L66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11269, 'Перифолликулит головы абсцедирующий', 'L66.3', 11265, 'L66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11270, 'Фолликулит сетчатый рубцующий эритематозный', 'L66.4', 11265, 'L66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11271, 'Другие рубцующие алопеции', 'L66.8', 11265, 'L66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11272, 'Рубцующая алопеция неуточненная', 'L66.9', 11265, 'L66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11273, 'Аномалии цвета волос и волосяного стержня', 'L67', 11236, 'L60-L75', 4, 'Исключены: узловатые волосы (Q84.1) волосы бусовидные (Q84.1) телогенное выпадение волос (L65.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11274, 'Трихорексис узловатый', 'L67.0', 11273, 'L67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11275, 'Изменения окраски волос', 'L67.1', 11273, 'L67', 0, 'Седина Поседение (преждевременное) Гетерохромия волос Полиоз: . БДУ . ограниченный приобретенный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11276, 'Другие аномалии цвета волос и волосяного стержня', 'L67.8', 11273, 'L67', 0, 'Ломкость волос');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11277, 'Аномалия цвета волос и волосяного стержня неуточненная', 'L67.9', 11273, 'L67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11278, 'Гипертрихоз', 'L68', 11236, 'L60-L75', 6, 'Включена: чрезмерная волосатость Исключены: врожденный гипертрихоз (Q84.2) устойчивые пушковые волосы (Q84.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11279, 'Гирсутизм', 'L68.0', 11278, 'L68', 0, 'При необходимости идентифицировать лекарственное средство, вызвавшее нарушение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11280, 'Гипертрихоз пушковыми волосами приобретенный', 'L68.1', 11278, 'L68', 0, 'При необходимости идентифицировать лекарственное средство, вызвавшее нарушение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11281, 'Локализованный гипертрихоз', 'L68.2', 11278, 'L68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11282, 'Политрихия', 'L68.3', 11278, 'L68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11283, 'Другой гипертрихоз', 'L68.8', 11278, 'L68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11284, 'Гипертрихоз неуточненный', 'L68.9', 11278, 'L68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11285, 'Угри', 'L70', 11236, 'L60-L75', 8, 'Исключены: келоидные угри (L73.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11286, 'Угри обыкновенные [acne vulgaris]', 'L70.0', 11285, 'L70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11287, 'Угри шаровидные', 'L70.1', 11285, 'L70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11288, 'Угри осповидные', 'L70.2', 11285, 'L70', 0, 'Угри некротические милиарные');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11289, 'Угри тропические', 'L70.3', 11285, 'L70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11290, 'Детские угри', 'L70.4', 11285, 'L70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11291, 'Acne excoriee des jeunes filles', 'L70.5', 11285, 'L70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11292, 'Другие угри', 'L70.8', 11285, 'L70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11293, 'Угри неуточненные', 'L70.9', 11285, 'L70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11294, 'Розацеа', 'L71', 11236, 'L60-L75', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11295, 'Периоральный дерматит', 'L71.0', 11294, 'L71', 0, 'При необходимости идентифицировать лекарственный препарат, вызвавший поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11296, 'Ринофима', 'L71.1', 11294, 'L71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11297, 'Другой вид розацеа', 'L71.8', 11294, 'L71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11298, 'Розацеа неуточненного вида', 'L71.9', 11294, 'L71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11299, 'Фолликулярные кисты кожи и подкожной клетчатки', 'L72', 11236, 'L60-L75', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11300, 'Эпидермальная киста', 'L72.0', 11299, 'L72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11301, 'Триходермальная киста', 'L72.1', 11299, 'L72', 0, 'Волосяная киста Киста сальной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11302, 'Стиатоцистома множественная', 'L72.2', 11299, 'L72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11303, 'Другие фолликулярные кисты кожи и подкожной клетчатки', 'L72.8', 11299, 'L72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11304, 'Фолликулярная киста кожи и подкожной клетчатки неуточненная', 'L72.9', 11299, 'L72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11305, 'Другие болезни волосяных фолликулов', 'L73', 11236, 'L60-L75', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11306, 'Угри келоидные', 'L73.0', 11305, 'L73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11307, 'Псевдофолликулит волос бороды', 'L73.1', 11305, 'L73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11308, 'Гидраденит гнойный', 'L73.2', 11305, 'L73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11309, 'Другие уточненные болезни фолликулов', 'L73.8', 11305, 'L73', 0, 'Сикоз бороды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11310, 'Болезнь волосяных фолликулов неуточненная', 'L73.9', 11305, 'L73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11311, 'Болезни мерокринных [эккринных] потовых желез', 'L74', 11236, 'L60-L75', 7, 'Исключен: гипергидроз (R61.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11312, 'Потница красная', 'L74.0', 11311, 'L74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11313, 'Потница кристаллическая', 'L74.1', 11311, 'L74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11314, 'Потница глубокая', 'L74.2', 11311, 'L74', 0, 'Ангидроз тропический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11315, 'Потница неуточненная', 'L74.3', 11311, 'L74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11316, 'Ангидроз', 'L74.4', 11311, 'L74', 0, 'Гипогидроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11317, 'Другие болезни мерокринных потовых желез', 'L74.8', 11311, 'L74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11318, 'Нарушение мерокринного потоотделения неуточненное', 'L74.9', 11311, 'L74', 0, 'Поражение потовых желез БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11319, 'Болезни апокринных потовых желез', 'L75', 11236, 'L60-L75', 5, 'Исключены: дисгидроз [помфоликс] (L30.1) гидраденит гнойный (L73.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11320, 'Бромгидроз', 'L75.0', 11319, 'L75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11321, 'Хромгидроз', 'L75.1', 11319, 'L75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11322, 'Апокринная потница', 'L75.2', 11319, 'L75', 0, 'Болезнь Фокса-Фордайса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11323, 'Другие болезни апокринных потовых желез', 'L75.8', 11319, 'L75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11324, 'Поражение апокринных потовых желез неуточненное', 'L75.9', 11319, 'L75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11326, 'ДРУГИЕ БОЛЕЗНИ КОЖИ И ПОДКОЖНОЙ КЛЕТЧАТКИ', 'L80-L99', 11001, 'L00-L99', 19, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11327, 'Витилиго', 'L80', 11326, 'L80-L99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11328, 'Другие нарушения пигментации', 'L81', 11326, 'L80-L99', 10, 'Исключены: родимое пятно БДУ (Q82.5) невус - см. Алфавитный указатель синдром Пейтца-Джигерса (Турена) (Q85.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11329, 'Послевоспалительная гиперпигментация', 'L81.0', 11328, 'L81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11330, 'Хлоазма', 'L81.1', 11328, 'L81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11331, 'Веснушки', 'L81.2', 11328, 'L81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11332, 'Кофейные пятна [cafe au lait spots]', 'L81.3', 11328, 'L81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11333, 'Другая меланиновая гиперпигментация', 'L81.4', 11328, 'L81', 0, 'Лентиго');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11334, 'Лейкодерма, не классифицированная в других рубриках', 'L81.5', 11328, 'L81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11335, 'Другие нарушения, связанные с уменьшением образования  меланина', 'L81.6', 11328, 'L81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11336, 'Пигментированный красный дерматоз', 'L81.7', 11328, 'L81', 0, 'Ангиома ползучая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11337, 'Другие уточненные нарушения пигментации', 'L81.8', 11328, 'L81', 0, 'Пигментация железом Татуировочная пигментация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11338, 'Нарушение пигментации неуточненное', 'L81.9', 11328, 'L81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11339, 'Себорейный кератоз', 'L82', 11326, 'L80-L99', 0, 'Дерматоз папулезный черный Болезнь Лезера-Трела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11340, 'Acanthosis nigricans', 'L83', 11326, 'L80-L99', 0, 'Сливной и сетчатый папилломатоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11341, 'Мозоли и омозолелости', 'L84', 11326, 'L80-L99', 0, 'Омозолелость (callus) Клиновидная мозоль (clavus)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11342, 'Другие эпидермальные утолщения', 'L85', 11326, 'L80-L99', 6, 'Исключены: гипертрофические состояния кожи (L91.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11343, 'Приобретенный ихтиоз', 'L85.0', 11342, 'L85', 0, 'Исключен: врожденный ихтиоз (Q80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11344, 'Приобретенный кератоз [кератодермия] ладонно-подошвенный', 'L85.1', 11342, 'L85', 0, 'Исключен: наследственный кератоз ладонно-подошвенный (Q82.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11345, 'Кератоз точечный (ладонный-подошвенный)', 'L85.2', 11342, 'L85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11346, 'Ксероз кожи', 'L85.3', 11342, 'L85', 0, 'Дерматит сухой кожи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11347, 'Другие уточненные эпидермальные утолщения', 'L85.8', 11342, 'L85', 0, 'Кожный рог');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11348, 'Эпидермальное утолщение неуточненное', 'L85.9', 11342, 'L85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11349, 'Кератодермии при болезнях, классифицированных в других рубриках', 'L86*', 11326, 'L80-L99', 0, 'Фолликулярный кератоз } вследствие недостаточности Ксеродермия } витамина A (E50.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11350, 'Трансэпидермальные прободные изменения', 'L87', 11326, 'L80-L99', 5, 'Исключен: гранулема кольцевидная (прободная) (L92.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11351, 'Кератоз фолликулярный и парафолликулярный, проникающий в кожу [болезнь Кирле]', 'L87.0', 11350, 'L87', 0, 'Гиперкератоз фолликулярный проникающий');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11352, 'Реактивный перфорирующий коллагеноз', 'L87.1', 11350, 'L87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11353, 'Ползучий перфорирующий эластоз', 'L87.2', 11350, 'L87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11354, 'Другие трансэпидермальные прободные нарушения', 'L87.8', 11350, 'L87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11355, 'Трансэпидермальные прободные нарушения неуточненные', 'L87.9', 11350, 'L87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11356, 'Пиодермия гангренозная', 'L88', 11326, 'L80-L99', 0, 'Дерматит гангренозный Омертвевающая пиодермия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11357, 'Декубитальная язва', 'L89', 11326, 'L80-L99', 0, 'Пролежень Язва, вызванная гипсовой повязкой Язва, вызванная сдавлением Исключена: декубитальная (трофическая) язва шейки матки (N86)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11358, 'Атрофические поражения кожи', 'L90', 11326, 'L80-L99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11359, 'Лишай склеротический и атрофический', 'L90.0', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11360, 'Анетодермия Швеннингера-Буцци', 'L90.1', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11361, 'Анетодермия Ядассона-Пеллизари', 'L90.2', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11362, 'Атрофодермия Пазини-Пьерини', 'L90.3', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11363, 'Акродерматит хронический атрофический', 'L90.4', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11364, 'Рубцовые состояния и фиброз кожи', 'L90.5', 11358, 'L90', 0, 'Спаянный рубец (кожи) Шрам Обезображивание, вызванное рубцом Рубец БДУ Исключены: гипертрофический рубец (L91.0) келоидный рубец (L91.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11365, 'Атрофические полосы (striae)', 'L90.6', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11366, 'Другие атрофические изменения кожи', 'L90.8', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11367, 'Атрофическое изменение кожи неуточненное', 'L90.9', 11358, 'L90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11368, 'Гипертрофические изменения кожи', 'L91', 11326, 'L80-L99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11369, 'Келоидный рубец', 'L91.0', 11368, 'L91', 0, 'Гипертрофический рубец Келоид Исключены: угри келоидные (L73.0) рубец БДУ (L90.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11370, 'Другие гипертрофические изменения кожи', 'L91.8', 11368, 'L91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11371, 'Гипертрофическое изменение кожи неуточненное', 'L91.9', 11368, 'L91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11372, 'Гранулематозные изменения кожи и подкожной клетчатки', 'L92', 11326, 'L80-L99', 6, 'Исключена: актиническая [фотохимическая] гранулема (L57.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11373, 'Гранулема кольцевидная', 'L92.0', 11372, 'L92', 0, 'Прободная гранулема кольцевидная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11374, 'Некробиоз липоидный, не классифицированный в других рубриках', 'L92.1', 11372, 'L92', 0, 'Исключен: связанный с сахарным диабетом (E10-E14)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11375, 'Гранулема лица [эозинофильная гранулема кожи]', 'L92.2', 11372, 'L92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11376, 'Гранулема кожи и подкожной клетчатки, вызванная инородным телом', 'L92.3', 11372, 'L92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11377, 'Другие гранулематозные изменения кожи и подкожной клетчатки', 'L92.8', 11372, 'L92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11378, 'Гранулематозное изменение кожи и подкожной клетчатки неуточненное', 'L92.9', 11372, 'L92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11379, 'Красная волчанка', 'L93', 11326, 'L80-L99', 3, 'Исключены: волчанка: . язвенная (A18.4) . обыкновенная (A18.4) склеродермия (M34.-) системная красная волчанка (M32.-) При необходимости идентифицировать лекарственное средство, вызвавшее поражение, используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11380, 'Дискоидная красная волчанка', 'L93.0', 11379, 'L93', 0, 'Красная волчанка БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11381, 'Подострая кожная красная волчанка', 'L93.1', 11379, 'L93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11382, 'Другая ограниченная красная волчанка', 'L93.2', 11379, 'L93', 0, 'Волчанка красная глубокая Волчаночный панникулит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11383, 'Другие локализованные изменения соединительной ткани', 'L94', 11326, 'L80-L99', 9, 'Исключены: системные болезни соединительной ткани (M30-M36)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11384, 'Локализованная склеродермия [morphea]', 'L94.0', 11383, 'L94', 0, 'Ограниченная склеродермия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11385, 'Линейная склеродермия', 'L94.1', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11386, 'Обызвествление кожи', 'L94.2', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11387, 'Склеродактилия', 'L94.3', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11388, 'Папулы Готтрона', 'L94.4', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11389, 'Пойкилодермия сосудистая атрофическая', 'L94.5', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11390, 'Аньюм [дактилолиз спонтанный]', 'L94.6', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11391, 'Другие уточненные локализованные изменения соединительной ткани', 'L94.8', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11392, 'Локализованное изменение соединительной ткани неуточненное', 'L94.9', 11383, 'L94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11393, 'Васкулит, ограниченный кожей, не классифицированный в других рубриках', 'L95', 11326, 'L80-L99', 4, 'Исключены: ползучая ангиома (L81.7) пурпура Шенлейна-Геноха (D69.0) гиперчувствительный ангиит (M31.0) панникулит: . БДУ (M79.3) . волчаночный (L93.2) . шеи и спины (M54.0) . рецидивирующий (Вебера-Крисчена) (M35.6) . полиартериит узелковый (M30.0) ревматоидный васкулит (M05.2) сывороточная болезнь (T80.6) крапивница (L50.-) гранулематоз Вегенера (M31.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11394, 'Васкулит с мраморной кожей', 'L95.0', 11393, 'L95', 0, 'Атрофия белая (бляшечная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11395, 'Эритема возвышенная стойкая', 'L95.1', 11393, 'L95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11396, 'Другие васкулиты, ограниченные кожей', 'L95.8', 11393, 'L95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11397, 'Васкулит, ограниченный кожей, неуточненный', 'L95.9', 11393, 'L95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11398, 'Язва нижней конечности, не классифицированная в других рубриках', 'L97', 11326, 'L80-L99', 0, 'Исключены: декубитальная язва (L89) гангрена (R02) инфекции кожи (L00-L08) специфические инфекции, классифицированные в рубриках A00-B99 варикозная язва (I83.0, I83.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11399, 'Другие болезни кожи и подкожной клетчатки, не классифицированные в других рубриках', 'L98', 11326, 'L80-L99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11400, 'Пиогенная гранулема', 'L98.0', 11399, 'L98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11401, 'Искусственный [артифициальный] дерматит', 'L98.1', 11399, 'L98', 0, 'Невротическое расчесывание кожи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11402, 'Лихорадочный нейтрофильный дерматоз Свита', 'L98.2', 11399, 'L98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11403, 'Эозинофильный целлюлит Уэлса', 'L98.3', 11399, 'L98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11404, 'Хроническая язва кожи, не классифицированная в других рубриках', 'L98.4', 11399, 'L98', 0, 'Хроническая язва кожи БДУ Тропическая язва БДУ Язва кожи БДУ Исключены: декубитальная язва (L89) гангрена (R02) инфекции кожи (L00-L08) специфические инфекции, классифицированные в рубриках A00-B99 язва нижней конечности НКДР (L97) варикозная язва (I83.0, I83.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11405, 'Муциноз кожи', 'L98.5', 11399, 'L98', 0, 'Очаговый муциноз Лихен микседематозный Исключены: очаговый муциноз полости рта (K13.7) микседема (E03.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11406, 'Другие инфильтративные болезни кожи и подкожной клетчатки', 'L98.6', 11399, 'L98', 0, 'Исключен: гиалиноз кожи и слизистых оболочек (E78.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11407, 'Другие уточненные болезни кожи и подкожной клетчатки', 'L98.8', 11399, 'L98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11408, 'Поражение кожи и подкожной клетчатки неуточненное', 'L98.9', 11399, 'L98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11409, 'Другие поражения кожи и подкожной клетчатки при болезнях, классифицированных в других рубриках', 'L99*', 11326, 'L80-L99', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11410, 'Амилоидоз кожи (E85.-+)', 'L99.0*', 11409, 'L99*', 0, 'Узелковый амилоидоз Пятнистый амилоидоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(11411, 'Другие уточненные изменения кожи и подкожной клетчатки при болезнях, классифицированных в других рубриках', 'L99.8*', 11409, 'L99*', 0, 'Сифилитическая: . алопеция (A51.3+) . лейкодерма (A51.3+, A52.7+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12001, 'БОЛЕЗНИ КОСТНО-МЫШЕЧНОЙ СИСТЕМЫ И СОЕДИНИТЕЛЬНОЙ ТКАНИ', 'M00-M99', NULL, NULL, 6, 'Исключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) синдром сдавления (T79.6) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\nЭтот класс содержит следующие блоки:\nM00-M25 Артропатии M00-M03 Инфекционные артропатии M05-M14 Воспалительные полиартропатии M15-M19 Артрозы M20-M25 Другие поражения суставов\nM30-M36 Системные поражения соединительной ткани\nM40-M54 Дорсопатии M40-M43 Деформирующие дорсопатии M50-M54 Другие дорсопатии\nM60-M79 Болезни мягких тканей M60-M63 Поражения мышц M65-M68 Поражения синовиальных оболочек и сухожилий M70-M79 Другие поражения мягких тканей\nM80-M94 Остеопатии и хондропатии M80-M85 Нарушения плотности и структуры кости M86-M90 Другие остеопатии M91-M94 Хондропатии\nM95-M99 Другие нарушения костно-мышечной системы и соединительной ткани\n\nЗвездочкой отмечены следующие категории:\nM01* Прямое инфицирование сустава при инфекционных и паразитарных болезнях, классифицированных в других рубриках\nM03* Постинфекционные и реактивные артропатии при болезнях, классифицированных в других рубриках\nM07* Псориатические и энтеропатические артропатии\nM09* Ювенильный артрит при болезнях, классифицированных в других рубриках\nM14* Артропатии при других болезнях, классифицированных в других рубриках\nM36* Системные поражения соединительной ткани при болезнях, классифицированных в других рубриках\nM49* Спондилопатии ткани при болезнях, классифицированных в других рубриках\nM63* Поражения мышц при болезнях, классифицированных в других рубриках\nM68* Поражения синовиальных оболочек и сухожилий при болезнях, классифицированных в других рубриках\nM73* Поражения мягких тканей при болезнях, классифицированных в других рубриках\nM82* Остеопороз при болезнях, классифицированных в других рубриках\nM90* Остеопатии при болезнях, классифицированных в других рубриках\nЛОКАЛИЗАЦИЯ КОСТНО-МЫШЕЧНОГО ПОРАЖЕНИЯ\nВ классе XIII для обозначения локализации поражения введены допол-\nнительные знаки, которые могут факультативно использоваться с со-\nответствующими подрубриками. Поскольку место распространения или\nспециальная адаптация могут варьироваться в количестве используе-\nмых цифровых характеристик, предполагается, что дополнительная\nподклассификация по локализации должна быть помещена в идентифици-\nруемую отдельную позицию (например, в дополнительный блок). Раз-\nличные подклассификации, используемые при уточнении повреждения\nколена, дорсопатиях или биомеханических нарушениях, не классифици-\nрованных в других рубриках, приведены на с. 659, 666 и 697 соот-\nветственно.\n0 Множественная локализация\n1 Плечевая область Ключица, Акромиально- } лопатка ключичный, } плечевой, } суставы грудино- } ключичный }\n2 Плечо Плечевая Локтевой сустав кость\n3 Предплечье Лучевая Лучезапястный сустав кость, локтевая кость\n4 Кисть Запястье, Суставы между этими пальцы, костями пясть\n5 Тазовая Ягодичная Тазобедренный сустав, область и бедро область, крестцо-подвздошный бедренная сустав кость, таз\n6 Голень Малоберцовая Коленный сустав кость, большеберцовая кость\n7 Голеностопный Плюсна, Голеностопный сустав, сустав и стопа предплюсна, другие суставы стопы пальцы стопы\n8 Другие Голова, шея, ребра, череп, туловище, позвоночник\n9 Локализация неуточненная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12002, 'АРТРОПАТИИ', 'M00-M25', 12001, 'M00-M99', 4, 'Нарушения, поражающие преимущественно периферические суставы\n(конечностей)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12003, 'ИНФЕКЦИОННЫЕ АРТРОПАТИИ', 'M00-M03', 12002, 'M00-M25', 4, 'Примечание. Эта группа охватывает артропатии, вызванные микробиологическими агентами. Разграничение проведено по следующим типам этиологической связи: а) прямое инфицирование сустава, при котором микроорганизмы инвазируют синовиальную ткань и в суставе обнаруживаются микробные антигены; б) непрямое инфицирование, которое может быть двух типов: "реактивная артропатия", когда микробное инфицирование организма установлено, но в суставе не выявлены ни микроорганизмы, ни антигены; и "постинфекционная артропатия", при которой микробный антиген присутствует, но выздоровление организма неокончательное и свидетельства локального размножения микроорганизма отсутствуют.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12004, 'Пиогенный артрит', 'M00', 12003, 'M00-M03', 5, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12005, 'Стафилококковый артрит и полиартрит', 'M00.0', 12004, 'M00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12006, 'Пневмококковый артрит и полиартрит', 'M00.1', 12004, 'M00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12007, 'Другие стрептококковые артриты и полиартриты', 'M00.2', 12004, 'M00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12008, 'Артриты и полиартриты, вызванные другими уточненными бактериальными возбудителями', 'M00.8', 12004, 'M00', 0, 'При необходимости идентифицировать бактериальный агент используют дополнительный код (B95-B98).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12009, 'Пиогенный артрит неуточненный', 'M00.9', 12004, 'M00', 0, 'Инфекционный артрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12010, 'Прямое инфицирование сустава при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'M01*', 12003, 'M00-M03', 8, '[код локализации см. выше] Исключены: артропатия при саркоидозе (M14.8*) постинфекционная и реактивная артропатия (M03.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12011, 'Менингококковый артрит (A39.8+)', 'M01.0*', 12010, 'M01*', 0, 'Исключен: постменингококковый артрит (M03.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12012, 'Туберкулезный артрит (A18.0+)', 'M01.1*', 12010, 'M01*', 0, 'Исключен: позвоночника (M49.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12013, 'Артрит при болезни Лайма (A69.2+)', 'M01.2*', 12010, 'M01*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12014, 'Артрит при других бактериальных болезнях, классифицированных в других рубриках', 'M01.3*', 12010, 'M01*', 0, 'Артрит при: . лепре [болезнь Гансена] (A30.-+) . локализованной сальмонеллезной инфекции (A02.2+) . тифе или паратифе (A01.-+) Гонококковый артрит (A54.4+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12015, 'Артрит при краснухе (B06.8+)', 'M01.4*', 12010, 'M01*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12016, 'Артрит при других вирусных болезнях, классифицированных в других рубриках', 'M01.5*', 12010, 'M01*', 0, 'Артрит при: . эпидемическом паротите (B26.8+) . лихорадка ОНьонг-Ньонг (A92.1+)''');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12017, 'Артрит при микозах (B35-B49+)', 'M01.6*', 12010, 'M01*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12018, 'Артрит при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'M01.8*', 12010, 'M01*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12019, 'Реактивные артропатии', 'M02', 12003, 'M00-M03', 6, '[код локализации см. выше] Исключены: болезнь Бехчета (M35.2) ревматическая лихорадка (I00)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12020, 'Артропатия, сопровождающая кишечный шунт', 'M02.0', 12019, 'M02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12021, 'Постдизентерийная артропатия', 'M02.1', 12019, 'M02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12022, 'Постиммунизационная артропатия', 'M02.2', 12019, 'M02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12023, 'Болезнь Рейтера', 'M02.3', 12019, 'M02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12024, 'Другие реактивные артропатии', 'M02.8', 12019, 'M02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12025, 'Реактивная артропатия неуточненная', 'M02.9', 12019, 'M02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12026, 'Постинфекционные и реактивные артропатии при болезнях,классифицированных в других рубриках', 'M03*', 12003, 'M00-M03', 4, '[код локализации см. выше] Исключено: прямое инфицирование сустава при инфекционных и паразитарных болезнях, классифицированных в других рубриках (M01.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12027, 'Артрит после перенесенной менингококковой инфекции (A39.8+)', 'M03.0*', 12026, 'M03*', 0, 'Исключен: менингококковый артрит (M01.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12028, 'Постинфекционная артропатия при сифилисе', 'M03.1*', 12026, 'M03*', 0, 'Суставы Клаттона (A50.5+) Исключен: артропатия Шарко или табетическая артропатия (M14.6*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12029, 'Другие постинфекционные артропатии при болезнях, классифицированных в других рубриках', 'M03.2*', 12026, 'M03*', 0, 'Постинфекционная артропатия при: . энтерите, вызванном Yersinia enterocolitica (A04.6+) . вирусном гепатите (B15-B19+) Исключены: вирусные артропатии (M01.4-M01.5*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12030, 'Реактивная артропатия при других болезнях, классифицированных в других рубриках', 'M03.6*', 12026, 'M03*', 0, 'Артропатия при инфекционном эндокардите (I33.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12032, 'ВОСПАЛИТЕЛЬНЫЕ ПОЛИАРТРОПАТИИ', 'M05-M14', 12002, 'M00-M25', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12033, 'Серопозитивный ревматоидный артрит', 'M05', 12032, 'M05-M14', 6, '[код локализации см. выше] Исключены: ревматическая лихорадка (I00) ревматоидный артрит: . юношеский (M08.-) . позвоночника (M45)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12034, 'Синдром Фелти', 'M05.0', 12033, 'M05', 0, 'Ревматоидный артрит со спленомегалией и лейкопенией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12035, 'Ревматоидная болезнь легкого (J99.0*)', 'M05.1+', 12033, 'M05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12036, 'Ревматоидный васкулит', 'M05.2', 12033, 'M05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12037, 'Ревматоидный артрит с вовлечением других органов и систем', 'M05.3+', 12033, 'M05', 0, 'Ревматоидный(ая): . кардит (I52.8*) . эндокардит (I39.-*) . миокардит (I41.8*) . миопатия (G73.7*) . перикардит (I32.8*) . полиневропатия (G63.6*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12038, 'Другие серопозитивные ревматоидные артриты', 'M05.8', 12033, 'M05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12039, 'Серопозитивный ревматоидный артрит неуточненный', 'M05.9', 12033, 'M05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12040, 'Другие ревматоидные артриты', 'M06', 12032, 'M05-M14', 7, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12041, 'Серонегативный ревматоидный артрит', 'M06.0', 12040, 'M06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12042, 'Болезнь Стилла, развившаяся у взрослых', 'M06.1', 12040, 'M06', 0, 'Исключена: болезнь Стилла БДУ (M08.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12043, 'Ревматоидный бурсит', 'M06.2', 12040, 'M06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12044, 'Ревматоидный узелок', 'M06.3', 12040, 'M06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12045, 'Воспалительная полиартропатия', 'M06.4', 12040, 'M06', 0, 'Исключен: полиартрит БДУ (M13.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12046, 'Другие уточненные ревматоидные артриты', 'M06.8', 12040, 'M06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12047, 'Ревматоидный артрит неуточненный', 'M06.9', 12040, 'M06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12048, 'Псориатические и энтеропатические артропатии', 'M07*', 12032, 'M05-M14', 7, '[код локализации см. выше] Исключены: ювенильные псориатические и энтеропатические артропатии (M09.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12049, 'Дистальная межфаланговая псориатическая артропатия(L40.5+)', 'M07.0*', 12048, 'M07*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12050, 'Мутилирующий артрит (L40.5+)', 'M07.1*', 12048, 'M07*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12051, 'Псориатический спондилит (L40.5+)', 'M07.2*', 12048, 'M07*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12052, 'Другие псориатические артропатии (L40.5+)', 'M07.3*', 12048, 'M07*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12053, 'Артропатия при болезни Крона [регионарном энтерите](K50.-+)', 'M07.4*', 12048, 'M07*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12054, 'Артропатия при язвенном колите (K51.-+)', 'M07.5*', 12048, 'M07*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12055, 'Другие энтеропатические артропатии', 'M07.6*', 12048, 'M07*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12056, 'Юношеский [ювенильный] артрит', 'M08', 12032, 'M05-M14', 7, '[код локализации см. выше] Включен: артрит у детей, начавшийся до 16-летнего возраста и длящийся более 3-х месяцев Исключены: синдром Фелти (M05.0) юношеский дерматомиозит (M33.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12057, 'Юношеский ревматоидный артрит', 'M08.0', 12056, 'M08', 0, 'Ювенильный ревматоидный артрит с ревматоидным фактором или без него');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12058, 'Юношеский анкилозирующий спондилит', 'M08.1', 12056, 'M08', 0, 'Исключен: анкилозирующий спондилит у взрослых (M45)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12059, 'Юношеский артрит с системным началом', 'M08.2', 12056, 'M08', 0, 'Болезнь Стилла БДУ Исключена: Болезнь Стилла с началом у взрослых (M06.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12060, 'Юношеский полиартрит (серонегативный)', 'M08.3', 12056, 'M08', 0, 'Хронический ювенильный полиартрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12061, 'Пауциартикулярный юношеский артрит', 'M08.4', 12056, 'M08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12062, 'Другие юношеские артриты', 'M08.8', 12056, 'M08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12063, 'Юношеский артрит неуточненный', 'M08.9', 12056, 'M08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12064, 'Юношеский [ювенильный] артрит при болезнях, классифицированных в других рубриках', 'M09*', 12032, 'M05-M14', 4, '[код локализации см. выше] Исключена: артропатия при болезни Уипла (M14.8*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12065, 'Юношеский артрит при псориазе (L40.5+)', 'M09.0*', 12064, 'M09*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12066, 'Юношеский артрит при болезни Крона регионарном энтерите (K50.-+)', 'M09.1*', 12064, 'M09*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12067, 'Юношеский артрит при язвенном колите (K51.-+)', 'M09.2*', 12064, 'M09*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12068, 'Юношеский артрит при других болезнях, классифицированных в других рубриках', 'M09.8*', 12064, 'M09*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12069, 'Подагра', 'M10', 12032, 'M05-M14', 6, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12070, 'Идиопатическая подагра', 'M10.0', 12069, 'M10', 0, 'Подагрический бурсит Первичная подагра Подагрические узлы [уратные тофусы] в сердце + (I43.8*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12071, 'Свинцовая подагра', 'M10.1', 12069, 'M10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12072, 'Лекарственная подагра', 'M10.2', 12069, 'M10', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12073, 'Подагра, обусловленная нарушением почечной функции', 'M10.3', 12069, 'M10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12074, 'Другая вторичная подагра', 'M10.4', 12069, 'M10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12075, 'Подагра неуточненная', 'M10.9', 12069, 'M10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12076, 'Другие кристаллические артропатии', 'M11', 12032, 'M05-M14', 5, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12077, 'Отложение гидроксиапатита', 'M11.0', 12076, 'M11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12078, 'Наследственный хондрокальциноз', 'M11.1', 12076, 'M11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12079, 'Другой хондрокальциноз', 'M11.2', 12076, 'M11', 0, 'Хондрокальциноз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12080, 'Другие уточненные кристаллические артропатии', 'M11.8', 12076, 'M11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12081, 'Кристаллическая артропатия неуточненная', 'M11.9', 12076, 'M11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12082, 'Другие специфические артропатии', 'M12', 12032, 'M05-M14', 7, '[код локализации см. выше] Исключены: артропатия БДУ (M13.9) артроз (M15-M19) перстнечерпаловидная артропатия (J38.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12083, 'Хроническая постревматическая артропатия [Жакку]', 'M12.0', 12082, 'M12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12084, 'Болезнь Кашина-Бека', 'M12.1', 12082, 'M12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12085, 'Ворсинчато-узелковый [виллонодуряный] синовит (пигментный)', 'M12.2', 12082, 'M12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12086, 'Палиндромный ревматизм', 'M12.3', 12082, 'M12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12087, 'Интермиттирующий гидрартроз', 'M12.4', 12082, 'M12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12088, 'Травматическая артропатия', 'M12.5', 12082, 'M12', 0, 'Исключены: посттравматический артроз: . БДУ (M19.1) . первого предплюсно-плюсневого сустава (M18.2-M18.3) . тазобедренного сустава (M16.4-M16.5) . коленного сустава (M17.2-M17.3) . других отдельных суставов (M19.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12089, 'Другие уточненные артропатии, не классифицированные в других рубриках', 'M12.8', 12082, 'M12', 0, 'Преходящая артропатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12090, 'Другие артриты', 'M13', 12032, 'M05-M14', 4, '[код локализации см. выше] Исключен: артроз (M15-M19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12091, 'Полиартрит неуточненный', 'M13.0', 12090, 'M13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12092, 'Моноартрит, не классифицированный в других рубриках', 'M13.1', 12090, 'M13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12093, 'Другие уточненные артриты', 'M13.8', 12090, 'M13', 0, 'Аллергический артрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12094, 'Артрит неуточненный', 'M13.9', 12090, 'M13', 0, 'Артропатия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12095, 'Артропатии при других болезнях, классифицированных в других рубриках', 'M14*', 12032, 'M05-M14', 8, 'Исключены: артропатия (при): . гематологических нарушениях (M36.2-M36.3*) . реакциях гиперчувствительности (M36.4*) . новообразованиях (M36.1*) невропатическая спондилопатия (M49.4*) псориатические и энтеропатические артропатии (M07.-*) . юношеская (M09.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12096, 'Подагрическая артропатия вследствие ферментных дефектов и других наследственных нарушений', 'M14.0*', 12095, 'M14*', 0, 'Подагрическая артропатия при: . синдроме Леша-Нихена (E79.1+) . серповидно-клеточных расстройствах (D57.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12097, 'Кристаллическая артропатия при других обменных болезнях', 'M14.1*', 12095, 'M14*', 0, 'Кристаллическая артропатия при гиперпаратиреоидизме (E21.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12098, 'Диабетическая артропатия (E10-E14+ с общим четвертым знаком .6)', 'M14.2*', 12095, 'M14*', 0, 'Исключена: диабетическая невропатическая артропатия (M14.6*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12099, 'Липоидный дерматоартрит (E78.8+)', 'M14.3*', 12095, 'M14*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12100, 'Артропатия при амилоидозе (E85.-+)', 'M14.4*', 12095, 'M14*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12101, 'Артропатия при других болезнях эндокринной системы, расстройствах питания и нарушениях обмена веществ', 'M14.5*', 12095, 'M14*', 0, 'Артропатия при: . акромегалии и гипофизарном гигантизме (E22.0+) . гемохроматозе (E83.1+) . гипотиреозе (E00-E03+) . тиреотоксикозе гипертиреозе (E05.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12102, 'Невропатическая артропатия', 'M14.6*', 12095, 'M14*', 0, 'Артропатия Шарко, или табетическая артропатия (A52.1+) Диабетическая невропатическая артропатия (E10-E14+ с общим четвертым знаком .6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12103, 'Артропатия при других уточненных болезнях, классифицированных в других рубриках', 'M14.8*', 12095, 'M14*', 0, 'Артропатия при: . эритеме: . многоформной (L51.-+) . узловатой (L52+) . саркоидозе (D86.8+) . болезни Уипла (K90.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12105, 'АРТРОЗЫ', 'M15-M19', 12002, 'M00-M25', 5, 'Примечание. В этом блоке термин "остеоартрит" использован как синоним термина "артроз" или "остеоартроз". Термин "первичный" использован в его обычном клиническом значении.\nИсключен: остеоартрит позвоночника (M47.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12106, 'Полиартроз', 'M15', 12105, 'M15-M19', 7, 'Включен: артроз более чем одного сустава Исключено: двустороннее поражение одних и тех же суставов (M16-M19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12107, 'Первичный генерализованный (остео)артроз', 'M15.0', 12106, 'M15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12108, 'Узлы Гебердена (с артропатией)', 'M15.1', 12106, 'M15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12109, 'Узлы Бушара (с артропатией)', 'M15.2', 12106, 'M15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12110, 'Вторичный множественный артроз', 'M15.3', 12106, 'M15', 0, 'Посттравматический полиартроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12111, 'Эрозивный (остео)артроз', 'M15.4', 12106, 'M15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12112, 'Другой полиартроз', 'M15.8', 12106, 'M15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12113, 'Полиартроз неуточненный', 'M15.9', 12106, 'M15', 0, 'Генерализованный остеоартрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12114, 'Коксартроз [артроз тазобедренного сустава]', 'M16', 12105, 'M15-M19', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12115, 'Первичный коксартроз двусторонний', 'M16.0', 12114, 'M16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12116, 'Другой первичный коксартроз', 'M16.1', 12114, 'M16', 0, 'Первичный коксартроз: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12117, 'Коксартроз в результате дисплазии двусторонний', 'M16.2', 12114, 'M16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12118, 'Другие диспластические коксартрозы', 'M16.3', 12114, 'M16', 0, 'Диспластический коксартроз: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12119, 'Посттравматический коксартроз двусторонний', 'M16.4', 12114, 'M16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12120, 'Другие посттравматические коксартрозы', 'M16.5', 12114, 'M16', 0, 'Посттравматический коксартроз: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12121, 'Другие вторичные коксартрозы двусторонние', 'M16.6', 12114, 'M16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12122, 'Другие вторичные коксартрозы', 'M16.7', 12114, 'M16', 0, 'Вторичный коксартроз: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12123, 'Коксартроз неуточненный', 'M16.9', 12114, 'M16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12124, 'Гонартроз [артроз коленного сустава]', 'M17', 12105, 'M15-M19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12125, 'Первичный гонартроз двусторонний', 'M17.0', 12124, 'M17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12126, 'Другой первичный гонартроз', 'M17.1', 12124, 'M17', 0, 'Первичный гонартроз: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12127, 'Посттравматический гонартроз двусторонний', 'M17.2', 12124, 'M17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12128, 'Другие посттравматические гонартрозы', 'M17.3', 12124, 'M17', 0, 'Посттравматический гонартроз: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12129, 'Другие вторичные гонартрозы двусторонние', 'M17.4', 12124, 'M17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12130, 'Другие вторичные гонартрозы', 'M17.5', 12124, 'M17', 0, 'Вторичный гонартроз: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12131, 'Гонартроз неуточненный', 'M17.9', 12124, 'M17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12132, 'Артроз первого запястно-пястного сустава', 'M18', 12105, 'M15-M19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12133, 'Первичный артроз первого запястно-пястного сустава двусторонний', 'M18.0', 12132, 'M18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12134, 'Другие первичные артрозы первого запястно-пястного сустава', 'M18.1', 12132, 'M18', 0, 'Первичный артроз первого запястно-пястного сустава: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12135, 'Посттравматический артроз первого запястно-пястного сустава двусторонний', 'M18.2', 12132, 'M18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12136, 'Другие посттравматические артрозы первого запястно-пястного сустава', 'M18.3', 12132, 'M18', 0, 'Посттравматический артроз первого запястно-пястного сустава: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12137, 'Другие вторичные артрозы первого запястно-пястного сустава двусторонние', 'M18.4', 12132, 'M18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12138, 'Другие вторичные артрозы первого запястно-пястного сустава', 'M18.5', 12132, 'M18', 0, 'Вторичный артроз первого запястно-пястного сустава: . БДУ . односторонний');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12139, 'Артроз первого запястно-пястного сустава неуточненный', 'M18.9', 12132, 'M18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12140, 'Другие артрозы', 'M19', 12105, 'M15-M19', 5, '[код локализации см. выше] Исключены: артроз позвоночника (M47.-) ригидный большой палец стопы (M20.2) полиартроз (M15.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12141, 'Первичный артроз других суставов', 'M19.0', 12140, 'M19', 0, 'Первичный артроз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12142, 'Посттравматический артроз других суставов', 'M19.1', 12140, 'M19', 0, 'Посттравматический артроз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12143, 'Вторичный артроз других суставов', 'M19.2', 12140, 'M19', 0, 'Вторичный артроз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12144, 'Другой уточненный артроз', 'M19.8', 12140, 'M19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12145, 'Артроз неуточненный', 'M19.9', 12140, 'M19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12147, 'ДРУГИЕ ПОРАЖЕНИЯ СУСТАВОВ', 'M20-M25', 12002, 'M00-M25', 6, 'Исключены: суставы позвоночника (M40-M54)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12148, 'Приобретенные деформации пальцев рук и ног', 'M20', 12147, 'M20-M25', 7, 'Исключены: приобретенное отсутствие пальцев рук и ног (Z89.-) врожденное(ые): . отсутствие пальцев рук и ног (Q71.3, Q72.3) . деформации и аномалии развития пальцев рук и ног (Q66.-, Q68-Q70, Q74.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12149, 'Деформация пальца(цев)', 'M20.0', 12148, 'M20', 0, 'Деформация пальцев рук и ног в виде бутоньерки и шеи лебедя Исключены: пальцы в виде барабанных палочек ладонный фасциальный фиброматоз [Дюпюитрена] (M72.0) "щелкающий" палец (M65.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12150, 'Наружное искривление большого пальца (hallus valgus)(приобретенное)', 'M20.1', 12148, 'M20', 0, 'Бурсит большого пальца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12151, 'Ригидный большой палец стопы', 'M20.2', 12148, 'M20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12152, 'Другие деформации большого пальца стопы (приобретенные)', 'M20.3', 12148, 'M20', 0, 'Внутреннее искривление большого пальца (hallus varus)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12153, 'Другие молоткообразные деформации стопы (приобретенные)', 'M20.4', 12148, 'M20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12154, 'Другие деформации пальца(цев) стопы (приобретенные)', 'M20.5', 12148, 'M20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12155, 'Приобретенные деформации пальца(цев) стопы неуточненные', 'M20.6', 12148, 'M20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12156, 'Другие приобретенные деформации конечностей', 'M21', 12147, 'M20-M25', 10, '[код локализации см. выше] Исключены: приобретенное отсутствие конечности (Z89.-) приобретенные деформации пальцев рук и ног (M20.-) врожденное(ые): . отсутствие конечностей (Q71-Q73) . деформации и аномалии развития конечностей (Q65-Q66, Q68-Q74) coxa plana (M91.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12157, 'Вальгусная деформация, не классифицированная в других рубриках', 'M21.0', 12156, 'M21', 0, 'Исключены: metatarsus valgus (Q66.6) пяточно-вальгусная косолапость (Q66.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12158, 'Варусная деформация, не классифицированная в других рубриках', 'M21.1', 12156, 'M21', 0, 'Исключены: metatarsus varus (Q66.2) tibia vara (M92.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12159, 'Сгибательная деформация', 'M21.2', 12156, 'M21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12160, 'Свисание стопы или кисти (приобретенное)', 'M21.3', 12156, 'M21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12161, 'Плоская стопа [pes planus] (приобретенная)', 'M21.4', 12156, 'M21', 0, 'Исключена: врожденная плоская стопа [pes planus] (Q66.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12162, 'Приобретенные когтеобразная кисть, косорукость, полая стопа (с высоким сводом) и искривленная стопа (косолапость)', 'M21.5', 12156, 'M21', 0, 'Исключена: искривленная стопа, не уточненная как приобретенная (Q66.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12163, 'Другие приобретенные деформации лодыжки и стопы', 'M21.6', 12156, 'M21', 0, 'Исключены: деформации пальца стопы (приобретенные) (M20.1-M20.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12164, 'Разная длина конечностей (приобретенная)', 'M21.7', 12156, 'M21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12165, 'Другие уточненные приобретенные деформации конечностей', 'M21.8', 12156, 'M21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12166, 'Приобретенная деформация конечностей неуточненная', 'M21.9', 12156, 'M21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12167, 'Поражения надколенника', 'M22', 12147, 'M20-M25', 7, 'Исключен: вывих надколенника (S83.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12168, 'Привычный вывих надколенника', 'M22.0', 12167, 'M22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12169, 'Привычный подвывих надколенника', 'M22.1', 12167, 'M22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12170, 'Нарушения между надколенником и бедренной костью', 'M22.2', 12167, 'M22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12171, 'Другие поражения надколенника', 'M22.3', 12167, 'M22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12172, 'Хондромаляция надколенника', 'M22.4', 12167, 'M22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12173, 'Другие поражения надколенника', 'M22.8', 12167, 'M22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12174, 'Поражение надколенника неуточненное', 'M22.9', 12167, 'M22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12175, 'Внутрисуставные поражения колена', 'M23', 12147, 'M20-M25', 9, 'Следующие дополнительные пятые знаки, обозначающие локализацию поражения, даны для факультативного использования с соответствующими подрубриками в рубрике M23.-; см. также примечание на с. 644. 0 Множественная локализация 1 Передняя крестовидная или Передний рог медиального связка мениска 2 Задняя крестовидная связка или Задний рог медиального мениска 3 Внутренняя коллатеральная или Другой и неуточненный связка медиальный мениск 4 Наружная коллатеральная или Передний рог латерального связка мениска 5 Задний рог латерального мениска 6 Другой и неуточненный латеральный мениск 7 Капсулярная связка 9 Неуточненная связка или Неуточненный мениск\n Исключены: анкилоз (M24.6) текущая травма - см. травму колена и нижней конечности (S80-S89) деформация колена (M21.-) поражения надколенника (M22.-) рассекающий остеохондрит (M93.2) повторяющиеся вывихи или подвывихи (M24.4) . надколенника (M22.0-M22.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12176, 'Кистозный мениск', 'M23.0', 12175, 'M23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12177, 'Дисковидный мениск (врожденный)', 'M23.1', 12175, 'M23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12178, 'Поражение мениска в результате старого разрыва или травмы', 'M23.2', 12175, 'M23', 0, 'Старый разрыв рога мениска');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12179, 'Другие поражения мениска', 'M23.3', 12175, 'M23', 0, 'Дегенеративный } Раздельный } мениск Фиксированный }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12180, 'Свободное тело в коленном суставе', 'M23.4', 12175, 'M23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12181, 'Хроническая нестабильность коленного сустава', 'M23.5', 12175, 'M23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12182, 'Другие спонтанные разрывы связки(ок) колена', 'M23.6', 12175, 'M23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12183, 'Другие внутренние поражения колена', 'M23.8', 12175, 'M23', 0, 'Слабость связок колена Хруст в колене');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12184, 'Внутреннее поражение коленного сустава неуточненные', 'M23.9', 12175, 'M23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12185, 'Другие специфические поражения суставов', 'M24', 12147, 'M20-M25', 10, '[код локализации см. выше] Исключены: текущая травма - см. травмы сустава по области тела ганглион (M67.4) хруст в колене (M23.8) нарушения височно-нижнечелюстного сустава (K07.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12186, 'Свободное тело в суставе', 'M24.0', 12185, 'M24', 0, 'Исключено: свободное тело в коленном суставе (M23.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12187, 'Другие нарушения суставного хряща', 'M24.1', 12185, 'M24', 0, 'Исключены: хондрокальциноз (M11.1-M11.2) внутрисуставное поражение колена (M23.-) нарушения метаболизма кальция (E83.5) охроноз (E70.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12188, 'Поражение связок', 'M24.2', 12185, 'M24', 0, 'Нестабильность вследствие старой травмы связок Слабость связок БДУ Исключены: наследственная слабость связок (M35.7) колена (M23.5-M23.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12189, 'Патологическое смещение и подвывих сустава, не классифицированное в других рубриках', 'M24.3', 12185, 'M24', 0, 'Исключены: смещение или дислокация сустава: . врожденные - см. врожденные аномалии и деформации костно-мышечной системы (Q65-Q79) . текущие - см. травмы суставов и связок по области тела . повторяющиеся (M24.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12190, 'Повторяющиеся вывихи и подвывихи сустава', 'M24.4', 12185, 'M24', 0, 'Исключены: надколенника (M22.0-M22.1) подвывих позвонков (M43.3-M43.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12191, 'Контрактура сустава', 'M24.5', 12185, 'M24', 0, 'Исключены: приобретенные деформации конечностей (M20-M21) контрактура сухожилия влагалища без контрактуры сустава (M67.1) контрактура Дюпюитрена (M72.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12192, 'Анкилоз сустава', 'M24.6', 12185, 'M24', 0, 'Исключен: позвоночника (M43.2) тугоподвижность сустава без анкилоза (M25.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12193, 'Протрузия вертлужной впадины', 'M24.7', 12185, 'M24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12194, 'Другие уточненные поражения суставов, не классифицированные в других рубриках', 'M24.8', 12185, 'M24', 0, 'Нестабильный тазобедренный сустав');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12195, 'Поражение сустава неуточненное', 'M24.9', 12185, 'M24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12196, 'Другие поражения суставов, не классифицированные в других рубриках', 'M25', 12147, 'M20-M25', 10, '[код локализации см. выше] Исключены: нарушение походки и подвижности (R26.-) обызвествление: . суставной сумки (M71.4) . плеча (сустава) (M75.3) . сухожилия (M65.2) деформации, классифицированные в рубриках M20-M21 трудности передвижения (R26.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12197, 'Гемартроз', 'M25.0', 12196, 'M25', 0, 'Исключена: травма, текущий случай - см. травмы суставов по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12198, 'Фистула сустава', 'M25.1', 12196, 'M25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12199, 'Болтающийся сустав', 'M25.2', 12196, 'M25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12200, 'Другая нестабильность сустава', 'M25.3', 12196, 'M25', 0, 'Исключены: нестабильность сустава вторичная вследствие: . старой травмы связок (M24.2) . удаления суставного протеза (M96.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12201, 'Выпот в суставе', 'M25.4', 12196, 'M25', 0, 'Исключен: гидрартроз при фрамбезии (A66.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12202, 'Боль в суставе', 'M25.5', 12196, 'M25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12203, 'Тугоподвижность в суставе, не классифицированная в других рубриках', 'M25.6', 12196, 'M25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12204, 'Остеофит', 'M25.7', 12196, 'M25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12205, 'Другие уточненные болезни суставов', 'M25.8', 12196, 'M25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12206, 'Болезнь сустава неуточненная', 'M25.9', 12196, 'M25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12209, 'СИСТЕМНЫЕ ПОРАЖЕНИЯ СОЕДИНИТЕЛЬНОЙ ТКАНИ', 'M30-M36', 12001, 'M00-M99', 7, 'Включены: аутоиммунные болезни: . БДУ . системные коллагеновые (сосудистые) болезни: . БДУ . системные\nИсключены: аутоиммунные болезни с поражением одного органа или одного типа клеток (кодируются по рубрике соответствующего состояния)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12210, 'Узелковый полиартериит и родственные состояния', 'M30', 12209, 'M30-M36', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12211, 'Узелковый полиартериит', 'M30.0', 12210, 'M30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12212, 'Полиартериит с поражением легких [Черджа-Стросса]', 'M30.1', 12210, 'M30', 0, 'Аллергический гранулематозный ангиит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12213, 'Ювенильный полиартериит', 'M30.2', 12210, 'M30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12214, 'Слизисто-кожный лимфонодулярный синдром [Кавасаки]', 'M30.3', 12210, 'M30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12215, 'Другие состояния, связанные с узелковым полиартериитом', 'M30.8', 12210, 'M30', 0, 'Полиангиит перекрестный синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12216, 'Другие некротизирующие васкулопатии', 'M31', 12209, 'M30-M36', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12217, 'Гиперчувствительный ангиит', 'M31.0', 12216, 'M31', 0, 'Синдром Гудпасчера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12218, 'Тромботическая микроангиопатия', 'M31.1', 12216, 'M31', 0, 'Тромботическая тромбоцитопеническая пурпура');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12219, 'Смертельная срединная гранулема', 'M31.2', 12216, 'M31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12220, 'Гранулематоз Вегенера', 'M31.3', 12216, 'M31', 0, 'Некротизирующий респираторный гранулематоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12221, 'Синдром дуги аорты [Такаясу]', 'M31.4', 12216, 'M31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12222, 'Гигантоклеточный артериит с ревматической полимиалгией', 'M31.5', 12216, 'M31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12223, 'Другие гигантоклеточные артерииты', 'M31.6', 12216, 'M31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12224, 'Другие уточненные некротизирующие васкулопатии', 'M31.8', 12216, 'M31', 0, 'Гипокомплементемический васкулит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12225, 'Некротизирующая васкулопатия неуточненная', 'M31.9', 12216, 'M31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12226, 'Системная красная волчанка', 'M32', 12209, 'M30-M36', 4, 'Исключена: красная волчанка (дискоидная) (БДУ) (L93.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12227, 'Лекарственная системная красная волчанка', 'M32.0', 12226, 'M32', 0, 'При необходимости для идентификации лекарственного средства используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12228, 'Системная красная волчанка с поражением других органов или систем', 'M32.1+', 12226, 'M32', 0, 'Болезнь Либмана-Сакса (I39.-*) Перикардит при системной красной волчанке (I32.8*) Системная красная волчанка с: . поражением почек (N08.5*, N16.4*) . поражением легких (J99.1*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12229, 'Другие формы системной красной волчанки', 'M32.8', 12226, 'M32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12230, 'Системная красная волчанка неуточненная', 'M32.9', 12226, 'M32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12231, 'Дерматополимиозит', 'M33', 12209, 'M30-M36', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12232, 'Юношеский дерматомиозит', 'M33.0', 12231, 'M33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12233, 'Другие дерматомиозиты', 'M33.1', 12231, 'M33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12234, 'Полимиозит', 'M33.2', 12231, 'M33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12235, 'Дерматополимиозит неуточненный', 'M33.9', 12231, 'M33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12236, 'Системный склероз', 'M34', 12209, 'M30-M36', 5, 'Включена: склеродермия Исключены: склеродермия: . ограниченная (L94.0) . новорожденного (P83.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12237, 'Прогрессирующий системный склероз', 'M34.0', 12236, 'M34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12238, 'Синдром CR(E)ST', 'M34.1', 12236, 'M34', 0, 'Сочетание кальциноза, синдрома Рейно, дисфункции пищевода, склеродактилии и телеангиэктазии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12239, 'Системный склероз, вызванный лекарственными средствами и химическими соединениями', 'M34.2', 12236, 'M34', 0, 'При необходимости идентифицировать причину используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12240, 'Другие формы системного склероза', 'M34.8', 12236, 'M34', 0, 'Системный склероз с: . поражением легких + (J99.1*) . миопатией + (G73.7*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12241, 'Системный склероз неуточненный', 'M34.9', 12236, 'M34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12242, 'Другие системные поражения соединительной ткани', 'M35', 12209, 'M30-M36', 10, 'Исключен: реактивный перфорирующий коллагеноз (L87.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12243, 'Сухой синдром [Шегрена]', 'M35.0', 12242, 'M35', 0, 'Синдром Шегрена с: . кератоконъюнктивитом + (H19.3*) . поражением легких + (J99.1*) . миопатией + (G73.7*) . тубулоинтерстициальным поражением почек + (N16.4*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12244, 'Другие перекрестные синдромы', 'M35.1', 12242, 'M35', 0, 'Смешанное заболевание соединительной ткани Исключен: полиангиитный перекрестный синдром (M30.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12245, 'Болезнь Бехчета', 'M35.2', 12242, 'M35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12246, 'Ревматическая полимиалгия', 'M35.3', 12242, 'M35', 0, 'Исключена: ревматическая полимиалгия с гигантоклеточным артериитом (M31.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12247, 'Диффузный (эозинофильный) фасциит', 'M35.4', 12242, 'M35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12248, 'Многоочаговый фибросклероз', 'M35.5', 12242, 'M35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12249, 'Рецидивирующий панникулит Вебера-Крисчена', 'M35.6', 12242, 'M35', 0, 'Исключены: панникулит: . БДУ (M79.3) . волчаночный (L93.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12250, 'Гипермобильный синдром разболтанности, излишней подвижности', 'M35.7', 12242, 'M35', 0, 'Семейная слабость связок Исключены: синдром Элерса-Данло (Q79.6) слабость связок БДУ (M24.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12251, 'Другие уточненные системные поражения соединительной ткани', 'M35.8', 12242, 'M35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12252, 'Системные поражения соединительной ткани неуточненные', 'M35.9', 12242, 'M35', 0, 'Аутоимунная болезнь (системная) БДУ Коллагеновая (васкулярная) болезнь БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12253, 'Системные поражения соединительной ткани при болезнях, классифицированных в других рубриках', 'M36*', 12209, 'M30-M36', 6, 'Исключены: артропатии при болезнях, классифицированных в других рубриках (M14.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12254, 'Дермато(поли)миозит при новообразованиях (C00-D48+)', 'M36.0*', 12253, 'M36*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12255, 'Артропатия при новообразованиях (C00-D48+)', 'M36.1*', 12253, 'M36*', 0, 'Артропатия при: . лейкозе (C91-C95+) . злокачественном гистиоцитозе (C96.1+) . множественной миеломе (C90.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12256, 'Артропатия при гемофилии (D66-D68+)', 'M36.2*', 12253, 'M36*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12257, 'Артропатия при других болезнях крови (D50-D76+)', 'M36.3*', 12253, 'M36*', 0, 'Исключена: артропатия при пурпуре Шенлейна-Геноха (M36.4*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12258, 'Артропатия при реакциях гиперчувствительности, классифицированных в других рубриках', 'M36.4*', 12253, 'M36*', 0, 'Артропатия при пурпуре Шенлейна-Геноха (D69.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12259, 'Системные поражения соединительной ткани при других болезнях, классифицированных в других рубриках', 'M36.8*', 12253, 'M36*', 0, 'Системные поражения соединительной ткани при: . гипогаммаглобулинемии (D80.+) . охронозе (E70.2+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12261, 'ДОРСОПАТИИ', 'M40-M54', 12001, 'M00-M99', 3, 'Следующие дополнительные пятые знаки, обозначающие локализацию по-\nражения, даны для факультативного использования с соответствующими\nрубриками блока "Дорсопатии", исключая рубрики M50 и M51; см. так-\nже примечание на с. 644.\n0 Множественные отделы позвоночника\n1 Область затылка, первого и второго шейных позвонков\n2 Область шеи\n3 Шейно-грудной отдел\n4 Грудной отдел\n5 Пояснично-грудной отдел\n6 Поясничный отдел\n7 Пояснично-крестцовый отдел\n8 Крестцовый и крестцово-копчиковый отдел\n9 Неуточненная локализация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12262, 'ДЕФОРМИРУЮЩИЕ ДОРСОПАТИИ', 'M40-M43', 12261, 'M40-M54', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12264, 'Кифоз и лордоз', 'M40', 12262, 'M40-M43', 6, '[код локализации см. выше] Исключены: кифосколиоз (M41.-) кифоз и лордоз: . врожденный (Q76.4) . после медицинских процедур (M96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12265, 'Кифоз позиционный', 'M40.0', 12264, 'M40', 0, 'Исключен: остеохондроз позвоночника (M42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12266, 'Другие вторичные кифозы', 'M40.1', 12264, 'M40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12267, 'Другие и неуточненные кифозы', 'M40.2', 12264, 'M40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12268, 'Синдром прямой спины', 'M40.3', 12264, 'M40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12269, 'Другие лордозы', 'M40.4', 12264, 'M40', 0, 'Лордоз: . приобретенный . позиционный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12270, 'Лордоз неуточненный', 'M40.5', 12264, 'M40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12271, 'Сколиоз', 'M41', 12262, 'M40-M43', 8, '[код локализации см. выше] Включен: кифосколиоз Исключены: врожденный сколиоз: . БДУ (Q67.5) . вследствие порока развития костей (Q76.3) . позиционный (Q67.5) кифосколиотическая болезнь сердца (I27.1) после медицинских процедур (M96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12272, 'Инфантильный идиопатический сколиоз', 'M41.0', 12271, 'M41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12273, 'Юношеский идиопатический сколиоз', 'M41.1', 12271, 'M41', 0, 'Сколиоз у подростков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12274, 'Другие идиопатические сколиозы', 'M41.2', 12271, 'M41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12275, 'Торакогенный сколиоз', 'M41.3', 12271, 'M41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12276, 'Нервно-мышечный сколиоз', 'M41.4', 12271, 'M41', 0, 'Сколиоз вследствие церебрального паралича, атаксии Фридрейха, полиомиелита и других нервно-мышечных нарушений');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12277, 'Прочие вторичные сколиозы', 'M41.5', 12271, 'M41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12278, 'Другие формы сколиоза', 'M41.8', 12271, 'M41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12279, 'Сколиоз неуточненный', 'M41.9', 12271, 'M41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12280, 'Остеохондроз позвоночника', 'M42', 12262, 'M40-M43', 3, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12281, 'Юношеский остеохондроз позвоночника', 'M42.0', 12280, 'M42', 0, 'Болезнь Кальве Болезнь Шейермана Исключен: позиционный кифоз (M40.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12282, 'Остеохондроз позвоночника у взрослых', 'M42.1', 12280, 'M42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12283, 'Остеохондроз позвоночника неуточненный', 'M42.9', 12280, 'M42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12284, 'Другие деформирующие дорсопатии', 'M43', 12262, 'M40-M43', 9, '[код локализации см. выше] Исключены: врожденный спондилолиз и спондилолистез (Q76.2) половинчатость позвонка (Q76.3-Q76.4) синдром Клиппеля-Фейля (Q76.1) люмбализация и сакрализация (Q76.4) платиспондилиз (Q76.4) spina bifida occulta (Q76.0) искривление позвоночника при: . остеопорозе (M80-M81) . болезни Педжета (костей) деформирующий остеит (M88.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12285, 'Спондилолиз', 'M43.0', 12284, 'M43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12286, 'Спондилолистез', 'M43.1', 12284, 'M43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12287, 'Другие сращения позвоночного столба', 'M43.2', 12284, 'M43', 0, 'Анкилоз суставов спины Исключены: анкилозирующий спондилит (M45) состояние, связанное с артродезом (Z98.1) псевдоартроз после сращения или артродеза (M96.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12288, 'Привычный атланто-аксиальный подвывих с миелопатией', 'M43.3', 12284, 'M43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12289, 'Другие привычные антланто-аксиальные подвывихи', 'M43.4', 12284, 'M43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12290, 'Другие привычные подвывихи позвонков', 'M43.5', 12284, 'M43', 0, 'Исключены: биомеханические повреждения НКДР (M99.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12291, 'Кривошея', 'M43.6', 12284, 'M43', 0, 'Исключены: кривошея: . врожденная грудино-сосцевидная (Q68.0) . текущая травма - см. травмы позвоночника по областям тела . вследствие родовой травмы (P15.8) . психогенная (F45.8) . спастическая (G24.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12292, 'Другие уточненные деформирующие дорсопатии', 'M43.8', 12284, 'M43', 0, 'Исключены: кифоз и лордоз (M40.-) сколиоз (M41.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12293, 'Деформирующая дорсопатия неуточненная', 'M43.9', 12284, 'M43', 0, 'Искривление позвоночника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12294, 'СПОНДИЛОПАТИИ', 'M45-M49', 12261, 'M40-M54', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12295, 'Анкилозирующий спондилит', 'M45', 12294, 'M45-M49', 0, '[код локализации см. выше] Исключены: артропатии при болезни Рейтера (M02.3) болезнь Бехчета (M35.2) юношеский (анкилозирующий) спондилит (M08.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12296, 'Другие воспалительные спондилопатии', 'M46', 12294, 'M45-M49', 8, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12297, 'Энтезопатия позвоночника', 'M46.0', 12296, 'M46', 0, 'Нарушение прикрепления связок или мышц позвоночника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12298, 'Сакроилеит, не классифицированный в других рубриках', 'M46.1', 12296, 'M46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12299, 'Остеомиелит позвонков', 'M46.2', 12296, 'M46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12300, 'Инфекция межпозвоночных дисков (пиогенная)', 'M46.3', 12296, 'M46', 0, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12301, 'Дисцит неуточненный', 'M46.4', 12296, 'M46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12302, 'Другие инфекционные спондилопатии', 'M46.5', 12296, 'M46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12303, 'Другие уточненные воспалительные спондилопатии', 'M46.8', 12296, 'M46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12304, 'Воспалительные спондилопатии неуточненные', 'M46.9', 12296, 'M46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12305, 'Спондилез', 'M47', 12294, 'M45-M49', 5, '[код локализации см. выше] Включены: артроз или остеоартрит позвоночника дегенерация фасетных суставов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12306, 'Синдром сдавления передней спинальной или позвоночной артерии (G99.2*)', 'M47.0+', 12305, 'M47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12307, 'Другие спондилезы с миелопатией', 'M47.1', 12305, 'M47', 0, 'Спондилогенное сдавление спинного мозга + (G99.2*) Исключен: подвывих позвонков (M43.3-M43.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12308, 'Другие спондилезы с радикулопатией', 'M47.2', 12305, 'M47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12309, 'Другие спондилезы', 'M47.8', 12305, 'M47', 0, 'Шейный спондилез } Пояснично-крестцовый спондилез } без миелопатии Грудной спондилез } или радикулопатии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12310, 'Спондилез неуточненный', 'M47.9', 12305, 'M47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12311, 'Другие спондилопатии', 'M48', 12294, 'M45-M49', 8, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12312, 'Спинальный стеноз', 'M48.0', 12311, 'M48', 0, 'Хвостовой каудальный стеноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12313, 'Анкилозирующий гиперостоз Форестье', 'M48.1', 12311, 'M48', 0, 'Диффузный идиопатический скелетный гиперостоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12314, '"Целующиеся" позвонки', 'M48.2', 12311, 'M48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12315, 'Травматическая спондилопатия', 'M48.3', 12311, 'M48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12316, 'Перелом позвоночника, связанный с перенапряжением', 'M48.4', 12311, 'M48', 0, 'Перегрузочный [стрессовый] перелом позвоночника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12317, 'Разрушение позвонка, не классифицированное в других рубриках', 'M48.5', 12311, 'M48', 0, 'Разрушение позвонка БДУ Клиновидная деформация позвонка БДУ Исключены: разрушение позвонка при остеопорозе (M80.-) текущая травма - см. травмы по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12318, 'Другие уточненные спондилопатии', 'M48.8', 12311, 'M48', 0, 'Оссификация задней продольной связки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12319, 'Спондилопатия неуточненная', 'M48.9', 12311, 'M48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12320, 'Спондилопатии при болезнях, классифицированных в других рубриках', 'M49*', 12294, 'M45-M49', 7, '[код локализации см. выше] Исключены: псориатическая и энтеропатическая артропатии (M07.-*, M09.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12321, 'Туберкулез позвоночника (A18.0+)', 'M49.0*', 12320, 'M49*', 0, 'Горб Потта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12322, 'Бруцеллезный спондилит (A23.-+)', 'M49.1*', 12320, 'M49*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12323, 'Энтеробактериальный спондилит (A01-A04+)', 'M49.2*', 12320, 'M49*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12324, 'Спондилопатии при других инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'M49.3*', 12320, 'M49*', 0, 'Исключена: нейропатическая спондилопатия при спинной сухотке (M49.4*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12325, 'Нейропатическая спондилопатия', 'M49.4*', 12320, 'M49*', 0, 'Нейропатическая спондилопатия при: . сирингомиелии и сирингобульбии (G95.0+) . спинной сухотке [tabes dorsalis] (A52.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12326, 'Разрушение позвоночника при болезнях, классифицированных в других рубриках', 'M49.5*', 12320, 'M49*', 0, 'Метастатический перелом позвоночника (C79.5+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12327, 'Спондилопатии при других болезнях, классифицированных в других рубриках', 'M49.8*', 12320, 'M49*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12329, 'ДРУГИЕ ДОРСОПАТИИ', 'M50-M54', 12261, 'M40-M54', 4, 'Исключены: текущая травма - см. травмы позвоночника по областям тела дисцит БДУ (M46.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12330, 'Поражение межпозвоночных дисков шейного отдела', 'M50', 12329, 'M50-M54', 6, 'Включены: поражения межпозвоночного диска шейного отдела с болевым синдромом поражения межпозвоночных дисков шейно-грудного отдела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12331, 'Поражение межпозвоночного диска шейного отдела с миелопатией (G99.2*)', 'M50.0+', 12330, 'M50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12332, 'Поражение  межпозвоночного диска шейного отдела с радикулопатией', 'M50.1', 12330, 'M50', 0, 'Исключен: плечевой радикулит БДУ (M54.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12333, 'Смещение межпозвоночного диска шейного отдела другого типа', 'M50.2', 12330, 'M50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12334, 'Другая дегенерация межпозвоночного диска шейного отдела', 'M50.3', 12330, 'M50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12335, 'Другие поражения межпозвоночного диска шейного отдела', 'M50.8', 12330, 'M50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12336, 'Поражение межпозвоночного диска шейного отдела неуточненное', 'M50.9', 12330, 'M50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12337, 'Поражение межпозвоночных дисков других отделов', 'M51', 12329, 'M50-M54', 7, 'Включены: поражения межпозвоночных дисков грудного, пояснично-грудного и пояснично-крестцового отделов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12338, 'Поражения межпозвоночных дисков поясничного и других отделов с миелопатией (G99.2*)', 'M51.0+', 12337, 'M51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12339, 'Поражения межпозвоночных дисков поясничного и других отделов с радикулопатией', 'M51.1', 12337, 'M51', 0, 'Ишиас вследствие поражения межпозвоночного диска Исключено: поясничный радикулит БДУ (M54.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12340, 'Другое уточненное смещение межпозвоночного диска', 'M51.2', 12337, 'M51', 0, 'Люмбаго вследствие смещения межпозвоночного диска');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12341, 'Другая уточненная дегенерации межпозвоночного диска', 'M51.3', 12337, 'M51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12342, 'Узлы [грыжи] Шморля', 'M51.4', 12337, 'M51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12343, 'Другое уточненное поражение межпозвоночного диска', 'M51.8', 12337, 'M51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12344, 'Поражение межпозвоночного диска неуточненное', 'M51.9', 12337, 'M51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12345, 'Другие дорсопатии, не классифицированные в других рубриках', 'M53', 12329, 'M50-M54', 6, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12346, 'Шейно-черепной синдром', 'M53.0', 12345, 'M53', 0, 'Заднешейный симпатический синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12347, 'Шейно-плечевой синдром', 'M53.1', 12345, 'M53', 0, 'Исключены: поражение межпозвоночного диска шейного отдела (M50.-) инфраторакальный синдром [поражение плечевого сплетения] (G54.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12348, 'Спинальная нестабильность', 'M53.2', 12345, 'M53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12349, 'Крестцово-копчиковые нарушения, не классифицированные в других рубриках', 'M53.3', 12345, 'M53', 0, 'Кокцигодиния');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12350, 'Другие уточненные дорсопатии', 'M53.8', 12345, 'M53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12351, 'Дорсопатия неуточненная', 'M53.9', 12345, 'M53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12352, 'Дорсалгия', 'M54', 12329, 'M50-M54', 9, '[код локализации см. выше] Исключена: психогенная дорсалгия (F45.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12353, 'Панникулит, поражающий шейный отдел и позвоночник', 'M54.0', 12352, 'M54', 0, 'Исключены: панникулит: . БДУ (M79.3) . волчаночный (L93.2) . рецидивирующий [Вебера-Крисчена] (M35.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12354, 'Радикулопатия', 'M54.1', 12352, 'M54', 0, 'Неврит и радикулит: . плечевой БДУ . поясничный БДУ . пояснично-крестцовый БДУ . грудной БДУ Радикулит БДУ Исключены: невралгия и неврит БДУ (M79.2) радикулопатия при: . поражении межпозвоночного диска шейного отдела (M50.1) . поражении межпозвоночного диска поясничного и других отделов (M51.1) . спондилезе (M47.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12355, 'Цервикалгия', 'M54.2', 12352, 'M54', 0, 'Исключена: цервикалгия в результате поражения межпозвоночного диска (M50.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12356, 'Ишиас', 'M54.3', 12352, 'M54', 0, 'Исключены: поражение седалищного нерва (G57.0) ишиас: . вызванный поражением межпозвоночного диска (M51.1) . с люмбаго (M54.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12357, 'Люмбаго с ишиасом', 'M54.4', 12352, 'M54', 0, 'Исключено: вызванное поражением межпозвоночного диска (M51.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12358, 'Боль внизу спины', 'M54.5', 12352, 'M54', 0, 'Поясничная боль Напряжение внизу спины Люмбаго БДУ Исключены: люмбаго: . вследствие смещения межпозвоночного диска (M51.2) . с ишиасом (M54.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12359, 'Боль в грудном отделе позвоночника', 'M54.6', 12352, 'M54', 0, 'Исключена: вследствие поражения межпозвоночного диска (M51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12360, 'Другая дорсалгия', 'M54.8', 12352, 'M54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12361, 'Дорсалгия неуточненная', 'M54.9', 12352, 'M54', 0, 'Боль в спине БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12364, 'БОЛЕЗНИ МЯГКИХ ТКАНЕЙ', 'M60-M79', 12001, 'M00-M99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12365, 'БОЛЕЗНИ МЫШЦ', 'M60-M63', 12364, 'M60-M79', 4, 'Исключены: дерматополимиозит (M33.-) мышечные дистрофии и миопатии (G71-G72) миопатии при: . амилоидозе (E85.-) . узелковом полиартериите (M30.0) . ревматоидном артрите (M05.3) . склеродермии (M34.-) . синдроме Шегрена (M35.0) . системной красной волчанке (M32.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12367, 'Миозит', 'M60', 12365, 'M60-M63', 5, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12368, 'Инфекционный миозит', 'M60.0', 12367, 'M60', 0, 'Тропический пиомиозит При необходимости идентифицировать инфекционный агент используют дополнительные коды (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12369, 'Интерстициальный миозит', 'M60.1', 12367, 'M60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12370, 'Гранулема мягких тканей, вызванная попаданием инородного тела, не классифицированная в других рубриках', 'M60.2', 12367, 'M60', 0, 'Исключена: гранулема кожи и подкожной ткани, вызванная попаданием инородного тела (L92.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12371, 'Другие миозиты', 'M60.8', 12367, 'M60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12372, 'Миозит неуточненный', 'M60.9', 12367, 'M60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12373, 'Кальцификация и оссификация мышцы', 'M61', 12365, 'M60-M63', 7, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12374, 'Миозит оссифицирующий травматический', 'M61.0', 12373, 'M61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12375, 'Миозит оссифицирующий прогрессирующий', 'M61.1', 12373, 'M61', 0, 'Фибродисплазия оссифицирующая прогрессирующая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12376, 'Паралитическая кальцификация и оссификация мышц', 'M61.2', 12373, 'M61', 0, 'Оссифицирующий миозит в сочетании с квадриплегией или параплегией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12377, 'Кальцификация и оссификация  мышц, связанные с ожогами', 'M61.3', 12373, 'M61', 0, 'Оссифицирующий миозит, связанный с ожогами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12378, 'Другая кальцификация мышцы', 'M61.4', 12373, 'M61', 0, 'Исключены: кальцифицирующий тендинит (M65.2) . плеча (M75.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12379, 'Другая оссификация мышцы', 'M61.5', 12373, 'M61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12380, 'Кальцификация и оссификация мышцы неуточненная', 'M61.9', 12373, 'M61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12381, 'Другие нарушения мышцы', 'M62', 12365, 'M60-M63', 9, '[код локализации см. выше] Исключены: судорога и спазм (R25.2) миалгия (M79.1) миопатия: . алкогольная (G72.1) . лекарственная (G72.0) синдром "негнущегося человека" (G25.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12382, 'Расхождение мышцы', 'M62.0', 12381, 'M62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12383, 'Другой разрыв мышцы (нетравматический)', 'M62.1', 12381, 'M62', 0, 'Исключены: разрыв сухожилия (M66.-) травматический разрыв мышц - см. травмы мышц по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12384, 'Ишемический инфаркт мышцы', 'M62.2', 12381, 'M62', 0, 'Исключены: синдром сдавления (T79.6) травматическая ишемия мышцы (T79.6) ишемическая контрактура Фолькмана (T79.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12385, 'Синдром иммобилизации (параплегический)', 'M62.3', 12381, 'M62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12386, 'Контрактура мышцы', 'M62.4', 12381, 'M62', 0, 'Исключена: контрактура сустава (M24.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12387, 'Истощение и атрофия мышц, не классифицированные в других рубриках', 'M62.5', 12381, 'M62', 0, 'Атрофия мышц при отсутствии функциональной нагрузки на них НКДР');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12388, 'Мышечная деформация', 'M62.6', 12381, 'M62', 0, 'Исключена: текущая травма - см. травма мышц по области тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12389, 'Другие уточненные поражения мышц', 'M62.8', 12381, 'M62', 0, 'Мышечная грыжа (оболочки)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12390, 'Нарушения мышц неуточненные', 'M62.9', 12381, 'M62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12391, 'Поражения мышцы при болезнях, классифицированных в других рубриках', 'M63*', 12365, 'M60-M63', 5, 'Исключены: миопатия при: . эндокринных болезнях (G73.5*) . нарушениях обмена веществ (G73.6*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12392, 'Миозиты при бактериальных  болезнях, классифицированных в других рубриках', 'M63.0*', 12391, 'M63*', 0, 'Миозит при: . лепре [болезни Гансена] (A30.-+) . сифилисе (A51.4+, A52.7+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12393, 'Миозиты при протозойной и паразитарной инфекциях, классифицированных в других рубриках', 'M63.1*', 12391, 'M63*', 0, 'Миозит при: . цистицеркозе (B69.8+) . шистосомозе бильгарциозе (B65.-+) . токсоплазмозе (B58.8+) . трихинеллезе (B75+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12394, 'Миозит при других инфекционных болезнях, классифицированных в других рубриках', 'M63.2*', 12391, 'M63*', 0, 'Миозит при микозе (B35-B49+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12395, 'Миозит при саркоидозе (D86.8+)', 'M63.3*', 12391, 'M63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12396, 'Другие мышечные расстройства при болезнях, классифицированных в других рубриках', 'M63.8*', 12391, 'M63*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12397, 'ПОРАЖЕНИЯ СИНОВИАЛЬНЫХ ОБОЛОЧЕК И СУХОЖИЛИЙ', 'M65-M68', 12364, 'M60-M79', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12398, 'Синовиты и теносиновиты', 'M65', 12397, 'M65-M68', 7, '[код локализации см. выше] Исключены: хронический крепитирующий синовит кисти и запястья (M70.0) текущая травма - см. травмы связки или сухожилия по областям тела болезни мягких тканей, связанные с нагрузкой, перегрузкой и давлением (M70.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12399, 'Абсцесс оболочки сухожилия', 'M65.0', 12398, 'M65', 0, 'При необходимости идентифицировать бактериальный агент используют дополнительный код (B95-B96).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12400, 'Другие инфекционные (тено)синовиты', 'M65.1', 12398, 'M65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12401, 'Кальцифицирующий тендинит', 'M65.2', 12398, 'M65', 0, 'Исключены: плеча (M75.3) уточненные тендиниты (M75-M77)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12402, 'Щелкающий палец', 'M65.3', 12398, 'M65', 0, 'Узелковая болезнь сухожилия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12403, 'Теносиновит шиловидного отростка лучевой кости [синдром де Кервена]', 'M65.4', 12398, 'M65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12404, 'Другие синовиты и теносиновиты', 'M65.8', 12398, 'M65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12405, 'Синовит и теносиновит неуточненный', 'M65.9', 12398, 'M65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12406, 'Спонтанный разрыв синовиальной оболочки и сухожилия', 'M66', 12397, 'M65-M68', 6, '[код локализации см. выше] Включены: разрывы тканей, вызванные приложением к ним обычных усилий, как следствие уменьшения прочности тканей Исключены: синдром сдавления ротатора (M75.1) травматический разрыв (при приложении к нормальным тканям чрезмерной силы) - см. травмы сухожилия по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12407, 'Разрыв подколенной кисты', 'M66.0', 12406, 'M66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12408, 'Разрыв синовиальной оболочки', 'M66.1', 12406, 'M66', 0, 'Разрыв синовиальной кисты Исключен: разрыв подколенной кисты (M66.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12409, 'Спонтанный разрыв сухожилий разгибателей', 'M66.2', 12406, 'M66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12410, 'Спонтанный разрыв сухожилий сгибателей', 'M66.3', 12406, 'M66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12411, 'Спонтанный разрыв других сухожилий', 'M66.4', 12406, 'M66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12412, 'Спонтанный разрыв неуточненных сухожилий', 'M66.5', 12406, 'M66', 0, 'Разрыв мышечно-сухожильного соединения нетравматический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12413, 'Другие нарушения синовиальных оболочек и сухожилий', 'M67', 12397, 'M65-M68', 7, 'Исключены: ладонный фасциальный фиброматоз Дюпюитрена (M72.0) тендинит БДУ (M77.9) ксантоматоз, локализованный в сухожилиях (E78.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12414, 'Короткое пяточное [ахиллово] сухожилие (приобретенное)', 'M67.0', 12413, 'M67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12415, 'Другая контрактура сухожилия (влагалища)', 'M67.1', 12413, 'M67', 0, 'Исключена: с контрактурой сустава (M24.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12416, 'Синовиальная гипертрофия, не классифицированная в других рубриках', 'M67.2', 12413, 'M67', 0, 'Исключен: ворсинчато-узелковый [виллонодулярный] синовит (пигментный) (M12.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12417, 'Мигрирующий синовит', 'M67.3', 12413, 'M67', 0, 'Токсический синовит Исключен: палиндромный ревматизм (M12.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12418, 'Ганглион', 'M67.4', 12413, 'M67', 0, 'Ганглион сустава или сухожилия (влагалища) Исключены: киста: . синовиальной сумки } . синовиальной оболочки } (M71.2-M71.3) ганглион при фрамбезии (A66.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12419, 'Другие уточненные поражения синовиальной оболочки и сухожилия', 'M67.8', 12413, 'M67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12420, 'Поражение синовиальной оболочки и сухожилия неуточненное', 'M67.9', 12413, 'M67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12421, 'Поражения синовиальных  оболочек и сухожилий при болезнях, классифицированных в других рубриках', 'M68*', 12397, 'M65-M68', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12422, 'Синовит и теносиновит при бактериальных болезнях, классифицированных в других рубриках', 'M68.0*', 12421, 'M68*', 0, 'Синовит и теносиновит при: . гонорее (A54.4+) . сифилисе (A52.7+) . туберкулезе (A18.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12423, 'Другие поражения синовиальной оболочки и сухожилий при болезнях, классифицированных в других рубриках', 'M68.8*', 12421, 'M68*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12425, 'ДРУГИЕ БОЛЕЗНИ МЯГКИХ ТКАНЕЙ', 'M70-M79', 12364, 'M60-M79', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12426, 'Болезни мягких тканей, связанные с нагрузкой, перегрузкой и давлением', 'M70', 12425, 'M70-M79', 10, '[код локализации см. выше] Включены: профессиональные болезни мягких тканей Исключены: бурсит: . БДУ (M71.9) . плеча (M75.5) энтезопатии (M76-M77)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12427, 'Хронический крепитирующий синовит кисти и запястья', 'M70.0', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12428, 'Бурсит кисти', 'M70.1', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12429, 'Бурсит локтевого отростка', 'M70.2', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12430, 'Другие бурситы локтевого сустава', 'M70.3', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12431, 'Препателлярный бурсит', 'M70.4', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12432, 'Другие бурситы коленного сустава', 'M70.5', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12433, 'Бурсит большого вертела (бедренной кости)', 'M70.6', 12426, 'M70', 0, 'Тендинит большого вертела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12434, 'Другие бурситы бедра', 'M70.7', 12426, 'M70', 0, 'Седалищный бурсит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12435, 'Другие болезни мягких тканей, связанные с нагрузкой, перегрузкой и давлением', 'M70.8', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12436, 'Болезни мягких тканей, связанные с нагрузкой, перегрузкой и давлением неуточненные', 'M70.9', 12426, 'M70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12437, 'Другие бурсопатии', 'M71', 12425, 'M70-M79', 8, '[код локализации см. выше] Исключены: бурсит большого пальца стопы (M20.1) бурситы, связанные с нагрузкой, перегрузкой и давлением (M70.-) энтезопатии (M76-M77)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12438, 'Абсцесс синовиальной сумки', 'M71.0', 12437, 'M71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12439, 'Другие инфекционные бурситы', 'M71.1', 12437, 'M71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12440, 'Синовиальная киста подколенной области [Бейкера]', 'M71.2', 12437, 'M71', 0, 'Исключена: с разрывом (M66.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12441, 'Другая киста синовиальной сумки', 'M71.3', 12437, 'M71', 0, 'Синовиальная киста БДУ Исключена: синовиальная киста с разрывом (M66.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12442, 'Отложение кальция в синовиальной сумке', 'M71.4', 12437, 'M71', 0, 'Исключено: в плече (M75.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12443, 'Другие бурситы, не классифицированные в других рубриках', 'M71.5', 12437, 'M71', 0, 'Исключены: бурсит: . БДУ (M71.9) . плеча (M75.5) . коллатеральный большеберцовый Пеллегрини-Штиды (M76.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12444, 'Другие уточненные бурсопатии', 'M71.8', 12437, 'M71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12445, 'Бурсопатия неуточненная', 'M71.9', 12437, 'M71', 0, 'Бурсит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12446, 'Фибробластические нарушения', 'M72', 12425, 'M70-M79', 8, '[код локализации см. выше] Исключен: ретроперитонеальный фиброматоз (D48.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12447, 'Ладонный фасциальный фиброматоз [Дюпюитрена]', 'M72.0', 12446, 'M72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12448, 'Соединительнотканные узелки на тыльной поверхности пальцев', 'M72.1', 12446, 'M72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12449, 'Подошвенный фасциальный фиброматоз', 'M72.2', 12446, 'M72', 0, 'Подошвенный фасциит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12450, 'Узелковый фасциит', 'M72.3', 12446, 'M72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12451, 'Псевдосаркоматозный фиброматоз', 'M72.4', 12446, 'M72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12452, 'Фасциит, не классифицированный в других рубриках', 'M72.5', 12446, 'M72', 0, 'Исключены: фасциит: . диффузный (эозинофильный) (M35.4) . узелковый (M72.3) . подошвенный (M72.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12453, 'Другие фибробластические нарушения', 'M72.8', 12446, 'M72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12454, 'Фибробластические нарушения неуточненные', 'M72.9', 12446, 'M72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12455, 'Поражения мягких тканей при болезнях, классифицированных в других рубриках', 'M73*', 12425, 'M70-M79', 3, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12456, 'Гонококковый бурсит (A54.4+)', 'M73.0*', 12455, 'M73*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12457, 'Сифилитический бурсит (A52.7+)', 'M73.1*', 12455, 'M73*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12458, 'Другие поражения мягких тканей при болезнях, классифицированных в других рубриках', 'M73.8*', 12455, 'M73*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12459, 'Поражения плеча', 'M75', 12425, 'M70-M79', 8, 'Исключен: синдром плечо-кисть (M89.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12460, 'Адгезивный капсулит плеча', 'M75.0', 12459, 'M75', 0, '"Замерзшее плечо" Периартрит плеча');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12461, 'Синдром сдавления ротатора плеча', 'M75.1', 12459, 'M75', 0, 'Сдавление ротатора или супрастенальное рассечение или разрыв (полный) (неполный), не уточненный как травматический Супраспинальный синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12462, 'Тендинит двуглавой мышцы', 'M75.2', 12459, 'M75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12463, 'Кальцифицирующий тендинит плеча', 'M75.3', 12459, 'M75', 0, 'Отложение кальция в синовиальной сумке плеча');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12464, 'Синдром удара плеча', 'M75.4', 12459, 'M75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12465, 'Бурсит плеча', 'M75.5', 12459, 'M75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12466, 'Другие поражения плеча', 'M75.8', 12459, 'M75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12467, 'Поражение плеча неуточненное', 'M75.9', 12459, 'M75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12468, 'Энтезопатии нижней конечности, исключая стопу', 'M76', 12425, 'M70-M79', 10, '[код локализации см. выше] Примечание. Описательные термины "бурсит", "капсулит" и "тендинит" часто применяются без четкой дифференциации для различных нарушений периферических связок или прикреплений мышц; большинство этих состояний собраны вместе под термином "энтезопатии", являющимся общим для повреждений этих локализаций. Исключен: бурсит вследствие нагрузки, перегрузки и давления (M70.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12469, 'Тендинит ягодичных мышц', 'M76.0', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12470, 'Тендинит поясничных мышц', 'M76.1', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12471, 'Шпора подвздошного гребешка', 'M76.2', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12472, 'Подвздошный большеберцовый связочный синдром', 'M76.3', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12473, 'Большеберцовый коллатеральный бурсит [Пеллегрини-Штиды]', 'M76.4', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12474, 'Тендинит области надколенника', 'M76.5', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12475, 'Тендинит пяточного [ахиллова] сухожилия', 'M76.6', 12468, 'M76', 0, 'Бурсит пяточного [ахиллова] сухожилия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12476, 'Тендинит малоберцовой кости', 'M76.7', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12477, 'Другие энтезопатии нижней конечности, исключая стопу', 'M76.8', 12468, 'M76', 0, 'Синдром передней большеберцовой мышцы Тендинит задней большеберцовой мышцы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12478, 'Энтезопатия нижней конечности неуточненная', 'M76.9', 12468, 'M76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12479, 'Другие энтезопатии', 'M77', 12425, 'M70-M79', 8, '[код локализации см. выше] Исключены: бурсит: . БДУ (M71.9) . вследствие нагрузки, перегрузки и давления (M70.-) остеофит (M25.7) энтезопатия позвоночника (M46.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12480, 'Медиальный эпикондилит', 'M77.0', 12479, 'M77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12481, 'Латеральный эпикондилит', 'M77.1', 12479, 'M77', 0, 'Локоть теннисиста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12482, 'Периартериит запястья', 'M77.2', 12479, 'M77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12483, 'Пяточная шпора', 'M77.3', 12479, 'M77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12484, 'Метатарзалгия', 'M77.4', 12479, 'M77', 0, 'Исключена: метатарзалгия Мортона (G57.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12485, 'Другие энтезопатии стопы', 'M77.5', 12479, 'M77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12486, 'Другие энтезопатии, не классифицированные в других рубриках', 'M77.8', 12479, 'M77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12487, 'Энтезопатия неуточненная', 'M77.9', 12479, 'M77', 0, 'Костная шпора БДУ Капсулит БДУ Периартрит БДУ Тендинит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12488, 'Другие болезни мягких тканей, не классифицированные в других рубриках', 'M79', 12425, 'M70-M79', 9, '[код локализации см. выше] Исключена: боль в мягких тканях, психогенная (F45.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12489, 'Ревматизм неуточненный', 'M79.0', 12488, 'M79', 0, 'Фибромиалгия Фиброзит Исключен: палиндромный ревматизм (M12.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12490, 'Миалгия', 'M79.1', 12488, 'M79', 0, 'Исключен: миозит (M60.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12491, 'Невралгия и неврит неуточненные', 'M79.2', 12488, 'M79', 0, 'Исключены: мононевропатии (G56-G58) радикулит: . БДУ } . плечевой } (M54.1) . пояснично-крестцовый } ишиас (M54.3-M54.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12492, 'Панникулит неуточненный', 'M79.3', 12488, 'M79', 0, 'Исключены: панникулит: . волчаночный (L93.2) . шеи и позвоночника (M54.0) . рецидивирующий [Вебера-Крисчена] (M35.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12493, 'Гипертрофия (подколенной) жировой подушечки', 'M79.4', 12488, 'M79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12494, 'Остаточное инородное тело в мягких тканях', 'M79.5', 12488, 'M79', 0, 'Исключены: гранулема (вызванная попаданием инородного тела в): . кожу и подкожную ткань (L92.3) . мягких тканей (M60.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12495, 'Боль в конечности', 'M79.6', 12488, 'M79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12496, 'Другие уточненные поражения мягких тканей', 'M79.8', 12488, 'M79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12497, 'Болезнь мягких тканей неуточненная', 'M79.9', 12488, 'M79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12500, 'ОСТЕОПАТИИ И ХОНДРОПАТИИ', 'M80-M94', 12001, 'M00-M99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12501, 'НАРУШЕНИЯ ПЛОТНОСТИ И СТРУКТУРЫ КОСТИ', 'M80-M85', 12500, 'M80-M94', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12503, 'Остеопороз с патологическим переломом', 'M80', 12501, 'M80-M85', 8, '[код локализации см. выше] Включено: остеопоротическое разрушение и заклинивание позвонка Исключены: разрушение позвонка БДУ (M48.5) патологический перелом БДУ (M84.4) клиновидная деформация позвонка БДУ (M48.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12504, 'Постменопаузный остеопороз с патологическим переломом', 'M80.0', 12503, 'M80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12505, 'Остеопороз с патологическим переломом после удаления яичников', 'M80.1', 12503, 'M80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12506, 'Остеопороз с патологическим переломом, вызванный обездвиженностью', 'M80.2', 12503, 'M80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12507, 'Постхирургический остеопороз с патологическим переломом,вызванный нарушением всасывания в кишечнике', 'M80.3', 12503, 'M80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12508, 'Лекарственный остеопороз с патологическим переломом', 'M80.4', 12503, 'M80', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12509, 'Идиопатический остеопороз с патологическим переломом', 'M80.5', 12503, 'M80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12510, 'Другой остеопороз с патологическим переломом', 'M80.8', 12503, 'M80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12511, 'Остеопороз с патологическим переломом неуточненный', 'M80.9', 12503, 'M80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12512, 'Остеопороз без патологического перелома', 'M81', 12501, 'M80-M85', 9, '[код локализации см. выше] Исключен: остеопороз с патологическим переломом (M80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12513, 'Постменопаузный остеопороз', 'M81.0', 12512, 'M81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12514, 'Остеопороз после удаления яичников', 'M81.1', 12512, 'M81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12515, 'Остеопороз, вызванный обездвиженностью', 'M81.2', 12512, 'M81', 0, 'Исключена: атрофия Зудека (M89.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12516, 'Постхирургический остеопороз, вызванный нарушением всасывания', 'M81.3', 12512, 'M81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12517, 'Лекарственный остеопороз', 'M81.4', 12512, 'M81', 0, 'Для идентификации лекарственного средства используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12518, 'Идиопатический остеопороз', 'M81.5', 12512, 'M81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12519, 'Локализованный остеопороз [Лекена]', 'M81.6', 12512, 'M81', 0, 'Исключена: атрофия Зудека (M89.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12520, 'Другие остеопорозы', 'M81.8', 12512, 'M81', 0, 'Старческий остеопороз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12521, 'Остеопороз неуточненный', 'M81.9', 12512, 'M81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12522, 'Остеопороз при болезнях, классифицированных в других рубриках', 'M82*', 12501, 'M80-M85', 3, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12523, 'Остеопороз при множественном миеломатозе (C90.0+)', 'M82.0*', 12522, 'M82*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12524, 'Остеопороз при эндокринных нарушениях (E00-E34+)', 'M82.1*', 12522, 'M82*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12525, 'Остеопороз при других болезнях, классифицированных в других рубриках', 'M82.8*', 12522, 'M82*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12526, 'Остеомаляция у взрослых', 'M83', 12501, 'M80-M85', 8, '[см. вышеуказанный код локализации] Исключены: остеомаляция: . детская и юношеская (E55.0) . витамин D-резистентная (E83.3) почечная остеодистрофия (N25.0) рахит (активный) (E55.0) . последствия (E64.3) . витамин D-резистентный (E83.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12527, 'Послеродовая остеомаляция', 'M83.0', 12526, 'M83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12528, 'Старческая остеомаляция', 'M83.1', 12526, 'M83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12529, 'Остеомаляция вследствие нарушения всасывания', 'M83.2', 12526, 'M83', 0, 'Постхирургическая остеомаляция у взрослых вследствие нарушения всасывания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12530, 'Остеомаляция у взрослых вследствие недостаточности питания', 'M83.3', 12526, 'M83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12531, 'Костная болезнь, связанная с алюминием', 'M83.4', 12526, 'M83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12532, 'Другие лекарственные остеомаляции у взрослых', 'M83.5', 12526, 'M83', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12533, 'Другая остеомаляция у взрослых', 'M83.8', 12526, 'M83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12534, 'Остеомаляция у взрослых неуточненная', 'M83.9', 12526, 'M83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12535, 'Нарушения целостности кости', 'M84', 12501, 'M80-M85', 7, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12536, 'Плохое срастание перелома', 'M84.0', 12535, 'M84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12537, 'Несрастание перелома [псевдартроз]', 'M84.1', 12535, 'M84', 0, 'Исключен: псевдартроз после сращения или артродеза (M96.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12538, 'Замедленное сращение перелома', 'M84.2', 12535, 'M84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12539, 'Стрессовые переломы, не классифицированные в других рубриках', 'M84.3', 12535, 'M84', 0, 'Стрессовые переломы БДУ Исключен: перегрузочный [стрессовый] перелом позвоночника (M48.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12540, 'Патологические переломы, не классифицированные в других рубриках', 'M84.4', 12535, 'M84', 0, 'Патологический перелом БДУ Исключены: разрушение позвонка БДУ (M48.5) патологический перелом при остеопорозе (M80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12541, 'Другие нарушения целостности кости', 'M84.8', 12535, 'M84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12542, 'Нарушение целостности кости неуточненное', 'M84.9', 12535, 'M84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12543, 'Другие нарушения плотности и структуры кости', 'M85', 12501, 'M80-M85', 9, '[код локализации см. выше] Исключены: несовершенный остеогенез (Q78.0) остеопетроз [окаменение кости] (Q78.2) остеопойкилоз (Q78.8) множественная фиброзная дисплазия костей (Q78.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12544, 'Фиброзная дисплазия (избирательная, одной кости)', 'M85.0', 12543, 'M85', 0, 'Исключена: фиброзная дисплазия челюсти (K10.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12545, 'Флюороз скелета', 'M85.1', 12543, 'M85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12546, 'Гиперостоз черепа', 'M85.2', 12543, 'M85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12547, 'Остеит вследствие отложения минеральных солей(склерозирующий)', 'M85.3', 12543, 'M85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12548, 'Единичная киста кости', 'M85.4', 12543, 'M85', 0, 'Исключена: единичная киста кости челюсти (K09.1-K09.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12549, 'Аневризматическая костная киста', 'M85.5', 12543, 'M85', 0, 'Исключена: аневризматическая киста кости челюсти (K09.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12550, 'Другие кисты костей', 'M85.6', 12543, 'M85', 0, 'Исключены: киста кости челюсти БДУ (K09.1-K09.2) остеит фиброзно-кистозный генерализованный [костная болезнь Реклингхаузена] (E21.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12551, 'Другие уточненные нарушения плотности и структуры костей', 'M85.8', 12543, 'M85', 0, 'Гиперостоз костей, кроме черепных Исключен: диффузный идиопатический скелетный гиперостоз [DISH] (M48.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12552, 'Нарушение плотности и структуры кости неуточненное', 'M85.9', 12543, 'M85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12553, 'ДРУГИЕ ОСТЕОПАТИИ', 'M86-M90', 12500, 'M80-M94', 5, 'Исключены: остеопатии после медицинских процедур (M96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12554, 'Остеомиелит', 'M86', 12553, 'M86-M90', 9, '[код локализации см. выше] При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: остеомиелит: . вызванный сальмонеллой (A01-A02) . челюсти (K10.2) . позвоночника (M46.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12555, 'Острый гематогенный остеомиелит', 'M86.0', 12554, 'M86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12556, 'Другие формы острого остеомиелита', 'M86.1', 12554, 'M86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12557, 'Подострый остеомиелит', 'M86.2', 12554, 'M86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12558, 'Хронический многоочаговый остеомиелит', 'M86.3', 12554, 'M86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12559, 'Хронический остеомиелит с дренированным синусом', 'M86.4', 12554, 'M86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12560, 'Другие хронические гематогенные остеомиелиты', 'M86.5', 12554, 'M86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12561, 'Другой хронический остеомиелит', 'M86.6', 12554, 'M86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12562, 'Другой остеомиелит', 'M86.8', 12554, 'M86', 0, 'Абсцесс Броди');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12563, 'Остеомиелит неуточненный', 'M86.9', 12554, 'M86', 0, 'Костная инфекция БДУ Периостит без упоминания об остеомиелите');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12564, 'Остеонекроз', 'M87', 12553, 'M86-M90', 6, '[код локализации см. выше] Включен: аваскулярный некроз кости Исключены: остеохондропатии (M91-M93)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12565, 'Идиопатический асептический некроз кости', 'M87.0', 12564, 'M87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12566, 'Лекарственный остеонекроз', 'M87.1', 12564, 'M87', 0, 'При необходимости идентифицировать лекарственное средство используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12567, 'Остеонекроз, обусловленный перенесенной травмой', 'M87.2', 12564, 'M87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12568, 'Другой вторичный остеонекроз', 'M87.3', 12564, 'M87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12569, 'Другой остеонекроз', 'M87.8', 12564, 'M87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12570, 'Остеонекроз неуточненный', 'M87.9', 12564, 'M87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12571, 'Болезнь Педжета (костей) [деформирующий остеит]', 'M88', 12553, 'M86-M90', 3, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12572, 'Поражение черепа при болезни Педжета', 'M88.0', 12571, 'M88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12573, 'Поражение других костей при болезни Педжета', 'M88.8', 12571, 'M88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12574, 'Болезнь (костей) Педжета неуточненная', 'M88.9', 12571, 'M88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12575, 'Другие болезни костей', 'M89', 12553, 'M86-M90', 9, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12576, 'Алгонейродистрофия', 'M89.0', 12575, 'M89', 0, 'Синдром плечо-кисть Атрофия Зудека Симпатическая рефлекторная дистрофия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12577, 'Преждевременное сращение эпифиза с диафизом', 'M89.1', 12575, 'M89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12578, 'Другие нарушения роста и развития костей', 'M89.2', 12575, 'M89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12579, 'Гипертрофия костей', 'M89.3', 12575, 'M89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12580, 'Другая гипертрофическая остеоартропатия', 'M89.4', 12575, 'M89', 0, 'Болезнь Мари-Бамбергера Пахидермопериостоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12581, 'Остеолиз', 'M89.5', 12575, 'M89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12582, 'Остеопатия после полиомиелита', 'M89.6', 12575, 'M89', 0, 'Для идентификации перенесенного полиомиелита используют дополнительный код (B91).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12583, 'Другие уточненные поражения костей', 'M89.8', 12575, 'M89', 0, 'Кортикальный гиперостоз у детей Посттравматическая субпериостальная (надкостничная) оссификация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12584, 'Болезнь костей неуточненная', 'M89.9', 12575, 'M89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12585, 'Остеопатии при болезнях, классифицированных в других рубриках', 'M90*', 12553, 'M86-M90', 9, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12586, 'Туберкулез костей (A18.0+)', 'M90.0*', 12585, 'M90*', 0, 'Исключен: туберкулез позвоночника (M49.0*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12587, 'Периостит при других инфекционных болезнях, классифицированных в других рубриках', 'M90.1*', 12585, 'M90*', 0, 'Вторичный сифилитический периостит (A51.4+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12588, 'Остеопатия при других инфекционных болезнях, классифицированных в других рубриках', 'M90.2*', 12585, 'M90*', 0, 'Остеомиелит: . эхинококковый (B67.2+) . гонококковый (A54.4+) . сальмонеллезный (A02.2+) Сифилитическая остеопатия или остеохондропатия (A50.5+, A52.7+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12589, 'Остеонекроз при кессонной болезни (T70.3+)', 'M90.3*', 12585, 'M90*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12590, 'Остеонекроз вследствие гемоглобинопатии (D50-D64+)', 'M90.4*', 12585, 'M90*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12591, 'Остеонекроз при других болезнях, классифицированных в других рубриках', 'M90.5*', 12585, 'M90*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12592, 'Деформирующий остеит при новообразованиях (C00-D48+)', 'M90.6*', 12585, 'M90*', 0, 'Деформирующий остеит при злокачественных новообразованиях в костях (C40-C41+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12593, 'Переломы костей при новообразованиях (C00-D48+)', 'M90.7*', 12585, 'M90*', 0, 'Исключен: перелом позвоночника при новообразованиях(M49.5*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12594, 'Остеопатия при других болезнях, классифицированных в других рубриках', 'M90.8*', 12585, 'M90*', 0, 'Остеопатия при почечной дистрофии (N25.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12596, 'ХОНДРОПАТИИ', 'M91-M94', 12500, 'M80-M94', 4, 'Исключены: хондропатии после медицинских процедур (M96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12597, 'Юношеский остеохондроз бедра и таза', 'M91', 12596, 'M91-M94', 6, '[код локализации см. выше] Исключено: соскальзывание верхнего эпифиза бедренной кости (нетравматическое) (M93.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12598, 'Юношеский остеохондроз таза', 'M91.0', 12597, 'M91', 0, 'Юношеский остеохондроз: . вертлужной впадины . подвздошного гребешка [Бьюкенена] . седалищно-лобкового синхондроза [Ван-Нека] . лонного сочленения [Пирсона]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12599, 'Юношеский остеохондроз головки бедренной кости [Легга-Кальве-Пертеса]', 'M91.1', 12597, 'M91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12600, 'Coxa plana', 'M91.2', 12597, 'M91', 0, 'Деформация бедра после перенесенного юношеского остеохондроза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12601, 'Псевдококсалгия', 'M91.3', 12597, 'M91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12602, 'Другие юношеские остеохондрозы бедра и таза', 'M91.8', 12597, 'M91', 0, 'Юношеский остеохондроз после устранения врожденного вывиха бедра');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12603, 'Юношеский остеохондроз бедра и таза неуточненный', 'M91.9', 12597, 'M91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12604, 'Другие юношеские остеохондрозы', 'M92', 12596, 'M91-M94', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12605, 'Юношеский остеохондроз плечевой кости', 'M92.0', 12604, 'M92', 0, 'Остеохондроз (юношеский): . головки дистального мышелка плечевой кости [Паннера] . головки плечевой кости [Хааса]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12606, 'Юношеский остеохондроз лучевой кости и локтевой кости', 'M92.1', 12604, 'M92', 0, 'Остеохондроз (юношеский): . нижней части локтевой кости [Бернса] . головки лучевой кости [Брейлсфорда]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12607, 'Юношеский остеохондроз кисти', 'M92.2', 12604, 'M92', 0, 'Остеохондроз (юношеский): . полулунной кости запястья [Кинбека] . головок костей пясти [Моклера]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12608, 'Другой юношеский остеохондроз верхних конечностей', 'M92.3', 12604, 'M92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12609, 'Юношеский остеохондроз надколенника', 'M92.4', 12604, 'M92', 0, 'Остеохондроз (юношеский): . первичный, пателлярного центра [Келера] . вторичный, пателлярного центра [Синдинга-Ларсена]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12610, 'Юношеский остеохондроз большой и малой берцовых костей', 'M92.5', 12604, 'M92', 0, 'Остеохондроз (юношеский): . проксимального конца большеберцовой кости [Бланта] . бугорка большеберцовой кости [Осгуда-Шлаттера]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12611, 'Юношеский остеохондроз предплюсны', 'M92.6', 12604, 'M92', 0, 'Остеохондроз (юношеский): . пяточной кости [Севера] . аномальной кости, расположенной между ладьевидной костью предплюсны и головкой таранной кости [Хаглунда] . таранной кости [Диаса] . ладьевидной кости предплюсны [Келера]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12612, 'Юношеский остеохондроз плюсны', 'M92.7', 12604, 'M92', 0, 'Остеохондроз (юношеский): . пятой плюсневой кости [Излена] . второй плюсневой кости [Фрейберга]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12613, 'Другой уточненный юношеский остеохондроз', 'M92.8', 12604, 'M92', 0, 'Пяточный апофизит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12614, 'Юношеский остеохондроз неуточненный', 'M92.9', 12604, 'M92', 0, 'Апофизит } Эпифизит } уточненный как юношеский, Остеохондрит } неуточненной локализации Остеохондроз }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12615, 'Другие остеохондропатии', 'M93', 12596, 'M91-M94', 5, 'Исключен: остеохондроз позвоночника (M42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12616, 'Соскальзывание верхнего эпифиза бедренной кости (нетравматическое)', 'M93.0', 12615, 'M93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12617, 'Болезнь Кинбека у взрослых', 'M93.1', 12615, 'M93', 0, 'Остеохондроз полулунной кости запястья у взрослых');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12618, 'Рассекающий остеохондрит', 'M93.2', 12615, 'M93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12619, 'Другие уточненные остеохондропатии', 'M93.8', 12615, 'M93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12620, 'Остеохондропатия неуточненная', 'M93.9', 12615, 'M93', 0, 'Апофизит } Эпифизит } не уточненный как взрослого или Остеохондрит } юношеский, неуточненной локализации Остеохондроз }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12621, 'Другие поражения хрящей', 'M94', 12596, 'M91-M94', 6, '[код локализации см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12622, 'Синдром хрящевых реберных соединений [Титце]', 'M94.0', 12621, 'M94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12623, 'Рецидивирующий полихондрит', 'M94.1', 12621, 'M94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12624, 'Хондромаляция', 'M94.2', 12621, 'M94', 0, 'Исключена: хондромаляция надколенника (M22.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12625, 'Хондролиз', 'M94.3', 12621, 'M94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12626, 'Другие уточненные поражения хрящей', 'M94.8', 12621, 'M94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12627, 'Поражение хряща неуточненное', 'M94.9', 12621, 'M94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12630, 'ДРУГИЕ НАРУШЕНИЯ КОСТНО-МЫШЕЧНОЙ СИСТЕМЫ И СОЕДИНИТЕЛЬНОЙ ТКАНИ', 'M95-M99', 12001, 'M00-M99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12631, 'Другие приобретенные деформации костно-мышечной системы и соединительной ткани', 'M95', 12630, 'M95-M99', 8, 'Исключены: приобретенное(ые): . отсутствие конечностей и органов (Z89-Z90) . деформации конечностей (M20-M21) врожденные аномалии и деформации костно-мышечной системы (Q65-Q79) деформирующие дорсопатии (M40-M43) челюстно-лицевые аномалии [включая аномалии прикуса] (K07.-) костно-мышечные нарушения после медицинских процедур (M96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12632, 'Приобретенная деформация носа', 'M95.0', 12631, 'M95', 0, 'Исключено: искривление носовой перегородки (J34.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12633, 'Деформация ушной раковины, вызванная травмой и последующим перихондритом', 'M95.1', 12631, 'M95', 0, 'Исключены: другие приобретенные деформации ушной раковины (H61.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12634, 'Другие приобретенные деформации головы', 'M95.2', 12631, 'M95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12635, 'Приобретенная деформация шеи', 'M95.3', 12631, 'M95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12636, 'Приобретенная деформация грудной клетки и ребер', 'M95.4', 12631, 'M95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12637, 'Приобретенная деформация таза', 'M95.5', 12631, 'M95', 0, 'Исключена: медицинская помощь матери в связи с установленным или предполагаемым несоответствием размеров таза и плода (O33.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12638, 'Другие уточненные приобретенные деформации костно-мышечной системы', 'M95.8', 12631, 'M95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12639, 'Приобретенные деформации костно-мышечной системы неуточненные', 'M95.9', 12631, 'M95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12640, 'Поражения костно-мышечной системы после медицинских процедур, не классифицированные в других рубриках', 'M96', 12630, 'M95-M99', 9, 'Исключены: артропатия, сопровождающая кишечный шунт (M02.0) нарушения, связанные с остеопорозом (M80-M81) наличие функциональных имплантатов и других протезов (Z95-Z97)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12641, 'Псевдартроз после сращения или артродеза', 'M96.0', 12640, 'M96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12642, 'Постламинэктомический синдром, не классифицированный в других рубриках', 'M96.1', 12640, 'M96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12643, 'Пострадиационный кифоз', 'M96.2', 12640, 'M96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12644, 'Постламинэктомический кифоз', 'M96.3', 12640, 'M96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12645, 'Постхирургический лордоз', 'M96.4', 12640, 'M96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12646, 'Пострадиационный сколиоз', 'M96.5', 12640, 'M96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12647, 'Перелом после установки ортопедического имплантата суставного протеза или костной пластинки', 'M96.6', 12640, 'M96', 0, 'Исключены: осложнения, связанные с внутренними ортопеди ческими устройствами, имплантатами или трансплантатами (T84.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12648, 'Другие поражения костно-мышечной системы после медицинских процедур', 'M96.8', 12640, 'M96', 0, 'Нестабильность сустава вследствие удаления суставного протеза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12649, 'Поражение костно-мышечной системы после медицинских процедур неуточненное', 'M96.9', 12640, 'M96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12650, 'Биомеханические нарушения, не классифицированные в других рубриках', 'M99', 12630, 'M95-M99', 10, 'Примечание. Эту рубрику не следует использовать, если состояние может быть отнесено к какой-либо другой рубрике. Следующие дополнительные пятые знаки, обозначающие локализацию поражения, даны для факультативного использования с соответствующими подрубриками в рубрике M99.-; см. также указанный код локализации на с. 644. 0 Область головы шейно-затылочная область 1 Область шеи шейно-грудная область 2 Область груди пояснично-грудная область 3 Область поясницы пояснично-крестцовая область 4 Область крестца крестцово-копчиковая (сакроилиарная) область 5 Область таза бедренная, лобковая область 6 Нижняя конечность 7 Верхняя конечность плечеключичная, грудиноключичная область 8 Грудная клетка реберно-хрящевая,реберно-позвоночная, грудинохрящевая область 9 Область живота и другие');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12651, 'Сегментарная или соматическая дисфункция', 'M99.0', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12652, 'Подвывиховый комплекс (вертебральный)', 'M99.1', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12653, 'Стеноз неврального канала при подвывихе', 'M99.2', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12654, 'Костный стеноз неврального канала', 'M99.3', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12655, 'Соединительнотканный стеноз неврального канала', 'M99.4', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12656, 'Межпозвонковый дисковый стеноз неврального канала', 'M99.5', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12657, 'Костный и подвывиховый стеноз межпозвоночных отверстий', 'M99.6', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12658, 'Соединительнотканный и дисковый стеноз межпозвоночных отверстий', 'M99.7', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12659, 'Другие биомеханические нарушения', 'M99.8', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(12660, 'Биомеханическое нарушение неуточненное', 'M99.9', 12650, 'M99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13001, 'БОЛЕЗНИ МОЧЕПОЛОВОЙ СИСТЕМЫ', 'N00-N99', NULL, NULL, 11, 'Исключены: отдельные состояния, возникающие в перинатальном периоде (P00-P96) некоторые инфекционные и паразитарные болезни (A00-B99) осложнения беременности, родов и послеродового периода (O00-O99) врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) симптомы, признаки и отклонения от нормы, выявленные при клинических и лабораторных исследованиях, не классифицированные в других рубриках (R00-R99)\nЭтот класс содержит следующие блоки:\nN00-N08 Гломерулярные болезни\nN10-N16 Тубулоинтерстициальные болезни почек\nN17-N19 Почечная недостаточность\nN20-N23 Мочекаменная болезнь\nN25-N29 Другие болезни почки и мочеточника\nN30-N39 Другие болезни мочевыделительной системы\nN40-N51 Болезни мужских половых органов\nN60-N64 Болезни молочной железы\nN70-N77 Воспалительные болезни женских тазовых органов\nN80-N98 Невоспалительные болезни женских половых органов\nN99 Другие нарушения мочеполовой системы\nЗвездочкой отмечены следующие категории:\nN08* Гломерулярные поражения при болезнях, классифицированных в других рубриках\nN16* Тубулоинтерстициальные поражения почек при болезнях, классифицированных в других рубриках\nN22* Камни мочевыводящих путей при болезнях, классифицированных в других рубриках\nN29* Другие поражения почки и мочеточника при болезнях, классифицированных в других рубриках\nN33* Поражения мочевого пузыря при болезнях, классифицированных в других рубриках\nN37* Поражения мочеточника при болезнях, классифицированных в других рубриках\nN51* Поражения мужских половых органов при болезнях, классифицированных в других рубриках\nN74* Воспалительные поражения органов малого таза у женщин при болезнях, классифицированных в других рубриках\nN77* Изъязвление и воспаление вульвы и влагалища при болезнях, классифицированных в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13002, 'ГЛОМЕРУЛЯРНЫЕ БОЛЕЗНИ', 'N00-N08', 13001, 'N00-N99', 9, 'При необходимости идентифицировать внешнюю причину (класс XX) или\nпри наличии почечной недостаточности (N17-N19) используют допол-\nнительный код.\nИсключена: гипертоническая болезнь с преимущественным поражением почек (I12.-)\nС рубриками N00-N07 могут использоваться следующие четвертые знаки,\nклассифицирующие морфологические изменения. Подрубрики .0-.8 не\nследует использовать, если для идентификации поражений не были\nпроведены специальные исследования (например, биопсия или аутоспия\nпочек). Трехзначные рубрики основаны на клинических синдромах. .0 Незначительные гломерулярные нарушения Минимальные повреждения .1 Очаговые и сегментарные гломерулярные нарушения Очаговый и сегментарный: * гиалиноз  * склероз Очаговый гломерулонефрит .2 Диффузный мембранозный гломерулонефрит .3 Диффузный мезангиальный пролиферативный гломерулонефрит .4 Диффузный эндокапиллярный пролиферативный гломерулонефрит .5 Диффузный мезангиокапиллярный гломерулонефрит Мембранозно-пролиферативный гломерулонефрит (типы 1,3 или БДУ) .6 Болезнь плотного осадка  Мембранозно-пролиферативный гломерулонефрит (тип 2) .7 Диффузный серповидный гломерулонефрит Экстракапиллярный гломерулонефрит .8 Другие изменения Пролиферативный гломерулонефрит БДУ .9 Неуточненное изменение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13003, 'Острый нефритический синдром', 'N00', 13002, 'N00-N08', 10, '[подрубрики см. на с. 3] Включены: острая(ый): . гломерулярная болезнь . гломерулонефрит . нефрит . почечная болезнь БДУ Исключены: острый тубулоинтерстициальный нефрит (N10) нефритический синдром БДУ (N05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13004, 'Незначительные гломерулярные нарушения', 'N00.0', 13003, 'N00', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13005, 'Очаговые и сегментарные гломерулярные повреждения', 'N00.1', 13003, 'N00', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13006, 'Диффузный мембранозный гломерулонефрит', 'N00.2', 13003, 'N00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13007, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N00.3', 13003, 'N00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13008, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N00.4', 13003, 'N00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13009, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N00.5', 13003, 'N00', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13010, 'Болезнь плотного осадка', 'N00.6', 13003, 'N00', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13011, 'Диффузный серповидный гломерулонефрит', 'N00.7', 13003, 'N00', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13012, 'Другие изменения', 'N00.8', 13003, 'N00', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13013, 'Неуточненное изменение', 'N00.9', 13003, 'N00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13014, 'Быстро прогрессирующий нефритический синдром', 'N01', 13002, 'N00-N08', 10, '[подрубрики см. на с. 3] Включены: быстро прогрессирующая(ий): . гломерулярная болезнь . гломерулонефрит . нефрит Исключен: нефритический синдром БДУ (N05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13015, 'Незначительные гломерулярные нарушения', 'N01.0', 13014, 'N01', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13016, 'Очаговые и сегментарные гломерулярные повреждения', 'N01.1', 13014, 'N01', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13017, 'Диффузный мембранозный гломерулонефрит', 'N01.2', 13014, 'N01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13018, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N01.3', 13014, 'N01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13019, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N01.4', 13014, 'N01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13020, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N01.5', 13014, 'N01', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13021, 'Болезнь плотного осадка', 'N01.6', 13014, 'N01', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13022, 'Диффузный серповидный гломерулонефрит', 'N01.7', 13014, 'N01', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13023, 'Другие изменения', 'N01.8', 13014, 'N01', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13024, 'Неуточненное изменение', 'N01.9', 13014, 'N01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13025, 'Рецидивирующая и устойчивая гематурия', 'N02', 13002, 'N00-N08', 10, '[подрубрики см. на с. 3] Включены: гематурия: . доброкачественная (семейная) (детская) . с морфологическим поражением, уточненным в .0-.8 Исключена: гематурия БДУ (R31)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13026, 'Незначительные гломерулярные нарушения', 'N02.0', 13025, 'N02', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13027, 'Очаговые и сегментарные гломерулярные повреждения', 'N02.1', 13025, 'N02', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13028, 'Диффузный мембранозный гломерулонефрит', 'N02.2', 13025, 'N02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13029, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N02.3', 13025, 'N02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13030, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N02.4', 13025, 'N02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13031, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N02.5', 13025, 'N02', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13032, 'Болезнь плотного осадка', 'N02.6', 13025, 'N02', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13033, 'Диффузный серповидный гломерулонефрит', 'N02.7', 13025, 'N02', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13034, 'Другие изменения', 'N02.8', 13025, 'N02', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13035, 'Неуточненное изменение', 'N02.9', 13025, 'N02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13036, 'Хронический нефритический синдром', 'N03', 13002, 'N00-N08', 10, '[подрубрики см. на с. 3] Включены: хроническая(ий): . гломерулярная болезнь . гломерулонефрит . нефрит . почечная болезнь БДУ Исключены: хронический тубулоинтерстициальный нефрит (N11.-) диффузный склерозирующий гломерулонефрит (N18.-) нефритический синдром БДУ (N05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13037, 'Незначительные гломерулярные нарушения', 'N03.0', 13036, 'N03', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13038, 'Очаговые и сегментарные гломерулярные повреждения', 'N03.1', 13036, 'N03', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13039, 'Диффузный мембранозный гломерулонефрит', 'N03.2', 13036, 'N03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13040, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N03.3', 13036, 'N03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13041, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N03.4', 13036, 'N03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13042, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N03.5', 13036, 'N03', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13043, 'Болезнь плотного осадка', 'N03.6', 13036, 'N03', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13044, 'Диффузный серповидный гломерулонефрит', 'N03.7', 13036, 'N03', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13045, 'Другие изменения', 'N03.8', 13036, 'N03', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13046, 'Неуточненное изменение', 'N03.9', 13036, 'N03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13047, 'Нефротический синдром', 'N04', 13002, 'N00-N08', 10, '[подрубрики см. на с. 3] Включены: врожденный нефротический синдром липоидный нефроз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13048, 'Незначительные гломерулярные нарушения', 'N04.0', 13047, 'N04', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13049, 'Очаговые и сегментарные гломерулярные повреждения', 'N04.1', 13047, 'N04', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13050, 'Диффузный мембранозный гломерулонефрит', 'N04.2', 13047, 'N04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13051, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N04.3', 13047, 'N04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13052, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N04.4', 13047, 'N04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13053, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N04.5', 13047, 'N04', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13054, 'Болезнь плотного осадка', 'N04.6', 13047, 'N04', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13055, 'Диффузный серповидный гломерулонефрит', 'N04.7', 13047, 'N04', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13056, 'Другие изменения', 'N04.8', 13047, 'N04', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13057, 'Неуточненное изменение', 'N04.9', 13047, 'N04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13058, 'Нефритический синдром неуточненный', 'N05', 13002, 'N00-N08', 10, '[подрубрики см. на с. 3] Включено: гломерулярная болезнь } гломерулонефрит } БДУ нефрит } нефропатия БДУ и почечная болезнь БДУ с морфологическим поражением, уточненным в .0-.8 Исключены: нефропатия БДУ по неустановленной причине (N28.9) почечная болезнь БДУ по неустановленной причине (N28.9) тубулоинтерстициальный нефрит БДУ (N12)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13059, 'Незначительные гломерулярные нарушения', 'N05.0', 13058, 'N05', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13060, 'Очаговые и сегментарные гломерулярные повреждения', 'N05.1', 13058, 'N05', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13061, 'Диффузный мембранозный гломерулонефрит', 'N05.2', 13058, 'N05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13062, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N05.3', 13058, 'N05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13063, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N05.4', 13058, 'N05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13064, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N05.5', 13058, 'N05', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13065, 'Болезнь плотного осадка', 'N05.6', 13058, 'N05', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13066, 'Диффузный серповидный гломерулонефрит', 'N05.7', 13058, 'N05', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13067, 'Другие изменения', 'N05.8', 13058, 'N05', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13068, 'Неуточненное изменение', 'N05.9', 13058, 'N05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13069, 'Изолированная протеинурия с уточненным морфологическим', 'N06', 13002, 'N00-N08', 10, 'поражением [подрубрики см. на с. 3] Включена: протеинурия (изолированная) (ортостатическая) (стойкая) с морфологическим поражением, уточненным в .0-.8 Исключены: протеинурия: . БДУ (R80) . Бенс-Джонса (R80) . вызванная беременностью (O12.1) . изолированная БДУ (R80) . ортостатическая БДУ (N39.2) . стойкая БДУ (N39.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13070, 'Незначительные гломерулярные нарушения', 'N06.0', 13069, 'N06', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13071, 'Очаговые и сегментарные гломерулярные повреждения', 'N06.1', 13069, 'N06', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13072, 'Диффузный мембранозный гломерулонефрит', 'N06.2', 13069, 'N06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13073, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N06.3', 13069, 'N06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13074, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N06.4', 13069, 'N06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13075, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N06.5', 13069, 'N06', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13076, 'Болезнь плотного осадка', 'N06.6', 13069, 'N06', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13077, 'Диффузный серповидный гломерулонефрит', 'N06.7', 13069, 'N06', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13078, 'Другие изменения', 'N06.8', 13069, 'N06', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13079, 'Неуточненное изменение', 'N06.9', 13069, 'N06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13080, 'Наследственная нефропатия, не классифицированная в других', 'N07', 13002, 'N00-N08', 10, 'рубриках [подрубрики см. на с. 3] Исключены: синдром Альпорта (Q87.8) наследственная амилоидная нефропатия (E85.0) синдром (отсутствия) (недоразвития) ногтей-надколенника (Q87.2) наследственный семейный амилоидоз без невропатии (E85.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13081, 'Незначительные гломерулярные нарушения', 'N07.0', 13080, 'N07', 0, 'Минимальное повреждение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13082, 'Очаговые и сегментарные гломерулярные повреждения', 'N07.1', 13080, 'N07', 0, 'Очаговый и сегментарный: . гиалиноз . склероз Очаговый гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13083, 'Диффузный мембранозный гломерулонефрит', 'N07.2', 13080, 'N07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13084, 'Диффузный мезангиальный пролиферативный гломерулонефрит', 'N07.3', 13080, 'N07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13085, 'Диффузный эндокапиллярный пролиферативный гломерулонефрит', 'N07.4', 13080, 'N07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13086, 'Диффузный мезангиокапиллярный гломерулонефрит', 'N07.5', 13080, 'N07', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 1 и 3 или БДУ)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13087, 'Болезнь плотного осадка', 'N07.6', 13080, 'N07', 0, 'Мембранозно-пролиферативный гломерулонефрит (тип 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13088, 'Диффузный серповидный гломерулонефрит', 'N07.7', 13080, 'N07', 0, 'Экстракапиллярный гломерулонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13089, 'Другие изменения', 'N07.8', 13080, 'N07', 0, 'Пролиферативный гломерулонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13090, 'Неуточненное изменение', 'N07.9', 13080, 'N07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13091, 'Гломерулярные поражения при болезнях, классифицированных в других рубриках', 'N08*', 13002, 'N00-N08', 7, 'Включена: нефропатия при болезнях, классифицированных в других рубриках Исключены: почечные тубулоинтерстициальные поражения при болезнях, классифицированных в других рубриках (N16.-*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13092, 'Гломерулярные поражения при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'N08.0*', 13091, 'N08*', 0, 'Гломерулярные поражения при: . малярии, вызванной Plazmodium malariae (B52.0+) . эпидемическом паротите (B26.8+) . шистосомозе [бильгарцилзе] (B65.-+) . септицемии (A40-A41+) . стронгилоидозе (B78.-+) . сифилисе (A52.7+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13093, 'Гломерулярные поражения при новообразованиях', 'N08.1*', 13091, 'N08*', 0, 'Гломерулярные поражения при: . множественной миеломе (C90.0+) . макроглобулинемии Вальденстрема (C88.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13094, 'Гломерулярные поражения при болезнях крови и иммунных нарушениях', 'N08.2*', 13091, 'N08*', 0, 'Гломерулярные поражения при: . криоглобулинемии (D89.1+) . диссеминированном внутрисосудистом свертывании [синдроме дефибринации] (D65+) . гемолитико-уремическом синдроме (D59.3+) . пурпуре Геноха[-Шенлейна] (D69.0+) . серповидно-клеточных нарушениях (D57.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13095, 'Гломерулярные поражения при сахарном диабете (E10-E14+ с общим четвертым знаком .2)', 'N08.3*', 13091, 'N08*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13096, 'Гломерулярные поражения при других болезнях эндокринной системы, расстройствах питания и нарушениях обмена веществ', 'N08.4*', 13091, 'N08*', 0, 'Гломерулярные поражения при: . амилоидозе (E85.-+) . болезни Фабри(Андерсона) (E75.2+) . недостаточности лецитинхолестеринацилтрансферазы (E78.6+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13097, 'Гломерулярные поражения при системных болезнях соединительной ткани', 'N08.5*', 13091, 'N08*', 0, 'Гломерулярные нарушения при: . синдроме Гудпасчера (M31.0+) . узелковом полиартериите (M30.0+) . системной красной волчанке (M32.1+) . тромботической тромбоцитопенической пурпуре (M31.1+) . гранулематозе Вегенера (M31.3+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13098, 'Гломерулярные поражения при других болезнях, классифицированных в других рубриках', 'N08.8*', 13091, 'N08*', 0, 'Гломерулярные нарушения при подостром бактериальном эндокардите (I33.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13100, 'ТУБУЛОИНТЕРСТИЦИАЛЬНЫЕ БОЛЕЗНИ ПОЧЕК', 'N10-N16', 13001, 'N00-N99', 7, 'Включен: пиелонефрит\nИсключен: кистозный пиелоуретерит (N28.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13101, 'Острый тубулоинтерстициальный нефрит', 'N10', 13100, 'N10-N16', 0, 'Острый: . инфекционный интерстициальный нефрит . пиелит . пиелонефрит При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13102, 'Хронический тубулоинтерстициальный нефрит', 'N11', 13100, 'N10-N16', 4, 'Включены: хронический: . инфекционный интерстициальный нефрит . пиелит . пиелонефрит При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13103, 'Необструктивный хронический пиелонефрит, связанный с рефлюксом', 'N11.0', 13102, 'N11', 0, 'Пиелонефрит (хронический), связанный с (пузырно-мочеточниковым) рефлюксом Исключен: пузырно-мочеточниковый рефлюкс БДУ (N13.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13104, 'Хронический обструктивный пиелонефрит', 'N11.1', 13102, 'N11', 0, 'Пиелонефрит (хронический), связанный с: . аномалией } { лоханочно-мочеточникового . перегибом } { соединения . обструкцией } { тазового сегмента мочеточника . структурой } { мочеточника Исключены: калькулезный пиелонефрит (N20.9) обструктивная уропатия (N13.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13105, 'Другие хронические тубулоинтерстициальные нефриты', 'N11.8', 13102, 'N11', 0, 'Необструктивные хронические пиелонефриты БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13106, 'Хронический тубулоинтерстициальный нефрит неуточненный', 'N11.9', 13102, 'N11', 0, 'Хронический: . интерстициальный нефрит БДУ . пиелит БДУ . пиелонефрит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13107, 'Тубулоинтерстициальный нефрит, не уточненный как острый или хронический', 'N12', 13100, 'N10-N16', 0, 'Интерстициальный нефрит БДУ Пиелит БДУ Пиелонефрит БДУ Исключен: калькулезный пиелонефрит (N20.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13108, 'Обструктивная уропатия и рефлюкс-уропатия', 'N13', 13100, 'N10-N16', 10, 'Исключены: камни почки и мочеточника без гидронефроза (N20.-) врожденные обструктивные изменения почечной лоханки и мочеточника (Q62.0-Q62.3) обструктивный пиелонефрит (N11.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13109, 'Гидронефроз с обструкцией лоханочно-мочеточникового соединения', 'N13.0', 13108, 'N13', 0, 'Исключен: с инфекцией (N13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13110, 'Гидронефроз со стриктурой мочеточника, не классифицированный в других рубриках', 'N13.1', 13108, 'N13', 0, 'Исключен: с инфекцией (N13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13111, 'Гидронефроз с обструкцией почки и мочеточника камнем', 'N13.2', 13108, 'N13', 0, 'Исключен: с инфекцией (N13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13112, 'Другие и неуточненные гидронефрозы', 'N13.3', 13108, 'N13', 0, 'Исключены: с инфекцией (N13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13113, 'Гидроуретер', 'N13.4', 13108, 'N13', 0, 'Исключен: с инфекцией (N13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13114, 'Перегиб и стриктура мочеточника без гидронефроза', 'N13.5', 13108, 'N13', 0, 'Исключены: с инфекцией (N13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13115, 'Пионефроз', 'N13.6', 13108, 'N13', 0, 'Состояния, перечисленные в рубриках N13.0-N13.5, с инфекцией Обструктивная уропатия с инфекцией При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13116, 'Уропатия, обусловленная пузырно-мочеточниковым рефлюксом', 'N13.7', 13108, 'N13', 0, 'Пузырно-мочеточниковый рефлюкс: . БДУ . с рубцеванием Исключен: пиелонефрит, связанный с пузырно-мочеточниковым рефлюксом (N11.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13117, 'Другая обструктивная уропатия и рефлюкс-уропатия', 'N13.8', 13108, 'N13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13118, 'Обструктивная уропатия и рефлюкс-уропатия неуточненная', 'N13.9', 13108, 'N13', 0, 'Обструкция мочевого тракта БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13119, 'Тубулоинтерстициальные и тубулярные поражения, вызванные  лекарствами и тяжелыми металлами', 'N14', 13100, 'N10-N16', 5, 'При необходимости идентифицировать токсичное вещество используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13120, 'Нефропатия, вызванная анальгетическими средствами', 'N14.0', 13119, 'N14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13121, 'Нефропатия, вызванная другими лекарственными средствами, медикаментами или биологически активными веществами', 'N14.1', 13119, 'N14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13122, 'Нефропатия, вызванная неуточненным лекарственным средством, медикаментом и биологически активным веществом', 'N14.2', 13119, 'N14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13123, 'Нефропатия, вызванная тяжелыми металлами', 'N14.3', 13119, 'N14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13124, 'Токсическая нефропатия, не классифицированная в других рубриках', 'N14.4', 13119, 'N14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13125, 'Другие тубулоинтерстициальные болезни почек', 'N15', 13100, 'N10-N16', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13126, 'Балканская нефропатия', 'N15.0', 13125, 'N15', 0, 'Балканская эндемическая нефропатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13127, 'Абсцесс почки и околопочечной клетчатки', 'N15.1', 13125, 'N15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13128, 'Другие уточненные тубулоинтерстициальные поражения почек', 'N15.8', 13125, 'N15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13129, 'Тубулоинтерстициальное поражение почек неуточненное', 'N15.9', 13125, 'N15', 0, 'Инфекция почки БДУ Исключена: инфекция мочевых путей БДУ (N39.0)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13130, 'Тубулоинтерстициальные поражения почек при болезнях, классифицированных в других рубриках', 'N16*', 13100, 'N10-N16', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13131, 'Тубулоинтерстициальное поражение почек при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'N16.0*', 13130, 'N16*', 0, 'Тубулоинтерстициальное поражение почек при: . бруцеллезе (A23.-+) . дифтерии (A36.8+) . сальмонеллезе (A02.2+) . септицемии (A40-A41+) . токсоплазмозе (B58.8+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13132, 'Тубулоинтерстициальное поражение почек при новообразованиях', 'N16.1*', 13130, 'N16*', 0, 'Тубулоинтерстициальное поражение почек при: . лейкозе (C91-C95+) . лимфоме (C81-C85+, C96.-+) . множественной миеломе (C90.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13133, 'Тубулоинтерстициальное поражение почек при болезнях крови и нарушениях, вовлекающих иммунный механизм', 'N16.2*', 13130, 'N16*', 0, 'Тубулоинтерстициальное поражение почек при: . смешанной криоглобулинемии (D89.1+) . саркоидозе (D86.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13134, 'Тубулоинтерстициальное поражение почек при нарушениях обмена веществ', 'N16.3*', 13130, 'N16*', 0, 'Тубулоинтерстициальное поражение почек при: . цистинозе (E72.0+) . болезни накопления гликогена (E74.0+) . болезни Вильсона (E83.0+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13135, 'Тубулоинтерстициальное поражение почек при системных болезнях соединительной ткани', 'N16.4*', 13130, 'N16*', 0, 'Тубулоинтерстициальное поражение почек при: . синдроме сухости [Шегрена] (M35.0+) . системной красной волчанке (M32.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13136, 'Тубулоинтерстициальное поражение почек при отторжении трансплантата (T86.-+)', 'N16.5*', 13130, 'N16*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13137, 'Тубулоинтерстициальное поражение почек при других болезнях, классифицированных в других рубриках', 'N16.8*', 13130, 'N16*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13139, 'ПОЧЕЧНАЯ НЕДОСТАТОЧНОСТЬ', 'N17-N19', 13001, 'N00-N99', 3, 'При необходимости идентифицировать внешний агент используют допол-\nнительный код внешних причин (класс XX).\nИсключены: врожденная почечная недостаточность (P96.0) тубулоинтерстициальные и тубулярные поражения, вызванные лекарственными средствами и тяжелыми металлами (N14.-) экстраренальная уремия (R39.2) гемолитическо-уремический синдром (D59.3) гепаторенальный синдром (K76.7) . послеродовой (O90.4) преренальная уремия (R39.2) почечная недостаточность: . осложняющая аборт, внематочную или молярную беременность (O00-O07, O08.4) . после родов и родоразрешения (O90.4) . после медицинских процедур (N99.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13140, 'Острая почечная недостаточность', 'N17', 13139, 'N17-N19', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13141, 'Острая почечная недостаточность с тубулярным некрозом', 'N17.0', 13140, 'N17', 0, 'Тубулярный некроз: . БДУ . острый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13142, 'Острая почечная недостаточность с острым кортикальным некрозом', 'N17.1', 13140, 'N17', 0, 'Кортикальный некроз: . БДУ . острый . почечный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13143, 'Острая почечная недостаточность с медуллярным некрозом', 'N17.2', 13140, 'N17', 0, 'Медуллярный (папиллярный) некроз: . БДУ . острый . почечный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13144, 'Другая острая почечная недостаточность', 'N17.8', 13140, 'N17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13145, 'Острая почечная недостаточность неуточненная', 'N17.9', 13140, 'N17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13146, 'Хроническая почечная недостаточность', 'N18', 13139, 'N17-N19', 3, 'Включены: хроническая уремия диффузный склерозирующий гломерулонефрит Исключена: хроническая почечная недостаточность с гипертензией (I12.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13147, 'Терминальная стадия поражения почек', 'N18.0', 13146, 'N18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13148, 'Другие проявления хронической почечной недостаточности', 'N18.8', 13146, 'N18', 0, 'Уремическая невропатия+ (G63.8*) Уремический перикардит+ (I32.8*)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13149, 'Хроническая почечная недостаточность неуточненная', 'N18.9', 13146, 'N18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13150, 'Почечная недостаточность неуточненная', 'N19', 13139, 'N17-N19', 0, 'Уремия БДУ Исключены: почечная недостаточность с гипертензией (I12.0) уремия новорожденного (P96.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13152, 'МОЧЕКАМЕННАЯ БОЛЕЗНЬ', 'N20-N23', 13001, 'N00-N99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13153, 'Камни почки и мочеточника', 'N20', 13152, 'N20-N23', 4, 'Исключены: с гидронефрозом (N13.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13154, 'Камни почки', 'N20.0', 13153, 'N20', 0, 'Нефролитиаз БДУ Конкременты или камни в почке Коралловидные конкременты Камень в почке');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13155, 'Камни мочеточника', 'N20.1', 13153, 'N20', 0, 'Конкремент в мочеточнике');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13156, 'Камни почек с камнями мочеточника', 'N20.2', 13153, 'N20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13157, 'Мочевые камни неуточненные', 'N20.9', 13153, 'N20', 0, 'Калькулезный пиелонефрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13158, 'Камни нижних отделов мочевых путей', 'N21', 13152, 'N20-N23', 4, 'Включены: с циститом и уретритом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13159, 'Камни в мочевом пузыре', 'N21.0', 13158, 'N21', 0, 'Конкременты в дивертикуле мочевого пузыря Камень мочевого пузыря Исключены: коралловидные конкременты (N20.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13160, 'Камни в уретре', 'N21.1', 13158, 'N21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13161, 'Другие камни в нижних отделах мочевых путей', 'N21.8', 13158, 'N21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13162, 'Камни в нижних отделах мочевых путей неуточненные', 'N21.9', 13158, 'N21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13163, 'Камни мочевых путей при болезнях, классифицированных в других рубриках', 'N22*', 13152, 'N20-N23', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13164, 'Мочевые камни при шистосомозе [бильгарциозе] (B65.-+)', 'N22.0*', 13163, 'N22*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13165, 'Камни мочевых путей при других заболеваниях, классифицированных в других рубриках', 'N22.8*', 13163, 'N22*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13166, 'Почечная колика неуточненная', 'N23', 13152, 'N20-N23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13168, 'ДРУГИЕ БОЛЕЗНИ ПОЧКИ И МОЧЕТОЧНИКА', 'N25-N29', 13001, 'N00-N99', 5, 'Исключены: с мочекаменной болезнью (N20-N23)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13169, 'Нарушения, развивающиеся в результате дисфункции почечных канальцев', 'N25', 13168, 'N25-N29', 4, 'Исключены: метаболические нарушения, классифицированные в рубриках E70-E90');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13170, 'Почечная остеодистрофия', 'N25.0', 13169, 'N25', 0, 'Азотемическая остеодистрофия Тубулярные нарушения, связанные с потерей фосфатов Почечный(ая): . рахит . карликовость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13171, 'Нефрогенный несахарный диабет', 'N25.1', 13169, 'N25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13172, 'Другие нарушения, обусловленные дисфункцией почечных канальцев', 'N25.8', 13169, 'N25', 0, 'Синдром Лайтвуда-Олбрайта Почечно-канальцевый ацидоз БДУ Вторичный гиперпаратиреоз почечного генеза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13173, 'Нарушение функции почечных канальцев уточненное', 'N25.9', 13169, 'N25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13174, 'Сморщенная почка неуточненная', 'N26', 13168, 'N25-N29', 0, 'Атрофия почки (терминальная) Почечный склероз БДУ Исключены: сморщенная почка с гипертензией (I12.-) диффузный склерозирующий гломерулонефрит (N18.-) гипертензивный нефросклероз (артериолярный) (артериосклеротический) (I12.-) маленькая почка по неизвестной причине (N27.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13175, 'Маленькая почка неясного генеза', 'N27', 13168, 'N25-N29', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13176, 'Маленькая почка односторонняя', 'N27.0', 13175, 'N27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13177, 'Маленькая почка двусторонняя', 'N27.1', 13175, 'N27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13178, 'Маленькая почка неуточненная', 'N27.9', 13175, 'N27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13179, 'Другие болезни почки и мочеточника, не классифицированные в других рубриках', 'N28', 13168, 'N25-N29', 4, 'Исключены: гидроуретер (N13.4) почечная болезнь: . острая БДУ (N00.9) . хроническая БДУ (N03.9) перегиб и стриктура мочеточника: . с гидронефрозом (N13.1) . без гидронефроза (N13.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13180, 'Ишемия или инфаркт почки', 'N28.0', 13179, 'N28', 0, 'Почечной артерии: . эмболия . обструкция . окклюзия . тромбоз Инфаркт почки Исключены: почка Гольдблатта (I70.1) почечной артерии (внепочечной части): . атеросклероз (I70.1) . врожденный стеноз (Q27.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13181, 'Киста почки, приобретенная', 'N28.1', 13179, 'N28', 0, 'Киста (множественная) (одиночная) почки приобретенная Исключена: кистозная болезнь почки (врожденная) (Q61.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13182, 'Другие уточненные болезни почек и мочеточника', 'N28.8', 13179, 'N28', 0, 'Гипертрофия почки Мегалоуретер Нефроптоз Пиелит } Пиелоуретерит } кистозный Уретерит } Уретероцеле');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13183, 'Болезни почки и мочеточника неуточненные', 'N28.9', 13179, 'N28', 0, 'Нефропатия БДУ Почечная болезнь БДУ Исключены: нефропатия БДУ и почечные нарушения БДУ с морфологическими повреждениями, уточненными в рубриках .0-.8 (N05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13184, 'Другие поражения почки и мочеточника при болезнях, классифицированных в других рубриках', 'N29*', 13168, 'N25-N29', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13185, 'Поздний сифилис почки (A52.7+)', 'N29.0*', 13184, 'N29*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13186, 'Другие поражения почки и мочеточника при инфекционных и паразитарных болезнях, классифицированных  в других рубриках', 'N29.1*', 13184, 'N29*', 0, 'Поражения почки и мочеточника при: . шистосомозе [бильгарциозе] (B65.-+) . туберкулезе (A18.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13187, 'Другие поражения почек и мочеточников при других болезнях, классифицированных в других рубриках', 'N29.8*', 13184, 'N29*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13189, 'ДРУГИЕ БОЛЕЗНИ МОЧЕВОЙ СИСТЕМЫ', 'N30-N39', 13001, 'N00-N99', 9, 'Исключены: инфекция мочевых путей (осложняющая): . аборт, внематочную или молярную беременность (O00-O07, O08.8) . беременность, роды и послеродовой период (O23.-, O75.3, O86.2) . с мочекаменной болезнью (N20-N23)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13190, 'Цистит', 'N30', 13189, 'N30-N39', 7, 'При необходимости идентифицировать инфекционный агент (B95-B97) или соответствующий внешний фактор (класс XX) используют дополнительный код. Исключен: простатоцистит (N41.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13191, 'Острый цистит', 'N30.0', 13190, 'N30', 0, 'Исключены: лучевой цистит (N30.4) тригонит (N30.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13192, 'Интерстициальный цистит (хронический)', 'N30.1', 13190, 'N30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13193, 'Другой хронический цистит', 'N30.2', 13190, 'N30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13194, 'Тригонит', 'N30.3', 13190, 'N30', 0, 'Уретротригонит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13195, 'Лучевой цистит', 'N30.4', 13190, 'N30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13196, 'Другие циститы', 'N30.8', 13190, 'N30', 0, 'Абсцесс мочевого пузыря');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13197, 'Цистит неуточненный', 'N30.9', 13190, 'N30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13198, 'Нервно-мышечная дисфункция мочевого пузыря, не классифицированная в других рубриках', 'N31', 13189, 'N30-N39', 5, 'Исключены: спинальный мочевой пузырь БДУ (G95.8) вследствие поражения спинного мозга (G95.8) неврогенный мочевой пузырь, связанный с синдромом конского хвоста (G83.4) недержание мочи: . БДУ (R32) . уточненное (N39.3-N39.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13199, 'Незаторможенный мочевой пузырь, не классифицированный в других рубриках', 'N31.0', 13198, 'N31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13200, 'Рефлекторный мочевой пузырь, не классифицированный в других рубриках', 'N31.1', 13198, 'N31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13201, 'Нейрогенная слабость мочевого пузыря, не классифицированная в других рубриках', 'N31.2', 13198, 'N31', 0, 'Нейрогенный мочевой пузырь: . атоничный (моторные нарушения) (сенсорные нарушения) . автономный . нерефлекторный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13202, 'Другие нервно-мышечныедисфункции мочевого пузыря', 'N31.8', 13198, 'N31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13203, 'Нервно-мышечная дисфункция мочевого пузыря неуточненная', 'N31.9', 13198, 'N31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13204, 'Другие поражения мочевого пузыря', 'N32', 13189, 'N30-N39', 7, 'Исключены: камень мочевого пузыря (N21.0) цистоцеле (N81.1) грыжа или выпадение мочевого пузыря у женщин (N81.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13205, 'Обтурация шейки мочевого пузыря', 'N32.0', 13204, 'N32', 0, 'Стеноз шейки мочевого пузыря (приобретенный)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13206, 'Пузырно-кишечный свищ', 'N32.1', 13204, 'N32', 0, 'Пузырно-толстокишечный свищ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13207, 'Пузырный свищ, не классифицированный в других рубриках', 'N32.2', 13204, 'N32', 0, 'Исключен: свищ между мочевым пузырем и женскими половыми путями (N82.0-N82.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13208, 'Дивертикул мочевого пузыря', 'N32.3', 13204, 'N32', 0, 'Дивертикулит мочевого пузыря Исключен: камень в дивертикуле мочевого пузыря (N21.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13209, 'Разрыв мочевого пузыря нетравматический', 'N32.4', 13204, 'N32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13210, 'Другие уточненные поражения мочевого пузыря', 'N32.8', 13204, 'N32', 0, 'Мочевой пузырь: . обызвествленный . сморщенный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13211, 'Поражение мочевого пузыря неуточненное', 'N32.9', 13204, 'N32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13212, 'Поражения мочевого пузыря при болезнях, классифицированных в других рубриках', 'N33*', 13189, 'N30-N39', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13213, 'Туберкулезный цистит (A18.1+)', 'N33.0*', 13212, 'N33*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13214, 'Поражения мочевого пузыря при других болезнях, классифицированных в других рубриках', 'N33.8*', 13212, 'N33*', 0, 'Поражения мочевого пузыря при шистосомозе [бильгарциозе] (B65.-+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13215, 'Уретрит и уретральный синдром', 'N34', 13189, 'N30-N39', 4, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: болезнь Рейтера (M02.3) уретрит при болезнях, передаваемых преимущественно половым путем (A50-A64) уретротригонит (N30.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13216, 'Уретральный абсцесс', 'N34.0', 13215, 'N34', 0, 'Абсцесс: . железы Купера . желез Литтре . периуретральный . уретральный (железы) Исключен: уретральный карункул (N36.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13217, 'Неспецифический уретрит', 'N34.1', 13215, 'N34', 0, 'Уретрит: . негонококковый . невенерический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13218, 'Другие уретриты', 'N34.2', 13215, 'N34', 0, 'Уретральный меатит Язва уретры (наружного отверстия) Уретрит: . БДУ . постменопаузный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13219, 'Уретральный синдром неуточненный', 'N34.3', 13215, 'N34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13220, 'Стриктура уретры', 'N35', 13189, 'N30-N39', 4, 'Исключена: стриктура уретры после медицинских процедур (N99.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13221, 'Посттравматическая стриктура уретры', 'N35.0', 13220, 'N35', 0, 'Стриктура уретры: . послеродовая . травматическая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13222, 'Постинфекционная стриктура уретры, не классифицированная в других рубриках', 'N35.1', 13220, 'N35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13223, 'Другая стриктура уретры', 'N35.8', 13220, 'N35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13224, 'Стриктура уретры неуточненная', 'N35.9', 13220, 'N35', 0, 'Наружного отверстия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13225, 'Другие болезни уретры', 'N36', 13189, 'N30-N39', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13226, 'Уретральный свищ', 'N36.0', 13225, 'N36', 0, 'Ложный уретральный свищ Свищ: . уретроперинеальный . уретроректальный . мочевой БДУ Исключены: свищ: . уретроскротальный (N50.8) . уретровагинальный (N82.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13227, 'Уретральный дивертикул', 'N36.1', 13225, 'N36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13228, 'Уретральный карункул', 'N36.2', 13225, 'N36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13229, 'Выпадение слизистой оболочки уретры', 'N36.3', 13225, 'N36', 0, 'Выпадение уретры Урертоцеле у мужчин Исключено: уретроцеле у женщин (N81.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13230, 'Другие уточненные болезни уретры', 'N36.8', 13225, 'N36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13231, 'Болезнь уретры неуточненная', 'N36.9', 13225, 'N36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13232, 'Поражения уретры при болезнях, классифицированных в других рубриках', 'N37*', 13189, 'N30-N39', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13233, 'Уретрит при болезнях, классифицированных в других рубриках', 'N37.0*', 13232, 'N37*', 0, 'Кандидозный уретрит (B37.4+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13234, 'Другие поражения уретры при болезнях, классифицированных в других рубриках', 'N37.8*', 13232, 'N37*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13235, 'Другие болезни мочевыделительной системы', 'N39', 13189, 'N30-N39', 7, 'Исключены: гематурия: . БДУ (R31) . рецидивирующая и устойчивая (N02.-) . с уточненными морфологическими изменениями (N02.-) протеинурия БДУ (R80)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13236, 'Инфекция мочевыводящих путей без установленной локализации', 'N39.0', 13235, 'N39', 0, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13237, 'Стойкая протеинурия неуточненная', 'N39.1', 13235, 'N39', 0, 'Исключены: осложняющая беременность, роды и послеродовой период (O11-O15) с уточненными морфологическими изменениями(N06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13238, 'Ортостатическая протеинурия неуточненная', 'N39.2', 13235, 'N39', 0, 'Исключена: с уточненными морфологическими изменениями (N06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13239, 'Непроизвольное мочеиспускание', 'N39.3', 13235, 'N39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13240, 'Другие уточненные виды недержания мочи', 'N39.4', 13235, 'N39', 0, 'При переполнении } Рефлекторное } недержание мочи При пробуждении } Исключены: энурез БДУ (R32) недержание мочи: . БДУ (R32) . неорганического происхождения (F98.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13241, 'Другие уточненные болезни мочевыводящей системы', 'N39.8', 13235, 'N39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13242, 'Расстройство мочевыводящей системы неуточненное', 'N39.9', 13235, 'N39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13244, 'БОЛЕЗНИ МУЖСКИХ ПОЛОВЫХ ОРГАНОВ', 'N40-N51', 13001, 'N00-N99', 12, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13245, 'Гиперплазия предстательной железы', 'N40', 13244, 'N40-N51', 0, 'Аденофиброматозная гипертрофия } Аденома (доброкачественная) } Увеличение (доброкачественное) } предстательной Фиброаденома } железы Фиброма } Гипертрофия (доброкачественная) } Миома Аденома срединной доли (предстательной железы) Закупорка протока предстательной железы БДУ Исключены: доброкачественные опухоли, кроме аденомы, фибромы и миомы предстательной железы (D29.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13246, 'Воспалительные болезни предстательной железы', 'N41', 13244, 'N40-N51', 6, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13247, 'Острый простатит', 'N41.0', 13246, 'N41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13248, 'Хронический простатит', 'N41.1', 13246, 'N41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13249, 'Абсцесс предстательной железы', 'N41.2', 13246, 'N41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13250, 'Простатоцистит', 'N41.3', 13246, 'N41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13251, 'Другие воспалительные болезни предстательной железы', 'N41.8', 13246, 'N41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13252, 'Воспалительная болезнь предстательной железы неуточненная', 'N41.9', 13246, 'N41', 0, 'Простатит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13253, 'Другие болезни предстательной железы', 'N42', 13244, 'N40-N51', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13254, 'Камни предстательной железы', 'N42.0', 13253, 'N42', 0, 'Простатический камень');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13255, 'Застой и кровоизлияние в предстательной железе', 'N42.1', 13253, 'N42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13256, 'Атрофия предстательной железы', 'N42.2', 13253, 'N42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13257, 'Другие уточненные болезни предстательной железы', 'N42.8', 13253, 'N42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13258, 'Болезнь предстательной железы неуточненная', 'N42.9', 13253, 'N42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13259, 'Гидроцеле и сперматоцеле', 'N43', 13244, 'N40-N51', 5, 'Включены: водянка семенного канатика, яичка или влагалищной оболочки яичка Исключено: врожденное гидроцеле (P83.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13260, 'Гидроцеле осумкованное', 'N43.0', 13259, 'N43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13261, 'Инфицированное гидроцеле', 'N43.1', 13259, 'N43', 0, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13262, 'Другие формы гидроцеле', 'N43.2', 13259, 'N43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13263, 'Гидроцеле неуточненное', 'N43.3', 13259, 'N43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13264, 'Сперматоцеле', 'N43.4', 13259, 'N43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13265, 'Перекручивание яичка', 'N44', 13244, 'N40-N51', 0, 'Перекручивание: . придатка яичка . семенного канатика . яичка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13266, 'Орхит и эпидидимит', 'N45', 13244, 'N40-N51', 2, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13267, 'Орхит, эпидидимит и эпидидимо-орхит с абсцессом', 'N45.0', 13266, 'N45', 0, 'Абсцесс придатка яичка или яичка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13268, 'Орхит, эпидидимит и эпидидимо-орхит без упоминания об абсцессе', 'N45.9', 13266, 'N45', 0, 'Эпидидимит БДУ Орхит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13269, 'Мужское бесплодие', 'N46', 13244, 'N40-N51', 0, 'Азооспермия БДУ Олигоспермия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13270, 'Избыточная крайняя плоть, фимоз и парафимоз', 'N47', 13244, 'N40-N51', 0, 'Плотно прилегающая крайняя плоть Тугая крайняя плоть');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13271, 'Другие болезни полового члена', 'N48', 13244, 'N40-N51', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13272, 'Лейкоплакия полового члена', 'N48.0', 13271, 'N48', 0, 'Крауроз полового члена Исключена: карцинома in situ полового члена (D07.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13273, 'Баланопостит', 'N48.1', 13271, 'N48', 0, 'Баланит При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13274, 'Другие воспалительные болезни полового члена', 'N48.2', 13271, 'N48', 0, 'Абсцесс } Фурункул } Карбункул } пещеристого тела и полового члена Целлюлит } Кавернит полового члена При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13275, 'Приапизм', 'N48.3', 13271, 'N48', 0, 'Болезненная эрекция');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13276, 'Импотенция органического происхождения', 'N48.4', 13271, 'N48', 0, 'При необходимости идентифицировать причину используют дополнительный код. Исключена: психогенная импотенция (F52.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13277, 'Язва полового члена', 'N48.5', 13271, 'N48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13278, 'Баланит', 'N48.6', 13271, 'N48', 0, 'Пластическая индурация полового члена');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13279, 'Другие специфические болезни полового члена', 'N48.8', 13271, 'N48', 0, 'Атрофия } Гипертрофия } пещеристого тела и полового члена Тромбоз }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13280, 'Болезнь полового члена неуточненная', 'N48.9', 13271, 'N48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13281, 'Воспалительные болезни мужских половых органов, не классифицированные в других рубриках', 'N49', 13244, 'N40-N51', 5, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: воспаление полового члена (N48.1-N48.2) орхит и эпидидимит (N45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13282, 'Воспалительные болезни семенного пузырька', 'N49.0', 13281, 'N49', 0, 'Везикулит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13283, 'Воспалительные болезни семенного канатика, влагалищной оболочки и семявыносящего протока', 'N49.1', 13281, 'N49', 0, 'Вазит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13284, 'Воспалительные болезни мошонки', 'N49.2', 13281, 'N49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13285, 'Воспалительные болезни других уточненных мужских половых органов', 'N49.8', 13281, 'N49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13286, 'Воспалительные болезни неуточненного мужского полового органа', 'N49.9', 13281, 'N49', 0, 'Абсцесс } Фурункул } неуточненного мужского Карбункул } полового органа Целлюлит }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13287, 'Другие болезни мужских половых органов', 'N50', 13244, 'N40-N51', 4, 'Исключено: перекручивание яичка (N44)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13288, 'Атрофия яичка', 'N50.0', 13287, 'N50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13289, 'Сосудистые расстройства мужских половых органов', 'N50.1', 13287, 'N50', 0, 'Гематоцеле } Геморрагия } мужских половых органов Тромбоз }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13290, 'Другие специфические болезни мужских половых органов', 'N50.8', 13287, 'N50', 0, 'Атрофия } Гипертрофия } семенного пузырька, семенного канатика, Отек } яичка [кроме атрофии], влагалищной обоЯзва } лочки и семявыносящего протока Хилоцеле влагалищной оболочки (нефиляриозное) БДУ Фистула уретроскротальная Структура: . семенного канатика . влагалищной оболочки . семявыносящего протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13291, 'Болезнь мужских половых органов неуточненная', 'N50.9', 13287, 'N50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13292, 'Поражения мужских половых органов при болезнях, классифицированных в других рубриках', 'N51*', 13244, 'N40-N51', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13293, 'Поражения предстательной железы при болезнях,классифицированных в других рубриках', 'N51.0*', 13292, 'N51*', 0, 'Простатит: . гонококковый (A54.2+) . вызванный трихомонадой (A59.0+) . туберкулезный (A18.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13294, 'Поражения яичка и его придатков при болезнях, классифицированных в других рубриках', 'N51.1*', 13292, 'N51*', 0, 'Хламидийный: . эпидидимит (A56.1+) . орхит (A56.1+) Гонококковый: . эпидидимит (A54.2+) . орзит (A54.2+) Паротитный орхит (B26.0+) Туберкулез: . придатка яичка (A18.1+) . яичка (A18.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13295, 'Баланит при болезнях, классифицированных в других рубриках', 'N51.2*', 13292, 'N51*', 0, 'Баланит: . амебный (A06.8+) . кандидозный (B37.4+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13296, 'Другие поражения мужских половых органов при болезнях, классифицированных в других рубриках', 'N51.8*', 13292, 'N51*', 0, 'Филяриозное хилоцеле влагалищной оболочки (B74.-+) Герпесная инфекция [herpes simplex] мужских половых органов (A60.0+) Туберкулез семенных пузырьков (A18.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13298, 'БОЛЕЗНИ МОЛОЧНОЙ ЖЕЛЕЗЫ', 'N60-N64', 13001, 'N00-N99', 5, 'Исключены: болезни молочной железы, связанные с деторождением (O91-O92)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13299, 'Доброкачественная дисплазия молочной железы', 'N60', 13298, 'N60-N64', 7, 'Включена: фибрознокистозная мастопатия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13300, 'Солитарная киста молочной железы', 'N60.0', 13299, 'N60', 0, 'Киста молочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13301, 'Диффузная кистозная мастопатия', 'N60.1', 13299, 'N60', 0, 'Кистозная молочная железа Исключена: с пролиферацией эпителия (N60.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13302, 'Фиброаденоз молочной железы', 'N60.2', 13299, 'N60', 0, 'Исключена: фиброаденома молочной железы (D24)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13303, 'Фибросклероз молочной железы', 'N60.3', 13299, 'N60', 0, 'Кистозная мастопатия с пролиферацией эпителия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13304, 'Эктазия протоков молочной железы', 'N60.4', 13299, 'N60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13305, 'Другие доброкачественные дисплазии молочной железы', 'N60.8', 13299, 'N60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13306, 'Доброкачественная дисплазия молочной железы неуточненная', 'N60.9', 13299, 'N60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13307, 'Воспалительные болезни молочной железы', 'N61', 13298, 'N60-N64', 0, 'Абсцесс (острый) (хронический) (не послеродовой): . околососкового кружка . молочной железы Карбункул молочной железы Мастит (острый) (подострый) (не послеродовой): . БДУ . инфекционный Исключен: инфекционный мастит новорожденного (P39.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13308, 'Гипертрофия молочной железы', 'N62', 13298, 'N60-N64', 0, 'Гинекомастия Гипертрофия молочной железы: . БДУ . массивная пубертатная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13309, 'Образование в молочной железе неуточненное', 'N63', 13298, 'N60-N64', 0, 'Узелок (узелки) в молочной железе БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13310, 'Другие болезни молочной железы', 'N64', 13298, 'N60-N64', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13311, 'Трещина и свищ соска', 'N64.0', 13310, 'N64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13312, 'Жировой некроз молочной железы', 'N64.1', 13310, 'N64', 0, 'Жировой некроз (сегментарный) молочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13313, 'Атрофия молочной железы', 'N64.2', 13310, 'N64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13314, 'Галакторея, не связанная с деторождением', 'N64.3', 13310, 'N64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13315, 'Мастодиния', 'N64.4', 13310, 'N64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13316, 'Другие признаки и симптомы со стороны молочной железы', 'N64.5', 13310, 'N64', 0, 'Индурация молочной железы Выделение из соска Втянутый сосок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13317, 'Другие уточненные болезни молочной железы', 'N64.8', 13310, 'N64', 0, 'Галактоцеле Субинволюция молочной железы (постлактационная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13318, 'Болезнь молочной железы неуточненная', 'N64.9', 13310, 'N64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13320, 'ВОСПАЛИТЕЛЬНЫЕ БОЛЕЗНИ ЖЕНСКИХ ТАЗОВЫХ ОРГАНОВ', 'N70-N77', 13001, 'N00-N99', 8, 'Исключены: осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.0) . беременность, роды и послеродовой период (O23.-, O75.3, O85, O86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13321, 'Сальпингит и оофорит', 'N70', 13320, 'N70-N77', 3, 'Включены: абсцесс: . маточной трубы . яичника . тубоовариальный пиосальпинкс сальпингоофорит тубоовариальная воспалительная болезнь При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13322, 'Острый сальпингит и оофорит', 'N70.0', 13321, 'N70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13323, 'Хронический сальпингит и оофорит', 'N70.1', 13321, 'N70', 0, 'Гидросальпинкс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13324, 'Сальпингит и оофорит неуточненные', 'N70.9', 13321, 'N70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13325, 'Воспалительные болезни матки, кроме шейки матки', 'N71', 13320, 'N70-N77', 3, 'Включены: эндо(мио)метрит метрит миометрит пиометра абсцесс матки При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13326, 'Острая воспалительная болезнь матки', 'N71.0', 13325, 'N71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13327, 'Хроническая воспалительная болезнь матки', 'N71.1', 13325, 'N71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13328, 'Воспалительная болезнь матки неуточненная', 'N71.9', 13325, 'N71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13329, 'Воспалительная болезнь шейки матки', 'N72', 13320, 'N70-N77', 0, 'Цервицит } Эндоцервицит } с наличием или без эрозии или эктропиона Экзоцервицит } При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: эрозия и эктропион шейки матки без цервицита (N86)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13330, 'Другие воспалительные болезни женских тазовых органов', 'N73', 13320, 'N70-N77', 9, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13331, 'Острый параметрит и тазовый целлюлит', 'N73.0', 13330, 'N73', 0, 'Абсцесс: . широкой связки } уточненный(ая) как . параметрия } острый(ая) Тазовая флегмона у женщин }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13332, 'Хронический параметрит и тазовый целлюлит', 'N73.1', 13330, 'N73', 0, 'Любое состояние в подрубрике N73.0, уточненное как хроническое');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13333, 'Параметрит и тазовая флегмона неуточненные', 'N73.2', 13330, 'N73', 0, 'Любое состояние в подрубрике N73.0, не уточненное как острое или хроническое');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13334, 'Острый тазовый перитонит у женщин', 'N73.3', 13330, 'N73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13335, 'Хронический тазовый перитонит у женщин', 'N73.4', 13330, 'N73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13336, 'Тазовый перитонит у женщин неуточненный', 'N73.5', 13330, 'N73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13337, 'Тазовые перитонеальные спайки у женщин', 'N73.6', 13330, 'N73', 0, 'Исключены: тазовые перитонеальные спайки у женщин послеоперационные (N99.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13338, 'Другие уточненные воспалительные болезни женских тазовых органов', 'N73.8', 13330, 'N73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13339, 'Воспалительные болезни женских тазовых органов неуточненные', 'N73.9', 13330, 'N73', 0, 'Инфекционные или воспалительные болезни женских тазовых органов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13340, 'Воспалительные болезни женских тазовых органов при болезнях, классифицированных в других рубриках', 'N74*', 13320, 'N70-N77', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13341, 'Туберкулезная инфекция шейки матки (A18.1+)', 'N74.0*', 13340, 'N74*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13342, 'Воспалительные болезни женских тазовых органов туберкулезной этиологии (A18.1+)', 'N74.1*', 13340, 'N74*', 0, 'Туберкулезны эндометрит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13343, 'Воспалительные болезни женских тазовых органов, вызванные сифилисом (A51.4+, A52.7+)', 'N74.2*', 13340, 'N74*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13344, 'Гонококковые воспалительные болезни женских тазовых органов (A54.2+)', 'N74.3*', 13340, 'N74*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13345, 'Воспалительные болезни женских тазовых органов, вызванные хламидиями (A56.1+)', 'N74.4*', 13340, 'N74*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13346, 'Воспалительные болезни женских тазовых органов при других болезнях, классифицированных в других рубриках', 'N74.8*', 13340, 'N74*', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13347, 'Болезни бартолиновой железы', 'N75', 13320, 'N70-N77', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13348, 'Киста бартолиновой железы', 'N75.0', 13347, 'N75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13349, 'Абсцесс бартолиновой железы', 'N75.1', 13347, 'N75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13350, 'Другие болезни бартолиновой железы', 'N75.8', 13347, 'N75', 0, 'Бартолинит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13351, 'Болезнь бартолиновой железы неуточненная', 'N75.9', 13347, 'N75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13352, 'Другие воспалительные болезни влагалища и вульвы', 'N76', 13320, 'N70-N77', 8, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключен: старческий (атрофический) вагинит (N95.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13353, 'Острый вагинит', 'N76.0', 13352, 'N76', 0, 'Вагинит БДУ Вульвовагинит: . БДУ . острый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13354, 'Подострый и хронический вагинит', 'N76.1', 13352, 'N76', 0, 'Вульвовагинит: . хронический . подострый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13355, 'Острый вульвит', 'N76.2', 13352, 'N76', 0, 'Вульвит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13356, 'Подострый и хронический вульвит', 'N76.3', 13352, 'N76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13357, 'Абсцесс вульвы', 'N76.4', 13352, 'N76', 0, 'Фурункул вульвы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13358, 'Изъязвление влагалища', 'N76.5', 13352, 'N76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13359, 'Изъязвление вульвы', 'N76.6', 13352, 'N76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13360, 'Другие уточненные воспалительные болезни влагалища и вульвы', 'T76.8', 13352, 'N76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13361, 'Изъязвление и воспаление вульвы и влагалища при болезнях, классифицированных в других рубриках', 'N77*', 13320, 'N70-N77', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13362, 'Изъязвление вульвы при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'N77.0*', 13361, 'N77*', 0, 'Изъязвление вульвы при: . герпесвирусной инфекции [herpes simplex] (A60.0+) . туберкулезе (A18.1+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13363, 'Вагинит, вульвит и вульвовагинит при инфекционных и паразитарных болезнях, классифицированных в других рубриках', 'N77.1*', 13361, 'N77*', 0, 'Вагинит, вульвит и вульвовагинит при: . кандидозе (B37.3+) . герпесвирусной инфекции [herpes simplex] (A60.0+) . аскаридозе (B80+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13364, 'Изъязвление и воспаление вульвы и влагалища при болезнях, классифицированных в других рубриках', 'N77.8*', 13361, 'N77*', 0, 'Изъязвление вульвы при болезни Бехчета (M35.2+)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13366, 'НЕВОСПАЛИТЕЛЬНЫЕ БОЛЕЗНИ ЖЕНСКИХ ПОЛОВЫХ ОРГАНОВ', 'N80-N98', 13001, 'N00-N99', 19, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13367, 'Эндометриоз', 'N80', 13366, 'N80-N98', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13368, 'Эндометриоз матки', 'N80.0', 13367, 'N80', 0, 'Аденомиоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13369, 'Эндометриоз яичников', 'N80.1', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13370, 'Эндометриоз маточных труб', 'N80.2', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13371, 'Эндометриоз тазовой брюшины', 'N80.3', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13372, 'Эндометриоз ректовагинальной перегородки и влагалища', 'N80.4', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13373, 'Эндометриоз кишечника', 'N80.5', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13374, 'Эндометриоз кожного рубца', 'N80.6', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13375, 'Другой эндометриоз', 'N80.8', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13376, 'Эндометриоз неуточненный', 'N80.9', 13367, 'N80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13377, 'Выпадение женских половых органов', 'N81', 13366, 'N80-N98', 9, 'Исключены: выпадение половых органов, осложняющее беременность, роды или родоразрешение (O34.5) выпадение и грыжа яичника и маточной трубы (N83.4) выпадение культи (свода) влагалища после гистерэктомии (N99.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13378, 'Уретроцеле у женщин', 'N81.0', 13377, 'N81', 0, 'Исключены: уретроцеле с: . цистоцеле (N81.1) . выпадением матки (N81.2-N81.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13379, 'Цистоцеле', 'N81.1', 13377, 'N81', 0, 'Цистоцеле с уретроцеле Выпадение стенки (передней) влагалища БДУ Исключено: цистотеле с выпадением матки (N81.2-N81.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13380, 'Неполное выпадение матки и влагалища', 'N81.2', 13377, 'N81', 0, 'Выпадение шейки матки БДУ Выпадение влагалища: . первой степени . второй степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13381, 'Полное выпадение матки и влагалища', 'N81.3', 13377, 'N81', 0, 'Просиденция (матки) БДУ Выпадение матки третьей степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13382, 'Выпадение матки и влагалища неуточненное', 'N81.4', 13377, 'N81', 0, 'Выпадение матки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13383, 'Энтероцеле влагалища', 'N81.5', 13377, 'N81', 0, 'Исключено: энтероцеле с выпадением матки (N81.2-N81.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13384, 'Ректоцеле', 'N81.6', 13377, 'N81', 0, 'Выпадение задней стенки влагалища Исключены: выпадение прямой кишки (K62.3) ректоцеле с выпадением матки (N81.2-N81.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13385, 'Другие формы выпадения женских половых органов', 'N81.8', 13377, 'N81', 0, 'Недостаточность мышц тазового дна Старые разрывы мышц тазового дна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13386, 'Выпадение женских половых органов неуточненное', 'N81.9', 13377, 'N81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13387, 'Свищи с вовлечением женских половых органов', 'N82', 13366, 'N80-N98', 8, 'Исключен: пузырно-кишечный свищ (N32.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13388, 'Пузырно-влагалищный свищ', 'N82.0', 13387, 'N82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13389, 'Другие свищи женских мочеполовых путей', 'N82.1', 13387, 'N82', 0, 'Свищи: . шеечно-мочепузырный . мочеточниково-влагалищный . уретровагинальный . маточно-мочеточниковый . маточно-мочепузырный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13390, 'Свищ влагалищно-тонкокишечный', 'N82.2', 13387, 'N82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13391, 'Свищ влагалищно-толстокишечный', 'N82.3', 13387, 'N82', 0, 'Ректовагинальный свищ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13392, 'Другие кишечно-генитальные свищи у женщин', 'N82.4', 13387, 'N82', 0, 'Кишечно-маточный свищ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13393, 'Свищи генитально-кожные у женщин', 'N82.5', 13387, 'N82', 0, 'Свищ: . маточно-брюшностеночный . влагалищно-промежностный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13394, 'Другие свищи женских половых органов', 'N82.8', 13387, 'N82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13395, 'Свищ женских половых органов неуточненный', 'N82.9', 13387, 'N82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13396, 'Невоспалительные поражения яичника, маточной трубы и широкой связки матки', 'N83', 13366, 'N80-N98', 10, 'Исключен: гидросальпинкс (N70.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13397, 'Фолликулярная киста яичника', 'N83.0', 13396, 'N83', 0, 'Киста граафова фолликула Геморрагическая фолликулярная киста (яичника)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13398, 'Киста желтого тела', 'N83.1', 13396, 'N83', 0, 'Геморрагическая киста желтого тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13399, 'Другие и неуточненные кисты яичника', 'N83.2', 13396, 'N83', 0, 'Ретенционная киста } Простая киста } яичника Исключены: киста яичника: . связанная с аномалией развития (Q50.1) . неопластическая (D27) синдром поликистозного яичника (E28.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13400, 'Приобретенная атрофия яичника и маточной трубы', 'N83.3', 13396, 'N83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13401, 'Выпадение и грыжа яичника и маточной трубы', 'N83.4', 13396, 'N83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13402, 'Перекручивание яичника, ножки яичника и маточной трубы', 'N83.5', 13396, 'N83', 0, 'Перекручивание: . добавочной трубы . кисты Морганьи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13403, 'Гематосальпинкс', 'N83.6', 13396, 'N83', 0, 'Исключены: гематосальпинкс с: . гематокольпосом (N89.7) . гематометрой (N85.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13404, 'Гематома широкой связки матки', 'N83.7', 13396, 'N83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13405, 'Другие невоспалительные болезни яичника, маточной трубы и широкой связки матки', 'N83.8', 13396, 'N83', 0, 'Синдром разрыва широкой связки [Мастерса-Аллена]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13406, 'Невоспалительная болезнь яичника, маточной трубы и широкой связки матки неуточненная', 'N83.9', 13396, 'N83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13407, 'Полип женских половых органов', 'N84', 13366, 'N80-N98', 6, 'Исключены: аденоматозный полип (D28.-) плацентарный полип (O90.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13408, 'Полип тела матки', 'N84.0', 13407, 'N84', 0, 'Полип: . эндометрия . матки БДУ Исключена: полипоидная гиперплазия эндометрия (N85.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13409, 'Полип шейки матки', 'N84.1', 13407, 'N84', 0, 'Полип слизистой оболочки шейки матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13410, 'Полип влагалища', 'N84.2', 13407, 'N84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13411, 'Полип вульвы', 'N84.3', 13407, 'N84', 0, 'Полип половой губы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13412, 'Полип других отделов женских половых органов', 'N84.8', 13407, 'N84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13413, 'Полип женских половых органов неуточненный', 'N84.9', 13407, 'N84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13414, 'Другие невоспалительные болезни матки, за исключением шейки матки', 'N85', 13366, 'N80-N98', 10, 'Исключены: эндометриоз (N80.-) воспалительные болезни матки (N71.-) невоспалительные болезни шейки матки (N86-N88) полип тела матки (N84.0) выпадение матки (N81.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13415, 'Железистая гиперплазия эндометрия', 'N85.0', 13414, 'N85', 0, 'Гиперплазия эндометрия: . БДУ . кистозная . железисто-кистозная . полипоидная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13416, 'Аденоматозная гиперплазия эндометрия', 'N85.1', 13414, 'N85', 0, 'Гиперплазия эндометрия атипичная (аденоматозная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13417, 'Гипертрофия матки', 'N85.2', 13414, 'N85', 0, 'Большая или увеличенная матка Исключена: послеродовая гипертрофия матки (O90.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13418, 'Субинволюция матки', 'N85.3', 13414, 'N85', 0, 'Исключена: послеродовая субинволюция матки (O90.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13419, 'Неправильное положение матки', 'N85.4', 13414, 'N85', 0, 'Антеверсия } Ретрофлексия } матки Ретроверсия } Исключено: как осложнение беременности, родов или послеродового периода (O34.5, O65.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13420, 'Выворот матки', 'N85.5', 13414, 'N85', 0, 'Исключены: текущая акушерская травма (O71.2) послеродовое выпадение матки (N71.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13421, 'Внутриматочные синехии', 'N85.6', 13414, 'N85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13422, 'Гематометра', 'N85.7', 13414, 'N85', 0, 'Гематосальпинкс с гематометрой Исключена: гематометра с гематокольпосом (N89.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13423, 'Другие уточненные воспалительные болезни матки', 'N85.8', 13414, 'N85', 0, 'Атрофия матки приобретенная Фиброз матки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13424, 'Невоспалительная болезнь матки неуточненная', 'N85.9', 13414, 'N85', 0, 'Поражения матки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13425, 'Эрозия и эктропион шейки матки', 'N86', 13366, 'N80-N98', 0, 'Декубитальная (трофическая) язва } Выворот } шейки матки Исключены: с цервицитом (N72)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13426, 'Дисплазия шейки матки', 'N87', 13366, 'N80-N98', 4, 'Исключена: карцинома in situ шейки матки (D06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13427, 'Слабовыраженная дисплазия шейки матки', 'N87.0', 13426, 'N87', 0, 'Цервикальная интраэпителиальная неоплазия I степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13428, 'Умеренная дисплазия шейки матки', 'N87.1', 13426, 'N87', 0, 'Цервикальная интраэпителиальная неоплазия II степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13429, 'Резко выраженная дисплазия шейки матки, не классифицированная в других рубриках', 'N87.2', 13426, 'N87', 0, 'Резко выраженная дисплазия БДУ Исключена: цервикальная интраэпителиальная неоплазия III степени с упоминанием (или без него) о резко выраженной дисплазии (D06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13430, 'Дисплазия шейки матки неуточненная', 'N87.9', 13426, 'N87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13431, 'Другие невоспалительные болезни шейки матки', 'N88', 13366, 'N80-N98', 7, 'Исключены: воспалительные болезни шейки матки (N72) полип шейки матки (N84.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13432, 'Лейкоплакия шейки матки', 'N88.0', 13431, 'N88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13433, 'Старые разрывы шейки матки', 'N88.1', 13431, 'N88', 0, 'Спайки шейки матки Исключена: текущая акушерская травма (O71.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13434, 'Стриктура и стеноз шейки матки', 'N88.2', 13431, 'N88', 0, 'Исключены: как осложнение родов (O65.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13435, 'Недостаточность шейки матки', 'N88.3', 13431, 'N88', 0, 'Обследование и помощь при (предполагаемой) истмико-церви кальной недостаточности вне беременности Исключены: осложняющая состояние плода и новорожденного (P01.0) осложняющая беременность (O34.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13436, 'Гипертрофическое удлинение шейки матки', 'N88.4', 13431, 'N88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13437, 'Другие уточненные невоспалительные болезни шейки матки', 'N88.8', 13431, 'N88', 0, 'Исключена: текущая акушерская травма (O71.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13438, 'Невоспалительная болезнь шейки матки неуточненная', 'N88.9', 13431, 'N88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13439, 'Другие невоспалительные болезни влагалища', 'N89', 13366, 'N80-N98', 10, 'Исключены: карцинома in situ влагалища (D07.2) воспаление влагалища (N76.-) старческий (атрофический) вагинит (N95.2) бели при трихомонозе (A59.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13440, 'Слабовыраженная дисплазия влагалища', 'N89.0', 13439, 'N89', 0, 'Внутриэпителиальная неоплазия влагалища I степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13441, 'Умеренная дисплазия влагалища', 'N89.1', 13439, 'N89', 0, 'Внутриэпителиальная неоплазия влагалища II степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13442, 'Резко выраженная дисплазия влагалища, не классифицированная в других рубриках', 'N89.2', 13439, 'N89', 0, 'Резко выраженная дисплазия влагалища БДУ Исключена: внутриэпителиальная неоплазия влагалища III степени с упоминанием (или без него) о резко выраженной дисплазии (D07.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13443, 'Дисплазия влагалища неуточненная', 'N89.3', 13439, 'N89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13444, 'Лейкоплакия влагалища', 'N89.4', 13439, 'N89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13445, 'Стриктура и атрезия влагалища', 'N89.5', 13439, 'N89', 0, 'Влагалищные(ый): . спайки . стеноз Исключены: послеоперационные спайки влагалища (N99.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13446, 'Плотная девственная плева', 'N89.6', 13439, 'N89', 0, 'Ригидная девственная плева Плотное девственное кольцо Исключена: девственная плева заращенная (Q52.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13447, 'Гематокольпос', 'N89.7', 13439, 'N89', 0, 'Гематокольпос с гематометрой или с гематосальпинксом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13448, 'Другие невоспалительные болезни влагалища', 'N89.8', 13439, 'N89', 0, 'Бели БДУ Старый разрыв влагалища Язва влагалища Исключены: текущая акушерская травма (O70.-, O71.4, O71.7-O71.8) старый разрыв с вовлечением мышц тазового дна (N81.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13449, 'Невоспалительная болезнь влагалища неуточненная', 'N89.9', 13439, 'N89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13450, 'Другие невоспалительные болезни вульвы и промежности', 'N90', 13366, 'N80-N98', 10, 'Исключены: карцинома in situ вульвы (D07.1) текущая акушерская травма (O70.-, O71.7-O71.8) воспаление вульвы (N76.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13451, 'Слабовыраженная дисплазия вульвы', 'N90.0', 13450, 'N90', 0, 'Внутриэпителиальная неоплазия вульвы I степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13452, 'Умеренная дисплазия вульвы', 'N90.1', 13450, 'N90', 0, 'Внутриэпителиальная неоплазия вульвы II степени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13453, 'Резко выраженная дисплазия вульвы, не классифицированная в других рубриках', 'N90.2', 13450, 'N90', 0, 'Резко выраженная дисплазия вульвы БДУ Исключена: внутриэпителиальная неоплазия вульвы III степени с упоминанием (или без него) о резко выраженной дисплазии (D07.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13454, 'Дисплазия вульвы неуточненная', 'N90.3', 13450, 'N90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13455, 'Лейкоплакия вульвы', 'N90.4', 13450, 'N90', 0, 'Дистрофия } Крауроз } вульвы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13456, 'Атрофия вульвы', 'N90.5', 13450, 'N90', 0, 'Стеноз вульвы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13457, 'Гипертрофия вульвы', 'N90.6', 13450, 'N90', 0, 'Гипертрофия половых губ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13458, 'Киста вульвы', 'N90.7', 13450, 'N90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13459, 'Другие уточненные невоспалительные болезни вульвы  и промежности', 'N90.8', 13450, 'N90', 0, 'Спайки вульвы Гипертрофия клитора');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13460, 'Невоспалительная болезнь вульвы и промежности неуточненная', 'N90.9', 13450, 'N90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13461, 'Отсутствие менструаций, скудные и редкие менструации', 'N91', 13366, 'N80-N98', 6, 'Исключена: дисфункция яичников (E28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13462, 'Первичная аменорея', 'N91.0', 13461, 'N91', 0, 'Нарушение менструаций в пубертатном периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13463, 'Вторичная аменорея', 'N91.1', 13461, 'N91', 0, 'Отсутствие менструаций у женщин, у которых раньше они были');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13464, 'Аменорея неуточненная', 'N91.2', 13461, 'N91', 0, 'Отсутствие менструации БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13465, 'Первичная олигоменорея', 'N91.3', 13461, 'N91', 0, 'Скудные или редкие менструации с начала их появления');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13466, 'Вторичная олигоменорея', 'N91.4', 13461, 'N91', 0, 'Скудные или редкие менструации у женщин с ранее нормальными менструациями');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13467, 'Олигоменорея неуточненная', 'N91.5', 13461, 'N91', 0, 'Гипоменорея БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13468, 'Обильные, частые и нерегулярные менструации', 'N92', 13366, 'N80-N98', 7, 'Исключено: кровотечение после менопаузы (N95.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13469, 'Обильные и частые менструации при регулярном цикле', 'N92.0', 13468, 'N92', 0, 'Периодически обильные менструации БДУ Меноррагия БДУ Полименорея');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13470, 'Обильные и частые менструации при нерегулярном цикле', 'N92.1', 13468, 'N92', 0, 'Нерегулярные кровотечения в межменструальном периоде Нерегулярные, укороченные интервалы между менструальными кровотечениями Менометроррагия Метроррагия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13471, 'Обильные менструации в пубертатном периоде', 'N92.2', 13468, 'N92', 0, 'Обильные кровотечения в начале менструального периода Пубертатная меноррагия Пубертатные кровотечения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13472, 'Овуляторные кровотечения', 'N92.3', 13468, 'N92', 0, 'Регулярные менструальные кровотечения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13473, 'Обильные кровотечения в предменопаузном периоде', 'N92.4', 13468, 'N92', 0, 'Меноррагия или метроррагия: . климактерическая . в менопаузе . предклимактерическая . в предменопаузе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13474, 'Другие уточненные формы нерегулярных менструаций', 'N92.5', 13468, 'N92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13475, 'Нерегулярные менструации неуточненные', 'N92.6', 13468, 'N92', 0, 'Нерегулярные: . кровотечения БДУ . менструальные циклы БДУ Исключены: нерегулярные менструации на фоне: . удлиненных интервалов или скудных кровотечений (N91.3-N91.5) . укороченных интервалов или обильных кровотечений (N92.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13476, 'Другие аномальные кровотечения из матки и влагалища', 'N93', 13366, 'N80-N98', 3, 'Исключены: неонатальное кровотечение из влагалища (P54.6) ложная менструация (P54.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13477, 'Посткоитальные или контактные кровотечения', 'N93.0', 13476, 'N93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13478, 'Другие уточненные аномальные кровотечения из матки и влагалища', 'N93.8', 13476, 'N93', 0, 'Дисфункциональные или функциональные маточные или влагалищные кровотечения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13479, 'Аномальное маточное и влагалищное кровотечение неуточненное', 'N93.9', 13476, 'N93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13480, 'Болевые и другие состояния, связанные с женскими половыми органами и менструальным циклом', 'N94', 13366, 'N80-N98', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13481, 'Боли в середине менструального цикла', 'N94.0', 13480, 'N94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13482, 'Диспареуния', 'N94.1', 13480, 'N94', 0, 'Исключена: психогенная диспареуния (F52.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13483, 'Вагинизм', 'N94.2', 13480, 'N94', 0, 'Исключен: психогенный вагинизм (F52.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13484, 'Синдром предменструального напряжения', 'N94.3', 13480, 'N94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13485, 'Первичная дисменорея', 'N94.4', 13480, 'N94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13486, 'Вторичная дисменорея', 'N94.5', 13480, 'N94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13487, 'Дисменорея неуточненная', 'N94.6', 13480, 'N94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13488, 'Другие уточненные состояния, связанные с женскими половыми органами и менструальным циклом', 'N94.8', 13480, 'N94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13489, 'Состояния, связанные с женскими половыми органами и менструальным циклом неуточненные', 'N94.9', 13480, 'N94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13490, 'Нарушения менопаузы и другие нарушения в околоменопаузном периоде', 'N95', 13366, 'N80-N98', 6, 'Исключены: обильные кровотечения в пременопаузном периоде(N92.4) постменопаузный: . остеопороз (M81.0) . с патологическим переломом (M80.0) . уретрит (N34.2) преждевременная менопауза БДУ (E28.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13491, 'Постменопаузные кровотечения', 'N95.0', 13490, 'N95', 0, 'Исключены: связанные с искусственной менопаузой (N95.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13492, 'Менопауза и климактерическое состояние у женщины', 'N95.1', 13490, 'N95', 0, 'Связанные с менопаузой такие симптомы, как приливы, бессонница, головные боли, нарушение внимания Исключены: связанные с искусственной менопаузой (N95.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13493, 'Постменопаузный атрофический вагинит', 'N95.2', 13490, 'N95', 0, 'Старческий (атрофический) вагинит Исключен: связанный с искусственной менопаузой (N95.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13494, 'Состояния, связанные с искусственно вызванной менопаузой', 'N95.3', 13490, 'N95', 0, 'Синдром после искусственной менопаузы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13495, 'Другие уточненные нарушения менопаузного и перименопаузного периода', 'N95.8', 13490, 'N95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13496, 'Менопаузные и перименопаузные нарушения неуточненные', 'N95.9', 13490, 'N95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13497, 'Привычный выкидыш', 'N96', 13366, 'N80-N98', 0, 'Обследование или оказание медицинской помощи вне периода беременности Относительное бесплодие Исключены: текущая беременность (O26.2) с текущим абортом (O03-O06)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13498, 'Женское бесплодие', 'N97', 13366, 'N80-N98', 7, 'Включены: неспособность забеременеть стерильность женская БДУ Исключено: относительное бесплодие (N96)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13499, 'Женское бесплодие, связанное с отсутствием овуляции', 'N97.0', 13498, 'N97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13500, 'Женское бесплодие трубного происхождения', 'N97.1', 13498, 'N97', 0, 'Связанное с врожденной аномалией маточных труб Трубная: . непроходимость . закупорка . стеноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13501, 'Женское бесплодие маточного происхождения', 'N97.2', 13498, 'N97', 0, 'Связанное с врожденной аномалией матки Дефект имплантации яйцеклетки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13502, 'Женское бесплодие цервикального происхождения', 'N97.3', 13498, 'N97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13503, 'Женское бесплодие, связанное с мужскими факторами', 'N97.4', 13498, 'N97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13504, 'Другие формы женского бесплодия', 'N97.8', 13498, 'N97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13505, 'Женское бесплодие неуточненное', 'N97.9', 13498, 'N97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13506, 'Осложнения, связанные с искусственным оплодотворением', 'N98', 13366, 'N80-N98', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13507, 'Инфекция, связанная с искусственным оплодотворением', 'N98.0', 13506, 'N98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13508, 'Гиперстимуляция яичников', 'N98.1', 13506, 'N98', 0, 'Гиперстимуляция яичников: . БДУ . связанная с индуцированной овуляцией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13509, 'Осложнения, связанные с попыткой имплантации оплодотворенной яйцеклетки после экстракорпорального оплодотворения', 'N98.2', 13506, 'N98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13510, 'Осложнения, связанные с попыткой имплантации эмбриона', 'N98.3', 13506, 'N98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13511, 'Другие осложнения, связанные с искусственным оплодотворением', 'N98.8', 13506, 'N98', 0, 'Осложнения искусственной инсеминации: . донорской спермой . спермой мужа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13512, 'Осложнения, связанные с искусственным оплодотворением, неуточненные', 'N98.9', 13506, 'N98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13513, 'ДРУГИЕ БОЛЕЗНИ МОЧЕПОЛОВОЙ СИСТЕМЫ', 'N99', 13001, 'N00-N99', 1, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13514, 'Нарушения мочеполовой системы после медицинских процедур, не классифицированные в других рубриках', 'N99', 13513, 'N99', 8, 'Исключены: лучевой цистит (N30.4) остеопороз после оперативного удаления яичника (M81.1) . с патологическим переломом (M80.1) состояния, связанные с искусственно вызванной менопаузой (N95.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13515, 'Послеоперационная почечная недостаточность', 'N99.0', 13514, 'N99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13516, 'Послеоперационная стриктура уретры', 'N99.1', 13514, 'N99', 0, 'Стриктура уретры после катетеризации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13517, 'Послеоперационные спайки влагалища', 'N99.2', 13514, 'N99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13518, 'Выпадение свода влагалища после экстирпации матки', 'N99.3', 13514, 'N99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13519, 'Послеоперационные спайки в малом тазу', 'N99.4', 13514, 'N99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13520, 'Дисфункция наружной стомы мочевых путей', 'N99.5', 13514, 'N99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13521, 'Другие нарушения мочеполовой системы после медицинских процедур', 'N99.8', 13514, 'N99', 0, 'Синдром резидуального яичника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(13522, 'Нарушение мочеполовой системы после медицинских процедур неуточненное', 'N99.9', 13514, 'N99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14001, 'БЕРЕМЕННОСТЬ, РОДЫ И ПОСЛЕРОДОВОЙ ПЕРИОД', 'O00-O99', NULL, NULL, 8, 'Исключены: болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24) травмы, отравления и другие последствия воздействия внешних причин (S00-T98) психические расстройства и расстройства поведения, связанные с послеродовым периодом (F53.-) акушерский столбняк (A34) послеродовой некроз гипофиза (E23.0) послеродовая остеомаляция (M83.0) наблюдение за течением: . беременности у женщины, подвергающейся высокому риску (Z35.-) . нормальной беременности (Z34.-)\nЭтот класс содержит следующие блоки:\nO00-O08 Беременность с абортивным исходом\nO10-O16 Отеки, протеинурия и гипертензивные расстройства во время беременности, родов и в послеродовом периоде\nO20-O29 Другие болезни матери, преимущественно связанные с беременностью\nO30-O48 Медицинская помощь матери в связи с состоянием плода, амниотической полости и возможными трудностями родоразрешения\nO60-O75 Осложнения родов и родоразрешения\nO38-O84 Родоразрешение\nO85-092 Осложнения, связанные преимущественно с послеродовым периодом\nO95-O99 Другие акушерские состояния, не классифицированные в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14002, 'БЕРЕМЕННОСТЬ С АБОРТИВНЫМ ИСХОДОМ', 'O00-O08', 14001, 'O00-O99', 9, 'Исключена: продолжающаяся беременность при многоплодном зачатии после аборта одного или более чем одного плода (O31.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14003, 'Внематочная [эктопическая] беременность', 'O00', 14002, 'O00-O08', 5, 'Включена: внематочная беременность с разрывом При необходимости идентифицировать любое связанное с этим осложнение используют дополнительный код рубрики O08.-.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14004, 'Абдоминальная [брюшная] беременность', 'O00.0', 14003, 'O00', 0, 'Исключены: родоразрешение живым ребенком при абдоминальной беременности (O83.3) медицинская помощь матери в случае жизнеспособного плода при абдоминальной беременности (O36.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14005, 'Трубная беременность', 'O00.1', 14003, 'O00', 0, 'Беременность в маточной трубе Разрыв (маточной) трубы вследствие беременности Трубный аборт');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14006, 'Яичниковая беременность', 'O00.2', 14003, 'O00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14007, 'Другие формы внематочной беременности', 'O00.8', 14003, 'O00', 0, 'Беременность: . шеечная . в роге матки . интралигаментарная . стеночная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14008, 'Внематочная беременность неуточненная', 'O00.9', 14003, 'O00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14009, 'Пузырный занос', 'O01', 14002, 'O00-O08', 3, 'При необходимости идентифицировать любое связанное с этим осложнение используют дополнительный код рубрики O08.-. Исключен: злокачественный пузырный занос (D39.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14010, 'Пузырный занос классический', 'O01.0', 14009, 'O01', 0, 'Пузырный занос полный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14011, 'Пузырный занос неполный и частичный', 'O01.1', 14009, 'O01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14012, 'Пузырный занос неуточненный', 'O01.9', 14009, 'O01', 0, 'Трофобластическая болезнь БДУ Пузырный занос БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14013, 'Другие анормальные продукты зачатия', 'O02', 14002, 'O00-O08', 4, 'При необходимости идентифицировать любое связанное с этим осложнение используют дополнительный код рубрики O08.-. Исключен: бумажный плод (O31.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14014, 'Погибшее плодное яйцо и непузырный занос', 'O02.0', 14013, 'O02', 0, 'Занос: . мясистый . внутриматочный БДУ Патологическое плодное яйцо');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14015, 'Несостоявшийся выкидыш', 'O02.1', 14013, 'O02', 0, 'Ранняя гибель плода с задержкой в матке Исключены: несостоявшийся выкидыш с: . погибшим яйцом (O02.0) . заносом: . пузырным (O01.-) . непузырным (O02.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14016, 'Другие уточненные анормальные продукты зачатия', 'O02.8', 14013, 'O02', 0, 'Исключены: вместе с: . погибшим яйцом (O02.0) . заносом: . пузырным (O01.-) . непузырным (O02.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14017, 'Анормальный продукт зачатия неуточненный', 'O02.9', 14013, 'O02', 0, 'С рубриками O03-O06 используются следующие четвертые знаки:\nПримечание. Понятие "неполный аборт" включает задержку продуктов зачатия после аборта.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14018, 'Самопроизвольный аборт', 'O03', 14002, 'O00-O08', 10, '[подрубрики см. выше] Включен: выкидыш');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14019, 'Неполный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O03.0', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14020, 'Неполный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O03.1', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14021, 'Неполный аборт, осложнившийся эмболией', 'O03.2', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14022, 'Неполный аборт с другими и неуточненными осложнениями', 'O03.3', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубриках O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14023, 'Неполный аборт без осложнений', 'O03.4', 14018, 'O03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14024, 'Полный или неуточненный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O03.5', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14025, 'Полный или неуточненный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O03.6', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14026, 'Полный или неуточненный аборт, осложнившийся эмболией', 'O03.7', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14027, 'Полный или неуточненный аборт с другими или неуточненными осложнениями', 'O03.8', 14018, 'O03', 0, 'С состояниями, классифицированными в подрубриах O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14028, 'Полный или неуточненный аборт без осложнений', 'O03.9', 14018, 'O03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14029, 'Медицинский аборт', 'O04', 14002, 'O00-O08', 10, '[подрубрики см. выше] Включены: прерывание беременности: . легальное . по медицинским показаниям аборт по медицинским показаниям');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14030, 'Неполный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O04.0', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14031, 'Неполный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O04.1', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14032, 'Неполный аборт, осложнившийся эмболией', 'O04.2', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14033, 'Неполный аборт с другими и неуточненными осложнениями', 'O04.3', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубриках O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14034, 'Неполный аборт без осложнений', 'O04.4', 14029, 'O04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14035, 'Полный или неуточненный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O04.5', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14036, 'Полный или неуточненный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O04.6', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14037, 'Полный или неуточненный аборт, осложнившийся эмболией', 'O04.7', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14038, 'Полный или неуточненный аборт с другими или неуточненными осложнениями', 'O04.8', 14029, 'O04', 0, 'С состояниями, классифицированными в подрубриах O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14039, 'Полный или неуточненный аборт без осложнений', 'O04.9', 14029, 'O04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14040, 'Другие виды аборта', 'O05', 14002, 'O00-O08', 10, '[подрубрики см. выше]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14041, 'Неполный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O05.0', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14042, 'Неполный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O05.1', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14043, 'Неполный аборт, осложнившийся эмболией', 'O05.2', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14044, 'Неполный аборт с другими и неуточненными осложнениями', 'O05.3', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубриках O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14045, 'Неполный аборт без осложнений', 'O05.4', 14040, 'O05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14046, 'Полный или неуточненный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O05.5', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14047, 'Полный или неуточненный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O05.6', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14048, 'Полный или неуточненный аборт, осложнившийся эмболией', 'O05.7', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14049, 'Полный или неуточненный аборт с другими или неуточненными осложнениями', 'O05.8', 14040, 'O05', 0, 'С состояниями, классифицированными в подрубриах O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14050, 'Полный или неуточненный аборт без осложнений', 'O05.9', 14040, 'O05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14051, 'Аборт неуточненный', 'O06', 14002, 'O00-O08', 10, '[подрубрики см. выше] Включен: искусственный аборт БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14052, 'Неполный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O06.0', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14053, 'Неполный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O06.1', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14054, 'Неполный аборт, осложнившийся эмболией', 'O06.2', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14055, 'Неполный аборт с другими и неуточненными осложнениями', 'O06.3', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубриках O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14056, 'Неполный аборт без осложнений', 'O06.4', 14051, 'O06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14057, 'Полный или неуточненный аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O06.5', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14058, 'Полный или неуточненный аборт, осложнившийся длительным или чрезмерным кровотечением', 'O06.6', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14059, 'Полный или неуточненный аборт, осложнившийся эмболией', 'O06.7', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14060, 'Полный или неуточненный аборт с другими или неуточненными осложнениями', 'O06.8', 14051, 'O06', 0, 'С состояниями, классифицированными в подрубриах O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14061, 'Полный или неуточненный аборт без осложнений', 'O06.9', 14051, 'O06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14062, 'Неудачная попытка аборта', 'O07', 14002, 'O00-O08', 10, 'Включена: неудачная попытка искусственного аборта Исключен: неполный аборт (O03-O06)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14063, 'Неудачный медицинский аборт, осложнившийся инфекцией половых путей и тазовых органов', 'O07.0', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14064, 'Неудачный медицинский  аборт, осложнившийся длительным или чрезмерным кровотечением', 'O07.1', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14065, 'Неудачный медицинский аборт, осложнившийся эмболией', 'O07.2', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14066, 'Неудачный медицинский аборт с другими и неуточненными осложнениями', 'O07.3', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубриках O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14067, 'Неудачный медицинский аборт без осложнений', 'O07.4', 14062, 'O07', 0, 'Неудачный медицинский аборт БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14068, 'Другие и неуточненные неудачные попытки аборта, осложнившиеся инфекцией половых путей и тазовых органов', 'O07.5', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубрике O08.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14069, 'Другие и неуточненные неудачные попытки аборта, осложнившиеся длительным или чрезмерным кровотечением', 'O07.6', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубрике O08.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14070, 'Другие и неуточненные неудачные попытки аборта, осложнившиеся эмболией', 'O07.7', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубрике O08.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14071, 'Другие и неуточненные неудачные попытки аборта с другими и неуточненными осложнениями', 'O07.8', 14062, 'O07', 0, 'С состояниями, классифицированными в подрубриках O08.3-O08.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14072, 'Другие и неуточненные неудачные попытки аборта без осложнений', 'O07.9', 14062, 'O07', 0, 'Неудачная попытка аборта БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14073, 'Осложнения, вызванные абортом, внематочной или молярной беременностью', 'O08', 14002, 'O00-O08', 10, 'Примечание. Этот код предназначен преимущественно для кодирования заболеваемости. При использовании этой рубрики следует руководствоваться правилами кодирования заболеваемости и указаниями, изложенными в т. 2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14074, 'Инфекция половых путей и тазовых органов, вызванная абортом, внематочной и молярной беременностью', 'O08.0', 14073, 'O08', 0, 'Эндометрит } Оофорит } Параметрит } Тазовый перитонит } как следствие состояний, Сальпингит } классифицированных в рубриках Сальпингоофорит } O00-O07 Сепсис } Септический шок } Септицемия } Исключены: септическая или септикопиемическая эмболия (O08.2) инфекция мочевых путей (O08.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14075, 'Длительное или массивное кровотечение, вызванное абортом, внематочной и молярной беременностью', 'O08.1', 14073, 'O08', 0, 'Афибриногенемия } как следствие состояний, Синдром дефибринации } классифицированных Внутрисосудистое свертывание } в рубриках O00-O07');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14076, 'Эмболия, вызванная абортом, внематочной и молярной беременностью', 'O08.2', 14073, 'O08', 0, 'Эмболия: . БДУ } . воздушная } . амниотической жидкостью } . сгустком крови } как следствие состояний, . легочная } классифицированных . пиемическая } в рубриках O00-O07 . септическая или септико- } пиемическая } . от моющих средств }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14077, 'Шок, вызванный абортом, внематочной и молярной беременностью', 'O08.3', 14073, 'O08', 0, 'Сосудистый коллапс } как следствие состояний, } классифицированных Шок (послеоперационный) } в рубриках O00-O07 Исключен: септический шок (O08.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14078, 'Почечная недостаточность, вызванная абортом, внематочной и молярной беременностью', 'O08.4', 14073, 'O08', 0, 'Олигурия } Почечная(ый)(ое): } . недостаточность (острая) } как следствие состояний, . прекращение функции [анурия] } классифицированных . тубулярный некроз } в рубриках O00-O07 Уремия }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14079, 'Нарушения обмена веществ, вызванные абортом, внематочной и молярной беременностью', 'O08.5', 14073, 'O08', 0, 'Нарушения водно-солевого баланса как следствие состояний, классифицированных в рубриках O00-O07');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14080, 'Повреждения тазовых органов и тканей, вызванные абортом, внематочной и молярной беременностью', 'O08.6', 14073, 'O08', 0, 'Разрыв, прободение, надрыв или химическое повреждение: . мочевого пузыря } . кишечника } . широкой связки матки } как следствие состояний, . шейки матки } классифицированных . периуретральной ткани } в рубриках O00-O07 . матки }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14081, 'Другие венозные осложнения, вызванные абортом,внематочной и молярной беременностью', 'O08.7', 14073, 'O08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14082, 'Другие осложнения, вызванные абортом, внематочной и молярной беременностью', 'O08.8', 14073, 'O08', 0, 'Остановка сердца } как следствие состояний, } классифицированных Инфекция мочевых путей } в рубриках O00-O07');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14083, 'Осложнение, вызванное абортом, внематочной и молярной беременностью, неуточненное', 'O08.9', 14073, 'O08', 0, 'Неуточненное осложненние как следствие состояний, классифицируемых в рубриках O00-O07');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14085, 'ОТЕКИ, ПРОТЕИНУРИЯ И ГИПЕРТЕНЗИВНЫЕ РАССТРОЙСТВА ВО ВРЕМЯ БЕРЕМЕННОСТИ, РОДОВ И В ПОСЛЕРОДОВОМ ПЕРИОДЕ', 'O10-O16', 14001, 'O00-O99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14086, 'Существовавшая ранее гипертензия, осложняющая беременность, роды и послеродовой период', 'O10', 14085, 'O10-O16', 6, 'Включены: перечисленные состояния с предшествовавшей протеинурией Исключены: состояния с нарастающей или присоединившейся протеинурией (O11)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14087, 'Существовавшая ранее эссенциальная гипертензия, осложняющая беременность, роды и послеродовой период', 'O10.0', 14086, 'O10', 0, 'Любое состояние, классифицированное в рубрике I10, уточненное как причина для оказания акушерской помощи во время беременности, родов и послеродового периода');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14088, 'Существовавшая ранее кардиоваскулярная гипертензия, осложняющая беременность, роды и послеродовой период', 'O10.1', 14086, 'O10', 0, 'Любое состояние, классифицированное в рубрике I11-, уточненное как причина для оказания акушерской помощи во время беременности, родов и в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14089, 'Существовавшая ранее почечная гипертензия, осложняющая беременность, роды и послеродовой период', 'O10.2', 14086, 'O10', 0, 'Любое состояние, классифицированное в рубрике I12-, уточненное как причина для оказания акушерской помощи во время беременности, родов и в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14090, 'Существовавшая ранее кардиоваскулярная и почечная гипер тензия, осложняющая беременность, роды и послеродовой период', 'O10.3', 14086, 'O10', 0, 'Любое состояние, классифицированное в рубрике I13-, уточненное как причина для оказания акушерской помощи во время беременности, родов и в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14091, 'Существовавшая ранее вторичная гипертензия, осложняющая беременность, роды и послеродовой период', 'O10.4', 14086, 'O10', 0, 'Любое состояние, классифицированное в рубрике I15-, уточненное как причина для оказания акушерской помощи во время беременности, родов и в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14092, 'Существовавшая ранее гипертензия, осложняющая беременность, роды и послеродовой период, неуточненная', 'O10.9', 14086, 'O10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14093, 'Существовавшая ранее гипертензия с присоединившейся протеинурией', 'O11', 14085, 'O10-O16', 0, 'Состояния, классифицированные в рубрике O10-, осложнившиеся нарастающей протеинурией Присоединившаяся преэклампсия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14094, 'Вызванные беременностью отеки и протеинурия без гипертензии', 'O12', 14085, 'O10-O16', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14095, 'Вызванные беременностью отеки', 'O12.0', 14094, 'O12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14096, 'Вызванная беременностью протеинурия', 'O12.1', 14094, 'O12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14097, 'Вызванные беременностью отеки с протеинурией', 'O12.2', 14094, 'O12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14098, 'Вызванная беременностью гипертензия без значительной протеинурии', 'O13', 14085, 'O10-O16', 0, 'Вызванная беременностью гипертензия БДУ Легкая преэклампсия [нефропатия легкой степени]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14099, 'Вызванная беременностью гипертензия со значительной протеинурией', 'O14', 14085, 'O10-O16', 3, 'Исключена: присоединившаяся преэклампсия (O11)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14100, 'Преэклампсия [нефропатия] средней тяжести', 'O14.0', 14099, 'O14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14101, 'Тяжелая преэклампсия', 'O14.1', 14099, 'O14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14102, 'Преэклампсия [нефропатия] неуточненная', 'O14.9', 14099, 'O14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14103, 'Эклампсия', 'O15', 14085, 'O10-O16', 4, 'Включены: судороги, вызванные состояниями, классифицированными в рубриках O10-O14 и O16');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14104, 'Эклампсия во время беременности', 'O15.0', 14103, 'O15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14105, 'Эклампсия в родах', 'O15.1', 14103, 'O15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14106, 'Эклампсия в послеродовом периоде', 'O15.2', 14103, 'O15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14107, 'Эклампсия неуточненная по срокам', 'O15.9', 14103, 'O15', 0, 'Эклампсия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14108, 'Гипертензия у матери неуточненная', 'O16', 14085, 'O10-O16', 0, 'Преходящая гипертензия во время беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14110, 'ДРУГИЕ БОЛЕЗНИ МАТЕРИ, СВЯЗАННЫЕ ПРЕИМУЩЕСТВЕННО С БЕРЕМЕННОСТЬЮ', 'O20-O29', 14001, 'O00-O99', 9, 'Примечание. Рубрики O24.- и O25 включают перечисленные ниже состояния, даже если они возникли во время родов или в послеродовом периоде.\nИсключены: медицинская помощь матери в связи с состоянием плода, амниотической полости и возможными трудностями родоразрешения (O30-O48) болезни матери, классифицированные в других рубриках, но осложняющие беременность, роды и послеродовой период (O98-O99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14111, 'Кровотечение в ранние сроки беременности', 'O20', 14110, 'O20-O29', 3, 'Исключена: беременность с абортивным исходом (O00-O08)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14112, 'Угрожающий аборт', 'O20.0', 14111, 'O20', 0, 'Кровотечение, уточненное как проявление угрожающего аборта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14113, 'Другие кровотечения в ранние сроки беременности', 'O20.8', 14111, 'O20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14114, 'Кровотечение в ранние сроки беременности неуточненное', 'O20.9', 14111, 'O20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14115, 'Чрезмерная рвота беременных', 'O21', 14110, 'O20-O29', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14116, 'Рвота беременных легкая или умеренная', 'O21.0', 14115, 'O21', 0, 'Рвота беременных легкая или неуточненная, начинающаяся в сроки до 22 полных недель беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14117, 'Чрезмерная или тяжелая рвота беременных с нарушениями обмена веществ', 'O21.1', 14115, 'O21', 0, 'Чрезмерная [тяжелая] рвота беременных, начинающаяся в сроки до 22 полных недель беременности, с такими нарушениями обмена  веществ, как: . истощение запаса углеводов . дегидратация . нарушение водно-солевого равновесия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14118, 'Поздняя рвота беременных', 'O21.2', 14115, 'O21', 0, 'Чрезмерная рвота, начавшаяся в сроки после 22 полных недель беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14119, 'Другие формы рвоты, осложняющей беременность', 'O21.8', 14115, 'O21', 0, 'Осложняющая беременность рвота, обусловленная заболеваниями, классифицированными в других рубриках При необходимости идентифицировать причину используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14120, 'Рвота беременных неуточненная', 'O21.9', 14115, 'O21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14121, 'Венозные осложнения во время беременности', 'O22', 14110, 'O20-O29', 8, 'Исключены: акушерская легочная эмболия (O88.-) перечисленные состояния как осложнение: . аборта, внематочной или молярной беременности (O00-O07, O08.7) . родов и послеродового периода (O87.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14122, 'Варикозное расширение вен нижних конечностей во время беременности', 'O22.0', 14121, 'O22', 0, 'Варикозное расширение вен во время беременности БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14123, 'Варикозное расширение вен половых органов во время беременности', 'O22.1', 14121, 'O22', 0, 'Промежности } Влагалища } варикозы во время беременности Вульвы }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14124, 'Поверхностный тромбофлебит во время беременности', 'O22.2', 14121, 'O22', 0, 'Тромбофлебит нижних конечностей во время беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14125, 'Глубокий флеботромбоз во время беременности', 'O22.3', 14121, 'O22', 0, 'Тромбоз глубоких вен дородовой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14126, 'Геморрой во время беременности', 'O22.4', 14121, 'O22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14127, 'Тромбоз церебральных вен во время беременности', 'O22.5', 14121, 'O22', 0, 'Тромбоз церебровенозного синуса во время беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14128, 'Другие венозные осложнения во время беременности', 'O22.8', 14121, 'O22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14129, 'Венозное осложнение во время беременности неуточненное', 'O22.9', 14121, 'O22', 0, 'Гестационный(ая): . флебит БДУ . флебопатия БДУ . тромбоз БДУ');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14130, 'Инфекция мочеполовых путей при беременности', 'O23', 14110, 'O20-O29', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14131, 'Инфекция почек при беременности', 'O23.0', 14130, 'O23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14132, 'Инфекция мочевого пузыря при беременности', 'O23.1', 14130, 'O23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14133, 'Инфекция уретры при беременности', 'O23.2', 14130, 'O23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14134, 'Инфекция других отделов мочевых путей при беременности', 'O23.3', 14130, 'O23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14135, 'Инфекция мочевых путей при беременности неуточненная', 'O23.4', 14130, 'O23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14136, 'Инфекция половых путей при беременности', 'O23.5', 14130, 'O23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14137, 'Другая и неуточненная инфекция мочеполовых путей при беременности', 'O23.9', 14130, 'O23', 0, 'Инфекция мочеполовых путей при беременности БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14138, 'Сахарный диабет при беременности', 'O24', 14110, 'O20-O29', 6, 'Включен: во время родов и в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14139, 'Существовавший ранее сахарный диабет инсулинзависимый', 'O24.0', 14138, 'O24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14140, 'Существовавший ранее сахарный диабет инсулиннезависимый', 'O24.1', 14138, 'O24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14141, 'Существовавший ранее сахарный диабет, связанный с недостаточностью питания', 'O24.2', 14138, 'O24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14142, 'Существовавший ранее сахарный диабет неуточненный', 'O24.3', 14138, 'O24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14143, 'Сахарный диабет, развившийся во время беременности', 'O24.4', 14138, 'O24', 0, 'Гестационный сахарный диабет БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14144, 'Сахарный диабет при беременности неуточненный', 'O24.9', 14138, 'O24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14145, 'Недостаточность питания при беременности', 'O25', 14110, 'O20-O29', 0, 'Недостаточность питания при родоразрешении и в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14146, 'Медицинская помощь матери в связи с другими состояниями, связанными преимущественно с беременностью', 'O26', 14110, 'O20-O29', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14147, 'Чрезмерное увеличение массы тела во время беременности', 'O26.0', 14146, 'O26', 0, 'Исключены: вызванные беременностью отеки (O12.0, O12.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14148, 'Недостаточное увеличение массы тела во время беременности', 'O26.1', 14146, 'O26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14149, 'Медицинская помощь женщине с привычным невынашиванием беременности', 'O26.2', 14146, 'O26', 0, 'Исключены: привычное невынашивание: . с текущим абортом (O03-O06) . без текущей беременности (N96)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14150, 'Оставшееся внутриматочное противозачаточное средство при беременности', 'O26.3', 14146, 'O26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14151, 'Герпес беременных', 'O26.4', 14146, 'O26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14152, 'Гипотензивный синдром у матери', 'O26.5', 14146, 'O26', 0, 'Гипотензивный синдром в положении лежа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14153, 'Поражения печени во время беременности, родов и в послеродовом периоде', 'O26.6', 14146, 'O26', 0, 'Исключен: печеночно-почечный синдром, вызванный родами (O90.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14154, 'Подвывих лонного сочленения во время беременности, родов и в послеродовом периоде', 'O26.7', 14146, 'O26', 0, 'Исключено: травматическое расхождение лонного сочленения во время родоразрешения (O71.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14155, 'Другие уточненные состояния, связанные с беременностью', 'O26.8', 14146, 'O26', 0, 'Истощение и утомляемость } Периферические невриты } связанные с беременностью Болезнь почек }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14156, 'Состояние, связанное с беременностью, неуточненное', 'O26.9', 14146, 'O26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14157, 'Отклонения от нормы, выявленные при антенатальном обследовании матери', 'O28', 14110, 'O20-O29', 8, 'Исключены: результаты диагностических исследований, классифицированные в других рубриках медицинская помощь матери в связи с состоянием плода, амниотической полости и возможными трудностями родоразрешения (O30-O48)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14158, 'Гематологические отклонения, выявленные при антенатальном обследовании матери', 'O28.0', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14159, 'Биохимические отклонения, выявленные при антенатальном обследовании матери', 'O28.1', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14160, 'Цитологические изменения, выявленные при антенатальном обследовании матери', 'O28.2', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14161, 'Патологические изменения, выявленные при ультразвуковом антенатальном обследовании матери', 'O28.3', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14162, 'Патологические изменения, выявленные при рентгенологическом антенатальном обследовании матери', 'O28.4', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14163, 'Хромосомные или генетические аномалии, выявленные при антенатальном обследовании матери', 'O28.5', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14164, 'Другие отклонения от нормы, выявленные при антенатальном обследовании матери', 'O28.8', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14165, 'Отклонение от нормы, выявленное при антенатальном обследовании матери, неуточненное', 'O28.9', 14157, 'O28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14166, 'Осложнения, связанные с проведением анестезии в период беременности', 'O29', 14110, 'O20-O29', 9, 'Включены: осложнения у матери, вызванные проведением общей или местной анестезии, применением болеутоляющих или седативных препаратов во время беременности Исключены: осложнения, связанные с анестезией во время: . аборта, внематочной или молярной беременности (O00-O08) . родовой деятельности и родоразрешения (O74.-) . послеродового периода (O89.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14167, 'Легочные осложнения анестезии в период беременности', 'O29.0', 14166, 'O29', 0, 'Аспирационный пневмонит } Аспирация содержимого желудка } или желудочного сока } вследствие анестезии Синдром Мендельсона } при беременности Прессорный коллапс легкого }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14168, 'Кардиологические осложнения анестезии в период беременности', 'O29.1', 14166, 'O29', 0, 'Остановка сердца } вследствие анестезии Сердечная недостаточность } при беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14169, 'Осложнения со стороны центральной нервной системы в связи с анестезией в период беременности', 'O29.2', 14166, 'O29', 0, 'Церебральная аноксия вследствие проведения анестезии в период беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14170, 'Токсическая реакция на местную анестезию в период беременности', 'O29.3', 14166, 'O29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14171, 'Головные боли, вызванные применением спинномзоговой или эпидуральной анестезии в период беременности', 'O29.4', 14166, 'O29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14172, 'Другие осложнения спинномозговой или эпидуральной анестезии в период беременности', 'O29.5', 14166, 'O29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14173, 'Неудача или трудности при интубации во время беременности', 'O29.6', 14166, 'O29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14174, 'Другие осложнения анестезии в период беременности', 'O29.8', 14166, 'O29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14175, 'Осложнение анестезии в период беременности неуточненное', 'O29.9', 14166, 'O29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14177, 'МЕДИЦИНСКАЯ ПОМОЩЬ МАТЕРИ В СВЯЗИ С СОСТОЯНИЕМ ПЛОДА, АМНИОТИЧЕСКОЙ ПОЛОСТИ И ВОЗМОЖНЫМИ ТРУДНОСТЯМИ РОДОРАЗРЕШЕНИЯ', 'O30-O48', 14001, 'O00-O99', 16, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14178, 'Многоплодная беременность', 'O30', 14177, 'O30-O48', 5, 'Исключены: осложнения, характерные для многоплодной беременности (O31.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14179, 'Беременность двойней', 'O30.0', 14178, 'O30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14180, 'Беременность тройней', 'O30.1', 14178, 'O30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14181, 'Беременность четырьмя плодами', 'O30.2', 14178, 'O30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14182, 'Другие формы многоплодной беременности', 'O30.8', 14178, 'O30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14183, 'Многоплодная беременность неуточненная', 'O30.9', 14178, 'O30', 0, 'Многоплодная беременность БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14184, 'Осложнения, характерные для многоплодной беременности', 'O31', 14177, 'O30-O48', 4, 'Исключены: сросшаяся двойня, приводящая к диспропорции размеров таза и плода (O33.7) задержка рождения последующего ребенка из двойни, тройни и т. д. (O63.2) неправильное предлежание одного или более чем одного плода (O32.5) с затрудненными родами (O64-O66)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14185, 'Бумажный плод', 'O31.0', 14184, 'O31', 0, 'Fetus compressus');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14186, 'Продолжающаяся беременность после аборта одного или более чем одного плода', 'O31.1', 14184, 'O31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14187, 'Продолжающаяся беременность после внутриутробной гибели одного или более чем одного плода', 'O31.2', 14184, 'O31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14188, 'Другие осложнения, характерные для многоплодной беременности', 'O31.8', 14184, 'O31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14189, 'Медицинская помощь матери при установленном или предполагаемом неправильном предлежании плода', 'O32', 14177, 'O30-O48', 9, 'Включены: состояния, являющиеся основанием для наблюдения, госпитализации или другой акушерской помощи матери, а также для проведения кесарева сечения до начала родов Исключены: перечисленные состояния с затрудненными родами (O64.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14190, 'Неустойчивое положение плода, требующее предоставления медицинской помощи матери', 'O32.0', 14189, 'O32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14191, 'Ягодичное предлежание плода, требующее предоставления медицинской помощи матери', 'O32.1', 14189, 'O32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14192, 'Поперечное или косое положение плода, требующее предоставления медицинской помощи матери', 'O32.2', 14189, 'O32', 0, 'Предлежание: . косое . поперечное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14193, 'Лицевое, лобное или подбородочное предлежание плода, требующее предоставления медицинской помощи матери', 'O32.3', 14189, 'O32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14194, 'Высокое стояние головки к концу беременности, требующее предоставления медицинской помощи матери', 'O32.4', 14189, 'O32', 0, 'Невставление головки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14195, 'Многоплодная беременность с неправильным предлежанием одного или нескольких плодов, требующая предоставления медицинской помощи матери', 'O32.5', 14189, 'O32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14196, 'Комбинированное предлежание плода, требующее предоставления медицинской помощи матери', 'O32.6', 14189, 'O32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14197, 'Другие формы неправильного предлежания плода, требующие предоставления медицинской помощи матери', 'O32.8', 14189, 'O32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14198, 'Неправильное предлежание плода, требующее предоставления медицинской помощи матери, неуточненное', 'O32.9', 14189, 'O32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14199, 'Медицинская помощь матери при установленном или предполагаемом несоответствии размеров таза и плода', 'O33', 14177, 'O30-O48', 10, 'Включены: состояния, являющиеся основанием для наблюдения, госпитализации или другой акушерской помощи матери, а также для проведения кесарева сечения до начала родов Исключены: перечисленные состояния с затрудненными родами (O65-O66)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14200, 'Деформация костей таза, приводящая к диспропорции, требующей предоставления медицинской помощи матери', 'O33.0', 14199, 'O33', 0, 'Деформация таза, вызывающая диспропорцию, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14201, 'Равномерно суженный таз, приводящий к диспропорции, требующей предоставления медицинской помощи матери', 'O33.1', 14199, 'O33', 0, 'Суженный таз, вызывающий диспропорцию, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14202, 'Сужение входа таза, приводящее к диспропорции, требующей предоставления медицинской помощи матери', 'O33.2', 14199, 'O33', 0, 'Сужение входного отверстия (таза), вызывающее диспропорцию');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14203, 'Сужение выхода таза, приводящее к диспропорции, требующей предоставления медицинской помощи матери', 'O33.3', 14199, 'O33', 0, 'Сужение в среднем диаметре } вызвавшее несоответствие Сужение выходного отверстия } размеров таза и плода');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14204, 'Диспропорция смешанного материнского и плодного происхождения, требующая предоставления медицинской помощи матери', 'O33.4', 14199, 'O33', 0, NULL);

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14205, 'Крупные размеры плода, приводящие к диспропорции, требующей предоставления медицинской помощи матери', 'O33.5', 14199, 'O33', 0, 'Диспропорция плодного происхождения при нормально сформированном плоде Фетальная диспропорция БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14206, 'Гидроцефалия плода, приводящая к диспропорции, требующей предоставления медицинской помощи матери', 'O33.6', 14199, 'O33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14207, 'Другие аномалии плода, приводящие к диспропорции, требующей предоставления медицинской помощи матери', 'O33.7', 14199, 'O33', 0, 'Сросшаяся двойня } Плода: } . асцит } . водянка } приводящие к диспропорции . миеломенингоцеле } . крестцовая тератома } . опухоль }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14208, 'Диспропорция вследствие других причин, требующая предоставления медицинской помощи матери', 'O33.8', 14199, 'O33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14209, 'Диспропорция, требующая предоставления медицинской помощи матери, неуточненная', 'O33.9', 14199, 'O33', 0, 'Цефалопельвиодиспропорция БДУ Фетопельвиодиспропорция БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14210, 'Медицинская помощь матери при установленной или предполагаемой аномалии органов таза', 'O34', 14177, 'O30-O48', 10, 'Включены: состояния, являющиеся основанием для наблюдения, госпитализации или другой акушерской помощи матери, а также для проведения кесарева сечения до начала родов Исключены: перечисленные состояния с затрудненными родами (O65.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14211, 'Врожденные аномалии матки, требующие предоставления медицинской помощи матери', 'O34.0', 14210, 'O34', 0, 'Медицинская помощь матери при: . двойной матке . двурогой матке');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14212, 'Опухоль тела матки, требующая предоставления медицинской помощи матери', 'O34.1', 14210, 'O34', 0, 'Медицинская помощь матери при: . полипе тела матки . маточном фиброиде Исключена: медицинская помощь матери при опухоли шейки матки (O34.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14213, 'Послеоперационный рубец матки, требующий предоставления медицинской помощи матери', 'O34.2', 14210, 'O34', 0, 'Медицинская помощь матери при рубце от предшествовавшего кесарева сечения Исключены: роды через влагалище после предшествовавшего кесарева сечения БДУ (O75.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14214, 'Истмико-цервикальная недостаточность, требующая предоставления медицинской помощи матери', 'O34.3', 14210, 'O34', 0, 'Ушивание шейки циркулярным швом } с упоминанием о церви} кальной недостаточности Шов по Широдкару } или без него');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14215, 'Другие аномалии шейки матки,требующие предоставления медицинской помощи матери', 'O34.4', 14210, 'O34', 0, 'Медицинская помощь матери при: . полипе шейки матки . предшествовавшей операции на шейке матки . стриктуре и стенозе шейки матки . опухоли шейки матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14216, 'Другие аномалии беременной матки, требующие предоставления медицинской помощи матери', 'O34.5', 14210, 'O34', 0, 'Предоставление медицинской помощи матери при: . ущемлении } . выпадении } беременной матки . ретроверсии }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14217, 'Аномалии влагалища, требующие предоставления медицинской помощи матери', 'O34.6', 14210, 'O34', 0, 'Медицинская помощь матери при: . предшествовавшей операции на влагалище . плотной девственной плеве . перегородке влагалища . стенозе влагалища (приобретенном) (врожденном) . стриктуре влагалища . опухоли влагалища Исключена: медицинская помощь матери при варикозном расширении вен влагалища во время беременности (O22.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14218, 'Аномалии вульвы и промежности, требующие предоставления медицинской помощи матери', 'O34.7', 14210, 'O34', 0, 'Медицинская помощь матери при: . фиброзе промежности . предшествовавшей операции на промежности и вульве . ригидной промежности . опухоли вульвы Исключена: медицинская помощь матери при варикозном расширении вен промежности и вульвы во время беременности (O22.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14219, 'Другие уточненные аномалии тазовых органов, требующие предоставления медицинской помощи матери', 'O34.8', 14210, 'O34', 0, 'Медицинская помощь матери при: . цистоцеле . пластике тазового дна (а анамнезе) . отвислом животе . ректоцеле . ригидном тазовом дне');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14220, 'Аномалия тазовых органов, требующая предоставления медицинской помощи матери, неуточненная', 'O34.9', 14210, 'O34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14221, 'Медицинская помощь матери при установленных или предполагаемых аномалиях и повреждениях плода', 'O35', 14177, 'O30-O48', 10, 'Включены: состояния, явившиеся основанием для наблюдения, госпитализации и другой акушерской помощи матери или для прерывания беременности Исключена: медицинская помощь матери при установленном или предполагаемом несоответствии размеров таза и плода (O33.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14222, 'Пороки развития центральной нервной системы у плода, требующие предоставления медицинской помощи матери', 'O35.0', 14221, 'O35', 0, 'Медицинская помощь матери при: . анэнцефалии . spina bifida Исключены: хромосомные аномалии у плода (O35.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14223, 'Хромосомные аномалии у плода (предполагаемые), требующие предоставления медицинской помощи матери', 'O35.1', 14221, 'O35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14224, 'Наследственные болезни у плода (предполагаемые), требующие предоставления медицинской помощи матери', 'O35.2', 14221, 'O35', 0, 'Исключены: хромосомные аномалии у плода (O35.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14225, 'Поражение плода (предполагаемое) в результате вирусного заболевания матери, требующее предоставления медицинской помощи матери', 'O35.3', 14221, 'O35', 0, 'Медицинская помощь матери при (предполагаемом) поражении плода в связи с перенесенной ею: . цитомегаловирусной инфекцией . краснухой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14226, 'Поражение плода (предполагаемое) в результате воздействия алкоголя, требующее предоставления медицинской помощи матери', 'O35.4', 14221, 'O35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14227, 'Поражение плода (предполагаемое) в результате употребления лекарственных средств, требующее предоставления медицинской помощи матери', 'O35.5', 14221, 'O35', 0, 'Медицинская помощь матери при (предполагаемом) поражении плода в связи с наркоманией матери Исключен: дистресс плода при родах, связанный с применением лекарственных средств (O68.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14228, 'Поражение плода (предполагаемое) в результате радиации,требующее предоставления медицинской помощи матери', 'O35.6', 14221, 'O35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14229, 'Поражение плода (предполагаемое) в результате других медицинских процедур, требующее предоставления медицинской помощи матери', 'O35.7', 14221, 'O35', 0, 'Медицинская помощь матери при (предполагаемом) поражении плода в результате: . амниоцентеза . биопсии . гематологического исследования . использования внутриматочного контрацептивного средства . внутриутробной операции');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14230, 'Другие аномалии и поражения плода (предполагаемые), требующие предоставления медицинской помощи матери', 'O35.8', 14221, 'O35', 0, 'Медицинская помощь матери при (предполагаемом) поражении плода в связи с перенесенным ею: . листериозом . токсоплазмозом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14231, 'Аномалия и поражение плода, требующие предоставления медицинской помощи матери, неуточненные', 'O35.9', 14221, 'O35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14232, 'Медицинская помощь матери при других установленных или предполагаемых патологических состояниях плода', 'O36', 14177, 'O30-O48', 10, 'Включены: состояния плода, являющиеся основанием для наблюдения, госпитализации и другой акушерской помощи матери или для прерывания беременности Исключены: роды и родоразрешение, осложнившиеся стрессом плода (дистресс) (O68.-) синдром плацентарной трансфузии (O43.0)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14233, 'Резус-иммунизация, требующая предоставления медицинской помощи матери', 'O36.0', 14232, 'O36', 0, 'Анти-D[Rh]-антитела Rh-несовместимость (с водянкой плода)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14234, 'Другие формы изоиммунизации, требующие предоставления медицинской помощи матери', 'O36.1', 14232, 'O36', 0, 'AB0-изоиммунизация Изоиммунизация БДУ (с водянкой плода)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14235, 'Водянка плода, требующая предоставления медицинской помощи матери', 'O36.2', 14232, 'O36', 0, 'Водянка плода: . БДУ . не связанная с изоиммунизацией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14236, 'Признаки внутриутробной гипоксии плода, требующие предоставления медицинской помощи матери', 'O36.3', 14232, 'O36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14237, 'Внутриутробная гибель плода, требующая предоставления медицинской помощи матери', 'O36.4', 14232, 'O36', 0, 'Исключен: несостоявшийся выкидыш (O02.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14238, 'Недостаточный рост плода,требующий предоставления медицинской помощи матери', 'O36.5', 14232, 'O36', 0, 'Медицинская помощь матери при установленных или предполагаемых состояниях: . "маловесный для срока" . плацентарная недостаточность . "малорослый для срока"');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14239, 'Избыточный рост плода, требующий предоставления медицинской помощи матери', 'O36.6', 14232, 'O36', 0, 'Медицинская помощь матери при установленном или предполагаемом состоянии: "крупный для срока"');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14240, 'Жизнеспособный плод при абдоминальной беременности, требующей предоставления медицинской помощи матери', 'O36.7', 14232, 'O36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14241, 'Другие уточненные отклонения в состоянии плода, требующие предоставления медицинской помощи матери', 'O36.8', 14232, 'O36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14242, 'Отклонение в состоянии плода, требующее предоставления медицинской помощи матери, неуточненное', 'O36.9', 14232, 'O36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14243, 'Многоводие', 'O40', 14177, 'O30-O48', 0, 'Гидрамнион');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14244, 'Другие нарушения со стороны амниотической жидкости и плодных оболочек', 'O41', 14177, 'O30-O48', 4, 'Исключен: преждевременный разрыв плодных оболочек (O42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14245, 'Олигогидрамнион', 'O41.0', 14244, 'O41', 0, 'Олигогидрамнион без упоминания о разрыве плодных оболочек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14246, 'Инфекция амниотической полости и плодных оболочек', 'O41.1', 14244, 'O41', 0, 'Амнионит Хориоамнионит Мембранит Плацентит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14247, 'Другие уточненные нарушения амниотической жидкости и плодных оболочек', 'O41.8', 14244, 'O41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14248, 'Нарушение амниотической жидкости и плодных оболочек неуточненное', 'O41.9', 14244, 'O41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14249, 'Преждевременный разрыв плодных оболочек', 'O42', 14177, 'O30-O48', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14250, 'Преждевременный разрыв плодных оболочек, начало родов в последующие 24 ч', 'O42.0', 14249, 'O42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14251, 'Преждевременный разрыв плодных оболочек, начало родов после 24-часового безводного периода', 'O42.1', 14249, 'O42', 0, 'Исключен: с задержкой родов, связанной с проводимой терапией (O42.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14252, 'Преждевременный разрыв плодных оболочек, задержка родов,связанная с проводимой терапией', 'O42.2', 14249, 'O42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14253, 'Преждевременный разрыв плодных оболочек неуточненный', 'O42.9', 14249, 'O42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14254, 'Плацентарные нарушения', 'O43', 14177, 'O30-O48', 4, 'Исключены: медицинская помощь матери при слабом росте плода вследствие плацентарной недостаточности (O36.5) предлежание плаценты (O44.-) преждевременная отслойка плаценты [abruptio placentae] (O45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14255, 'Синдромы плацентарной трансфузии', 'O43.0', 14254, 'O43', 0, 'Трансфузия: . плодо-материнская . материнско-плодная . близнецовая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14256, 'Аномалия плаценты', 'O43.1', 14254, 'O43', 0, 'Патология плаценты БДУ Окруженная валиком плацента');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14257, 'Другие плацентарные нарушения', 'O43.8', 14254, 'O43', 0, 'Плаценты: . дисфункция . инфаркт');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14258, 'Плацентарное нарушение неуточненное', 'O43.9', 14254, 'O43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14259, 'Предлежание плаценты', 'O44', 14177, 'O30-O48', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14260, 'Предлежание плаценты, уточненное как без кровотечения', 'O44.0', 14259, 'O44', 0, 'Низкое прикрепление плаценты, уточненное как без крово течения');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14261, 'Предлежание плаценты с кровотечением', 'O44.1', 14259, 'O44', 0, 'Низкое прикрепление плаценты БДУ или с кровотечением Предлежание плаценты: . краевое } . частичное } БДУ или с кровотечением . полное } Исключены: роды и родоразрешение, осложнившиеся кровотечением из предлежащих сосудов [vasa praevia] (O69.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14262, 'Преждевременная отслойка плаценты [abruptio placentae]', 'O45', 14177, 'O30-O48', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14263, 'Преждевременная отслойка плаценты с нарушением свертываемости крови', 'O45.0', 14262, 'O45', 0, 'Отделение плаценты с (сильным) кровотечением, обусловленным: . афибриногенемией . диссеменированным внутрисосудистым свертыванием . гиперфибринолизом . гипофибриногенемией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14264, 'Другая преждевременная отслойка плаценты', 'O45.8', 14262, 'O45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14265, 'Преждевременная отслойка плаценты неуточненная', 'O45.9', 14262, 'O45', 0, 'Отделение плаценты БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14266, 'Дородовое кровотечение, не классифицированное в других рубриках', 'O46', 14177, 'O30-O48', 3, 'Исключены: кровотечение в ранние сроки беременности (O20.-) кровотечение в родах НКДФ (O67.-) предлежание плаценты (O44.-) преждевременная отслойка плаценты [abruptio placentae] (O45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14267, 'Дородовое кровотечение с нарушением свертываемости', 'O46.0', 14266, 'O46', 0, 'Дородовое (сильное) кровотечение, связанное с: . афибриногенемией . диссеменированным внутрисосудистым свертыванием . гиперфибринолизом . гипофибриногенемией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14268, 'Другое дородовое кровотечение', 'O46.8', 14266, 'O46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14269, 'Дородовое кровотечение неуточненное', 'O46.9', 14266, 'O46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14270, 'Ложные схватки', 'O47', 14177, 'O30-O48', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14271, 'Ложные схватки до 37 полных недель беременности', 'O47.0', 14270, 'O47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14272, 'Ложные схватки начиная с 37 полных недель беременности', 'O47.1', 14270, 'O47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14273, 'Ложные схватки неуточненные', 'O47.9', 14270, 'O47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14274, 'Переношенная беременность', 'O48', 14177, 'O30-O48', 0, 'Продолжающаяся после вычисленного (предполагаемого) срока родов Продолжающаяся после нормального срока беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14276, 'ОСЛОЖНЕНИЯ РОДОВ И РОДОРАЗРЕШЕНИЯ', 'O60-O75', 14001, 'O00-O99', 16, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14277, 'Преждевременные роды', 'O60', 14276, 'O60-O75', 0, 'Начало родов (спонтанное) ранее 37 полных недель беременности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14278, 'Неудачная попытка стимуляции родов', 'O61', 14276, 'O60-O75', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14279, 'Неудачная попытка стимуляции родов медикаментозными средствами:', 'O61.0', 14278, 'O61', 0, '. окситоцином . простагландинами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14280, 'Неудачная попытка стимуляции родов инструментальными методами:', 'O61.1', 14278, 'O61', 0, '. механическими . хирургическими');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14281, 'Другие виды неудачной попытки стимуляции родов', 'O61.8', 14278, 'O61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14282, 'Неудачная попытка стимуляции родов неуточненная', 'O61.9', 14278, 'O61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14283, 'Нарушения родовой деятельности [родовых сил]', 'O62', 14276, 'O60-O75', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14284, 'Первичная слабость родовой деятельности', 'O62.0', 14283, 'O62', 0, 'Отсутствие прогрессирующего раскрытия шейки матки Первичная гипотоническая дисфункция матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14285, 'Вторичная слабость родовой деятельности', 'O62.1', 14283, 'O62', 0, 'Прекращение схваток в активной фазе родов Вторичная гипотоническая дисфункция матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14286, 'Другие виды слабости родовой деятельности', 'O62.2', 14283, 'O62', 0, 'Атония матки Беспорядочные схватки Гипотоническая дисфункция матки БДУ Нерегулярные схватки Слабые схватки Слабость родовой деятельности БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14287, 'Стремительные роды', 'O62.3', 14283, 'O62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14288, 'Гипертонические, некоординированные и затянувшиеся сокращения матки', 'O62.4', 14283, 'O62', 0, 'Контракционное кольцо, дистоция Дискоординированная родовая деятельность Сокращение матки в виде песочных часов Гипертоническая дисфункция матки Некоординированная деятельность матки Тетанические сокращения Дистоция матки БДУ Исключена: дистоция [трудные роды] (плодного происхождения), (материнского происхождения) БДУ (O66.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14289, 'Другие нарушения родовой деятельности', 'O62.8', 14283, 'O62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14290, 'Нарушение родовой деятельности неуточненное', 'O62.9', 14283, 'O62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14291, 'Затяжные роды', 'O63', 14276, 'O60-O75', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14292, 'Затянувшийся первый период родов', 'O63.0', 14291, 'O63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14293, 'Затянувшийся второй период родов', 'O63.1', 14291, 'O63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14294, 'Задержка рождения второго плода из двойни, тройни и т. д.', 'O63.2', 14291, 'O63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14295, 'Затяжные роды неуточненные', 'O63.9', 14291, 'O63', 0, 'Затянувшиеся роды БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14296, 'Затрудненные роды вследствие неправильного положения или предлежания плода', 'O64', 14276, 'O60-O75', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14297, 'Затрудненные роды вследствие неполного поворота головки плода', 'O64.0', 14296, 'O64', 0, 'Глубокое [низкое] поперечное стояние головки Затрудненные роды вследствие устойчивой (позиции): . occipitoiliac . occipitoposterior . occipitosacral . occipitotransverse');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14298, 'Затрудненные роды вследствие ягодичного предлежания', 'O64.1', 14296, 'O64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14299, 'Затрудненные роды вследствие лицевого предлежания', 'O64.2', 14296, 'O64', 0, 'Затрудненные роды вследствие подбородочного предлежания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14300, 'Затрудненные роды вследствие лобного предлежания', 'O64.3', 14296, 'O64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14301, 'Затрудненные роды вследствие предлежания плечика', 'O64.4', 14296, 'O64', 0, 'Выпадение ручки Исключены: вколоченное плечико (O66.0) дистоция вследствие предлежания плечика (O66.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14302, 'Затрудненные роды вследствие комбинированного предлежания', 'O64.5', 14296, 'O64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14303, 'Затрудненные роды вследствие другого неправильного положения и предлежания плода', 'O64.8', 14296, 'O64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14304, 'Затрудненные роды вследствие неправильного положения и предлежания плода неуточненного', 'O64.9', 14296, 'O64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14305, 'Затрудненные роды вследствие аномалии таза у матери', 'O65', 14276, 'O60-O75', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14306, 'Затрудненные роды вследствие деформации таза', 'O65.0', 14305, 'O65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14307, 'Затрудненные роды вследствие равномерно суженного таза', 'O65.1', 14305, 'O65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14308, 'Затрудненные роды вследствие сужения входа таза', 'O65.2', 14305, 'O65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14309, 'Затрудненные роды вследствие сужения выходного отверстия и среднего диаметра таза', 'O65.3', 14305, 'O65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14310, 'Затрудненные роды вследствие несоответствия размеров таза и плода неуточненного', 'O65.4', 14305, 'O65', 0, 'Исключена: дистоция вследствие аномалии плода (O66.2-O66.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14311, 'Затрудненные роды вследствие аномалии органов таза у матери', 'O65.5', 14305, 'O65', 0, 'Затрудненные роды вследствие состояний, перечисленных в рубрике O34.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14312, 'Затрудненные роды вследствие других аномалий таза у матери', 'O65.8', 14305, 'O65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14313, 'Затрудненные роды вследствие аномалии таза у матери неуточненной', 'O65.9', 14305, 'O65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14314, 'Другие виды затрудненных родов', 'O66', 14276, 'O60-O75', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14315, 'Затрудненные роды [дистоция] вследствие предлежания плечика', 'O66.0', 14314, 'O66', 0, 'Вколоченное плечико');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14316, 'Затрудненные роды вследствие сцепления [коллизии] близнецов', 'O66.1', 14314, 'O66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14317, 'Затрудненные роды вследствие необычно крупного плода', 'O66.2', 14314, 'O66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14318, 'Затрудненные роды вследствие других аномалий плода', 'O66.3', 14314, 'O66', 0, 'Дистоция вследствие: . сращения близнецов . наличия у плода: . асцита . водянки . менингомиелоцеле . крестцовой тератомы . опухоли . гидроцефалии плода');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14319, 'Неудачная попытка вызвать роды неуточненная', 'O66.4', 14314, 'O66', 0, 'Неудачная попытка вызвать роды с последующим кесаревым сечением');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14320, 'Неудачная попытка применения вакуум-экстрактора и наложения щипцов неуточненная', 'O66.5', 14314, 'O66', 0, 'Неудачная попытка применения вакуум-экстрактора или наложения щипцов с последующим родоразрешением посредством наложения щипцов или кесарева сечения соответственно');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14321, 'Другие уточненные виды затрудненных родов', 'O66.8', 14314, 'O66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14322, 'Затрудненные роды неуточненные', 'O66.9', 14314, 'O66', 0, 'Дистоция: . БДУ . плодного происхождения БДУ . материнского происхождения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14323, 'Роды и родоразрешение, осложнившиеся кровотечением во время родов, не классифицированных в других рубриках', 'O67', 14276, 'O60-O75', 3, 'Исключены: дородовое кровотечение НКДФ (O46.-) предлежание плаценты (O44.-) послеродовое кровотечение (O72.-) преждевременная отслойка плаценты [abruptio placentae] (O45.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14324, 'Кровотечение во время родов с нарушением свертываемости крови', 'O67.0', 14323, 'O67', 0, 'Кровотечение (сильное) во время родов, вызванное: . афибриногенемией . диссеменированным внутрисосудистым свертыванием . гиперфибринолизом . гипофибриногенемией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14325, 'Другие кровотечения во время родов', 'O67.8', 14323, 'O67', 0, 'Сильное кровотечение в родах');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14326, 'Кровотечение во время родов неуточненное', 'O67.9', 14323, 'O67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14327, 'Роды и родоразрешение, осложнившиеся стрессом плода [дистресс]', 'O68', 14276, 'O60-O75', 6, 'Включен: дистресс плода вв время родов или родоразрешения, вызванный введением лекарственных препаратов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14328, 'Роды, осложнившиеся изменениями частоты сердечных сокращений плода', 'O68.0', 14327, 'O68', 0, 'Брадикардия } Нарушение ритма } у плода Тахикардия } Исключены: с выходом мекония в амниотическую жидкость (O68.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14329, 'Роды, осложнившиеся выходом мекония в амниотическую жидкость', 'O68.1', 14327, 'O68', 0, 'Исключенs: в сочетании с изменениями частоты сердечных сокращений плода (O68.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14330, 'Роды, осложнившиеся изменениями частоты сердечных сокращений плода с выходом мекония в амниотическую жидкость', 'O68.2', 14327, 'O68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14331, 'Роды, осложнившиеся появлением биохимических признаков стресса плода', 'O68.3', 14327, 'O68', 0, 'Ацидемия } Нарушение кислотно-щелочного равновесия } у плода');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14332, 'Роды, осложнившиеся появлением других признаков стресса плода', 'O68.8', 14327, 'O68', 0, 'Признаки дистресса плода: . электрокардиографические . ультразвуковые');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14333, 'Роды, осложнившиеся стрессом плода неуточненным', 'O68.9', 14327, 'O68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14334, 'Роды и родоразрешение, осложнившиеся патологическим состоянием пуповины', 'O69', 14276, 'O60-O75', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14335, 'Роды, осложнившиеся выпадением пуповины', 'O69.0', 14334, 'O69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14336, 'Роды, осложнившиеся обвитием пуповины вокруг шеи со сдавлением', 'O69.1', 14334, 'O69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14337, 'Роды, осложнившиеся запутыванием пуповины', 'O69.2', 14334, 'O69', 0, 'Запутывание пуповиной двойни в одном амниотическом пузыре Узел пуповины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14338, 'Роды, осложнившиеся короткой пуповиной', 'O69.3', 14334, 'O69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14339, 'Роды, осложнившиеся предлежанием сосуда [vasa praevia]', 'O69.4', 14334, 'O69', 0, 'Кровотечение из предлежащего сосуда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14340, 'Роды, осложнившиеся повреждением сосудов пуповины', 'O69.5', 14334, 'O69', 0, 'Ушиб пуповины Гематома пуповины Тромбоз сосудов пуповины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14341, 'Роды, осложнившиеся другими патологическими состояниями пуповины', 'O69.8', 14334, 'O69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14342, 'Роды, осложнившиеся патологическим состоянием пуповины неуточненным', 'O69.9', 14334, 'O69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14343, 'Разрывы промежности при родоразрешении', 'O70', 14276, 'O60-O75', 5, 'Включена: эпизиотомия, продолженная разрывом Исключен: акушерский разрыв только верхнего отдела влагалища (O71.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14344, 'Разрыв промежности первой степени в процессе родоразрешения', 'O70.0', 14343, 'O70', 0, 'Разрыв промежности (с вовлечением): . задней спайки половых губ } . половых губ } . кожи } . поверхностный } в процессе родоразрешения . влагалища } . вульвы }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14345, 'Разрыв промежности второй степени в процессе родоразрешения', 'O70.1', 14343, 'O70', 0, 'Разрыв промежности, подобный классифицированному в подрубрике O70.0, но захватывающий также: . тазовое дно } . мышцы промежности } в процессе родоразрешения . мышцы влагалища } Исключен: с вовлечением анального сфинктера (O70.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14346, 'Разрыв промежности третьей степени в процессе родоразрешения', 'O70.2', 14343, 'O70', 0, 'Разрыв промежности, подобный классифицированному в подрубрике O70.1, но захватывающий также: . сфинктер ануса } . прямокишечно-влагалищную перегородку } в процессе . сфинктер БДУ } родоразрешения Исключен: с вовлечением слизистой оболочки ануса или прямой кишки (O70.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14347, 'Разрыв промежности четвертой степени в процессе родоразрешения', 'O70.3', 14343, 'O70', 0, 'Разрыв промежности, подобный классифицированному в подрубрике O70.2, но захватывающий также: . слизистую оболочку ануса } в процессе . слизистую оболочку прямой кишки } родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14348, 'Разрыв промежности в процессе родоразрешения неуточненный', 'O70.9', 14343, 'O70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14349, 'Другие акушерские травмы', 'O71', 14276, 'O60-O75', 10, 'Включено: повреждение инструментами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14350, 'Разрыв матки до начала родов', 'O71.0', 14349, 'O71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14351, 'Разрыв матки во время родов', 'O71.1', 14349, 'O71', 0, 'Разрыв матки, не указанный как развившийся до начала родов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14352, 'Послеродовой выворот матки', 'O71.2', 14349, 'O71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14353, 'Акушерский разрыв шейки матки', 'O71.3', 14349, 'O71', 0, 'Циркулярное расслоение шейки матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14354, 'Акушерский разрыв только верхнего отдела влагалища', 'O71.4', 14349, 'O71', 0, 'Разрыв стенки влагалища без упоминания о разрыве промежности Исключен: с разрывом промежности (O70.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14355, 'Другие акушерские травмы тазовых органов', 'O71.5', 14349, 'O71', 0, 'Акушерская травма: . мочевого пузыря . уретры');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14356, 'Акушерские травмы тазовых суставов и связок', 'O71.6', 14349, 'O71', 0, 'Отрыв внутреннего хряща симфиза } Повреждение копчика } Травматическое расхождение } акушерский(ое) лонного сочленения }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14357, 'Акушерская гематома таза', 'O71.7', 14349, 'O71', 0, 'Акушерская гематома: . промежности . влагалища . вульвы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14358, 'Другие уточненные акушерские травмы', 'O71.8', 14349, 'O71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14359, 'Акушерская травма неуточненная', 'O71.9', 14349, 'O71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14360, 'Послеродовое кровотечение', 'O72', 14276, 'O60-O75', 4, 'Включено: кровотечение после рождения плода или ребенка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14361, 'Кровотечение в третьем периоде родов', 'O72.0', 14360, 'O72', 0, 'Кровотечение, связанное с задержкой, приращением или ущемлением плаценты Задержка плаценты БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14362, 'Другие кровотечения в раннем послеродовом периоде', 'O72.1', 14360, 'O72', 0, 'Кровотечение после рождения плаценты Послеродовое кровотечение (атоническое) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14363, 'Позднее или вторичное послеродовое кровотечение', 'O72.2', 14360, 'O72', 0, 'Кровотечение, связанное с задержкой частей плаценты или плодных оболочек Задержка частей плодного яйца [продуктов зачатия] БДУ после родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14364, 'Послеродовая(ой):', 'O72.3', 14360, 'O72', 0, '. афибриногенемия . фибринолизис');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14365, 'Задержка плаценты и плодных оболочек без кровотечения', 'O73', 14276, 'O60-O75', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14366, 'Задержка плаценты без кровотечения', 'O73.0', 14365, 'O73', 0, 'Приращение плаценты без кровотечения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14367, 'Задержка частей плаценты или плодных оболочек без кровотечения', 'O73.1', 14365, 'O73', 0, 'Задержка частей плодного яйца после родоразрешения без кровотечения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14368, 'Осложнения, связанные с проведением анестезии во время родов и родоразрешения', 'O74', 14276, 'O60-O75', 10, 'Включены: осложнения у матери, вызванные применением средств для общей или местной анестезии, болеутоляющих или других седативных препаратов во время родов и родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14369, 'Аспирационный пневмонит, вследствие анестезии во время процесса родов и родоразрешения', 'O74.0', 14368, 'O74', 0, 'Аспирация содержимого желудка } вследствие анестезии или желудочного сока БДУ } во время родов и Синдром Мендельсона } родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14370, 'Другие осложнения со стороны легких вследствие анестезии во время родов и родоразрешения', 'O74.1', 14368, 'O74', 0, 'Прессорный коллапс легкого вследствие анестезии во время родов и родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14371, 'Осложнения со стороны сердца вследствие анестезии во время родов и родоразрешения', 'O74.2', 14368, 'O74', 0, 'Остановка сердца } вследствие анестезии во время Сердечная недостаточность } родов и родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14372, 'Осложнения со стороны центральной нервной системы вследствие анестезии во время родов и родоразрешения', 'O74.3', 14368, 'O74', 0, 'Церебральная аноксия вследствие анестезии во время родов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14373, 'Токсическая реакция на местную анестезию во время родов и родоразрешения', 'O74.4', 14368, 'O74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14374, 'Головные боли, связанные с проведением спинномозговой и эпидуральной анестезии во время родов и родоразрешения', 'O74.5', 14368, 'O74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14375, 'Другие осложнения спинномозговой и эпидуральной анестезии во время родов и родоразрешения', 'O74.6', 14368, 'O74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14376, 'Неудачная попытка или трудности при интубации во время родов и родоразрешения', 'O74.7', 14368, 'O74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14377, 'Другие осложнения анестезии во время родов и родоразрешения', 'O74.8', 14368, 'O74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14378, 'Осложнение анестезии во время родов и родоразрешения неуточненное', 'O74.9', 14368, 'O74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14379, 'Другие осложнения родов и родоразрешения, не классифицированные в других рубриках', 'O75', 14276, 'O60-O75', 10, 'Исключены: послеродовая(ой): . инфекция (O86.-) . сепсис (O85)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14380, 'Дистресс матери во время родов и родоразрешения', 'O75.0', 14379, 'O75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14381, 'Шок матери во время или после родов и родоразрешения', 'O75.1', 14379, 'O75', 0, 'Акушерский шок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14382, 'Гипертермия во время родов, не классифицированная в других рубриках', 'O75.2', 14379, 'O75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14383, 'Другие инфекции во время родов', 'O75.3', 14379, 'O75', 0, 'Септицемия во время родов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14384, 'Другие осложнения, вызванные акушерским оперативным вмешательством и другими процедурами', 'O75.4', 14379, 'O75', 0, 'Остановка сердца } после кесарева сечения или Сердечная недостаточность } других акушерских операций Церебральная аноксия } и процедур, включая родоразрешение БДУ Исключены: осложнения анестезии во время родов (O74.-) акушерской (хирургической) раны: . расхождение швов (O90.0-O90.1) . гематома (O90.2) . инфекция (O86.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14385, 'Задержка родов после искусственного разрыва плодных оболочек', 'O75.5', 14379, 'O75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14386, 'Задержка родов после самопроизвольного или неуточненного разрыва плодных оболочек', 'O75.6', 14379, 'O75', 0, 'Исключен: самопроизвольный преждевременный разрыв плодных оболочек (O42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14387, 'Роды через влагалище после предшествовавшего кесарева сечения', 'O75.7', 14379, 'O75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14388, 'Другие уточненные осложнения родов и родоразрешения', 'O75.8', 14379, 'O75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14389, 'Осложнение родов неуточненное', 'O75.9', 14379, 'O75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14391, 'РОДОРАЗРЕШЕНИЕ', 'O80-O84', 14001, 'O00-O99', 5, 'Примечание. Коды O80-O84 предназначены для кодирования заболеваемости. Коды этого блока следует использовать для первичного кодирования заболеваемости только в том случае, если отсутствуют записи о наличии других состояний, классифицированных в классе XV. При использовании этих рубрик следует руководствоваться рекомендациями и правилами кодирования заболеваемости, изложенными в т. 2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14392, 'Роды одноплодные, самопроизвольное родоразрешение', 'O80', 14391, 'O80-O84', 4, 'Включены: случаи с минимальной помощью или без нее, с проведением эпизиотомии или без нее нормальные роды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14393, 'Самопроизвольные роды в затылочном предлежании', 'O80.0', 14392, 'O80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14394, 'Самопроизвольные роды в ягодичном предлежании', 'O80.1', 14392, 'O80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14395, 'Другие самопроизвольные одноплодные роды', 'O80.8', 14392, 'O80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14396, 'Одноплодные самопроизвольные роды неуточненные', 'O80.9', 14392, 'O80', 0, 'Самопроизвольные роды БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14397, 'Роды одноплодные, родоразрешение с наложением щипцов или с применением вакуум-экстрактора', 'O81', 14391, 'O80-O84', 6, 'Исключена: неудачная попытка применения вакуум-экстрактора или щипцов (O66.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14398, 'Наложение низких [выходных] щипцов', 'O81.0', 14397, 'O81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14399, 'Наложение средних [полостных] щипцов', 'O81.1', 14397, 'O81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14400, 'Наложение средних [полостных] щипцов с поворотом', 'O81.2', 14397, 'O81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14401, 'Наложение других и неуточненных щипцов', 'O81.3', 14397, 'O81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14402, 'Применение вакуум-экстрактора', 'O81.4', 14397, 'O81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14403, 'Родоразрешение с комбинированным применением щипцов и вакуум-экстрактора', 'O81.5', 14397, 'O81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14404, 'Роды одноплодные, родоразрешение посредством кесарева сечения', 'O82', 14391, 'O80-O84', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14405, 'Проведение элективного кесарева сечения', 'O82.0', 14404, 'O82', 0, 'Повторное кесарево сечения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14406, 'Проведение срочного кесарева сечения', 'O82.1', 14404, 'O82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14407, 'Проведение кесарева сечения с гистерэктомией', 'O82.2', 14404, 'O82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14408, 'Другие одноплодные роды путем кесарева сечения', 'O82.8', 14404, 'O82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14409, 'Роды путем кесарева сечения неуточненного', 'O82.9', 14404, 'O82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14410, 'Роды одноплодные, родоразрешение с использованием другого акушерского пособия', 'O83', 14391, 'O80-O84', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14411, 'Извлечение плода за тазовый конец', 'O83.0', 14410, 'O83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14412, 'Другое акушерское пособие при родоразрешении в тазовом предлежании', 'O83.1', 14410, 'O83', 0, 'Роды в тазовом предлежании БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14413, 'Роды с другими акушерскими манипуляциями [ручными приемами]', 'O83.2', 14410, 'O83', 0, 'Поворот плода с извлечением');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14414, 'Родоразрешение живым ребенком при абдоминальной беременности', 'O83.3', 14410, 'O83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14415, 'Деструктивная операция при родоразрешении', 'O83.4', 14410, 'O83', 0, 'Клейдотомия } Краниотомия } для облегчения Эмбриотомия } родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14416, 'Другие уточненные виды акушерского пособия при одноплодных родах', 'O83.8', 14410, 'O83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14417, 'Акушерское пособие при одноплодных родах неуточненное', 'O83.9', 14410, 'O83', 0, 'Роды с акушерским пособием БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14418, 'Роды многоплодные', 'O84', 14391, 'O80-O84', 5, 'При необходимости идентифицировать способ родоразрешения каждым плодом или ребенком используют дополнительный код (O80-O83).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14419, 'Роды многоплодные, полностью самопроизвольные', 'O84.0', 14418, 'O84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14420, 'Роды многоплодные, полностью с применением щипцов и вакуум-экстрактора', 'O84.1', 14418, 'O84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14421, 'Роды многоплодные, полностью путем кесарева сечения', 'O84.2', 14418, 'O84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14422, 'Другое родоразрешение при многоплодных родах', 'O84.8', 14418, 'O84', 0, 'Комбинированные методы родоразрешения при многоплодных родах');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14423, 'Роды многоплодные неуточненные', 'O84.9', 14418, 'O84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14425, 'ОСЛОЖНЕНИЯ, СВЯЗАННЫЕ ПРЕИМУЩЕСТВЕННО', 'O85-O92', 14001, 'O00-O99', 8, 'С ПОСЛЕРОДОВЫМ ПЕРИОДОМ\nПримечание. В рубрики O88.-, O91.- и O92.- включены перечисленные ниже состояния, даже если они возникают во время беременности и родов.\nИсключены: психические расстройства и расстройства поведения, связанные с послеродовым периодом (F53.-) акушерский столбняк (A34) послеродовая остеомаляция (M83.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14426, 'Послеродовой сепсис', 'O85', 14425, 'O85-O92', 0, 'Послеродовой(ая): . эндометрит . лихорадка . перитонит . септицемия При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97). Исключены: акушерская пиемическая и септическая эмболия (O88.3) септицемия во время родов (O75.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14427, 'Другие послеродовые инфекции', 'O86', 14425, 'O85-O92', 6, 'Исключена: инфекция во время родов (O75.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14428, 'Инфекция хирургической акушерской раны', 'O86.0', 14427, 'O86', 0, 'Инфицированная(ый): . рана кесарева сечения } . шов промежности } после родов');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14429, 'Другие инфекции половых путей после родов', 'O86.1', 14427, 'O86', 0, 'Цервицит } Вагинит } после родов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14430, 'Инфекция мочевых путей после родов', 'O86.2', 14427, 'O86', 0, 'Состояния, классифицированные в рубриках N10-N12, N15.-, N30.-, N34.-, N39.0, развившиеся после родов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14431, 'Другие инфекции мочеполовых путей после родов', 'O86.3', 14427, 'O86', 0, 'Послеродовая инфекция мочеполового тракта БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14432, 'Гипертермия неясного происхождения, возникшая после родов', 'O86.4', 14427, 'O86', 0, 'Послеродовая: . инфекция БДУ . пирексия БДУ Исключены: послеродовая лихорадка (O85) гипертермия во время родов (O75.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14433, 'Другие уточненные послеродовые инфекции', 'O86.8', 14427, 'O86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14434, 'Венозные осложнения в послеродовом периоде', 'O87', 14425, 'O85-O92', 6, 'Включены: во время родов, родоразрешения и в послеродовом периоде Исключены: акушерская эмболия (O88.-) венозные осложнения при беременности (O22.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14435, 'Поверхностный тромбофлебит в послеродовом периоде', 'O87.0', 14434, 'O87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14436, 'Глубокий флеботромбоз в послеродовом периоде', 'O87.1', 14434, 'O87', 0, 'Тромбоз глубоких вен послеродовой Тазовый тромбофлебит послеродовой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14437, 'Геморрой в послеродовом периоде', 'O87.2', 14434, 'O87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14438, 'Тромбоз церебральных вен в послеродовом периоде', 'O87.3', 14434, 'O87', 0, 'Тромбоз церебровенозного синуса в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14439, 'Другие венозные осложнения в послеродовом периоде', 'O87.8', 14434, 'O87', 0, 'Варикозное расширение вен половых органов в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14440, 'Венозные осложнения в послеродовом периоде неуточненные', 'O87.9', 14434, 'O87', 0, 'Послеродовой(ая): . флебит БДУ . флебопатия БДУ . тромбоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14441, 'Акушерская эмболия', 'O88', 14425, 'O85-O92', 5, 'Включена: легочная эмболия во время беременности, родов или в послеродовом периоде Исключена: эмболия, осложняющая аборт, внематочную или молярную беременность (O00-O07, O08.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14442, 'Акушерская воздушная эмболия', 'O88.0', 14441, 'O88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14443, 'Эмболия амниотической жидкостью', 'O88.1', 14441, 'O88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14444, 'Акушерская эмболия сгустками крови', 'O88.2', 14441, 'O88', 0, 'Акушерская (легочная) эмболия БДУ Послеродовая (легочная) эмболия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14445, 'Акушерская пиемическая и септическая эмболия', 'O88.3', 14441, 'O88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14446, 'Другая акушерская эмболия', 'O88.8', 14441, 'O88', 0, 'Акушерская жировая эмболия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14447, 'Осложнения, связанные с применением анестезии в послеродовом периоде', 'O89', 14425, 'O85-O92', 9, 'Включены: осложнения у матери, вызванные применением общей или местной анестезии, болеутоляющих или других седативных препаратов в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14448, 'Легочные осложнения вследствие применения анестезии в послеродовом периоде', 'O89.0', 14447, 'O89', 0, 'Аспирационный пневмонит } Аспирация содержимого желудка } или желудочного сока БДУ } вследствие анестезии Синдром Мендельсона } в послеродовом периоде Прессорный коллапс легкого }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14449, 'Осложнения со стороны сердца вследствие применения анестезии в послеродовом периоде', 'O89.1', 14447, 'O89', 0, 'Остановка сердца } вследствие анестезии Сердечная недостаточность } в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14450, 'Осложнения со стороны центральной нервной системы вследствие применения анестезии в послеродовом периоде', 'O89.2', 14447, 'O89', 0, 'Церебральная аноксия вследствие анестезии в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14451, 'Токсическая реакция на местную анестезию в послеродовом периоде', 'O89.3', 14447, 'O89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14452, 'Головные боли, связанные с проведением спинномозговой и эпидуральной анестезии в послеродовом периоде', 'O89.4', 14447, 'O89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14453, 'Другие осложнения спинномозговой и эпидуральной анестезии в послеродовом периоде', 'O89.5', 14447, 'O89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14454, 'Неудачная попытка или трудности при интубации в послеродовом периоде', 'O89.6', 14447, 'O89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14455, 'Другие осложнения анестезии в послеродовом периоде', 'O89.8', 14447, 'O89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14456, 'Осложнение анестезии в послеродовом периоде неуточненное', 'O89.9', 14447, 'O89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14457, 'Осложнения в послеродовом периоде, не классифицированные в других рубриках', 'O90', 14425, 'O85-O92', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14458, 'Расхождение швов после кесарева сечения', 'O90.0', 14457, 'O90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14459, 'Расхождение швов промежности', 'O90.1', 14457, 'O90', 0, 'Расхождение швов после: . эпизиотомии . ушивания разрыва промежности Вторичный разрыв промежности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14460, 'Гематома акушерской хирургической раны', 'O90.2', 14457, 'O90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14461, 'Кардиомиопатия в послеродовом периоде', 'O90.3', 14457, 'O90', 0, 'Состояния, классифицированные в рубрике I42.-, осложняющие послеродовой период');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14462, 'Послеродовая острая почечная недостаточность', 'O90.4', 14457, 'O90', 0, 'Гепаторенальный синдром, сопровождающий роды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14463, 'Послеродовой тиреоидит', 'O90.5', 14457, 'O90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14464, 'Другие осложнения послеродового периода, не классифицированные в других рубриках', 'O90.8', 14457, 'O90', 0, 'Плацентарный полип');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14465, 'Осложнение послеродового периода неуточненное', 'O90.9', 14457, 'O90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14466, 'Инфекции молочной железы, связанные с деторождением', 'O91', 14425, 'O85-O92', 3, 'Включены: перечисленные состояния во время беременности, послеродового периода или лактации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14467, 'Инфекции соска, связанные с деторождением', 'O91.0', 14466, 'O91', 0, 'Абсцесс соска: . во время беременности . в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14468, 'Абсцесс молочной железы, связанный с деторождением', 'O91.1', 14466, 'O91', 0, 'Абсцесс молочной железы } Гнойный мастит } гестационный или Субареолярный абсцесс } послеродовой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14469, 'Негнойный мастит, связанный с деторождением', 'O91.2', 14466, 'O91', 0, 'Лимфангиит молочной железы Мастит: . БДУ } . интерстициальный } гестационный или . паренхиматозный } послеродовой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14470, 'Другие изменения молочной железы и нарушения лактации, связанные с деторождением', 'O92', 14425, 'O85-O92', 8, 'Включенs: перечисленные состояния во время беременности, послеродового периода или лактации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14471, 'Втянутый сосок', 'O92.0', 14470, 'O92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14472, 'Трещина соска, связанная с деторождением', 'O92.1', 14470, 'O92', 0, 'Фиссура соска во время беременности или в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14473, 'Другие и неуточненные изменения молочной железы, связанные с деторождением', 'O92.2', 14470, 'O92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14474, 'Агалактия', 'O92.3', 14470, 'O92', 0, 'Первичная агалактия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14475, 'Гипогалактия', 'O92.4', 14470, 'O92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14476, 'Слабая [подавленная] лактация', 'O92.5', 14470, 'O92', 0, 'Агалактия: . факультативная . вторичная . по медицинским показаниям');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14477, 'Галакторея', 'O92.6', 14470, 'O92', 0, 'Исключена: галакторея, не связанная с деторождением (N64.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14478, 'Другие и неуточненные нарушения лактации', 'O92.7', 14470, 'O92', 0, 'Галактоцеле в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14480, 'ДРУГИЕ АКУШЕРСКИЕ СОСТОЯНИЯ, НЕ КЛАССИФИЦИРОВАННЫЕ В ДРУГИХ РУБРИКАХ', 'O95-O99', 14001, 'O00-O99', 5, 'Примечание. При использовании рубрик O95-O97 следует руководствоваться правилами кодирования смертности и рекомендациями, изложенными в ч. 2.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14481, 'Акушерская смерть по неуточненной причине', 'O95', 14480, 'O95-O99', 0, 'Смерть матери от неуточненной причины во время беременности, родов или в послеродовом периоде');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14482, 'Смерть матери от любой акушерской причины спустя более 42 дней, но менее одного года после родов', 'O96', 14480, 'O95-O99', 0, 'При необходимости идентифицировать акушерскую причину смерти используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14483, 'Смерть матери от последствий прямых акушерских причин', 'O97', 14480, 'O95-O99', 0, 'Смерть от любой прямой акушерской причины через год или более после родов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14484, 'Инфекционные и паразитарные болезни матери, классифицированные в других рубриках, но осложняющие беременность, роды и послеродовой период', 'O98', 14480, 'O95-O99', 9, 'Включены: перечисленные состояния, осложняющие беременность, отягощенные беременностью или являющиеся показанием для акушерской помощи При необходимости идентифицировать конкретное состояние используют дополнительный код (класс I). Исключены: бессимптомный статус инфицирования вирусом иммунодефицита человека [ВИЧ] (Z21) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24) лабораторное подтверждение носительства вируса иммунодефицита человека [ВИЧ] (R75) акушерский столбняк (A34) послеродовая(ый): . инфекция (O86.-) . сепсис (O85) случаи, когда медицинская помощь матери оказывается в связи с ее заболеванием, которое явно или предположительно влияет на плод (O35-O36)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14485, 'Туберкулез, осложняющий беременность, деторождение или послеродовой период', 'O98.0', 14484, 'O98', 0, 'Состояния, классифицированные в рубриках A15-A19');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14486, 'Сифилис, осложняющий беременность, деторождение или послеродовой период', 'O98.1', 14484, 'O98', 0, 'Состояния, классифицированные в рубриках A50-A53');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14487, 'Гонорея, осложняющая беременность, деторождение или послеродовой период', 'O98.2', 14484, 'O98', 0, 'Состояния, классифицированные в рубрике A54');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14488, 'Другие инфекции, передающиеся преимущественно половым путем, осложняющие беременность, деторождение или послеродовой период', 'O98.3', 14484, 'O98', 0, 'Состояния, классифицированные в рубриках A55-A64');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14489, 'Вирусный гепатит, осложняющий беременность, деторождение или послеродовой период', 'O98.4', 14484, 'O98', 0, 'Состояния, классифицированные в рубриках B15-B19');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14490, 'Другие вирусные болезни, осложняющие беременность, деторождение или послеродовой период', 'O98.5', 14484, 'O98', 0, 'Состояния, классифицированные в рубриках A80-B09, B25-B34');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14491, 'Протозойные инфекции, осложняющие беременность, деторождение или послеродовой период', 'O98.6', 14484, 'O98', 0, 'Состояния, классифицированные в рубриках B50-B64');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14492, 'Другие инфекционные и паразитарные болезни матери, осложняющие беременность, деторождение или послеродовой период', 'O98.8', 14484, 'O98', 0, NULL);

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14493, 'Инфекционные и паразитарные болезни матери, осложняющие беременность, деторождение или послеродовой период, неуточненные', 'O98.9', 14484, 'O98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14494, 'Другие болезни матери, классифицированные в других рубриках, но осложняющие беременность, роды и послеродовой период', 'O99', 14480, 'O95-O99', 9, 'Примечание. Эта рубрика включает состояния, осложняющие беременность, отягощенные беременностью или являющиеся главной причиной для оказания акушерской помощи и для которых в алфавитном указателе не приведены специальные рубрики в классе XV. При необходимости идентифицировать конкретное состояние используют дополнительный код. Исключены: инфекционные и паразитарные болезни (O98.-) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) случаи, когда медицинская помощь матери оказывается в связи с ее заболеванием, которое явно или предположительно влияет на плод (O35-O36)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14495, 'Анемия, осложняющая беременность, деторождение и послеродовой период', 'O99.0', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках D50-D64');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14496, 'Другие болезни крови и кроветворных органов и отдельные нарушения с вовлечением иммунного механизма, осложняющие беременность, деторождение и послеродовой период', 'O99.1', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках D65-D89 Исключены: кровотечения с нарушениями коагуляции (O46.0, O67.0, O72.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14497, 'Болезни эндокринной системы, расстройства питания и нарушения обмена веществ, осложняющие беременность,деторождение и послеродовой период', 'O99.2', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках E00-E90 Исключены: сахарный диабет (O24.-) недостаточность питания (O25) послеродовой тиреоидит (O90.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14498, 'Психические расстройства и болезни нервной системы, осложняющие беременность, деторождение и послеродовой период', 'O99.3', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках F00-F99 и G00-G99 Исключены: постнатальная депрессия (F53.0) связанные с беременностью поражения периферических нервов (O26.8) послеродовой психоз (F53.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14499, 'Болезни системы кровообращения, осложняющие беременность, деторождение и послеродовой период', 'O99.4', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках I00-I99 Исключены: кардиомиопатия в послеродовом периоде (O90.3) гипертензивные расстройства (O10-O16) акушерская эмболия (O88.-) венозные осложнения и тромбоз церебровенозного синуса во время: . родов и в послеродовом периоде (O87.-) . беременности (O22.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14500, 'Болезни органов дыхания, осложняющие беременность,деторождение и послеродовой период', 'O99.5', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках J00-J99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14501, 'Болезни органов пищеварения, осложняющие беременность,деторождение и послеродовой период', 'O99.6', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках K00-K93 Исключены: поражение печени во время беременности, деторождения и в послеродовом периоде (O26.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14502, 'Болезни кожи и подкожной клетчатки, осложняющие беременность, деторождение и послеродовой период', 'O99.7', 14494, 'O99', 0, 'Состояния, классифицированные в рубриках L00-L99 Исключен: герпес беременных (O26.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(14503, 'Другие уточненные болезни и состояния, осложняющие беременность, деторождение и послеродовой период', 'O99.8', 14494, 'O99', 0, 'Сочетание состояний, классифицированных в рубриках O99.0-O99.7 Состояния, классифицированные в рубриках C00-D48, H00-H95, M00-M99, N00-N99, и Q00-Q99 Исключены: инфекции мочеполовых путей при беременности (O23.-) инфекции мочеполовых путей после родоразрешения (O86.0-O86.3) медицинская помощь матери в связи с установленной или предполагаемой аномалией органов таза (O34.-) послеродовая острая почечная недостаточность (O90.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15001, 'ОТДЕЛЬНЫЕ СОСТОЯНИЯ, ВОЗНИКАЮЩИЕ В ПЕРИНАТАЛЬНОМ ПЕРИОДЕ', 'P00-P96', NULL, NULL, 10, 'Включены: нарушения, возникающие в перинатальном периоде, даже если смерть или болезнь наступают позднее\nИсключены: врожденные аномалии, деформации и хромосомные нарушения (Q00-Q99) болезни эндокринной системы, расстройства питания и нарушения обмена веществ (E00-E90) травмы, отравления и некоторые другие последствия воздействия внешних причин (S00-T98) новообразования (C00-D48) столбняк новорожденного (A33)\nЭтот класс содержит следующие блоки:\nP00-P04 Поражение плода и новорожденного, обусловленные состояниями матери, осложнениями беременности, родов и родоразрешения\nP05-P08 Расстройства, связанные с продолжительностью беременности и ростом плода\nP10-P15 Родовая травма\nP20-P29 Дыхательные и сердечно-сосудистые нарушения, характерные для перинатального периода\nP35-P39 Инфекционные болезни, специфичные для перинатального периода\nP50-P61 Геморрагические и гематологические нарушения у плода и новорожденного\nP70-P74 Преходящие эндокринные нарушения и нарушения обмена веществ, специфические для плода и новорожденного\nP75-P78 Расстройства системы пищеварения у плода и новорожденного\nP80-P83 Состояния, затрагивающие кожные покровы и терморегуляцию у плода и новорожденного\nP90-P96 Другие нарушения, возникающие в перинатальном периоде\n\nЗвездочкой отмечена следующая рубрика:\nP75* Мекониевый илеус');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15002, 'ПОРАЖЕНИЯ ПЛОДА И НОВОРОЖДЕННОГО, ОБУСЛОВЛЕННЫЕ СОСТОЯНИЯМИ МАТЕРИ, ОСЛОЖНЕНИЯМИ БЕРЕМЕННОСТИ, РОДОВ И РОДОРАЗРЕШЕНИЯ', 'P00-P04', 15001, 'P00-P96', 5, 'Включены: перечисленные ниже состояния матери, когда они уточнены как причина смерти или болезни плода или новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15003, 'Поражения плода и новорожденного, обусловленные состояниями матери, которые могут быть не связаны с настоящей беременностью', 'P00', 15002, 'P00-P04', 10, 'Исключены: влияние на плод и новорожденного: . осложнений беременности у матери (P01.-) . эндокринных и обменных нарушений у матери (P70-P74) . вредных веществ, проникающих через плаценту или грудное молоко (P04.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15004, 'Поражения плода и новорожденного, обусловленные гипертензивными расстройствами у матери', 'P00.0', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные состояниями матери, классифицированными в рубриках O10-O11, O13-O16');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15005, 'Поражения плода и новорожденного, обусловленные болезнями почек и мочевых путей у матери', 'P00.1', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные состояниями матери, классифицированными в рубриках N00-N39');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15006, 'Поражения плода и новорожденного, обусловленные инфекционными и паразитарными болезнями у матери', 'P00.2', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные инфекционными болезнями матери, классифицированными в рубриках A00-B99 иJ10-J11, но без проявления этих болезней у плода и новорожденного Исключены: инфекции, специфичные для перинатального периода (P35-P39) инфекции половых путей и другие локализованные инфекции у матери (P00.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15007, 'Поражения плода и новорожденного, обусловленные хроническими болезнями системы кровообращения и дыхания у матери', 'P00.3', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные состояниями матери, классифицированными в рубриках I00-I99, J00-J99, Q20-Q34, но не включенные в рубрики P00.0, P00.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15008, 'Поражения плода и новорожденного, обусловленные расстройствами питания у матери', 'P00.4', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные состояниями матери, классифицированными в рубриках E40-E64 Недостаточность питания матери БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15009, 'Поражения плода и новорожденного, обусловленные травмой у матери', 'P00.5', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные состояниями матери, классифицированными в рубриках S00-T79');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15010, 'Поражения плода и новорожденного, обусловленные проведением хирургического вмешательства у матери', 'P00.6', 15003, 'P00', 0, 'Исключены: поражения при родоразрешении с помощью кесарева сечения (P03.4) повреждение плаценты при амниоцентезе, кесаревом сечении или хирургическом вмешательстве (P02.1) предшествующее хирургическое вмешательство на матке и тазовых органах (P03.8) прерывание беременности (влияние на плод) (P96.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15011, 'Поражения плода и новорожденного, обусловленные другими медицинскими процедурами у матери, не классифицированными в других рубриках', 'P00.7', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные радиологическими процедурами у матери Исключены: повреждения плаценты при амниоцентезе, кесаревом сечении или хирургическом вмешательстве (P02.1) поражения плода и новорожденного, вызванные другими осложнениями родов и родоразрешения (P03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15012, 'Поражения плода и новорожденного, обусловленные другими состояниями матери', 'P00.8', 15003, 'P00', 0, 'Поражения плода и новорожденного, обусловленные: . состояниями, классифицированными в рубриках T80-T88 . инфекцией половых путей и других локализаций у матери . системной красной волчанкой у матери Исключены: преходящие неонатальные эндокринные нарушения и нарушения обменавеществ (P70-P74)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15013, 'Поражения плода и новорожденного, обусловленные неуточненными состояниями матери', 'P00.9', 15003, 'P00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15014, 'Поражения плода и новорожденного, обусловленные осложнениями беременности у матери', 'P01', 15002, 'P00-P04', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15015, 'Поражения плода и новорожденного, обусловленные истмико-цервикальной недостаточностью', 'P01.0', 15014, 'P01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15016, 'Поражения плода и новорожденного, обусловленные преждевременным разрывом плодных оболочек', 'P01.1', 15014, 'P01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15017, 'Поражения плода и новорожденного, обусловленные олигогидрамнионом', 'P01.2', 15014, 'P01', 0, 'Исключены: обусловленным преждевременным разрывом оболочек (P01.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15018, 'Поражения плода и новорожденного, обусловленные полигидрамнионом', 'P01.3', 15014, 'P01', 0, 'Гидрамнион');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15019, 'Поражения плода и новорожденного, обусловленные внематочной беременностью', 'P01.4', 15014, 'P01', 0, 'Брюшная беременность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15020, 'Поражения плода и новорожденного, обусловленные многоплодной беременностью', 'P01.5', 15014, 'P01', 0, 'При беременности тройней При беременности двойней');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15021, 'Поражения плода и новорожденного, обусловленные смертью матери', 'P01.6', 15014, 'P01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15022, 'Поражения плода и новорожденного, обусловленные неправильным предлежанием плода перед родами', 'P01.7', 15014, 'P01', 0, 'Ягодичное } Наружный поворот } Лицевое } (предлежание) Поперечное положение } перед родами Неустойчивое положение }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15023, 'Поражения плода и новорожденного, обусловленные другими болезнями матери, осложняющими беременность', 'P01.8', 15014, 'P01', 0, 'Самопроизвольный выкидыш, влияние на плод');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15024, 'Поражения плода и новорожденного, обусловленные неуточненными состояниями, осложняющими беременность', 'P01.9', 15014, 'P01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15025, 'Поражения плода и новорожденного, обусловленные осложнениями со стороны плаценты, пуповины и плодных оболочек', 'P02', 15002, 'P00-P04', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15026, 'Поражения плода и новорожденного, обусловленные предлежанием плаценты', 'P02.0', 15025, 'P02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15027, 'Поражения плода и новорожденного, обусловленные другими осложнениями, связанными с отделением плаценты и кровотечением', 'P02.1', 15025, 'P02', 0, 'Отслойка плаценты Внезапное кровотечение Повреждение плаценты при амниоцентезе, кесаревом сечении или хирургическом вмешательстве Потеря крови у матери Преждевременное отделение плаценты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15028, 'Поражения плода и новорожденного, обусловленные неуточненными и другими морфологическими и функциональными аномалиями плаценты', 'P02.2', 15025, 'P02', 0, 'Плаценты: . дисфункция . инфаркт . недостаточность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15029, 'Поражения плода и новорожденного, обусловленные синдромом плацентарной трансфузии', 'P02.3', 15025, 'P02', 0, 'Аномалии плаценты и пуповины, вызывающие трансфузию от плода к плоду или другую плацентарную трансфузию При необходимости идентифицировать возникшее состояние плода и новорожденного используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15030, 'Поражения плода и новорожденного, обусловленные выпадением пуповины', 'P02.4', 15025, 'P02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15031, 'Поражения плода и новорожденного, обусловленные другими видами сдавления пуповины', 'P02.5', 15025, 'P02', 0, 'Шейное обвитие пуповиной Запутывание пуповины Узел пуповины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15032, 'Поражения плода и новорожденного, обусловленные другими и неуточненными состояниями пуповины', 'P02.6', 15025, 'P02', 0, 'Короткая пуповина Предлежание сосуда Исключены: одиночная пупочная артерия (Q27.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15033, 'Поражения плода и новорожденного, обусловленные хориоамнионитом', 'P02.7', 15025, 'P02', 0, 'Амнионит Мембранит Плацентит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15034, 'Поражения плода и новорожденного, обусловленные другими аномалиями хориона и амниона', 'P02.8', 15025, 'P02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15035, 'Поражения плода и новорожденного, обусловленные неуточненными аномалиями хориона и амниона', 'P02.9', 15025, 'P02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15036, 'Поражения плода и новорожденного, обусловленные другими осложнениями родов и родоразрешения', 'P03', 15002, 'P00-P04', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15037, 'Поражения плода и новорожденного, обусловленные родоразрешением в тазовом предлежании и с экстракцией плода', 'P03.0', 15036, 'P03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15038, 'Поражения плода и новорожденного, обусловленные другим видом неправильного предлежания, положения и диспропорции во время родов и родоразрешения', 'P03.1', 15036, 'P03', 0, 'Суженный таз Поражения плода и новорожденного, обусловленные состояниями, классифицированными в рубриках O64-O66 Стойкое высокое стояние головки Поперечное положение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15039, 'Поражения плода и новорожденного, обусловленные родоразрешением с наложением щипцов', 'P03.2', 15036, 'P03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15040, 'Поражения плода и новорожденного, обусловленные применением вакуум-экстрактора', 'P03.3', 15036, 'P03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15041, 'Поражения плода и новорожденного, обусловленные родоразрешением с помощью кесарева сечения', 'P03.4', 15036, 'P03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15042, 'Поражения плода и новорожденного, обусловленные стремительными родами', 'P03.5', 15036, 'P03', 0, 'Быстрый второй период');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15043, 'Поражения плода и новорожденного, обусловленные нарушениями сократительной деятельности матки', 'P03.6', 15036, 'P03', 0, 'Поражения плода и новорожденного, обусловленные состояниями, классифицированными в рубрике O62.-, за исключением подрубрики O62.3 Гипертонус матки Инертная матка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15044, 'Поражения плода и новорожденного,  обусловленные другими осложнениями родов и родоразрешения', 'P03.8', 15036, 'P03', 0, 'Аномалии мягких тканей Плодоразрушающие операции Поражения плода и новорожденного, обусловленные другими состояниями, классифицированными в рубрике O60 - O75, и другими процедурами,  применяемыми при родах и родоразрешении, не включенные в рубрику P02.и подрубрики P03.0-P03.6 Искусственные роды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15045, 'Поражения плода и новорожденного, обусловленные осложнениями родов и родоразрешения, неуточненные', 'P03.9', 15036, 'P03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15046, 'Поражения плода и новорожденного, обусловленные воздействием вредных веществ, проникающих через плаценту или грудное молоко', 'P04', 15002, 'P00-P04', 9, 'Включены: нетератогенные эффекты воздействия веществ,  проника ющих через плаценту Исключены: врожденные аномалии (Q00-Q99) желтуха новорожденных, обусловленная гемолизом, вызванным лекарственными или токсичными средствами, введенными матери (P58.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15047, 'Поражения плода и новорожденного, обусловленные применением анестезии и аналгезирующих средств у матери во время беременности, родов и родоразрешения', 'P04.0', 15046, 'P04', 0, 'Реакции и интоксикации, вызванные введением матери опиатов и транквилизаторов во время родов и родоразрешения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15048, 'Поражения плода и новорожденного, обусловленные другими терапевтическими воздействиями на мать', 'P04.1', 15046, 'P04', 0, 'Химиотерапия при раке Цитотоксичные препараты Исключены: дизморфия, обусловленная варфарином (Q86.2) фетогидантоиновый синдром (Q86.1) употребление матерью наркотических средств (P04.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15049, 'Поражения плода и новорожденного, обусловленные потреблением табака матерью', 'P04.2', 15046, 'P04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15050, 'Поражения плода и новорожденного, обусловленные потреблением матерью алкоголя', 'P04.3', 15046, 'P04', 0, 'Исключен: алкогольный синдром у плода (Q86.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15051, 'Поражения плода и новорожденного, обусловленные употреблением матерью наркотических средств', 'P04.4', 15046, 'P04', 0, 'Исключенs: обусловленные применением анестезии и аналгезирующих средств у матери (P04.0) симптомы абстиненции у новорожденного, обусловленные наркоманией матери (P96.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15052, 'Поражения плода и новорожденного, обусловленные использованием матерью пищевых химических веществ', 'P04.5', 15046, 'P04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15053, 'Поражения плода и новорожденного, обусловленные воздействием на мать химических веществ, содержащихся в окружающей среде', 'P04.6', 15046, 'P04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15054, 'Поражения плода и новорожденного, обусловленные другими вредными воздействиями на мать', 'P04.8', 15046, 'P04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15055, 'Поражения плода и новорожденного, обусловленные неуточненными вредными воздействиями на мать', 'P04.9', 15046, 'P04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15057, 'РАССТРОЙСТВА, СВЯЗАННЫЕ С ПРОДОЛЖИТЕЛЬНОСТЬЮ БЕРЕМЕННОСТИ И РОСТОМ ПЛОДА', 'P05-P08', 15001, 'P00-P96', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15058, 'Замедленный рост и недостаточность питания плода', 'P05', 15057, 'P05-P08', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15059, '"Маловесный" для гестационного возраста плод', 'P05.0', 15058, 'P05', 0, 'Обычно относится к состоянию, когда масса тела ниже, а длина тела выше 10-го перцентиля для гестационного возраста. "Маловесный" для рассчитанного срока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15060, 'Малый размер плода для гестационного возраста', 'P05.1', 15058, 'P05', 0, 'Обычно относится к состоянию, когда масса и длина тела ниже 10-го перцентиля для гестационного возраста. Маленький для рассчитанного срока плод Маленький и "маловесный" для рассчитанного срока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15061, 'Недостаточность питания плода без упоминания о "маловесном" или маленьком для гестационного возраста', 'P05.2', 15058, 'P05', 0, 'Новорожденный, у которого нет снижения массы тела, но отмечаются признаки недостаточности питания, такие, как сухость, шелушение кожи и неполноценность подкожной клетчатки. Исключены: недостаточность питания плода с упоминанием о: . "маловесности" для гестационного возраста (P05.0) . малом размере для гестационного возраста (P05.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15062, 'Замедленный рост плода неуточненный', 'P05.9', 15058, 'P05', 0, 'Задержка роста плода БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15063, 'Расстройства, связанные с укорочением срока беременности и малой массой тела при рождении, не классифицированные в других рубриках', 'P07', 15057, 'P05-P08', 4, 'Примечание. При наличии данных о массе тела при рождении и гестационном возрасте предпочтение следует отдавать показателю массы тела при рождении. Включены: перечисленные состояния без дальнейшего уточнения, являющиеся причиной смерти, заболевания или оказания дополнительной помощи новорожденному Исключено: состояние малой массы тела при рождении в связи с замедленным ростом и недостаточностью питания плода (P05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15064, 'Крайне малая масса тела при рождении', 'P07.0', 15063, 'P07', 0, 'Масса тела при рождении 999 г или менее.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15065, 'Другие случаи малой массы тела при рождении', 'P07.1', 15063, 'P07', 0, 'Масса тела при рождении 1000-2499 г.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15066, 'Крайняя незрелость', 'P07.2', 15063, 'P07', 0, 'Срок беременности менее 28 полных недель (менее 196 полных дней).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15067, 'Другие случаи недоношенности', 'P07.3', 15063, 'P07', 0, 'Срок беременности 28 полных недель или более, но менее 37 полных недель (196 полных дней, но менее 259 полных дней). Недоношенность БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15068, 'Расстройства, связанные с удлиненным сроком беременности и большой массой тела при рождении', 'P08', 15057, 'P05-P08', 3, 'Примечание: При наличии данных о массе тела при рождении и гестационном возрасте предпочтение следует отдавать показателю массы тела при рождении. Включены: перечисленные состояния без дальнейшего уточнения, являющиеся причиной смерти, болезни или оказания дополнительной помощи плоду или новорожденному');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15069, 'Чрезмерно крупный ребенок', 'P08.0', 15068, 'P08', 0, 'Эту рубрику обычно используют, когда масса тела при рождении составляет 4500 г или более. Исключены: синдром: . новорожденного от матери, страдающей диабетом (P70.1) . новорожденного от матери, страдающей гестационным диабетом (P70.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15070, 'Другие "крупновесные" для срока дети', 'P08.1', 15068, 'P08', 0, 'Другие плоды или новорожденные, масса тела или рост которых при рождении превышают соответствующие данному сроку беременности показатели, независимо от ее срока.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15071, 'Переношенный ребенок, но не "крупновесный" для срока', 'P08.2', 15068, 'P08', 0, 'Плод или ребенок, родившийся в срок беременности 42 полные недели или более (294 дня ил более), масса тела или рост которого не превышает соответствующие сроку беременности показатели. Переношенность БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15073, 'РОДОВАЯ ТРАВМА', 'P10-P15', 15001, 'P00-P96', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15074, 'Разрыв внутричерепных тканей и кровотечение вследствие родовой травмы', 'P10', 15073, 'P10-P15', 7, 'Исключены: внутричерепное кровоизлияние у плода или новорожденного: . БДУ (P52.9) . обусловленное аноксией или гипоксией (P52.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15075, 'Субдуральное кровоизлияние при родовой травме', 'P10.0', 15074, 'P10', 0, 'Субдуральная гематома (локализованная) при родовой травме Исключено: субдуральное кровоизлияние, сопровождающее разрыв мозжечкового намета (P10.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15076, 'Кровоизлияние в мозг при родовой травме', 'P10.1', 15074, 'P10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15077, 'Кровоизлияние в желудочек мозга при родовой травме', 'P10.2', 15074, 'P10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15078, 'Субарахноидальное кровоизлияние при родовой травме', 'P10.3', 15074, 'P10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15079, 'Разрыв мозжечкового намета при родовой травме', 'P10.4', 15074, 'P10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15080, 'Другие внутричерепные разрывы и кровоизлияния при родовой травме', 'P10.8', 15074, 'P10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15081, 'Внутричерепные разрывы и кровоизлияния при родовой травме неуточненные', 'P10.9', 15074, 'P10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15082, 'Другие родовые травмы центральной нервной системы', 'P11', 15073, 'P10-P15', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15083, 'Отек мозга при родовой травме', 'P11.0', 15082, 'P11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15084, 'Другие уточненные поражения мозга при родовой травме', 'P11.1', 15082, 'P11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15085, 'Неуточненные поражения мозга при родовой травме', 'P11.2', 15082, 'P11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15086, 'Поражение лицевого нерва при родовой травме', 'P11.3', 15082, 'P11', 0, 'Паралич лицевого нерва при родовой травме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15087, 'Поражение других черепных нервов при родовой травме', 'P11.4', 15082, 'P11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15088, 'Повреждение позвоночника и спинного мозга при родовой травме', 'P11.5', 15082, 'P11', 0, 'Перелом позвоночника при родовой травме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15089, 'Поражение центральной нервной системы при родовой травме неуточненное', 'P11.9', 15082, 'P11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15090, 'Родовая травма волосистой части головы', 'P12', 15073, 'P10-P15', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15091, 'Кефалгематома при родовой травме', 'P12.0', 15090, 'P12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15092, 'Повреждение волос при родовой травме', 'P12.1', 15090, 'P12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15093, 'Субапоневротическое кровоизлияние при родовой травме', 'P12.2', 15090, 'P12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15094, 'Гематома волосистой части головы вследствие родовой травмы', 'P12.3', 15090, 'P12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15095, 'Повреждение волосистой части головы вследствие процедур мониторинга', 'P12.4', 15090, 'P12', 0, 'Разрез кожи для сбора крови Повреждение волосистой части головы клипсой (электродом)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15096, 'Другие повреждения волосистой части головы при родах', 'P12.8', 15090, 'P12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15097, 'Повреждение волосистой части головы при родах неуточненное', 'P12.9', 15090, 'P12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15098, 'Родовая травма скелета', 'P13', 15073, 'P10-P15', 7, 'Исключена: родовая травма позвоночника (P11.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15099, 'Перелом костей черепа при родовой травме', 'P13.0', 15098, 'P13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15100, 'Другие повреждения черепа при родовой травме', 'P13.1', 15098, 'P13', 0, 'Исключена: кефалгематома (P12.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15101, 'Перелом бедренной кости при родовой травме', 'P13.2', 15098, 'P13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15102, 'Перелом других длинных костей при родовой травме', 'P13.3', 15098, 'P13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15103, 'Перелом ключицы при родовой травме', 'P13.4', 15098, 'P13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15104, 'Повреждения других частей скелета при родовой травме', 'P13.8', 15098, 'P13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15105, 'Повреждение скелета при родовой травме неуточненное', 'P13.9', 15098, 'P13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15106, 'Родовая травма периферической нервной системы', 'P14', 15073, 'P10-P15', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15107, 'Паралич Эрба при родовой травме', 'P14.0', 15106, 'P14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15108, 'Паралич Клюмпке при родовой травме', 'P14.1', 15106, 'P14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15109, 'Паралич диафрагмального нерва при родовой травме', 'P14.2', 15106, 'P14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15110, 'Другие родовые травмы плечевого сплетения', 'P14.3', 15106, 'P14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15111, 'Родовые травмы других отделов периферической нервной системы', 'P14.8', 15106, 'P14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15112, 'Родовая травма периферических нервов неуточненная', 'P14.9', 15106, 'P14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15113, 'Другие виды родовой травмы', 'P15', 15073, 'P10-P15', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15114, 'Повреждение печени при родовой травме', 'P15.0', 15113, 'P15', 0, 'Разрыв печени при родовой травме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15115, 'Повреждение селезенки при родовой травме', 'P15.1', 15113, 'P15', 0, 'Разрыв селезенки при родовой травме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15116, 'Повреждение грудиноключично-сосцевидной мышцы при родовой травме', 'P15.2', 15113, 'P15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15117, 'Родовая травма глаза', 'P15.3', 15113, 'P15', 0, 'Субконъюнктивальное кровоизлияние } Травматическая глаукома } при родовой травме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15118, 'Родовая травма лица', 'P15.4', 15113, 'P15', 0, 'Гиперемия лица при родовой травме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15119, 'Повреждение наружных половых органов при родовой травме', 'P15.5', 15113, 'P15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15120, 'Некроз подкожножировой ткани, обусловленный родовой травмой', 'P15.6', 15113, 'P15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15121, 'Другие уточненные родовые травмы', 'P15.8', 15113, 'P15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15122, 'Родовая травма неуточненная', 'P15.9', 15113, 'P15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15124, 'ДЫХАТЕЛЬНЫЕ И СЕРДЕЧНО-СОСУДИСТЫЕ НАРУШЕНИЯ, ХАРАКТЕРНЫЕ ДЛЯ ПЕРИНАТАЛЬНОГО ПЕРИОДА', 'P20-P29', 15001, 'P00-P96', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15125, 'Внутриутробная гипоксия', 'P20', 15124, 'P20-P29', 3, 'Включены: нарушение частоты сердцебиений у плода плодный(ая) или внутриматочный(ая): . ацидоз . аноксия . асфиксия . дистресс . гипоксия меконий в околоплодных водах отхождение мекония Исключено: внутричерепное кровоизлияние, обусловленное аноксией или гипоксией (P52.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15126, 'Внутриутробная гипоксия, впервые отмеченная до начала родов', 'P20.0', 15125, 'P20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15127, 'Внутриутробная гипоксия, впервые отмеченная во время родов и родоразрешения', 'P20.1', 15125, 'P20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15128, 'Внутриутробная гипоксия неуточненная', 'P20.9', 15125, 'P20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15129, 'Асфиксия при родах', 'P21', 15124, 'P20-P29', 3, 'Примечание. Эту рубрику не следует использовать при низких показателях по шкале Апгар без упоминания об асфиксии или других дыхательных расстройствах. Исключены: внутриутробная гипоксия или асфиксия (P20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15130, 'Тяжелая асфиксия при рождении', 'P21.0', 15129, 'P21', 0, 'Пульс при рождении менее 100 ударов/мин, замедляющийся или устойчивый, дыхание отсутствует или затруднено, кожа бледная, мышцы атоничны. Асфиксия с оценкой по шкале Апгар 0-3 через 1 мин после рождения Белая асфиксия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15131, 'Средняя и умеренная асфиксия при рождении', 'P21.1', 15129, 'P21', 0, 'Нормальное дыхание в течение первой минуты после рождения не установилось, но частота сердцебиений 100 ударов/мин или более, незначительный мышечный тонус, незначительный ответ на раздражение. Оценка по шкале Апгур 4-7 через 1 мин после рождения Синяя асфиксия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15132, 'Неуточненная асфиксия при рождении', 'P21.9', 15129, 'P21', 0, 'Аноксия } Асфиксия } БДУ Гипоксия }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15133, 'Дыхательное расстройство у новорожденного [дистресс]', 'P22', 15124, 'P20-P29', 4, 'Исключена: дыхательная недостаточность у новорожденного (P28.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15134, 'Синдром дыхательного расстройства у новорожденного', 'P22.0', 15133, 'P22', 0, 'Болезнь гиалиновых мембран');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15135, 'Транзиторное тахипноэ у новорожденного', 'P22.1', 15133, 'P22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15136, 'Другие дыхательные расстройства у новорожденного', 'P22.8', 15133, 'P22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15137, 'Дыхательное расстройство у новорожденного неуточненное', 'P22.9', 15133, 'P22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15138, 'Врожденная пневмония', 'P23', 15124, 'P20-P29', 9, 'Включена: инфекционная пневмония, развившаяся внутриутробно или при рождении Исключена: неонатальная пневмония, обусловленная аспирацией (P24.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15139, 'Вирусная врожденная пневмония', 'P23.0', 15138, 'P23', 0, 'Исключен: врожденный пневмонит, вызванный вирусом краснухи (P35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15140, 'Врожденная пневмония, вызванная хламидиями', 'P23.1', 15138, 'P23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15141, 'Врожденная пневмония, вызванная стафилококком', 'P23.2', 15138, 'P23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15142, 'Врожденная пневмония, вызванная стрептококком группы B', 'P23.3', 15138, 'P23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15143, 'Врожденная пневмония, вызванная кишечной палочкой [Escherichia coli]', 'P23.4', 15138, 'P23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15144, 'Врожденная пневмония, вызванная Pseudomonas', 'P23.5', 15138, 'P23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15145, 'Врожденная пневмония, вызванная другими бактериальными агентами', 'P23.6', 15138, 'P23', 0, 'Haemophilus influenzae Klebsiella pneumoniae Mycoplasma Стрептококком, за исключением группы B');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15146, 'Врожденная пневмония, вызванная другими возбудителями', 'P23.8', 15138, 'P23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15147, 'Врожденная пневмония неуточненная', 'P23.9', 15138, 'P23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15148, 'Неонатальные аспирационные синдромы', 'P24', 15124, 'P20-P29', 6, 'Включена: неонатальная пневмония, обусловленная аспирацией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15149, 'Неонатальная аспирация мекония', 'P24.0', 15148, 'P24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15150, 'Неонатальная аспирация амниотической жидкости и слизи', 'P24.1', 15148, 'P24', 0, 'Аспирация околоплодных вод');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15151, 'Неонатальная аспирация крови', 'P24.2', 15148, 'P24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15152, 'Неонатальная аспирация молока и срыгиваемой пищи', 'P24.3', 15148, 'P24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15153, 'Другие неонатальные аспирационные синдромы', 'P24.8', 15148, 'P24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15154, 'Неонатальный аспирационный синдром неуточненный', 'P24.9', 15148, 'P24', 0, 'Неонатальная аспирационная пневмония БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15155, 'Интерстициальная эмфизема и родственные состояния, возникшие в перинатальном периоде', 'P25', 15124, 'P20-P29', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15156, 'Интерстициальная эмфизема, возникшая в перинатальном периоде', 'P25.0', 15155, 'P25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15157, 'Пневмоторакс, возникший в перинатальном периоде', 'P25.1', 15155, 'P25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15158, 'Пневмомедиастинум, возникший в перинатальном периоде', 'P25.2', 15155, 'P25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15159, 'Пневмоперикард, возникший в перинатальном периоде', 'P25.3', 15155, 'P25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15160, 'Другие состояния, связанные с интерстициальной эмфиземой, возникшие в перинатальном периоде', 'P25.8', 15155, 'P25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15161, 'Легочное кровотечение, возникшее в перинатальном периоде', 'P26', 15124, 'P20-P29', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15162, 'Трахеобронхиальное кровотечение, возникшее в перинатальном периоде', 'P26.0', 15161, 'P26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15163, 'Массивное легочное кровотечение, возникшее в перинатальном периоде', 'P26.1', 15161, 'P26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15164, 'Другие легочные кровотечения, возникшие в перинатальном периоде', 'P26.8', 15161, 'P26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15165, 'Легочные кровотечения, возникшие в перинатальном периоде неуточненные', 'P26.9', 15161, 'P26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15166, 'Хронические болезни органов дыхания, развившиеся в перинатальном периоде', 'P27', 15124, 'P20-P29', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15167, 'Синдром Вильсона-Микити', 'P27.0', 15166, 'P27', 0, 'Незрелость легких');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15168, 'Бронхолегочная дисплазия, возникшая в перинатальном периоде', 'P27.1', 15166, 'P27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15169, 'Другие хронические болезни органов дыхания, возникшие в перинатальном периоде', 'P27.8', 15166, 'P27', 0, 'Врожденный фиброз легких "Вентиляционное" легкое у новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15170, 'Неуточненные хронические болезни органов дыхания, возникшие в перинатальном периоде', 'P27.9', 15166, 'P27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15171, 'Другие респираторные нарушения, возникшие в перинатальном периоде', 'P28', 15124, 'P20-P29', 8, 'Исключены: врожденные аномалии развития органов дыхания (Q30-Q34)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15172, 'Первичный ателектаз у новорожденного', 'P28.0', 15171, 'P28', 0, 'Первичное нерасправление терминальных дыхательных образований Легочная: . гипоплазия, связанная с недоношенностью . незрелость БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15173, 'Другой и неуточненный ателектаз у новорожденного', 'P28.1', 15171, 'P28', 0, 'Ателектаз: . БДУ . частичный . вторичный Резорбционный ателектаз без синдрома дыхательного расстройства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15174, 'Приступы цианоза у новорожденного', 'P28.2', 15171, 'P28', 0, 'Исключено: апноэ у новорожденного (P28.3-P28.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15175, 'Первичное апноэ во время сна у новорожденного', 'P28.3', 15171, 'P28', 0, 'Апноэ во время сна у новорожденного БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15176, 'Другие типы апноэ у новорожденного', 'P28.4', 15171, 'P28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15177, 'Дыхательная недостаточность у новорожденного', 'P28.5', 15171, 'P28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15178, 'Другие уточненные респираторные состояния у новорожденного', 'P28.8', 15171, 'P28', 0, 'Насморк новорожденного Исключен: ранний врожденный сифилитический ринит (A50.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15179, 'Респираторное нарушение у новорожденного неуточненное', 'P28.9', 15171, 'P28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15180, 'Сердечно-сосудистые нарушения, возникшие в перинатальном периоде', 'P29', 15124, 'P20-P29', 7, 'Исключены: врожденные аномалии системы кровообращения (Q20-Q28)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15181, 'Сердечная недостаточность у новорожденных', 'P29.0', 15180, 'P29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15182, 'Нарушения ритма сердца у новорожденного', 'P29.1', 15180, 'P29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15183, 'Гипертензия у новорожденного', 'P29.2', 15180, 'P29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15184, 'Стойкое фетальное кровообращение у новорожденного', 'P29.3', 15180, 'P29', 0, 'Задержка закрытия артериального протока у новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15185, 'Преходящая ишемия миокарда у новорожденного', 'P29.4', 15180, 'P29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15186, 'Другие сердечно-сосудистые нарушения, возникшие в перинатальном периоде', 'P29.8', 15180, 'P29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15187, 'Сердечно-сосудистое нарушение, возникшее в перинатальном периоде, неуточненное', 'P29.9', 15180, 'P29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15189, 'ИНФЕКЦИОННЫЕ БОЛЕЗНИ, СПЕЦИФИЧНЫЕ ДЛЯ ПЕРИНАТАЛЬНОГО ПЕРИОДА', 'P35-P39', 15001, 'P00-P96', 5, 'Включены: инфекции, приобретенные внутриутробно или во время родов\nИсключены: бессимптомная инфекция, вызванная вирусом иммунодефицита человека [ВИЧ] (Z21) врожденная(ый): . гонококковая инфекция (A54.-) . пневмония (P23.-) . сифилис (A50.-) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24) инфекционные болезни, приобретенные после рождения (A00-B99, J10-J11) кишечные инфекционные болезни (A00-A09) лабораторное подтверждение носительства вируса иммунодефицита человека [ВИЧ] (R75) инфекционные болезни матери как причина смерти или болезни плода или новорожденного, но без проявлений этих болезней у плода или новорожденного (P00.2) столбняк новорожденного (A33)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15190, 'Врожденные вирусные инфекции', 'P35', 15189, 'P35-P39', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15191, 'Синдром врожденной краснухи', 'P35.0', 15190, 'P35', 0, 'Врожденный пневмонит, вызванный вирусом краснухи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15192, 'Врожденная цитомегаловирусная инфекция', 'P35.1', 15190, 'P35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15193, 'Врожденная инфекция, вызванная вирусом простого герпеса [herpes simplex]', 'P35.2', 15190, 'P35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15194, 'Врожденный вирусный гепатит', 'P35.3', 15190, 'P35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15195, 'Другие врожденные вирусные инфекции', 'P35.8', 15190, 'P35', 0, 'Врожденная ветряная оспа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15196, 'Врожденная вирусная болезнь неуточненная', 'P35.9', 15190, 'P35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15197, 'Бактериальный сепсис новорожденного', 'P36', 15189, 'P35-P39', 8, 'Включена: врожденная септицемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15198, 'Сепсис новорожденного, обусловленный стрептококком группы B', 'P36.0', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15199, 'Сепсис новорожденного, обусловленный другими и неуточненными стрептококками', 'P36.1', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15200, 'Сепсис новорожденного, обусловленный золотистым стафилококком [Staphylococcus aureus]', 'P36.2', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15201, 'Сепсис новорожденного, обусловленный другими и неуточненными стафилококками', 'P36.3', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15202, 'Сепсис новорожденного, обусловленный кишечной палочкой [Escherichia coli]', 'P36.4', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15203, 'Сепсис новорожденного, обусловленный анаэробными микро организмами', 'P36.5', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15204, 'Сепсис новорожденного, обусловленный другими бактери альными агентами', 'P36.8', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15205, 'Бактериальный сепсис новорожденного неуточненный', 'P36.9', 15197, 'P36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15206, 'Другие врожденные инфекционные и паразитарные болезни', 'P37', 15189, 'P35-P39', 8, 'Исключены: врожденный сифилис (A50.-) некротический энтероколит у плода и новорожденного (P77) диарея новорожденного: . инфекционная (A00-A09) . неинфекционная (P78.3) офтальмия новорожденного, вызванная гонококком (A54.3) столбняк новорожденного (A33)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15207, 'Врожденный туберкулез', 'P37.0', 15206, 'P37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15208, 'Врожденный токсоплазмоз', 'P37.1', 15206, 'P37', 0, 'Гидроцефалия, обусловленная врожденным токсоплазмозом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15209, 'Неонатальный (диссеминированный) листериоз', 'P37.2', 15206, 'P37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15210, 'Врожденная малярия, вызванная Plasmodium falciparum', 'P37.3', 15206, 'P37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15211, 'Другая врожденная малярия', 'P37.4', 15206, 'P37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15212, 'Кандидоз новорожденного', 'P37.5', 15206, 'P37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15213, 'Другие уточненные врожденные инфекционные и паразитарные болезни', 'P37.8', 15206, 'P37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15214, 'Врожденная инфекционная или паразитарная болезнь неуточненная', 'P37.9', 15206, 'P37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15215, 'Омфалит новорожденного с небольшим кровотечением или без него', 'P38', 15189, 'P35-P39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15216, 'Другие инфекционные болезни, специфичные для перинатального периода', 'P39', 15189, 'P35-P39', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15217, 'Неонатальный инфекционный мастит', 'P39.0', 15216, 'P39', 0, 'Исключены: набухание грудных желез у новорожденного (P83.4) неинфекционный мастит у новорожденного (P83.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15218, 'Конъюнктивит и дакриоцистит у новорожденного', 'P39.1', 15216, 'P39', 0, 'Неонатальный конъюнктивит, вызванный хламидиями Офтальмия новорожденного БДУ Исключен: гонококковый конъюнктивит (A54.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15219, 'Внутриамниотическая инфекция плода, не классифицированная в других рубриках', 'P39.2', 15216, 'P39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15220, 'Неонатальная инфекция мочевых путей', 'P39.3', 15216, 'P39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15221, 'Неонатальная инфекция кожных покровов', 'P39.4', 15216, 'P39', 0, 'Пиодермия новорожденных Исключены: пузырчатка новорожденного (L00) синдром стафилококкового поражения кожи в виде ожогоподобных пузырей (L00)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15222, 'Другая уточненная инфекция, специфичная для перинатального периода', 'P39.8', 15216, 'P39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15223, 'Инфекция, специфичная для перинатального периода, неуточненная', 'P39.9', 15216, 'P39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15225, 'ГЕМОРРАГИЧЕСКИЕ И ГЕМАТОЛОГИЧЕСКИЕ НАРУШЕНИЯ У ПЛОДА И НОВОРОЖДЕННОГО', 'P50-P61', 15001, 'P00-P96', 12, 'Исключены: врожденный стеноз и стриктура желчевыводящих протоков(Q44.3) синдром Криглера-Найяра (E80.5) синдром Дубина-Джонсона (E80.6) синдром Жильбера (E80.4) наследственные гемолитические анемии (D55-D58)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15226, 'Кровопотеря у плода', 'P50', 15225, 'P50-P61', 8, 'Исключена: врожденная анемия от кровопотери плода (P61.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15227, 'Потеря крови плодом из предлежащего сосуда', 'P50.0', 15226, 'P50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15228, 'Потеря крови плодом из разорванной пуповины', 'P50.1', 15226, 'P50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15229, 'Потеря крови плодом из плаценты', 'P50.2', 15226, 'P50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15230, 'Кровотечение у плода другого однояйцевого близнеца', 'P50.3', 15226, 'P50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15231, 'Кровотечение у плода в кровеносное русло матери', 'P50.4', 15226, 'P50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15232, 'Потеря крови у плода из перерезанного конца пуповины при однояйцевой двойне', 'P50.5', 15226, 'P50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15233, 'Другая форма кровопотери у плода', 'P50.8', 15226, 'P50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15234, 'Кровопотеря у плода неуточненная', 'P50.9', 15226, 'P50', 0, 'Кровоизлияние у плода БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15235, 'Кровотечение из пуповины у новорожденного', 'P51', 15225, 'P50-P61', 3, 'Исключен: омфалит с небольшим кровотечением (P38)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15236, 'Массивное кровотечение из пуповины у новорожденного', 'P51.0', 15235, 'P51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15237, 'Другое кровотечение из пуповины у новорожденного', 'P51.8', 15235, 'P51', 0, 'Соскальзывание лигатуры с культи пуповины БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15238, 'Кровотечение из пуповины у новорожденного неуточненное', 'P51.9', 15235, 'P51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15239, 'Внутричерепное нетравматическое кровоизлияние у плода и новорожденного', 'P52', 15225, 'P50-P61', 9, 'Включено: внутричерепное кровоизлияние вследствие аноксии или гипоксии Исключены: внутричерепное кровоизлияние, обусловленное: . родовой травмой (P10.-) . травмой матери (P00.5) . другой травмой (S06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15240, 'Внутрижелудочковое кровоизлияние (нетравматическое) 1-ой степени у плода и новорожденного', 'P52.0', 15239, 'P52', 0, 'Субэпендимальное кровоизлияние (без распространения в желудочки мозга)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15241, 'Внутрижелудочковое кровоизлияние (нетравматическое) 2-ой степени у плода и новорожденного', 'P52.1', 15239, 'P52', 0, 'Субэпендимальное кровоизлияние с распространением в желудочки мозга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15242, 'Внутрижелудочковое кровоизлияние (нетравматическое) 3-ей степени у плода и новорожденного', 'P52.2', 15239, 'P52', 0, 'Субэпендимальное кровоизлияние с распространением в желудочки и ткани мозга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15243, 'Неуточненное внутрижелудочковое (нетравматическое) кровоизлияние у плода и новорожденного', 'P52.3', 15239, 'P52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15244, 'Кровоизлияние  в мозг (нетравматическое) у плода и новорожденного', 'P52.4', 15239, 'P52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15245, 'Субарахноидальное (нетравматическое) кровоизлияние у плода и новорожденного', 'P52.5', 15239, 'P52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15246, 'Кровоизлияние в мозжечок и заднюю черепную ямку(нетравматическое) у плода и новорожденного', 'P52.6', 15239, 'P52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15247, 'Другие внутричерепные (нетравматические) кровоизлияния у плода и новорожденного', 'P52.8', 15239, 'P52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15248, 'Внутричерепное (нетравматическое) кровоизлияние у плода и новорожденного неуточненное', 'P52.9', 15239, 'P52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15249, 'Геморрагическая болезнь плода и новорожденного', 'P53', 15225, 'P50-P61', 0, 'Дефицит витамина K у новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15250, 'Другие неонатальные кровотечения', 'P54', 15225, 'P50-P61', 9, 'Исключены: кровопотеря у плода (P50.-) легочное кровотечение, возникающее в перинатальном периоде (P26.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15251, 'Гематемезис новорожденных', 'P54.0', 15250, 'P54', 0, 'Исключен: обусловленный заглатыванием материнской крови (P78.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15252, 'Мелена новорожденного', 'P54.1', 15250, 'P54', 0, 'Исключена: обусловленная заглатыванием материнской крови (P78.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15253, 'Кровотечение из прямой кишки у новорожденного', 'P54.2', 15250, 'P54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15254, 'Желудочно-кишечное кровотечение у новорожденного', 'P54.3', 15250, 'P54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15255, 'Кровоизлияние в надпочечник у новорожденного', 'P54.4', 15250, 'P54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15256, 'Кровоизлияние в кожу у новорожденного', 'P54.5', 15250, 'P54', 0, 'Кровоподтек } Экхимозы } Петехии } у плода и новорожденного Поверхностная } гематома } Исключены: гематома волосистой части головы вследствие родовой травмы (P12.3) кефалгематома вследствие родовой травмы (P12.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15257, 'Кровотечение из влагалища у новорожденного', 'P54.6', 15250, 'P54', 0, 'Псевдоменструация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15258, 'Другие уточненные кровотечения у новорожденного', 'P54.8', 15250, 'P54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15259, 'Неонатальное кровотечение неуточненное', 'P54.9', 15250, 'P54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15260, 'Гемолитическая болезнь плода и новорожденного', 'P55', 15225, 'P50-P61', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15261, 'Резус-изоиммунизация плода и новорожденного', 'P55.0', 15260, 'P55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15262, 'AB0-изоиммунизация плода и новорожденного', 'P55.1', 15260, 'P55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15263, 'Другие формы гемолитической болезни плода и новорожденного', 'P55.8', 15260, 'P55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15264, 'Гемолитическая болезнь плода и новорожденного неуточненная', 'P55.9', 15260, 'P55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15265, 'Водянка плода, обусловленная гемолитической болезнью', 'P56', 15225, 'P50-P61', 2, 'Исключены: водянка плода БДУ (P83.2) . не обусловленная гемолитической болезнью (P83.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15266, 'Водянка плода, обусловленная изоиммунизацией', 'P56.0', 15265, 'P56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15267, 'Водянка плода, обусловленная другой и неуточненной гемолитической болезнью', 'P56.9', 15265, 'P56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15268, 'Ядерная желтуха', 'P57', 15225, 'P50-P61', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15269, 'Ядерная желтуха, обусловленная изоиммунизацией', 'P57.0', 15268, 'P57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15270, 'Другие уточненные формы ядерной желтухи', 'P57.8', 15268, 'P57', 0, 'Исключен: синдром Криглера-Найяра (E80.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15271, 'Ядерная желтуха неуточненная', 'P57.9', 15268, 'P57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15272, 'Неонатальная желтуха, обусловленная чрезмерным гемолизом', 'P58', 15225, 'P50-P61', 8, 'Исключена: желтуха, обусловленная изоиммунизацией (P55-P57)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15273, 'Неонатальная желтуха, обусловленная кровоподтеками', 'P58.0', 15272, 'P58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15274, 'Неонатальная желтуха, обусловленная кровотечением', 'P58.1', 15272, 'P58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15275, 'Неонатальная желтуха, обусловленная инфекцией', 'P58.2', 15272, 'P58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15276, 'Неонатальная желтуха, обусловленная полицитемией', 'P58.3', 15272, 'P58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15277, 'Неонатальная желтуха, обусловленная лекарственными средствами или токсинами, перешедшими из организма матери или введенными новорожденному', 'P58.4', 15272, 'P58', 0, 'При необходимости идентифицировать причину используют дополнительный код (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15278, 'Неонатальная желтуха, обусловленная заглатыванием материнской крови', 'P58.5', 15272, 'P58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15279, 'Неонатальная желтуха, обусловленная другими уточненными формами чрезмерного гемолиза', 'P58.8', 15272, 'P58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15280, 'Неонатальная желтуха, обусловленная чрезмерным гемолизом, неуточненная', 'P58.9', 15272, 'P58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15281, 'Неонатальная желтуха, обусловленная другими и неуточненными причинами', 'P59', 15225, 'P50-P61', 6, 'Исключены: обусловленная врожденными нарушениями обмена веществ (E70-E90) ядерная желтуха (P57.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15282, 'Неонатальная желтуха, связанная с преждевременным родоразрешением', 'P59.0', 15281, 'P59', 0, 'Гипербилирубинемия недоношенных Неонатальная желтуха вследствие замедленной конъюгации билирубина, связанная с преждевременным родоразрешением');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15283, 'Синдром сгущения желчи', 'P59.1', 15281, 'P59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15284, 'Неонатальная желтуха вследствие других и неуточненных повреждений клеток печени', 'P59.2', 15281, 'P59', 0, 'Исключен: врожденный вирусный гепатит (P35.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15285, 'Неонатальная желтуха, обусловленная средствами, ингибирующими лактацию', 'P59.3', 15281, 'P59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15286, 'Неонатальная желтуха, обусловленная другими уточненными причинами', 'P59.8', 15281, 'P59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15287, 'Неонатальная желтуха неуточненная', 'P59.9', 15281, 'P59', 0, 'Физиологическая желтуха (выраженная) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15288, 'Диссеминированное внутрисосудистое свертывание крови у плода и новорожденного', 'P60', 15225, 'P50-P61', 0, 'Синдром дефибринации у плода и новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15289, 'Другие перинатальные гематологические нарушения', 'P61', 15225, 'P50-P61', 9, 'Исключена: преходящая гипогаммаглобулинемия у детей (D80.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15290, 'Преходящая неонатальная тромбоцитопения', 'P61.0', 15289, 'P61', 0, 'Неонатальная тромбоцитопения, обусловленная: . обменной трансфузией . идиопатической тромбоцитопенией у матери . изоиммунизацией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15291, 'Полицитемия новорожденного', 'P61.1', 15289, 'P61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15292, 'Анемия недоношенных', 'P61.2', 15289, 'P61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15293, 'Врожденная анемия вследствие кровопотери у плода', 'P61.3', 15289, 'P61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15294, 'Другие врожденные анемии, не классифицированные в других рубриках', 'P61.4', 15289, 'P61', 0, 'Врожденная анемия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15295, 'Преходящая неонатальная нейтропения', 'P61.5', 15289, 'P61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15296, 'Другие преходящие неонатальные расстройства коагуляции', 'P61.6', 15289, 'P61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15297, 'Другие уточненные перинатальные гематологические нарушения', 'P61.8', 15289, 'P61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15298, 'Перинатальное гематологическое нарушение неуточненное', 'P61.9', 15289, 'P61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15300, 'ПРЕХОДЯЩИЕ ЭНДОКРИННЫЕ НАРУШЕНИЯ И НАРУШЕНИЯ ОБМЕНА ВЕЩЕСТВ, СПЕЦИФИЧНЫЕ ДЛЯ ПЛОДА И НОВОРОЖДЕННОГО', 'P70-P74', 15001, 'P00-P96', 4, 'Включены: преходящие эндокринные и метаболические нарушения, как ответ на эндокринные и метаболические нарушения у матери или на приспособление к внеутробному существованию');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15301, 'Преходящие нарушения углеводного обмена, специфичные для плода и новорожденного', 'P70', 15300, 'P70-P74', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15302, 'Синдром новорожденного от матери с гестационным диабетом', 'P70.0', 15301, 'P70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15303, 'Синдром новорожденного от матери, страдающей диабетом', 'P70.1', 15301, 'P70', 0, 'Сахарный диабет (развившийся до беременности) у матери, поражающий плод или новорожденного (с гипогликемией)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15304, 'Сахарный диабет новорожденных', 'P70.2', 15301, 'P70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15305, 'Ятрогенная неонатальная гипогликемия', 'P70.3', 15301, 'P70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15306, 'Другие неонатальные гипогликемии', 'P70.4', 15301, 'P70', 0, 'Преходящая неонатальная гипогликемия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15307, 'Другие преходящие нарушения углеводного обмена у плода и новорожденного', 'P70.8', 15301, 'P70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15308, 'Преходящее нарушение углеводного обмена у плода и новорожденного неуточненное', 'P70.9', 15301, 'P70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15309, 'Преходящие неонатальные нарушения обмена кальция и магния', 'P71', 15300, 'P70-P74', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15310, 'Гипокальциемия новорожденного от коровьего молока', 'P71.0', 15309, 'P71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15311, 'Другие формы неонатальной гипокальциемии', 'P71.1', 15309, 'P71', 0, 'Исключен: неонатальный гипопаратиреоз (P71.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15312, 'Неонатальная гипомагниемия', 'P71.2', 15309, 'P71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15313, 'Неонатальная тетания без дефицита кальция и магния', 'P71.3', 15309, 'P71', 0, 'Неонатальная тетания БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15314, 'Преходящий неонатальный гипопаратиреоз', 'P71.4', 15309, 'P71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15315, 'Другие преходящие неонатальные нарушения обмена кальция и магния', 'P71.8', 15309, 'P71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15316, 'Преходящее неонатальное нарушение обмена кальция и магния неуточненное', 'P71.9', 15309, 'P71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15317, 'Другие преходящие неонатальные эндокринные нарушения', 'P72', 15300, 'P70-P74', 5, 'Исключены: врожденный гипотиреоз с зобом или без него (E03.0-E03.1) дисгормональный зоб (E07.1) синдром Пендреда (E07.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15318, 'Неонатальный зоб, не классифицированный в других рубриках', 'P72.0', 15317, 'P72', 0, 'Преходящий врожденный зоб с нормальной функцией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15319, 'Преходящий неонатальный гипертиреоз', 'P72.1', 15317, 'P72', 0, 'Неонатальный тиреотоксикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15320, 'Другие преходящие неонатальные нарушения функции щитовидной железы, не классифицированные в других рубриках', 'P72.2', 15317, 'P72', 0, 'Преходящий неонатальный гипотиреоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15321, 'Другие уточненные преходящие неонатальные эндокринные нарушения', 'P72.8', 15317, 'P72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15322, 'Преходящее неонатальное эндокринное нарушение неуточненное', 'P72.9', 15317, 'P72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15323, 'Другие преходящие неонатальные нарушения водно-солевого обмена веществ', 'P74', 15300, 'P70-P74', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15324, 'Поздний метаболический ацидоз у новорожденного', 'P74.0', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15325, 'Дегидратация у новорожденного', 'P74.1', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15326, 'Дисбаланс натрия у новорожденного', 'P74.2', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15327, 'Дисбаланс калия у новорожденного', 'P74.3', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15328, 'Другие преходящие нарушения водно-солевого обмена у новорожденного', 'P74.4', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15329, 'Преходящая тирозинемия у новорожденного', 'P74.5', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15330, 'Другие преходящие нарушения обмена веществ у новорожденного', 'P74.8', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15331, 'Преходящее нарушение обмена веществ у новорожденного неуточненное', 'P74.9', 15323, 'P74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15333, 'РАССТРОЙСТВА СИСТЕМЫ ПИЩЕВАРЕНИЯ У ПЛОДА И НОВОРОЖДЕННОГО', 'P75-P78', 15001, 'P00-P96', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15334, 'Мекониевый илеус (E84.1+)', 'P75*', 15333, 'P75-P78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15335, 'Другие виды непроходимости кишечника у новорожденного', 'P76', 15333, 'P75-P78', 5, 'Исключена: непроходимость кишечника, классифицированная в рубрике K56.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15336, 'Синдром мекониевой пробки', 'P76.0', 15335, 'P76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15337, 'Преходящий илеус у новорожденного', 'P76.1', 15335, 'P76', 0, 'Исключена: болезнь Гиршпрунга (Q43.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15338, 'Кишечная непроходимость вследствие сгущения молока', 'P76.2', 15335, 'P76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15339, 'Другая уточненная непроходимость кишечника у новорожденного', 'P76.8', 15335, 'P76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15340, 'Непроходимость кишечника у новорожденного неуточненная', 'P76.9', 15335, 'P76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15341, 'Некротизирующий энтероколит у плода и новорожденного', 'P77', 15333, 'P75-P78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15342, 'Другие расстройства системы пищеварения в перинатальном периоде', 'P78', 15333, 'P75-P78', 6, 'Исключено: неонатальное желудочно-кишечное кровотечение (P54.0-P54.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15343, 'Перфорация кишечника в перинатальном периоде', 'P78.0', 15342, 'P78', 0, 'Мекониевый перитонит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15344, 'Другие формы неонатального перитонита', 'P78.1', 15342, 'P78', 0, 'Неонатальный перитонит БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15345, 'Гематемезис и мелена вследствие заглатывания материнской крови', 'P78.2', 15342, 'P78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15346, 'Неинфекционная диарея у новорожденного', 'P78.3', 15342, 'P78', 0, 'Диарея у новорожденного БДУ Исключена: неонатальная диарея БДУ в странах, где можно предположить инфекционное происхождение этого состояния (A09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15347, 'Другие уточненные расстройства системы пищеварения в перинатальном периоде', 'P78.8', 15342, 'P78', 0, 'Врожденный цирроз (печени) Пептическая язва у новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15348, 'Расстройство системы пищеварения в перинатальном периоде неуточненное', 'P78.9', 15342, 'P78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15350, 'СОСТОЯНИЯ, ВОВЛЕКАЮЩИЕ НАРУЖНЫЕ ПОКРОВЫ И ТЕРМОРЕГУЛЯЦИЮ У ПЛОДА И НОВОРОЖДЕННОГО', 'P80-P83', 15001, 'P00-P96', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15351, 'Гипотермия новорожденного', 'P80', 15350, 'P80-P83', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15352, 'Синдром холодовой травмы', 'P80.0', 15351, 'P80', 0, 'Тяжелая и обычно хроническая гипотермия, с которой связаны покраснение, отеки, неврологические и биохимические нарушения. Исключена: легкая гипотермия у новорожденного (P80.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15353, 'Другая гипотермия новорожденного', 'P80.8', 15351, 'P80', 0, 'Легкая гипотермия новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15354, 'Гипотермия новорожденного неуточненная', 'P80.9', 15351, 'P80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15355, 'Другие нарушения терморегуляции у новорожденного', 'P81', 15350, 'P80-P83', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15356, 'Гипотермия новорожденного, вызванная факторами внешней среды', 'P81.0', 15355, 'P81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15357, 'Другие уточненные нарушения терморегуляции у новорожденного', 'P81.8', 15355, 'P81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15358, 'Нарушение терморегуляции у новорожденного неуточненное', 'P81.9', 15355, 'P81', 0, 'Лихорадка у новорожденного БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15359, 'Другие изменения наружных покровов, специфичные для плода и новорожденного', 'P83', 15350, 'P80-P83', 9, 'Исключены: врожденные аномалии кожи и других наружных покровов (Q80-Q84) себорея головы [чепчик] у младенца (L21.0) пеленочный дерматит (L22) водянка плода вследствие гемолитической болезни (P56.-) кожные инфекции новорожденного (P39.4) синдром стафилококкового поражения кожи в виде ожогоподобных пузырей (L00)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15360, 'Склерема новорожденного', 'P83.0', 15359, 'P83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15361, 'Неонатальная токсическая эритема', 'P83.1', 15359, 'P83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15362, 'Водянка плода, не связанная с гемолитической болезнью', 'P83.2', 15359, 'P83', 0, 'Водянка плода БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15363, 'Другие и неуточненные отеки, специфичные для плода и новорожденного', 'P83.3', 15359, 'P83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15364, 'Набухание молочных желез у новорожденного', 'P83.4', 15359, 'P83', 0, 'Неинфекционный мастит новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15365, 'Врожденное гидроцеле', 'P83.5', 15359, 'P83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15366, 'Полип культи пуповины', 'P83.6', 15359, 'P83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15367, 'Другие уточненные изменения наружных покровов, специфичные для плода и новорожденного', 'P83.8', 15359, 'P83', 0, 'Синдром "бронзовой кожи" Склеродерма новорожденного Крапивница новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15368, 'Изменение наружных покровов, специфичное для плода и новорожденного, неуточненное', 'P83.9', 15359, 'P83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15370, 'ДРУГИЕ НАРУШЕНИЯ, ВОЗНИКАЮЩИЕ В ПЕРИНАТАЛЬНОМ ПЕРИОДЕ', 'P90-P96', 15001, 'P00-P96', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15371, 'Судороги новорожденного', 'P90', 15370, 'P90-P96', 0, 'Исключены: легкие судороги новорожденного (семейные) (G40.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15372, 'Другие нарушения церебрального статуса у новорожденного', 'P91', 15370, 'P90-P96', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15373, 'Ишемия мозга', 'P91.0', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15374, 'Перивентрикулярные кисты (приобретенные) у новорожденного', 'P91.1', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15375, 'Церебральная лейкомаляция у новорожденного', 'P91.2', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15376, 'Церебральная возбудимость новорожденного', 'P91.3', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15377, 'Церебральная депрессия у новорожденного', 'P91.4', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15378, 'Неонатальная кома', 'P91.5', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15379, 'Другие уточненные нарушения со стороны мозга у новорожденного', 'P91.8', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15380, 'Нарушение со стороны мозга у новорожденного, неуточненное', 'P91.9', 15372, 'P91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15381, 'Проблемы вскармливания новорожденного', 'P92', 15370, 'P90-P96', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15382, 'Рвота новорожденного', 'P92.0', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15383, 'Срыгивание и руминация новорожденного', 'P92.1', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15384, 'Вялое сосание новорожденного', 'P92.2', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15385, 'Недокармливание новорожденного', 'P92.3', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15386, 'Перекармливание новорожденного', 'P92.4', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15387, 'Трудности грудного вскармливания новорожденного', 'P92.5', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15388, 'Другие проблемы вскармливания новорожденного', 'P92.8', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15389, 'Проблема вскармливания новорожденного неуточненная', 'P92.9', 15381, 'P92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15390, 'Реакции и интоксикации, вызванные лекарственными средствами, введенными плоду и новорожденному', 'P93', 15370, 'P90-P96', 0, '"Серый" синдром у новорожденного вследствие применения хлорамфеникола Исключены: желтуха, вызванная лекарственными средствами или токсинами, поступившими из организма матери (P58.4) реакции и интоксикации, вызванные применением матерью опиатов, транквилизаторов и других лекарственных средств (P04.0-P04.1, P04.4) симптомы лекарственной абстиненции, обусловленные: . наркоманией матери (P96.1) . введением лекарственных средств новорожденному (P96.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15391, 'Нарушения мышечного тонуса у новорожденного', 'P94', 15370, 'P90-P96', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15392, 'Преходящая тяжелая миастения новорожденного', 'P94.0', 15391, 'P94', 0, 'Исключена: тяжелая миастения (G70.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15393, 'Врожденный гипертонус', 'P94.1', 15391, 'P94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15394, 'Врожденный гипотонус', 'P94.2', 15391, 'P94', 0, 'Синдром неспецифической вялости ребенка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15395, 'Другие нарушения мышечного тонуса новорожденного', 'P94.8', 15391, 'P94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15396, 'Нарушение мышечного тонуса новорожденного неуточненное', 'P94.9', 15391, 'P94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15397, 'Смерть плода по неуточненной причине', 'P95', 15370, 'P90-P96', 0, 'Мертвый плод БДУ Мертворожденный БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15398, 'Другие нарушения, возникающие в перинатальном периоде', 'P96', 15370, 'P90-P96', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15399, 'Врожденная почечная недостаточность', 'P96.0', 15398, 'P96', 0, 'Уремия у новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15400, 'Симптомы лекарственной абстиненции у новорожденного, обусловленные наркоманией матери', 'P96.1', 15398, 'P96', 0, 'Синдром абстиненции у младенца, обусловленный наркоманией матери Исключены: лекарственные реакции и интоксикации, обусловленные введением матери опиатов и транквилизаторов (P04.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15401, 'Симптомы абстиненции после введения лекарственных средств новорожденному', 'P96.2', 15398, 'P96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15402, 'Широкие черепные швы', 'P96.3', 15398, 'P96', 0, 'Краниотабес новорожденного');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15403, 'Прерывание беременности, влияние на плод и новорожденного', 'P96.4', 15398, 'P96', 0, 'Исключено: прерывание беременности (влияние на мать)(O04.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15404, 'Осложнения, вызванные внутриутробными вмешательствами, не классифицированные в других рубриках', 'P96.5', 15398, 'P96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15405, 'Другие уточненные нарушения, возникающие в перинатальном периоде', 'P96.8', 15398, 'P96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(15406, 'Нарушение, возникшее в перинатальном периоде, неуточненное', 'P96.9', 15398, 'P96', 0, 'Врожденная слабость БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16001, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ], ДЕФОРМАЦИИ И ХРОМОСОМНЫЕ НАРУШЕНИЯ', 'Q00-Q99', NULL, NULL, 11, 'Исключены: врожденные нарушения обмена веществ (E70-E90)\nЭтот класс содержит следующие блоки:\nQ00-Q07 Врожденные аномалии развития нервной системы\nQ10-Q18 Врожденные аномалии глаза, уха, лица и шеи\nQ20-Q28 Врожденные аномалии системы кровообращения\nQ30-Q34 Врожденные аномалии органов дыхания\nQ35-Q37 Расщелина губы и неба [заячья губа и волчья пасть]\nQ38-Q45 Другие врожденные аномалии органов пищеварения\nQ50-Q56 Врожденные аномалии половых органов\nQ60-Q64 Врожденные аномалии мочевыделительной системы\nQ65-Q79 Врожденные аномалии и деформации костно-мышечной системы\nQ80-Q89 Другие врожденные аномалии\nQ90-Q99 Хромосомные нарушения, не классифицированные в других рубриках');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16002, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] НЕРВНОЙ СИСТЕМЫ', 'Q00-Q07', 16001, 'Q00-Q99', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16003, 'Анэнцефалия и подобные пороки развития', 'Q00', 16002, 'Q00-Q07', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16004, 'Анэнцефалия', 'Q00.0', 16003, 'Q00', 0, 'Ацефалия Акрания Амиелэнцефалия Гемианэнцефалия Гемицефалия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16005, 'Краниорахишизис', 'Q00.1', 16003, 'Q00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16006, 'Инэнцефалия', 'Q00.2', 16003, 'Q00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16007, 'Энцефалоцеле', 'Q01', 16002, 'Q00-Q07', 5, 'Включены: энцефаломиелоцеле гидроэнцефалоцеле гидроменингоцеле черепное менингоцеле церебральное менингоэнцефалоцеле Исключен: синдром Меккеля-Грубера (Q61.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16008, 'Лобное энцефалоцеле', 'Q01.0', 16007, 'Q01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16009, 'Носолобное энцефалоцеле', 'Q01.1', 16007, 'Q01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16010, 'Затылочное энцефалоцеле', 'Q01.2', 16007, 'Q01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16011, 'Энцефалоцеле других областей', 'Q01.8', 16007, 'Q01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16012, 'Энцефалоцеле неуточненное', 'Q01.9', 16007, 'Q01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16013, 'Микроцефалия', 'Q02', 16002, 'Q00-Q07', 0, 'Гидромикроцефалия Микроэнцефалон Исключен: синдром Меккеля-Грубера (Q61.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16014, 'Врожденная гидроцефалия', 'Q03', 16002, 'Q00-Q07', 4, 'Включена: гидроцефалия новорожденного Исключены: синдром Арнольда-Киари (Q07.0) гидроцефалия: . приобретенная (G91.-) . вызванная врожденным токсоплазмозом (P37.1) . в сочетании со spina bifida (Q05.0-Q05.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16015, 'Врожденный порок сильвиева водопровода', 'Q03.0', 16014, 'Q03', 0, 'Сильвиева водопровода: . аномалия . непроходимость врожденная . стеноз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16016, 'Атрезия отверстий Мажанди и Лушки', 'Q03.1', 16014, 'Q03', 0, 'Синдром Денди-Уокера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16017, 'Другая врожденная гидроцефалия', 'Q03.8', 16014, 'Q03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16018, 'Врожденная гидроцефалия неуточненная', 'Q03.9', 16014, 'Q03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16019, 'Другие врожденные аномалии [пороки развития] мозга', 'Q04', 16002, 'Q00-Q07', 9, 'Исключены: циклопия (Q87.0) макроцефалия (Q75.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16020, 'Врожденная аномалия мозолистого тела', 'Q04.0', 16019, 'Q04', 0, 'Агенезия мозолистого тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16021, 'Аринэнцефалия', 'Q04.1', 16019, 'Q04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16022, 'Голопрозэнцефалия', 'Q04.2', 16019, 'Q04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16023, 'Другие редукционные деформации мозга', 'Q04.3', 16019, 'Q04', 0, 'Отсутствие } Агенезия } Аплазия } части мозга Гипоплазия } Агирия Гидранэнцефалия Лизэнцефалия Микрогирия Пахигия Исключена: врожденная аномалия мозолистого тела (Q04.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16024, 'Септооптическая дисплазия', 'Q04.4', 16019, 'Q04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16025, 'Мегалэнцефалия', 'Q04.5', 16019, 'Q04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16026, 'Врожденные церебральные кисты', 'Q04.6', 16019, 'Q04', 0, 'Порэнцефалия Шизэнцефалия Исключена: приобретенная порэнцефалическая киста (G93.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16027, 'Другие уточненные врожденные аномалии мозга', 'Q04.8', 16019, 'Q04', 0, 'Макрогирия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16028, 'Врожденная аномалия мозга неуточненная', 'Q04.9', 16019, 'Q04', 0, 'Врожденная(ое)(ые): . аномалия } . деформация } . болезнь или поражение } головного мозга БДУ . множественные аномалии }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16029, 'Spina bifida [неполное закрытие позвоночного канала]', 'Q05', 16002, 'Q00-Q07', 10, 'Включены: гидроменингоцеле (спинальное) менингоцеле (спинальное) менингомиелоцеле миелоцеле миеломенингоцеле рахишизис spina bifida (aperta) (cystica) сирингомиелоцеле Исключены: синдром Арнольда-Киари (Q07.0) Spina bifida occulta (Q76.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16030, 'Spina bifida в шейном отделе с гидроцефалией', 'Q05.0', 16029, 'Q05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16031, 'Spina bifida в грудном отделе с гидроцефалией', 'Q05.1', 16029, 'Q05', 0, 'Spina bifida: . дорсальная } . тораколюмбальная } с гидроцефалией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16032, 'Spina  bifida в поясничном отделе с гидроцефалией', 'Q05.2', 16029, 'Q05', 0, 'Люмбосакральная spina bifida с гидроцефалией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16033, 'Spina bifida в сакральном отделе с гидроцефалией', 'Q05.3', 16029, 'Q05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16034, 'Spina bifida с гидроцефалией неуточненная', 'Q05.4', 16029, 'Q05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16035, 'Spina bifida в шейном отделе без гидроцефалии', 'Q05.5', 16029, 'Q05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16036, 'Spina bifida в грудном отделе без гидроцефалии', 'Q05.6', 16029, 'Q05', 0, 'Spina bifida: . дорсальная БДУ . тораколюмбальная БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16037, 'Spina bifida в поясничном отделе без гидроцефалии', 'Q05.7', 16029, 'Q05', 0, 'Люмбосакральная spina bifida БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16038, 'Spina bifida в крестцовом отделе БДУ', 'Q05.8', 16029, 'Q05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16039, 'Spina bifida неуточненная', 'Q05.9', 16029, 'Q05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16040, 'Другие врожденные аномалии [пороки развититя] спинного мозга', 'Q06', 16002, 'Q00-Q07', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16041, 'Амиелия', 'Q06.0', 16040, 'Q06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16042, 'Гипоплазия и дисплазия спинного мозга', 'Q06.1', 16040, 'Q06', 0, 'Ателомиелия Миелателия Миелодисплазия спинного мозга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16043, 'Диастематомиелия', 'Q06.2', 16040, 'Q06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16044, 'Другие пороки развития конского хвоста', 'Q06.3', 16040, 'Q06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16045, 'Гидромиелия', 'Q06.4', 16040, 'Q06', 0, 'Гидрорахис');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16046, 'Другие уточненные пороки развития спинного мозга', 'Q06.8', 16040, 'Q06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16047, 'Врожденный порок развития спинного мозга неуточненный', 'Q06.9', 16040, 'Q06', 0, 'Врожденная(ое): . аномалия } . деформация } спинного мозга или оболочек . болезнь или поражение } БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16048, 'Другие врожденные аномалии [пороки развития] нервной системы', 'Q07', 16002, 'Q00-Q07', 3, 'Исключены: семейная дизавтономия [Райли-Дея] (G90.1) нейрофиброматоз (незлокачественный) (Q85.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16049, 'Синдром Арнольда-Киари', 'Q07.0', 16048, 'Q07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16050, 'Другие уточненные пороки развития нервной системы', 'Q07.8', 16048, 'Q07', 0, 'Агенезия нерва Смещение плечевого сплетения Синдром дрожащей челюсти Синдром Маркуса Гунна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16051, 'Порок развития нервной системы неуточненный', 'Q07.9', 16048, 'Q07', 0, 'Врожденная(ое): . аномалия } . деформация } нервной системы БДУ . болезнь или поражение }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16053, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] ГЛАЗА, УХА, ЛИЦА И ШЕИ', 'Q10-Q18', 16001, 'Q00-Q99', 9, 'Исключены: расщелина губы и неба (Q35-Q37) врожденная аномалия: . шейного отдела спинного мозга (Q05.0, Q05.5, Q67.5, Q76.0-Q76.4) . гортани (Q31.-) . губы НКД (Q38.0) . носа (Q30.-) . паращитовидной железы (Q89.2) . щитовидной железы (Q89.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16054, 'Врожденные аномалии [пороки развития] века, слезного аппарата и глазницы', 'Q10', 16053, 'Q10-Q18', 8, 'Исключены: криптофтальм(а): . БДУ (Q11.2) . синдром (Q87.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16055, 'Врожденный птоз', 'Q10.0', 16054, 'Q10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16056, 'Врожденный эктропион', 'Q10.1', 16054, 'Q10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16057, 'Врожденный энтропион', 'Q10.2', 16054, 'Q10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16058, 'Другие пороки развития века', 'Q10.3', 16054, 'Q10', 0, 'Аблефария Отсутствие или агенезия: . ресниц . века Добавочное(ая): . веко . глазная мышца Блефарофимоз врожденный Колобома века Врожденная аномалия века БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16059, 'Отсутствие или агенезия слезного аппарата', 'Q10.4', 16054, 'Q10', 0, 'Отсутствие слезной точки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16060, 'Врожденные стеноз и стриктура слезного протока', 'Q10.5', 16054, 'Q10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16061, 'Другие пороки развития слезного аппарата', 'Q10.6', 16054, 'Q10', 0, 'Врожденная аномалия развития слезного аппарата БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16062, 'Порок развития глазницы', 'Q10.7', 16054, 'Q10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16063, 'Анофтальм, микрофтальм и макрофтальм', 'Q11', 16053, 'Q10-Q18', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16064, 'Киста глазного яблока', 'Q11.0', 16063, 'Q11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16065, 'Другой вид анофтальма', 'Q11.1', 16063, 'Q11', 0, 'Агенезия } Аплазия } глаза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16066, 'Микрофтальм', 'Q11.2', 16063, 'Q11', 0, 'Криптофтальм БДУ Дисплазия глаза Гипоплазия глаза Рудиментарный глаз Исключен: синдром криптофтальма (Q87.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16067, 'Макрофтальм', 'Q11.3', 16063, 'Q11', 0, 'Исключен: макрофтальм при врожденной глаукоме (Q15.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16068, 'Врожденные аномалии [пороки развития] хрусталика', 'Q12', 16053, 'Q10-Q18', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16069, 'Врожденная катаракта', 'Q12.0', 16068, 'Q12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16070, 'Врожденное смещение хрусталика', 'Q12.1', 16068, 'Q12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16071, 'Колобома хрусталика', 'Q12.2', 16068, 'Q12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16072, 'Врожденная афакия', 'Q12.3', 16068, 'Q12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16073, 'Сферофакия', 'Q12.4', 16068, 'Q12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16074, 'Другие врожденные пороки хрусталика', 'Q12.8', 16068, 'Q12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16075, 'Врожденный порок хрусталика неуточненный', 'Q12.9', 16068, 'Q12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16076, 'Врожденные аномалии [пороки развития] переднего сегмента глаза', 'Q13', 16053, 'Q10-Q18', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16077, 'Колобома радужки', 'Q13.0', 16076, 'Q13', 0, 'Колобома БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16078, 'Отсутствие радужки', 'Q13.1', 16076, 'Q13', 0, 'Аниридия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16079, 'Другие пороки развития радужки', 'Q13.2', 16076, 'Q13', 0, 'Анизокория врожденная Атрезия зрачка Врожденная аномалия радужки БДУ Коректопия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16080, 'Врожденное помутнение роговицы', 'Q13.3', 16076, 'Q13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16081, 'Другие пороки развития роговицы', 'Q13.4', 16076, 'Q13', 0, 'Врожденная аномалия роговицы БДУ Микрокорнеа Аномалия Петера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16082, 'Голубая склера', 'Q13.5', 16076, 'Q13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16083, 'Другие врожденные аномалии переднего сегмента глаза', 'Q13.8', 16076, 'Q13', 0, 'Аномалия Ригера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16084, 'Врожденная аномалия переднего сегмента глаза неуточненная', 'Q13.9', 16076, 'Q13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16085, 'Врожденные аномалии [пороки развития] заднего сегмента глаза', 'Q14', 16053, 'Q10-Q18', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16086, 'Врожденная аномалия стекловидного тела', 'Q14.0', 16085, 'Q14', 0, 'Врожденное помутнение стекловидного тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16087, 'Врожденная аномалия сетчатки', 'Q14.1', 16085, 'Q14', 0, 'Врожденная аневризма сетчатки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16088, 'Врожденная аномалия диска зрительного нерва', 'Q14.2', 16085, 'Q14', 0, 'Колобома диска зрительного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16089, 'Врожденная аномалия сосудистой оболочки глаза', 'Q14.3', 16085, 'Q14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16090, 'Другие врожденные аномалии заднего сегмента глаза', 'Q14.8', 16085, 'Q14', 0, 'Колобома глазного дна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16091, 'Врожденная аномалия заднего сегмента глаза неуточненная', 'Q14.9', 16085, 'Q14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16092, 'Другие врожденные аномалии [пороки развития] глаза', 'Q15', 16053, 'Q10-Q18', 3, 'Исключены: врожденный нистагм (H55) глазной альбинизм (E70.3) пигментный ретинит (H35.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16093, 'Врожденная глаукома', 'Q15.0', 16092, 'Q15', 0, 'Буфтальм Глаукома новорожденного Гидрофтальм Врожденный кератоглобус Макрофтальм при врожденной глаукоме Мегалокорнеа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16094, 'Другие уточненные пороки развития глаза', 'Q15.8', 16092, 'Q15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16095, 'Врожденный порок глаза неуточненный', 'Q15.9', 16092, 'Q15', 0, 'аномалия } деформация } глаза БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16096, 'Врожденные аномалии [пороки развития] уха, вызывающие нарушение слуха', 'Q16', 16053, 'Q10-Q18', 7, 'Исключена: врожденная глухота (H90.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16097, 'Врожденное отсутствие ушной раковины', 'Q16.0', 16096, 'Q16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16098, 'Врожденное отсутствие, атрезия и стриктура слухового прохода (наружного)', 'Q16.1', 16096, 'Q16', 0, 'Артезия или стриктура костной части канала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16099, 'Отсутствие евстахиевой трубы', 'Q16.2', 16096, 'Q16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16100, 'Врожденная аномалия слуховых косточек', 'Q16.3', 16096, 'Q16', 0, 'Сращение слуховых косточек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16101, 'Другие врожденные аномалии среднего уха', 'Q16.4', 16096, 'Q16', 0, 'Врожденная аномалия среднего уха БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16102, 'Врожденная аномалия внутреннего уха', 'Q16.5', 16096, 'Q16', 0, 'Порок развития: . перепончатого лабиринта . кортиева органа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16103, 'Врожденная аномалия уха, вызывающая нарушение слуха неуточненная', 'Q16.9', 16096, 'Q16', 0, 'Врожденное отсутствие уха БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16104, 'Другие врожденные аномалии [пороки развития] уха', 'Q17', 16053, 'Q10-Q18', 8, 'Исключена: преаурикулярная пазуха (Q18.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16105, 'Добавочная ушная раковина', 'Q17.0', 16104, 'Q17', 0, 'Добавочный козелок Полиотия Преаурикулярный отросток или полип Добавочное(ая): . ухо . мочка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16106, 'Макротия', 'Q17.1', 16104, 'Q17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16107, 'Микротия', 'Q17.2', 16104, 'Q17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16108, 'Другая аномалия уха', 'Q17.3', 16104, 'Q17', 0, 'Остроконечное ухо');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16109, 'Аномально расположенное ухо', 'Q17.4', 16104, 'Q17', 0, 'Низко расположенные уши Исключена: шейная раковина (Q18.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16110, 'Выступающее ухо', 'Q17.5', 16104, 'Q17', 0, 'Лопоухость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16111, 'Другие уточненные пороки развития уха', 'Q17.8', 16104, 'Q17', 0, 'Врожденное отсутствие мочки уха');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16112, 'Порок развития уха неуточненный', 'Q17.9', 16104, 'Q17', 0, 'Врожденная аномалия уха БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16113, 'Другие врожденные аномалии [пороки развития] лица и шеи', 'Q18', 16053, 'Q10-Q18', 10, 'Исключены: расщелина губы и неба (Q35-Q37) состояния, классифицированные в рубриках Q67.0-Q67.4 врожденные аномалии скуловых и лицевых костей (Q75.-) циклопия (Q87.0) зуболицевые аномалии (включая аномалии прикуса) (K07.-) врожденные синдромы поражения лица (Q87.0) сохранившийся щитовидно-язычный проток (Q89.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16114, 'Пазуха, фистула и киста жаберной щели', 'Q18.0', 16113, 'Q18', 0, 'Жаберный рудимент');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16115, 'Преаурикулярная пазуха и киста', 'Q18.1', 16113, 'Q18', 0, 'Фистула: . ушной раковины врожденная . шейно-ушная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16116, 'Другие пороки развития жаберной щели', 'Q18.2', 16113, 'Q18', 0, 'Аномалия развития жаберной щели БДУ Шейная раковина Отоцефалия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16117, 'Крыловидная шея', 'Q18.3', 16113, 'Q18', 0, 'Pterygium colli');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16118, 'Макростомия', 'Q18.4', 16113, 'Q18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16119, 'Микростомия', 'Q18.5', 16113, 'Q18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16120, 'Макрохейлия', 'Q18.6', 16113, 'Q18', 0, 'Гипертрофия губы врожденная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16121, 'Микрохейлия', 'Q18.7', 16113, 'Q18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16122, 'Другие уточненные пороки развития лица и шеи', 'Q18.8', 16113, 'Q18', 0, 'Медиальная: . киста } . фистула } лица и шеи . пазуха }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16123, 'Порок развития лица и шеи неуточненный', 'Q18.9', 16113, 'Q18', 0, 'Врожденная аномалия лица и шеи БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16125, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] СИСТЕМЫ КРОВООБРАЩЕНИЯ', 'Q20-Q28', 16001, 'Q00-Q99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16126, 'Врожденные аномалии [пороки развития] сердечных камер и соединений', 'Q20', 16125, 'Q20-Q28', 9, 'Исключены: декстрокардия с локализационной инверсией (Q89.3) зеркально отраженное расположение предсердий с локализационной инверсией (Q89.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16127, 'Общий артериальный ствол', 'Q20.0', 16126, 'Q20', 0, 'Незаращенный артериальный ствол');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16128, 'Удвоение выходного отверстия правого желудочка', 'Q20.1', 16126, 'Q20', 0, 'Синдром Тауссига-Бинга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16129, 'Удвоение выходного отверстия левого желудочка', 'Q20.2', 16126, 'Q20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16130, 'Дискордантное желудочково-артериальное соединение', 'Q20.3', 16126, 'Q20', 0, 'Декстротранспозиция аорты Транспозиция крупных сосудов (полная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16131, 'Удвоение входного отверстия желудочка', 'Q20.4', 16126, 'Q20', 0, 'Общий желудочек Трехкамерное двухпредсердное сердце Единственный желудочек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16132, 'Дискордантное предсердно-желудочковое соединение', 'Q20.5', 16126, 'Q20', 0, 'Корригированная транспозиция Левотранспозиция Желудочковая инверсия');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16133, 'Изомерия ушка предсердия', 'Q20.6', 16126, 'Q20', 0, 'Изомерия ушка предсердия с аспленией или полиспленией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16134, 'Другие врожденные аномалии сердечных камер и соединений', 'Q20.8', 16126, 'Q20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16135, 'Врожденная аномалия сердечных камер и соединений неуточненная', 'Q20.9', 16126, 'Q20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16136, 'Врожденные аномалии [пороки развития] сердечной перегородки', 'Q21', 16125, 'Q20-Q28', 7, 'Исключен: приобретенный дефект сердечной перегородки (I51.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16137, 'Дефект межжелудочковой перегородки', 'Q21.0', 16136, 'Q21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16138, 'Дефект предсердной перегородки', 'Q21.1', 16136, 'Q21', 0, 'Дефект коронарного синуса Незаращенное или сохранившееся: . овальное отверстие . вторичное отверстие (тип II) Дефект венозного синуса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16139, 'Дефект предсердно-желудочковой перегородки', 'Q21.2', 16136, 'Q21', 0, 'Общий атриовентрикулярный канал Дефект эндокарда в области основания сердца Дефект первичного отверстия предсердной перегородки (тип II)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16140, 'Тетрада Фалло', 'Q21.3', 16136, 'Q21', 0, 'Дефект межжелудочковой перегородки со стенозом или артезией легочной артерии, декстропозицией аорты и гипертрофией правого желудочка.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16141, 'Дефект перегородки между аортой и легочной артерией', 'Q21.4', 16136, 'Q21', 0, 'Дефект аортальной перегородки Аорто-легочно-артериальное окно');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16142, 'Другие врожденные аномалии сердечной перегородки', 'Q21.8', 16136, 'Q21', 0, 'Синдром Эйзенменгера Пентада Фалло');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16143, 'Врожденная аномалия сердечной перегородки неуточненная', 'Q21.9', 16136, 'Q21', 0, 'Дефект перегородки (сердца) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16144, 'Врожденные аномалии [пороки развития] легочного и трехстворчатого клапанов', 'Q22', 16125, 'Q20-Q28', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16145, 'Атрезия клапана легочной артерии', 'Q22.0', 16144, 'Q22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16146, 'Врожденный стеноз клапана легочной артерии', 'Q22.1', 16144, 'Q22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16147, 'Врожденная недостаточность клапана легочной артерии', 'Q22.2', 16144, 'Q22', 0, 'Врожденная регургитация клапана легочной атрерии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16148, 'Другие врожденные пороки клапана легочной артерии', 'Q22.3', 16144, 'Q22', 0, 'Врожденная аномалия клапана легочной артерии БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16149, 'Врожденный стеноз трехстворчатого клапана', 'Q22.4', 16144, 'Q22', 0, 'Атрезия трехстворчатого клапана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16150, 'Аномалия Эбштейна', 'Q22.5', 16144, 'Q22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16151, 'Синдром правосторонней гипоплазии сердца', 'Q22.6', 16144, 'Q22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16152, 'Другие врожденные аномалии трехстворчатого клапана', 'Q22.8', 16144, 'Q22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16153, 'Врожденная аномалия трехстворчатого клапана неуточненная', 'Q22.9', 16144, 'Q22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16154, 'Врожденные аномалии [пороки развития] аортального и митрального клапанов', 'Q23', 16125, 'Q20-Q28', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16155, 'Врожденный стеноз аортального клапана', 'Q23.0', 16154, 'Q23', 0, 'Аортального клапана врожденная(ый): . атрезия . стеноз Исключены: врожденный субаортальный стеноз (Q24.4) стеноз при синдроме левосторонней гипоплазии сердца (Q23.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16156, 'Врожденная недостаточность аортального клапана', 'Q23.1', 16154, 'Q23', 0, 'Двустворчатый аортальный клапан Врожденная аортальная недостаточность');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16157, 'Врожденный митральный стеноз', 'Q23.2', 16154, 'Q23', 0, 'Врожденная митральная атрезия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16158, 'Врожденная митральная недостаточность', 'Q23.3', 16154, 'Q23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16159, 'Синдром левосторонней гипоплазии сердца', 'Q23.4', 16154, 'Q23', 0, 'Атрезия или выраженная гипоплазия устья или клапана аорты с гипоплазией восходящей части аорты и дефектом развития левого желудочка (со стенозом или атрезией митрального клапана).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16160, 'Другие врожденные аномалии аортального и митрального клапанов', 'Q23.8', 16154, 'Q23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16161, 'Врожденная аномалия аортального и митрального клапанов неуточненная', 'Q23.9', 16154, 'Q23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16162, 'Другие врожденные аномалии [пороки развития] сердца', 'Q24', 16125, 'Q20-Q28', 9, 'Исключен: эндокардиальный фиброэластоз (I42.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16163, 'Декстрокардия', 'Q24.0', 16162, 'Q24', 0, 'Исключены: декстрокардия с локализационной инверсией (Q89.3) изомерия ушка предсердия (с аспленией или полиспленией) (Q20.6) зеркально отраженное расположение предсердий с локализационной инверсией (Q89.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16164, 'Левокардия', 'Q24.1', 16162, 'Q24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16165, 'Трехпредсердное сердце', 'Q24.2', 16162, 'Q24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16166, 'Воронкообразный стеноз клапана легочной артерии', 'Q24.3', 16162, 'Q24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16167, 'Врожденный субаортальный стеноз', 'Q24.4', 16162, 'Q24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16168, 'Аномалия развития коронарных сосудов', 'Q24.5', 16162, 'Q24', 0, 'Врожденная коронарная (артериальная) аневризма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16169, 'Врожденная сердечная блокада', 'Q24.6', 16162, 'Q24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16170, 'Другие уточненные врожденные аномалии сердца', 'Q24.8', 16162, 'Q24', 0, 'Врожденный: . дивертикул левого желудочка . порок: . миокарда . перикарда Неправильное положение сердца Болезнь Уля');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16171, 'Врожденный порок сердца неуточненный', 'Q24.9', 16162, 'Q24', 0, 'Врожденная: . аномалия } . болезнь } сердца БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16172, 'Врожденные аномалии [пороки развития] крупных артерий', 'Q25', 16125, 'Q20-Q28', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16173, 'Открытый артериальный проток', 'Q25.0', 16172, 'Q25', 0, 'Открытый боталлов проток Сохранившийся артериальный проток');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16174, 'Коарктация аорты', 'Q25.1', 16172, 'Q25', 0, 'Коарктация аорты (продуктальная) (постдуктальная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16175, 'Атрезия аорты', 'Q25.2', 16172, 'Q25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16176, 'Стеноз аорты', 'Q25.3', 16172, 'Q25', 0, 'Надклапанный аортальный стеноз Исключен: врожденный аортальный стеноз (Q23.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16177, 'Другие врожденные аномалии аорты', 'Q25.4', 16172, 'Q25', 0, 'Отсутствие } Аплазия } Врожденное(ая): } аорты . аневризма } . расширение } Аневризма синуса Вальсальвы (разорванная) Двойная дуга аорты [сосудистое кольцо аорты] Гипоплазия аорты Сохранение: . витков дуги аорты . правой дуги аорты Исключена: гипоплазия аорты при синдроме левосторонней гипоплазии сердца (Q23.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16178, 'Атрезия легочной артерии', 'Q25.5', 16172, 'Q25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16179, 'Стеноз легочной артерии', 'Q25.6', 16172, 'Q25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16180, 'Другие врожденные аномалии легочной артерии', 'Q25.7', 16172, 'Q25', 0, 'Аберрантная легочная артерия Агенезия } Аневризма } Аномалия } легочной артерии Гипоплазия } Легочная артериовенозная аневризма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16181, 'Другие врожденные аномалии крупных артерий', 'Q25.8', 16172, 'Q25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16182, 'Врожденная аномалия крупных артерий неуточненная', 'Q25.9', 16172, 'Q25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16183, 'Врожденные аномалии [пороки развития] крупных вен', 'Q26', 16125, 'Q20-Q28', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16184, 'Врожденный стеноз полой вены', 'Q26.0', 16183, 'Q26', 0, 'Врожденный стеноз полой вены (нижней) (верхней)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16185, 'Сохранение левой верхней полой вены', 'Q26.1', 16183, 'Q26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16186, 'Тотальная аномалия соединения легочных вен', 'Q26.2', 16183, 'Q26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16187, 'Частичная аномалия соединения легочных вен', 'Q26.3', 16183, 'Q26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16188, 'Аномалия соединения легочных вен неуточненная', 'Q26.4', 16183, 'Q26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16189, 'Аномалия соединения портальной вены', 'Q26.5', 16183, 'Q26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16190, 'Портальная венозно-печеночно-артериальная фистула', 'Q26.6', 16183, 'Q26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16191, 'Другие врожденные аномалии крупных вен', 'Q26.8', 16183, 'Q26', 0, 'Отсутствие полой вены (нижней) (верхней) Непарная нижняя полая вена на всем протяжении Сохранение левой задней основной вены Синдром кривой турецкой сабли');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16192, 'Порок развития крупной вены неуточненный', 'Q26.9', 16183, 'Q26', 0, 'Аномалия полой вены (нижней) (верхней) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16193, 'Другие  врожденные аномалии [пороки развития] системы периферических сосудов', 'Q27', 16125, 'Q20-Q28', 7, 'Исключены: аномалии: . церебральных и прецеребральных сосудов (Q28.0-Q28.3) . коронарных сосудов (Q24.5) . легочной артерии (Q25.5-Q25.7) врожденная аневризма сетчатки (Q14.1) гемангиома и лимфангиома (D18.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16194, 'Врожденное отсутствие и гипоплазия пупочной артерии', 'Q27.0', 16193, 'Q27', 0, 'Одиночная пупочная артерия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16195, 'Врожденный стеноз почечной артерии', 'Q27.1', 16193, 'Q27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16196, 'Другие пороки развития почечной артерии', 'Q27.2', 16193, 'Q27', 0, 'Врожденный порок почечной артерии БДУ Множественные почечные артерии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16197, 'Периферический артериовенозный порок развития', 'Q27.3', 16193, 'Q27', 0, 'Артериовенозная аневризма Исключена: приобретенная артериовенозная аневризма (I77.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16198, 'Врожденная флебэктазия', 'Q27.4', 16193, 'Q27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16199, 'Другие уточненные врожденные аномалии системы периферических сосудов', 'Q27.8', 16193, 'Q27', 0, 'Аберрантная подключичная артерия Отсутствие } Атрезия } артерии или вены НКДР Врожденная(ое)(ый): . аневризма (периферическая) . сужение артерии . варикоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16200, 'Врожденная аномалия системы периферических сосудов неуточненная', 'Q27.9', 16193, 'Q27', 0, 'Аномалия артерии или вены БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16201, 'Другие врожденные аномалии [пороки развития] системы кровообращения', 'Q28', 16125, 'Q20-Q28', 6, 'Исключены: врожденная аневризма: . БДУ (Q27.8) . коронарная (Q24.5) . периферическая (Q27.8) . легочная (Q25.7) . сетчатки (Q14.1) разорванный: . церебральный артериовенозный порок развития (I60.8) . порок развития прецеребральных сосудов (I72.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16202, 'Артериовенозная аномалия развития прецеребральных сосудов', 'Q28.0', 16201, 'Q28', 0, 'Венозная артериовенозная прецеребральная аневризма (неразорванная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16203, 'Другие пороки развития прецеребральных сосудов', 'Q28.1', 16201, 'Q28', 0, 'Врожденная: . аномалия прецеребральных сосудов БДУ . прецеребральная аневризма (неразорванная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16204, 'Артериовенозный порок развития церебральных сосудов', 'Q28.2', 16201, 'Q28', 0, 'Артериовенозная аномалия развития головного мозга БДУ Врожденная артериовенозная церебральная аневризма (неразорванная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16205, 'Другие пороки развития церебральных сосудов', 'Q28.3', 16201, 'Q28', 0, 'Врожденная: . церебральная аневризма (неразорванная) . аномалия церебральных сосудов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16206, 'Другие уточненные врожденные аномалии системы кровообращения', 'Q28.8', 16201, 'Q28', 0, 'Врожденная аневризма уточненной локализации НКДР');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16207, 'Врожденная аномалия системы кровообращения неуточненная', 'Q28.9', 16201, 'Q28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16209, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] ОРГАНОВ ДЫХАНИЯ', 'Q30-Q34', 16001, 'Q00-Q99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16210, 'Врожденные аномалии [пороки развития] носа', 'Q30', 16209, 'Q30-Q34', 6, 'Исключено: врожденное искривление носовой перегородки (Q67.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16211, 'Атрезия хоан', 'Q30.0', 16210, 'Q30', 0, 'Атрезия } носовых ходов (передней части) Врожденный стеноз } (задней части)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16212, 'Агенезия и недоразвитие носа', 'Q30.1', 16210, 'Q30', 0, 'Врожденное отсутствие носа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16213, 'Треснутый, вдавленный, расщепленный нос', 'Q30.2', 16210, 'Q30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16214, 'Врожденная перфорация носовой перегородки', 'Q30.3', 16210, 'Q30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16215, 'Другие врожденные аномалии носа', 'Q30.8', 16210, 'Q30', 0, 'Добавочный нос Врожденный порок стенки носового синуса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16216, 'Врожденная аномалия носа неуточненная', 'Q30.9', 16210, 'Q30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16217, 'Врожденные аномалии [пороки развития] гортани', 'Q31', 16209, 'Q30-Q34', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16218, 'Перепонка гортани', 'Q31.0', 16217, 'Q31', 0, 'Перепонка гортани: . БДУ . на уровне собственно голосового аппарата . под собственно голосовым аппаратом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16219, 'Врожденный стеноз гортани под собственно голосовым аппаратом', 'Q31.1', 16217, 'Q31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16220, 'Гипоплазия гортани', 'Q31.2', 16217, 'Q31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16221, 'Ларингоцеле', 'Q31.3', 16217, 'Q31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16222, 'Врожденный стридор гортани', 'Q31.4', 16217, 'Q31', 0, 'Врожденный стридор (гортани) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16223, 'Другие врожденные пороки гортани', 'Q31.8', 16217, 'Q31', 0, 'Отсутствие } перстневидного хряща, надгортанника, Агенезия } собственно голосового аппарата, горАтрезия } танного или щитовидного хряща Расщелина щитовидного хряща Врожденный стеноз гортани НКДР Щель надгортанника Расщелина задней части перстневидного хряща');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16224, 'Врожденная аномалия гортани неуточненная', 'Q31.9', 16217, 'Q31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16225, 'Врожденные аномалии [пороки развития] трахеи и бронхов', 'Q32', 16209, 'Q30-Q34', 5, 'Исключена: врожденная бронхоэктазия (Q33.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16226, 'Врожденная трахеомаляция', 'Q32.0', 16225, 'Q32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16227, 'Другие пороки развития трахеи', 'Q32.1', 16225, 'Q32', 0, 'Аномалия трахеального хряща Атрезия трахеи Врожденное(ая)(ый): . расширение } . аномалия } трахеи . стеноз } . трахеоцеле');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16228, 'Врожденная бронхомаляция', 'Q32.2', 16225, 'Q32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16229, 'Врожденный стеноз бронхов', 'Q32.3', 16225, 'Q32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16230, 'Другие врожденные аномалии бронхов', 'Q32.4', 16225, 'Q32', 0, 'Отсутствие } Агенезия } Атрезия } бронхов Врожденная аномалия БДУ } Дивертикул }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16231, 'Врожденные аномалии [пороки развития] легкого', 'Q33', 16209, 'Q30-Q34', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16232, 'Врожденная киста легкого', 'Q33.0', 16231, 'Q33', 0, 'Врожденное(ая): . ячеистое легкое . болезнь легкого: . кистозная . поликистозная Исключена: кистозная болезнь легкого приобретенная или неуточненная (J98.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16233, 'Добавочная доля легкого', 'Q33.1', 16231, 'Q33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16234, 'Секвестрация легкого', 'Q33.2', 16231, 'Q33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16235, 'Агенезия легкого', 'Q33.3', 16231, 'Q33', 0, 'Отсутствие легкого (доли)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16236, 'Врожденная бронхоэктазия', 'Q33.4', 16231, 'Q33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16237, 'Эктопия ткани в легком', 'Q33.5', 16231, 'Q33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16238, 'Гипоплазия и дисплазия легкого', 'Q33.6', 16231, 'Q33', 0, 'Исключена: легочная гипоплазия, связанная с недоношенностью (P28.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16239, 'Другие врожденные аномалии легкого', 'Q33.8', 16231, 'Q33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16240, 'Врожденная аномалия легкого неуточненная', 'Q33.9', 16231, 'Q33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16241, 'Другие врожденные аномалии [пороки развития] органов дыхания', 'Q34', 16209, 'Q30-Q34', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16242, 'Аномалия плевры', 'Q34.0', 16241, 'Q34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16243, 'Врожденная киста средостения', 'Q34.1', 16241, 'Q34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16244, 'Другие уточненные врожденные аномалии органов дыхания', 'Q34.8', 16241, 'Q34', 0, 'Атрезия носоглотки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16245, 'Врожденная аномалия органов дыхания неуточненная', 'Q34.9', 16241, 'Q34', 0, 'Врожденное(ая): . отсутствие } . аномалия БДУ } органов дыхания');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16247, 'РАСЩЕЛИНА ГУБЫ И НЕБА [ЗАЯЧЬЯ ГУБА И ВОЛЧЬЯ ПАСТЬ]', 'Q35-Q37', 16001, 'Q00-Q99', 3, 'Исключен: синдром Робина (Q87.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16248, 'Расщелина неба [волчья пасть]', 'Q35', 16247, 'Q35-Q37', 10, 'Включены: фиссура неба расщепление неба Исключена: расщелина неба и губы (Q37.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16249, 'Расщелина твердого неба двусторонняя', 'Q35.0', 16248, 'Q35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16250, 'Расщелина твердого неба односторонняя', 'Q35.1', 16248, 'Q35', 0, 'Расщепление твердого неба БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16251, 'Расщелина мягкого неба двусторонняя', 'Q35.2', 16248, 'Q35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16252, 'Расщелина мягкого неба односторонняя', 'Q35.3', 16248, 'Q35', 0, 'Расщепление мягкого неба БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16253, 'Расщелина твердого и мягкого неба двусторонняя', 'Q35.4', 16248, 'Q35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16254, 'Расщелина твердого и мягкого неба односторонняя', 'Q35.5', 16248, 'Q35', 0, 'Расщепление твердого и мягкого неба БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16255, 'Срединная расщелина неба', 'Q35.6', 16248, 'Q35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16256, 'Расщелина язычка', 'Q35.7', 16248, 'Q35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16257, 'Расщелина неба [волчья пасть] неуточненная двусторонняя', 'Q35.8', 16248, 'Q35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16258, 'Расщелина неба [волчья пасть] неуточненная односторонняя', 'Q35.9', 16248, 'Q35', 0, 'Волчья пасть БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16259, 'Расщелина губы [заячья губа]', 'Q36', 16247, 'Q35-Q37', 3, 'Включены: расщелина губы заячья губа labium leporinum Исключена: расщелина губы и неба (Q37.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16260, 'Расщелина губы двусторонняя', 'Q36.0', 16259, 'Q36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16261, 'Расщелина губы срединная', 'Q36.1', 16259, 'Q36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16262, 'Расщелина губы односторонняя', 'Q36.9', 16259, 'Q36', 0, 'Заячья губа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16263, 'Расщелина неба и губы [волчья пасть с заячьей губой]', 'Q37', 16247, 'Q35-Q37', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16264, 'Расщелина твердого неба и губы двусторонняя', 'Q37.0', 16263, 'Q37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16265, 'Расщелина твердого неба и губы односторонняя', 'Q37.1', 16263, 'Q37', 0, 'Расщепление твердого неба и губы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16266, 'Расщелина мягкого неба и губы двусторонняя', 'Q37.2', 16263, 'Q37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16267, 'Расщелина мягкого неба и губы односторонняя', 'Q37.3', 16263, 'Q37', 0, 'Расщепление мягкого неба и губы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16268, 'Расщелина твердого и мягкого неба и губы двусторонняя', 'Q37.4', 16263, 'Q37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16269, 'Расщелина твердого и мягкого неба и губы односторонняя', 'Q37.5', 16263, 'Q37', 0, 'Расщепление твердого и мягкого неба и губы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16270, 'Двусторонняя расщелина неба и губы неуточненная', 'Q37.8', 16263, 'Q37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16271, 'Односторонняя расщелина неба и губы неуточненная', 'Q37.9', 16263, 'Q37', 0, 'Волчья пасть с заячьей губой БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16273, 'ДРУГИЕ ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] ОРГАНОВ ПИЩЕВАРЕНИЯ', 'Q38-Q45', 16001, 'Q00-Q99', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16274, 'Другие врожденные аномалии [пороки развития] языка, рта и глотки', 'Q38', 16273, 'Q38-Q45', 9, 'Исключены: макростомия (Q18.4) микростомия (Q18.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16275, 'Врожденные аномалии губ, не классифицированные в других рубриках', 'Q38.0', 16274, 'Q38', 0, 'Врожденный: . свищ губы . порок развития губы БДУ Синдром Ван-дер-Вуда Исключены: заячья губа (Q36.-) . с волчьей пастью (Q37.-) макрохейлия (Q18.6) микрохейлия (Q18.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16276, 'Анкилоглоссия', 'Q38.1', 16274, 'Q38', 0, 'Укорочение уздечки языка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16277, 'Макроглоссия', 'Q38.2', 16274, 'Q38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16278, 'Другие врожденные аномалии языка', 'Q38.3', 16274, 'Q38', 0, 'Аглоссия Раздвоение языка Врожденная: . спайка } . фиссура } языка . аномалия БДУ } Гипоглоссия Гипоплазия языка Микроглоссия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16279, 'Врожденные аномалии слюнных желез и протоков', 'Q38.4', 16274, 'Q38', 0, 'Отсутствие } Добавочная } слюнной(ая) железы(а) или протока Атрезия } Врожденный свищ слюнной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16280, 'Врожденные аномалии неба, не классифицированные в других рубриках', 'Q38.5', 16274, 'Q38', 0, 'Отсутствие небного язычка Врожденный порок неба БДУ Высокое небо Исключены: волчья пасть (Q35.-) . с заячьей губой (Q37.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16281, 'Другие пороки развития рта', 'Q38.6', 16274, 'Q38', 0, 'Врожденная аномалия рта БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16282, 'Глоточный карман', 'Q38.7', 16274, 'Q38', 0, 'Дивертикул глотки Исключен: синдром глоточного кармана (D82.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16283, 'Другие пороки развития глотки', 'Q38.8', 16274, 'Q38', 0, 'Врожденная аномалия глотки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16284, 'Врожденные аномалии [пороки развития] пищевода', 'Q39', 16273, 'Q38-Q45', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16285, 'Атрезия пищевода без свища', 'Q39.0', 16284, 'Q39', 0, 'Атрезия пищевода БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16286, 'Атрезия пищевода с трахеально-пищеводным свищем', 'Q39.1', 16284, 'Q39', 0, 'Атрезия пищевода с бронхиально-пищеводным свищом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16287, 'Врожденный трахеально-пищеводный свищ без атрезии', 'Q39.2', 16284, 'Q39', 0, 'Врожденный трахеально-пищеводный свищ БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16288, 'Врожденные стеноз и стриктура пищевода', 'Q39.3', 16284, 'Q39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16289, 'Пищеводная перепонка', 'Q39.4', 16284, 'Q39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16290, 'Врожденное расширение пищевода', 'Q39.5', 16284, 'Q39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16291, 'Дивертикул пищевода', 'Q39.6', 16284, 'Q39', 0, 'Пищеводный краман');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16292, 'Другие врожденные аномалии пищевода', 'Q39.8', 16284, 'Q39', 0, 'Отсутствие } Врожденное смещение } пищевода Удвоение }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16293, 'Врожденная аномалия пищевода неуточненная', 'Q39.9', 16284, 'Q39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16294, 'Другие врожденные аномалии [пороки развития] верхней части пищеварительного тракта', 'Q40', 16273, 'Q38-Q45', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16295, 'Врожденный гипертрофический пилоростеноз', 'Q40.0', 16294, 'Q40', 0, 'Врожденный(ое)(ая) (порок) или недоразвитие: . сжатие } . гипертрофия } . спазм } привратника желудка . стеноз } . стриктура }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16296, 'Врожденная грыжа пищеводного отверстия диафрагмы', 'Q40.1', 16294, 'Q40', 0, 'Смещение кардии через пищеводное отверстие диафрагмы Исключена: врожденная диафрагмальная грыжа (Q79.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16297, 'Другие уточненные пороки развития желудка', 'Q40.2', 16294, 'Q40', 0, 'Врожденный(ое): . кардиоспазм . смещение желудка . дивертикул желудка . желудок в виде песочных часов Удвоение желудка Мегалогастрия Микрогастрия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16298, 'Порок развития желудка неуточненный', 'Q40.3', 16294, 'Q40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16299, 'Другие уточненные пороки развития верхней части пищеварительного тракта', 'Q40.8', 16294, 'Q40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16300, 'Пороки развития верхней части пищеварительного тракта неуточненные', 'Q40.9', 16294, 'Q40', 0, 'Врожденная: . аномалия } БДУ верхнего отдела пищеварительного . деформация } тракта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16301, 'Врожденные отсутствие, атрезия и стеноз тонкого кишечника', 'Q41', 16273, 'Q38-Q45', 5, 'Включена: врожденная закупорка, непроходимость и стриктура тонкого кишечника или кишечника БДУ Исключена: мекониевая кишечная непроходимость (E84.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16302, 'Врожденные отсутствие, атрезия и стеноз двенадцатиперстной кишки', 'Q41.0', 16301, 'Q41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16303, 'Врожденные отсутствие, атрезия и стеноз тощей кишки', 'Q41.1', 16301, 'Q41', 0, 'Синдром яблочной кожуры Заращение тощей кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16304, 'Врожденные отсутствие, атрезия и стеноз подвздошной кишки', 'Q41.2', 16301, 'Q41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16305, 'Врожденные отсутствие, атрезия и стеноз других уточненных частей тонкого кишечника', 'Q41.8', 16301, 'Q41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16306, 'Врожденные отсутствие, атрезия и стеноз тонкого кишечника неуточненной части', 'Q41.9', 16301, 'Q41', 0, 'Врожденные отсутствие, атрезия и стеноз кишечника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16307, 'Врожденные отсутствие, атрезия и стеноз толстого кишечника', 'Q42', 16273, 'Q38-Q45', 6, 'Включены: врожденная закупорка, непроходимость и стриктура толстого кишечника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16308, 'Врожденные отсутствие, атрезия и стеноз прямой кишки со свищем', 'Q42.0', 16307, 'Q42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16309, 'Врожденные отсутствие, атрезия и стеноз прямой кишки без свища', 'Q42.1', 16307, 'Q42', 0, 'Заращение прямой кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16310, 'Врожденные отсутствие, атрезия и стеноз заднего прохода со свищем', 'Q42.2', 16307, 'Q42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16311, 'Врожденные отсутствие, атрезия и стеноз заднего прохода без свища', 'Q42.3', 16307, 'Q42', 0, 'Заращение ануса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16312, 'Врожденные отсутствие, атрезия и стеноз других частей толстого кишечника', 'Q42.8', 16307, 'Q42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16313, 'Врожденные отсутствие, атрезия и стеноз толстого кишечника неуточненной части', 'Q42.9', 16307, 'Q42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16314, 'Другие врожденные аномалии [пороки развития] кишечника', 'Q43', 16273, 'Q38-Q45', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16315, 'Дивертикул Меккеля', 'Q43.0', 16314, 'Q43', 0, 'Сохранившийся: . пупочно-брыжеечный проток . желточный канал');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16316, 'Болезнь Гиршпрунга', 'Q43.1', 16314, 'Q43', 0, 'Аганглионоз Врожденный (аганглиозный) мегаколон');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16317, 'Другие врожденные функциональные аномалии ободочной кишки', 'Q43.2', 16314, 'Q43', 0, 'Врожденное расширение ободочной кишки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16318, 'Врожденные аномалии фиксации кишечника', 'Q43.3', 16314, 'Q43', 0, 'Врожденные спайки [тяжи]: . сальника патологические . брюшины Мембрана Джексона Неправильный поворот ободочной кишки Поворот: . недостаточный } . неполный } слепой и ободочной кишки . незавершенный } Общая брыжейка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16319, 'Удвоение кишечника', 'Q43.4', 16314, 'Q43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16320, 'Эктопический задний проход', 'Q43.5', 16314, 'Q43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16321, 'Врожденный свищ прямой кишки и ануса', 'Q43.6', 16314, 'Q43', 0, 'Исключены: врожденный свищ: . ректовагинальный (Q52.2) . уретроректальный (Q64.7) пилонидальный свищ или синус (L05.-) с отсутствием, атрезией и стенозом прямой кишки и ануса (Q42.0, Q42.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16322, 'Сохранившаяся клоака', 'Q43.7', 16314, 'Q43', 0, 'Клоака БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16323, 'Другие уточненные врожденные аномалии кишечника', 'Q43.8', 16314, 'Q43', 0, 'Врожденный: . синдром слепой кишки . дивертикул ободочной кишки . дивертикул кишечника Долихоколон Мегалоаппендикс Мегалодуоденум Микроколон Транспозиция: . аппендикса . ободочной кишки . кишечника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16324, 'Врожденная аномалия кишечника неуточненная', 'Q43.9', 16314, 'Q43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16325, 'Врожденные аномалии [пороки развития] желчного пузыря,', 'Q44', 16273, 'Q38-Q45', 8, 'желчных протоков и печени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16326, 'Агенезия, аплазия и гипоплазия желчного пузыря', 'Q44.0', 16325, 'Q44', 0, 'Врожденное отсутствие желчного пузыря');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16327, 'Другие врожденные аномалии желчного пузыря', 'Q44.1', 16325, 'Q44', 0, 'Врожденный порок развития желчного пузыря БДУ Внутрипеченочный желчный пузырь');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16328, 'Атрезия желчных протоков', 'Q44.2', 16325, 'Q44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16329, 'Врожденный стеноз и стриктура желчных протоков', 'Q44.3', 16325, 'Q44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16330, 'Киста желчного протока', 'Q44.4', 16325, 'Q44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16331, 'Другие врожденные аномалии желчных протоков', 'Q44.5', 16325, 'Q44', 0, 'Добавочный печеночный проток Врожденный порок желчного протока БДУ Удвоение: . желчного протока . пузырного протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16332, 'Кистозная болезнь печени', 'Q44.6', 16325, 'Q44', 0, 'Фиброкистозная болезнь печени');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16333, 'Другие врожденные аномалии печени', 'Q44.7', 16325, 'Q44', 0, 'Добавочная печень Синдром Аладжилля Врожденное(ая): . отсутствие печени . гепапомегалия . аномалия печени БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16334, 'Другие врожденные аномалии [пороки развития] органов пищеварения', 'Q45', 16273, 'Q38-Q45', 6, 'Исключены: врожденная: . диафрагмальная грыжа (Q79.0) . грыжа пищеводного отверстия диафрагмы (Q40.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16335, 'Агенезия, аплазия и гипоплазия поджелудочной железы', 'Q45.0', 16334, 'Q45', 0, 'Врожденное отсутствие поджелудочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16336, 'Кольцевидная поджелудочная железа', 'Q45.1', 16334, 'Q45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16337, 'Врожденная киста поджелудочной железы', 'Q45.2', 16334, 'Q45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16338, 'Другие врожденные аномалии поджелудочной железы и протока поджелудочной железы', 'Q45.3', 16334, 'Q45', 0, 'Добавочная поджелудочная железа Порок развития поджелудочной железы или протока поджелудочной железы БДУ Исключены: сахарный диабет: . врожденный (E10.-) . неонатальный (P70.2) кистофиброз поджелудочной железы (E84.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16339, 'Другие уточненные врожденные аномалии органов пищеварения', 'Q45.8', 16334, 'Q45', 0, 'Отсутствие (полное) (частичное) пищеварительного тракта БДУ Удвоение } Неправильное положение } органов пищеварения БДУ врожденное }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16340, 'Порок развиия органов пищеварения неуточненный', 'Q45.9', 16334, 'Q45', 0, 'Врожденная: . аномалия } . деформация } органов пищеварения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16342, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] ПОЛОВЫХ ОРГАНОВ', 'Q50-Q56', 16001, 'Q00-Q99', 7, 'Исключены: синдром андрогенной резистентности (E34.5) синдромы, связанные с аномалией числа и формы хромосом (Q90-Q99) синдром тестикулярной феминизации (E34.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16343, 'Врожденные аномалии [пороки развития] яичников, фаллопиевых труб и широких связок', 'Q50', 16342, 'Q50-Q56', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16344, 'Врожденное отсутствие яичника', 'Q50.0', 16343, 'Q50', 0, 'Исключен: синдром Тернера (Q96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16345, 'Кистозная аномалия развития яичника', 'Q50.1', 16343, 'Q50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16346, 'Врожденный перекрут яичника', 'Q50.2', 16343, 'Q50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16347, 'Другие врожденные аномалии яичника', 'Q50.3', 16343, 'Q50', 0, 'Добавочный яичник Врожденная аномалия яичника БДУ Вытянутость яичника (палочковидная гонада)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16348, 'Эмбриональная киста фаллопиевой трубы', 'Q50.4', 16343, 'Q50', 0, 'Фимбриальная киста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16349, 'Эмбриональная киста широкой связки', 'Q50.5', 16343, 'Q50', 0, 'Киста: . эпоофорона . гартнерова канала . паровариальная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16350, 'Другие врожденные аномалии фаллопиевой трубы и широкой связки', 'Q50.6', 16343, 'Q50', 0, 'Отсутствие } Добавочная } фаллопиевой(ая) трубы(а) или широкой(ая) Атрезия } связки(а) Порок развития фаллопиевой трубы или широкой связки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16351, 'Врожденные аномалии [пороки развития] развития тела и шейки матки', 'Q51', 16342, 'Q50-Q56', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16352, 'Агенезия и аплазия матки', 'Q51.0', 16351, 'Q51', 0, 'Врожденное отсутствие матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16353, 'Удвоение тела матки с удвоением шейки матки и влагалища', 'Q51.1', 16351, 'Q51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16354, 'Другие удвоения матки', 'Q51.2', 16351, 'Q51', 0, 'Удвоение матки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16355, 'Двурогая матка', 'Q51.3', 16351, 'Q51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16356, 'Однорогая матка', 'Q51.4', 16351, 'Q51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16357, 'Агенезия и аплазия шейки матки', 'Q51.5', 16351, 'Q51', 0, 'Врожденное отсутствие шейки матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16358, 'Эмбриональная киста шейки матки', 'Q51.6', 16351, 'Q51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16359, 'Врожденный свищ между маткой и пищеварительным и мочевым трактами', 'Q51.7', 16351, 'Q51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16360, 'Другие врожденные аномалии тела и шейки матки', 'Q51.8', 16351, 'Q51', 0, 'Гипоплазия тела и шейки матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16361, 'Врожденная аномалия тела и шейки матки неуточненная', 'Q51.9', 16351, 'Q51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16362, 'Другие врожденные аномалии [пороки развития] женских половых органов', 'Q52', 16342, 'Q50-Q56', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16363, 'Врожденное отсутствие влагалища', 'Q52.0', 16362, 'Q52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16364, 'Удвоение влагалища', 'Q52.1', 16362, 'Q52', 0, 'Разделенное перегородкой влагалище Исключены: удвоение влагалища с удвоением тела и шейки матки (Q51.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16365, 'Врожденный ректовагинальный свищ', 'Q52.2', 16362, 'Q52', 0, 'Исключена: клоака (Q43.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16366, 'Девственная плева, полностью закрывающая вход во влагалище', 'Q52.3', 16362, 'Q52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16367, 'Другие врожденные аномалии влагалища', 'Q52.4', 16362, 'Q52', 0, 'Порок развития влагалища БДУ Киста: . канала Нукка врожденная . влагалища эмбриональная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16368, 'Сращение губ', 'Q52.5', 16362, 'Q52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16369, 'Врожденная аномалия клитора', 'Q52.6', 16362, 'Q52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16370, 'Другие врожденные аномалии вульвы', 'Q52.7', 16362, 'Q52', 0, 'Врожденное(ая): . отсутствие } . киста } вульвы . аномалия БДУ }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16371, 'Другие уточненные врожденные аномалии женских половых органов', 'Q52.8', 16362, 'Q52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16372, 'Врожденная аномалия женских половых органов неуточненная', 'Q52.9', 16362, 'Q52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16373, 'Неопущение яичка', 'Q53', 16342, 'Q50-Q56', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16374, 'Эктопическое яичко', 'Q53.0', 16373, 'Q53', 0, 'Односторонняя или двусторонняя эктопия яичка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16375, 'Неопущение яичка одностороннее', 'Q53.1', 16373, 'Q53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16376, 'Неопущение яичка двустороннее', 'Q53.2', 16373, 'Q53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16377, 'Неопущение яичка неуточненное', 'Q53.9', 16373, 'Q53', 0, 'Крипторхизм БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16378, 'Гипоспадия', 'Q54', 16342, 'Q50-Q56', 7, 'Исключена: эписпадия (Q64.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16379, 'Гипоспадия головки полового члена', 'Q54.0', 16378, 'Q54', 0, 'Гипомпадия: . корональная . гландулярная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16380, 'Гипоспадия полового члена', 'Q54.1', 16378, 'Q54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16381, 'Гипоспадия члено-мошоночная', 'Q54.2', 16378, 'Q54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16382, 'Гипоспадия промежностная', 'Q54.3', 16378, 'Q54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16383, 'Врожденное искривление полового члена', 'Q54.4', 16378, 'Q54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16384, 'Другая гипоспадия', 'Q54.8', 16378, 'Q54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16385, 'Гипоспадия неуточненная', 'Q54.9', 16378, 'Q54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16386, 'Другие врожденные аномалии [пороки развития] мужских половых органов', 'Q55', 16342, 'Q50-Q56', 9, 'Исключены: врожденное гидроцеле (P83.5) гипоспадия (Q54.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16387, 'Отсутствие и аплазия яичка', 'Q55.0', 16386, 'Q55', 0, 'Монорхизм');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16388, 'Гипоплазия яичка и мошонки', 'Q55.1', 16386, 'Q55', 0, 'Сращение яичек');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16389, 'Другие врожденные аномалии яичка и мошонки', 'Q55.2', 16386, 'Q55', 0, 'Порок развития яичка или мошонки БДУ Полиорхизм Ретрактильное яичко Мигрирующее яичко');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16390, 'Атрезия семявыносящего протока', 'Q55.3', 16386, 'Q55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16391, 'Другие врожденные аномалии семявыносящего протока, при-', 'Q55.4', 16386, 'Q55', 0, 'датка яичка, семенного канатика и предстательной железы Отсутствие или аплазия: . предстательной железы . семенного канатика Порок развития семявыносящего протока, придатка яичка, семенного канатика или предстательной железы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16392, 'Врожденное отсутствие и аплазия полового члена', 'Q55.5', 16386, 'Q55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16393, 'Другие врожденные аномалии полового члена', 'Q55.6', 16386, 'Q55', 0, 'Порок развития полового члена БДУ Искривление полового члена (боковое) Гипоплазия полового члена');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16394, 'Другие уточненные врожденные аномалии мужских половых органов', 'Q55.8', 16386, 'Q55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16395, 'Врожденная аномалия мужских половых органов неуточненная', 'Q55.9', 16386, 'Q55', 0, 'Врожденная: . аномалия } . деформация } мужских половых органов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16396, 'Неопределенность пола и псевдогермафродитизм', 'Q56', 16342, 'Q50-Q56', 5, 'Исключены: псевдогермафродитизм: . женский с адренокортикальным нарушением (E25.-) . мужской с андрогенной резистентностью (E34.5) . с уточненной хромосомной аномалией (Q96-Q99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16397, 'Гермафродитизм, не классифицированный в других рубриках', 'Q56.0', 16396, 'Q56', 0, 'Половая железа, содержащая тканевые компоненты яичника и яичка [ovotestis]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16398, 'Мужской псевдогермафродитизм, не классифицированный в других рубриках', 'Q56.1', 16396, 'Q56', 0, 'Мужской псевдогермафродитизм БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16399, 'Женский псевдогермафродитизм, не классифицированный в других рубриках', 'Q56.2', 16396, 'Q56', 0, 'Женский псевдогермафродитизм БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16400, 'Псевдогермафродитизм неуточненный', 'Q56.3', 16396, 'Q56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16401, 'Неопределенность пола неуточненная', 'Q56.4', 16396, 'Q56', 0, 'Неопределенность половых органов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16403, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] МОЧЕВОЙ СИСТЕМЫ', 'Q60-Q64', 16001, 'Q00-Q99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16404, 'Агенезия и другие редукционные дефекты почки', 'Q60', 16403, 'Q60-Q64', 7, 'Включены: атрофия почки: . врожденная . инфантильная врожденное отсутствие почки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16405, 'Агенезия почки односторонняя', 'Q60.0', 16404, 'Q60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16406, 'Агенезия почки двусторонняя', 'Q60.1', 16404, 'Q60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16407, 'Агенезия почки неуточненная', 'Q60.2', 16404, 'Q60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16408, 'Гипоплазия почки односторонняя', 'Q60.3', 16404, 'Q60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16409, 'Гипоплазия почки двусторонняя', 'Q60.4', 16404, 'Q60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16410, 'Гипоплазия почки неуточненная', 'Q60.5', 16404, 'Q60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16411, 'Синдром Поттера', 'Q60.6', 16404, 'Q60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16412, 'Кистозная болезнь почек', 'Q61', 16403, 'Q60-Q64', 8, 'Исключены: приобретенная киста почки (N28.1) синдром Поттера (Q60.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16413, 'Врожденная одиночная киста почки', 'Q61.0', 16412, 'Q61', 0, 'Киста почки (врожденная) (одиночная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16414, 'Поликистоз почки, детский тип', 'Q61.1', 16412, 'Q61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16415, 'Поликистоз почки, тип взрослых', 'Q61.2', 16412, 'Q61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16416, 'Поликистоз почки неуточненный', 'Q61.3', 16412, 'Q61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16417, 'Дисплазия почки', 'Q61.4', 16412, 'Q61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16418, 'Медуллярный кистоз почки', 'Q61.5', 16412, 'Q61', 0, 'Губчатость почки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16419, 'Другие кистозные болезни почек', 'Q61.8', 16412, 'Q61', 0, 'Фиброкистоз: . почки . почечная дегенерация или болезнь');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16420, 'Кистозная болезнь почек неуточненная', 'Q61.9', 16412, 'Q61', 0, 'Синдром Меккеля-Грубера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16421, 'Врожденные нарушения проходимости почечной лоханки и врожденные аномалии мочеточника', 'Q62', 16403, 'Q60-Q64', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16422, 'Врожденный гидронефроз', 'Q62.0', 16421, 'Q62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16423, 'Атрезия и стеноз мочеточника', 'Q62.1', 16421, 'Q62', 0, 'Врожденная окклюзия: . мочеточника . лоханочно-мочеточникового соединения . мочеточниково-пузырного устья Непроходимость мочеточника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16424, 'Врожденное расширение мочеточника [врожденный мегалоуретер]', 'Q62.2', 16421, 'Q62', 0, 'Врожденная дилатация мочеточника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16425, 'Другие врожденные нарушения проходимости почечной лоханки и мочеточника', 'Q62.3', 16421, 'Q62', 0, 'Врожденное уретероцеле');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16426, 'Агенезия мочеточника', 'Q62.4', 16421, 'Q62', 0, 'Отсутствие мочеточника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16427, 'Удвоение мочеточника', 'Q62.5', 16421, 'Q62', 0, 'Добавочный } Удвоенный } мочеточник');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16428, 'Неправильное расположение мочеточника', 'Q62.6', 16421, 'Q62', 0, 'Отклонение } Смещение } мочеточника или устья мочеАномальная имплантация } точника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16429, 'Врожденный пузырно-мочеточниково-почечный рефлюкс', 'Q62.7', 16421, 'Q62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16430, 'Другие врожденные аномалии мочеточника', 'Q62.8', 16421, 'Q62', 0, 'Аномалия мочеточника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16431, 'Другие врожденные аномалии [пороки развития] почки', 'Q63', 16403, 'Q60-Q64', 6, 'Исключен: врожденный нефротический синдром (N04.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16432, 'Добавочная почка', 'Q63.0', 16431, 'Q63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16433, 'Слившаяся, дольчатая и подковообразная почка', 'Q63.1', 16431, 'Q63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16434, 'Эктопическая почка', 'Q63.2', 16431, 'Q63', 0, 'Врожденное смещение почки Неправильный поворот почки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16435, 'Гиперпластическая и гигантская почка', 'Q63.3', 16431, 'Q63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16436, 'Другие уточненные врожденные аномалии почки', 'Q63.8', 16431, 'Q63', 0, 'Врожденный камень почки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16437, 'Врожденная аномалия почки неуточненная', 'Q63.9', 16431, 'Q63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16438, 'Другие врожденные аномалии [пороки развития] мочевой системы', 'Q64', 16403, 'Q60-Q64', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16439, 'Эписпадия', 'Q64.0', 16438, 'Q64', 0, 'Исключена: гипоспадия (Q54.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16440, 'Экстрофия мочевого пузыря', 'Q64.1', 16438, 'Q64', 0, 'Эктопия мочевого пузыря Выворот мочевого пузыря');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16441, 'Врожденные задние уретральные клапаны', 'Q64.2', 16438, 'Q64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16442, 'Другие виды атрезии и стеноза уретры и шейки мочевого пузыря', 'Q64.3', 16438, 'Q64', 0, 'Врожденная: . непроходимость шейки мочевого пузыря . стриктура: . мочеточника . наружного отверстия мочеиспускательного канала . пузырно-мочеиспускательного устья Непроходимость мочеиспускательного канала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16443, 'Аномалия мочевого протока [урахуса]', 'Q64.4', 16438, 'Q64', 0, 'Киста мочевого протока Открытый мочевой проток Выпадение мочевого протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16444, 'Врожденное отсутствие мочевого пузыря и мочеиспускательного канала', 'Q64.5', 16438, 'Q64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16445, 'Врожденный дивертикул мочевого пузыря', 'Q64.6', 16438, 'Q64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16446, 'Другие врожденные аномалии мочевого пузыря и мочеиспускательного канала', 'Q64.7', 16438, 'Q64', 0, 'Добавочный: . мочевой пузырь . мочеиспускательный канал Врожденная(ое)(ый): . грыжа мочевого пузыря . порок мочевого пузыря или мочеиспускательного канала БДУ . выпадение: . мочевого пузыря (слизистой оболочки) . уретры . наружного отверстия мочеиспускательного канала . уретроректальный свищ Удвоение: . мочеиспускательного канала . наружного отверстия мочеиспускательного канала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16447, 'Другие уточненные врожденные аномалии мочевыделительной системы', 'Q64.8', 16438, 'Q64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16448, 'Врожденная аномалия мочевыделительной системы неуточненная', 'Q64.9', 16438, 'Q64', 0, 'Врожденная: . аномалия } . деформация } мочевыделительной системы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16450, 'ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ] И ДЕФОРМАЦИИ КОСТНО-МЫШЕЧНОЙ СИСТЕМЫ', 'Q65-Q79', 16001, 'Q00-Q99', 15, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16451, 'Врожденные деформации бедра', 'Q65', 16450, 'Q65-Q79', 9, 'Исключено: щелкающее бедро (R29.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16452, 'Врожденный вывих бедра односторонний', 'Q65.0', 16451, 'Q65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16453, 'Врожденный вывих бедра двусторонний', 'Q65.1', 16451, 'Q65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16454, 'Врожденный вывих бедра неуточненный', 'Q65.2', 16451, 'Q65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16455, 'Врожденный подвывих бедра односторонний', 'Q65.3', 16451, 'Q65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16456, 'Врожденный подвывих бедра двусторонний', 'Q65.4', 16451, 'Q65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16457, 'Врожденный подвывих бедра неуточненный', 'Q65.5', 16451, 'Q65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16458, 'Неустойчивое бедро', 'Q65.6', 16451, 'Q65', 0, 'Предрасположенность к вывиху бедра Предрасположенность к подвывиху бедра');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16459, 'Другие врожденные деформации бедра', 'Q65.8', 16451, 'Q65', 0, 'Смещение шейки бедра кпереди Врожденная дисплазия вертлужной впадины Врожденное: . вальгусное положение [coxa valga] . варусное положение [coxa vara]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16460, 'Врожденная деформация бедра неуточненная', 'Q65.9', 16451, 'Q65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16461, 'Врожденные деформации стопы', 'Q66', 16450, 'Q65-Q79', 10, 'Исключены: дефекты, укорачивающие стопу (Q72.-) вальгусные деформации (приобретенные) (M21.0) варусные деформации (приобретенные) (M21.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16462, 'Конско-варусная косолапость', 'Q66.0', 16461, 'Q66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16463, 'Пяточно-варусная косолапость', 'Q66.1', 16461, 'Q66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16464, 'Варусная стопа', 'Q66.2', 16461, 'Q66', 0, 'Приведенная стопа Metatarsus varus');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16465, 'Другие врожденные варусные деформации стопы', 'Q66.3', 16461, 'Q66', 0, 'Варусная деформация большого пальца стопы врожденная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16466, 'Пяточно-вальгусная косолапость', 'Q66.4', 16461, 'Q66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16467, 'Врожденная плоская стопа [pes planus]', 'Q66.5', 16461, 'Q66', 0, 'Плоскостопие: . врожденное . ригидное . спастическое (вывернутое наружу)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16468, 'Другие врожденные вальгусные деформации стопы', 'Q66.6', 16461, 'Q66', 0, 'Отведенная стопа Metatarsus valgus');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16469, 'Полая стопа [pes cavus]', 'Q66.7', 16461, 'Q66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16470, 'Другие врожденные деформации стопы', 'Q66.8', 16461, 'Q66', 0, 'Косолапость БДУ Молоткообразные пальцы ноги врожденные Изуродованная ступня: . БДУ . асимметричная Слияние костей предплюсны Вертикальная таранная кость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16471, 'Врожденная деформация стопы неуточненная', 'Q66.9', 16461, 'Q66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16472, 'Врожденные костно-мышечные деформации головы, лица, позвоночника и грудной клетки', 'Q67', 16450, 'Q65-Q79', 9, 'Исключены: синдромы врожденных пороков, классифицированные в рубрике Q87.синдром Поттера (Q60.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16473, 'Асимметрия лица', 'Q67.0', 16472, 'Q67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16474, 'Сдавленное лицо', 'Q67.1', 16472, 'Q67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16475, 'Долихоцефалия', 'Q67.2', 16472, 'Q67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16476, 'Плагиоцефалия', 'Q67.3', 16472, 'Q67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16477, 'Другие врожденные деформации черепа, лица и челюсти', 'Q67.4', 16472, 'Q67', 0, 'Вдавления в черепе Искривление носовой перегородки врожденное Атрофия или гипертрофия половины лица Расплющенный или изогнутый нос врожденный Исключены: челюстно-лицевые аномалии [включая аномалии прикуса] (K07.-) сифилитический седловидный нос (A50.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16478, 'Врожденная деформация позвоночника', 'Q67.5', 16472, 'Q67', 0, 'Врожденный сколиоз: . БДУ . позиционный Исключены: детский идиопатический сколиоз (M41.0) сколиоз, вызванный пороком развития костной ткани (Q76.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16479, 'Впалая грудь', 'Q67.6', 16472, 'Q67', 0, 'Врожденная воронкообразная грудь [грудь сапожника]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16480, 'Килевидная грудь', 'Q67.7', 16472, 'Q67', 0, 'Врожденная куриная грудь');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16481, 'Другие врожденные деформации грудной клетки', 'Q67.8', 16472, 'Q67', 0, 'Врожденная деформация стенки грудной клетки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16482, 'Другие врожденные костно-мышечные деформации', 'Q68', 16450, 'Q65-Q79', 7, 'Исключены: дефекты, укорачивающие конечность (Q71-Q73)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16483, 'Врожденная деформация грудиноключично-сосцевидной мышцы', 'Q68.0', 16482, 'Q68', 0, 'Врожденная (грудинососцевидная) кривошея Контрактура грудиноключично-сосцевидная (мышцы) Грудинососцевидная опухоль (врожденная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16484, 'Врожденная деформация кисти', 'Q68.1', 16482, 'Q68', 0, 'Врожденная деформация пальцев в виде барабанных палочек Лопатообразная кисть (врожденная)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16485, 'Врожденная деформация колена', 'Q68.2', 16482, 'Q68', 0, 'Врожденный: . вывих колена . genu recurvatum');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16486, 'Врожденное искривление бедра', 'Q68.3', 16482, 'Q68', 0, 'Исключено: смещение кпереди бедра (шейки) (Q65.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16487, 'Врожденное искривление большеберцовой и малоберцовой костей', 'Q68.4', 16482, 'Q68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16488, 'Врожденное искривление длинных костей голени неуточненное', 'Q68.5', 16482, 'Q68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16489, 'Другие уточненные врожденные костно-мышечные деформации', 'Q68.8', 16482, 'Q68', 0, 'Врожденная(ый): . деформация: . ключицы . локтя . предплечья . лопатки . вывих: . локтя . плеча');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16490, 'Полидактилия', 'Q69', 16450, 'Q65-Q79', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16491, 'Добавочный палец (пальцы)', 'Q69.0', 16490, 'Q69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16492, 'Добавочный большой палец (пальцы) кисти', 'Q69.1', 16490, 'Q69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16493, 'Добавочный палец (пальцы) стопы', 'Q69.2', 16490, 'Q69', 0, 'Добавочный большой палец стопы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16494, 'Полидактилия неуточненная', 'Q69.9', 16490, 'Q69', 0, 'Многопалость БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16495, 'Синдактилия', 'Q70', 16450, 'Q65-Q79', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16496, 'Сращение пальцев кисти', 'Q70.0', 16495, 'Q70', 0, 'Сложная синдактилия пальцев кисти с синостозом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16497, 'Перепончатость пальцев кисти', 'Q70.1', 16495, 'Q70', 0, 'Простая синдактилия пальцев кисти без синостоза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16498, 'Сращение пальцев стопы', 'Q70.2', 16495, 'Q70', 0, 'Сложная синдактилия пальцев стопы с синостозом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16499, 'Перепончатость пальцев стопы', 'Q70.3', 16495, 'Q70', 0, 'Простая синдактилия пальцев кисти без синостоза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16500, 'Полисиндактилия', 'Q70.4', 16495, 'Q70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16501, 'Синдактилия неуточненная', 'Q70.9', 16495, 'Q70', 0, 'Синфалангия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16502, 'Дефекты, укорачивающие верхнюю конечность', 'Q71', 16450, 'Q65-Q79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16503, 'Врожденное полное отсутствие верхней(их) конечности(ей)', 'Q71.0', 16502, 'Q71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16504, 'Врожденное отсутствие плеча и предплечья при наличии кисти', 'Q71.1', 16502, 'Q71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16505, 'Врожденное отсутствие предплечья и кисти', 'Q71.2', 16502, 'Q71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16506, 'Врожденное отсутствие кисти и пальца(ев)', 'Q71.3', 16502, 'Q71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16507, 'Продольное укорочение лучевой кости', 'Q71.4', 16502, 'Q71', 0, 'Косорукость (врожденная) Лучевая косорукость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16508, 'Продольное укорочение локтевой кости', 'Q71.5', 16502, 'Q71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16509, 'Клешнеобразная кисть', 'Q71.6', 16502, 'Q71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16510, 'Другие дефекты, укорачивающие верхнюю(ие) конечность(ти)', 'Q71.8', 16502, 'Q71', 0, 'Врожденное укорочение верхней(их) конечности(ей)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16511, 'Дефект, укорачивающий верхнюю конечность неуточненный', 'Q71.9', 16502, 'Q71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16512, 'Дефекты, укорачивающие нижнюю конечность', 'Q72', 16450, 'Q65-Q79', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16513, 'Врожденное полное отсутствие нижней(их) конечности(ей)', 'Q72.0', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16514, 'Врожденное отсутствие бедра и голени при наличии стопы', 'Q72.1', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16515, 'Врожденное отсутствие голени и стопы', 'Q72.2', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16516, 'Врожденное отсутствие стопы и пальца(ев) стопы', 'Q72.3', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16517, 'Продольное укорочение бедренной кости', 'Q72.4', 16512, 'Q72', 0, 'Укорочение проксимального отдела бедренной кости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16518, 'Продольное укорочение большеберцовой кости', 'Q72.5', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16519, 'Продольное укорочение малоберцовой кости', 'Q72.6', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16520, 'Врожденное расщепление стопы', 'Q72.7', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16521, 'Другие дефекты, укорачивающие нижнюю(ие) конечность(и)', 'Q72.8', 16512, 'Q72', 0, 'Врожденное укорочение нижней конечности(ей)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16522, 'Дефект, укорачивающий нижнюю конечность неуточненный', 'Q72.9', 16512, 'Q72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16523, 'Дефекты, укорачивающие конечность неуточненную', 'Q73', 16450, 'Q65-Q79', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16524, 'Врожденное отсутствие конечности(ей) неуточненной(ых)', 'Q73.0', 16523, 'Q73', 0, 'Амелия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16525, 'Фокомелия конечности(ей) неуточненной(ых)', 'Q73.1', 16523, 'Q73', 0, 'Фокомелия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16526, 'Другие дефекты, укорачивающие конечность(и) неуточненную(ые)', 'Q73.8', 16523, 'Q73', 0, 'Продольная редукционная деформация конечности(ей) неуточненной(ых) Эктромелия БДУ } Гемимелия БДУ } конечности(ей) БДУ Редукционный дефект }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16527, 'Другие врожденные аномалии [пороки развития] конечности(ей)', 'Q74', 16450, 'Q65-Q79', 6, 'Исключены: полидактилия (Q69.-) редукционный дефект конечности (Q71-Q73) синдактилия (Q70.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16528, 'Другие врожденные аномалии верхней конечности(ей), включая плечевой пояс', 'Q74.0', 16527, 'Q74', 0, 'Добавочные запястные кости Ключично-черепной дизостоз Врожденный ложный сустав ключицы Макродактилия (пальцев руки) Деформация Маделунга Лучелоктевой синостоз Деформация Шпренгеля Трехфаланговый большой палец руки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16529, 'Врожденная аномалия коленного сустава', 'Q74.1', 16527, 'Q74', 0, 'Врожденное(ый): . отсутствие надколенника . вывих надколенника . genu valgum . genu varum Рудиментарный надколенник Исключены: врожденный: . вывих коленного сустава (Q68.2) . genu recurvatum (Q68.2) синдром "ногти-надколенника" (Q87.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16530, 'Другие врожденные аномалии нижней(их) конечности(ей), включая тазовый пояс', 'Q74.2', 16527, 'Q74', 0, 'Врожденное(ая): . сращение крестцово-подвздошного сочленения . аномалия развития: . голеностопного сустава . крестцово-подвздошного сочленения Исключено: смещение кпереди шейки бедра (Q65.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16531, 'Врожденный множественный артрогрипоз', 'Q74.3', 16527, 'Q74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16532, 'Другие уточненные врожденные аномалии конечности(ей)', 'Q74.8', 16527, 'Q74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16533, 'Врожденная аномалия конечности(ей) неуточненная', 'Q74.9', 16527, 'Q74', 0, 'Врожденная аномалия конечности(ей) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16534, 'Другие врожденные аномалии [пороки развития] костей черепа и лица', 'Q75', 16450, 'Q65-Q79', 8, 'Исключено: врожденная аномалия лица БДУ (Q18.-) синдромы врожденных аномалий, классифицированные в рубрике Q87.челюстно-лицевые аномалии (включая аномалии прикуса) (K07.-) скелетно-мышечные деформации головы и лица (Q67.0-Q67.4) дефекты черепа, связанные с врожденными аномалиями головного мозга, такими, как: . анэнцефалия (Q00.0) . энцефалоцеле (Q01.-) . гидроцефалия (Q03.-) . микроцефалия (Q02)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16535, 'Краниосиностоз', 'Q75.0', 16534, 'Q75', 0, 'Акроцефалия Неполное сращение костей черепа Оксицефалия Тригоноцефалия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16536, 'Краниофациальный дизостоз', 'Q75.1', 16534, 'Q75', 0, 'Болезнь Крузона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16537, 'Гипертелоризм', 'Q75.2', 16534, 'Q75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16538, 'Макроцефалия', 'Q75.3', 16534, 'Q75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16539, 'Челюстно-лицевой дизостоз', 'Q75.4', 16534, 'Q75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16540, 'Окуломандибулярный дизостоз', 'Q75.5', 16534, 'Q75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16541, 'Другие уточненные пороки развития костей черепа и лица', 'Q75.8', 16534, 'Q75', 0, 'Отсутствие кости черепа врожденное Врожденная деформация лобной кости Платибазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16542, 'Врожденная аномалия костей черепа и лица неуточненная', 'Q75.9', 16534, 'Q75', 0, 'Врожденный порок: . лицевых костей БДУ . черепа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16543, 'Врожденные аномалии [пороки развития] позвоночника и костей грудной клетки', 'Q76', 16450, 'Q65-Q79', 10, 'Исключены: врожденные скелетно-мышечные деформации позвоночника и грудной клетки (Q67.5-Q67.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16544, 'Spina bifida occulta', 'Q76.0', 16543, 'Q76', 0, 'Исключены: менингоцеле (спинальное) (Q05.-) spina bifida (aperta) (cystica) (Q05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16545, 'Синдром Клиппеля-Фейля', 'Q76.1', 16543, 'Q76', 0, 'Синдром сращения шейного отдела позвоночного столба');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16546, 'Врожденный спондилолистез', 'Q76.2', 16543, 'Q76', 0, 'Врожденный спондилолиз Исключены: спондилолистез (приобретенный) (M43.1) спондилолиз (приобретенный) (M43.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16547, 'Врожденный сколиоз, вызванный пороком развития кости', 'Q76.3', 16543, 'Q76', 0, 'Гемивертебральное сращение или недостаточность сегментации со сколиозом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16548, 'Другие врожденные аномалии позвоночника, не связанные со сколиозом', 'Q76.4', 16543, 'Q76', 0, 'Врожденное(ый)(ая): . отсутствие позвонка } . сращение позвоночного столба } . кифоз } . лордоз } . аномалия позвоночно- } неуточненное(ый)(ая) крестцового (сочленения) } или не связанное(ый)(ая) (области) } со сколиозом Гемивертебра } Аномалия позвоночного столба } Платиспондилез } Добавочный позвонок }');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16549, 'Шейное ребро', 'Q76.5', 16543, 'Q76', 0, 'Добавочное ребро в области шеи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16550, 'Другие врожденные аномалии ребер', 'Q76.6', 16543, 'Q76', 0, 'Добавочное ребро Врожденное(ая): . отсутствие ребра . сращение ребер . аномалия ребер БДУ Исключен: синдром короткого ребра (Q77.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16551, 'Врожденная аномалия грудины', 'Q76.7', 16543, 'Q76', 0, 'Врожденное отсутствие грудины Расщепление грудины [sternum bifidum]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16552, 'Другие врожденные аномалии костей грудной клетки', 'Q76.8', 16543, 'Q76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16553, 'Врожденная аномалия костей грудной клетки неуточненная', 'Q76.9', 16543, 'Q76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16554, 'Остеохондродисплазия с дефектами роста трубчатых костей и позвоночника', 'Q77', 16450, 'Q65-Q79', 10, 'Исключен: мукополисахаридоз (E76.0-E76.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16555, 'Ахондрогенезия', 'Q77.0', 16554, 'Q77', 0, 'Гипохондроплазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16556, 'Маленький рост, не совместимый с жизнью', 'Q77.1', 16554, 'Q77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16557, 'Синдром короткого ребра', 'Q77.2', 16554, 'Q77', 0, 'Дисплазия грудной клетки, приводящая к асфиксии [Jenue]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16558, 'Точечная хондродисплазия', 'Q77.3', 16554, 'Q77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16559, 'Ахондроплазия', 'Q77.4', 16554, 'Q77', 0, 'Гипохондроплазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16560, 'Дистрофическая дисплазия', 'Q77.5', 16554, 'Q77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16561, 'Хондроэктодермальная дисплазия', 'Q77.6', 16554, 'Q77', 0, 'Синдром Эллиса-Ван-Кревельда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16562, 'Спондилоэпифизарная дисплазия', 'Q77.7', 16554, 'Q77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16563, 'Другая остеохондродисплазия с дефектами роста трубчатых костей и позвоночного столба', 'Q77.8', 16554, 'Q77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16564, 'Остеохондродисплазия с дефектами роста трубчатых костей и позвоночного столба неуточненная', 'Q77.9', 16554, 'Q77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16565, 'Другие остеохондродисплазии', 'Q78', 16450, 'Q65-Q79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16566, 'Незавершенный остеогенез', 'Q78.0', 16565, 'Q78', 0, 'Врожденная ломкость костей Остеопсатироз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16567, 'Полиостозная фиброзная дисплазия', 'Q78.1', 16565, 'Q78', 0, 'Синдром Олбрайта (-Мак-Кьюна)(-Штернберга)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16568, 'Остеопетроз', 'Q78.2', 16565, 'Q78', 0, 'Синдром Алберса-Шенберга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16569, 'Прогрессирующая диафизарная дисплазия', 'Q78.3', 16565, 'Q78', 0, 'Синдром Камурати-Энгельманна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16570, 'Энхондроматоз', 'Q78.4', 16565, 'Q78', 0, 'Синдром Маффуччи Болезнь Олье');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16571, 'Метафизарная дисплазия', 'Q78.5', 16565, 'Q78', 0, 'Синдром Пайла');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16572, 'Множественные врожденные экзостозы', 'Q78.6', 16565, 'Q78', 0, 'Диафизарная аклазия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16573, 'Другие уточненные остеохондродисплазии', 'Q78.8', 16565, 'Q78', 0, 'Остеопойкилоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16574, 'Остеохондродисплазия неуточненная', 'Q78.9', 16565, 'Q78', 0, 'Хондродистрофия БДУ Остеодистрофия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16575, 'Врожденные аномалии [пороки развития] костно-мышечной системы, не классифицированные в других рубриках', 'Q79', 16450, 'Q65-Q79', 9, 'Исключена: врожденная (грудинососцевидная) кривошея (Q68.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16576, 'Врожденная диафрагмальная грыжа', 'Q79.0', 16575, 'Q79', 0, 'Исключена: врожденная грыжа пищеводного отверстия диафрагмы (Q40.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16577, 'Другие пороки развития диафрагмы', 'Q79.1', 16575, 'Q79', 0, 'Отсутствие диафрагмы Врожденный порок диафрагмы БДУ Эвентрация диафрагмы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16578, 'Экзомфалоз', 'Q79.2', 16575, 'Q79', 0, 'Омфалоцеле Исключена: пупочная грыжа (K42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16579, 'Гастрошиз', 'Q79.3', 16575, 'Q79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16580, 'Синдром сливообразного живота', 'Q79.4', 16575, 'Q79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16581, 'Другие врожденные аномалии брюшной стенки', 'Q79.5', 16575, 'Q79', 0, 'Исключена: пупочная грыжа (K42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16582, 'Синдром Элерса-Данло', 'Q79.6', 16575, 'Q79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16583, 'Другие пороки развития костно-мышечной системы', 'Q79.8', 16575, 'Q79', 0, 'Отсутствие: . мышцы . сухожилия Добавочная мышца Врожденная амиотрофия Врожденные(ое): . стягивающие спайки . укорочение сухожилия Синдром Поланда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16584, 'Врожденный порок костно-мышечной системы неуточненный', 'Q79.9', 16575, 'Q79', 0, 'Врожденная: . аномалия БДУ } . деформация БДУ } костно-мышечной системы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16586, 'ДРУГИЕ ВРОЖДЕННЫЕ АНОМАЛИИ [ПОРОКИ РАЗВИТИЯ]', 'Q80-Q89', 16001, 'Q00-Q99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16587, 'Врожденный ихтиоз', 'Q80', 16586, 'Q80-Q89', 7, 'Исключена: болезнь Рефсума (G60.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16588, 'Ихтиоз простой', 'Q80.0', 16587, 'Q80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16589, 'Ихтиоз, связанный с X-хромосомой [X-сцепленный ихтиоз]', 'Q80.1', 16587, 'Q80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16590, 'Пластинчатый [ламеллярный] ихтиоз', 'Q80.2', 16587, 'Q80', 0, 'Коллодиевый ребенок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16591, 'Врожденная буллезная ихтиоформная эритродермия', 'Q80.3', 16587, 'Q80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16592, 'Ихтиоз плода ["плод Арлекин"]', 'Q80.4', 16587, 'Q80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16593, 'Другой врожденный ихтиоз', 'Q80.8', 16587, 'Q80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16594, 'Врожденный ихтиоз неуточненный', 'Q80.9', 16587, 'Q80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16595, 'Буллезный эпидермолиз', 'Q81', 16586, 'Q80-Q89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16596, 'Эпидермолиз буллезный простой', 'Q81.0', 16595, 'Q81', 0, 'Исключен: синдром Коккейна (Q87.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16597, 'Эпидермолиз буллезный летальный', 'Q81.1', 16595, 'Q81', 0, 'Синдром Херлица');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16598, 'Эпидермолиз буллезный дистрофический', 'Q81.2', 16595, 'Q81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16599, 'Другой буллезный эпидермолиз', 'Q81.8', 16595, 'Q81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16600, 'Буллезный эпидермолиз неуточненный', 'Q81.9', 16595, 'Q81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16601, 'Другие врожденные аномалии [пороки развития] кожи', 'Q82', 16586, 'Q80-Q89', 8, 'Исключены: акродерматит энтеропатический (E83.2) врожденная эритропоэтическая порфирия (E80.0) пилонидальная киста или пазуха (L05.-) синдром Стерджа-Вебера(-Димитри) (Q85.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16602, 'Наследственная лимфедема', 'Q82.0', 16601, 'Q82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16603, 'Ксеродерма пигментная', 'Q82.1', 16601, 'Q82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16604, 'Мастоцитоз', 'Q82.2', 16601, 'Q82', 0, 'Крапивница пигментная Исключен: злокачественный мастоцитоз (C96.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16605, 'Недержание пигмента [incontinentia pigmenti]', 'Q82.3', 16601, 'Q82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16606, 'Эктодермальная дисплазия (ангидротическая)', 'Q82.4', 16601, 'Q82', 0, 'Исключен: синдром Эллиса-ван-Кревельда (Q77.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16607, 'Врожденный неопухолевый невус', 'Q82.5', 16601, 'Q82', 0, 'Родимое пятно БДУ Невус: . огненный . цвета портвейна . кроваво-красный [багровый] . кавернозный . сосудистый БДУ . бородавчатый Исключены: кофейные пятна [cafe au lait spots] (L81.3) лентиго (L81.4) невус: . БДУ (D22.-) . паутинный (I78.1) . меланоформный (D22.-) . пигментный (D22.-) . паукообразный (I78.1) . звездчатый (I78.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16608, 'Другие уточненные врожденные аномалии кожи', 'Q82.8', 16601, 'Q82', 0, 'Аномальные ладонные складки Добавочные кожные метки Доброкачественная семейная пузырчатка (болезнь Хейли-Хейли) Кожа вялая [cutis laxa] (гиперэластическая) Дерматоглифические аномалии Наследственный кератоз ладоней и стоп Кератоз фолликулярный [Дарье-Чайта] Исключен: синдром Элерса-Данло (Q79.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16609, 'Врожденная аномалия развития кожи неуточненная', 'Q82.9', 16601, 'Q82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16610, 'Врожденные аномалии [пороки развития] молочной железы', 'Q83', 16586, 'Q80-Q89', 6, 'Исключено: отсутствие грудной мышцы (Q79.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16611, 'Отсутствие молочной железы и соска', 'Q83.0', 16610, 'Q83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16612, 'Добавочная молочная железа', 'Q83.1', 16610, 'Q83', 0, 'Множественные молочные железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16613, 'Отсутствие соска', 'Q83.2', 16610, 'Q83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16614, 'Добавочный сосок', 'Q83.3', 16610, 'Q83', 0, 'Множественные соски');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16615, 'Другие врожденные аномалии молочной железы', 'Q83.8', 16610, 'Q83', 0, 'Гипоплазия молочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16616, 'Врожденная аномалия молочной железы неуточненная', 'Q83.9', 16610, 'Q83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16617, 'Другие врожденные аномалии [пороки развития] наружных покровов', 'Q84', 16586, 'Q80-Q89', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16618, 'Врожденная алопеция', 'Q84.0', 16617, 'Q84', 0, 'Врожденный атрихоз');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16619, 'Врожденные морфологические нарушения волос, не классифицированные в других рубриках', 'Q84.1', 16617, 'Q84', 0, 'Бусовидные волосы Узловатые волосы Кольцевидные волосы Исключен: синдром Менкеса [болезнь курчавых волос] (E83.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16620, 'Другие врожденные аномалии волос', 'Q84.2', 16617, 'Q84', 0, 'Врожденный(ая): . гипертрихоз . аномалия волос БДУ Сохранившиеся пушковые волосы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16621, 'Анонихия', 'Q84.3', 16617, 'Q84', 0, 'Исключен: синдром (отсутствия) (недоразвития) ногтей-надколенника (Q87.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16622, 'Врожденная лейконихия', 'Q84.4', 16617, 'Q84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16623, 'Увеличенные и гипертрофированные ногти', 'Q84.5', 16617, 'Q84', 0, 'Врожденное выпадение ногтей Пахионихия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16624, 'Другие врожденные аномалии ногтей', 'Q84.6', 16617, 'Q84', 0, 'Врожденные(ая): . булавовидные ногти . койлонихия . аномалия ногтей БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16625, 'Другие уточненные врожденные аномалии наружных покровов', 'Q84.8', 16617, 'Q84', 0, 'Аплазия кожи врожденная');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16626, 'Порок развития наружных покровов неуточненный', 'Q84.9', 16617, 'Q84', 0, 'Врожденный(ая): . порок БДУ } . аномалия БДУ } наружных покровов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16627, 'Факоматозы, не классифицированные в других рубриках', 'Q85', 16586, 'Q80-Q89', 4, 'Исключены: телеангиэктатическая атаксия [Луи-Бар] (G11.3) семейная дизавтономия [Райли-Дея] (G90.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16628, 'Нейрофиброматоз (незлокачественный)', 'Q85.0', 16627, 'Q85', 0, 'Болезнь Реклингхаузена');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16629, 'Туберозный склероз', 'Q85.1', 16627, 'Q85', 0, 'Болезнь Бурневилля Эпилойя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16630, 'Другие факоматозы, не классифицированные в других рубриках', 'Q85.8', 16627, 'Q85', 0, 'Синдром: . Пейтца-Егерса . Страджа-Вебера . Гиппеля-Линдау Исключен: синдром Меккеля-Грубера (Q61.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16631, 'Факоматоз неуточненный', 'Q85.9', 16627, 'Q85', 0, 'Гамартоз БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16632, 'Синдромы врожденных аномалий [пороков развития], обусловленные известными экзогенными факторами, не классифицированные в других рубриках', 'Q86', 16586, 'Q80-Q89', 4, 'Исключены: гипотиреоз, связанный с недостаточностью йода (E00-E02) нетератогенное воздействие веществ, передающихся через плаценту или грудное молоко (P04.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16633, 'Алкогольный синдром у плода (дизморфия)', 'Q86.0', 16632, 'Q86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16634, 'Синдром гидантоинового плода', 'Q86.1', 16632, 'Q86', 0, 'Синдром Медоу');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16635, 'Дизморфия, вызванная варфарином', 'Q86.2', 16632, 'Q86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16636, 'Другие синдромы врожденных аномалий, обусловленные воздействием известных экзогенных факторов', 'Q86.8', 16632, 'Q86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16637, 'Другие уточненные синдромы врожденных аномалий [пороков развития], затрагивающих несколько систем', 'Q87', 16586, 'Q80-Q89', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16638, 'Синдромы врожденных аномалий, влияющих преимущественно на внешний вид лица', 'Q87.0', 16637, 'Q87', 0, 'Акроцефалополисиндактилия Акроцефалосиндактилия [Аперта] Синдром криптофтальма Циклопия Синдром: . Гольденхара . Мебиуса . оро-фациально-дигитальный . Робена . Тречера Коллинза Лицо свистящего человека');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16639, 'Синдромы врожденных аномалий, проявляющихся преимущественно карликовостью', 'Q87.1', 16637, 'Q87', 0, 'Синдром: . Арскога . Коккейна . Де Ланге . Дубовица . Нунан . Прадера-Вилли . Робинова-Сильвермена-Смита . Рассела-Сильвера . Смита-Лемли-Опица Исключен: синдром Эллиса-ван-Кревельда (Q77.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16640, 'Синдромы врожденных аномалий, вовлекающих преимущественно конечности', 'Q87.2', 16637, 'Q87', 0, 'Синдром: . Холта-Орама . Клиппеля-Треноне-Вебера . отсутствия (недоразвития) ногтей-надколенника . Рубинштейна-Тейби . сиреномелии [сращения нижних конечностей] . тромбоцитопении с отсутствием лучевой кости [TAR] . VATER');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16641, 'Синдромы врожденных аномалий, проявляющихся избыточным ростом [гигантизмом] на ранних этапах развития', 'Q87.3', 16637, 'Q87', 0, 'Синдром: . Беквита-Видемана . Сотоса . Уивера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16642, 'Синдром Марфана', 'Q87.4', 16637, 'Q87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16643, 'Другие синдромы врожденных аномалий с другими изменениями скелета', 'Q87.5', 16637, 'Q87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16644, 'Другие уточненные синдромы врожденных аномалий, не классифицированные в других рубриках', 'Q87.8', 16637, 'Q87', 0, 'Синдром: . Альпорта . Лоренса-Муна-Бидля . Зелвегера');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16645, 'Другие врожденные аномалии [пороки развития], не классифицированные в других рубриках', 'Q89', 16586, 'Q80-Q89', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16646, 'Врожденные аномалии селезенки', 'Q89.0', 16645, 'Q89', 0, 'Аспления (врожденная) Врожденная спленомегалия Исключена: изомерия ушка предсердия (с аспленией или полиспленией) (Q20.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16647, 'Пороки развития надпочечника', 'Q89.1', 16645, 'Q89', 0, 'Исключена: врожденная гиперплазия надпочечников (E25.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16648, 'Врожденные аномалии других эндокринных желез', 'Q89.2', 16645, 'Q89', 0, 'Врожденная аномалия паращитовидной или щитовидной железы Сохранившийся щитовидно-язычковый проток Щитовидно-язычная киста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16649, 'Situs inversus', 'Q89.3', 16645, 'Q89', 0, 'Декстрокардия с локализационной инверсией Зеркально отраженное расположение предсердий с локализационной инверсией Зеркальное или поперечное расположение органов: . брюшной полости . грудной полости Транспозиция внутренних органов: . брюшной полости . грудной полости Исключена: декстрокардия БДУ (Q24.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16650, 'Сросшаяся двойня', 'Q89.4', 16645, 'Q89', 0, 'Краниопаг Дицефалия Двойной монстр Пигопаг Торакопаг');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16651, 'Множественные врожденные аномалии, не классифицированные в других рубриках', 'Q89.7', 16645, 'Q89', 0, 'Монстр БДУ Множественные врожденные: . пороки БДУ . деформации БДУ Исключены: синдромы врожденных аномалий, захватывающих несколько систем (Q87.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16652, 'Другие уточненные врожденные аномалии', 'Q89.8', 16645, 'Q89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16653, 'Врожденная аномалия неуточненная', 'Q89.9', 16645, 'Q89', 0, 'Врожденная: . аномалия БДУ . деформация БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16655, 'ХРОМОСОМНЫЕ АНОМАЛИИ, НЕ КЛАССИФИЦИРОВАННЫЕ В ДРУГИХ РУБРИКАХ', 'Q90-Q99', 16001, 'Q00-Q99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16656, 'Синдром Дауна', 'Q90', 16655, 'Q90-Q99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16657, 'Трисомия 21, мейотическое нерасхождение', 'Q90.0', 16656, 'Q90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16658, 'Трисомия 21, мозаицизм (митотическое нерасхождение)', 'Q90.1', 16656, 'Q90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16659, 'Трисомия 21, транслокация', 'Q90.2', 16656, 'Q90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16660, 'Синдром Дауна неуточненный', 'Q90.9', 16656, 'Q90', 0, 'Трисомия 21 БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16661, 'Синдром Эдвардса и синдром Патау', 'Q91', 16655, 'Q90-Q99', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16662, 'Трисомия 18, мейотическое нерасхождение', 'Q91.0', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16663, 'Трисомия 18, мозаицизм (митотическое нерасхождение)', 'Q91.1', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16664, 'Трисомия 18, транслокация', 'Q91.2', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16665, 'Синдром Эдвардса неуточненный', 'Q91.3', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16666, 'Трисомия 13, мейотическое нерасхождение', 'Q91.4', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16667, 'Трисомия 13, мозаицизм (митотическое нерасхождение)', 'Q91.5', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16668, 'Трисомия 13, транслокация', 'Q91.6', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16669, 'Синдром Патау неуточненный', 'Q91.7', 16661, 'Q91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16670, 'Другие трисомии и частичные трисомии аутосом, не классифицированные в других рубриках', 'Q92', 16655, 'Q90-Q99', 10, 'Включены: несбалансированные транслокации и инсерции Исключены: трисомии хромосом 13, 18, 21 (Q90-Q91)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16671, 'Полная хромосомная трисомия, мейотическое нерасхождение', 'Q92.0', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16672, 'Полная хромосомная трисомия, мозаицизм (митотическое нерасхождение)', 'Q92.1', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16673, 'Большая частичная трисомия', 'Q92.2', 16670, 'Q92', 0, 'Удвоение целого плеча или большого отрезка хромосомы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16674, 'Малая частичная трисомия', 'Q92.3', 16670, 'Q92', 0, 'Удвоение отрезка хромосомы, меньшего, чем плечо');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16675, 'Удвоения, наблюдаемые только в прометафазе', 'Q92.4', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16676, 'Удвоения с другим комплексом перестроек', 'Q92.5', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16677, 'Особо отмеченные хромосомы', 'Q92.6', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16678, 'Триплоидия и полиплоидия', 'Q92.7', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16679, 'Другие уточненные трисомии и частичные трисомии аутосом', 'Q92.8', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16680, 'Трисомии и частичные трисомии аутосом неуточненные', 'Q92.9', 16670, 'Q92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16681, 'Моносомии и утраты части аутосом, не классифицированные в других рубриках', 'Q93', 16655, 'Q90-Q99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16682, 'Полная хромосомная моносомия, мейотическое нерасхождение', 'Q93.0', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16683, 'Полная хромосомная моносомия, мозаицизм (митотическое нерасхождение)', 'Q93.1', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16684, 'Хромосомное смещение с закруглением или смещением центра', 'Q93.2', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16685, 'Делеция короткого плеча хромосомы 4', 'Q93.3', 16681, 'Q93', 0, 'Синдром Вольфа-Гиршорна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16686, 'Делеция короткого плеча хромосомы 5', 'Q93.4', 16681, 'Q93', 0, 'Синдром [болезнь] кошачьего крика');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16687, 'Другие делеции части хромосомы', 'Q93.5', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16688, 'Делеции, наблюдаемые только в прометафазе', 'Q93.6', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16689, 'Делеции с другим комплексом перестроек', 'Q93.7', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16690, 'Другие делеции из аутосом', 'Q93.8', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16691, 'Делеция из аутосом неуточненная', 'Q93.9', 16681, 'Q93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16692, 'Сбалансированные перестройки и структурные маркеры, не классифицированные в других рубриках', 'Q95', 16655, 'Q90-Q99', 8, 'Включены: робертсоновские и сбалансированные взаимные транслокации и инсерции');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16693, 'Сбалансированные транслокации и инсерции у нормального индивида', 'Q95.0', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16694, 'Хромосомные инверсии у нормального индивида', 'Q95.1', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16695, 'Сбалансированные аутосомные перестройки у анормального индивида', 'Q95.2', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16696, 'Сбалансированные половые/аутосомные перестройки у нормального индивида', 'Q95.3', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16697, 'Индивиды с обозначенным гетерохроматином', 'Q95.4', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16698, 'Индивиды с ломким участком аутосом', 'Q95.5', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16699, 'Другие сбалансированные перестройки и структурные маркеры', 'Q95.8', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16700, 'Сбалансированные перестройки и структурные маркеры неуточненные', 'Q95.9', 16692, 'Q95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16701, 'Синдром Тернера', 'Q96', 16655, 'Q90-Q99', 7, 'Исключен: синдром Нунан (Q87.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16702, 'Кариотип 45,X', 'Q96.0', 16701, 'Q96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16703, 'Кариотип 46,X iso (Xq)', 'Q96.1', 16701, 'Q96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16704, 'Кариотип 46,X с аномальной половой хромосомой, за исключением iso (Xq)', 'Q96.2', 16701, 'Q96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16705, 'Мозаицизм 45,X/46,XX или XY', 'Q96.3', 16701, 'Q96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16706, 'Мозаицизм 45,X/другая клеточная линия (линии) с аномальной половой хромосомой', 'Q96.4', 16701, 'Q96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16707, 'Другие варианты синдрома Тернера', 'Q96.8', 16701, 'Q96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16708, 'Синдром Тернера неуточненный', 'Q96.9', 16701, 'Q96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16709, 'Другие аномалии половых хромосом, женский фенотип, не классифицированные в других рубриках', 'Q97', 16655, 'Q90-Q99', 6, 'Исключен: синдром Тернера (Q96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16710, 'Кариотип 47,XXX', 'Q97.0', 16709, 'Q97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16711, 'Женщина с более чем тремя X-хромосомами', 'Q97.1', 16709, 'Q97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16712, 'Мозаицизм, цепочки с различным числом X-хромосом', 'Q97.2', 16709, 'Q97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16713, 'Женщина с 46,XY-кариотипом', 'Q97.3', 16709, 'Q97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16714, 'Другие уточненные аномальные половые хромосомы, женский фенотип', 'Q97.8', 16709, 'Q97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16715, 'Аномалия половых хромосом, женский фенотип, неуточненная', 'Q97.9', 16709, 'Q97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16716, 'Другие аномалии половых хромосом, мужской фенотип, не классифицированные в других рубриках', 'Q98', 16655, 'Q90-Q99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16717, 'Синдром Клайнфелтера, кариотип 47,XXY', 'Q98.0', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16718, 'Синдром Клайнфелтера, мужчина с более чем двумя X-хромосомами', 'Q98.1', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16719, 'Синдром Клайнфелтера, мужчина с 46,XX-кариотипом', 'Q98.2', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16720, 'Другой мужчина с 46,XX-кариотипом', 'Q98.3', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16721, 'Синдром Клайнфелтера неуточненный', 'Q98.4', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16722, 'Кариотип 47,XYY', 'Q98.5', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16723, 'Мужчина со структурно измененными половыми хромосомами', 'Q98.6', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16724, 'Мужчина с мозаичными половыми хромосомами', 'Q98.7', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16725, 'Другие уточненные аномалии половых хромосом, мужской фенотип', 'Q98.8', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16726, 'Аномалия половых хромосом, мужской фенотип, неуточненная', 'Q98.9', 16716, 'Q98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16727, 'Другие аномалии хромосом, не классифицированные в других рубриках', 'Q99', 16655, 'Q90-Q99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16728, 'Мозаик [химера] 46,XX/46,XY', 'Q99.0', 16727, 'Q99', 0, 'Химера 46,XX/46,XY, истинный гермафродит');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16729, '46,XX истинный гермафродит', 'Q99.1', 16727, 'Q99', 0, '46,XX со штрихованными гонадами 46,XY со штрихованными гонадами Чистый гонадный дисгенез');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16730, 'Ломкая X-хромосома', 'Q99.2', 16727, 'Q99', 0, 'Синдром ломкой X-хромосомы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16731, 'Другие уточненные хромосомные аномалии', 'Q99.8', 16727, 'Q99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(16732, 'Хромосомная аномалия неуточненная', 'Q99.9', 16727, 'Q99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17001, 'СИМПТОМЫ, ПРИЗНАКИ И ОТКЛОНЕНИЯ ОТ НОРМЫ, ВЫЯВЛЕННЫЕ ПРИ КЛИНИЧЕСКИХ И ЛАБОРАТОРНЫХ ИССЛЕДОВАНИЯХ, НЕ КЛАССИФИЦИРОВАННЫЕ В ДРУГИХ РУБРИКАХ', 'R00-R99', NULL, NULL, 13, 'В этот класс включены симптомы, признаки и отклонения от нормы, вы-\nявленные при клинических или других исследованиях, а также неточно\nобозначенные состояния, в отношении которых не указан какой-либо\nдиагноз, классифицированный в других рубриках.\nПризнаки и симптомы, на основании которых удается поставить доста-\nточно определенный диагноз, классифицированы в рубриках других\nклассов. Рубрики настоящего класса, как правило, включают не столь\nточно обозначенные состояния и симптомы, которые в равной степени\nмогут относиться к двум или более болезням либо к двум или более\nсистемам организма, при отсутствие необходимого исследования, поз-\nволяющего установить окончательный диагноз. Практически все состоя-\nния, входящие в рубрики этого класса, можно определить как "неуточ-\nненные", "без других указаний", "неизвестной этиологии" или "прехо-\nдящие". Для того, чтобы установить, относятся те или иные симптомы\nи признаки к данному классу или к другим разделам классификации,\nследует использовать Алфавитный указатель. Оставшиеся подрубрики со\nзнаком .8 обычно предусмотрены для для прочих сообщаемых симптомов,\nкоторые не могут быть отнесены к другим разделам классификации.\nК состояниям, признакам и симптомам, включенным в рубрику R00-R99,\nотносятся: а) случаи, при которых более точная диагностика была не-\nвозможна даже после изучения всех имеющихся фактических данных; б)\nслучаи появления преходящих симптомов или признаков, причины кото-\nрых невозможно было установить; в) случаи постановки предваритель-\nного диагноза, который невозможно было подтвердить из-за неявки\nбольного для дальнейшего обследования или лечения; г) случаи напра-\nвления больного в другое учреждение для обследования или лечения до\nпостановки окончательного диагноза; д) случаи, когда более точный\nдиагноз не был установлен по какой-либо иной причине; е) некоторые\nсимптомы, по которым представлена дополнительная информация, сама\nпо себе не имеющая ценности для оказания медицинской помощи.\nИсключены: отклонения от нормы, выявленные при антенатальном обследовании матери (O28.-) отдельные состояния, возникающие в перинатальном периоде (P00-P96)\nЭтот класс содержит следующие блоки:\nR00-R09 Симптомы и признаки, относящиеся к системам кровообращения и дыхания\nR10-R19 Симптомы и признаки, относящиеся к системам пищеварения и брюшной полости\nR20-R23 Симптомы и признаки, относящиеся к коже и подкожной клетчатке\nR25-R29 Симптомы и признаки, относящиеся к нервной и костно-мышечной системам\nR30-R39 Симптомы и признаки, относящиеся к мочевой системе\nR40-R46 Симптомы и признаки, относящиеся к познавательной способности, восприятию, эмоциональному состоянию и поведению\nR47-R49 Симптомы и признаки, относящиеся к речи и голосу\nR50-R69 Общие симптомы и признаки\nR70-R79 Отклонения от нормы, выявленные при исследовании крови, при отсутствии диагноза\nR80-R82 Отклонения от нормы, выявленные при исследовании мочи, при отсутствии диагноза\nR83-R89 Отклонения от нормы, выявленные при исследовании других жидкостей, субстанций и тканей организма, при отсутствии диагноза\nR90-R94 Отклонения от нормы, выявленные при диагностических исследованиях с получением изображений и функциональных исследованиях, при отсутствии диагноза\nR95-R99 Неточно обозначенные и неизвестные причины смерти\n');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17002, 'СИМПТОМЫ И ПРИЗНАКИ, ОТНОСЯЩИЕСЯ К СИСТЕМАМ КРОВООБРАЩЕНИЯ И ДЫХАНИЯ', 'R00-R09', 17001, 'R00-R99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17003, 'Отклонения от нормы сердечного ритма', 'R00', 17002, 'R00-R09', 4, 'Исключены: нарушения ритма сердца в перинатальном периоде (P29.1) уточненные аритмии (I47-I49)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17004, 'Тахикардия неуточненная', 'R00.0', 17003, 'R00', 0, 'Ускоренное биение сердца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17005, 'Брадикардия неуточненная', 'R00.1', 17003, 'R00', 0, 'Замедленное биение сердца При необходимости идентифицировать лекарственное средство в случае медикаментозной брадикардии используют дополнительный код внешних причин (класс XX).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17006, 'Сердцебиение', 'R00.2', 17003, 'R00', 0, 'Ощущение сердцебиения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17007, 'Другие и неуточненные аномалии сердечного ритма', 'R00.8', 17003, 'R00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17008, 'Сердечные шумы и другие сердечные звуки', 'R01', 17002, 'R00-R09', 3, 'Исключены: возникающие в перинатальном периоде (P29.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17009, '"Доброкачественные" и не причиняющие беспокойства сердечные шумы', 'R01.0', 17008, 'R01', 0, 'Функциональный сердечный шум');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17010, 'Сердечный шум неуточненный', 'R01.1', 17008, 'R01', 0, 'Сердечный шум БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17011, 'Другие сердечные звуки', 'R01.2', 17008, 'R01', 0, 'Приглушенность тонов сердца (возрастающая или убывающая) Прекордиальный шум');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17012, 'Гангрена, не классифицированная в других рубриках', 'R02', 17002, 'R00-R09', 0, 'Исключены: гангрена при: . атеросклерозе (I70.2) . сахарном диабете (E10-E14 с общим четвертым знаком .5) . других болезнях периферических сосудов (I73.-) гангрена определенных уточненных локализаций - см. Алфавитный указатель . газовая гангрена (A48.0) . пиодермия гангренозная (L88)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17013, 'Анормальные показатели кровяного давления при отсутствии диагноза', 'R03', 17002, 'R00-R09', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17014, 'Повышенное кровяное давление при отсутствии диагноза гипертензии', 'R03.0', 17013, 'R03', 0, 'Примечание. Эту категорию следует использовать в том случае, когда регистрируется эпизод повышения давления у лица, которому формальный диагноз гипертензии не поставлен или когда такой эпизод является изолированной, случайной находкой.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17015, 'Неспецифическое низкое давление', 'R03.1', 17013, 'R03', 0, 'Исключены: гипотензия (I95.-) . неврогенная ортостатическая (G90.3) гипотензивный синдром у матери (O26.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17016, 'Кровотечение из дыхательных путей', 'R04', 17002, 'R00-R09', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17017, 'Носовое кровотечение', 'R04.0', 17016, 'R04', 0, 'Кровотечение из носа Epistaxis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17018, 'Кровотечение из горла', 'R04.1', 17016, 'R04', 0, 'Исключено: кровохарканье (R04.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17019, 'Кровохарканье', 'R04.2', 17016, 'R04', 0, 'Кровавая мокрота Кашель с кровью в мокроте');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17020, 'Кровотечение из других отделов дыхательных путей', 'R04.8', 17016, 'R04', 0, 'Легочное кровотечение БДУ Исключено: легочное кровотечение в перинатальном периоде (P26.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17021, 'Кровотечение из дыхательных путей неуточненное', 'R04.9', 17016, 'R04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17022, 'Кашель', 'R05', 17002, 'R00-R09', 0, 'Исключены: кашель с кровью (R04.2) психогенный кашель (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17023, 'Аномальное дыхание', 'R06', 17002, 'R00-R09', 9, 'Исключены: респираторная(ый): . задержка дыхания (R09.2) . дистресс (синдром) (у): . взрослого (J80) . новорожденного (P22.-) . недостаточность (J96.-) . у новорожденного (P28.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17024, 'Одышка', 'R06.0', 17023, 'R06', 0, 'Ортопноэ Поверхностное дыхание Исключено: преходящее тахипноэ у новорожденного (P22.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17025, 'Стридор', 'R06.1', 17023, 'R06', 0, 'Исключены: врожденный стридор гортани (Q31.4) спазм гортани (стридорозный) (J38.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17026, 'Свистящее дыхание', 'R06.2', 17023, 'R06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17027, 'Прерывистое дыхание', 'R06.3', 17023, 'R06', 0, 'Дыхание Чейна-Стокса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17028, 'Гипервентиляция', 'R06.4', 17023, 'R06', 0, 'Исключена: психогенная гипервентиляция (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17029, 'Дыхание через рот', 'R06.5', 17023, 'R06', 0, 'Храп Исключен: сухой рот БДУ (R68.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17030, 'Икота', 'R06.6', 17023, 'R06', 0, 'Исключена: психогенная икота (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17031, 'Чиханье', 'R06.7', 17023, 'R06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17032, 'Другоее и неуточненное анормальное дыхание', 'R06.8', 17023, 'R06', 0, 'Апноэ БДУ Задержка дыхания (приступы) Ощущение удушья Вздохи Исключены: апноэ: . новорожденного (P28.4) . во время сна (G47.3) . у новорожденного (первичное) (P28.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17033, 'Боль в горле и в груди', 'R07', 17002, 'R00-R09', 5, 'Исключены: дисфагия (R13) эпидемическая миалгия (B33.0) боль (в): . грудной железе (N64.4) . шее (M54.2) sore throat (acute) БДУ (J02.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17034, 'Боль в горле', 'R07.0', 17033, 'R07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17035, 'Боль в груди при дыхании', 'R07.1', 17033, 'R07', 0, 'Болезненное вдыхание');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17036, 'Боль в области сердца', 'R07.2', 17033, 'R07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17037, 'Другие боли в груди', 'R07.3', 17033, 'R07', 0, 'Боли в области передней стенки грудной клетки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17038, 'Боль в груди неуточненная', 'R07.4', 17033, 'R07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17039, 'Другие симптомы и признаки, относящиеся к системам кровообращения и дыхания', 'R09', 17002, 'R00-R09', 5, 'Исключены: респираторный(ая): . дистресс (синдром) у: . взрослого (J80) . новорожденного (P22.-) . недостаточность (J96.-) . у новорожденного (P28.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17040, 'Асфиксия', 'R09.0', 17039, 'R09', 0, 'Исключены: асфиксия (при) (вызванная): . рождении (P21.-) . отравлении окисью углерода (T58) . инородным телом в дыхательных путях (T17.-) . внутриутробная (P20.-) . травматическая (T71)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17041, 'Плеврит', 'R09.1', 17039, 'R09', 0, 'Исключен: плеврит с выпотом (J90)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17042, 'Задержка дыхания', 'R09.2', 17039, 'R09', 0, 'Кардиореспираторная недостаточность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17043, 'Мокрота', 'R09.3', 17039, 'R09', 0, 'Анормальное(ый): . количество } . цвет } . запах } мокроты Чрезмерность } Исключена: кровавая мокрота (R04.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17044, 'Другие уточненные симптомы и признаки, относящиеся к системам кровообращения и дыхания', 'R09.8', 17039, 'R09', 0, 'Шум (артериальный) Над областью (в области) грудной клетки: . измененный перкуторный звук . шум трения . тимпанический звук при перкуссии Хрипы Слабый пульс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17046, 'СИМПТОМЫ И ПРИЗНАКИ, ОТНОСЯЩИЕСЯ К СИСТЕМЕ ПИЩЕВАРЕНИЯ И БРЮШНОЙ ПОЛОСТИ', 'R10-R19', 17001, 'R00-R99', 10, 'Исключены: желудочно-кишечное кровотечение (K92.0-K92.2) . у новорожденного (P54.0-P54.3) кишечная непроходимость (K56.-) . у новорожденного (P76.-) пилороспазм (K31.3) . врожденный или младенческий (Q40.0) симптомы и признаки, относящиеся к мочевой системе (R30-R39) симптомы, относящиеся к половым органам: . женским (N94.-) . мужским (N48-N50)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17047, 'Боли в области живота и таза', 'R10', 17046, 'R10-R19', 5, 'Исключены: боли в спине (M54.-) метеоризм и родственные состояния (R14) почечная колика (N23)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17048, 'Острый живот', 'R10.0', 17047, 'R10', 0, 'Сильные боли в животе (генерализованные) (локализованные) (с ригидностью мышц живота)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17049, 'Боли, локализованные в верхней части живота', 'R10.1', 17047, 'R10', 0, 'Эпигастральные боли');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17050, 'Боли в области таза и промежности', 'R10.2', 17047, 'R10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17051, 'Боли, локализованные в других областях нижней части живота', 'R10.3', 17047, 'R10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17052, 'Другие и неуточненные боли в области живота', 'R10.4', 17047, 'R10', 0, 'Болезненность живота БДУ Колика: . БДУ . у детей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17053, 'Тошнота и рвота', 'R11', 17046, 'R10-R19', 0, 'Исключены: кровавая рвота (K92.0) . у новорожденных (P54.0) рвота: . неукротимая при беременности (O21.-) . после хирургического вмешательства на желудочно-кишечном тракте (K91.0) . у новорожденного (P92.0) . психогенная (F50.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17054, 'Изжога', 'R12', 17046, 'R10-R19', 0, 'Исключена: диспепсия (K30)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17055, 'Дисфагия', 'R13', 17046, 'R10-R19', 0, 'Затрудненное глотание');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17056, 'Метеоризм и родственные состояния', 'R14', 17046, 'R10-R19', 0, 'Растяжение живота (газами) Вздутие живота Отрыжка Боли от скопления газов Тимпанит (абдоминальный) (интестинальный) Исключена: психогенная аэрография (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17057, 'Недержание кала', 'R15', 17046, 'R10-R19', 0, 'Энкопрез БДУ Исключено: неорганического происхождения (F98.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17058, 'Гепатомегалия и спленомегалия, не классифицированные в других рубриках', 'R16', 17046, 'R10-R19', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17059, 'Гепатомегалия, не классифицированная в других рубриках', 'R16.0', 17058, 'R16', 0, 'Гепатомегалия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17060, 'Спленомегалия, не классифицированная в других рубриках', 'R16.1', 17058, 'R16', 0, 'Спленомегалия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17061, 'Гепатомегалия со  спленомегалией, не классифицированные в других рубриках', 'R16.2', 17058, 'R16', 0, 'Гепатоспленомегалия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17062, 'Неуточненная желтуха', 'R17', 17046, 'R10-R19', 0, 'Исключены: желтуха новорожденного (P55, P57-P59)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17063, 'Асцит', 'R18', 17046, 'R10-R19', 0, 'Жидкость в брюшной полости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17064, 'Другие симптомы и признаки, относящиеся к системе пищеварения и брюшной полости', 'R19', 17046, 'R10-R19', 8, 'Исключен: острый живот (R10.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17065, 'Внутрибрюшное или внутритазовое выбухание, уплотнение и припухлость', 'R19.0', 17064, 'R19', 0, 'Диффузное или генерализованное выбухание или уплотнение: . внутрибрюшное БДУ . тазовое БДУ . пупочное Исключены: растяжение живота (газами) (R14) асцит (R18)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17066, 'Анормальные шумы кишечника', 'R19.1', 17064, 'R19', 0, 'Отсутствие шумов кишечника Чрезмерно выраженные шумы кишечника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17067, 'Видимая перистальтика', 'R19.2', 17064, 'R19', 0, 'Усиленная перистальтика');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17068, 'Напряжение живота', 'R19.3', 17064, 'R19', 0, 'Исключено: с сильной болью в животе (R10.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17069, 'Изменения в деятельности кишечника', 'R19.4', 17064, 'R19', 0, 'Исключены: запор (K59.0) функциональная диарея (K59.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17070, 'Другие изменения кала', 'R19.5', 17064, 'R19', 0, 'Анормальный цвет испражнений Обильные испражнения Слизь в кале Исключены: мелена (K92.1) . у новорожденного (P54.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17071, 'Неприятный запах изо рта [зловонное дыхание]', 'R19.6', 17064, 'R19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17072, 'Другие уточненные симптомы и признаки, относящиеся к системе пищеварения и брюшной полости', 'R19.8', 17064, 'R19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17074, 'СИМПТОМЫ И ПРИЗНАКИ, ОТНОСЯЩИЕСЯ К КОЖЕ И ПОДКОЖНОЙ КЛЕТЧАТКЕ', 'R20-R23', 17001, 'R00-R99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17075, 'Нарушение кожной чувствительности', 'R20', 17074, 'R20-R23', 5, 'Исключены: диссоциативная анестезия и потеря чувственного восприятия (F44.6) психогенные нарушения (F45.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17076, 'Анестезия кожи', 'R20.0', 17075, 'R20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17077, 'Гипестезия кожи', 'R20.1', 17075, 'R20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17078, 'Парестезия кожи', 'R20.2', 17075, 'R20', 0, 'Ощущение "ползания мурашек" Ощущение "покалывания булавками и иголками" Исключена: акропарестезия (I73.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17079, 'Гиперестезия', 'R20.3', 17075, 'R20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17080, 'Другие и неуточненные нарушения кожной чувствительности', 'R20.8', 17075, 'R20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17081, 'Сыпь и другие неспецифические кожные высыпания', 'R21', 17074, 'R20-R23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17082, 'Локализованное выбухание, уплотнение или припухлость кожи и подкожной клетчатки', 'R22', 17074, 'R20-R23', 7, 'Включены: подкожные узелки (локализованные) (поверхностные) Исключены: отклонения от нормы, обнаруженные при получении диагностического изображения (R90-R93) увеличенные лимфатические узлы (R59.-) локализованное отложение жира (E65) уплотнение или припухлость: . молочной железы (N63) . внутрибрюшное или тазовое (R19.0) отек (R60.-) выбухание внутрибрюшное или тазовое (R19.0) припухлость суставов (M25.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17083, 'Локализованное выбухание, уплотнение или припухлость в области головы', 'R22.0', 17082, 'R22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17084, 'Локализованное выбухание, уплотнение или припухлость в области шеи', 'R22.1', 17082, 'R22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17085, 'Локализованное выбухание, уплотнение или припухлость в области туловища', 'R22.2', 17082, 'R22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17086, 'Локализованное выбухание, уплотнение или припухлость верхней верхней конечности', 'R22.3', 17082, 'R22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17087, 'Локализованное выбухание, уплотнение или припухлость в области нижней конечности', 'R22.4', 17082, 'R22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17088, 'Локализованное выбухание, уплотнение или припухлость множественных областей тела', 'R22.7', 17082, 'R22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17089, 'Локализованное выбухание, уплотнение или припухлость неуточненное', 'R22.9', 17082, 'R22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17090, 'Другие кожные изменения', 'R23', 17074, 'R20-R23', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17091, 'Цианоз', 'R23.0', 17090, 'R23', 0, 'Исключены: акроцианоз (I73.8) приступ цианоза у новорожденного (P28.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17092, 'Бледность', 'R23.1', 17090, 'R23', 0, 'Холодная, влажная кожа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17093, 'Гиперемия', 'R23.2', 17090, 'R23', 0, 'Чрезмерное покраснение Исключена: связанная с менопаузой и климактерическим состоянием у женщин (N95.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17094, 'Спонтанные экхимозы', 'R23.3', 17090, 'R23', 0, 'Петехии Исключены: экхимозы у плода и новорожденного (P54.5) пурпура (D69.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17095, 'Изменения структуры кожи', 'R23.4', 17090, 'R23', 0, 'Шелушение } Уплотнение } кожи Чешуйчатость } Исключено: эпидермальное утолщение БДУ (L85.9)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17096, 'Другие и неуточненные кожные изменения', 'R23.8', 17090, 'R23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17098, 'СИМПТОМЫ И ПРИЗНАКИ, ОТНОСЯЩИЕСЯ К НЕРВНОЙ И КОСТНО-МЫШЕЧНОЙ СИСТЕМАМ', 'R25-R29', 17001, 'R00-R99', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17099, 'Анормальные непроизвольные движения', 'R25', 17098, 'R25-R29', 5, 'Исключены: специфические двигательные расстройства (G20-G26) стереотипные двигательные расстройства (F98.4) тики (F95.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17100, 'Анормальные движения головы', 'R25.0', 17099, 'R25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17101, 'Тремор неуточненный', 'R25.1', 17099, 'R25', 0, 'Исключены: хорея БДУ (G25.5) тремор: . эссенциальный (G25.0) . диссоциативный (F44.4) . интенционный (G25.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17102, 'Судорога и спазм', 'R25.2', 17099, 'R25', 0, 'Исключены: карпопедальный спазм (R29.0) детские спазмы (G40.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17103, 'Фасцикуляция', 'R25.3', 17099, 'R25', 0, 'Подергивания БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17104, 'Другие и неуточненные анормальные непроизвольные движения', 'R25.8', 17099, 'R25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17105, 'Нарушения походки и подвижности', 'R26', 17098, 'R25-R29', 4, 'Исключены: атаксия: . БДУ (R27.0) . наследственная (G11.-) . двигательная (сифилитическая) (A52.1) синдром неподвижности (параплегический) (M62.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17106, 'Атаксическая походка', 'R26.0', 17105, 'R26', 0, 'Шатающаяся походка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17107, 'Паралитическая походка', 'R26.1', 17105, 'R26', 0, 'Спастическая походка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17108, 'Затруднение при ходьбе, не классифицированное в других рубриках', 'R26.2', 17105, 'R26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17109, 'Другие и неуточненные нарушения походки и подвижности', 'R26.8', 17105, 'R26', 0, 'Неустойчивость при ходьбе БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17110, 'Другое нарушение координации', 'R27', 17098, 'R25-R29', 2, 'Исключены: атаксическая походка (R26.0) наследственная атаксия (G11.-) головокружение БДУ (R42)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17111, 'Атаксия неуточненная', 'R27.0', 17110, 'R27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17112, 'Другое и неуточненное нарушение координации', 'R27.8', 17110, 'R27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17113, 'Другие симптомы и признаки, относящиеся к нервной и костно мышечной системам', 'R29', 17098, 'R25-R29', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17114, 'Тетания', 'R29.0', 17113, 'R29', 0, 'Карпопедальный спазм Исключены: тетания: . диссоциативная (F44.5) . новорожденного (P71.3) . паратиреоидная (E20.9) . после удаления щитовидной железы (E89.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17115, 'Менингизм', 'R29.1', 17113, 'R29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17116, 'Анормальный рефлекс', 'R29.2', 17113, 'R29', 0, 'Исключены: анормальный зрачковый рефлекс (H57.0) повышенный рвотный рефлекс (J39.2) вазовагальная реакция, или обморок (R55)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17117, 'Анормальное положение тела', 'R29.3', 17113, 'R29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17118, 'Щелкающее бедро', 'R29.4', 17113, 'R29', 0, 'Исключена: врожденная деформация бедра (Q65.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17119, 'Другие и неуточненные симптомы и признаки, относящиеся к нервной и костно-мышечной системам', 'R29.8', 17113, 'R29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17121, 'СИМПТОМЫ И ПРИЗНАКИ, ОТНОСЯЩИЕСЯ К МОЧЕВОЙ СИСТЕМЕ', 'R30-R39', 17001, 'R00-R99', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17122, 'Боль связанная с мочеиспусканием', 'R30', 17121, 'R30-R39', 3, 'Исключена: психогенная боль (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17123, 'Дизурия', 'R30.0', 17122, 'R30', 0, 'Затрудненное мочеиспускание [странгурия]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17124, 'Тенезмы мочевого пузыря', 'R30.1', 17122, 'R30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17125, 'Болезненное мочеиспускание, неуточненное', 'R30.9', 17122, 'R30', 0, 'Болезненное мочеиспускание БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17126, 'Неспецифическая гематурия', 'R31', 17121, 'R30-R39', 0, 'Исключена: рецидивирующая или стойкая гематурия (N02.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17127, 'Недержание мочи неуточненное', 'R32', 17121, 'R30-R39', 0, 'Энурез БДУ Исключены: энурез неорганической природы (F98.0) недержание мочи, вызванное стрессом, и другое уточненное недержание мочи (N39.3-N39.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17128, 'Задержка мочи', 'R33', 17121, 'R30-R39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17129, 'Анурия и олигурия', 'R34', 17121, 'R30-R39', 0, 'Исключены: случаи, осложняющие: . аборт, внематочную или молярную беременность (O00-O07, O08.4) . беременность, роды и послеродовой период (O26.8, O90.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17130, 'Полиурия', 'R35', 17121, 'R30-R39', 0, 'Частое мочеиспускание Полиурия ночная [никтурия] Исключена: психогенная полиурия (F45.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17131, 'Выделения из уретры', 'R36', 17121, 'R30-R39', 0, 'Выделения из мужского полового члена');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17132, 'Другие симптомы и признаки, относящиеся к мочевыделительной системе', 'R39', 17121, 'R30-R39', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17133, 'Экстравазация мочи', 'R39.0', 17132, 'R39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17134, 'Другие трудности, связанные с мочеиспусканием', 'R39.1', 17132, 'R39', 0, 'Прерывистое мочеиспускание Слабая струя мочи Расщепленная струя мочи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17135, 'Экстраренальная уремия', 'R39.2', 17132, 'R39', 0, 'Преренальная уремия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17136, 'Другие и неуточненные симптомы и признаки, относящиеся к мочевой системе', 'R39.8', 17132, 'R39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17138, 'СИМПТОМЫ И ПРИЗНАКИ, ОТНОСЯЩИЕСЯ К ПОЗНАВАТЕЛЬНОЙ СПОСОБНОСТИ, ВОСПРИЯТИЮ, ЭМОЦИОНАЛЬНОМУ СОСТОЯНИЮ И ПОВЕДЕНИЮ', 'R40-R46', 17001, 'R00-R99', 7, 'Исключены: симптомы и признаки, являющиеся частью клинической картины психического расстройства (F00-F99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17139, 'Сомнолентность, ступор и кома', 'R40', 17138, 'R40-R46', 3, 'Исключены: кома: . диабетическая (E10-E14 с общим четвертым знаком .0) . печеночная (K72.-) . гипогликемическая (недиабетическая) (E15) . новорожденного (P91.5) . уремическая (N19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17140, 'Сомнолентность [гиперсомния]', 'R40.0', 17139, 'R40', 0, 'Сонливость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17141, 'Ступор', 'R40.1', 17139, 'R40', 0, 'Прекома Исключены: ступор: . кататонический (F20.2) . депрессивный (F31-F33) . диссоциативный (F44.2) . маниакальный (F30.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17142, 'Кома неуточненная', 'R40.2', 17139, 'R40', 0, 'Бессознательное состояние БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17143, 'Другие симптомы и признаки, относящиеся к познавательной способности и осознанию', 'R41', 17138, 'R40-R46', 5, 'Исключены: диссоциативные [конверсионные] нарушения (F44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17144, 'Нарушение ориентировки неуточненное', 'R41.0', 17143, 'R41', 0, 'Помрачение сознания БДУ Исключено: психогенное нарушение ориентировки (F44.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17145, 'Антероградная амнезия', 'R41.1', 17143, 'R41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17146, 'Ретроградная амнезия', 'R41.2', 17143, 'R41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17147, 'Другие амнезии', 'R41.3', 17143, 'R41', 0, 'Амнезия БДУ Исключены: амнезический синдром: . обусловленный потреблением психоактивных средств (F10-F19 с общим четвертым знаком .6) . органический (F04) преходящая полная амнезия (G45.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17148, 'Другие и неуточненные симптомы и признаки, относящиеся к познавательной способности и осознанию', 'R41.8', 17143, 'R41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17149, 'Головокружение и нарушение устойчивости', 'R42', 17138, 'R40-R46', 0, '"Легкость" головы Головокружение БДУ Исключены: синдромы, относящиеся к головокружению (H81.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17150, 'Нарушения обоняния и вкусовой чувствительности', 'R43', 17138, 'R40-R46', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17151, 'Аносмия', 'R43.0', 17150, 'R43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17152, 'Паросмия', 'R43.1', 17150, 'R43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17153, 'Парагевзия', 'R43.2', 17150, 'R43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17154, 'Другие и неуточненные нарушения обоняния и вкусовой чувствительности', 'R43.8', 17150, 'R43', 0, 'Сочетанное нарушение обоняния и вкуса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17155, 'Другие симптомы и признаки, относящиеся к общим ощущениям и восприятиям', 'R44', 17138, 'R40-R46', 5, 'Исключены: нарушения кожной чувствительности (R20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17156, 'Слуховые галлюцинации', 'R44.0', 17155, 'R44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17157, 'Зрительные галлюцинации', 'R44.1', 17155, 'R44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17158, 'Другие галлюцинации', 'R44.2', 17155, 'R44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17159, 'Галлюцинации неуточненные', 'R44.3', 17155, 'R44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17160, 'Другие и неуточненные симптомы и признаки, относящиеся к общим с ощущениям и восприятиям', 'R44.8', 17155, 'R44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17161, 'Симптомы и признаки, относящиеся к эмоциональному состоянию', 'R45', 17138, 'R40-R46', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17162, 'Нервозность', 'R45.0', 17161, 'R45', 0, 'Нервное напряжение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17163, 'Беспокойство и возбуждение', 'R45.1', 17161, 'R45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17164, 'Состояние тревоги в связи с неудачами и несчастьями', 'R45.2', 17161, 'R45', 0, 'Тревожное состояние БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17165, 'Деморализация и апатия', 'R45.3', 17161, 'R45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17166, 'Раздражительность и озлобление', 'R45.4', 17161, 'R45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17167, 'Враждебность', 'R45.5', 17161, 'R45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17168, 'Физическая агрессивность', 'R45.6', 17161, 'R45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17169, 'Состояние эмоционального шока и стресса неуточненное', 'R45.7', 17161, 'R45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17170, 'Другие симптомы и признаки, относящиеся к эмоциональному состоянию', 'R45.8', 17161, 'R45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17171, 'Симптомы и признаки, относящиеся к внешнему виду и поведению', 'R46', 17138, 'R40-R46', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17172, 'Очень низкий уровень личной гигиены', 'R46.0', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17173, 'Причудливый внешний вид', 'R46.1', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17174, 'Странное и необъяснимое поведение', 'R46.2', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17175, 'Чрезмерная активность', 'R46.3', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17176, 'Заторможенность и замедленная реакция', 'R46.4', 17171, 'R46', 0, 'Исключен: ступор (R40.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17177, 'Подозрительность и явная увертливость', 'R46.5', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17178, 'Чрезмерный интерес и повышенное внимание к стрессовым событиям', 'R46.6', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17179, 'Многословие и излишние подробности, делающие неясной причину контакта', 'R46.7', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17180, 'Другие симптомы и признаки, относящиеся к внешнему виду и поведению', 'R46.8', 17171, 'R46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17182, 'СИМПТОМЫ И ПРИЗНАКИ, ОТНОСЯЩИЕСЯ К РЕЧИ И ГОЛОСУ', 'R47-R49', 17001, 'R00-R99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17183, 'Нарушения речи, не классифицированные в других рубриках', 'R47', 17182, 'R47-R49', 3, 'Исключены: аутизм (F84.0-F84.1) речь взахлеб (F98.6) специфические расстройства развития речи и языка (F80.-) запинание [заикание] (F98.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17184, 'Дисфазия и афазия', 'R47.0', 17183, 'R47', 0, 'Исключена: прогрессирующая изолированная афазия (G31.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17185, 'Дизартрия и анартрия', 'R47.1', 17183, 'R47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17186, 'Другие и неуточненные нарушения речи', 'R47.8', 17183, 'R47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17187, 'Дислексия и другие нарушения узнавания и понимания символов и знаков, не классифицированные с других рубриках', 'R48', 17182, 'R47-R49', 4, 'Исключены: специфические расстройства развития учебных навыков (F81.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17188, 'Дислексия и алексия', 'R48.0', 17187, 'R48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17189, 'Агнозия', 'R48.1', 17187, 'R48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17190, 'Апраксия', 'R48.2', 17187, 'R48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17191, 'Другие и неуточненные нарушения узнавания и понимания символов и знаков', 'R48.8', 17187, 'R48', 0, 'Акалькулия Аграфия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17192, 'Нарушения голоса', 'R49', 17182, 'R47-R49', 4, 'Исключены: психогенные нарушения голоса (F44.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17193, 'Дисфония', 'R49.0', 17192, 'R49', 0, 'Хрипота');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17194, 'Афония', 'R49.1', 17192, 'R49', 0, 'Потеря голоса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17195, 'Открытая гнусавость и закрытая гнусавость', 'R49.2', 17192, 'R49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17196, 'Другие и неуточненные нарушения голоса', 'R49.8', 17192, 'R49', 0, 'Изменение голоса БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17198, 'ОБЩИЕ СИМПТОМЫ И ПРИЗНАКИ', 'R50-R69', 17001, 'R00-R99', 17, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17199, 'Лихорадка неясного происхождения', 'R50', 17198, 'R50-R69', 3, 'Исключены: лихорадка неясного происхождения (во время) (у): . родов (O75.2) . новорожденного (P81.9) лихорадка послеродового периода БДУ (O86.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17200, 'Лихорадка с ознобом', 'R50.0', 17199, 'R50', 0, 'Лихорадка с окоченением');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17201, 'Устойчивая лихорадка', 'R50.1', 17199, 'R50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17202, 'Лихорадка неустойчивая', 'R50.9', 17199, 'R50', 0, 'Гипертермия БДУ Пирексия БДУ Исключена: злокачественная гипертермия вследствие анестезии (T88.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17203, 'Головная боль', 'R51', 17198, 'R50-R69', 0, 'Боль в области лица Исключены: атипичная боль в области лица (G50.1) мигрень и другие синдромы головной боли (G43-G44) невралгия тройничного нерва (G50.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17204, 'Боль, не классифицированная в других рубриках', 'R52', 17198, 'R50-R69', 4, 'Включена: боль, которая не может быть отнесена к какому-либо определенному органу или части тела Исключены: хронический болевой личностный синдром (F62.8) головная боль (R51) боль (в): . животе (R10.-) . спине (M54.9) . молочной железе (N64.4) . груди (R07.1-R07.4) . ухе (H92.0) . области таза (H57.1) . суставе (M25.5) . конечности (M79.6) . поясничном отделе (M54.5) . области таза и промежности (R10.2) . психогенная (F45.4) . плече (M75.8) . позвоночнике (M54.-) . горле (R07.0) . языке (K14.6) . зубная (K08.8) почечная колика (N23)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17205, 'Острая боль', 'R52.0', 17204, 'R52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17206, 'Постоянная некупирующаяся боль', 'R52.1', 17204, 'R52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17207, 'Другая постоянная боль', 'R52.2', 17204, 'R52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17208, 'Боль неуточненная', 'R52.9', 17204, 'R52', 0, 'Генерализованная боль БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17209, 'Недомогание и утомляемость', 'R53', 17198, 'R50-R69', 0, 'Астения БДУ Слабость: . БДУ . хроническая . невротическая Общее физическое истощение Летаргия Усталость Исключены: слабость: . врожденная (P96.9) . старческая (R54) истощение и усталость (вследствие) (при): . нервной демобилизации (F43.0) . чрезмерного напряжения (T73.3) . опасности (T73.2) . теплового воздействия (T67.-) . неврастении (F48.0) . беременности (O26.8) . старческой астении (R54) синдром усталости (F48.0) . после перенесенного вирусного заболевания (G93.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17210, 'Старость', 'R54', 17198, 'R50-R69', 0, 'Старческий возраст } Старость } без упоминания о психозе Старческая: . астения . слабость Исключен: старческий психоз (F03)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17211, 'Обморок [синкопе] и коллапс', 'R55', 17198, 'R50-R69', 0, 'Кратковременная потеря сознания и зрения Потеря сознания Исключены: нейроциркуляторная астения (F45.3) ортостатическая гипотензия (I95.1) . неврогенная (G90.3) шок: . БДУ (R57.9) . кардиогенный (R57.0) . осложняющий или сопровождающий: . аборт, внематочную или молярную беременность (O00-O07, O08.3) . роды и родоразрешение (O75.1) . послеоперационный (T81.1) приступ Стокса-Адамса (I45.9) обморок: . синокаротидный (G90.0) . тепловой (T67.1) . психогенный (F48.8) бессознательное состояние БДУ (R40.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17212, 'Судороги, не классифицированные в других рубриках', 'R56', 17198, 'R50-R69', 2, 'Исключены: судороги и пароксизмальные приступы (при): . диссоциативные (F44.5) . эпилепсии (G40-G41) . новорожденного (P90)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17213, 'Судороги при лихорадке', 'R56.0', 17212, 'R56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17214, 'Другие и неуточненные судороги', 'R56.8', 17212, 'R56', 0, 'Пароксизмальный приступ (двигательный) БДУ Припадок (судорожный) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17215, 'Шок, не классифицированный в других рубриках', 'R57', 17198, 'R50-R69', 4, 'Исключены: шок (вызванный): . анестезией (T88.2) . анафилактический (вследствие): . БДУ (T78.2) . неблагоприятной реакции на пищевые продукты (T78.0) . сывороточный (T80.5) . осложняющий или сопровождающий аборт, внематочную или молярную беременность (O00-O07, O08.3) . воздействием электрического тока (T75.4) . в результате поражения молнией (T75.0) . акушерский (O75.1) . послеоперационный (T81.1) . психический (F43.0) . септический (A41.9) . травматический (T79.4) синдром токсического шока (A48.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17216, 'Кардиогенный шок', 'R57.0', 17215, 'R57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17217, 'Гиповолемический шок', 'R57.1', 17215, 'R57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17218, 'Другие виды шока', 'R57.8', 17215, 'R57', 0, 'Эндотоксический шок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17219, 'Шок неуточненный', 'R57.9', 17215, 'R57', 0, 'Недостаточность периферического кровообращения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17220, 'Кровотечение, не классифицированное в других рубриках', 'R58', 17198, 'R50-R69', 0, 'Кровотечение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17221, 'Увеличение лимфатических узлов', 'R59', 17198, 'R50-R69', 3, 'Включены: опухшие железы Исключены: лимфаденит: . БДУ (I88.9) . острый (L04.-) . хронический (I88.1) . мезентериальный (острый) (хронический) (I88.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17222, 'Локализованное увеличение лимфатических узлов', 'R59.0', 17221, 'R59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17223, 'Генерализованное увеличение лимфатических узлов', 'R59.1', 17221, 'R59', 0, 'Лимфаденопатия БДУ Исключена: болезнь, вызванная вирусом иммунодефицита человека [ВИЧ], проявляющаяся как стойкая генерализованная лимфаденопатия (B23.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17224, 'Увеличение лимфатических узлов неуточненное', 'R59.9', 17221, 'R59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17225, 'Отек, не классифицированный в других рубриках', 'R60', 17198, 'R50-R69', 3, 'Исключены: асцит (R18) водянка плода БДУ (P83.2) гидроторакс (J94.8) отек: . ангионевротический (T78.3) . церебральный (G93.6) . связанный с родовой травмой (P11.0) . во время беременности (O12.0) . наследственный (Q82.0) . гортани (J38.4) . при недостаточности питания (E40-E46) . носоглотки (J39.2) . новорожденного (P83.3) . глотки (J39.2) . легочный (J81)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17226, 'Локализованный отек', 'R60.0', 17225, 'R60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17227, 'Генерализованный отек', 'R60.1', 17225, 'R60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17228, 'Отек неуточненный', 'R60.9', 17225, 'R60', 0, 'Задержка жидкости БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17229, 'Гипергидроз', 'R61', 17198, 'R50-R69', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17230, 'Локализованный гипергидроз', 'R61.0', 17229, 'R61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17231, 'Генерализованный гипергидроз', 'R61.1', 17229, 'R61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17232, 'Гипергидроз неуточненный', 'R61.9', 17229, 'R61', 0, 'Чрезмерная потливость Ночные поты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17233, 'Отсутствие ожидаемого нормального физиологического развития', 'R62', 17198, 'R50-R69', 3, 'Исключена: задержка полового созревания (E30.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17234, 'Задержка этапов развития', 'R62.0', 17233, 'R62', 0, 'Задержка навыков, соответствующих этапу физиологического развития Задержка способности: . говорить . ходить');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17235, 'Другие виды задержки ожидаемого нормального физиологического развития', 'R62.8', 17233, 'R62', 0, 'Недостаток: . прибавки массы тела . роста Инфантилизм БДУ Недостаточный рост Задержка физического развития Исключены: задержка развития как результат заболевания, вызванного ВИЧ (B22.2) задержка физического развития в связи с недостаточностью питания (E45)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17236, 'Отсутствие ожидаемого нормального физиологического развития неуточненное', 'R62.9', 17233, 'R62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17237, 'Симптомы и признаки, связанные с приемом пищи и жидкости', 'R63', 17198, 'R50-R69', 7, 'Исключены: булимия БДУ (F50.2) расстройства приема пищи неорганического происхождения (F50.-) недостаточность питания (E40-E46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17238, 'Анорексия', 'R63.0', 17237, 'R63', 0, 'Потеря аппетита Исключены: анорексия нервная (F50.0) психогенная потеря аппетита (F50.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17239, 'Полидипсия', 'R63.1', 17237, 'R63', 0, 'Чрезмерная жажда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17240, 'Полифагия', 'R63.2', 17237, 'R63', 0, 'Чрезмерный аппетит Переедание БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17241, 'Трудности кормления и введения пищи', 'R63.3', 17237, 'R63', 0, 'Проблемы кормления БДУ Исключены: проблемы вскармливания новорожденного (P92.-) расстройство приема пищи в младенческом и детском возрасте неорганического происхождения (F98.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17242, 'Анормальная потеря массы тела', 'R63.4', 17237, 'R63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17243, 'Анормальная прибавка массы тела', 'R63.5', 17237, 'R63', 0, 'Исключены: чрезмерная прибавка массы тела в период беременности (O26.0) ожирение (E66.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17244, 'Другие симптомы и признаки, связанные с приемом пищи и жидкости', 'R63.8', 17237, 'R63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17245, 'Кахексия', 'R64', 17198, 'R50-R69', 0, 'Исключены: синдром истощения как результат заболевания, вызванного ВИЧ (B22.2) злокачественная кахексия (C80) алиментарный маразм (E41)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17246, 'Другие общие симптомы и признаки', 'R68', 17198, 'R50-R69', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17247, 'Гипотермия, не связанная с низкой температурой окружающей среды', 'R68.0', 17246, 'R68', 0, 'Исключены: гипотермия (вызванная): . БДУ (случайная) (T68) . анестезией (T88.5) . низкой температурой окружающей среды (T68) . новорожденного (P80.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17248, 'Неспецифические симптомы, характерные для младенцев', 'R68.1', 17246, 'R68', 0, 'Чрезмерный плач ребенка Возбудимый ребенок Исключены: неонатальная церебральная возбудимость (P91.3) синдром прорезывания зубов (K00.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17249, 'Сухой рот неуточненный', 'R68.2', 17246, 'R68', 0, 'Исключены: сухость рта, вызванная: . обезвоживанием организма (E86) . синдромом сухости [Шегрена] (M35.0) пониженная секреция слюнных желез (K11.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17250, 'Пальцы в виде барабанных палочек', 'R68.3', 17246, 'R68', 0, 'Булавовидные ногти Исключено: это состояние врожденного характера (Q68.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17251, 'Другие уточненные общие симптомы и признаки', 'R68.8', 17246, 'R68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17252, 'Неизвестные и неуточненные причины заболевания', 'R69', 17198, 'R50-R69', 0, 'Болезненность БДУ Недиагностированная болезнь без уточнения локализации или пораженной системы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17254, 'ОТКЛОНЕНИЯ ОТ НОРМЫ, ВЫЯВЛЕННЫЕ ПРИ ИССЛЕДОВАНИИ КРОВИ, ПРИ ОТСУТСТВИИ УСТАНОВЛЕННОГО ДИАГНОЗА', 'R70-R79', 17001, 'R00-R99', 10, 'Исключены: отклонения от нормы (при): . антенатальном обследовании матери (O28.-) . коагуляции (D65- D68) . липидов (E78.-) . тромбоцитов (D69.-) . лейкоцитов, классифицированных в других рубриках (D70-D72) отклонения от нормы, выявленные при диагностических исследованиях крови, классифицированные в других рубриках - см. Алфавитный указатель геморрагические и гематологические нарушения у плода и новорожденного (P50-P61)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17255, 'Ускоренное оседание эритроцитов и аномалии вязкости плазмы[крови]', 'R70', 17254, 'R70-R79', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17256, 'Ускоренное оседание эритроцитов', 'R70.0', 17255, 'R70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17257, 'Аномалия вязкости плазмы [крови]', 'R70.1', 17255, 'R70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17258, 'Аномалия эритроцитов', 'R71', 17254, 'R70-R79', 0, 'Аномалия красных кровяных клеток: . морфологическая БДУ . объемная БДУ Анизоцитоз Пойкилоцитоз Исключены: анемии (D50-D64) полицитемия: . доброкачественная (семейная) (D75.0) . новорожденного (P61.1) . вторичная (D75.1) . истинная (D45)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17259, 'Аномалия лейкоцитов, не классифицированная в других рубриках', 'R72', 17254, 'R70-R79', 0, 'Аномальная лейкоцитарная дифференциация БДУ Исключен: лейкоцитоз (D72.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17260, 'Повышенное содержание глюкозы в крови', 'R73', 17254, 'R70-R79', 2, 'Исключены: сахарный диабет (E10-E14) . в период беременности, родов и в послеродовом периоде (O24.-) неонатальные нарушения (P70.0-P70.2) постхирургическая гипоинсулинемия (E89.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17261, 'Отклонения результатов нормы теста на толерантность к глюкозе', 'R73.0', 17260, 'R73', 0, 'Диабет: . химический . латентный Нарушенная толерантность к глюкозе Преддиабет');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17262, 'Гипергликемия неуточненная', 'R73.9', 17260, 'R73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17263, 'Отклонения от нормы содержания ферментов в сыворотке', 'R74', 17254, 'R70-R79', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17264, 'Неспецифическое повышение содержания трансаминазы или гидрогеназы молочной кислоты', 'R74.0', 17263, 'R74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17265, 'Другие неспецифические отклонения от нормы содержания ферментов в сыворотке', 'R74.8', 17263, 'R74', 0, 'Анормальный уровень: . кислотной фосфатазы . щелочной фосфатазы . амилазы . липазы [триацилглицероллипазы]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17266, 'Аномальное содержание неуточненных ферментов в сыворотке', 'R74.9', 17263, 'R74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17267, 'Лабораторное обнаружение вируса иммунодефицита человека [ВИЧ]', 'R75', 17254, 'R70-R79', 0, 'Неокончательный тест на ВИЧ, выявленный у детей Исключены: бессимптомный инфекционный статус, вызванный вирусом иммунодефицита человека [ВИЧ] (Z21) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17268, 'Другие отклонения от нормы, выявленные при иммунологическом исследовании сыворотки', 'R76', 17254, 'R70-R79', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17269, 'Высокий титр антител', 'R76.0', 17268, 'R76', 0, 'Исключены: изоиммунизация в период беременности (O36.0-O36.1) влияние на плод или новорожденного (P55.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17270, 'Аномальная реакция на туберкулиновую пробу', 'R76.1', 17268, 'R76', 0, 'Анормальные результаты реакции Манту');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17271, 'Ложноположительная серологическая проба на сифилис', 'R76.2', 17268, 'R76', 0, 'Ложноположительная реакция Вассермана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17272, 'Другие уточненные отклонения от нормы, выявленные при иммунологическом исследовании сыворотки', 'R76.8', 17268, 'R76', 0, 'Высокий уровень иммуноглобулинов БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17273, 'Отклонение от нормы, выявленное при иммунологическом исследовании сыворотки, неуточненное', 'R76.9', 17268, 'R76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17274, 'Другие отклонения от нормы белков плазмы', 'R77', 17254, 'R70-R79', 5, 'Исключены: изменения метаболизма белков плазмы (E88.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17275, 'Отклонение от нормы альбумина', 'R77.0', 17274, 'R77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17276, 'Отклонение от нормы глобулина', 'R77.1', 17274, 'R77', 0, 'Гиперглобулинемия БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17277, 'Отклонение от нормы альфа-фетопротеина', 'R77.2', 17274, 'R77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17278, 'Другие уточненные отклонения от нормы белков плазмы', 'R77.8', 17274, 'R77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17279, 'Отклонение от нормы белков плазмы неуточненное', 'R77.9', 17274, 'R77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17280, 'Обнаружение лекарственных средств и других веществ, в норме не присутствующих в крови', 'R78', 17254, 'R70-R79', 10, 'Исключены: психические расстройства и расстройства поведения, связанные с употреблением психоактивных веществ (F10-F19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17281, 'Обнаружение алкоголя в крови', 'R78.0', 17280, 'R78', 0, 'При необходимости уточнить концентрацию алкоголя используют дополнительный код внешних причин (Y90.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17282, 'Обнаружение опиатов в крови', 'R78.1', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17283, 'Обнаружение кокаина в крови', 'R78.2', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17284, 'Обнаружение галлюциногена в крови', 'R78.3', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17285, 'Обнаружение других наркотических веществ в крови', 'R78.4', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17286, 'Обнаружение психотропных веществ в крови', 'R78.5', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17287, 'Обнаружение стероидного агента в крови', 'R78.6', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17288, 'Обнаружение отклонений от нормы в содержании тяжелых металлов в крови', 'R78.7', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17289, 'Обнаружение других уточненных веществ, в норме не присутствующих в крови', 'R78.8', 17280, 'R78', 0, 'Обнаружение отклонений от нормы содержания лития в крови');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17290, 'Обнаружение неуточненного вещества, в норме не присутствующего в крови', 'R78.9', 17280, 'R78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17291, 'Другие отклонения от нормы химического состава крови', 'R79', 17254, 'R70-R79', 3, 'Исключены: нарушения водно-солевого или кислотно-щелочного равновесия (E86-E87) бессимптомная гиперурикемия (E79.0) гипергликемия БДУ (R73.9) гипогликемия БДУ (E16.2) . неонатальная (P70.3-P70.4) специфические показатели, указывающие на нарушения: . обмена аминокислот (E70-E72) . обмена углеводов (E73-E74) . обмена липидов (E75.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17292, 'Отклонения от нормы содержания минералов в крови', 'R79.0', 17291, 'R79', 0, 'Отклонения от нормы содержания: . кобальта . меди . железа . магния . минералов НКДР . цинка Исключены: отклонение от нормы содержания лития (R78.8) нарушения минерального обмена (E83.-) неонатальная гипомагнезиемия (P71.2) минеральная недостаточность, связанная с питанием (E58-E61)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17293, 'Другие уточненные отклонения от нормы химического состава крови', 'R79.8', 17291, 'R79', 0, 'Нарушение газового равновесия крови');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17294, 'Отклонение от нормы химического состава крови неуточненное', 'R79.9', 17291, 'R79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17296, 'ОТКЛОНЕНИЯ ОТ НОРМЫ, ВЫЯВЛЕННЫЕ ПРИ ИССЛЕДОВАНИИ МОЧИ, ПРИ ОТСУТСТВИИ УСТАНОВЛЕННОГО ДИАГНОЗА', 'R80-R82', 17001, 'R00-R99', 3, 'Исключены: отклонения от нормы, выявленные при антенатальном обследовании матери (O28.-) отклонения от нормы, выявленные при диагностических исследованиях мочи, классифицированные в других рубриках - см. Алфавитный указатель специфические показатели, указывающие на нарушение: . обмена аминокислот (E70-E72) . обмена углеводов (E73-E74)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17297, 'Изолированная протеинурия', 'R80', 17296, 'R80-R82', 0, 'Альбуминурия БДУ Протеинурия Бенс-Джонса Протеинурия БДУ Исключены: протеинурия: . при беременности (O12.1) . изолированная с уточненным морфологическим поражением (N06.-) . ортостатическая (N39.2) . стойкая (N39.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17298, 'Гликозурия', 'R81', 17296, 'R80-R82', 0, 'Исключена: почечная гликозурия (E74.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17299, 'Другие отклонения от нормы, выявленные при исследовании мочи', 'R82', 17296, 'R80-R82', 10, 'Исключена: гематурия (R31)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17300, 'Хилурия', 'R82.0', 17299, 'R82', 0, 'Исключена: филяриозная хилурия (B74.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17301, 'Миоглобинурия', 'R82.1', 17299, 'R82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17302, 'Желчные пигменты в моче', 'R82.2', 17299, 'R82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17303, 'Гемоглобинурия', 'R82.3', 17299, 'R82', 0, 'Исключены: гемоглобинурия: . вследствие гемолиза от внешних причин НКДР (D59.6) . пароксизмальная ночная [Маркьяфавы-Микели] (D59.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17304, 'Ацетонурия', 'R82.4', 17299, 'R82', 0, 'Кетонурия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17305, 'Повышенное содержание в моче лекарственных средств,', 'R82.5', 17299, 'R82', 0, 'медикаментов и биологических веществ Повышенный уровень в моче: . катехоламинов . индолилуксусной кислоты . 17-кетостероидов . стероидов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17306, 'Анормальное содержание в моче веществ, поступивших в организм главным образом с немедицинской целью', 'R82.6', 17299, 'R82', 0, 'Анормальное содержание в моче тяжелых металлов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17307, 'Отклонения от нормы, выявленные при микробиологическом исследовании мочи', 'R82.7', 17299, 'R82', 0, 'Положительные исследования культуры');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17308, 'Отклонения от нормы, выявленные при цитологическом и гистологическом исследовании мочи', 'R82.8', 17299, 'R82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17309, 'Другие и неуточненные отклонения от нормы, выявленные при исследовании мочи', 'R82.9', 17299, 'R82', 0, 'Клетки и цилиндры в моче Кристаллурия Меланурия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17311, 'ОТКЛОНЕНИЯ ОТ НОРМЫ, ВЫЯВЛЕННЫЕ ПРИ ИССЛЕДОВАНИИ ДРУГИХ ЖИДКОСТЕЙ, СУБСТАНЦИЙ И ТКАНЕЙ ОРГАНИЗМА, ПРИ ОТСУТСТВИИ УСТАНОВЛЕННОГО ДИАГНОЗА', 'R83-R89', 17001, 'R00-R99', 6, 'Исключены: отклонения от нормы, выявленные при: . антенатальном обследовании матери (O28.-) . исследовании: . крови, при отсутствии установленного диагноза (R70-R79) . мочи, при отсутствии установленного диагноза (R80-R82) отклонения от нормы, выявленные при диагностических исследованиях, классифицированные в других рубриках - см. Алфавитный указатель\nНиже приводится классификация по четвертому знаку, использованная в рубриках (R83-R89):');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17312, 'Отклонения от нормы, выявленные при исследовании спинномозговой жидкости', 'R83', 17311, 'R83-R89', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17313, 'Анормальное содержание ферментов', 'R83.0', 17312, 'R83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17314, 'Анормальное содержание гормонов', 'R83.1', 17312, 'R83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17315, 'Анормальное содержание других лекарственных средств, медикаментов и биологических веществ', 'R83.2', 17312, 'R83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17316, 'Анормальное содержание веществ, поступивших в организм главным образом с немедицинской целью', 'R83.3', 17312, 'R83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17317, 'Отклонения от нормы, выявленные при иммунологических исследованиях', 'R83.4', 17312, 'R83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17318, 'Отклонения от нормы, выявленные при микробиологических исследованиях', 'R83.5', 17312, 'R83', 0, 'Положительные результаты культуральных исследований');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17319, 'Отклонения от нормы, выявленные при цитологических исследованиях', 'R83.6', 17312, 'R83', 0, 'Отклонения от нормы, выявленные при исследовании мазка по Папаниколау');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17320, 'Отклонения от нормы, выявленные при гистологических исследованиях', 'R83.7', 17312, 'R83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17321, 'Другие отклонения от нормы', 'R83.8', 17312, 'R83', 0, 'Отклонения от нормы, выявленные при исследованиях хромосом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17322, 'Неуточненные отклонения от нормы', 'R83.9', 17312, 'R83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17323, 'Отклонения от нормы, выявленные при исследовании препаратов из органов дыхания и грудной клетки', 'R84', 17311, 'R83-R89', 10, 'Отклонения от нормы, выявленные при исследовании: . бронхиальных смывов . выделений из носа . плевральной жидкости . мокроты . мазков из горла Исключена: кровавая мокрота (R04.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17324, 'Анормальное содержание ферментов', 'R84.0', 17323, 'R84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17325, 'Анормальное содержание гормонов', 'R84.1', 17323, 'R84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17326, 'Анормальное содержание других лекарственных средств, медикаментов и биологических веществ', 'R84.2', 17323, 'R84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17327, 'Анормальное содержание веществ, поступивших в организм главным образом с немедицинской целью', 'R84.3', 17323, 'R84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17328, 'Отклонения от нормы, выявленные при иммунологических исследованиях', 'R84.4', 17323, 'R84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17329, 'Отклонения от нормы, выявленные при микробиологических исследованиях', 'R84.5', 17323, 'R84', 0, 'Положительные результаты культуральных исследований');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17330, 'Отклонения от нормы, выявленные при цитологических исследованиях', 'R84.6', 17323, 'R84', 0, 'Отклонения от нормы, выявленные при исследовании мазка по Папаниколау');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17331, 'Отклонения от нормы, выявленные при гистологических исследованиях', 'R84.7', 17323, 'R84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17332, 'Другие отклонения от нормы', 'R84.8', 17323, 'R84', 0, 'Отклонения от нормы, выявленные при исследованиях хромосом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17333, 'Неуточненные отклонения от нормы', 'R84.9', 17323, 'R84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17334, 'Отклонения от нормы, выявленные при исследовании препаратов', 'R85', 17311, 'R83-R89', 10, 'из органов пищеварения и брюшной полости Отклонения от нормы, выявленные при исследовании: . перитонеальной жидкости . слюны Исключены: изменения кала (R19.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17335, 'Анормальное содержание ферментов', 'R85.0', 17334, 'R85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17336, 'Анормальное содержание гормонов', 'R85.1', 17334, 'R85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17337, 'Анормальное содержание других лекарственных средств, медикаментов и биологических веществ', 'R85.2', 17334, 'R85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17338, 'Анормальное содержание веществ, поступивших в организм главным образом с немедицинской целью', 'R85.3', 17334, 'R85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17339, 'Отклонения от нормы, выявленные при иммунологических исследованиях', 'R85.4', 17334, 'R85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17340, 'Отклонения от нормы, выявленные при микробиологических исследованиях', 'R85.5', 17334, 'R85', 0, 'Положительные результаты культуральных исследований');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17341, 'Отклонения от нормы, выявленные при цитологических исследованиях', 'R85.6', 17334, 'R85', 0, 'Отклонения от нормы, выявленные при исследовании мазка по Папаниколау');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17342, 'Отклонения от нормы, выявленные при гистологических исследованиях', 'R85.7', 17334, 'R85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17343, 'Другие отклонения от нормы', 'R85.8', 17334, 'R85', 0, 'Отклонения от нормы, выявленные при исследованиях хромосом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17344, 'Неуточненные отклонения от нормы', 'R85.9', 17334, 'R85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17345, 'Отклонения от нормы, выявленные при исследовании препаратов из мужских половых органов', 'R86', 17311, 'R83-R89', 10, 'Отклонения от нормы, выявленные при исследовании: . секретов предстательной железы . спермы и семенной жидкости Анормальные сперматозоиды Исключены: азооспермия (N46) олигоспермия (N46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17346, 'Анормальное содержание ферментов', 'R86.0', 17345, 'R86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17347, 'Анормальное содержание гормонов', 'R86.1', 17345, 'R86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17348, 'Анормальное содержание других лекарственных средств, медикаментов и биологических веществ', 'R86.2', 17345, 'R86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17349, 'Анормальное содержание веществ, поступивших в организм главным образом с немедицинской целью', 'R86.3', 17345, 'R86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17350, 'Отклонения от нормы, выявленные при иммунологических исследованиях', 'R86.4', 17345, 'R86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17351, 'Отклонения от нормы, выявленные при микробиологических исследованиях', 'R86.5', 17345, 'R86', 0, 'Положительные результаты культуральных исследований');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17352, 'Отклонения от нормы, выявленные при цитологических исследованиях', 'R86.6', 17345, 'R86', 0, 'Отклонения от нормы, выявленные при исследовании мазка по Папаниколау');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17353, 'Отклонения от нормы, выявленные при гистологических исследованиях', 'R86.7', 17345, 'R86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17354, 'Другие отклонения от нормы', 'R86.8', 17345, 'R86', 0, 'Отклонения от нормы, выявленные при исследованиях хромосом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17355, 'Неуточненные отклонения от нормы', 'R86.9', 17345, 'R86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17356, 'Отклонения от нормы, выявленные при исследовании препаратов', 'R87', 17311, 'R83-R89', 10, 'из женских половых органов Отклонения от нормы, выявленные при исследовании: выделений и мазков из: . шейки матки . влагалища . вульвы Исключены: карцинома in situ (D05-D07.3) дисплазия: . шейки матки (N87.-) . влагалища (N89.0-N89.3) . вульвы (N90.0-N90.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17357, 'Анормальное содержание ферментов', 'R87.0', 17356, 'R87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17358, 'Анормальное содержание гормонов', 'R87.1', 17356, 'R87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17359, 'Анормальное содержание других лекарственных средств, медикаментов и биологических веществ', 'R87.2', 17356, 'R87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17360, 'Анормальное содержание веществ, поступивших в организм главным образом с немедицинской целью', 'R87.3', 17356, 'R87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17361, 'Отклонения от нормы, выявленные при иммунологических исследованиях', 'R87.4', 17356, 'R87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17362, 'Отклонения от нормы, выявленные при микробиологических исследованиях', 'R87.5', 17356, 'R87', 0, 'Положительные результаты культуральных исследований');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17363, 'Отклонения от нормы, выявленные при цитологических исследованиях', 'R87.6', 17356, 'R87', 0, 'Отклонения от нормы, выявленные при исследовании мазка по Папаниколау');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17364, 'Отклонения от нормы, выявленные при гистологических исследованиях', 'R87.7', 17356, 'R87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17365, 'Другие отклонения от нормы', 'R87.8', 17356, 'R87', 0, 'Отклонения от нормы, выявленные при исследованиях хромосом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17366, 'Неуточненные отклонения от нормы', 'R87.9', 17356, 'R87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17367, 'Отклонения от нормы, выявленные при исследовании препаратов из других органов, систем и тканей', 'R89', 17311, 'R83-R89', 10, 'Отклонения от нормы, выявленные при исследовании: . выделений из сосков . синовиальной жидкости . раневого отделяемого');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17368, 'Анормальное содержание ферментов', 'R89.0', 17367, 'R89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17369, 'Анормальное содержание гормонов', 'R89.1', 17367, 'R89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17370, 'Анормальное содержание других лекарственных средств, медикаментов и биологических веществ', 'R89.2', 17367, 'R89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17371, 'Анормальное содержание веществ, поступивших в организм главным образом с немедицинской целью', 'R89.3', 17367, 'R89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17372, 'Отклонения от нормы, выявленные при иммунологических исследованиях', 'R89.4', 17367, 'R89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17373, 'Отклонения от нормы, выявленные при микробиологических исследованиях', 'R89.5', 17367, 'R89', 0, 'Положительные результаты культуральных исследований');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17374, 'Отклонения от нормы, выявленные при цитологических исследованиях', 'R89.6', 17367, 'R89', 0, 'Отклонения от нормы, выявленные при исследовании мазка по Папаниколау');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17375, 'Отклонения от нормы, выявленные при гистологических исследованиях', 'R89.7', 17367, 'R89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17376, 'Другие отклонения от нормы', 'R89.8', 17367, 'R89', 0, 'Отклонения от нормы, выявленные при исследованиях хромосом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17377, 'Неуточненные отклонения от нормы', 'R89.9', 17367, 'R89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17379, 'ОТКЛОНЕНИЯ ОТ НОРМЫ, ВЫЯВЛЕННЫЕ ПРИ ПОЛУЧЕНИИ ДИАГНОСТИЧЕСКИХ ИЗОБРАЖЕНИЙ И ПРОВЕДЕНИИ ИССЛЕДОВАНИЙ, ПРИ ОТСУТСТВИИ УСТАНОВЛЕННОГО ДИАГНОЗА', 'R90-R94', 17001, 'R00-R99', 5, 'Включены: неспецифические отклонения от нормы, выявленные (при): . компьютерной осевой томографии [КОТ-сканирование] . магнитно-резонансном исследовании [MRI] [NMR] [МРИ] . позитронной эмиссионной томографии (PET) . термографии . ультразвуковом [эхограмма] исследовании . рентгенологическом исследовании\nИсключены: отклонения от нормы, выявленные при антенатальном обследовании матери (O28.-) отклонения от нормы, выявленные при диагностических исследованиях, классифицированные в других рубриках - см. Алфавитный указатель');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17380, 'Отклонения от нормы, выявленные при получении диагностических изображений в ходе исследования центральной нервной системы', 'R90', 17379, 'R90-R94', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17381, 'Внутричерепное объемное поражение', 'R90.0', 17380, 'R90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17382, 'Другие отклонения от нормы, выявленные при получении диагностических изображений в ходе исследования центральной нервной системы', 'R90.8', 17380, 'R90', 0, 'Измененная эхоэнцефалограмма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17383, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования легких', 'R91', 17379, 'R90-R94', 0, 'Монетообразное поражение БДУ Уплотнение легкого БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17384, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования молочной железы', 'R92', 17379, 'R90-R94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17385, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования других органов и областей тела', 'R93', 17379, 'R90-R94', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17386, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования черепа и головы, не классифицированные в других рубриках', 'R93.0', 17385, 'R93', 0, 'Исключено: внутричерепное объемное поражение (R90.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17387, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования сердца и коронарного кровообращения', 'R93.1', 17385, 'R93', 0, 'Измененная: . эхокардиограмма БДУ . тень сердца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17388, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования печени и желчных протоков', 'R93.2', 17385, 'R93', 0, 'Отсутствие контрастности желчного пузыря');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17389, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования других отделов пищеварительного тракта', 'R93.3', 17385, 'R93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17390, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования мочевых органов', 'R93.4', 17385, 'R93', 0, 'Дефект наполнения: . мочевого пузыря . почки . мочеточника Исключена: гипертрофия почки (N28.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17391, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования других областей живота, включая забрюшинное пространство', 'R93.5', 17385, 'R93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17392, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования конечностей', 'R93.6', 17385, 'R93', 0, 'Исключены: изменения кожи и подкожной ткани (R93.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17393, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования других отделов костно-мышечной системы', 'R93.7', 17385, 'R93', 0, 'Исключены: изменения, выявленные при получении диагностического изображения черепа (R93.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17394, 'Отклонения от нормы, выявленные при получении диагностического изображения в ходе исследования других уточненных структур тела', 'R93.8', 17385, 'R93', 0, 'Изменения кожи и подкожной ткани, выявленные при радиологическом обследовании Смещение средостения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17395, 'Отклонения от нормы, выявленные при проведении функциональных исследований', 'R94', 17379, 'R90-R94', 9, 'Включены: анормальные результаты: . радиоизотопных исследований . сцинтиграфия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17396, 'Отклонения от нормы, выявленные при проведении функциональных исследований центральной нервной системы', 'R94.0', 17395, 'R94', 0, 'Измененная электроэнцефалограмма [ЭЭГ]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17397, 'Отклонения от нормы, выявленные при проведении функциональных исследований периферической нервной системы и отдельных органов чувств', 'R94.1', 17395, 'R94', 0, 'Измененная(ый): . электромиограмма [ЭМГ] . электроокулограмма [ЭОГ] . электроретинограмма [ЭРГ] . реакция на стимуляцию нерва . потенциал, вызванный зрительным раздражителем [VEP] [ПЗР]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17398, 'Отклонения от нормы, выявленные при проведении функциональных исследований легких', 'R94.2', 17395, 'R94', 0, 'Сниженная: . вентиляционная способность легких . жизненная емкость легких');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17399, 'Отклонения от нормы, выявленные при проведении функциональных исследований сердечно-сосудистой системы', 'R94.3', 17395, 'R94', 0, 'Измененная(ые): . электрокардиограмма (ЭКГ) . показатели электрофизиологических внутрисердечных исследований . фотокардиограмма . векторкардиограмма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17400, 'Отклонения от нормы, выявленные при исследовании функций почек', 'R94.4', 17395, 'R94', 0, 'Анормальные результаты теста почечной функции');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17401, 'Отклонения от нормы, выявленные при исследовании функции печени', 'R94.5', 17395, 'R94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17402, 'Отклонения от нормы, выявленные при исследовании функции щитовидной железы', 'R94.6', 17395, 'R94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17403, 'Отклонения от нормы, выявленные при исследовании функции других эндокринных желез', 'R94.7', 17395, 'R94', 0, 'Исключены: отклонения от нормы результатов теста на толерантность к глюкозе (R73.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17404, 'Отклонения от нормы, выявленные при функциональных исследованиях других органов и систем', 'R94.8', 17395, 'R94', 0, 'Изменение: . показателя основного обмена . результатов теста на состояние функции мочевого пузыря . функции результатов теста на состояние функции селезенки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17406, 'НЕТОЧНО ОБОЗНАЧЕННЫЕ И НЕИЗВЕСТНЫЕ ПРИЧИНЫ СМЕРТИ R95-R99', 'R95-R99', 17001, 'R00-R99', 4, 'Исключены: смерть плода по неизвестной причине (P95) акушерская смерть БДУ (O95)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17407, 'Внезапная смерть грудного ребенка', 'R95', 17406, 'R95-R99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17408, 'Другие виды внезапной смерти по неизвестной причине', 'R96', 17406, 'R95-R99', 2, 'Исключены: внезапная сердечная смерть, так описанная (I46.1) внезапная смерть грудного ребенка (R95)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17409, 'Мгновенная смерть', 'R96.0', 17408, 'R96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17410, 'Смерть, наступившая менее чем через 24 ч с момента появления симптомов, не имеющая другого объяснения', 'R96.1', 17408, 'R96', 0, 'Смерть, о которой известно, что она не явилась насильс твенной или мгновенной, и причину которой нельзя установить Смерть без признаков болезни');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17411, 'Смерть без свидетелей', 'R98', 17406, 'R95-R99', 0, 'Обнаружение трупа при обстоятельствах, не позволяющих установить причину смерти Обнаружение трупа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(17412, 'Другие неточно обозначенные и неуточненные причины смерти', 'R99', 17406, 'R95-R99', 0, 'Смерть БДУ Неизвестная причина смерти');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18001, 'ТРАВМЫ, ОТРАВЛЕНИЯ И НЕКОТОРЫЕ ДРУГИЕ ПОСЛЕДСТВИЯ ВОЗДЕЙСТВИЯ ВНЕШНИХ ПРИЧИН', 'S00-T98', NULL, NULL, 21, 'Исключены: родовая травма (P10-P15) акушерская травма (O70-O71)\nЭтот класс содержит следующие блоки:\nS00-S09 Травмы головы\nS10-S19 Травмы шеи\nS20-S29 Травмы грудной клетки\nS30-S39 Травмы живота, нижней части спины, поясничного отдела позвоночника и таза\nS40-S49 Травмы плечевого пояса и плеча\nS50-S59 Травмы локтя и предплечья\nS60-S69 Травмы запястья и кисти\nS70-S79 Травмы области тазобедренного сустава и бедра\nS80-S89 Травмы колена и голени\nS90-S99 Травмы области голеностопного сустава и стопы\nT00-T07 Травмы, захватывающие несколько областей тела\nT08-T14 Травмы неуточненной части туловища, конечности или области тела\nT15-T19 Последствия проникновения инородного тела через естественные отверстия\nT20-T32 Термические и химические ожоги\nT33-T35 Отморожение\nT36-T50 Отравления лекарственными средствами, медикаментами и биологическими веществами\nT51-T65 Токсическое действие веществ, преимущественно немедицинского назначения\nT66-T78 Другие и неуточненные эффекты воздействия внешних причин\nT79 Некоторые ранние осложнения травмы\nT80-T88 Осложнения хирургических и терапевтических вмешательств, не классифицированные в других рубриках\nT90-T98 Последствия травм, отравлений и других воздействий внешних причин\nВ данном классе раздел, обозначенный буквой S, используется для ко-\nдирования различных видов травм, относящихся к какой-то определенной\nобласти тела, а раздел с буквой T - для кодирования множественных\nтравм и травм отдельных неуточненных частей тела, а также отравлений\nи некоторых других последствий воздействия внешних причин.\nВ тех случаях, когда заголовок указывает на множественный характер\nтравмы, союз "c" означает одновременное поражение обоих названных\nучастков тела, а союз "и" - как одного, так и обоих участков.\nПринцип множественного кодирования травм следует применять возможно\nболее широко. Комбинированные рубрики для множественных травм даны\nдля использования при недостаточной детализации характера каждой\nотдельной травмы или при первичных статистических разработках, когда\nудобнее регистрировать единый код; в других случаях каждый компонент\nтравмы следует кодировать отдельно. Кроме того, необходимо учитывать\nправила кодирования заболеваемости и смертности, изложенные в т. 2.\nБлоки раздела S, так же как и рубрики T00-T14 и T90-T98 включают\nв себя травмы, которые на уровне трехзначных рубрик классифицируются\nпо типам следующим образом:\nПоверхностная травма, в том числе:\nссадина\nводяной пузырь (нетермический)\nушиб, включая синяк, кровоподтек и гематому\nтравма от поверхностного инородного тела (заноза) без большой открытой раны\nукус насекомого (неядовитого)\nОткрытая рана, в том числе:\nукушенная\nрезаная\nрваная\nколотая:\n. БДУ\n. с (проникающим) инородным телом\nПерелом, в том числе:\n. закрытый: . оскольчатый } . вдавленный } . выступающий } . расщепленный } . неполный } . вколоченный } с задержкой или без задержки заживления . линейный } . маршевый } . простой } . со смещением } эпифиза } . винтообразный\n. с вывихом\n. со смещением\nПерелом:\n. открытый: . сложный } . инфицированный } . огнестрельный } с задержкой или без задержки заживления . с точечной раной } . с инородным телом }\nИсключены: перелом: . патологический (M84.4) . с остеопорозом (M80.-) . стрессовый (M84.3) неправильно сросшийся (M84.0) несросшийся [ложный сустав] (M84.1)\nВывихи, растяжения и перенапряжение капсульно-связочного аппарата\nсустава, в том числе:\nотрыв }\nразрыв }\nрастяжение }\nперенапряжение }\nтравматический(ая): } сустава (капсулы) связки\n. гемартроз }\n. надрыв }\n. подвывих }\n. разрыв }\nТравма нервов и спинного мозга, в том числе:\nполное или неполное повреждение спинного мозга\nнарушение целостности нервов и спинного мозга\nтравматическое(ая)(ий):\n. пересечение нерва\n. гематомиелия\n. паралич (преходящий)\n. параплегия\n. квадриплегия\nПовреждение кровеносных сосудов, в том числе:\nотрыв }\nрассечение }\nнадрыв }\nтравматическая(ий): } кровеносных сосудов\n. аневризма или свищ (артериовенозный) }\n. артериальная гематома }\n. разрыв }\nПовреждение мышц и сухожилий, в том числе:\nотрыв }\nрассечение }\nнадрыв } мышц и сухожилий\nтравматическая разрыв }\nРазмозжение [раздавливание]\nТравматическая ампутация\nТравма внутренних органов, в том числе:\nот взрывной волны }\nкровоподтек }\nтравмы от сотрясения }\nразмозжение }\nрассечение }\nтравматическая(ий): } внутренних органов\n. гематома }\n. прокол }\n. разрыв }\n. надрыв }\nДругие и неуточненные травмы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18002, 'ТРАВМЫ ГОЛОВЫ', 'S00-S09', 18001, 'S00-T98', 10, 'Включены: травмы: . уха . глаза . лица (любой части) . десны . челюсти . области височно-нижнечелюстного сустава . полости рта . неба . окологлазной области . волосистой части головы . языка . зуба\nИсключены: термические и химические ожоги (T20-T32) последствия попадания инородных тел в: . ухо (T16) . гортань (T17.3) . рот (T18.0) . нос (T17.0-T17.1) . глотку (T17.2) . наружные части глаза (T15.-) отморожение (T33-T35) укус и ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18003, 'Поверхностная травма головы', 'S00', 18002, 'S00-S09', 9, 'Исключены: контузия головного мозга (диффузная) (S06.2) . очаговая (S06.3) травма глаза и глазницы (S05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18004, 'Поверхностная травма волосистой части головы', 'S00.0', 18003, 'S00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18005, 'Ушиб века и окологлазничной области', 'S00.1', 18003, 'S00', 0, 'Синяк в области глаза Исключен: ушиб глазного яблока и тканей глазницы (S05.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18006, 'Другие поверхностные травмы века и окологлазничной области', 'S00.2', 18003, 'S00', 0, 'Исключена: поверхностная травма конъюнктивы и роговицы (S05.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18007, 'Поверхностная травма носа', 'S00.3', 18003, 'S00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18008, 'Поверхностная травма уха', 'S00.4', 18003, 'S00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18009, 'Поверхностная травма губы и полости рта', 'S00.5', 18003, 'S00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18010, 'Множественные поверхностные травмы головы', 'S00.7', 18003, 'S00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18011, 'Поверхностная травма других частей головы', 'S00.8', 18003, 'S00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18012, 'Поверхностная травма головы неуточненной локализации', 'S00.9', 18003, 'S00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18013, 'Открытая рана головы', 'S01', 18002, 'S00-S09', 9, 'Исключены: декапитация (S18) травма глаза и глазницы (S05.-) травматическая ампутация части головы (S08.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18014, 'Открытая рана волосистой части головы', 'S01.0', 18013, 'S01', 0, 'Исключен: отрыв скальпа (S08.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18015, 'Открытая рана века и окологлазничной области', 'S01.1', 18013, 'S01', 0, 'Открытая рана века и окологлазничной области с вовлечением или без вовлечения слезных протоков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18016, 'Открытая рана носа', 'S01.2', 18013, 'S01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18017, 'Открытая рана уха', 'S01.3', 18013, 'S01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18018, 'Открытая рана щеки и височно-нижнечелюстной области', 'S01.4', 18013, 'S01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18019, 'Открытая рана губы и полости рта', 'S01.5', 18013, 'S01', 0, 'Исключены: вывих зуба (S03.2) перелом зуба (S02.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18020, 'Множественные открытые раны головы', 'S01.7', 18013, 'S01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18021, 'Открытая рана других областей головы', 'S01.8', 18013, 'S01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18022, 'Открытая рана головы неуточненной локализации', 'S01.9', 18013, 'S01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18023, 'Перелом черепа и лицевых костей', 'S02', 18002, 'S00-S09', 10, 'Примечание. При первичной статистической разработке переломов черепа и лицевых костей, сочетающихся с внутричерепной травмой, следует руководствоваться правилами и инструкциями по кодированию заболеваемости и смертности, изложенными в ч. 2. Следующие подрубрики (пятый знак) даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома или открытой раны; если перелом не охарактеризован как открытый или закрытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18024, 'Перелом свода черепа', 'S02.0', 18023, 'S02', 0, 'Лобной кости Теменной кости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18025, 'Перелом основания черепа', 'S02.1', 18023, 'S02', 0, 'Ямки: . передней . средней . задней Затылочной кости Верхней стенки глазницы Пазухи: . решетчатой кости . лобной кости Клиновидной кости Височной кости Исключены: глазницы БДУ (S02.8) дна глазницы (S02.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18026, 'Перелом костей носа', 'S02.2', 18023, 'S02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18027, 'Перелом дна глазницы', 'S02.3', 18023, 'S02', 0, 'Исключены: глазницы БДУ (S02.8) верхней стенки глазницы (S02.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18028, 'Перелом скуловой кости и верхней челюсти', 'S02.4', 18023, 'S02', 0, 'Верхней челюсти (кости) Скуловой дуги');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18029, 'Перелом зуба', 'S02.5', 18023, 'S02', 0, 'Сломанный зуб');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18030, 'Перелом нижней челюсти', 'S02.6', 18023, 'S02', 0, 'Нижней челюсти (кости)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18031, 'Множественные переломы черепа и лицевых костей', 'S02.7', 18023, 'S02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18032, 'Переломы других лицевых костей и костей черепа', 'S02.8', 18023, 'S02', 0, 'Альвеолярного отростка Глазницы БДУ Небной кости Исключены: глазницы: . дна (S02.3) . верхней стенки (S02.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18033, 'Перелом неуточненной части костей черепа и лицевых костей', 'S02.9', 18023, 'S02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18034, 'Вывих, растяжение и перенапряжение суставов и связок головы', 'S03', 18002, 'S00-S09', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18035, 'Вывих челюсти', 'S03.0', 18034, 'S03', 0, 'Челюсти (хряща) (мениска) Нижней челюсти Височно-нижнечелюстного сустава');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18036, 'Вывих хрящевой перегородки носа', 'S03.1', 18034, 'S03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18037, 'Вывих зуба', 'S03.2', 18034, 'S03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18038, 'Вывих других и неуточненных областей головы', 'S03.3', 18034, 'S03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18039, 'Растяжение и перенапряжение сустава (связок) челюсти', 'S03.4', 18034, 'S03', 0, 'Височно-нижнечелюстного(ой) сустава (связки)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18040, 'Растяжение и перенапряжение суставов и связок других и неуточненных отделов головы', 'S03.5', 18034, 'S03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18041, 'Травма черепных нервов', 'S04', 18002, 'S00-S09', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18042, 'Травма зрительного нерва и зрительных проводящих путей', 'S04.0', 18041, 'S04', 0, 'Зрительного перекрестка 2-го черепного нерва Зрительной коры');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18043, 'Травма глазодвигательного нерва', 'S04.1', 18041, 'S04', 0, '3-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18044, 'Травма блокового нерва', 'S04.2', 18041, 'S04', 0, '4-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18045, 'Травма тройничного нерва', 'S04.3', 18041, 'S04', 0, '5-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18046, 'Травма отводящего нерва', 'S04.4', 18041, 'S04', 0, '6-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18047, 'Травма лицевого нерва', 'S04.5', 18041, 'S04', 0, '7-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18048, 'Травма слухового нерва', 'S04.6', 18041, 'S04', 0, '8-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18049, 'Травма добавочного нерва', 'S04.7', 18041, 'S04', 0, '11-го черепного нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18050, 'Травма других черепных нервов', 'S04.8', 18041, 'S04', 0, 'Языкоглоточного нерва [9-го черепного нерва] Подъязычного нерва [12-го черепного нерва] Обонятельного нерва [1-го черепного нерва] Блуждающего нерва [10-го черепного нерва]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18051, 'Травма черепного нерва неуточненного', 'S04.9', 18041, 'S04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18052, 'Травма глаза и глазницы', 'S05', 18002, 'S00-S09', 10, 'Исключены: травма: . глазодвигательного [3-го] нерва (S04.1) . зрительного [2-го] нерва (S04.0) открытая рана века и окологлазничной области (S01.1) перелом костей глазницы (S02.1, S02.3, S02.8) поверхностная травма века (S00.1-S00.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18053, 'Травма конъюнктивы и ссадина роговицы без упоминания об инородном теле', 'S05.0', 18052, 'S05', 0, 'Исключены: инородное тело в: . конъюнктивальном мешке (T15.1) . роговице (T15.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18054, 'Ушиб глазного яблока и тканей глазницы', 'S05.1', 18052, 'S05', 0, 'Травматическая гифема Исключены: синяк в области глаза (S00.1) ушиб века и окологлазной области (S00.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18055, 'Рваная рана глаза с выпадением или потерей внутриглазной ткани', 'S05.2', 18052, 'S05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18056, 'Рваная рана глаза без выпадения или потери внутриглазной ткани', 'S05.3', 18052, 'S05', 0, 'Рваная рана глаза БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18057, 'Проникающая рана глазницы с наличием инородного тела или без него', 'S05.4', 18052, 'S05', 0, 'Исключено: неудаленное (давно попавшее в глазницу) инородное тело вследствие проникающего ранения глазницы (H05.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18058, 'Проникающая рана глазного яблока с инородным телом', 'S05.5', 18052, 'S05', 0, 'Исключено: неудаленное (давно попавшее в глазное яблоко) инородное тело (H44.6-H44.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18059, 'Проникающая рана глазного яблока без инородного тела', 'S05.6', 18052, 'S05', 0, 'Проникающая рана глаза БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18060, 'Отрыв глазного яблока', 'S05.7', 18052, 'S05', 0, 'Травматическая энуклеация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18061, 'Другие травмы глаза и орбиты', 'S05.8', 18052, 'S05', 0, 'Травма слезного канала');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18062, 'Травма неуточненной части глаза и орбиты', 'S05.9', 18052, 'S05', 0, 'Травма глаза БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18063, 'Внутричерепная травма', 'S06', 18002, 'S00-S09', 10, 'Примечание. При первичной статистической разработке внутричерепных травм, сочетающихся с переломами, следует руководствоваться правилами и инструкциями по кодированию заболеваемости и смертности, изложенными в ч. 2. Следующие подрубрики (пятый знак) даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации внутричерепной травмы и открытой раны: 0 - без открытой внутричерепной раны 1 - с открытой внутричерепной раной');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18064, 'Сотрясение головного мозга', 'S06.0', 18063, 'S06', 0, 'Commotio cerebri');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18065, 'Травматический отек головного мозга', 'S06.1', 18063, 'S06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18066, 'Диффузная травма головного мозга', 'S06.2', 18063, 'S06', 0, 'Головного мозга: . контузия БДУ . разрыв БДУ Травматическая компрессия головного мозга БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18067, 'Очаговая травма головного мозга', 'S06.3', 18063, 'S06', 0, 'Очаговая(ое)(ый): . церебральная(ый) . контузия . разрыв . травматическое внутримозговое кровоизлияние');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18068, 'Эпидуральное кровоизлияние', 'S06.4', 18063, 'S06', 0, 'Экстрадуральное кровоизлияние (травматическое)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18069, 'Травматическое субдуральное кровоизлияние', 'S06.5', 18063, 'S06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18070, 'Травматическое субарахноидальное кровоизлияние', 'S06.6', 18063, 'S06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18071, 'Внутричерепная травма с продолжительным коматозным состоянием', 'S06.7', 18063, 'S06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18072, 'Другие внутричерепные травмы', 'S06.8', 18063, 'S06', 0, 'Травматическое кровоизлияние: . мозжечковое . внутричерепное БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18073, 'Внутричерепная травма неуточненная', 'S06.9', 18063, 'S06', 0, 'Травма мозга БДУ Исключена: травма головы БДУ (S09.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18074, 'Размозжение головы', 'S07', 18002, 'S00-S09', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18075, 'Размозжение лица', 'S07.0', 18074, 'S07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18076, 'Размозжение черепа', 'S07.1', 18074, 'S07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18077, 'Размозжение других частей головы', 'S07.8', 18074, 'S07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18078, 'Размозжение неуточненной части головы', 'S07.9', 18074, 'S07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18079, 'Травматическая ампутация части головы', 'S08', 18002, 'S00-S09', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18080, 'Отрыв волосистой части головы', 'S08.0', 18079, 'S08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18081, 'Травматическая ампутация уха', 'S08.1', 18079, 'S08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18082, 'Травматическая ампутация других частей головы', 'S08.8', 18079, 'S08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18083, 'Травматическая ампутация неуточненной части головы', 'S08.9', 18079, 'S08', 0, 'Исключена: декапитация (S18)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18084, 'Другие и неуточненные травмы головы', 'S09', 18002, 'S00-S09', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18085, 'Повреждение кровеносных сосудов головы, не классифицированное в других рубриках', 'S09.0', 18084, 'S09', 0, 'Исключены: травма: . церебральных кровеносных сосудов (S06.-) . прецеребральных кровеносных сосудов (S15.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18086, 'Травма мышц и сухожилий головы', 'S09.1', 18084, 'S09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18087, 'Травматический разрыв барабанной перепонки', 'S09.2', 18084, 'S09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18088, 'Множественные травмы головы', 'S09.7', 18084, 'S09', 0, 'Травмы, классифицируемые более чем одной из рубрик S00-S09.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18089, 'Другие уточненные травмы головы', 'S09.8', 18084, 'S09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18090, 'Травма головы неуточненная', 'S09.9', 18084, 'S09', 0, 'Травма: . лица БДУ . уха БДУ . носа БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18092, 'ТРАВМЫ ШЕИ', 'S10-S19', 18001, 'S00-T98', 10, 'Включены: травмы: . задней части шеи . надключичной области . горла\nИсключены: термические и химические ожоги (T20-T32) последствия проникновения инородных тел в: . гортань (T17.3) . пищевод (T18.1) . глотку (T17.2) . трахею (T17.4) перелом позвоночника БДУ (T08) отморожение (T33-T35) травма: . спинного мозга БДУ (T09.3) . туловища БДУ (T09.-) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18093, 'Поверхностная травма шеи', 'S10', 18092, 'S10-S19', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18094, 'Ушиб горла', 'S10.0', 18093, 'S10', 0, 'Шейного отдела пищевода Гортани Глотки Трахеи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18095, 'Другие и неуточненные поверхностные травмы горла', 'S10.1', 18093, 'S10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18096, 'Множественные поверхностные травмы шеи', 'S10.7', 18093, 'S10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18097, 'Поверхностная травма других частей шеи', 'S10.8', 18093, 'S10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18098, 'Поверхностная травма неуточненной части шеи', 'S10.9', 18093, 'S10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18099, 'Открытая рана шеи', 'S11', 18092, 'S10-S19', 6, 'Исключена: декапитация (S18)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18100, 'Открытая рана, затрагивающая гортань и трахею', 'S11.0', 18099, 'S11', 0, 'Открытая рана трахеи: . БДУ . шейного отдела Исключена: грудной части трахеи (S27.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18101, 'Открытая рана, затрагивающая щитовидную железу', 'S11.1', 18099, 'S11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18102, 'Открытая рана, затрагивающая глотку и шейную часть пищевода', 'S11.2', 18099, 'S11', 0, 'Исключена: пищевода БДУ (S27.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18103, 'Множественные открытые раны шеи', 'S11.7', 18099, 'S11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18104, 'Открытая рана других частей шеи', 'S11.8', 18099, 'S11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18105, 'Открытая рана неуточненной части шеи', 'S11.9', 18099, 'S11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18106, 'Перелом шейного отдела позвоночника', 'S12', 18092, 'S10-S19', 6, 'Включены: шейного отдела: . дуги позвонка . позвоночника . остистого отростка . поперечного отростка . позвонка Следующие подрубрики (пятый знак) даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома или открытой раны; если перелом не охарактеризован как открытый или закрытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18107, 'Перелом первого шейного позвонка', 'S12.0', 18106, 'S12', 0, 'Atlas');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18108, 'Перелом второго шейного позвонка', 'S12.1', 18106, 'S12', 0, 'Axis');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18109, 'Перелом других уточненных шейных позвонков', 'S12.2', 18106, 'S12', 0, 'Исключены: множественные переломы шейных позвонков (S12.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18110, 'Множественные переломы шейных позвонков', 'S12.7', 18106, 'S12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18111, 'Перелом других частей шеи', 'S12.8', 18106, 'S12', 0, 'Подъязычной кости Гортани Щитовидного хряща Трахеи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18112, 'Перелом шеи неуточненной локализации', 'S12.9', 18106, 'S12', 0, 'Перелом шейного (отдела): . позвонка БДУ . позвоночника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18113, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата на уровне шеи', 'S13', 18092, 'S10-S19', 7, 'Исключены: разрывы или смещение (нетравматические) межпозвоночного диска в шейном отделе (M50.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18114, 'Травматический разрыв межпозвоночного диска на уровне шеи', 'S13.0', 18113, 'S13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18115, 'Вывих шейного позвонка', 'S13.1', 18113, 'S13', 0, 'Шейного отдела позвоночника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18116, 'Вывих другой и неуточненной части шеи', 'S13.2', 18113, 'S13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18117, 'Множественные вывихи на уровне шеи', 'S13.3', 18113, 'S13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18118, 'Растяжение и перенапряжение связочного аппарата шейного отдела позвоночника', 'S13.4', 18113, 'S13', 0, 'Передней продольной связки шейного отдела Атлантоаксиального сустава Атлантоокципитального сустава "Хлыстовая" травма');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18119, 'Растяжение и перенапряжение связочного аппарата в области щитовидной железы', 'S13.5', 18113, 'S13', 0, 'Перстнечерпаловидного(ой) (сустава) (связки) Перстнещитовидного(ой) (сустава) (связки) Щитовидного хряща');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18120, 'Растяжение и перенапряжение суставов и связок других и неуточненных частей шеи', 'S13.6', 18113, 'S13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18121, 'Травма нервов и спинного мозга на уровне шеи', 'S14', 18092, 'S10-S19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18122, 'Контузия и отек шейного отдела спинного мозга', 'S14.0', 18121, 'S14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18123, 'Другие и неуточненные повреждения шейного отдела спинного мозга', 'S14.1', 18121, 'S14', 0, 'Травма шейного отдела спинного мозга БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18124, 'Травма нервного корешка шейного отдела позвоночника', 'S14.2', 18121, 'S14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18125, 'Травма плечевого сплетения', 'S14.3', 18121, 'S14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18126, 'Травма периферических нервов шеи', 'S14.4', 18121, 'S14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18127, 'Травма симпатических нервов шейного отдела', 'S14.5', 18121, 'S14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18128, 'Травма других и неуточненных нервов шеи', 'S14.6', 18121, 'S14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18129, 'Травма кровеносных сосудов на уровне шеи', 'S15', 18092, 'S10-S19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18130, 'Травма сонной артерии', 'S15.0', 18129, 'S15', 0, 'Сонной артерии (общей) (наружной) (внутренней)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18131, 'Травма позвоночной артерии', 'S15.1', 18129, 'S15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18132, 'Травма наружной яремной вены', 'S15.2', 18129, 'S15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18133, 'Травма внутренней яремной вены', 'S15.3', 18129, 'S15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18134, 'Травма нескольких кровеносных сосудов на уровне шеи', 'S15.7', 18129, 'S15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18135, 'Травма других кровеносных сосудов на уровне шеи', 'S15.8', 18129, 'S15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18136, 'Травма неуточненного кровеносного сосуда на уровне шеи', 'S15.9', 18129, 'S15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18137, 'Травма мышц и сухожилий на уровне шеи', 'S16', 18092, 'S10-S19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18138, 'Размозжение шеи', 'S17', 18092, 'S10-S19', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18139, 'Размозжение гортани и трахеи', 'S17.0', 18138, 'S17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18140, 'Размозжение других частей шеи', 'S17.8', 18138, 'S17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18141, 'Размозжение неуточненной части шеи', 'S17.9', 18138, 'S17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18142, 'Травматическая ампутация на уровне шеи', 'S18', 18092, 'S10-S19', 0, 'Декапитация');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18143, 'Другие и неуточненные травмы шеи', 'S19', 18092, 'S10-S19', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18144, 'Множественные травмы шеи', 'S19.7', 18143, 'S19', 0, 'Травмы, классифицируемые более чем одной из рубрик S10-S18');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18145, 'Другие уточненные травмы шеи', 'S19.8', 18143, 'S19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18146, 'Травма шеи неуточненная', 'S19.9', 18143, 'S19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18148, 'ТРАВМЫ ГРУДНОЙ КЛЕТКИ', 'S20-S29', 18001, 'S00-T98', 10, 'Включены: травмы: . грудной железы . груди (стенки) . межлопаточной области\nИсключены: термические и химические ожоги (T20-T32) последствия проникновения инородных тел в: . бронхи (T17.5) . легкие (T17.8) . пищевод (T18.1) . трахею (T17.4) перелом позвоночника БДУ (T08) отморожение (T33-T35) травмы: . подмышечной впадины } . ключицы } . лопаточной области } (S40-S49) . плечевого сустава } . спинного мозга БДУ (T09.3) . туловища БДУ (T09.-) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18149, 'Поверхностная травма грудной клетки', 'S20', 18148, 'S20-S29', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18150, 'Ушиб молочной железы', 'S20.0', 18149, 'S20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18151, 'Другие и неуточненные поверхностные травмы молочной железы', 'S20.1', 18149, 'S20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18152, 'Ушиб грудной клетки', 'S20.2', 18149, 'S20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18153, 'Другие поверхностные травмы передней стенки грудной клетки', 'S20.3', 18149, 'S20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18154, 'Другие поверхностные травмы задней стенки грудной клетки', 'S20.4', 18149, 'S20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18155, 'Множественные поверхностные травмы грудной клетки', 'S20.7', 18149, 'S20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18156, 'Поверхностные травмы другой и неуточненной части грудной клетки', 'S20.8', 18149, 'S20', 0, 'Стенки грудной клетки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18157, 'Открытая рана грудной клетки', 'S21', 18148, 'S20-S29', 6, 'Исключены: травматический: . гемопневмоторакс (S27.2) . гемоторакс (S27.1) . пневмоторакс (S27.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18158, 'Открытая рана молочной железы', 'S21.0', 18157, 'S21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18159, 'Открытая рана передней стенки грудной клетки', 'S21.1', 18157, 'S21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18160, 'Открытая рана задней стенки грудной клетки', 'S21.2', 18157, 'S21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18161, 'Множественные открытые раны стенки грудной клетки', 'S21.7', 18157, 'S21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18162, 'Открытая рана других отделов грудной клетки', 'S21.8', 18157, 'S21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18163, 'Открытая рана неуточненного отдела грудной клетки', 'S21.9', 18157, 'S21', 0, 'Стенки грудной клетки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18164, 'Перелом ребра (ребер), грудины и грудного отдела позвоночника', 'S22', 18148, 'S20-S29', 8, 'Включены: грудного отдела: . дуги позвонка . остистого отростка . поперечного отростка . позвонка Следующие подрубрики (пятый знак) даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома или открытой раны; если перелом не охарактеризован как открытый или закрытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключены: перелом: . ключицы (S42.0) . лопатки (S42.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18165, 'Перелом грудного позвонка', 'S22.0', 18164, 'S22', 0, 'Перелом грудного отдела позвоночника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18166, 'Множественные переломы грудного отдела позвоночника', 'S22.1', 18164, 'S22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18167, 'Перелом грудины', 'S22.2', 18164, 'S22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18168, 'Перелом ребра', 'S22.3', 18164, 'S22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18169, 'Множественные переломы ребер', 'S22.4', 18164, 'S22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18170, 'Западающая грудная клетка', 'S22.5', 18164, 'S22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18171, 'Перелом других отделов костной грудной клетки', 'S22.8', 18164, 'S22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18172, 'Перелом неуточненного отдела костной грудной клетки', 'S22.9', 18164, 'S22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18173, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата грудной клетки', 'S23', 18148, 'S20-S29', 6, 'Исключены: вывих, растяжение и перенапряжение грудино-ключичного сустава (S43.2, S43.6) разрыв или смещение (нетравматические) межпозвоночного диска в грудном отделе (M51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18174, 'Травматический разрыв межпозвоночного диска в грудном отделе', 'S23.0', 18173, 'S23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18175, 'Вывих грудного позвонка', 'S23.1', 18173, 'S23', 0, 'Грудного отдела позвоночника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18176, 'Вывих другого и неуточненного отдела грудной клетки', 'S23.2', 18173, 'S23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18177, 'Растяжение и перенапряжение связочного аппарата грудного отдела позвоночника', 'S23.3', 18173, 'S23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18178, 'Растяжение и перенапряжение связочного аппарата ребер и грудины', 'S23.4', 18173, 'S23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18179, 'Растяжение и перенапряжение связочного аппарата другого и неуточненного отдела грудной клетки', 'S23.5', 18173, 'S23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18180, 'Травма нервов и спинного мозга в грудном отделе', 'S24', 18148, 'S20-S29', 7, 'Исключена: травма плечевого сплетения (S14.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18181, 'Ушиб и отек грудного отдела спинного мозга', 'S24.0', 18180, 'S24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18182, 'Другие и неуточненные травмы грудного отдела спинного мозга', 'S24.1', 18180, 'S24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18183, 'Травма нервного корешка грудного отдела позвоночника', 'S24.2', 18180, 'S24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18184, 'Травма периферических нервов грудной клетки', 'S24.3', 18180, 'S24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18185, 'Травма симпатических нервов грудного отдела', 'S24.4', 18180, 'S24', 0, 'Сердечного сплетения Пищеводного сплетения Легочного сплетения Звездчатого узла Грудного симпатического узла');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18186, 'Травма других нервов грудного отдела', 'S24.5', 18180, 'S24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18187, 'Травма уточненного нерва грудного отдела', 'S24.6', 18180, 'S24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18188, 'Травма кровеносных сосудов грудного отдела', 'S25', 18148, 'S20-S29', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18189, 'Травма грудного отдела аорты', 'S25.0', 18188, 'S25', 0, 'Аорты БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18190, 'Травма безымянной или подключичной артерии', 'S25.1', 18188, 'S25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18191, 'Травма верхней полой вены', 'S25.2', 18188, 'S25', 0, 'Vena cava БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18192, 'Травма безымянной или подключичной вены', 'S25.3', 18188, 'S25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18193, 'Травма легочных кровеносных сосудов', 'S25.4', 18188, 'S25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18194, 'Травма межреберных кровеносных сосудов', 'S25.5', 18188, 'S25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18195, 'Травма нескольких кровеносных сосудов грудного отдела', 'S25.7', 18188, 'S25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18196, 'Травма других кровеносных сосудов грудного отдела', 'S25.8', 18188, 'S25', 0, 'Непарной вены Артерии или вены молочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18197, 'Травма неуточненного кровеносного сосуда грудного отдела', 'S25.9', 18188, 'S25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18198, 'Травма сердца', 'S26', 18148, 'S20-S29', 3, 'Включены: ушиб } разрыв } прокол } сердца травматическая перфорация } Следующие подрубрики (пятый знак) даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома или открытой раны; если перелом не охарактеризован как открытый или закрытый, его следует классифицировать как закрытый: 0 - без открытой раны в грудную полость 1 - с открытой раной в грудную полость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18199, 'Травма сердца с кровоизлиянием в сердечную сумку[гемоперикард]', 'S26.0', 18198, 'S26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18200, 'Другие травмы сердца', 'S26.8', 18198, 'S26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18201, 'Травма сердца неуточненная', 'S26.9', 18198, 'S26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18202, 'Травма других и неуточненных органов грудной полости', 'S27', 18148, 'S20-S29', 10, 'Следующие подрубрики (пятый знак) даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома или открытой раны; если перелом не охарактеризован как открытый или закрытый, его следует классифицировать как закрытый: 0 - без открытой раны в грудную полость 1 - с открытой раной в грудную полость Исключены: травма: . шейного отдела пищевода (S10-S19) . трахеи (шейного отдела) (S10-S19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18203, 'Травматический пневмоторакс', 'S27.0', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18204, 'Травматический гемоторакс', 'S27.1', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18205, 'Травматический гемопневмоторакс', 'S27.2', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18206, 'Другие травмы легкого', 'S27.3', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18207, 'Травма бронхов', 'S27.4', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18208, 'Травма грудного отдела трахеи', 'S27.5', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18209, 'Травма плевры', 'S27.6', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18210, 'Множественные травмы органов грудной полости', 'S27.7', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18211, 'Травма других уточненных органов грудной полости', 'S27.8', 18202, 'S27', 0, 'Диафрагмы Лимфатического грудного протока Пищевода (грудного отдела) Вилочковой железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18212, 'Травма неуточненного органа грудной полости', 'S27.9', 18202, 'S27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18213, 'Размозжение грудной клетки и травматическая ампутация части грудной клетки', 'S28', 18148, 'S20-S29', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18214, 'Раздавленная грудная клетка', 'S28.0', 18213, 'S28', 0, 'Исключена: разболтанная грудная клетка (S22.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18215, 'Травматическая ампутация части грудной клетки', 'S28.1', 18213, 'S28', 0, 'Исключен: перерез туловища на уровне грудной клетки (T05.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18216, 'Другие и неуточненные травмы грудной клетки', 'S29', 18148, 'S20-S29', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18217, 'Травма мышцы и сухожилия на уровне грудной клетки', 'S29.0', 18216, 'S29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18218, 'Множественные травмы грудной клетки', 'S29.7', 18216, 'S29', 0, 'Травмы, классифицируемые более чем одной из рубрик S20-S29.0');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18219, 'Другие уточненные травмы грудной клетки', 'S29.8', 18216, 'S29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18220, 'Травма грудной клетки неуточненная', 'S29.9', 18216, 'S29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18222, 'ТРАВМЫ ЖИВОТА, НИЖНЕЙ ЧАСТИ СПИНЫ, ПОЯСНИЧНОГО ОТДЕЛА ПОЗВОНОЧНИКА И ТАЗА', 'S30-S39', 18001, 'S00-T98', 10, 'Включены: травмы: . брюшной стенки . заднего прохода . ягодичной области . наружных половых органов . боковой части живота . паховой области\nИсключены: термические и химические ожоги (T20-T32) последствия проникновения инородного тела в: . задний проход и прямую кишку (T18.5) . мочеполовой тракт (T19.-) . желудок, тонкий и толстый кишечник (T18.2-T18.4) перелом позвоночника БДУ (T08) отморожение (T33-T35) травмы: . спины БДУ (T09.-) . спинного мозга БДУ (T09.3) . туловища БДУ (T09.-) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18223, 'Поверхностная травма живота, нижней части спины и таза', 'S30', 18222, 'S30-S39', 6, 'Исключена: поверхностная травма тазобедренной области (S70.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18224, 'Ушиб нижней части спины и таза', 'S30.0', 18223, 'S30', 0, 'Ягодичной области');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18225, 'Ушиб стенки живота', 'S30.1', 18223, 'S30', 0, 'Боковой части живота Паховой области');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18226, 'Ушиб наружных половых органов', 'S30.2', 18223, 'S30', 0, 'Половой губы (большой) (малой) Полового члена Промежности Мошонки Яичка Влагалища Вульвы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18227, 'Множественные поверхностные травмы живота, нижней части спины и таза', 'S30.7', 18223, 'S30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18228, 'Другие поверхностные травмы живота, нижней части спины и таза', 'S30.8', 18223, 'S30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18229, 'Поверхностная травма живота, нижней части спины и таза неуточненной локализации', 'S30.9', 18223, 'S30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18230, 'Открытая рана живота, нижней части спины и таза', 'S31', 18222, 'S30-S39', 8, 'Исключена: открытая рана области тазобедренного сустава (S71.0) травматическая ампутация части живота, нижней части спины и таза (S38.2-S38.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18231, 'Открытая рана нижней части спины и таза', 'S31.0', 18230, 'S31', 0, 'Ягодичной области');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18232, 'Открытая рана брюшной стенки', 'S31.1', 18230, 'S31', 0, 'Боковой части живота Паховой области');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18233, 'Открытая рана полового члена', 'S31.2', 18230, 'S31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18234, 'Открытая рана мошонки и яичек', 'S31.3', 18230, 'S31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18235, 'Открытая рана влагалища и вульвы', 'S31.4', 18230, 'S31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18236, 'Открытая рана других и неуточненных наружных половых органов', 'S31.5', 18230, 'S31', 0, 'Исключена: травматическая ампутация наружных половых органов (S38.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18237, 'Множественные открытые раны живота, нижней части спины и таза', 'S31.7', 18230, 'S31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18238, 'Открытая рана другой и неуточненной части живота', 'S31.8', 18230, 'S31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18239, 'Перелом пояснично-крестцового отдела позвоночника и костей таза', 'S32', 18222, 'S30-S39', 8, 'Включены: перелом на уровне пояснично-крестцового отдела: . дуги позвонка . остистого отростка . поперечного отростка . позвонка Следующие подрубрики (пятый знак) даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома или открытой раны; если перелом не охарактеризован как открытый или закрытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключен: перелом в области тазобедренного сустава БДУ (S72.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18240, 'Перелом поясничного позвонка', 'S32.0', 18239, 'S32', 0, 'Перелом поясничного отдела позвоночника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18241, 'Перелом крестца', 'S32.1', 18239, 'S32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18242, 'Перелом копчика', 'S32.2', 18239, 'S32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18243, 'Перелом подвздошной кости', 'S32.3', 18239, 'S32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18244, 'Перелом вертлужной впадины', 'S32.4', 18239, 'S32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18245, 'Перелом лобковой кости', 'S32.5', 18239, 'S32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18246, 'Множественные переломы пояснично-крестцового отдела позвоночника и костей таза', 'S32.7', 18239, 'S32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18247, 'Переломы других и неуточненных частей пояснично-крестцового отдела позвоночника и костей таза', 'S32.8', 18239, 'S32', 0, 'Перелом: . седалищной кости . пояснично-крестцового отдела позвоночника БДУ . таза БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18248, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата поясничного отдела позвоночника и таза', 'S33', 18222, 'S30-S39', 8, 'Исключены: вывих, растяжение и перенапряжение тазобедренного сустава и связок (S73.-) акушерская травма сочленений и связок таза (O71.6) разрывы или смещение (нетравматические) межпозвоночного диска в поясничном отделе (M51.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18249, 'Травматический разрыв межпозвоночного диска в пояснично-крестцовом отделе', 'S33.0', 18248, 'S33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18250, 'Вывих поясничного позвонка', 'S33.1', 18248, 'S33', 0, 'Вывих поясничного отдела позвоночника БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18251, 'Вывих крестцово-подвздошного сустава и крестцово-копчикового соединения', 'S33.2', 18248, 'S33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18252, 'Вывих другой и неуточненной части пояснично-крестцового отдела позвоночника и таза', 'S33.3', 18248, 'S33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18253, 'Травматический разрыв лобкового симфиза [лонного сочленения]', 'S33.4', 18248, 'S33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18254, 'Растяжение и перенапряжение капсульно-связочного аппарата поясничного отдела позвоночника', 'S33.5', 18248, 'S33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18255, 'Растяжение и перенапряжение капсульно-связочного аппарата крестцово-подвздошного сустава', 'S33.6', 18248, 'S33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18256, 'Растяжение и перенапряжение капсульно-связочного аппарата другой и неуточненной части пояснично-крестцового отдела позвоночника и таза', 'S33.7', 18248, 'S33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18257, 'Травма нервов и поясничного отдела спинного мозга на уровне живота, нижней части спины и таза', 'S34', 18222, 'S30-S39', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18258, 'Сотрясение и отек поясничного отдела спинного мозга', 'S34.0', 18257, 'S34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18259, 'Другая травма поясничного отдела спинного мозга', 'S34.1', 18257, 'S34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18260, 'Травма нервного корешка пояснично-крестцового отдела позвоночника', 'S34.2', 18257, 'S34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18261, 'Травма конского хвоста', 'S34.3', 18257, 'S34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18262, 'Травма пояснично-крестцового нервного сплетения', 'S34.4', 18257, 'S34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18263, 'Травма поясничных, крестцовых и тазовых симпатических нервов', 'S34.5', 18257, 'S34', 0, 'Чревного узла или сплетения Подчревного сплетения Брыжеечного сплетения (нижнего) (верхнего) Висцерального нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18264, 'Травма периферического(их) нерва(ов) живота, нижней части спины и таза', 'S34.6', 18257, 'S34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18265, 'Травма других и неуточненных нервов на уровне живота, нижней части спины и таза', 'S34.8', 18257, 'S34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18266, 'Травма кровеносных сосудов на уровне живота, нижней части спины и таза', 'S35', 18222, 'S30-S39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18267, 'Травма брюшной части аорты', 'S35.0', 18266, 'S35', 0, 'Исключена: травма аорты БДУ (S25.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18268, 'Травма нижней полой вены', 'S35.1', 18266, 'S35', 0, 'Печеночной вены Исключена: травма полой вены БДУ (S25.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18269, 'Травма чревной или брыжеечной артерии', 'S35.2', 18266, 'S35', 0, 'Желудочной артерии Гастродуоденальной артерии Печеночной артерии Брыжеечной артерии (нижней) (верхней) Селезеночной артерии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18270, 'Травма воротной или селезеночной вены', 'S35.3', 18266, 'S35', 0, 'Брыжеечной вены (нижней) (верхней)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18271, 'Травма кровеносных сосудов почки', 'S35.4', 18266, 'S35', 0, 'Почечной артерии или вены');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18272, 'Травма подвздошных кровеносных сосудов', 'S35.5', 18266, 'S35', 0, 'Подчревной артерии или вены Подвздошной артерии или вены Артерии или вены матки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18273, 'Травма нескольких кровеносных сосудов на уровне живота, нижней части спины и таза', 'S35.7', 18266, 'S35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18274, 'Травма других кровеносных сосудов на уровне живота, нижней части спины и таза', 'S35.8', 18266, 'S35', 0, 'Артерии или вены яичника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18275, 'Травма неуточненного кровеносного сосуда на уровне живота, нижней части спины и таза', 'S35.9', 18266, 'S35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18276, 'Травма органов брюшной полости', 'S36', 18222, 'S30-S39', 10, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование: 0 - без открытой раны в брюшную полость 1 - с открытой раной в брюшную полость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18277, 'Травма селезенки', 'S36.0', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18278, 'Травма печени или желчного пузыря', 'S36.1', 18276, 'S36', 0, 'Желчного протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18279, 'Травма поджелудочной железы', 'S36.2', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18280, 'Травма желудка', 'S36.3', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18281, 'Травма тонкого кишечника', 'S36.4', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18282, 'Травма ободочной кишки', 'S36.5', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18283, 'Травма прямой кишки', 'S36.6', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18284, 'Травма нескольких внутрибрюшных органов', 'S36.7', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18285, 'Травма других внутрибрюшных органов', 'S36.8', 18276, 'S36', 0, 'Брюшины Забрюшинного пространства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18286, 'Травма неуточненного внутрибрюшного органа', 'S36.9', 18276, 'S36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18287, 'Травма тазовых органов', 'S37', 18222, 'S30-S39', 10, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование: 0 - без открытой раны в брюшную полость 1 - с открытой раной в брюшную полость Исключена: травма брюшины и забрюшинного пространства (S36.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18288, 'Травма почки', 'S37.0', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18289, 'Травма мочеточника', 'S37.1', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18290, 'Травма мочевого пузыря', 'S37.2', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18291, 'Травма мочеиспускательного канала', 'S37.3', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18292, 'Травма яичника', 'S37.4', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18293, 'Травма маточной [фаллопиевой] трубы', 'S37.5', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18294, 'Травма матки', 'S37.6', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18295, 'Множественная травма тазовых органов', 'S37.7', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18296, 'Травма других тазовых органов', 'S37.8', 18287, 'S37', 0, 'Надпочечника Предстательной железы Семенных пузырьков Семявыносящего протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18297, 'Травма неуточненного тазового органа', 'S37.9', 18287, 'S37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18298, 'Размозжение и травматическая ампутация части живота, нижней части спины и таза', 'S38', 18222, 'S30-S39', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18299, 'Размозжение наружных половых органов', 'S38.0', 18298, 'S38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18300, 'Размозжение других и неуточненных частей живота, нижней части спины и таза', 'S38.1', 18298, 'S38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18301, 'Травматическая ампутация наружных половых органов', 'S38.2', 18298, 'S38', 0, 'Половой губы (большой) (малой) Полового члена Мошонки Яичек Вульвы');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18302, 'Травматическая ампутация другой и неуточненной части живота, нижней части спины и таза', 'S38.3', 18298, 'S38', 0, 'Исключен: перерез туловища на уровне живота (T05.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18303, 'Другие и неуточненные травмы живота, нижней части спины и таза', 'S39', 18222, 'S30-S39', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18304, 'Травма мышцы и сухожилия живота, нижней части спины и таза', 'S39.0', 18303, 'S39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18305, 'Сочетанная травма внутрибрюшного(ых) и тазового(ых) органа(органов)', 'S39.6', 18303, 'S39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18306, 'Другие множественные травмы живота, нижней части спины и таза', 'S39.7', 18303, 'S39', 0, 'Травмы, классифицируемые более чем одной из рубрик S30-S39.6 Исключено: сочетание травм, классифицированных в рубрике S36.- с травмами, классифицированными в рубрике S37.- (S39.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18307, 'Другие уточненные травмы живота, нижней части спины и таза', 'S39.8', 18303, 'S39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18308, 'Травма живота, нижней части спины и таза неуточненная', 'S39.9', 18303, 'S39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18310, 'ТРАВМЫ ПЛЕЧЕВОГО ПОЯСА И ПЛЕЧА', 'S40-S49', 18001, 'S00-T98', 10, 'Включены: травмы: . подмышечной впадины . лопаточной области\nИсключены: двусторонняя травма плечевого пояса и плеча (T00-T07) термические и химические ожоги (T20-T32) отморожение (T33-T35) травмы: . руки (неуточненной локализации) (T10-T11) . локтя (S50-S59) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18311, 'Поверхностная травма плечевого пояса и плеча', 'S40', 18310, 'S40-S49', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18312, 'Ушиб плечевого пояса и плеча', 'S40.0', 18311, 'S40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18313, 'Множественные поверхностные травмы плечевого пояса и плеча', 'S40.7', 18311, 'S40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18314, 'Другие поверхностные травмы плечевого пояса и плеча', 'S40.8', 18311, 'S40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18315, 'Поверхностная травма плечевого пояса и плеча неуточненная', 'S40.9', 18311, 'S40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18316, 'Открытая рана плечевого пояса и плеча', 'S41', 18310, 'S40-S49', 4, 'Исключена: травматическая ампутация плечевого пояса и плеча(S48.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18317, 'Открытая рана плечевого пояса', 'S41.0', 18316, 'S41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18318, 'Открытая рана плеча', 'S41.1', 18316, 'S41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18319, 'Множественные открытые раны плечевого пояса и плеча', 'S41.7', 18316, 'S41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18320, 'Открытая рана другой и неуточненной части плечевого пояса', 'S41.8', 18316, 'S41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18321, 'Перелом на уровне плечевого пояса и плеча', 'S42', 18310, 'S40-S49', 8, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18322, 'Перелом ключицы', 'S42.0', 18321, 'S42', 0, 'Ключицы: . акромиального конца . тела . грудинного конца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18323, 'Перелом лопатки', 'S42.1', 18321, 'S42', 0, 'Акромиального отростка Акромиона Лопатки (тела) (суставной впадины) (шейки) Shoulder blade');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18324, 'Перелом верхнего конца плечевой кости', 'S42.2', 18321, 'S42', 0, 'Анатомической шейки Большого бугорка Проксимального конца Хирургической шейки Верхнего эпифиза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18325, 'Перелом тела [диафиза] плечевой кости', 'S42.3', 18321, 'S42', 0, 'Плечевой кости БДУ Плеча БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18326, 'Перелом нижнего конца плечевой кости', 'S42.4', 18321, 'S42', 0, 'Суставного отростка Дистального конца Наружного мыщелка Внутреннего мыщелка Внутреннего надмыщелка Нижнего эпифиза Надмыщелковой области Исключен: перелом локтя БДУ (S52.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18327, 'Множественные переломы ключицы, лопатки и плечевой кости', 'S42.7', 18321, 'S42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18328, 'Перелом других частей плечевого пояса и плеча', 'S42.8', 18321, 'S42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18329, 'Перелом неуточненной части плечевого пояса', 'S42.9', 18321, 'S42', 0, 'Перелом плечевого сустава БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18330, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата плечевого пояса', 'S43', 18310, 'S40-S49', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18331, 'Вывих плечевого сустава', 'S43.0', 18330, 'S43', 0, 'Glenohumeral joint');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18332, 'Вывих акромиально-ключичного сустава', 'S43.1', 18330, 'S43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18333, 'Вывих грудино-ключичного сустава', 'S43.2', 18330, 'S43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18334, 'Вывих другой и неуточненной части плечевого пояса', 'S43.3', 18330, 'S43', 0, 'Вывих плечевого пояса БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18335, 'Растяжение и перенапряжение капсульно-связочного аппарата плечевого сустава', 'S43.4', 18330, 'S43', 0, 'Клювовидно-плечевой (связки) Вращательной манжеты (капсулы)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18336, 'Растяжение и перенапряжение капсульно-связочного аппарата акромиально-ключичного сустава', 'S43.5', 18330, 'S43', 0, 'Акромиально-ключичной связки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18337, 'Растяжение и перенапряжение капсульно-связочного аппарата грудиноключичного сустава', 'S43.6', 18330, 'S43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18338, 'Растяжение и перенапряжение капсульно-связочного аппарата другой и неуточненной части плечевого пояса', 'S43.7', 18330, 'S43', 0, 'Растяжение и перенапряжение капсульно-связочного аппарата плечевого пояса БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18339, 'Травма нервов на уровне плечевого пояса и плеча', 'S44', 18310, 'S40-S49', 9, 'Исключена: травма плечевого сплетения (S14.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18340, 'Травма локтевого нерва на уровне плеча', 'S44.0', 18339, 'S44', 0, 'Исключена: локтевого нерва БДУ (S54.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18341, 'Травма срединного нерва на уровне плеча', 'S44.1', 18339, 'S44', 0, 'Исключена: срединного нерва БДУ (S54.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18342, 'Травма лучевого нерва на уровне плеча', 'S44.2', 18339, 'S44', 0, 'Исключена: лучевого нерва БДУ (S54.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18343, 'Травма подмышечного нерва', 'S44.3', 18339, 'S44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18344, 'Травма мышечно-кожного нерва', 'S44.4', 18339, 'S44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18345, 'Травма кожного чувствительного нерва на уровне плечевого пояса и плеча', 'S44.5', 18339, 'S44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18346, 'Травма нескольких нервов на уровне плечевого пояса и плеча', 'S44.7', 18339, 'S44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18347, 'Травма других нервов на уровне плечевого пояса и плеча', 'S44.8', 18339, 'S44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18348, 'Травма неуточненного нерва на уровне плечевого пояса и плеча', 'S44.9', 18339, 'S44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18349, 'Травма кровеносных сосудов на уровне плечевого пояса и плеча', 'S45', 18310, 'S40-S49', 7, 'Исключены: травма подключичной: . артерии (S25.1) . вены (S25.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18350, 'Травма подмышечной артерии', 'S45.0', 18349, 'S45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18351, 'Травма плечевой артерии', 'S45.1', 18349, 'S45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18352, 'Травма подмышечной или плечевой вены', 'S45.2', 18349, 'S45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18353, 'Травма поверхностных вен на уровне плечевого пояса и плеча', 'S45.3', 18349, 'S45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18354, 'Травма нескольких кровеносных сосудов на уровне плечевого пояса и плеча', 'S45.7', 18349, 'S45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18355, 'Травма других кровеносных сосудов на уровне плечевого пояса и плеча', 'S45.8', 18349, 'S45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18356, 'Травма неуточненного кровеносного сосуда на уровне плечевого пояса и плеча', 'S45.9', 18349, 'S45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18357, 'Травма мышцы и сухожилия на уровне плечевого пояса и плеча', 'S46', 18310, 'S40-S49', 7, 'Исключена: травма мышцы и сухожилия на уровне локтя или ниже (S56.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18358, 'Травма сухожилия вращательной манжеты плеча', 'S46.0', 18357, 'S46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18359, 'Травма мышцы и сухожилия длинной головки двуглавой мышцы', 'S46.1', 18357, 'S46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18360, 'Травма мышцы и сухожилия других частей двуглавой мышцы', 'S46.2', 18357, 'S46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18361, 'Травма мышцы и сухожилия трехглавой мышцы', 'S46.3', 18357, 'S46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18362, 'Травма нескольких мышц и сухожилий на уровне плечевого пояса и плеча', 'S46.7', 18357, 'S46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18363, 'Травма других мышц и сухожилий на уровне плечевого пояса и плеча', 'S46.8', 18357, 'S46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18364, 'Травма неуточненных мышц и сухожилий на уровне плечевого пояса и плеча', 'S46.9', 18357, 'S46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18365, 'Размозжение плечевого пояса и плеча', 'S47', 18310, 'S40-S49', 0, 'Исключено: размозжение локтя (S57.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18366, 'Травматическая ампутация плечевого пояса и плеча', 'S48', 18310, 'S40-S49', 3, 'Исключены: травматическая ампутация: . на уровне локтя (S58.0) . верхней конечности на неуточненном уровне (T11.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18367, 'Травматическая ампутация на уровне плечевого сустава', 'S48.0', 18366, 'S48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18368, 'Травматическая ампутация на уровне между плечевым и локтевым суставами', 'S48.1', 18366, 'S48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18369, 'Травматическая ампутация плечевого пояса и плеча на неуточненном уровне', 'S48.9', 18366, 'S48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18370, 'Другие и неуточненные травмы плечевого пояса и плеча', 'S49', 18310, 'S40-S49', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18371, 'Множественные травмы плечевого пояса и плеча', 'S49.7', 18370, 'S49', 0, 'Травмы, классифицируемые более чем одной из рубрик S40-S48');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18372, 'Другие уточненные травмы плечевого пояса и плеча', 'S49.8', 18370, 'S49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18373, 'Травма плечевого пояса и плеча неуточненная', 'S49.9', 18370, 'S49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18375, 'ТРАВМЫ ЛОКТЯ И ПРЕДПЛЕЧЬЯ', 'S50-S59', 18001, 'S00-T98', 10, 'Исключены: двусторонняя травма локтя и предплечья (T00-T07) термические и химические ожоги (T20-T32) отморожение (T33-T35) травмы: . руки на неуточненном уровне (T10-T11) . запястья и кисти (S60-S69) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18376, 'Поверхностная травма предплечья', 'S50', 18375, 'S50-S59', 5, 'Исключена: поверхностная травма запястья и кисти (S60.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18377, 'Ушиб локтя', 'S50.0', 18376, 'S50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18378, 'Ушиб другой и неуточненной части предплечья', 'S50.1', 18376, 'S50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18379, 'Множественные поверхностные травмы предплечья', 'S50.7', 18376, 'S50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18380, 'Другие поверхностные травмы предплечья', 'S50.8', 18376, 'S50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18381, 'Поверхностная травма предплечья неуточненная', 'S50.9', 18376, 'S50', 0, 'Поверхностная травма локтя БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18382, 'Открытая рана предплечья', 'S51', 18375, 'S50-S59', 4, 'Исключены: открытая рана запястья и кисти (S61.-) травматическая ампутация предплечья (S58.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18383, 'Открытая рана локтя', 'S51.0', 18382, 'S51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18384, 'Множественные открытые раны предплечья', 'S51.7', 18382, 'S51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18385, 'Открытая рана других частей предплечья', 'S51.8', 18382, 'S51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18386, 'Открытая рана неуточненной части предплечья', 'S51.9', 18382, 'S51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18387, 'Перелом костей предплечья', 'S52', 18375, 'S50-S59', 10, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для обозначения перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключен: перелом на уровне запястья и кисти (S62.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18388, 'Перелом верхнего конца локтевой кости', 'S52.0', 18387, 'S52', 0, 'Венечного отростка Локтя БДУ Переломовывих Монтеджи Локтевого отростка Проксимального конца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18389, 'Перелом верхнего конца лучевой кости', 'S52.1', 18387, 'S52', 0, 'Головки Шейки Проксимального конца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18390, 'Перелом тела [диафиза] локтевой кости', 'S52.2', 18387, 'S52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18391, 'Перелом тела [диафиза] лучевой кости', 'S52.3', 18387, 'S52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18392, 'Сочетанный перелом диафизов локтевой и лучевой костей', 'S52.4', 18387, 'S52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18393, 'Перелом нижнего конца лучевой кости', 'S52.5', 18387, 'S52', 0, 'Перелом Коллиса Перелом Смита');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18394, 'Сочетанный перелом нижних концов локтевой и лучевой костей', 'S52.6', 18387, 'S52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18395, 'Множественные переломы костей предплечья', 'S52.7', 18387, 'S52', 0, 'Исключены: сочетанный перелом локтевой и лучевой костей: . нижних концов (S52.6) . диафизов (S52.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18396, 'Перелом других частей костей предплечья', 'S52.8', 18387, 'S52', 0, 'Нижнего конца локтевой кости Головки локтевой кости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18397, 'Перелом неуточненной части костей предплечья', 'S52.9', 18387, 'S52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18398, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата локтевого сустава', 'S53', 18375, 'S50-S59', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18399, 'Вывих головки лучевой кости', 'S53.0', 18398, 'S53', 0, 'Плечелучевого сустава Исключен: переломовывих Монтеджи (S52.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18400, 'Вывих в локтевом суставе неуточненный', 'S53.1', 18398, 'S53', 0, 'Плечелоктевого сустава Исключен: вывих только головки лучевой кости (S53.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18401, 'Травматический разрыв лучевой коллатеральной связки', 'S53.2', 18398, 'S53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18402, 'Травматический разрыв локтевой коллатеральной связки', 'S53.3', 18398, 'S53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18403, 'Растяжение и перенапряжение капсульно-связочного', 'S53.4', 18398, 'S53', 0, 'аппарата локтевого сустава');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18404, 'Травма нервов на уровне предплечья', 'S54', 18375, 'S50-S59', 7, 'Исключена: травма нервов на уровне запястья и кисти (S64.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18405, 'Травма локтевого нерва на уровне предплечья', 'S54.0', 18404, 'S54', 0, 'Локтевого нерва БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18406, 'Травма срединного нерва на уровне предплечья', 'S54.1', 18404, 'S54', 0, 'Срединного нерва БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18407, 'Травма лучевого нерва на уровне предплечья', 'S54.2', 18404, 'S54', 0, 'Лучевого нерва БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18408, 'Травма кожного чувствительного нерва на уровне предплечья', 'S54.3', 18404, 'S54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18409, 'Травма нескольких нервов на уровне предплечья', 'S54.7', 18404, 'S54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18410, 'Травма других нервов на уровне предплечья', 'S54.8', 18404, 'S54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18411, 'Травма неуточненного нерва на уровне предплечья', 'S54.9', 18404, 'S54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18412, 'Травма кровеносных сосудов на уровне предплечья', 'S55', 18375, 'S50-S59', 6, 'Исключены: травма: . кровеносных сосудов на уровне запястья и кисти (S65.-) . кровеносных сосудов на уровне плеча (S45.1-S45.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18413, 'Травма локтевой артерии на уровне предплечья', 'S55.0', 18412, 'S55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18414, 'Травма лучевой артерии на уровне предплечья', 'S55.1', 18412, 'S55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18415, 'Травма вены на уровне предплечья', 'S55.2', 18412, 'S55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18416, 'Травма нескольких кровеносных сосудов на уровне предплечья', 'S55.7', 18412, 'S55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18417, 'Травма других кровеносных сосудов на уровне предплечья', 'S55.8', 18412, 'S55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18418, 'Травма неуточненного кровеносного сосуда на уровне предплечья', 'S55.9', 18412, 'S55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18419, 'Травма мышцы и сухожилия на уровне предплечья', 'S56', 18375, 'S50-S59', 8, 'Исключена: травма мышцы и сухожилия на уровне запястья или ниже (S66.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18420, 'Травма сгибателя большого пальца и его сухожилия на уровне предплечья', 'S56.0', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18421, 'Травма сгибателя другого(их) пальца(ев) и его сухожилия на уровне предплечья', 'S56.1', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18422, 'Травма другого сгибателя и его сухожилия на уровне предплечья', 'S56.2', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18423, 'Травма разгибателя или отводящей мышцы большого пальца и их сухожилий на уровне предплечья', 'S56.3', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18424, 'Травма разгибателя другого(их) пальца(ев) и его сухожилия на уровне предплечья', 'S56.4', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18425, 'Травма другого разгибателя и сухожилия на уровне предплечья', 'S56.5', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18426, 'Травма нескольких мышц и сухожилий на уровне предплечья', 'S56.7', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18427, 'Травма других и неуточненных мышц и сухожилий на уровне предплечья', 'S56.8', 18419, 'S56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18428, 'Размозжение предплечья', 'S57', 18375, 'S50-S59', 3, 'Исключено: размозжение запястья и кисти (S67.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18429, 'Размозжение локтевого сустава', 'S57.0', 18428, 'S57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18430, 'Размозжение других частей предплечья', 'S57.8', 18428, 'S57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18431, 'Размозжение неуточненной части предплечья', 'S57.9', 18428, 'S57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18432, 'Травматическая ампутация предплечья', 'S58', 18375, 'S50-S59', 3, 'Исключена: травматическая ампутация запястья и кисти (S68.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18433, 'Травматическая ампутация на уровне локтевого сустава', 'S58.0', 18432, 'S58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18434, 'Травматическая ампутация на уровне между локтевым и лучезапястным суставами', 'S58.1', 18432, 'S58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18435, 'Травматическая ампутация предплечья на неуточненном уровне', 'S58.9', 18432, 'S58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18436, 'Другие и неуточненные травмы предплечья', 'S59', 18375, 'S50-S59', 3, 'Исключены: другие и неуточненные травмы запястья и кисти (S69.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18437, 'Множественные травмы предплечья', 'S59.7', 18436, 'S59', 0, 'Травмы, классифицируемые более чем одной из рубрик S50-S58');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18438, 'Другие уточненные травмы предплечья', 'S59.8', 18436, 'S59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18439, 'Травма предплечья неуточненная', 'S59.9', 18436, 'S59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18441, 'ТРАВМЫ ЗАПЯСТЬЯ И КИСТИ', 'S60-S69', 18001, 'S00-T98', 10, 'Исключены: двусторонняя травма запястья и кисти (T00-T07) термические и химические ожоги (T20-T32) отморожение (T33-T35) травмы руки на неуточненном уровне (T10-T11) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18442, 'Поверхностная травма запястья и кисти', 'S60', 18441, 'S60-S69', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18443, 'Ушиб пальца(ев) кисти без повреждения ногтевой пластинки', 'S60.0', 18442, 'S60', 0, 'Ушиб пальца(ев) кисти БДУ Исключен: ушиб, захватывающий ногтевую пластинку (S60.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18444, 'Ушиб пальца(ев) кисти с повреждением ногтевой пластинки', 'S60.1', 18442, 'S60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18445, 'Ушиб других частей запястья и кисти', 'S60.2', 18442, 'S60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18446, 'Множественные поверхностные травмы запястья и кисти', 'S60.7', 18442, 'S60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18447, 'Другие поверхностные травмы запястья и кисти', 'S60.8', 18442, 'S60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18448, 'Поверхностная травма запястья и кисти неуточненная', 'S60.9', 18442, 'S60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18449, 'Открытая рана запястья и кисти', 'S61', 18441, 'S60-S69', 5, 'Исключена: травматическая ампутация запястья и кисти (S68.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18450, 'Открытая рана пальца(ев) кисти без повреждения ногтевой пластинки', 'S61.0', 18449, 'S61', 0, 'Открытая рана пальца(ев) БДУ Исключена: открытая рана, захватывающая ногтевую пластинку (S61.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18451, 'Открытая рана пальца(ев) кисти с повреждением ногтевой пластинки', 'S61.1', 18449, 'S61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18452, 'Множественные открытые раны запястья и кисти', 'S61.7', 18449, 'S61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18453, 'Открытая рана других частей запястья и кисти', 'S61.8', 18449, 'S61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18454, 'Открытая рана неуточненной части запястья и кисти', 'S61.9', 18449, 'S61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18455, 'Перелом на уровне запястья и кисти', 'S62', 18441, 'S60-S69', 9, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключен: перелом дистальных концов локтевой и лучевой костей (S52.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18456, 'Перелом ладьевидной кости кисти', 'S62.0', 18455, 'S62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18457, 'Перелом другой(их) кости(ей) запястья', 'S62.1', 18455, 'S62', 0, 'Головчатой Крючковидной Полулунной Гороховидной Трапеции [большой многоугольной] Трапециевидной [малой многоугольной] Трехгранной');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18458, 'Перелом первой пястной кости', 'S62.2', 18455, 'S62', 0, 'Перелом Беннетта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18459, 'Перелом другой пястной кости', 'S62.3', 18455, 'S62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18460, 'Множественные переломы пястных костей', 'S62.4', 18455, 'S62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18461, 'Перелом большого пальца кисти', 'S62.5', 18455, 'S62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18462, 'Перелом другого пальца кисти', 'S62.6', 18455, 'S62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18463, 'Множественные переломы пальцев', 'S62.7', 18455, 'S62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18464, 'Перелом другой и неуточненной части запястья и кисти', 'S62.8', 18455, 'S62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18465, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата на уровне запястья и кисти', 'S63', 18441, 'S60-S69', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18466, 'Вывих запястья', 'S63.0', 18465, 'S63', 0, 'Запястья (кости) Запястно-пястного сустава Проксимального конца пястной кости Среднезапястного сустава Лучезапястного сустава Лучелоктевого сустава дистального Дистального конца лучевой кости Дистального конца локтевой кости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18467, 'Вывих пальца кисти', 'S63.1', 18465, 'S63', 0, 'Межфалангового сустава кисти Пястной кости дистального конца Пястно-фалангового сустава Фаланги кисти Большого пальца кисти');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18468, 'Множественные вывихи пальцев кисти', 'S63.2', 18465, 'S63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18469, 'Травматический разрыв связки запястья и пясти', 'S63.3', 18465, 'S63', 0, 'Коллатеральной связки запястья Лучезапястной связки Лучезапястной (ладонной) связки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18470, 'Травматический разрыв связки пальца на уровне пястно-фалангового и межфалангового сустава(ов)', 'S63.4', 18465, 'S63', 0, 'Коллатеральной Ладонной Ладонного апоневроза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18471, 'Растяжение и перенапряжение капсульно-связочного аппарата на уровне запястья', 'S63.5', 18465, 'S63', 0, 'Запястного (сустава) Лучезапястного(ой) (сустава) (связки)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18472, 'Растяжение и перенапряжение капсульно-связочного аппарата на уровне пальца', 'S63.6', 18465, 'S63', 0, 'Межфалангового сустава кисти Пястно-фалангового сустава Фаланги кисти Большого пальца кисти');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18473, 'Растяжение и перенапряжение капсульно-связочного аппарата другой и неуточненной части кисти', 'S63.7', 18465, 'S63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18474, 'Травма нервов на уровне запястья и кисти', 'S64', 18441, 'S60-S69', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18475, 'Травма локтевого нерва на уровне запястья и кисти', 'S64.0', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18476, 'Травма срединного нерва на уровне запястья и кисти', 'S64.1', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18477, 'Травма лучевого нерва на уровне запястья и кисти', 'S64.2', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18478, 'Травма нерва большого пальца', 'S64.3', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18479, 'Травма нерва другого пальца', 'S64.4', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18480, 'Травма нескольких нервов на уровне запястья и кисти', 'S64.7', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18481, 'Травма других нервов на уровне запястья и кисти', 'S64.8', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18482, 'Травма неуточненного нерва на уровне запястья и кисти', 'S64.9', 18474, 'S64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18483, 'Травма кровеносных сосудов на уровне запястья и кисти', 'S65', 18441, 'S60-S69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18484, 'Травма локтевой артерии на уровне запястья и кисти', 'S65.0', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18485, 'Травма лучевой артерии на уровне запястья и кисти', 'S65.1', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18486, 'Травма поверхностной ладонной дуги', 'S65.2', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18487, 'Травма глубокой ладонной дуги', 'S65.3', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18488, 'Травма кровеносного сосуда(ов) большого пальца', 'S65.4', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18489, 'Травма кровеносного(ых) сосуда(ов) другого пальца', 'S65.5', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18490, 'Травма нескольких кровеносных сосудов на уровне запястья и кисти', 'S65.7', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18491, 'Травма других кровеносных сосудов на уровне запястья и кисти', 'S65.8', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18492, 'Травма неуточненного кровеносного сосуда на уровне запястья и кисти', 'S65.9', 18483, 'S65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18493, 'Травма мышцы и сухожилия на уровне запястья и кисти', 'S66', 18441, 'S60-S69', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18494, 'Травма длинного сгибателя большого пальца и его сухожилия на уровне запястья и кисти', 'S66.0', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18495, 'Травма сгибателя другого пальца и его сухожилия на уровне запястья и кисти', 'S66.1', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18496, 'Травма разгибателя большого пальца и его сухожилия на уровне запястья и кисти', 'S66.2', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18497, 'Травма разгибателя другого пальца и его сухожилия на уровне запястья и кисти', 'S66.3', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18498, 'Травма собственной мышцы и сухожилия большого пальца на уровне запястья и кисти', 'S66.4', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18499, 'Травма собственной мышцы и сухожилия другого пальца  на уровне запястья и кисти', 'S66.5', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18500, 'Травма нескольких мышц-сгибателей и сухожилий на уровне запястья и кисти', 'S66.6', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18501, 'Травма нескольких мышц-разгибателей и сухожилий на уровне запястья и кисти', 'S66.7', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18502, 'Травма других мышц и сухожилий на уровне запястья и кисти', 'S66.8', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18503, 'Травма неуточненных мышц и сухожилий на уровне запястья и кисти', 'S66.9', 18493, 'S66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18504, 'Размозжение запястья и кисти', 'S67', 18441, 'S60-S69', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18505, 'Размозжение большого и другого пальца(ев) кисти', 'S67.0', 18504, 'S67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18506, 'Размозжение другой и неуточненной части запястья и кисти', 'S67.8', 18504, 'S67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18507, 'Травматическая ампутация запястья и кисти', 'S68', 18441, 'S60-S69', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18508, 'Травматическая ампутация большого пальца кисти (полная)(частичная)', 'S68.0', 18507, 'S68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18509, 'Травматическая ампутация другого одного пальца кисти(полная) (частичная)', 'S68.1', 18507, 'S68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18510, 'Травматическая ампутация двух и более пальцев кисти(полная) (частичная)', 'S68.2', 18507, 'S68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18511, 'Сочетанная травматическая ампутация (части) пальца(ев) и других частей запястья и кисти', 'S68.3', 18507, 'S68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18512, 'Травматическая ампутация кисти на уровне запястья', 'S68.4', 18507, 'S68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18513, 'Травматическая ампутация других частей запястья и кисти', 'S68.8', 18507, 'S68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18514, 'Травматическая ампутация запястья и кисти на неуточненном уровне', 'S68.9', 18507, 'S68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18515, 'Другие и неуточненные травмы запястья и кисти', 'S69', 18441, 'S60-S69', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18516, 'Множественные травмы запястья и кисти', 'S69.7', 18515, 'S69', 0, 'Травмы, классифицируемые более чем одной из рубрик S60-S68');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18517, 'Другие уточненные травмы запястья и кисти', 'S69.8', 18515, 'S69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18518, 'Травма запястья и кисти неуточненная', 'S69.9', 18515, 'S69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18520, 'ТРАВМЫ ОБЛАСТИ ТАЗОБЕДРЕННОГО СУСТАВА И БЕДРА', 'S70-S79', 18001, 'S00-T98', 10, 'Исключены: двусторонняя травма тазобедренной области и бедра (T00-T07) термические и химические ожоги (T20-T32) отморожение (T33-T35) травмы ноги на неуточненном уровне (T12-T13) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18521, 'Поверхностная травма области тазобедренного сустава и бедра', 'S70', 18520, 'S70-S79', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18522, 'Ушиб области тазобедренного сустава', 'S70.0', 18521, 'S70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18523, 'Ушиб бедра', 'S70.1', 18521, 'S70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18524, 'Множественные поверхностные травмы области тазобедренного сустава и бедра', 'S70.7', 18521, 'S70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18525, 'Другие поверхностные травмы области тазобедренного сустава и бедра', 'S70.8', 18521, 'S70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18526, 'Поверхностная травма области тазобедренного сустава и бедра неуточненная', 'S70.9', 18521, 'S70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18527, 'Открытая рана области тазобедренного сустава и бедра', 'S71', 18520, 'S70-S79', 4, 'Исключена: травматическая ампутация области тазобедренного сустава и бедра (S78.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18528, 'Открытая рана области тазобедренного сустава', 'S71.0', 18527, 'S71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18529, 'Открытая рана бедра', 'S71.1', 18527, 'S71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18530, 'Множественные открытые раны области тазобедренного сустава и бедра', 'S71.7', 18527, 'S71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18531, 'Открытая рана другой и неуточненной части тазового пояса', 'S71.8', 18527, 'S71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18532, 'Перелом бедренной кости', 'S72', 18520, 'S70-S79', 8, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18533, 'Перелом шейки бедра', 'S72.0', 18532, 'S72', 0, 'Перелом в области тазобедренного сустава БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18534, 'Чрезвертельный перелом', 'S72.1', 18532, 'S72', 0, 'Перелом межвертельный Перелом вертела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18535, 'Подвертельный перелом', 'S72.2', 18532, 'S72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18536, 'Перелом тела [диафиза] бедренной кости', 'S72.3', 18532, 'S72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18537, 'Перелом нижнего конца бедренной кости', 'S72.4', 18532, 'S72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18538, 'Множественные переломы бедренной кости', 'S72.7', 18532, 'S72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18539, 'Переломы других частей бедренной кости', 'S72.8', 18532, 'S72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18540, 'Перелом неуточненной части бедренной кости', 'S72.9', 18532, 'S72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18541, 'Вывих, растяжение и перенапряжение капсульно-связочного', 'S73', 18520, 'S70-S79', 2, 'аппарата тазобедренного сустава и тазового пояса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18542, 'Вывих бедра', 'S73.0', 18541, 'S73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18543, 'Растяжение и перенапряжение капсульно-связочного аппарата тазобедренного сустава', 'S73.1', 18541, 'S73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18544, 'Травмы нервов на уровне тазобедренного сустава бедра', 'S74', 18520, 'S70-S79', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18545, 'Травма седалищного нерва на уровне тазобедренного сустава и бедра', 'S74.0', 18544, 'S74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18546, 'Травма бедренного нерва на уровне тазобедренного сустава и бедра', 'S74.1', 18544, 'S74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18547, 'Травма кожного чувчтвительного нерва на уровне тазобед ренного сустава и бедра', 'S74.2', 18544, 'S74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18548, 'Травма нескольких нервов на уровне тазобедренного сустава и бедра', 'S74.7', 18544, 'S74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18549, 'Травма других нервов на уровне тазобедренного сустава и бедра', 'S74.8', 18544, 'S74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18550, 'Травма неуточненного нерва на уровне тазобедренного сустава и бедра', 'S74.9', 18544, 'S74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18551, 'Травма кровеносных сосудов на уровне тазобедренного сустава и бедра', 'S75', 18520, 'S70-S79', 6, 'Исключена: травма подколенной артерии (S85.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18552, 'Травма бедренной артерии', 'S75.0', 18551, 'S75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18553, 'Травма бедренной вены', 'S75.1', 18551, 'S75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18554, 'Травма большой подкожной вены  на уровне тазобедренного сустава и бедра', 'S75.2', 18551, 'S75', 0, 'Исключена: травма подкожной вены БДУ (S85.3)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18555, 'Травма нескольких кровеносных сосудов на уровне тазобед ренного сустава и бедра', 'S75.7', 18551, 'S75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18556, 'Травма других кровеносных сосудов на уровне тазобедренного сустава и бедра', 'S75.8', 18551, 'S75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18557, 'Травма неуточненного кровеносного сосуда на уровне тазо бедренного сустава и бедра', 'S75.9', 18551, 'S75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18558, 'Травма мышцы и сухожилия на уровне тазобедренного сустава и бедра', 'S76', 18520, 'S70-S79', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18559, 'Травма мышцы и сухожилия области тазобедренного сустава', 'S76.0', 18558, 'S76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18560, 'Травма четырехглавой мышцы и ее сухожилия', 'S76.1', 18558, 'S76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18561, 'Травма приводящей мышцы бедра и ее сухожилия', 'S76.2', 18558, 'S76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18562, 'Травма мышцы и сухожилия из задней группы мышц на уровне бедра', 'S76.3', 18558, 'S76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18563, 'Травма других и неуточненных мышц и сухожилий на уровне бедра', 'S76.4', 18558, 'S76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18564, 'Травма нескольких мышц и сухожилий на уровне тазобедренного сустава и бедра', 'S76.7', 18558, 'S76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18565, 'Размозжение области тазобедренного сустава и бедра', 'S77', 18520, 'S70-S79', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18566, 'Размозжение области тазобедренного сустава', 'S77.0', 18565, 'S77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18567, 'Размозжение бедра', 'S77.1', 18565, 'S77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18568, 'Размозжение области тазобедренного сустава и бедра', 'S77.2', 18565, 'S77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18569, 'Травматическая ампутация области тазобедренного сустава и бедра', 'S78', 18520, 'S70-S79', 3, 'Исключена: травматическая ампутация ноги на неуточненном уровне (T13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18570, 'Травматическая ампутация на уровне тазобедренного сустава', 'S78.0', 18569, 'S78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18571, 'Травматическая ампутация на уровне между тазобедренным и коленным суставами', 'S78.1', 18569, 'S78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18572, 'Травматическая ампутация области тазобедренного сустава и бедра на неуточненном уровне', 'S78.9', 18569, 'S78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18573, 'Другие и неуточненные травмы области тазобедренного сустава и бедра', 'S79', 18520, 'S70-S79', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18574, 'Множественные травмы области тазобедренного сустава и бедра', 'S79.7', 18573, 'S79', 0, 'Травмы, классифицируемые более чем одной из рубрик S70-S78');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18575, 'Другие уточненные травмы области тазобедренного сустава и бедра', 'S79.8', 18573, 'S79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18576, 'Травма области тазобедренного сустава и бедра неуточненная', 'S79.9', 18573, 'S79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18578, 'ТРАВМЫ КОЛЕНА И ГОЛЕНИ', 'S80-S89', 18001, 'S00-T98', 10, 'Включен: перелом голеностопного сустава и лодыжки\nИсключены: двусторонняя травма колена и голени (T00-T07) термические и химические ожоги (T20-T32) отморожение (T33-T35) травмы: . голеностопного сустава и стопы, исключая перелом голеностопного сустава и лодыжки (S90-S99) . ноги на неуточненном уровне (T12-T13) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18579, 'Поверхностная травма голени', 'S80', 18578, 'S80-S89', 5, 'Исключена: поверхностная травма голеностопного сустава и стопы (S90.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18580, 'Ушиб коленного сустава', 'S80.0', 18579, 'S80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18581, 'Ушиб другой и неуточненной части голени', 'S80.1', 18579, 'S80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18582, 'Множественные поверхностные травмы голени', 'S80.7', 18579, 'S80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18583, 'Другие поверхностные травмы голени', 'S80.8', 18579, 'S80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18584, 'Поверхностная травма голени неуточненная', 'S80.9', 18579, 'S80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18585, 'Открытая рана голени', 'S81', 18578, 'S80-S89', 4, 'Исключены: открытая рана области голеностопного сустава и стопы (S91.-) травматическая ампутация голени (S88.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18586, 'Открытая рана коленного сустава', 'S81.0', 18585, 'S81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18587, 'Множественные открытые раны голени', 'S81.7', 18585, 'S81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18588, 'Открытая рана других частей голени', 'S81.8', 18585, 'S81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18589, 'Открытая рана голени неуточненной локализации', 'S81.9', 18585, 'S81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18590, 'Перелом голени, включая голеностопный сустав', 'S82', 18578, 'S80-S89', 10, 'Включен: перелом лодыжки Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключен: перелом стопы, исключая голеностопный сустав (S92.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18591, 'Перелом надколенника', 'S82.0', 18590, 'S82', 0, 'Коленной чашки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18592, 'Перелом проксимального отдела большеберцовой кости', 'S82.1', 18590, 'S82', 0, 'Большеберцовой кости: . мыщелков } . головки } с упоминанием или без . проксимального отдела } упоминания о переломе . бугристости } малоберцовой кости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18593, 'Перелом тела [диафиза] большеберцовой кости', 'S82.2', 18590, 'S82', 0, 'С упоминанием или без упоминания о переломе малоберцовой кости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18594, 'Перелом дистального отдела большеберцовой кости', 'S82.3', 18590, 'S82', 0, 'С упоминанием или без упоминания о переломе малоберцовой кости Исключен: внутренней [медиальной] лодыжки (S82.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18595, 'Перелом только малоберцовой кости', 'S82.4', 18590, 'S82', 0, 'Исключен: наружной [латеральной] лодыжки (S82.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18596, 'Перелом внутренней [медиальной] лодыжки', 'S82.5', 18590, 'S82', 0, 'Большеберцовой кости с вовлечением: . голеностопного сустава . лодыжки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18597, 'Перелом наружной [латеральной] лодыжки', 'S82.6', 18590, 'S82', 0, 'Малоберцовой кости с вовлечением: . голеностопного сустава . лодыжки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18598, 'Множественные переломы голени', 'S82.7', 18590, 'S82', 0, 'Исключены: сочетанные переломы большеберцовой и малоберцовой костей: . нижнего конца (S82.3) . тела [диафиза] (S82.2) . верхнего конца (S82.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18599, 'Переломы других отделов голени', 'S82.8', 18590, 'S82', 0, 'Перелом: . голеностопного сустава БДУ . двухлодыжечный . трехлодыжечный');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18600, 'Перелом неуточненного отдела голени', 'S82.9', 18590, 'S82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18601, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата коленного сустава', 'S83', 18578, 'S80-S89', 8, 'Исключены: поражение: . внутреннее связок коленного сустава (M23.-) . надколенника (M22.0-M22.3) вывих коленного сустава: . застарелый (M24.3) . патологический (M24.3) . повторяющийся [привычный] (M24.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18602, 'Вывих надколенника', 'S83.0', 18601, 'S83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18603, 'Вывих коленного сустава', 'S83.1', 18601, 'S83', 0, 'Большеберцово-малоберцового сочленения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18604, 'Разрыв мениска свежий', 'S83.2', 18601, 'S83', 0, 'Разрыв рога по типу ведерной ручки: . БДУ . наружного [латерального] мениска . внутреннего [медиального] мениска Исключен: застарелый разрыв рога мениска по типу ведерной ручки (M23.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18605, 'Разрыв суставного хряща коленного сустава свежий', 'S83.3', 18601, 'S83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18606, 'Растяжение, разрыв и перенапряжение (наружной)(внутренней) боковой связки', 'S83.4', 18601, 'S83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18607, 'Растяжение, разрыв и перенапряжение (передней) (задней) крестообразной связки коленного сустава', 'S83.5', 18601, 'S83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18608, 'Растяжение, разрыв и перенапряжение других и неуточненных элементов коленного сустава', 'S83.6', 18601, 'S83', 0, 'Общей связки надколенника Межберцового синдесмоза и верхней связки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18609, 'Травма нескольких структур коленного сустава', 'S83.7', 18601, 'S83', 0, 'Травма (наружного) (внутреннего) мениска в сочетании с травмой (боковой) (крестообразной) связок');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18610, 'Травма нервов на уровне голени', 'S84', 18578, 'S80-S89', 6, 'Исключена: травма нервов на уровне голеностопного сустава и стопы (S94.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18611, 'Травма большеберцового нерва на уровне голени', 'S84.0', 18610, 'S84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18612, 'Травма малоберцового нерва на уровне голени', 'S84.1', 18610, 'S84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18613, 'Травма кожного чувствительного нерва на уровне голени', 'S84.2', 18610, 'S84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18614, 'Травма нескольких нервов на уровне голени', 'S84.7', 18610, 'S84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18615, 'Травма других нервов на уровне голени', 'S84.8', 18610, 'S84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18616, 'Травма неуточненного нерва на уровне голени', 'S84.9', 18610, 'S84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18617, 'Травма кровеносных сосудов на уровне голени', 'S85', 18578, 'S80-S89', 9, 'Исключена: травма кровеносных сосудов на уровне голеностопного сустава и стопы (S95.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18618, 'Травма подколенной артерии', 'S85.0', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18619, 'Травма большеберцовой (передней) (задней) артерии', 'S85.1', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18620, 'Травма малоберцовой артерии', 'S85.2', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18621, 'Травма большой подкожной вены на уровне голени', 'S85.3', 18617, 'S85', 0, 'Большой подкожной вены БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18622, 'Травма малой подкожной вены на уровне голени', 'S85.4', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18623, 'Травма подколенной вены', 'S85.5', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18624, 'Травма нескольких кровеносных сосудов на уровне голени', 'S85.7', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18625, 'Травма других кровеносных сосудов на уровне голени', 'S85.8', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18626, 'Травма неуточненного кровеносного сосуда на уровне голени', 'S85.9', 18617, 'S85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18627, 'Травма мышцы и сухожилия на уровне голени', 'S86', 18578, 'S80-S89', 7, 'Исключена: травма мышцы и сухожилия на уровне голеностопного сустава и стопы (S96.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18628, 'Травма пяточного [ахиллова] сухожилия', 'S86.0', 18627, 'S86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18629, 'Травма другой(их) мышцы(мышц) и сухожилия(ий) задней мышечной группы на уровне голени', 'S86.1', 18627, 'S86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18630, 'Травма мышцы(мышц) и сухожилия(ий) передней мышечной группы на уровне голени', 'S86.2', 18627, 'S86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18631, 'Травма мышцы(мышц) и сухожилия(ий) малоберцовой мышечной группы на уровне голени', 'S86.3', 18627, 'S86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18632, 'Травма нескольких мышц и сухожилий на уровне голени', 'S86.7', 18627, 'S86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18633, 'Травма других мышц и сухожилий на уровне голени', 'S86.8', 18627, 'S86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18634, 'Травма неуточненных мышц и сухожилий на уровне голени', 'S86.9', 18627, 'S86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18635, 'Размозжение голени', 'S87', 18578, 'S80-S89', 2, 'Исключено: размозжение голеностопного сустава и стопы (S97.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18636, 'Размозжение коленного сустава', 'S87.0', 18635, 'S87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18637, 'Размозжение другой и неуточненной части голени', 'S87.8', 18635, 'S87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18638, 'Травматическая ампутация голени', 'S88', 18578, 'S80-S89', 3, 'Исключены: травматическая ампутация: . голеностопного сустава и стопы (S98.-) . нижней конечности на неуточненном уровне (T13.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18639, 'Травматическая ампутация на уровне коленного сустава', 'S88.0', 18638, 'S88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18640, 'Травматическая ампутация на уровне между коленным и голеностопным суставами', 'S88.1', 18638, 'S88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18641, 'Травматическая ампутация голени на неуточненном уровне', 'S88.9', 18638, 'S88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18642, 'Другие и неуточненные травмы голени', 'S89', 18578, 'S80-S89', 3, 'Исключены: другие и неуточненные травмы голеностопного сустава и стопы (S99.-)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18643, 'Множественные травмы голени', 'S89.7', 18642, 'S89', 0, 'Травмы, классифицируемые более чем одной из рубрик S80-S88');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18644, 'Другие уточненные травмы голени', 'S89.8', 18642, 'S89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18645, 'Травма голени неуточненная', 'S89.9', 18642, 'S89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18647, 'ТРАВМЫ ОБЛАСТИ ГОЛЕНОСТОПНОГО СУСТАВА И СТОПЫ', 'S90-S99', 18001, 'S00-T98', 10, 'Исключены: двусторонняя травма области голеностопного сустава и стопы (T00-T07) термические и химические ожоги и коррозии (T20-T32) перелом голеностопного сустава и лодыжки (S82.-) отморожение (T33-T35) травмы нижней конечности на неуточненном уровне (T12-T13) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18648, 'Поверхностная травма области голеностопного сустава и стопы', 'S90', 18647, 'S90-S99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18649, 'Ушиб голеностопного сустава', 'S90.0', 18648, 'S90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18650, 'Ушиб пальца(ев) стопы без повреждения ногтевой пластинки', 'S90.1', 18648, 'S90', 0, 'Ушиб пальца(ев) стопы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18651, 'Ушиб пальца(ев) стопы с повреждением ногтевой пластинки', 'S90.2', 18648, 'S90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18652, 'Ушиб другой и неуточненной части стопы', 'S90.3', 18648, 'S90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18653, 'Множественные поверхностные травмы голеностопного сустава и стопы', 'S90.7', 18648, 'S90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18654, 'Другие поверхностные травмы голеностопного сустава и стопы', 'S90.8', 18648, 'S90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18655, 'Поверхностная травма голеностопного сустава и стопы неуточненная', 'S90.9', 18648, 'S90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18656, 'Открытая рана области голеностопного сустава и стопы', 'S91', 18647, 'S90-S99', 5, 'Исключена: травматическая ампутация на уровне голеностопного сустава и стопы (S98.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18657, 'Открытая рана области голеностопного сустава', 'S91.0', 18656, 'S91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18658, 'Открытая рана пальца(ев) стопы без повреждения ногтевой пластинки', 'S91.1', 18656, 'S91', 0, 'Открытая рана пальца(ев) стопы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18659, 'Открытая рана пальца(ев) стопы с повреждением ногтевой пластинки', 'S91.2', 18656, 'S91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18660, 'Открытая рана других частей стопы', 'S91.3', 18656, 'S91', 0, 'Открытая рана стопы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18661, 'Множественные открытые раны голеностопного сустава и стопы', 'S91.7', 18656, 'S91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18662, 'Перелом стопы, исключая перелом голеностопного сустава', 'S92', 18647, 'S90-S99', 8, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключен: перелом: . голеностопного сустава (S82.-) . лодыжки (S82.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18663, 'Перелом пяточной кости', 'S92.0', 18662, 'S92', 0, 'Пяточной кости Пятки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18664, 'Перелом таранной кости', 'S92.1', 18662, 'S92', 0, 'Astragalus');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18665, 'Перелом других костей предплюсны', 'S92.2', 18662, 'S92', 0, 'Кубовидной Клиновидной (промежуточной) (внутренней) (наружной) Ладьевидной кости стопы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18666, 'Перелом костей плюсны', 'S92.3', 18662, 'S92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18667, 'Перелом большого пальца стопы', 'S92.4', 18662, 'S92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18668, 'Перелом другого пальца стопы', 'S92.5', 18662, 'S92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18669, 'Множественные переломы стопы', 'S92.7', 18662, 'S92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18670, 'Перелом стопы неуточненный', 'S92.9', 18662, 'S92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18671, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата голеностопного сустава и стопы', 'S93', 18647, 'S90-S99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18672, 'Вывих голеностопного сустава', 'S93.0', 18671, 'S93', 0, 'Таранной кости Нижнего конца малоберцовой кости Нижнего конца большеберцовой кости В подтаранном суставе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18673, 'Вывих пальца(ев) стопы', 'S93.1', 18671, 'S93', 0, 'Межфалангового(ых) сустава(ов) стопы Плюснефалангового(ых) сустава(ов)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18674, 'Разрыв связок на уровне голеностопного сустава и стопы', 'S93.2', 18671, 'S93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18675, 'Вывих другой и неуточненной части стопы', 'S93.3', 18671, 'S93', 0, 'Ладьевидной кости стопы Предплюсны (сустава) (суставов) Предплюсне-плюсневого(ых) сустава(ов)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18676, 'Растяжение и перенапряжение связок голеностопного сустава', 'S93.4', 18671, 'S93', 0, 'Пяточно-малоберцовой связки Дельтовидной связки Внутренней боковой связки Таранно-малоберцовой кости Большеберцово-малоберцовой связки (дистального отдела) Исключена: травма пяточного [ахиллова] сухожилия (S86.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18677, 'Растяжение и перенапряжение капсульно-связочного', 'S93.5', 18671, 'S93', 0, 'аппарата суставов пальца(ев) стопы Межфалангового(ых) сустава(ов) Плюснефалангового(ых) сустава(ов)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18678, 'Растяжение и перенапряжение капсульно-связочного', 'S93.6', 18671, 'S93', 0, 'аппарата других и неуточненных суставов стопы Предплюсны (связки) Предплюсне-плюсневой связки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18679, 'Травма нервов на уровне голеностопного сустава и стопы', 'S94', 18647, 'S90-S99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18680, 'Травма наружного [латерального] подошвенного нерва', 'S94.0', 18679, 'S94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18681, 'Травма внутреннего [медиального] подошвенного нерва', 'S94.1', 18679, 'S94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18682, 'Травма глубокого малоберцового нерва на уровне голено стопного сустава и стопы', 'S94.2', 18679, 'S94', 0, 'Конечной латеральной ветви глубокого малоберцового нерва');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18683, 'Травма кожного чувствительного нерва на уровне голено стопного сустава и стопы', 'S94.3', 18679, 'S94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18684, 'Травма нескольких нервов на уровне голеностопного сустава и стопы', 'S94.7', 18679, 'S94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18685, 'Травма других нервов на уровне голеностопного сустава и стопы', 'S94.8', 18679, 'S94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18686, 'Травма неуточненного нерва на уровне голеностопного сустава и стопы', 'S94.9', 18679, 'S94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18687, 'Травма кровеносных сосудов на уровне голеностопного сустава и стопы', 'S95', 18647, 'S90-S99', 6, 'Исключена: травма задней большеберцовой артерии и вены (S85.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18688, 'Травма тыльной [дорсальной] артерии стопы', 'S95.0', 18687, 'S95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18689, 'Травма подошвенной артерии стопы', 'S95.1', 18687, 'S95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18690, 'Травма тыльной [дорсальной] вены стопы', 'S95.2', 18687, 'S95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18691, 'Травма нескольких кровеносных сосудов на уровне голено стопного сустава и стопы', 'S95.7', 18687, 'S95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18692, 'Травма других кровеносных сосудов на уровне голеностопного сустава и стопы', 'S95.8', 18687, 'S95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18693, 'Травма неуточненного кровеносного сосуда на уровне голеностопного сустава и стопы', 'S95.9', 18687, 'S95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18694, 'Травма мышцы и сухожилия на уровне голеностопного сустава и стопы', 'S96', 18647, 'S90-S99', 6, 'Исключена: травма пяточного [ахиллова] сухожилия (S86.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18695, 'Травма длинного сгибателя пальца и его сухожилия на уровне голеностопного сустава и стопы', 'S96.0', 18694, 'S96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18696, 'Травма длинного разгибателя пальца и его сухожилия на уровне голеностопного сустава и стопы', 'S96.1', 18694, 'S96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18697, 'Травма собственной мышцы и сухожилия на уровне голеностопного сустава и стопы', 'S96.2', 18694, 'S96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18698, 'Травма нескольких мышц и сухожилий на уровне голеностопного сустава и стопы', 'S96.7', 18694, 'S96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18699, 'Травма другой мышцы и сухожилия на уровне голеностопного сустава и стопы', 'S96.8', 18694, 'S96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18700, 'Травма неуточненных мышц и сухожилий на уровне голено стопного сустава и стопы', 'S96.9', 18694, 'S96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18701, 'Размозжение голеностопного сустава и стопы', 'S97', 18647, 'S90-S99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18702, 'Размозжение голеностопного сустава', 'S97.0', 18701, 'S97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18703, 'Размозжение пальца(ев) стопы', 'S97.1', 18701, 'S97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18704, 'Размозжение других отделов голеностопного сустава и стопы', 'S97.8', 18701, 'S97', 0, 'Размозжение стопы БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18705, 'Травматическая ампутация на уровне голеностопного сустава и стопы', 'S98', 18647, 'S90-S99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18706, 'Травматическая ампутация стопы на уровне голеностопного сустава', 'S98.0', 18705, 'S98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18707, 'Травматическая ампутация одного пальца стопы', 'S98.1', 18705, 'S98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18708, 'Травматическая ампутация двух и более пальцев стопы', 'S98.2', 18705, 'S98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18709, 'Травматическая ампутация других частей стопы', 'S98.3', 18705, 'S98', 0, 'Сочетанная травматическая ампутация пальца(ев) и других частей стопы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18710, 'Травматическая ампутация стопы на неуточненном уровне', 'S98.4', 18705, 'S98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18711, 'Другие и неуточненные травмы голеностопного сустава и стопы', 'S99', 18647, 'S90-S99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18712, 'Множественные травмы голеностопного сустава и стопы', 'S99.7', 18711, 'S99', 0, 'Травмы, классифицируемые более чем одной из рубрик S90-S98');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18713, 'Другие уточненные травмы голеностопного сустава и стопы', 'S99.8', 18711, 'S99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18714, 'Травма голеностопного сустава и стопы неуточненная', 'S99.9', 18711, 'S99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18716, 'ТРАВМЫ, ЗАХВАТЫВАЮЩИЕ НЕСКОЛЬКО ОБЛАСТЕЙ ТЕЛА', 'T00-T07', 18001, 'S00-T98', 8, 'Включены: двусторонние травмы конечностей с одинаковыми уровнями поражения травмы, захватывающие две и более области тела, классифицированные в рубриках S00-S99\nИсключены: термические и химические ожоги (T20-T32) отморожение (T33-T35) укус или ужаливание ядовитого насекомого (T63.4) множественные травмы, захватывающие только одну область тела (см. рубрики с буквой S) солнечный ожог (L55.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18717, 'Поверхностные травмы, захватывающие несколько областей тела', 'T00', 18716, 'T00-T07', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18718, 'Поверхностные травмы шеи', 'T00.0', 18717, 'T00', 0, 'Поверхностные травмы областей тела, классифицированные в рубриках S00.- и S10.Исключены: с вовлечением других областей тела (T00.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18719, 'Поверхностные травмы грудной клетки, живота, нижней части спины и таза', 'T00.1', 18717, 'T00', 0, 'Поверхностные травмы областей тела, классифицированные в рубриках S20.-, S30.-, T09.0 Исключены: с вовлечением других областей тела (T00.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18720, 'Поверхностные травмы нескольких областей верхней(их) конечности(ей)', 'T00.2', 18717, 'T00', 0, 'Поверхностные травмы локализаций, классифицированных в рубриках S40.-, S50.-, S60.- и T11.0 Исключены: с вовлечением: . нижней(их) конечности(ей) (T00.6) . грудной клетки, живота, нижней части спины и таза (T00.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18721, 'Поверхностные травмы нескольких областей нижней(их) конечности(ей)', 'T00.3', 18717, 'T00', 0, 'Поверхностные травмы локализаций, классифицированных в рубриках S70.-, S80.-, S90.- и T13.0 Исключены: с вовлечением: . грудной клетки, живота, нижней части спины и таза (T00.8) . верхней(их) конечности(их) (T00.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18722, 'Поверхностные травмы нескольких областей верхней(их) и нижней(их) конечностей', 'T00.6', 18717, 'T00', 0, 'Поверхностные травмы локализаций, классифицированных в рубриках T00.2 и T00.3 Исключены: с вовлечением грудной клетки, живота, нижней части спины и таза (T00.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18723, 'Другие сочетания поверхностных травм, захватывающих несколько областей тела', 'T00.8', 18717, 'T00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18724, 'Множественные поверхностные травмы неуточненные', 'T00.9', 18717, 'T00', 0, 'Множественные: . ссадины } . пузыри (неожоговые) } . кровоподтеки } . ушибы } БДУ . гематомы } . укусы неядовитых насекомых }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18725, 'Открытые раны, захватывающие несколько областей тела', 'T01', 18716, 'T00-T07', 7, 'Исключены: травматические ампутации, захватывающие несколько областей тела (T05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18726, 'Открытые раны головы и шеи', 'T01.0', 18725, 'T01', 0, 'Открытые раны областей тела, классифицированных в рубриках S01.- и S11.Исключены: с вовлечением других областей тела (T01.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18727, 'Открытые раны грудной клетки, живота, нижней части спины и таза', 'T01.1', 18725, 'T01', 0, 'Открытые раны областей тела, классифицированных в рубриках S21.-, S31.- и T09.1 Исключены: с вовлечением других областей тела (T01.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18728, 'Открытые раны нескольких областей верхней(их) конечности(ей)', 'T01.2', 18725, 'T01', 0, 'Открытые раны локализаций, классифицированных в рубриках S41.-, S51.- S61.- и T11.1 Исключены: с вовлечением: . нижней(их) конечности(ей) (T01.6) . грудной клетки, живота, нижней части спины и таза (T01.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18729, 'Открытые раны нескольких областей нижней(их) конечности(ей)', 'T01.3', 18725, 'T01', 0, 'Открытые раны локализаций, классифицированных в рубриках S71.-, S81.- S91.- и T13.1 Исключены: с вовлечением: . грудной клетки, живота, нижней части спины и таза (T01.8) . верхней(их) конечности(ей) (T01.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18730, 'Открытые раны нескольких областей верхней(их) и нижней(их) конечности(ей)', 'T01.6', 18725, 'T01', 0, 'Открытые раны локализаций, классифицированных в рубриках T01.2 и T01.3 Исключены: с вовлечением грудной клетки, живота, нижней части спины и таза (T01.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18731, 'Другие сочетания открытых ран, захватывающих несколько областей тела', 'T01.8', 18725, 'T01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18732, 'Множественные открытые раны неуточненные', 'T01.9', 18725, 'T01', 0, 'Множественные раны: . от укуса животных } . резаные } . рваные } БДУ . колотые }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18733, 'Переломы, захватывающие несколько областей тела', 'T02', 18716, 'T00-T07', 10, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18734, 'Переломы в области  головы и шеи', 'T02.0', 18733, 'T02', 0, 'Переломы локализаций, классифицированных в рубриках S02.и S12.Исключены: с вовлечением другой(их) области(ей) тела (T02.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18735, 'Переломы в области грудной клетки, нижней части спины и таза', 'T02.1', 18733, 'T02', 0, 'Переломы локализаций, классифицированных в рубриках S22.-,S32.- и T08 Исключены: в сочетании с переломами: . конечности(ей) (T02.7) . других областей тела (T02.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18736, 'Переломы, захватывающие несколько областей одной верхней конечности', 'T02.2', 18733, 'T02', 0, 'Переломы одной верхней конечности локализаций, классифицированных в рубриках S42.-, S52.-, S62.- и T10 Исключены: в сочетании с переломами: . нижней(их) конечности(ей) (T02.6) . другой верхней конечности (T02.4) . грудной клетки, нижней части спины и таза (T02.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18737, 'Переломы, захватывающие несколько областей одной нижней конечности', 'T02.3', 18733, 'T02', 0, 'Переломы одной нижней конечности локализаций, классифицированных в рубриках S72.-, S82.-, S92.- и T12 Исключены: в сочетании с переломами: . другой нижней конечности (T02.5) . грудной клетки, нижней части спины и таза (T02.7) . верхней(их) конечности(ей) (T02.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18738, 'Переломы, захватывающие несколько областей обеих верхних конечностей', 'T02.4', 18733, 'T02', 0, 'Двусторонние переломы локализаций, классифицированных в рубриках S42.-, S52.-, S62.- и T10 Исключены: в сочетании с переломами: . нижней(их) конечности(ей) (T02.6) . грудной клетки, нижней части спины и таза (T02.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18739, 'Переломы, захватывающие несколько областей обеих нижних конечностей', 'T02.5', 18733, 'T02', 0, 'Двусторонние переломы локализаций, классифицированных в рубриках S72.-, S82.-, S92.- и T12 Исключены: в сочетании с переломами: . грудной клетки, нижней части спины и таза (T02.7) . верхней(их) конечности(ей) (T02.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18740, 'Переломы, захватывающие несколько областей верхней(их) и нижней(их) конечностей', 'T02.6', 18733, 'T02', 0, 'Исключены: в сочетании с переломами грудной клетки, нижней части спины и таза (T02.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18741, 'Переломы, захватывающие грудную клетку, нижнюю часть спины, таз и конечность(ти)', 'T02.7', 18733, 'T02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18742, 'Другие сочетания переломов, захватывающих несколько областей тела', 'T02.8', 18733, 'T02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18743, 'Множественные переломы неуточненные', 'T02.9', 18733, 'T02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18744, 'Вывихи, растяжения и перенапряжение капсульно-связочного аппарата суставов, захватывающие несколько областей тела', 'T03', 18716, 'T00-T07', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18745, 'Вывихи, растяжения и перенапряжение капсульно-связочного аппарата суставов, захватывающие область головы и шеи', 'T03.0', 18744, 'T03', 0, 'Вывихи, растяжения и перенапряжение капсульно-связочного аппарата суставов локализаций, классифицированных в рубриках S03.- и S13.Исключены: в сочетании с вывихами, растяжениями, перенапряжениями капсульно-связочного аппарата суставов другой(их) области(ей) тела (T03.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18746, 'Вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов грудной клетки, нижней части спины и таза', 'T03.1', 18744, 'T03', 0, 'Вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов локализаций, классифицированных в рубриках S23.-, S33.- и T09.2 Исключены: в сочетании с вывихами, растяжениями и перенапряжениями капсульно-связочного аппарата суставов другой(их) области(ей) тела (T03.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18747, 'Вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов нескольких областей верхней(их) конечности(ей)', 'T03.2', 18744, 'T03', 0, 'Вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов локализаций, классифицированных в рубриках S43.-, S53.-, S63.- и T11.2 Исключены: в сочетании с вывихами, растяжениями и перенапряжениями капсульно-связочного аппарата суставов: . нижней(их) конечности(ей) (T03.4) . грудной клетки, нижней части спины и таза (T03.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18748, 'Вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов нескольких областей нижней(их) конечности(ей)', 'T03.3', 18744, 'T03', 0, 'Вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов локализаций, классифицированных в рубриках S73.-, S83.-, S93.- и T13.2 Исключены: в сочетании с вывихами, растяжениями и перенапряжениями капсульно-связочного аппарата суставов: . грудной клетки, нижней части спины и таза (T03.8) . верхней(их) конечности(ей) (T03.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18749, 'Вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов нескольких областей верхней(их) и нижней(их) конечностей', 'T03.4', 18744, 'T03', 0, 'Исключены: в сочетании с вывихами, растяжениями и перенапряжениями капсульно-связочного аппарата суставов грудной клетки, нижней части спины и таза (T03.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18750, 'Другие сочетания вывихов, растяжений капсульно-связочного  аппарата суставов и перенапряжений нескольких областей тела', 'T03.8', 18744, 'T03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18751, 'Множественные вывихи, растяжения и перенапряжения капсульно-связочного аппарата суставов неуточненные', 'T03.9', 18744, 'T03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18752, 'Размозжения, захватывающие несколько областей тела', 'T04', 18716, 'T00-T07', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18753, 'Размозжение головы и шеи', 'T04.0', 18752, 'T04', 0, 'Размозжение областей тела, классифицированных в рубриках S07.- и S17.Исключены: с вовлечением другой(их) области(ей) тела (T04.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18754, 'Размозжение грудной клетки, области живота, нижней части спины и таза', 'T04.1', 18752, 'T04', 0, 'Размозжение: . областей тела, классифицированных в рубриках S28.и S38.. туловища БДУ Исключены: с вовлечением: . конечностей (T04.7) . других областей тела (T04.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18755, 'Размозжение нескольких областей верхней(их) конечности(ей)', 'T04.2', 18752, 'T04', 0, 'Размозжение: . областей, классифицированных в рубриках S47.-, S57.- и S67.. верхней конечности БДУ Исключены: с вовлечением: . нижней конечности(ей) (T04.4) . грудной клетки, живота, нижней части спины и таза (T04.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18756, 'Размозжение нескольких областей нижней(их) конечности(ей)', 'T04.3', 18752, 'T04', 0, 'Размозжение: . нижней конечности БДУ . областей, классифицированных в рубриках S77.-, S87.- и S97.Исключены: с вовлечением: . грудной клетки, живота, нижней части спины и таза (T04.7) . верхней(их) конечности(ей) (T04.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18757, 'Размозжение нескольких областей верхней(их) и нижней(их) конечностей', 'T04.4', 18752, 'T04', 0, 'Исключено: с вовлечением: . грудной клетки, живота, нижней части спины и таза (T04.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18758, 'Размозжение грудной клетки, живота, нижней части спины, таза и конечности(тей)', 'T04.7', 18752, 'T04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18759, 'Другие сочетания размозжений нескольких областей тела', 'T04.8', 18752, 'T04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18760, 'Множественные размозжения неуточненные', 'T04.9', 18752, 'T04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18761, 'Травматические ампутации, захватывающие несколько областей тела', 'T05', 18716, 'T00-T07', 9, 'Включены: отрывы, захватывающие несколько областей тела Исключены: декапитация (S18) открытые раны нескольких областей тела (T01.-) травматическая ампутация: . верхней конечности БДУ (T11.6) . нижней конечности БДУ (T13.6) . туловища БДУ (T09.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18762, 'Травматическая ампутация обеих кистей', 'T05.0', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18763, 'Травматическая ампутация кисти одной руки в сочетании с ампутацией другой руки на любом уровне, кроме кисти', 'T05.1', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18764, 'Травматическая ампутация обеих рук на любом уровне', 'T05.2', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18765, 'Травматическая ампутация обеих стоп', 'T05.3', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18766, 'Травматическая ампутация одной стопы в сочетании с ампутацией другой ноги на любом уровне, кроме стопы', 'T05.4', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18767, 'Травматическая ампутация обеих нижних конечностей на любом уровне', 'T05.5', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18768, 'Травматическая ампутация верхней и нижней конечностей, любая комбинация [любых уровней]', 'T05.6', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18769, 'Травматические ампутации, захватывающие другие области тела в разных комбинациях', 'T05.8', 18761, 'T05', 0, 'Перерез туловища на уровне: . живота . грудной клетки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18770, 'Множественные травматические ампутации неуточненные', 'T05.9', 18761, 'T05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18771, 'Другие травмы, охватывающие несколько областей тела, не классифицированные в других рубриках', 'T06', 18716, 'T00-T07', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18772, 'Травмы головного мозга и черепных нервов в сочетании с травмами спинного мозга и других нервов на уровне шеи', 'T06.0', 18771, 'T06', 0, 'Травмы, классифицированные в рубриках S04.- и S06.-, в сочетании с травмами, классифицированными в рубрике S14.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18773, 'Травмы нервов и спинного мозга с вовлечением нескольких других областей тела', 'T06.1', 18771, 'T06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18774, 'Травмы нервов с вовлечением нескольких областей тела', 'T06.2', 18771, 'T06', 0, 'Множественные травмы нервов БДУ Исключены: в сочетании с травмами спинного мозга (T06.0-T06.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18775, 'Травмы кровеносных сосудов с вовлечением нескольких областей тела', 'T06.3', 18771, 'T06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18776, 'Травмы мышц и сухожилий с вовлечением нескольких областей тела', 'T06.4', 18771, 'T06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18777, 'Травмы органов грудной клетки в сочетании с травмами органов брюшной полости и таза', 'T06.5', 18771, 'T06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18778, 'Другие уточненные травмы с вовлечением нескольких областей тела', 'T06.8', 18771, 'T06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18779, 'Множественные травмы неуточненные', 'T07', 18716, 'T00-T07', 0, 'Исключена: травма БДУ (T14.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18781, 'ТРАВМЫ НЕУТОЧНЕННОЙ ЧАСТИ ТУЛОВИЩА, КОНЕЧНОСТИ ИЛИ ОБЛАСТИ ТЕЛА', 'T08-T14', 18001, 'S00-T98', 7, 'Исключены: термические и химические ожоги (T20-T32) отморожение (T33-T35) травмы, захватывающие несколько областей тела (T00-T07) укус или ужаливание ядовитого насекомого (T63.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18782, 'Перелом позвоночника на неуточненном уровне', 'T08', 18781, 'T08-T14', 0, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует кодировать как закрытый: 0 - закрытый 1 - открытый Исключены: множественные переломы позвоночника на неуточненном уровне (T02.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18783, 'Другие травмы позвоночника и туловища на неуточненном уровне', 'T09', 18781, 'T08-T14', 9, 'Исключены: размозжение туловища БДУ (T04.1) множественные травмы туловища (T00-T06) перерез туловища (T05.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18784, 'Поверхностные травмы туловища на неуточненном уровне', 'T09.0', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18785, 'Открытая рана туловища на неуточненном уровне', 'T09.1', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18786, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата на неуточненном уровне туловища', 'T09.2', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18787, 'Травма спинного мозга на неуточненном уровне', 'T09.3', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18788, 'Травма неуточненных нерва, корешка спинного нерва и нервного сплетения туловища', 'T09.4', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18789, 'Травма неуточненных мышцы и сухожилия туловища', 'T09.5', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18790, 'Травматическая ампутация туловища на неуточненном уровне', 'T09.6', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18791, 'Другие уточненные травмы туловища на неуточненном уровне', 'T09.8', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18792, 'Неуточненная травма туловища на неуточненном уровне', 'T09.9', 18783, 'T09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18793, 'Перелом верхней конечности на неуточненном уровне', 'T10', 18781, 'T08-T14', 0, 'Сломанная рука БДУ Перелом руки БДУ Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключены: множественные переломы руки на неуточненном уровне (T02.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18794, 'Другие травмы верхней конечности на неуточненном уровне', 'T11', 18781, 'T08-T14', 9, 'Исключены: размозжение верхней конечности БДУ (T04.2) перелом верхней конечности на неуточненном уровне (T10) травмы, захватывающие несколько областей тела (T00-T06)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18795, 'Поверхностная травма верхней конечности на неуточненном уровне', 'T11.0', 18794, 'T11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18796, 'Открытая рана верхней конечности на неуточненном уровне', 'T11.1', 18794, 'T11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18797, 'Вывих, растяжение, деформация неуточненных сустава и связки верхней конечности на неуточненном уровне', 'T11.2', 18794, 'T11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18798, 'Травма неуточненного нерва верхней конечности на неуточненном уровне', 'T11.3', 18794, 'T11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18799, 'Травма неуточненного кровеносного сосуда верхней конечности на неуточненном уровне', 'T11.4', 18794, 'T11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18800, 'Травма неуточненных мышц и сухожилия верхней конечности на неуточненном уровне', 'T11.5', 18794, 'T11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18801, 'Травматическая ампутация верхней конечности на неуточ ненном уровне', 'T11.6', 18794, 'T11', 0, 'Травматическая ампутация руки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18802, 'Другие уточненные травмы верхней конечности на неуточненном уровне', 'T11.8', 18794, 'T11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18803, 'Неуточненная травма верхней конечности на неуточненном уровне', 'T11.9', 18794, 'T11', 0, 'Травма руки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18804, 'Перелом нижней конечности на неуточненном уровне', 'T12', 18781, 'T08-T14', 0, 'Сломанная нога БДУ Перелом ноги БДУ Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Исключены: множественные переломы ноги на неуточненном уровне (T02.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18805, 'Другие травмы нижней конечности на неуточненном уровне', 'T13', 18781, 'T08-T14', 9, 'Исключены: размозжение нижней конечности БДУ (T04.3) перелом нижней конечности на неуточненном уровне (T12) травмы, захватывающие несколько областей тела (T00-T06)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18806, 'Поверхностная травма нижней конечности на неуточненном уровне', 'T13.0', 18805, 'T13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18807, 'Открытая рана нижней конечности на неуточненном уровне', 'T13.1', 18805, 'T13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18808, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата неуточненного сустава нижней конечности на не уточненном уровне', 'T13.2', 18805, 'T13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18809, 'Травма неуточненного нерва нижней конечности на неуточ ненном уровне', 'T13.3', 18805, 'T13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18810, 'Травма неуточненного кровеносного сосуда нижней конеч ности на неуточненном уровне', 'T13.4', 18805, 'T13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18811, 'Травма неуточненных мышц и сухожилия нижней конечности на неуточненном уровне', 'T13.5', 18805, 'T13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18812, 'Травматическая ампутация нижней конечности на неуточненном уровне', 'T13.6', 18805, 'T13', 0, 'Травматическая ампутация ноги БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18813, 'Другие уточненные травмы нижней конечности на неуточненном уровне', 'T13.8', 18805, 'T13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18814, 'Неуточненная травма нижней конечности на неуточненном уровне', 'T13.9', 18805, 'T13', 0, 'Травма ноги БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18815, 'Травма неуточненной локализации', 'T14', 18781, 'T08-T14', 10, 'Исключены: травмы, захватывающие несколько областей тела (T00-T07)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18816, 'Поверхностная травма неуточненной области тела', 'T14.0', 18815, 'T14', 0, 'Ссадина } Пузырь (неожоговый) } Кровоподтек } Ушиб } Гематома } Травма от поверхностного } БДУ внедрения инородного тела } (заноза) без большой открытой раны } Укус неядовитого насекомого } Поверхностная травма } Исключены: множественные поверхностные травмы БДУ (T00.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18817, 'Открытая рана неуточненной области тела', 'T14.1', 18815, 'T14', 0, 'Укушенная рана } Резаная рана } Открытая рана } БДУ Колотая рана с (проникающим) } инородным телом } Исключены: множественные: . открытые раны БДУ (T01.9) . травматические ампутации БДУ (T05.9) травматическая ампутация БДУ (T14.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18818, 'Перелом в неуточненной области тела', 'T14.2', 18815, 'T14', 0, 'Следующие подрубрики даны для факультативного использования при дополнительной характеристике состояния, когда невозможно или нецелесообразно проводить множественное кодирование для идентификации перелома и открытой раны; если перелом не обозначен как закрытый или открытый, его следует классифицировать как закрытый: 0 - закрытый 1 - открытый Перелом: . БДУ . закрытый БДУ . с вывихом БДУ . со смещением БДУ . открытый БДУ Исключены: множественные переломы БДУ (T02.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18819, 'Вывих, растяжение и перенапряжение капсульно-связочного аппарата сустава неуточненной области тела', 'T14.3', 18815, 'T14', 0, 'Отрыв } Разрыв } Растяжение } Травматический(ая): } сустава (капсулы) } . гемартроз } связки } БДУ . разрыв } . подвывих } . надрыв } Исключены: множественные вывихи, деформации и перенапряжения капсульно-связочного аппарата БДУ (T03.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18820, 'Травма нерва (нервов) неуточненной области тела', 'T14.4', 18815, 'T14', 0, 'Травма нерва } Травматическое(ая)(ий): } . рассечение нерва } БДУ . гематомиелия } . паралич (преходящий) } Исключены: множественные травмы нервов БДУ (T06.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18821, 'Травма кровеносного(ых) сосуда(ов) неуточненной области тела', 'T14.5', 18815, 'T14', 0, 'Отрыв } Рассечение } Повреждение } Разрыв } Травматическая(ий): } кровеносного сосуда(ов) БДУ . аневризма или свищ } (артериовенозный) } . артериальная гематома } . разрыв } Исключены: множественные травмы кровеносных сосудов БДУ (T06.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18822, 'Травма мышц и сухожилий неуточненной области тела', 'T14.6', 18815, 'T14', 0, 'Отрыв } Разрез } Повреждение } мышцы (мышц) и сухожилия(й) БДУ Надрыв } Травматический разрыв } Исключены: множественные травмы мышц и сухожилий БДУ (T06.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18823, 'Размозжение и травматическая ампутация неуточненной области тела', 'T14.7', 18815, 'T14', 0, 'Размозжение БДУ Травматическая ампутация БДУ Исключены: множественные: . размозжения БДУ (T04.9) . травматические ампутации БДУ (T05.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18824, 'Другие травмы неуточненной области тела', 'T14.8', 18815, 'T14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18825, 'Травма неуточненная', 'T14.9', 18815, 'T14', 0, 'Исключены: множественные травмы БДУ (T07)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18827, 'ПОСЛЕДСТВИЯ ПРОНИКНОВЕНИЯ ИНОРОДНОГО ТЕЛА ЧЕРЕЗ ЕСТЕСТВЕННЫЕ ОТВЕРСТИЯ', 'T15-T19', 18001, 'S00-T98', 5, 'Исключены: инородное тело: . случайно оставленное в операционной ране (T81.5) . в колотой ране - см. открытая рана по областям тела . неудачное в мягких тканях (M79.5) . заноза (осколок) без большой открытой раны - см. поверхностная рана по областям тела');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18828, 'Инородное тело в наружной части глаза', 'T15', 18827, 'T15-T19', 4, 'Исключены: инородное тело при проникающем ранении: . глазницы и глазного яблока (S05.4-S05.5) . неудаленное (давно попавшее в глаз) (H05.5,H44.6-H44.7) неудаленное инородное тело в веке (H02.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18829, 'Инородное тело в роговице', 'T15.0', 18828, 'T15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18830, 'Инородное тело в конъюнктивальном мешке', 'T15.1', 18828, 'T15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18831, 'Инородное тело в другом или нескольких наружных частях глаза', 'T15.8', 18828, 'T15', 0, 'Инородное тело в слезной точке');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18832, 'Инородное тело в неуточненной наружной части глаза', 'T15.9', 18828, 'T15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18833, 'Инородное тело в ухе', 'T16', 18827, 'T15-T19', 0, 'В слуховом канале');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18834, 'Инородное тело в дыхательных путях', 'T17', 18827, 'T15-T19', 8, 'Включены: асфиксия вследствие попадания инородного тела удушье, вызванное: . пищей (при срыгивании) . мокротой (слизью) вдыханием жидкости или рвотных масс БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18835, 'Инородное тело в носовом синусе', 'T17.0', 18834, 'T17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18836, 'Инородное тело в носовом ходе', 'T17.1', 18834, 'T17', 0, 'В носу БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18837, 'Инородное тело в глотке', 'T17.2', 18834, 'T17', 0, 'В носоглотке В горле БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18838, 'Инородное тело в гортани', 'T17.3', 18834, 'T17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18839, 'Инородное тело в трахее', 'T17.4', 18834, 'T17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18840, 'Инородное тело в бронхе', 'T17.5', 18834, 'T17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18841, 'Инородное тело в другом или нескольких отделах дыхательных путей', 'T17.8', 18834, 'T17', 0, 'В бронхиолах В легком');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18842, 'Инородное тело в неуточненной части дыхательных путей', 'T17.9', 18834, 'T17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18843, 'Инородное тело в пищеварительном тракте', 'T18', 18827, 'T15-T19', 8, 'Исключено: инородное тело в глотке (T17.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18844, 'Инородное тело во рту', 'T18.0', 18843, 'T18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18845, 'Инородное тело в пищеводе', 'T18.1', 18843, 'T18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18846, 'Инородное тело в желудке', 'T18.2', 18843, 'T18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18847, 'Инородное тело в тонком кишечнике', 'T18.3', 18843, 'T18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18848, 'Инородное тело в ободочной кишке', 'T18.4', 18843, 'T18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18849, 'Инородное тело в заднем проходе и прямой кишке', 'T18.5', 18843, 'T18', 0, 'В ректосигмоидном соединении');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18850, 'Инородное тело в другом или нескольких отделах пищеварительного тракта', 'T18.8', 18843, 'T18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18851, 'Инородное тело в неуточненной части пищеварительного тракта', 'T18.9', 18843, 'T18', 0, 'В пищеварительной системе БДУ Проглоченное инородное тело БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18852, 'Инородное тело в мочеполовых путях', 'T19', 18827, 'T15-T19', 6, 'Исключены: контрацептивное приспособление (внутриматочное) (вагинальное) (вызвавшее): . механическое осложнение (T83.3) . присутствующее (Z97.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18853, 'Инородное тело в мочеиспускательном канале', 'T19.0', 18852, 'T19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18854, 'Инородное тело в мочевом пузыре', 'T19.1', 18852, 'T19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18855, 'Инородное тело в вульве и влагалище', 'T19.2', 18852, 'T19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18856, 'Инородное тело в мочеточнике (любой части)', 'T19.3', 18852, 'T19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18857, 'Инородное тело в другом или нескольких отделах мочеполовых путей', 'T19.8', 18852, 'T19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18858, 'Инородное тело в неуточненной части мочеполовых путей', 'T19.9', 18852, 'T19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18860, 'ТЕРМИЧЕСКИЕ И ХИМИЧЕСКИЕ ОЖОГИ', 'T20-T32', 18001, 'S00-T98', 3, 'Включены: ожоги (термические), вызванные: . электронагревательными приборами . электрическим током . пламенем . трением . горячим воздухом и горячими газами . горячими предметами . молнией . радиацией химические ожоги [коррозии] (наружные) (внутренние) обваривание\nИсключены: эритема [дерматит] ab igne (L59.0) вызванные излучением изменения кожи и подкожной ткани (L55-L59) солнечный ожог (L55.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18861, 'ТЕРМИЧЕСКИЕ И ХИМИЧЕСКИЕ ОЖОГИ НАРУЖНЫХ ПОВЕРХНОСТЕЙ ТЕЛА, УТОЧНЕННЫЕ ПО ИХ ЛОКАЛИЗАЦИИ', 'T20-T25', 18860, 'T20-T32', 6, 'Включены: термические и химические ожоги: . первой степени [эритема] . второй степени [пузыри] [потеря эпидермиса] . третьей степени [глубокий некроз подлежащих тканей] [утрата всех слоев кожи]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18863, 'Термические и химические ожоги головы и шеи', 'T20', 18861, 'T20-T25', 8, 'Включены: уха [любой части] глаза и других областей лица, головы и шеи губы носа (перегородки) волосистой части головы (любого участка) виска (области) Исключены: термические и химические ожоги: . ограниченные областью глаза и его придаточного аппарата (T26.-) . рта и глотки (T28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18864, 'Термический ожог головы и шеи неуточненной степени', 'T20.0', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18865, 'Термический ожог головы и шеи первой степени', 'T20.1', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18866, 'Термический ожог головы и шеи второй степени', 'T20.2', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18867, 'Термический ожог головы и шеи третьей степени', 'T20.3', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18868, 'Химический ожог головы и шеи неуточненной степени', 'T20.4', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18869, 'Химический ожог головы и шеи первой степени', 'T20.5', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18870, 'Химический ожог головы и шеи второй степени', 'T20.6', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18871, 'Химический ожог головы и шеи третьей степени', 'T20.7', 18863, 'T20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18872, 'Термические и химические ожоги туловища', 'T21', 18861, 'T20-T25', 8, 'Включены: стенки живота заднего прохода спины (любой части) молочной железы ягодичной области стенки грудной клетки боковой стенки живота паховой области межлопаточной области половой губы (большой) (малой) полового члена промежности мошонки яичка вульвы Исключены: термические и химические ожоги: . подмышечной впадины (T22.-) . лопаточной области (T22.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18873, 'Термический ожог туловища неуточненной степени', 'T21.0', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18874, 'Термический ожог туловища первой степени', 'T21.1', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18875, 'Термический ожог туловища второй степени', 'T21.2', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18876, 'Термический ожог туловища третьей степени', 'T21.3', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18877, 'Химический ожог туловища неуточненной степени', 'T21.4', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18878, 'Химический ожог туловища первой степени', 'T21.5', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18879, 'Химический ожог туловища второй степени', 'T21.6', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18880, 'Химический ожог туловища третьей степени', 'T21.7', 18872, 'T21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18881, 'Термические и химические ожоги области плечевого пояса и верхней конечности, исключая запястье и кисть', 'T22', 18861, 'T20-T25', 8, 'Включены: руки (любой части, кроме только запястья и кисти) подмышечной области лопаточной области Исключены: термические и химические ожоги: . межлопаточной области (T21.-) . только запястья и кисти (T23.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18882, 'Термический ожог области плечевого пояса и верхней конечности, исключая запястье и кисть, неуточненной степени', 'T22.0', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18883, 'Термический ожог области плечевого пояса и верхней конечности, исключая запястье и кисть, первой степени', 'T22.1', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18884, 'Термический ожог области плечевого пояса и верхней конечности, за исключением запястья и кисти, второй степени', 'T22.2', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18885, 'Термический ожог области плечевого пояса и верхней конечности, за исключением запястья и кисти, третьей степени', 'T22.3', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18886, 'Химический ожог области плечевого пояса и верхней конечности, за исключением запястья и кисти, неуточненной степени', 'T22.4', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18887, 'Химический ожог области плечевого пояса и верхней конечности, за исключением запястья и кисти, первой степени', 'T22.5', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18888, 'Химический ожог области плечевого пояса и верхней конечности, за исключением запястья и кисти, второй степени', 'T22.6', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18889, 'Химический ожог области плечевого пояса и верхней конечности, за исключением запястья и кисти, третьей степени', 'T22.7', 18881, 'T22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18890, 'Термические и химические ожоги запястья и кисти', 'T23', 18861, 'T20-T25', 8, 'Включены: пальца (ногтя) ладони большого пальца (ногтя)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18891, 'Термический ожог запястья и кисти неуточненной степени', 'T23.0', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18892, 'Термический ожог запястья и кисти первой степени', 'T23.1', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18893, 'Термический ожог запястья и кисти второй степени', 'T23.2', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18894, 'Термический ожог запястья и кисти третьей степени', 'T23.3', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18895, 'Химический ожог запястья и кисти неуточненной степени', 'T23.4', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18896, 'Химический ожог запястья и кисти первой степени', 'T23.5', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18897, 'Химический ожог запястья и кисти второй степени', 'T23.6', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18898, 'Химический ожог запястья и кисти третьей степени', 'T23.7', 18890, 'T23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18899, 'Термические и химические ожоги области тазобедренного сустава и нижней конечности, исключая голеностопный сустав и стопу', 'T24', 18861, 'T20-T25', 8, 'Включены: ноги (любой части, исключая голеностопный сустав и стопу) Исключены: термические и химические ожоги только голеностопного сустава и стопы (T25.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18900, 'Термический ожог области тазобедренного сустава и нижней конечности, исключая голеностопный сустав и стопу, неуточненной степени', 'T24.0', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18901, 'Термический ожог области тазобедренного сустава и нижней конечности, исключая голеностопный сустав и стопу, первой степени', 'T24.1', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18902, 'Термический ожог области тазобедренного сустава и нижней конечности, исключая голеностопный сустав и стопу, второй степени', 'T24.2', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18903, 'Термический ожог области тазобедренного сустава и нижней конечности, исключая голеностопный сустав и стопу, третьей степени', 'T24.3', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18904, 'Химический ожог области тазобедренного сустава и нижней  конечности, исключая голеностопный сустав и стопу, неуточненной степени', 'T24.4', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18905, 'Химический ожог области тазобедренного сустава и нижней  конечности, исключая голеностопный сустав и стопу, первой степени', 'T24.5', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18906, 'Химический ожог области тазобедренного сустава и нижней  конечности, исключая голеностопный сустав и стопу, второй степени', 'T24.6', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18907, 'Химический ожог области тазобедренного сустава и нижней  конечности, исключая голеностопный сустав и стопу, третьей степени', 'T24.7', 18899, 'T24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18908, 'Термические и химические ожоги области голеностопного сустава и стопы', 'T25', 18861, 'T20-T25', 8, 'Включены: пальца(ев) ноги');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18909, 'Термический ожог области голеностопного сустава и стопы неуточненной степени', 'T25.0', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18910, 'Термический ожог области голеностопного сустава и стопы первой степени', 'T25.1', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18911, 'Термический ожог области голеностопного сустава и стопы второй степени', 'T25.2', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18912, 'Термический ожог области голеностопного сустава и стопы третьей степени', 'T25.3', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18913, 'Химический ожог области голеностопного сустава и стопы неуточненной степени', 'T25.4', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18914, 'Химический ожог области голеностопного сустава и стопы первой степени', 'T25.5', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18915, 'Химический ожог области голеностопного сустава и стопы второй степени', 'T25.6', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18916, 'Химический ожог области голеностопного сустава и стопы третьей степени', 'T25.7', 18908, 'T25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18917, 'ТЕРМИЧЕСКИЕ И ХИМИЧЕСКИЕ ОЖОГИ ГЛАЗА И ВНУТРЕННИХ ОРГАНОВ', 'T26-T28', 18860, 'T20-T32', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18918, 'Термические и химические ожоги,  ограниченные областью глаза и его придаточного аппарата', 'T26', 18917, 'T26-T28', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18919, 'Термический ожог века и окологлазничной области', 'T26.0', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18920, 'Термический ожог роговицы и конъюнктивального мешка', 'T26.1', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18921, 'Термический ожог, ведущий к разрыву и разрушению глазного яблока', 'T26.2', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18922, 'Термический ожог других частей глаза и его придаточного аппарата', 'T26.3', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18923, 'Термический ожог глаза и его придаточного аппарата неуточненной локализации', 'T26.4', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18924, 'Химический ожог века и окологлазничной области', 'T26.5', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18925, 'Химический ожог роговицы и конъюнктивального мешка', 'T26.6', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18926, 'Химический ожог, ведущий к разрыву и разрушению глазного яблока', 'T26.7', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18927, 'Химический ожог других частей глаза и его придаточного аппарата', 'T26.8', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18928, 'Химический ожог глаза и его придаточного аппарата неуточненной локализации', 'T26.9', 18918, 'T26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18929, 'Термические и химические ожоги дыхательных путей', 'T27', 18917, 'T26-T28', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18930, 'Термический ожог гортани и трахеи', 'T27.0', 18929, 'T27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18931, 'Термический ожог гортани, трахеи и легкого', 'T27.1', 18929, 'T27', 0, 'Исключен: синдром травмы от струи воздуха или воды (T70.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18932, 'Термический ожог других отделов дыхательных путей', 'T27.2', 18929, 'T27', 0, 'Грудной полости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18933, 'Термический ожог дыхательных путей неуточненной локализации', 'T27.3', 18929, 'T27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18934, 'Химический ожог гортани и трахеи', 'T27.4', 18929, 'T27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18935, 'Химический ожог гортани, трахеи и легкого', 'T27.5', 18929, 'T27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18936, 'Химический ожог других отделов дыхательных путей', 'T27.6', 18929, 'T27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18937, 'Химический ожог дыхательных путей неуточненной локализации', 'T27.7', 18929, 'T27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18938, 'Термические и химические ожоги других внутренних органов', 'T28', 18917, 'T26-T28', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18939, 'Термический ожог рта и глотки', 'T28.0', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18940, 'Термический ожог пищевода', 'T28.1', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18941, 'Термический ожог других отделов пищеварительного тракта', 'T28.2', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18942, 'Термический ожог внутренних мочеполовых органов', 'T28.3', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18943, 'Термический ожог других и неуточненных внутренних органов', 'T28.4', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18944, 'Химический ожог рта и глотки', 'T28.5', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18945, 'Химический ожог пищевода', 'T28.6', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18946, 'Химический ожог других отделов пищеварительного тракта', 'T28.7', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18947, 'Химический ожог внутренних мочеполовых органов', 'T28.8', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18948, 'Химический ожог других и неуточненных внутренних органов', 'T28.9', 18938, 'T28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18950, 'ТЕРМИЧЕСКИЕ И ХИМИЧЕСКИЕ ОЖОГИ МНОЖЕСТВЕННОЙ И НЕУТОЧНЕННОЙ ЛОКАЛИЗАЦИИ', 'T29-T32', 18860, 'T20-T32', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18951, 'Термические и химические ожоги нескольких областей тела', 'T29', 18950, 'T29-T32', 8, 'Включены: термические и химические ожоги, классифицируемые более чем одной из рубрик T20-T28');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18952, 'Термические ожоги нескольких областей тела неуточненной степени', 'T29.0', 18951, 'T29', 0, 'Множественные ожоги БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18953, 'Термические ожоги нескольких областей тела с указанием на не более чем первую степень ожогов', 'T29.1', 18951, 'T29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18954, 'Термические ожоги нескольких областей тела с указанием на не более чем вторую степень ожогов', 'T29.2', 18951, 'T29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18955, 'Термические ожоги нескольких областей тела с указанием хотя бы на один ожог третьей степени', 'T29.3', 18951, 'T29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18956, 'Химические ожоги нескольких областей тела неуточненной степени', 'T29.4', 18951, 'T29', 0, 'Множественные химические ожоги БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18957, 'Химические ожоги нескольких областей тела с указанием на не более чем первую степень химических ожогов', 'T29.5', 18951, 'T29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18958, 'Химические ожоги нескольких областей тела с указанием на не более чем вторую степень химических ожогов', 'T29.6', 18951, 'T29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18959, 'Химические ожоги нескольких областей тела с указанием хотя бы на один химический ожог третьей степени', 'T29.7', 18951, 'T29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18960, 'Термические и химические ожоги неуточненной локализации', 'T30', 18950, 'T29-T32', 8, 'Исключены: термические и химические ожоги с установленной площадью пораженной поверхности тела (T31-T32)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18961, 'Термический ожог неуточненной степени неуточненной локализации', 'T30.0', 18960, 'T30', 0, 'Ожог БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18962, 'Термический ожог первой степени неуточненной локализации', 'T30.1', 18960, 'T30', 0, 'Ожог первой степени БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18963, 'Термический ожог второй степени неуточненной локализации', 'T30.2', 18960, 'T30', 0, 'Ожог второй степени БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18964, 'Термический ожог третьей степени неуточненной локализации', 'T30.3', 18960, 'T30', 0, 'Ожог третьей степени БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18965, 'Химический ожог неуточненной степени неуточненной локализации', 'T30.4', 18960, 'T30', 0, 'Химический ожог БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18966, 'Химический ожог первой степени неуточненной локализации', 'T30.5', 18960, 'T30', 0, 'Химический ожог первой степени БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18967, 'Химический ожог второй степени неуточненной локализации', 'T30.6', 18960, 'T30', 0, 'Химический ожог второй степени БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18968, 'Химический ожог третьей степени неуточненной локализации', 'T30.7', 18960, 'T30', 0, 'Химический ожог третьей степени БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18969, 'Термические ожоги, классифицированные в зависимости от площади пораженной поверхности тела', 'T31', 18950, 'T29-T32', 10, 'Примечание. Эту рубрику следует использовать для первичной статистической разработки только в тех случаях, когда локализация термического ожога не уточнена; если локализация уточнена, эту рубрику при необходимости можно использовать как дополнительный код с рубриками T20-T29.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18970, 'Термический ожог менее 10% поверхности тела', 'T31.0', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18971, 'Термический ожог 10-19% поверхности тела', 'T31.1', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18972, 'Термический ожог 20-29% поверхности тела', 'T31.2', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18973, 'Термический ожог 30-39% поверхности тела', 'T31.3', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18974, 'Термический ожог 40-49% поверхности тела', 'T31.4', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18975, 'Термический ожог 50-59% поверхности тела', 'T31.5', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18976, 'Термический ожог 60-69% поверхности тела', 'T31.6', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18977, 'Термический ожог 70-79% поверхности тела', 'T31.7', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18978, 'Термический ожог 80-89% поверхности тела', 'T31.8', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18979, 'Термический ожог 90% поверхности тела или более', 'T31.9', 18969, 'T31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18980, 'Химические ожоги, классифицированные в зависимости от площади пораженной поверхности тела', 'T32', 18950, 'T29-T32', 10, 'Примечание. Эту рубрику следует использовать для первичной статистической разработки только в тех случаях, когда локализация химического ожога не уточнена; если локализация уточнена, эту рубрику при необходимости можно использовать как дополнительный код с рубриками T20-T29.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18981, 'Химический ожог менее 10% поверхности тела', 'T32.0', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18982, 'Химический ожог 10-19% поверхности тела', 'T32.1', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18983, 'Химический ожог 20-29% поверхности тела', 'T32.2', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18984, 'Химический ожог 30-39% поверхности тела', 'T32.3', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18985, 'Химический ожог 40-49% поверхности тела', 'T32.4', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18986, 'Химический ожог 50-59% поверхности тела', 'T32.5', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18987, 'Химический ожог 60-69% поверхности тела', 'T32.6', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18988, 'Химический ожог 70-79% поверхности тела', 'T32.7', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18989, 'Химический ожог 80-89% поверхности тела', 'T31.8', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18990, 'Химический ожог 90% поверхности тела или более', 'T32.9', 18980, 'T32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18993, 'ОТМОРОЖЕНИЕ', 'T33-T35', 18001, 'S00-T98', 3, 'Исключены: гипотермия и другие эффекты воздействия низких температур (T68-T69)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18994, 'Поверхностное отморожение', 'T33', 18993, 'T33-T35', 10, 'Включено: отморожение с частичной утратой слоев кожи Исключены: поверхностные отморожения нескольких областей тела (T35.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18995, 'Поверхностное отморожение головы', 'T33.0', 18994, 'T33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18996, 'Поверхностное отморожение шеи', 'T33.1', 18994, 'T33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18997, 'Поверхностное отморожение грудной клетки', 'T33.2', 18994, 'T33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18998, 'Поверхностное отморожение стенки живота, нижней части спины и таза', 'T33.3', 18994, 'T33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(18999, 'Поверхностное отморожение руки', 'T33.4', 18994, 'T33', 0, 'Исключено: поверхностное отморожение только запястья и кисти (T33.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19000, 'Поверхностное отморожение запястья и кисти', 'T33.5', 18994, 'T33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19001, 'Поверхностное отморожение тазобедренной области и бедра', 'T33.6', 18994, 'T33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19002, 'Поверхностное отморожение колена и голени', 'T33.7', 18994, 'T33', 0, 'Исключено: поверхностное отморожение только области голеностопного сустава и стопы (T33.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19003, 'Поверхностное отморожение области голеностопного сустава и стопы', 'T33.8', 18994, 'T33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19004, 'Поверхностное отморожение другой и неуточненной локализации', 'T33.9', 18994, 'T33', 0, 'Поверхностное отморожение: . БДУ . ноги БДУ . туловища БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19005, 'Отморожение с некрозом тканей', 'T34', 18993, 'T33-T35', 10, 'Исключено: отморожение с некрозом тканей, захватывающее несколько областей тела (T35.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19006, 'Отморожение с некрозом тканей в области головы', 'T34.0', 19005, 'T34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19007, 'Отморожение с некрозом тканей в области шеи', 'T34.1', 19005, 'T34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19008, 'Отморожение с некрозом тканей в области грудной клетки', 'T34.2', 19005, 'T34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19009, 'Отморожение с некрозом тканей в области стенки живота, нижней части спины и таза', 'T34.3', 19005, 'T34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19010, 'Отморожение с некрозом тканей в области руки', 'T34.4', 19005, 'T34', 0, 'Исключено: отморожение с некрозом тканей только области запястья и кисти (T34.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19011, 'Отморожение с некрозом тканей в области запястья и кисти', 'T34.5', 19005, 'T34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19012, 'Отморожение с некрозом тканей в тазобедренной области и бедра', 'T34.6', 19005, 'T34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19013, 'Отморожение с некрозом тканей в области колена и голени', 'T34.7', 19005, 'T34', 0, 'Исключено: отморожение с некрозом тканей только в области голеностопного сустава и стопы (T34.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19014, 'Отморожение с некрозом тканей в области голеностопного сустава и стопы', 'T34.8', 19005, 'T34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19015, 'Отморожение с некрозом тканей другой и неуточненной локализации', 'T34.9', 19005, 'T34', 0, 'Отморожение с некрозом тканей: . БДУ . ноги БДУ . туловища БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19016, 'Отморожение, захватывающее несколько областей тела, и неуточненное отморожение', 'T35', 18993, 'T33-T35', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19017, 'Поверхностное отморожение нескольких областей тела', 'T35.0', 19016, 'T35', 0, 'Множественные поверхностные отморожения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19018, 'Отморожение с некрозом тканей, захватывающее несколько областей тела', 'T35.1', 19016, 'T35', 0, 'Множественные отморожения с некрозом тканей БДУ');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19019, 'Отморожение головы и шеи неуточненное', 'T35.2', 19016, 'T35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19020, 'Отморожение грудной клетки, живота, нижней части спины и таза неуточненное', 'T35.3', 19016, 'T35', 0, 'Отморожение туловища БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19021, 'Отморожение верхней конечности неуточненное', 'T35.4', 19016, 'T35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19022, 'Отморожение нижней конечности неуточненное', 'T35.5', 19016, 'T35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19023, 'Отморожение нескольких областей тела неуточненное', 'T35.6', 19016, 'T35', 0, 'Множественные отморожения БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19024, 'Неуточненное отморожение неуточненной локализации', 'T35.7', 19016, 'T35', 0, 'Отморожение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19026, 'ОТРАВЛЕНИЕ ЛЕКАРСТВЕННЫМИ СРЕДСТВАМИ, МЕДИКАМЕНТАМИ И БИОЛОГИЧЕСКИМИ ВЕЩЕСТВАМИ', 'T36-T50', 18001, 'S00-T98', 15, 'Включены: случаи: . передозировки этих веществ . неправильной выдачи или приема по ошибке этих веществ\nИсключены: злоупотребление средствами, не вызывающими зависимость (F55) неблагоприятные реакции ["повышенная чувствительность", "реакция" и т.д.] на правильно введенное и соответствующее назначению вещество; эти случаи классифицируются согласно характеру неблагоприятной реакции, такой как: . гастрит, вызванный приемом аспирина (K29.-) . изменения крови (D50-D76) . дерматит: . контактный (L23-L25) . вызванный веществами, принятыми внутрь (L27.-) . нефропатия (N14.0-N14.2) . неуточненная патологическая реакция на лекарственное средство (T88.7) лекарственная зависимость и психические расстройства и нарушения поведения вследствие употребления психоактивных веществ (F10-F19) лекарственная реакция и отравление, влияющие на плод и новорожденного (P00-P96) патологическая лекарственная интоксикация (F10-F19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19027, 'Отравление антибиотиками системного действия', 'T36', 19026, 'T36-T50', 10, 'Исключены: отравление антибиотиками: . противоопухолевыми (T45.1) . применяемыми местно НКДР (T49.0) . применяемыми для лечения: . уха, горла, носа (T49.6) . глаза (T49.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19028, 'Пенициллинами', 'T36.0', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19029, 'Цефалоспоринами и другими бета-лактамазообразующими антибиотиками', 'T36.1', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19030, 'Группы хлорамфеникола', 'T36.2', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19031, 'Макролидами', 'T36.3', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19032, 'Тетрациклинами', 'T36.4', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19033, 'Группы аминогликозидов', 'T36.5', 19027, 'T36', 0, 'Стрептомицином');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19034, 'Рифампицинами', 'T36.6', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19035, 'Противогрибковыми антибиотиками системного действия', 'T36.7', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19036, 'Другими антибиотиками системного действия', 'T36.8', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19037, 'Антибиотиками системного действия неуточненными', 'T36.9', 19027, 'T36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19038, 'Отравление другими противоинфекционными и противопаразитарными средствами системного действия', 'T37', 19026, 'T36-T50', 8, 'Исключены: противоинфекционными средствами: . местного применения НКДР (T49.0) . для лечения болезней: . уха, горла, носа (T49.6) . глаз (T49.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19039, 'Сульфаниламидами', 'T37.0', 19038, 'T37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19040, 'Антимикобактериальными препаратами', 'T37.1', 19038, 'T37', 0, 'Исключены: рифампицинами (T36.6) стрептомицином (T36.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19041, 'Противомалярийными препаратами и средствами, действующими на других простейших, паразитирующих в крови', 'T37.2', 19038, 'T37', 0, 'Исключено: производными гидроксихинолина (T37.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19042, 'Другими антипротозойными препаратами', 'T37.3', 19038, 'T37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19043, 'Антигельминтными средствами', 'T37.4', 19038, 'T37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19044, 'Противовирусными препаратами', 'T37.5', 19038, 'T37', 0, 'Исключены: амантадином (T42.8) цитарабином (T45.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19045, 'Другими уточненными противомикробными и противопаразитарными средствами системного действия', 'T37.8', 19038, 'T37', 0, 'Производными гидроксихинолина Исключено: противомалярийными препаратами (T37.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19046, 'Противомикробными и противопаразитарными средствами системного действия неуточненными', 'T37.9', 19038, 'T37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19047, 'Отравление гормонами, их синтетическими заменителями и антагонистами, не классифицированное в других рубриках', 'T38', 19026, 'T36-T50', 10, 'Исключены: минералокортикоидами и их антагонистами (T50.0) гормонами окситоцинового действия (T48.0) гормонами паращитовидной железы и их производными (T50.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19048, 'Глюкокортикоидами и их синтетическими аналогами', 'T38.0', 19047, 'T38', 0, 'Исключено: глюкокортикоидами местного применения (T49.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19049, 'Гормонами щитовидной железы и их заменителями', 'T38.1', 19047, 'T38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19050, 'Антитиреоидными препаратами', 'T38.2', 19047, 'T38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19051, 'Инсулином и пероральными гипогликемическими [противодиабетическими] препаратами', 'T38.3', 19047, 'T38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19052, 'Пероральными контрацептивами', 'T38.4', 19047, 'T38', 0, 'Поли- и однокомпонентными препаратами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19053, 'Другими эстрогенами и прогестогенами', 'T38.5', 19047, 'T38', 0, 'Смесями и заменителями');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19054, 'Антигонадотропинами, антиэстрогенами, антиандрогенами,не классифицированными в других рубриках', 'T38.6', 19047, 'T38', 0, 'Тамоксифеном');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19055, 'Андрогенами и их анаболическими аналогами', 'T38.7', 19047, 'T38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19056, 'Другими и неуточненными гормонами и их синтетическими заменителями', 'T38.8', 19047, 'T38', 0, 'Гормонами передней доли гипофиза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19057, 'Другими и неуточненными антагонистами гормонов', 'T38.9', 19047, 'T38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19058, 'Отравление неопиоидными анальгезирующими, жаропонижающими и противоревматическими средствами', 'T39', 19026, 'T36-T50', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19059, 'Салицилатами', 'T39.0', 19058, 'T39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19060, 'Производными 4-аминофенола', 'T39.1', 19058, 'T39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19061, 'Производными пиразолона', 'T39.2', 19058, 'T39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19062, 'Другими нестероидными противовоспалительными средствами [NSAID]', 'T39.3', 19058, 'T39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19063, 'Противоревматическими средствами', 'T39.4', 19058, 'T39', 0, 'Исключены: глюкокортикоидами (T38.0) салицилатами (T39.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19064, 'Другими ненаркотическими анальгезирующими и жаропонижающими средствами, не классифицированными в других рубриках', 'T39.8', 19058, 'T39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19065, 'Ненаркотическими анальгезирующими, жаропонижающими и противоревматическими препаратами неуточненными', 'T39.9', 19058, 'T39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19066, 'Отравление наркотиками и психодислептиками [галлюциногенами]', 'T40', 19026, 'T36-T50', 10, 'Исключены: лекарственная зависимость и психические расстройства и нарушения поведения вследствие употребления психоактивных веществ (F10-F19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19067, 'Опием', 'T40.0', 19066, 'T40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19068, 'Героином', 'T40.1', 19066, 'T40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19069, 'Другими опиоидами', 'T40.2', 19066, 'T40', 0, 'Кодеином Морфином');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19070, 'Метадоном', 'T40.3', 19066, 'T40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19071, 'Другими синтетическими наркотиками', 'T40.4', 19066, 'T40', 0, 'Петидином');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19072, 'Кокаином', 'T40.5', 19066, 'T40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19073, 'Другими и неуточненными наркотиками', 'T40.6', 19066, 'T40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19074, 'Каннабисом (производными)', 'T40.7', 19066, 'T40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19075, 'Лизергидом (LCD)', 'T40.8', 19066, 'T40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19076, 'Другими и неуточненными психодислептиками [галлюциногенами]', 'T40.9', 19066, 'T40', 0, 'Мескалином Псилоцином Псилоцибином');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19077, 'Отравление анестезирующими средствами и терапевтическими газами', 'T41', 19026, 'T36-T50', 6, 'Исключены: бензодиазепинами (T42.4) кокаином (T40.5) опиоидами (T40.0-T40.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19078, 'Средствами для ингаляционного наркоза', 'T41.0', 19077, 'T41', 0, 'Исключено: кислородом (T41.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19079, 'Средствами для внутривенного наркоза', 'T41.1', 19077, 'T41', 0, 'Тиобарбитуратами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19080, 'Другими и неуточненными средствами для общего наркоза', 'T41.2', 19077, 'T41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19081, 'Местноанестезирующими средствами', 'T41.3', 19077, 'T41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19082, 'Анестезирующими средствами неуточненными', 'T41.4', 19077, 'T41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19083, 'Терапевтическими газами', 'T41.5', 19077, 'T41', 0, 'Двуокисью углерода Кислородом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19084, 'Отравление противосудорожными, седативными, снотворными и противопаркинсоническими средствами', 'T42', 19026, 'T36-T50', 9, 'Исключены: лекарственная зависимость, психические расстройства и нарушения поведения вследствие употребления психоактивных веществ (F10-F19)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19085, 'Производными гидантоина', 'T42.0', 19084, 'T42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19086, 'Иминостильбенами', 'T42.1', 19084, 'T42', 0, 'Карбамазепином');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19087, 'Сукцинимидами и оксазолидиндионами', 'T42.2', 19084, 'T42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19088, 'Барбитуратами', 'T42.3', 19084, 'T42', 0, 'Исключено: тиобарбитуратами (T41.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19089, 'Бензодиазепинами', 'T42.4', 19084, 'T42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19090, 'Смешанными противоэпилептическими препаратами, не классифицированными в других рубриках', 'T42.5', 19084, 'T42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19091, 'Другими противоэпилептическими, седативными и снотворными средствами', 'T42.6', 19084, 'T42', 0, 'Метаквалоном Вальпроевой кислотой Исключено: карбамазепином (T42.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19092, 'Противосудорожными, седативными и снотворными средствами неуточненными', 'T42.7', 19084, 'T42', 0, 'Снотворными: . жидкими } . порошками } БДУ . таблетками }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19093, 'Противопаркинсоническими препаратами и другими мышечными депрессантами центрального действия', 'T42.8', 19084, 'T42', 0, 'Амантадином');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19094, 'Отравление психотропными средствами, не классифицированное в других рубриках', 'T43', 19026, 'T36-T50', 9, 'Исключены: средствами, подавляющими аппетит (T50.5) барбитуратами (T42.3) бензодиазепинами (T42.4) лекарственная зависимость, психические расстройства и расстройства поведения вследствие употребления психоактивных веществ (F10-F19) метаквалоном (T42.6) психодислептиками [галлюциногенами] (T40.7-T40.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19095, 'Трициклическими и тетрациклическими антидепрессантами', 'T43.0', 19094, 'T43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19096, 'Антидепрессантами-ингибиторами моноаминоксидазы', 'T43.1', 19094, 'T43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19097, 'Другими и неуточненными антидепрессантами', 'T43.2', 19094, 'T43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19098, 'Антипсихотическими и нейролептическими препаратами', 'T43.3', 19094, 'T43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19099, 'Нейролептиками-производными фенотиазинового ряда бутерофенона и тиоксантена', 'T43.4', 19094, 'T43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19100, 'Другими и неуточненными антипсихотическими и нейролептическими препаратами', 'T43.5', 19094, 'T43', 0, 'Исключено: препаратами раувольфии (T46.5)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19101, 'Психостимулирующими средствами, характеризующимися возможностью пристрастия к ним', 'T43.6', 19094, 'T43', 0, 'Исключено: кокаином (T40.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19102, 'Другими психотропными средствами, не классифицированными в других рубриках', 'T43.8', 19094, 'T43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19103, 'Психотропными средствами неуточненными', 'T43.9', 19094, 'T43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19104, 'Отравление препаратами, действующими преимущественно на вегетативную нервную систему', 'T44', 19026, 'T36-T50', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19105, 'Ингибиторами холинэстеразы', 'T44.0', 19104, 'T44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19106, 'Другими парасимпатомиметическими [холинергическими] средствами', 'T44.1', 19104, 'T44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19107, 'Ганглиоблокирующими средствами, не классифицированными в других рубриках', 'T44.2', 19104, 'T44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19108, 'Другими парасимпатолитическими [антихолинергическими и антимускаринными] и спазмолитическими средствами, не классифицированными в других рубриках', 'T44.3', 19104, 'T44', 0, 'Папаверином');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19109, 'Агонистами преимущественно альфа-адренорецепторов, не классифицированными в других рубриках', 'T44.4', 19104, 'T44', 0, 'Метараминолом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19110, 'Агонистами преимущественно бета-адренорецепторов, не классифицированными в других рубриках', 'T44.5', 19104, 'T44', 0, 'Исключено: сальбутамолом (T48.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19111, 'Антагонистами альфа-адренорецепторов, не классифицированными в других рубриках', 'T44.6', 19104, 'T44', 0, 'Исключено: эргоалкалоидами (T48.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19112, 'Антагонистами бета-адренорецепторов, не классифицированными в других рубриках', 'T44.7', 19104, 'T44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19113, 'Центральнодействующими и адренонейронблокирующими средствами, не классифицированными в других рубриках', 'T44.8', 19104, 'T44', 0, 'Исключены: клофелином (T46.5) гуанетидином (T46.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19114, 'Другими и неуточненными препаратами, действующими преимущественно на вегетативную нервную систему', 'T44.9', 19104, 'T44', 0, 'Средствами, стимулирующими альфа- и бета-адренорецепторы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19115, 'Отравление препаратами, преимущественно системного действия и гематологическими агентами, не классифицированное в других рубриках', 'T45', 19026, 'T36-T50', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19116, 'Противоаллергическими и противорвотными средствами', 'T45.0', 19115, 'T45', 0, 'Исключено: нейролептиками фенотиазинового ряда (T43.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19117, 'Противоопухолевыми и иммунодепрессивными препаратами', 'T45.1', 19115, 'T45', 0, 'Противоопухолевыми антибиотиками цитарабином Исключено: тамоксифеном (T38.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19118, 'Витаминами, не классифицированными в других рубриках', 'T45.2', 19115, 'T45', 0, 'Исключены: никотиновой кислоты [производными] (T46.7) витамином K (T45.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19119, 'Ферментами, не классифицированными в других рубриках', 'T45.3', 19115, 'T45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19120, 'Железом и его соединениями', 'T45.4', 19115, 'T45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19121, 'Антикоагулянтами', 'T45.5', 19115, 'T45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19122, 'Препаратами, влияющими на фибринолиз', 'T45.6', 19115, 'T45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19123, 'Антагонистами антикоагулянтов, витамином K и другими коагулянтами', 'T45.7', 19115, 'T45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19124, 'Другими препаратами, преимущественно системного действия, и гематологическими агентами', 'T45.8', 19115, 'T45', 0, 'Препаратами печени и другими противоанемическими средствами Нативной кровью и продуктами крови Заменителями плазмы Исключены: иммуноглобулином (T50.9) железом (T45.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19125, 'Препаратами преимущественно системного действия и гематологическими агентами неуточненными', 'T45.9', 19115, 'T45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19126, 'Отравление препаратами, действующими преимущественно на сердечно-сосудистую систему', 'T46', 19026, 'T36-T50', 10, 'Исключено: метараминолом (T44.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19127, 'Сердечными гликозидами и препаратами аналогичного действия', 'T46.0', 19126, 'T46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19128, 'Блокаторами кальциевых каналов', 'T46.1', 19126, 'T46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19129, 'Другими противоаритмическими препаратами, не классифицированными в других рубриках', 'T46.2', 19126, 'T46', 0, 'Исключено: бета-адренорецепторными антагонистами (T44.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19130, 'Коронарорасширяющими препаратами, не классифицированными в других рубриках', 'T46.3', 19126, 'T46', 0, 'Дипиридамолом Исключены: антагонистами бета-адренорецепторов (T44.7) блокаторами кальциевых каналов (T46.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19131, 'Ингибиторами ангиотензинконвертирующих ферментов', 'T46.4', 19126, 'T46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19132, 'Другими гипотензивными средствами, не классифицированными в других рубриках', 'T46.5', 19126, 'T46', 0, 'Клонидином Гуанетидином Раувольфией Исключены: бета-адренорецепторными антагонистами (T44.7) блокаторами кальциевых каналов (T46.1) диуретиками (T50.0-T50.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19133, 'Антигиперлипидемическими и антиатеросклеротическими средствами', 'T46.6', 19126, 'T46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19134, 'Препаратами, расширяющими периферические сосуды', 'T46.7', 19126, 'T46', 0, 'Никотиновой кислотой (производными) Исключено: папаверином (T44.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19135, 'Антиварикозными препаратами, включая склерозирующие агенты', 'T46.8', 19126, 'T46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19136, 'Другими и неуточненными средствами, влияющими преимущественно на сердечно-сосудистую систему', 'T46.9', 19126, 'T46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19137, 'Отравление препаратами, действующими преимущественно на органы пищеварения', 'T47', 19026, 'T36-T50', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19138, 'Антагонистами гистамина H2-рецепторов', 'T47.0', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19139, 'Другими антацидными препаратами и препаратами, угнетающими желудочную секрецию', 'T47.1', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19140, 'Раздражающими слабительными средствами', 'T47.2', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19141, 'Солевыми и осмотическими слабительными средствами', 'T47.3', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19142, 'Другими слабительными средствами', 'T47.4', 19137, 'T47', 0, 'Препаратами, стимулирующими перистальтику кишечника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19143, 'Препаратами, стимулирующими пищеварение', 'T47.5', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19144, 'Противодиарейными средствами', 'T47.6', 19137, 'T47', 0, 'Исключено: антибиотиками системного действия и другими противомикробными препаратами (T36-T37)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19145, 'Рвотными средствами', 'T47.7', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19146, 'Другими средствами, действующими преимущественно на желудочно-кишечный тракт', 'T47.8', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19147, 'Средствами, действующими преимущественно на желудочно-кишечный тракт, неуточненными', 'T47.9', 19137, 'T47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19148, 'Отравление препаратами, действующими преимущественно на гладкую и скелетную мускулатуру и органы дыхания', 'T48', 19026, 'T36-T50', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19149, 'Препаратами группы окситоцина', 'T48.0', 19148, 'T48', 0, 'Исключено: эстрогенами, прогестогенами и антагонистами (T38.4-T38.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19150, 'Миорелаксантами [блокаторами н-холинорецепторов скелетных мышц]', 'T48.1', 19148, 'T48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19151, 'Другими и неуточненными средствами, действующими преимущественно на мускулатуру', 'T48.2', 19148, 'T48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19152, 'Противокашлевыми средствами', 'T48.3', 19148, 'T48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19153, 'Отхаркивающими средствами', 'T48.4', 19148, 'T48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19154, 'Средствами от насморка', 'T48.5', 19148, 'T48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19155, 'Противоастматическими средствами, не классифицированными в других рубриках', 'T48.6', 19148, 'T48', 0, 'Сальбутамолом Исключены: агонистами бета-адренорецепторов (T44.5) гормонами передней доли гипофиза (T38.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19156, 'Другими и неуточненными средствами, действующими преимущественно на дыхательную систему', 'T48.7', 19148, 'T48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19157, 'Отравление препаратами местного действия, влияющими преимущественно на кожу и слизистые оболочки, и средствами, используемыми в офтальмологической, отоларингологической и стоматологической практике', 'T49', 19026, 'T36-T50', 10, 'Включено: местно примененными глюкокортикоидами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19158, 'Противогрибковыми, противоинфекционными и противовоспали тельными препаратами местного действия, не классифицированными в других рубриках', 'T49.0', 19157, 'T49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19159, 'Противозудными средствами', 'T49.1', 19157, 'T49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19160, 'Вяжущими средствами и детергентами местного действия', 'T49.2', 19157, 'T49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19161, 'Смягчающими, уменьшающими раздражение и защитными средствами', 'T49.3', 19157, 'T49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19162, 'Кератолитическими, кератопластическими и другими препаратами и средствами для лечения волос', 'T49.4', 19157, 'T49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19163, 'Препаратами и средствами, применяемыми в офтальмологической практике', 'T49.5', 19157, 'T49', 0, 'Глазными противоинфекционными препаратами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19164, 'Препаратами и средствами, применяемыми в отоларингологической практике', 'T49.6', 19157, 'T49', 0, 'Противоинфекционными средствами для лечения болезней уха, горла и носа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19165, 'Стоматологическими препаратами, применяемыми местно', 'T49.7', 19157, 'T49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19166, 'Другими средствами местного применения', 'T49.8', 19157, 'T49', 0, 'Спермицидами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19167, 'Средствами местного применения неуточненными', 'T49.9', 19157, 'T49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19168, 'Отравление диуретиками и другими неуточненными лекарственными средствами, медикаментами и биологическими веществами', 'T50', 19026, 'T36-T50', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19169, 'Минералокортикоидами и их антагонистами', 'T50.0', 19168, 'T50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19170, '"Петлевыми" диуретиками', 'T50.1', 19168, 'T50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19171, 'Ингибиторами карбоангидразы, производными бензотиадиазина и другими диуретическими средствами', 'T50.2', 19168, 'T50', 0, 'Ацетазоламидом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19172, 'Препаратами, влияющими на электролитный, энергетический и водный баланс', 'T50.3', 19168, 'T50', 0, 'Солями для пероральной регидратации');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19173, 'Препаратами, влияющими на обмен мочевой кислоты', 'T50.4', 19168, 'T50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19174, 'Средствами, подавляющими аппетит', 'T50.5', 19168, 'T50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19175, 'Противоядиями и комплексонами, не классифицированными в других рубриках', 'T50.6', 19168, 'T50', 0, 'Средствами для лечения алкоголизма, облегчающими отвыкание от алкоголя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19176, 'Аналептическими средствами и антагонистами "опиатных"  рецепторов', 'T50.7', 19168, 'T50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19177, 'Диагностическими средствами', 'T50.8', 19168, 'T50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19178, 'Другими и неуточненными лекарственными средствами, медикаментами и биологическими веществами', 'T50.9', 19168, 'T50', 0, 'Средствами, повышающими кислотность Средствами, повышающими щелочность Иммуноглобулином Антителами Липотропными средствами Гормонами паращитовидных желез и их производными');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19180, 'ТОКСИЧЕСКОЕ ДЕЙСТВИЕ ВЕЩЕСТВ, ПРЕИМУЩЕСТВЕННО НЕМЕДИЦИНСКОГО НАЗНАЧЕНИЯ', 'T51-T65', 18001, 'S00-T98', 15, 'Исключены: химические ожоги (T20-T32) местные токсические проявления, классифицированные в других рубриках (A00-R99) дыхательные нарушения вследствие воздействия внешних агентов (J60-J70)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19181, 'Токсическое действие алкоголя', 'T51', 19180, 'T51-T65', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19182, 'Этанола', 'T51.0', 19181, 'T51', 0, 'Этилового спирта Исключены: случаи острой алкогольной интоксикации и состояние "перепоя" (F10.0) пьянство (F10.0) патологическая алкогольная интоксикация (F10.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19183, 'Метанола', 'T51.1', 19181, 'T51', 0, 'Метилового спирта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19184, '2-Пропанола', 'T51.2', 19181, 'T51', 0, 'Изопропилового спирта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19185, 'Сивушных масел', 'T51.3', 19181, 'T51', 0, 'Спирта: . амилового . бутилового [1-бутанола] . пропилового [1-пропанола]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19186, 'Других спиртов', 'T51.8', 19181, 'T51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19187, 'Спирта неуточненного', 'T51.9', 19181, 'T51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19188, 'Токсическое действие органических растворителей', 'T52', 19180, 'T51-T65', 7, 'Исключено: галогенпроизводных алифатических и ароматических углеводородов (T53.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19189, 'Нефтепродуктов', 'T52.0', 19188, 'T52', 0, 'Газолина [бензина] Керосина [парафинового масла] Парафинового воска Петролейного: . эфира . лакового бензина . лигроина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19190, 'Бензола', 'T52.1', 19188, 'T52', 0, 'Исключение: гомологов бензола (T52.2) нитро- и аминопроизводных бензола и его гомологов (T65.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19191, 'Гомологов бензола', 'T52.2', 19188, 'T52', 0, 'Толуола [метилбензола] Ксилена [диметилбензола]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19192, 'Гликолей', 'T52.3', 19188, 'T52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19193, 'Кетонов', 'T52.4', 19188, 'T52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19194, 'Других органических растворителей', 'T52.8', 19188, 'T52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19195, 'Органических растворителей неуточненных', 'T52.9', 19188, 'T52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19196, 'Токсическое действие галогенпроизводных алифатических и ароматических углеводородов', 'T53', 19180, 'T51-T65', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19197, 'Четыреххлористого углерода', 'T53.0', 19196, 'T53', 0, 'Тетрахлорметана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19198, 'Хлороформа', 'T53.1', 19196, 'T53', 0, 'Трихлорметана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19199, 'Трихлорэтилена', 'T53.2', 19196, 'T53', 0, 'Трихлорэтана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19200, 'Тетрахлорэтилена', 'T53.3', 19196, 'T53', 0, 'Перхлорэтилена Тетрахлорэтана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19201, 'Дихлорметана', 'T53.4', 19196, 'T53', 0, 'Метиленхлорида');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19202, 'Хлорофторуглеродов', 'T53.5', 19196, 'T53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19203, 'Других галогенпроизводных алифатических углеводородов', 'T53.6', 19196, 'T53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19204, 'Других галогенпроизводных ароматических углеводородов', 'T53.7', 19196, 'T53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19205, 'Галогенпроизводных алифатических и ароматических углеводородов неуточненных', 'T53.9', 19196, 'T53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19206, 'Токсическое действие разъедающих веществ', 'T54', 19180, 'T51-T65', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19207, 'Фенола и его гомологов', 'T54.0', 19206, 'T54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19208, 'Других разъедающих органических веществ', 'T54.1', 19206, 'T54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19209, 'Едких кислот и кислотоподобных веществ', 'T54.2', 19206, 'T54', 0, 'Кислоты: . соляной . серной');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19210, 'Едких щелочей и щелочеподобных веществ', 'T54.3', 19206, 'T54', 0, 'Гидроксида калия [едкого кали] Гидроксида натрия [едкого натра]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19211, 'Разъедающих веществ неуточненных', 'T54.9', 19206, 'T54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19212, 'Токсическое действие мыл и детергентов', 'T55', 19180, 'T51-T65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19213, 'Токсическое действие металлов', 'T56', 19180, 'T51-T65', 10, 'Включено: дымов и паров металлов металлов из всех источников, кроме медицинских препаратов Исключено: мышьяка и его соединений (T57.0) марганца и его соединений (T57.2) таллия (T60.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19214, 'Свинца и его соединений', 'T56.0', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19215, 'Ртути и ее соединений', 'T56.1', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19216, 'Хрома и его соединений', 'T56.2', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19217, 'Кадмия и его соединений', 'T56.3', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19218, 'Меди и ее соединений', 'T56.4', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19219, 'Цинка и его соединений', 'T56.5', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19220, 'Олова и его соединений', 'T56.6', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19221, 'Бериллия и его соединений', 'T56.7', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19222, 'Других металлов', 'T56.8', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19223, 'Металла неуточненного', 'T56.9', 19213, 'T56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19224, 'Токсическое действие других неорганических веществ', 'T57', 19180, 'T51-T65', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19225, 'Мышьяка и его соединений', 'T57.0', 19224, 'T57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19226, 'Фосфора и его соединений', 'T57.1', 19224, 'T57', 0, 'Исключено: фосфорорганических инсектицидов (T60.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19227, 'Марганца и его соединений', 'T57.2', 19224, 'T57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19228, 'Цианистого водорода', 'T57.3', 19224, 'T57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19229, 'Других уточненных неорганических веществ', 'T57.8', 19224, 'T57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19230, 'Неорганического вещества неуточненного', 'T57.9', 19224, 'T57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19231, 'Токсическое действие окиси углерода', 'T58', 19180, 'T51-T65', 0, 'Из всех источников');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19232, 'Токсическое действие других газов, дымов и паров', 'T59', 19180, 'T51-T65', 10, 'Включено: аэрозольных пропеллентов Исключено: хлорофторуглеродов (T53.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19233, 'Окислов азота', 'T59.0', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19234, 'Двуокиси серы', 'T59.1', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19235, 'Формальдегида', 'T59.2', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19236, 'Слезоточивого газа', 'T59.3', 19232, 'T59', 0, 'Слезного газа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19237, 'Газообразного хлора', 'T59.4', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19238, 'Газообразного фтора и фтористого водорода', 'T59.5', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19239, 'Сероводорода', 'T59.6', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19240, 'Двуокиси углерода', 'T59.7', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19241, 'Других уточненных газов, дымов и паров', 'T59.8', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19242, 'Газов, дымов и паров неуточненных', 'T59.9', 19232, 'T59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19243, 'Токсическое действие пестицидов', 'T60', 19180, 'T51-T65', 7, 'Включено: средств обработки древесины');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19244, 'Фосфорорганических и карбаматных инсектицидов', 'T60.0', 19243, 'T60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19245, 'Галогенированных инсектицидов', 'T60.1', 19243, 'T60', 0, 'Исключено: хлорированных углеводородов (T53.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19246, 'Других инсектицидов', 'T60.2', 19243, 'T60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19247, 'Гербицидов и фунгицидов', 'T60.3', 19243, 'T60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19248, 'Родентицидов', 'T60.4', 19243, 'T60', 0, 'Таллия Исключено: стрихнина и его солей (T65.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19249, 'Других пестицидов', 'T60.8', 19243, 'T60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19250, 'Пестицидов неуточненных', 'T60.9', 19243, 'T60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19251, 'Токсическое действие ядовитых веществ, содержащихся в съеденных пищевых морепродуктах', 'T61', 19180, 'T51-T65', 5, 'Исключены: аллергическая реакция на пищу, такая как: . анафилактический шок вследствие патологической реакции на пищу (T78.0) . дерматит (L23.6, L25.4, L27.2) . гастроэнтерит (неинфекционный) (K52.-) бактериальное пищевое отравление (A05.-) токсическое действие пищевых загрязнителей, таких как: . афлатоксин и другие микотоксины (T64) . цианиды (T65.0) . цианид водорода (T57.3) . ртуть (T56.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19252, 'Отравление сикватерой', 'T61.0', 19251, 'T61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19253, 'Отравление рыбой семейства скумбриевых', 'T61.1', 19251, 'T61', 0, 'Гистаминоподобный синдром');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19254, 'Отравление другой рыбой и моллюсками', 'T61.2', 19251, 'T61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19255, 'Токсическое действие других морепродуктов', 'T61.8', 19251, 'T61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19256, 'Токсическое действие морепродуктов неуточненных', 'T61.9', 19251, 'T61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19257, 'Токсическое действие других ядовитых веществ, содержащихся в съеденных пищевых продуктах', 'T62', 19180, 'T51-T65', 5, 'Исключены: аллергическая реакция на пищу, такая как: . анафилактический шок, вследствие патологической реакции на пищу (T78.0) . дерматит (L23.6, L25.4, L27.2) . гастроэнтерит (неинфекционный) (K52.-) бактериальное пищевое отравление (A05.-) токсическое действие пищевых загрязнителей, таких как: . афлатоксин и другие микотоксины (T64) . цианиды (T65.0) . цианид водорода (T57.3) . ртуть (T56.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19258, 'В съеденных грибах', 'T62.0', 19257, 'T62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19259, 'В съеденных ягодах', 'T62.1', 19257, 'T62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19260, 'В другом(их) съеденном(ых) растении(ях)', 'T62.2', 19257, 'T62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19261, 'Других ядовитых веществ, содержащихся в съеденных пищевых продуктах', 'T62.8', 19257, 'T62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19262, 'Ядовитых веществ, содержащихся в съеденных пищевых продуктах неуточненных', 'T62.9', 19257, 'T62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19263, 'Токсический эффект, обусловленный контактом с ядовитыми животными', 'T63', 19180, 'T51-T65', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19264, 'Змеиного яда', 'T63.0', 19263, 'T63', 0, 'Яда морских змей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19265, 'Яда других пресмыкающихся', 'T63.1', 19263, 'T63', 0, 'Яда ящерицы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19266, 'Яда скорпиона', 'T63.2', 19263, 'T63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19267, 'Яда паука', 'T63.3', 19263, 'T63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19268, 'Яда других членистоногих', 'T63.4', 19263, 'T63', 0, 'Укуса или ужаливания ядовитого насекомого');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19269, 'Токсический эффект, обусловленный контактом с рыбой', 'T63.5', 19263, 'T63', 0, 'Исключено: отравление съеденной рыбой (T61.0-T61.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19270, 'Токсический эффект, обусловленный контактом с другими морскими животными', 'T63.6', 19263, 'T63', 0, 'Медузой Морской анемоной Животным, имеющим раковину или панцирь (краб, устрица и т.д.) Морской звездой Исключены: отравление съеденным животным, имеющим раковину или панцирь (крабом, устрицей и т.д.) (T61.2) действие яда морских змей (T63.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19271, 'Токсический эффект, обусловленный контактом с другими ядовитыми животными', 'T63.8', 19263, 'T63', 0, 'Яда амфибий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19272, 'Токсический эффект, обусловленный контактом с ядовитым животным неуточненным', 'T63.9', 19263, 'T63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19273, 'Токсическое действие загрязняющих пищевые прдукты афлатоксина и других микотоксинов', 'T64', 19180, 'T51-T65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19274, 'Токсическое действие других и неуточненных веществ', 'T65', 19180, 'T51-T65', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19275, 'Цианидов', 'T65.0', 19274, 'T65', 0, 'Исключено: цианистого водорода (T57.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19276, 'Стрихнина и его солей', 'T65.1', 19274, 'T65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19277, 'Табака и никотина', 'T65.2', 19274, 'T65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19278, 'Нитропроизводных и аминопроизводных бензола и его гомологов', 'T65.3', 19274, 'T65', 0, 'Анилина [аминобензола] Нитробензола Тринитротолуола');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19279, 'Дисульфида углерода', 'T65.4', 19274, 'T65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19280, 'Нитроглицерина и других азотных кислот и сложных эфиров', 'T65.5', 19274, 'T65', 0, 'Тринитрата 1,2,3-пропантриола');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19281, 'Красок и красящих веществ, не классифицированных в других рубриках', 'T65.6', 19274, 'T65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19282, 'Других уточненных веществ', 'T65.8', 19274, 'T65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19283, 'Неуточненного вещества', 'T65.9', 19274, 'T65', 0, 'Отравление БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19285, 'ДРУГИЕ И НЕУТОЧНЕННЫЕ ЭФФЕКТЫ ВОЗДЕЙСТВИЯ ВНЕШНИХ ПРИЧИН', 'T66-T78', 18001, 'S00-T98', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19286, 'Неуточненные эффекты излучения', 'T66', 19285, 'T66-T78', 0, 'Лучевая болезнь Исключены: уточненные неблагоприятные эффекты воздействия излучения, такие как: . ожоги (T20-T31) . лейкоз (C91-C95) . радиационный(ые): . гастроэнтерит и колит (K52.0) . пневмонит (J70.0) . изменения кожи и подкожной ткани (L55-L59) . солнечный ожог (L55.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19287, 'Эффекты воздействия высокой температуры и света', 'T67', 19285, 'T66-T78', 10, 'Исключены: ожоги (T20-T31) эритема (дерматит) ожоговая (ab igne) (L59.0) злокачественная гипертермия, вызванная анестезией (T88.3) вызванные радиацией изменения кожи и подкожной клетчатки (L55-L59) солнечный ожог (L55.-) нарушения потоотделения, вызванные высокой температурой (L74-L75)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19288, 'Тепловой и солнечный удар', 'T67.0', 19287, 'T67', 0, 'Тепловая: . апоплексия . гипертермия Сириаз Термоплегия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19289, 'Тепловой обморок', 'T67.1', 19287, 'T67', 0, 'Тепловой коллапс');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19290, 'Тепловая судорога', 'T67.2', 19287, 'T67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19291, 'Тепловое истощение, обезвоживание', 'T67.3', 19287, 'T67', 0, 'Тепловая прострация вследствие истощения запасов воды в организме Исключено: тепловое истощение вследствие уменьшения содержания солей в организме (T67.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19292, 'Тепловое истощение вследствие уменьшения содержания солей в организме', 'T67.4', 19287, 'T67', 0, 'Тепловая прострация вследствие истощения запасов солей (и воды) в организме');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19293, 'Тепловое истощение неуточненное', 'T67.5', 19287, 'T67', 0, 'Тепловая прострация БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19294, 'Тепловое утомление преходящее', 'T67.6', 19287, 'T67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19295, 'Тепловой отек', 'T67.7', 19287, 'T67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19296, 'Другие эффекты воздействия высокой температуры и света', 'T67.8', 19287, 'T67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19297, 'Эффект воздействия высокой температуры и света неуточненный', 'T67.9', 19287, 'T67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19298, 'Гипотермия', 'T68', 19285, 'T66-T78', 0, 'Гиротермия (случайная) Исключены: отморожение (T33-T35) гипотермия: . сопровождающая анестезию (T88.5) . новорожденного (P80.-) . не связанная с низкой температурой окружающей среды (R68.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19299, 'Другие эффекты воздействия низкой температуры', 'T69', 19285, 'T66-T78', 4, 'Исключено: отморожение (T33-T35)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19300, 'Траншейная рука и стопа', 'T69.0', 19299, 'T69', 0, 'Иммерсионаая рука и нога');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19301, 'Ознобление', 'T69.1', 19299, 'T69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19302, 'Другие уточненные эффекты воздействия низкой температуры', 'T69.8', 19299, 'T69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19303, 'Эффект воздействия низкой температуры неуточненный', 'T69.9', 19299, 'T69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19304, 'Воздействие атмосферного давления и давления воды', 'T70', 19285, 'T66-T78', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19305, 'Баротравма уха', 'T70.0', 19304, 'T70', 0, 'Аэроотит средний Влияние изменения атмосферного давления или давления воды на уши');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19306, 'Баротравма придаточной пазухи', 'T70.1', 19304, 'T70', 0, 'Аэросинусит Влияние изменения атмосферного давления на придаточные пазухи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19307, 'Другое и неуточненное влияние большой высоты', 'T70.2', 19304, 'T70', 0, 'Альпийская болезнь Аноксия, обусловленная большой высотой Баротравма БДУ Гипобаропатия Горная болезнь Исключено: полицитемия, обусловленная большой высотой (D75.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19308, 'Кессонная болезнь [декомпрессионная болезнь]', 'T70.3', 19304, 'T70', 0, 'Болезнь вследствие пребывания в камере со сжатым воздухом Болезнь, или паралич, водолазов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19309, 'Эффект воздействия жидкости, находящейся под большим давлением', 'T70.4', 19304, 'T70', 0, 'Травматическое действие струи (на производстве)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19310, 'Другие эффекты воздействия атмосферного давления или давления воды', 'T70.8', 19304, 'T70', 0, 'Синдром травмы от струи воздуха или воды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19311, 'Эффект воздействия атмосферного давления или давления воды неуточненный', 'T70.9', 19304, 'T70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19312, 'Асфиксия', 'T71', 19285, 'T66-T78', 0, 'Удушение (путем сдавления) Системная кислородная недостаточность вследствие: . низкого содержания кислорода в окружающей среде . механического препятствия дыханию Исключены: аноксия, обусловленная большой высотой (T70.2) асфиксия, вызванная: . окисью углерода (T58) . попаданием пищи или инородного тела в дыхательные пути (T17.-) . другими газами, дымами и парами (T59.-) респираторный дистресс (синдром) у: . взрослых (J80) . новорожденного (P22.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19313, 'Проявление других форм неблагоприятного воздействия [депривации]', 'T73', 19285, 'T66-T78', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19314, 'Влияние голода', 'T73.0', 19313, 'T73', 0, 'Лишение пищи Голодание');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19315, 'Влияние жажды', 'T73.1', 19313, 'T73', 0, 'Лишение воды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19316, 'Истощение вследствие длительного пребывания в неблагоприятных условиях', 'T73.2', 19313, 'T73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19317, 'Истощение вследствие чрезмерного напряжения сил', 'T73.3', 19313, 'T73', 0, 'Перенапряжение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19318, 'Другие проявления депривации', 'T73.8', 19313, 'T73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19319, 'Проявление депривации неуточненное', 'T73.9', 19313, 'T73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19320, 'Синдром жестокого обращения', 'T74', 19285, 'T66-T78', 6, 'При необходимости идентифицировать текущую травму используют дополнительный код.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19321, 'Оставление без внимания или заброшенность', 'T74.0', 19320, 'T74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19322, 'Физическая жестокость', 'T74.1', 19320, 'T74', 0, 'Побои: . синдром истязания младенца или ребенка БДУ . синдром истязания супруги(а) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19323, 'Сексуальная жестокость', 'T74.2', 19320, 'T74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19324, 'Психологическая жестокость', 'T74.3', 19320, 'T74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19325, 'Другие синдромы жестокого обращения', 'T74.8', 19320, 'T74', 0, 'Смешанные формы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19326, 'Синдром неуточненного жестокого обращения', 'T74.9', 19320, 'T74', 0, 'Проявление: . жестокого обращения со взрослым БДУ . жестокого обращения с ребенком БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19327, 'Воздействие других внешних причин', 'T75', 19285, 'T66-T78', 6, 'Исключены: неблагоприятные реакции НКДР (T78.-) ожоги (вызванные электрическим током) (T20-T31)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19328, 'Поражение молнией', 'T75.0', 19327, 'T75', 0, 'Шок от поражения молнией Поражение молнией БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19329, 'Утопление и несмертельное погружение в воду', 'T75.1', 19327, 'T75', 0, 'Погружение в воду Судороги пловца');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19330, 'Воздействие вибрации', 'T75.2', 19327, 'T75', 0, 'Синдром пневматического молотка Травматический вазоспастический синдром Головокружение от низкочастотных звуков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19331, 'Укачивание при движении', 'T75.3', 19327, 'T75', 0, 'Укачивание в воздухе Морская болезнь Укачивание при передвижении');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19332, 'Воздействие электрического тока', 'T75.4', 19327, 'T75', 0, 'Смертельное поражение электрическим током Шок, вызванный электрическим током');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19333, 'Другие уточненные эффекты воздействия внешних причин', 'T75.8', 19327, 'T75', 0, 'Влияние: . аномальных гравитационных сил . состояния невесомости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19334, 'Неблагоприятные эффекты, не классифицированные в других рубриках', 'T78', 19285, 'T66-T78', 7, 'Примечание.Эту рубрику следует использовать при кодировании по единичной причине как первичный код для идентификации неблагоприятных эффектов, не классифицированных в других рубриках, вызванных неизвестной, неопределенной или неточно обозначенной причиной. При множественном кодировании эту рубрику можно использовать как дополнительный код для идентификации воздействия состояний, классифицированных в других рубриках. Исключены: осложнения, вызванные хирургическим и терапевтическим вмешательством НКДР (T80-T88)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19335, 'Анафилактический шок, вызванный патологической реакцией на пищу', 'T78.0', 19334, 'T78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19336, 'Другие проявления патологической реакции на пищу', 'T78.1', 19334, 'T78', 0, 'Исключены: бактериальное пищевое отравление (A05.-) дерматит как реакция на пищу (L27.2) . при попадании на кожу (L23.6, L24.6, L25.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19337, 'Анафилактический шок неуточненный', 'T78.2', 19334, 'T78', 0, 'Аллергический шок } Анафилактическая реакция } БДУ Анафилаксия } Исключены: анафилактический шок вследствие: . патологической реакции на адекватно назначенное и правильно принятое лекарственное средство (T88.6) . патологической реакции на пищу (T78.0) . введение сыворотки (T80.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19338, 'Ангионевротический отек', 'T78.3', 19334, 'T78', 0, 'Гигантская крапивница Отек Квинке Исключены: крапивница (D50.-) . сывороточная (T80.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19339, 'Аллергия неуточненная', 'T78.4', 19334, 'T78', 0, 'Аллергическая реакция БДУ Повышенная чувствительность БДУ Идиосинкразия БДУ Исключены: аллергическая реакция БДУ на адекватно назначенное и правильно введенное лекарственное средство (T88.7) уточненный тип аллергической реакции, такой как: . аллергический гастроэнтерит и колит (K52.2) . дерматит (L23-L25, L27.-) . сенная лихорадка (J30.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19340, 'Другие неблагоприятные реакции, не классифицированные в других рубриках', 'T78.8', 19334, 'T78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19341, 'Неблагоприятная реакция неуточненная', 'T78.9', 19334, 'T78', 0, 'Исключена: неблагоприятная реакция, вызванная хирургическим и терапевтическим вмешательством БДУ (T88.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19342, 'НЕКОТОРЫЕ РАННИЕ ОСЛОЖНЕНИЯ ТРАВМ', 'T79', 18001, 'S00-T98', 1, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19343, 'Некоторые ранние осложнения травм, не классифицированные в других рубриках', 'T79', 19342, 'T79', 10, 'Исключены: осложнения, вызванные хирургическим и терапевтическим вмешательством НКДР (T80-T88) синдром респираторного дистресса у: . взрослого (J80) . новорожденного (P22.0) осложнения, возникающие во время или сразу после медицинских процедур (T80-T88)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19344, 'Воздушная эмболия (травматическая)', 'T79.0', 19343, 'T79', 0, 'Исключены: воздушная эмболия, осложняющая: . аборт, внематочную или молярную беременность (O00-O07, O08.2) . беременность, роды и послеродовой период (O88.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19345, 'Жировая эмболия (травматическая)', 'T79.1', 19343, 'T79', 0, 'Исключены: жировая эмболия, осложняющая: . аборт, внематочную или молярную беременность (O00-O07, O08.2) . беременность, роды и послеродовой период (O88.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19346, 'Травматическое вторичное или рецидивирующее кровотечение', 'T79.2', 19343, 'T79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19347, 'Посттравматическая раневая инфекция, не классифицированная  в других рубриках', 'T79.3', 19343, 'T79', 0, 'При необходимости идентифицировать инфекционный агент используют дополнительный код (B95-B97).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19348, 'Травматический шок', 'T79.4', 19343, 'T79', 0, 'Шок (ранний) (поздний), сопровождающий травму Исключены: шок (вызванный): . анестезией (T88.2) . анафилактический: . БДУ (T78.2) . вследствие: . патологической реакции на пищу (T78.0) . адекватно назначенного и правильно введенного лекарственного средства (T88.6) . реакции на сыворотку (T80.5) . сопровождающий аборт, внематочную или молярную беременность (O00-O07, O08.3) . вызванный электрическим током (T75.4) . от поражения молнией (T75.0) . нетравматический НКДР (R57.-) . акушерский (O75.1) . послеоперационный (T81.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19349, 'Травматическая анурия', 'T79.5', 19343, 'T79', 0, 'Синдром раздавливания Почечная недостаточность, сопровождающая размозжение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19350, 'Травматическая ишемия мышцы', 'T79.6', 19343, 'T79', 0, 'Футлярный синдром Ишемическая контрактура Фолькманна Исключен: передний большеберцовый синдром (M76.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19351, 'Травматическая подкожная эмфизема', 'T79.7', 19343, 'T79', 0, 'Исключена: эмфизема (подкожная) как результат процедуры (T81.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19352, 'Другие ранние осложнения травмы', 'T79.8', 19343, 'T79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19353, 'Раннее осложнение травмы неуточненное', 'T79.9', 19343, 'T79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19355, 'ОСЛОЖНЕНИЯ ХИРУРГИЧЕСКИХ И ТЕРАПЕВТИЧЕСКИХ ВМЕШАТЕЛЬСТВ, НЕ КЛАССИФИЦИРОВАННЫЕ В ДРУГИХ РУБРИКАХ', 'T80-T88', 18001, 'S00-T98', 9, 'При необходимости идентифицировать применявшееся приспособление и\nдетали обстоятельств, относящихся к конкретному случаю, используют\nдополнительный код внешних причин (класс XX).\nПри необходимости идентифицировать инфекционный агент используют\nдополнительный код (B95-B97).\nИсключены: неблагоприятные реакции на лекарственные средства и медикаменты (A00-R99, T78.-) любые обращения за медицинской помощью по поводу неосложненных послеоперационных состояний, например: . в связи с наличием искусственного отверстия (Z93.-) . закрытие наружной стомы (Z43.-) . установка и подгонка наружного протезного устройства (Z44.-) . термические и химические ожоги, обусловленные местными аппликациями и облучением (T20-T32) осложнения хирургических процедур во время беременности, родов и в послеродовом периоде (O00-O99) отравление и токсическое воздействие лекарственных средств и химических веществ (T36-T65) уточненные осложнения, классифицированные в других рубриках, такие как: . истечение цереброспинальной жидкости при спинномозговой пункции (G97.0) . нарушение функционирования колостомы (K91.4) . нарушение водного и электролитного баланса (E86-E87) . функциональные нарушения после хирургического вмешательства на сердце (I97.0-I97.1) . синдром оперированного желудка (K91.1) . постламинэктомический синдром НКДР (M96.1) . синдром лимфатического отека после удаления молочной железы (I97.2) . синдром оперированной слепой кишки (K91.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19356, 'Осложнения, связанные с инфузией, трансфузией и лечебной инъекцией', 'T80', 19355, 'T80-T88', 9, 'Включена: перфузия Исключено: отторжение пересаженного костного мозга (T86.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19357, 'Воздушная эмболия, связанная с инфузией, трансфузией и лечебной инъекцией', 'T80.0', 19356, 'T80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19358, 'Сосудистые осложнения, связанные с инфузией, трансфузией и лечебной инъекцией', 'T80.1', 19356, 'T80', 0, 'Флебит } Тромбоэмболия } связанные с инфузией, трансфузией Тромбофлебит } и лечебной инъекцией Исключены: перечисленные состояния, если они: . обусловлены ортопедическими устройствами, имплантатами и трансплантатами (T82.8, T83.8,T84.8, T85.8) . постпроцедурные (T81.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19359, 'Инфекции, связанные с инфузией, трансфузией и лечебной инъекцией', 'T80.2', 19356, 'T80', 0, 'Инфекция } Сепсис } связанная с инфузией, трансфузией Септицемия } и терапевтической инъекцией Септический шок } Исключены: перечисленные состояния, если они: . обусловлены ортопедическими устройствами, имплантатами и трансплантатами (T82.6-T82.7,T83.5-T83.6, T84.5-T84.7, T85.7) . постпроцедурные (T81.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19360, 'Реакция на AB0-несовместимость', 'T80.3', 19356, 'T80', 0, 'Трансфузия несовместимой крови Реакция на инфузию или трансфузию крови, несовместимой по группе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19361, 'Реакция на Rh-несовместимость', 'T80.4', 19356, 'T80', 0, 'Реакция на инфузию или трансфузию крови, несовместимой по резус-фактору');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19362, 'Анафилактический шок, связанный с введением сыворотки', 'T80.5', 19356, 'T80', 0, 'Исключены: шок: . аллергический БДУ (T78.2) . анафилактический: . БДУ (T78.2) . вследствие патологической реакции на адекватно назначенное и правильно введенное лекарственное средство (T88.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19363, 'Другие сывороточные реакции', 'T80.6', 19356, 'T80', 0, 'Интоксикация, связанная с введением сыворотки Протеиновая болезнь Сывороточная: . сыпь . болезнь . уртикария Исключен: сывороточный гепатит (B16.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19364, 'Другие осложнения, связанные с инфузией, трансфузией и лечебной инъекцией', 'T80.8', 19356, 'T80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19365, 'Осложнение, связанное с инфузией, трансфузией и лечебной инъекцией неуточненное', 'T80.9', 19356, 'T80', 0, 'Реакция на инфузию БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19366, 'Осложнения процедур, не классифицированные в других рубриках', 'T81', 19355, 'T80-T88', 10, 'Исключены: патологическая реакция на лекарственное средство БДУ (T88.7) осложнение, связанное с: . иммунизацией (T88.0-T88.1) . инфузией, трансфузией и лечебной инъекцией (T80.-) уточненные осложнения, классифицированные в других рубриках, такие как: . осложнения, обусловленные ортопедическими устройствами, имплантатами и трансплататами (T82-T85) . дерматит, обусловленный лекарственными средствами и медикаментами (L23.3, L24.4, L25.1, L27.0-L27.1) . отравление и токсическое действие лекарственных средств и химических веществ (T36-T65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19367, 'Кровотечение и гематома, осложняющие процедуру, не классифицированные в других рубриках', 'T81.0', 19366, 'T81', 0, 'Кровотечение любой локализации, являющееся следствием процедуры Исключены: гематома акушерской раны (O90.2) кровотечение, обусловленное ортопедическими устройствами, имплантатами и трансплантатами (T82.8, T83.8, T84.8, T85.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19368, 'Шок во время или после процедуры, не классифицированный в других рубриках', 'T81.1', 19366, 'T81', 0, 'Коллапс БДУ } Шок (эндотоксический) } во время или после (гиповолемический) (септический) } процедуры Послеоперационный шок БДУ } Исключены: шок: . вызванный анестезией (T88.2) . анафилактический: . БДУ (T78.2) . обусловленный: . адекватно назначенным и правильно введенным лекарственным средством (T88.6) . введением сыворотки (T80.5) . от воздействия электрического тока (T75.4) . осложняющий аборт, внематочную или молярную беременность (O00-O07, O08.3) . акушерский (O75.1) . травматический (T79.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19369, 'Случайный прокол или разрыв при выполнении процедуры, не классифицированный в других рубриках', 'T81.2', 19366, 'T81', 0, 'Случайная перфорация: . кровеносного сосуда } катетером } во время . нерва } эндоскопом } выполнения . органа } инструментом } процедуры Исключены: инструментальное повреждение во время родов (O70-O71) перфорация, прокол или разрыв, вызванные устройством или имплантатом, преднамеренно оставленными в операционной ране (T82-T85) уточненные осложнения, классифицированные в других рубриках, такие, как синдром разрыва широкой связки [синдром Аллена-Мастерса] (N83.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19370, 'Расхождение краев операционной раны, не классифицированное в других рубриках', 'T81.3', 19366, 'T81', 0, 'Расхождение краев операционной раны Исключено: расхождение краев: . раны после кесарева сечения (O90.0) . акушерской раны промежности (O90.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19371, 'Инфекция, связанная с процедурой, не классифицированная в других рубриках', 'T81.4', 19366, 'T81', 0, 'Абсцесс: } . внутрибрюшной } . шовный } . поддиафрагмальный } после процедуры . раны } Септицемия } Исключены: инфекция, связанная с: . инфузией, трансфузией и лечебной инъекцией (T80.2) . ортопедическим устройством, имплантатом и трансплантатом (T82.6-T82.7, T83.5-T83.6,T84.5-T84.7, T85.7) инфекция акушерской хирургической раны (O86.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19372, 'Инородное тело, случайно оставленное в полости тела или операционной ране при выполнении процедуры', 'T81.5', 19366, 'T81', 0, 'Спайки } вызванные инородным телом, случайно Закупорка } оставленным в операционной ране или Перфорация } полости тела Исключены: закупорка и перфорация, вызванные ортопедическим устройством или имплантатами, намеренно оставленными в организме (T82.0-T82.5, T83.0-T83.4, T84.0-T84.4, T85.0-T85.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19373, 'Острая реакция на инородное вещество, случайно оставленное при выполнении процедуры', 'T81.6', 19366, 'T81', 0, 'Перитонит: . асептический . химический');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19374, 'Сосудистые осложнения, связанные с процедурой, не классифицированные в других рубриках', 'T81.7', 19366, 'T81', 0, 'Воздушная эмболия, связанная с процедурой, БДУ Исключены: эмболия: . осложняющая: . аборт, внематочную или молярную беременность (O00-O07, O08.2) . беременность, роды и послеродовой период (O88.-) . вызванная ортопедическим устройством, имплантатами и трансплантатами (T82.8, T83.8,T84.8, T85.8) . связанная с инфузией, трансфузией и лечебной инъекцией (T80.0) . травматическая (T79.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19375, 'Другие осложнения процедур, не классифицированные в других рубриках', 'T81.8', 19366, 'T81', 0, 'Осложнение ингаляционной терапии Эмфизема (подкожная) вследствие процедуры Незакрывающийся послеоперационный свищ Исключены: гипотермия, связанная с анестезией (T88.5) злокачественная гипертермия, связанная с анестезией (T88.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19376, 'Осложнение процедуры неуточненное', 'T81.9', 19366, 'T81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19377, 'Осложнения, связанные с сердечными и сосудистыми устройствами, имплантатами и трансплантатами', 'T82', 19355, 'T80-T88', 10, 'Исключены: гибель и отторжение пересаженных органов и тканей (T86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19378, 'Осложнение механического происхождения, связанное с протезом сердечного клапана', 'T82.0', 19377, 'T82', 0, 'Поломка (механическая) } Смещение } Подтекание } Неправильное положение } протеза сердечного клапана Закупорка (механическая) } Перфорация } Выпячивание [протрузия] }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19379, 'Осложнение механического происхождения, связанное с электронным водителем сердечного ритма', 'T82.1', 19377, 'T82', 0, 'Осложнения, перечисленные в рубрике T82.0, связанные с: . электродами . генератором пульса (батарейным)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19380, 'Осложнение механического происхождения, связанное с артериальным шунтом сердечных клапанов', 'T82.2', 19377, 'T82', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с шунтом сердечных клапанов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19381, 'Осложнение механического происхождения, связанное с другими сосудистыми трансплантатами', 'T82.3', 19377, 'T82', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . трансплантатом аорты (бифуркация) (замещение) . трансплантатом артерии (сонной) (бедренной) (шунтирование)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19382, 'Осложнение механического происхождения, связанное с сосудистым катетером для диализа', 'T82.4', 19377, 'T82', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с сосудистым катетером для диализа Исключено: осложнение механического происхождения, связанное с катетером для внутрибрюшинного диализа (T85.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19383, 'Осложнение механического происхождения, связанное с другими сердечными и сосудистыми устройствами и имплантатами', 'T82.5', 19377, 'T82', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . артериовенозной(ым): . фистулой } . анастомозом } созданным хирургическим путем . искусственным сердцем . баллонным (контрпульсационным) устройством . инфузионным катетером . зонтичным устройством Исключено: осложнение механического происхождения, связанное с эпидуральным и субдуральным инфузионным катетером (T85.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19384, 'Инфекция и воспалительная реакция, связанные с протезом сердечного клапана', 'T82.6', 19377, 'T82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19385, 'Инфекция и воспалительная реакция, связанные с другими сердечными и сосудистыми устройствами, имплантатами и трансплантатами', 'T82.7', 19377, 'T82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19386, 'Другие осложнения, связанные с сердечными и сосудистыми протезами, имплантатами и трансплантатами', 'T82.8', 19377, 'T82', 0, 'Осложнение } Эмболия } Фиброз } Кровотечение } связанные с сердечными и сосудистыми Боль } протезами, имплантатами и трансплантатами Стеноз } Тромбоз }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19387, 'Осложнение, связанное с сердечным и сосудистым протезом, имплантатом и трансплантатом, неуточненное', 'T82.9', 19377, 'T82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19388, 'Осложнения, связанные с мочеполовыми протезными устройствами,    имплантатами и трансплантатами', 'T83', 19355, 'T80-T88', 9, 'Исключено: отмирание и отторжение пересаженных органов и тканей (T86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19389, 'Осложнение механического происхождения, связанное с мочевым (постоянным) катетером', 'T83.0', 19388, 'T83', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . катетером: . цистостомы . уретральным постоянным');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19390, 'Осложнение механического происхождения, связанное с другими мочевыми устройствами и имплантатами', 'T83.1', 19388, 'T83', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . мочевым: . электронным стимулятором . имплантатом сфинктера . расширителем [стентом]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19391, 'Осложнение механического происхождения, связанное с трансплантатом мочевого органа', 'T83.2', 19388, 'T83', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с трансплантатом мочевого органа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19392, 'Осложнение механического происхождения, связанное с внутриматочным противозачаточным устройством', 'T83.3', 19388, 'T83', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с внутриматочным противозачаточным устройством');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19393, 'Осложнение механического происхождения, связанное с другими протезными устройствами, имплантатами и трансплантатами', 'T83.4', 19388, 'T83', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с (вживленным) протезом мужского полового члена');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19394, 'Инфекция и воспалительная реакция, обусловленные протезным устройством, имплантатом и трансплантатом в мочевой системе', 'T83.5', 19388, 'T83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19395, 'Инфекция и воспалительная реакция, обусловленные протезным устройством, имплантатом и трансплантатом в половом тракте', 'T83.6', 19388, 'T83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19396, 'Другие осложнения, связанные с мочеполовыми протезными устройствами, имплантатами и трансплантатами', 'T83.8', 19388, 'T83', 0, 'Состояния, перечисленные в рубрике T82.8, связанные с мочеполовыми протезными устройствами, имплантатами и трансплантатами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19397, 'Осложнения, связанные с мочеполовым протезным устройством, имплантатом и трансплантатом, неуточненные', 'T83.9', 19388, 'T83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19398, 'Осложнения, связанные с внутренними ортопедическими протезными устройствами, имплантатами и трансплантатами', 'T84', 19355, 'T80-T88', 10, 'Исключены: отмирание и отторжение пересаженных органов и тканей (T86.-) перелом кости, связанный с введением ортопедического имплантата, суставного протеза или костной пластины (M96.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19399, 'Осложнение механического происхождения, связанное с внутренним суставным протезом', 'T84.0', 19398, 'T84', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с суставным протезом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19400, 'Осложнение механического происхождения, связанное с внутренним устройством, фиксирующим кости конечности', 'T84.1', 19398, 'T84', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с внутренним устройством, фиксирующим кости конечности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19401, 'Осложнение механического происхождения, связанное с внутренним устройством, фиксирующим другие кости', 'T84.2', 19398, 'T84', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с внутренним устройством, фиксирующим другие кости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19402, 'Осложнение механического происхождения, связанное с другими костными устройствами, имплантатами и трансплантатами', 'T84.3', 19398, 'T84', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . костным трансплантатом . электронным костным стимулятором');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19403, 'Осложнение механического происхождения, связанное с другими внутренними ортопедическими устройствами, имплантатами и трансплантатами', 'T84.4', 19398, 'T84', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с трансплантатами мышц и сухожилий');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19404, 'Инфекция и воспалительная реакция, обусловленные эндопротезированием', 'T84.5', 19398, 'T84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19405, 'Инфекция и воспалительная реакция, обусловленные внутренним фиксирующим устройством (любой локализации)', 'T84.6', 19398, 'T84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19406, 'Инфекция и воспалительная реакция, обусловленные другими внутренними ортопедическими протезными устройствами, имплантатами и трансплантатами', 'T84.7', 19398, 'T84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19407, 'Другие осложнения, связанные с внутренними ортопедическими протезными устройствами, имплантатами и трансплантатами', 'T84.8', 19398, 'T84', 0, 'Состояния, перечисленные в рубрике T82.8, связанные с внутренними \nортопедическими протезными устройствами, имплантатами и трансплантатами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19408, 'Осложнения, связанные с внутренним ортопедическим протезным устройством, имплантатом и трансплантатом, неуточненные', 'T84.9', 19398, 'T84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19409, 'Осложнения, связанные с внутренними протезными устройствами, имплантатами и трансплантатами', 'T85', 19355, 'T80-T88', 10, 'Исключены: неудачная трансплантация и отторжение пересаженных органов и тканей (T86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19410, 'Осложнение механического происхождения, связанное с внутричерепным желудочковым шунтом (связующего)', 'T85.0', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с желудочковым внутричерепным шунтом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19411, 'Осложнение механического происхождения, связанное с имплантированным электронным стимулятором нервной системы', 'T85.1', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с электронным нейростимулятором (электродом): . головного мозга . периферического нерва . спинного мозга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19412, 'Осложнение механического происхождения, связанное с искусственным хрусталиком (глаза)', 'T85.2', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с искусственным хрусталиком');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19413, 'Осложнение механического происхождения, связанное с другими глазными протезами, имплантатами и трансплантатами', 'T85.3', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . трансплантатом роговицы . протезом глазницы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19414, 'Осложнение механического происхождения, связанное с протезом и имплантатом молочной железы', 'T85.4', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с протезом и имплантатом молочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19415, 'Осложнение механического происхождения, связанное с желудочно-кишечным протезом, имплантатом и трансплантатом', 'T85.5', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . протезом желчного протока . желудочно-пищеводным антирефлюкс-устройством');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19416, 'Осложнение механического происхождения, связанное с другими уточненными внутренними протезными устройствами, имплантатами и трансплантатами', 'T85.6', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.0, связанные с: . катетером для эпидуральных и субдуральных инфузий . катетером для внутрибрюшинного диализа . нерассасывающимся хирургическим материалом БДУ . постоянными швами Исключено: осложнение механического происхождения, связанное с постоянными (проволочными) швами, используемыми для восстановления кости (T84.1-T84.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19417, 'Инфекция и воспалительная реакция, обусловленная другими внутренними протезными устройствами, имплантатами и трансплантатами', 'T85.7', 19409, 'T85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19418, 'Другие осложнения, связанные с внутренними протезными устройствами, имплантатами и трансплантатами не классифи цированные в других рубриках', 'T85.8', 19409, 'T85', 0, 'Состояния, перечисленные в рубрике T82.8, связанные с внутренними протезными устройствами, имплантатами и трансплантатами НКДР');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19419, 'Осложнение, связанное с внутренним протезным устройством, имплантатом и трансплантатом, неуточненное', 'T85.9', 19409, 'T85', 0, 'Осложнение, связанное с протезным устройством, имплантатом и трансплантатом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19420, 'Отмирание и отторжение пересаженных органов и тканей', 'T86', 19355, 'T80-T88', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19421, 'Отторжение трансплантата костного мозга', 'T86.0', 19420, 'T86', 0, 'Реакция [болезнь] "хозяин против трансплантата"');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19422, 'Отмирание и отторжение трансплантата почки', 'T86.1', 19420, 'T86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19423, 'Отмирание и отторжение трансплантата сердца', 'T86.2', 19420, 'T86', 0, 'Исключены: осложнение, связанное с: . искусственным сердечным устройством (T82.5) . сердечно-легочным трансплантатом (T86.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19424, 'Отмирание и отторжение сердечно-легочного трансплантата', 'T86.3', 19420, 'T86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19425, 'Отмирание и отторжение трансплантата печени', 'T86.4', 19420, 'T86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19426, 'Отмирание и отторжение других пересаженных органов и тканей', 'T86.8', 19420, 'T86', 0, 'Отмирание и отторжение трансплантата: . кости . кишки . легкого . поджелудочной железы . кожи (аллотрансплантат) (аутотрансплантат)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19427, 'Отмирание и отторжение пересаженного(ой) органа и ткани неуточненных', 'T86.9', 19420, 'T86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19428, 'Осложнения, характерные для реплантации и ампутации', 'T87', 19355, 'T80-T88', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19429, 'Осложнения, связанные с реплантацией (части) верхней конечности', 'T87.0', 19428, 'T87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19430, 'Осложнения, связанные с реплантацией (части) нижней конечности', 'T87.1', 19428, 'T87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19431, 'Осложнения, связанные с реплантацией других частей тела', 'T87.2', 19428, 'T87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19432, 'Неврома ампутационной культи', 'T87.3', 19428, 'T87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19433, 'Инфекция ампутационной культи', 'T87.4', 19428, 'T87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19434, 'Некроз ампутационной культи', 'T87.5', 19428, 'T87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19435, 'Другие и неуточненные осложнения ампутационной культи', 'T87.6', 19428, 'T87', 0, 'Ампутационной культи: . контрактура (сгибательная) (ближайшего проксимального сустава) . гематома . отек Исключен: фантомный синдром (G54.6-G54.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19436, 'Другие осложнения хирургических и терапевтических вмешательств, не классифицированные в других рубриках', 'T88', 19355, 'T80-T88', 10, 'Исключены: случайный прокол или разрыв во время процедуры (T81.2) осложнения, связанные с: . инфузией, трансфузией и лечебной инъекцией (T80.-) . процедурой НКДР (T81.-) уточненные осложнения, классифицированные в других рубриках, такие как: . осложнения: . анестезии во время: . беременности (O29.-) . родов и родоразрешения (O74.-) . послеродового периода (O89.-) . связанные с устройствами, имплантатами и трансплантатами (T82-T85) . акушерских хирургических вмешательств и процедур (O75.4) . дерматит, обусловленный лекарственными средствами и медикаментами (L23.3, L24.4, L25.1, L27.0-L27.1) . отравления и токсическое действие лекарственных средств и химических веществ (T36-T65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19437, 'Инфекция, связанная с иммунизацией', 'T88.0', 19436, 'T88', 0, 'Сепсис } Септицемия } связанные с иммунизацией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19438, 'Другие осложнения, связанные с иммунизацией, не классифицированные в других рубриках', 'T88.1', 19436, 'T88', 0, 'Сыпь, связанная с иммунизацией Исключены: анафилактический шок, обусловленный введением сыворотки (T80.5) другие реакции на введение сыворотки (T80.6) поствакцинальная(ый): . артропатия (M02.2) . энцефалит (G04.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19439, 'Шок, вызванный анестезией', 'T88.2', 19436, 'T88', 0, 'Шок, обусловленный анестезией, при которой необходимый препарат был правильно введен Исключены: осложнения анестезии: . при передозировке или ошибочном применении препарата (T36-T50) . во время: . родов и родоразрешения (O74.-) . беременности (O29.-) . послеродового периода (O89.-) послеоперационный шок БДУ (T81.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19440, 'Злокачественная гипертермия, вызванная анестезией', 'T88.3', 19436, 'T88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19441, 'Безуспешная или трудная интубация', 'T88.4', 19436, 'T88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19442, 'Другие осложнения анестезии', 'T88.5', 19436, 'T88', 0, 'Гипотермия, связанная с анестезией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19443, 'Анафилактический шок, обусловленный патологической реакцией на адекватно назначенное и правильно примененное лекарственное средство', 'T88.6', 19436, 'T88', 0, 'Исключено: анафилактический шок, связанный с введением сыворотки (T80.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19444, 'Патологическая реакция на лекарственное средство или медикаменты неуточненная         }', 'T88.7', 19436, 'T88', 0, 'Неблагоприятная реакция } на адекватно назначенное Аллергическая реакция } и правильно примененное Повышенная чувствительность } лекарственное средство Идиосинкразия } Лекарственная: . повышенная чувствительность БДУ . реакция БДУ Исключены: уточненные патологические реакции на введение лекарственных средств и медикаментов (A00-R99, T80-T88.6, T88.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19445, 'Другие уточненные осложнения хирургических и терапевтических вмешательств, не классифицированные в других рубриках', 'T88.8', 19436, 'T88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19446, 'Осложнение хирургического и терапевтического вмешательства неуточненное', 'T88.9', 19436, 'T88', 0, 'Исключена: патологическая реакция БДУ (T78.9)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19450, 'ПОСЛЕДСТВИЯ ТРАВМ, ОТРАВЛЕНИЙ И ДРУГИХ ВОЗДЕЙСТВИЙ ВНЕШНИХ ПРИЧИН', 'T90-T98', 18001, 'S00-T98', 9, 'Примечание. Перечисленные ниже категории следует использовать для того, чтобы обозначить состояния, указанные в рубриках S00-S99 и T00-T88, в качестве причины отдаленных последследствий, которые сами классифицированы в других рубриках. Понятие "последствие" включает эти состояния как таковые или как отдаленные эффекты, сохраняющиеся в течение года или более после острой травмы.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19451, 'Последствия травм головы', 'T90', 19450, 'T90-T98', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19452, 'Последствия поверхностной травмы головы', 'T90.0', 19451, 'T90', 0, 'Последствия травмы, классифицированной в рубрике S00.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19453, 'Последствия открытого ранения головы', 'T90.1', 19451, 'T90', 0, 'Последствия травмы, классифицированной в рубрике S01.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19454, 'Последствия перелома черепа и костей лица', 'T90.2', 19451, 'T90', 0, 'Последствия травмы, классифицированной в рубрике S02.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19455, 'Последствия травмы черепных нервов', 'T90.3', 19451, 'T90', 0, 'Последствия травмы, классифицированной в рубрике S04.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19456, 'Последствия травмы глаза окологлазничной области', 'T90.4', 19451, 'T90', 0, 'Последствия травмы, классифицированной в рубрике S05.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19457, 'Последствия внутричерепной травмы', 'T90.5', 19451, 'T90', 0, 'Последствия травмы, классифицированной в рубрике S06.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19458, 'Последствия других уточненных травм головы', 'T90.8', 19451, 'T90', 0, 'Последствия травм, классифицированных в рубриках S03.-,S07-S08, S09.0-S09.8');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19459, 'Последствия неуточненной травмы головы', 'T90.9', 19451, 'T90', 0, 'Последствия травмы, классифицированной в рубрике S09.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19460, 'Последствия травм шеи и туловища', 'T91', 19450, 'T90-T98', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19461, 'Последствия поверхностной травмы и открытого ранения шеи и туловища', 'T91.0', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S10-S11, S20-S21, S30-S31, T09.0-T09.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19462, 'Последствия перелома позвоночника', 'T91.1', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S12.-, S22.0-S22.1, S32,0, S32.7 и T08');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19463, 'Последствия других переломов грудной клетки и таза', 'T91.2', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S22.2-S22.9, S32.1-S32.5 и S32.8');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19464, 'Последствия травмы спинного мозга', 'T91.3', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S14.0-S14.1, S24.0-S24.1, S34.0-S34.1 и T09.3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19465, 'Последствия травмы внутригрудных органов', 'T91.4', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S26-S27');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19466, 'Последствия травмы внутрибрюшных и тазовых органов', 'T91.5', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S36-S37');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19467, 'Последствия других уточненных травм шеи и туловища', 'T91.8', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S13.-, S14.2-S14.6, S15-S18, S19.7-S19.8, S23.-, S24.2-S24.6, S25.-, S28.-, S29.0-S29.8, S33.-, S34.2-S34.8, S35.-, S38.-, S39.0-S39.8, T09.2 и T09.4-T09.8');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19468, 'Последствия неуточненной травмы шеи и туловища', 'T91.9', 19460, 'T91', 0, 'Последствия травм, классифицированных в рубриках S19.9, S29.9, S39.9 и T09.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19469, 'Последствия травм верхней конечности', 'T92', 19450, 'T90-T98', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19470, 'Последствия открытого ранения верхней конечности', 'T92.0', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S41.-, S51.-, S61.- и T11.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19471, 'Последствия перелома верхней конечности, исключая запястье и кисть', 'T92.1', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S42.-, S52.- и T10');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19472, 'Последствия перелома на уровне запястья и кисти', 'T92.2', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S62.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19473, 'Последствия вывиха, растяжения и деформации верхней конечности', 'T92.3', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S43.-, S53.-, S63.- и T11.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19474, 'Последствия травмы нерва верхней конечности', 'T92.4', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S44.-, S54.-, S64.- и T11.3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19475, 'Последствия травмы мышцы и сухожилия верхней конечности', 'T92.5', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S46.-, S56.-, S66.- и T11.5');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19476, 'Последствия размозжения и травматической ампутации верхней конечности', 'T92.6', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S47-S48, S57-S58, S67-S68 и T11.6');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19477, 'Последствия других уточненных травм верхней конечности', 'T92.8', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S40.-, S45.-, S49.7-S49.8, S50.-, S55.-, S59.7-S59.8, S60.-, S65.-, S69.7-S69.8, T11.0, T11.4 и T11.8');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19478, 'Последствия неуточненной травмы верхней конечности', 'T92.9', 19469, 'T92', 0, 'Последствия травм, классифицированных в рубриках S49.9, S59.9, S69.9 и T11.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19479, 'Последствия травм нижней конечности', 'T93', 19450, 'T90-T98', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19480, 'Последствия открытого ранения нижней конечности', 'T93.0', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S71.-, S81.-, S91.- и T13.1');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19481, 'Последствия перелома бедра', 'T93.1', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S72.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19482, 'Последствия других переломов нижней конечности', 'T93.2', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S82.-, S92.- и T12');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19483, 'Последствия вывиха, растяжения и деформации нижней конечности', 'T93.3', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S73.-, S83.-, S93.- и T13.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19484, 'Последствия травмы нерва нижней конечности', 'T93.4', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S74.-, S84.-, S94.- и T13.3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19485, 'Последствия травмы мышцы и сухожилия нижней конечности', 'T93.5', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S76.-, S86.-, S96.- и T13.5');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19486, 'Последствия размозжения и травматической ампутации нижней конечности', 'T93.6', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S77-S78, S87-S88, S97-S98 и T13.6');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19487, 'Последствия других уточненных травм нижней конечности', 'T93.8', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S70.-, S75.-, S79.7-S79.8, S80.-, S85.-, S89.7-S89.8, S90.-, S95.-, S99.7-D99.8, T13.0, T13.4 и T13.8');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19488, 'Последствия неуточненной травмы нижней конечности', 'T93.9', 19479, 'T93', 0, 'Последствия травм, классифицированных в рубриках S79.9, S89.9, S99.9 и T13.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19489, 'Последствия травм, захватывающих несколько областей тела, и травм неуточненной локализации', 'T94', 19450, 'T90-T98', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19490, 'Последствия травм, захватывающих несколько областей тела', 'T94.0', 19489, 'T94', 0, 'Последствия травм, классифицированных в рубриках T00-T07');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19491, 'Последствия травм, неуточненных по локализации', 'T94.1', 19489, 'T94', 0, 'Последствия травм, классифицированных в рубриках T14');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19492, 'Последствия термических и химических ожогов и отморожений', 'T95', 19450, 'T90-T98', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19493, 'Последствия термического и химического ожога и отморожения головы и шеи', 'T95.0', 19492, 'T95', 0, 'Последствия травм, классифицированных в рубриках T20.-, T33.0-T33.1, T34.0-T34.1 и T35.2');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19494, 'Последствия термического и химического ожога и отморожения туловища', 'T95.1', 19492, 'T95', 0, 'Последствия травм, классифицированных в рубриках T21.-, T33.2-T33.3, T34.2-T34.3 и T35.3');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19495, 'Последствия термического и химического ожога и отморожения верхней конечности', 'T95.2', 19492, 'T95', 0, 'Последствия травм, классифицированных в рубриках T22-T23, T33.4-T33.5, T34.4-T34.5 и T35.4');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19496, 'Последствия термического и химического ожога и отморожения нижней конечности', 'T95.3', 19492, 'T95', 0, 'Последствия травм, классифицированных в рубриках T24-T25, T33.6-T33.8, T34.6-T34.8 и T35.5');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19497, 'Последствия термических и химических ожогов, классифицированных только в соответствии с площадью пораженного участка тела', 'T95.4', 19492, 'T95', 0, 'Последствия травм, классифицированных в рубриках T31-T32');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19498, 'Последствия других уточненных термических и химических ожогов и отморожений', 'T95.8', 19492, 'T95', 0, 'Последствия травм, классифицированных в рубриках T26-T29, T35.0-T35.1 и T35.6');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19499, 'Последствия неуточненных термических и химических ожогов отморожений', 'T95.9', 19492, 'T95', 0, 'Последствия травм, классифицированных в рубриках T30.-, T33.9, T34.9 и T35.7');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19500, 'Последствия отравлений лекарственными средствами, медикаментами и биологическими веществами', 'T96', 19450, 'T90-T98', 0, 'Последствия отравлений, классифицированных в рубриках T36-T50');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19501, 'Последствия токсического действия веществ преимущественно немедицинского назначения', 'T97', 19450, 'T90-T98', 0, 'Последствия токсических воздействий, классифицированных в рубриках T51-T65');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19502, 'Последствия других и неуточненных воздействий внешних причин', 'T98', 19450, 'T90-T98', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19503, 'Последствия воздействия инородного тела, попавшего через естественное отверстие тела', 'T98.0', 19502, 'T98', 0, 'Последствия воздействий, классифицированных в рубриках T15-T19');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19504, 'Последствия других и неуточненных воздействий внешних причин', 'T98.1', 19502, 'T98', 0, 'Последствия воздействий, классифицированных в рубриках T66-T78');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19505, 'Последствия  некоторых ранних осложнений травмы', 'T98.2', 19502, 'T98', 0, 'Последствия осложнений, классифицированных в рубриках T66.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(19506, 'Последствия осложнений хирургических и терапевтических вмешательств, не классифицированные в других рубриках', 'T98.3', 19502, 'T98', 0, 'Последствия осложнений, классифицированных в рубриках T80-T88');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20001, 'ВНЕШНИЕ ПРИЧИНЫ ЗАБОЛЕВАЕМОСТИ И СМЕРТНОСТИ', 'V01-Y98', NULL, NULL, 9, 'Данный класс, который в предыдущих пересмотрах МКБ являлся допол-\nнительным, позволяет классифицировать происшествия, условия и об-\nстоятельства в качестве причины травмы, отравления и другого не-\nблагоприятного воздействия. В тех случаях, когда используется код\nиз данного класса, подразумевается, что он должен применяться как\nдополнение к коду из другого класса, указывающему на характер со-\nстояния. Чаще всего характер состояния будет классифицироваться\nкодом из класса XIX "Травмы, отравления и некоторые другие пос-\nледствия воздействия внешних причин" (S00-T98). Разработку причин\nсмерти рекомендуется проводить в соответствии с рубриками классов\nXIX и XX, но, если в разработку включается только один код, пред-\nпочтение должно быть отдано рубрикам класса XX. Другие состояния,\nкоторые могут быть указаны как связанные с воздействием внешних\nпричин, классифицированы в классах I-XVIII. Для этих состояний\nкоды класса XX должны использоваться для предоставления дополни-\nтельной информации только при проведении статистического анализа\nпо множественным причинам.\nРубрики для обозначения последствий воздействия внешних причин\nуказаны в блоке Y85-Y89.\nЭтот класс содержит следующие блоки:\nV01-X59 Несчастные случаи V01-V99 Транспортные несчастные случаи V01-V09 Пешеход, пострадавший в результате транспортного несчастного случая V10-V19 Велосипедист, пострадавший в результате транспортного несчастного случая V20-V29 Мотоциклист, пострадавший в результате транспортного несчастного случая V30-V39 Лицо, находившееся в трехколесном транспортном средстве и пострадавшее в результате транспортного несчастного случая V40-V49 Лицо, находившееся в легковом автомобиле и пострадавшее в результате транспортного несчастного случая V50-V59 Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее в результате транспортного несчастного случая V60-V69 Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате транспортного несчастного случая V70-V79 Лицо, находившееся в автобусе и пострадавшее в результате транспортного несчастного случая V80-V89 Несчастные случаи, связанные с другими наземными транспортными средствами V90-V94 Несчастные случаи на водном транспорте V95-V97 Несчастные случаи на воздушном транспорте и при космических полетах V98-V99 Другие и неуточненные транспортные несчастные случаи W01-X59 Другие внешние причины травм при несчастных случаях W00-W19 Падения W20-W49 Воздействие неживых механических сил W50-W64 Воздействие живых механических сил W65-W74 Случайное утопление или погружение в воду W75-W84 Другие несчастные случаи с угрозой дыханию W85-W99 Несчастные случаи, вызванные воздействием электрического тока, излучения и крайних значений уровней температуры окружающей среды и атмосферного давления X00-X09 Воздействие дыма, огня и пламени X10-X19 Соприкосновение с горячими и раскаленными веществами (предметами) X20-X29 Контакт с ядовитыми животными и растениями X30-X39 Воздействие сил природы X40-X49 Случайное отравление и воздействие ядовитыми веществами X50-X57 Перенапряжение, путешествия и лишения X58-X59 Случайное воздействие других и неуточненных факторов\nX60-X84 Преднамеренное самоповреждение\nX85-Y09 Нападение\nY10-Y34 Повреждение с неопределенными намерениями\nY35-Y36 Действия, предусмотренные законом, и военные операции\nY40-Y84 Осложнения терапевтических и хирургических вмешательств Y40-Y49 Лекарственные средства, медикаменты и биологические вещества, являющиеся причиной неблагоприятных реакций при их терапевтическом применении Y60-Y69 Случайное нанесение вреда больному при выполнении терапевтических (и хирургических) вмешательств Y70-Y82 Медицинские приборы и устройства, с которыми связаны несчастные случаи, возникшие при их использовании для диагностических и терапевтических целей Y83-Y84 Хирургические и другие медицинские процедуры как причина анормальной реакции или позднего осложнения у пациента без упоминания о случайном нанесении ему вреда во время их выполнения\nY85-Y89 Последствия воздействия внешних причин заболеваемости и смертности\nY90-Y98 Дополнительные факторы, имеющие отношение к заболеваемости и смертности, классифицированным в других рубриках\nКОД МЕСТА ПРОИСШЕСТВИЯ\nСледующие четырехзначные подрубрики используются с категориями\nW00-Y34, за исключением Y06.- и Y07.-, с целью идентификации места,\nгде произошел случай, вызванный внешними причинами:\n.0 Дом Квартира Пансион Стоянка для жилых автоприцепов Жилой дом на ферме Домашние помещения Здание (жилое) Место проживания, не установленное для специальны');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20002, 'ТРАНСПОРТНЫЕ НЕСЧАСТНЫЕ СЛУЧАИ', 'V01-V99', 20001, 'V01-Y98', 12, 'Примечание. Этот блок разделен на 12 групп. Группы, которые относятся к несчастным случаям, связанным с наземным транспортом (V01-V89), указывают вид транспорта пострадавшего; кроме того, они имеют подразделы для идентификации другого участника или типа происшествия. Транспортное средство, которое занимал пострадавший, обозначают первые две цифры; это представляется важным в целях проведения предупредительных мер.\nИсключены: нападение путем наезда моторным транспортным средством (Y03.-) повреждения, не уточненные как случайные или преднамеренные (Y32-Y33) преднамеренное самоповреждение (X82-X83) транспортные несчастные случаи вследствие воздействия сил природы (X34-X38)\nОПРЕДЕЛЕНИЯ, ОТНОСЯЩИЕСЯ К ТРАНСПОРТНЫМ НЕСЧАСТНЫМ СЛУЧАЯМ\n(a) Транспортный несчастный случай (V01-V99) - любой несчастный случай, связанный с устройством, которое прежде всего предназначено или используется в данное время для перевозки пассажиров или грузов.\n(b) Общественная автомагистраль [шоссе] или улица - вся ширина полосы между границами владений или другими ограничительными линиями всякого проезжего пути или места, какая-либо часть которого открыта для движения общественного транспорта или отдельных лиц согласно обычаю или закону. Проезжая часть - это часть общественной дороги, предназначенная поддерживаемая и обычно используемая для движения транспортных средств.\n(c) Дорожный несчастный случай - это любой несчастный случай, связанный с моторным транспортным средством, произошедший на общественной автомагистрали [т.е. начинающийся, заканчивающийся или в какой-то степени связанный с нахождением этого средства на автомагистрали]. Предполагается, что мототранспортный несчастный случай произошел на дороге, если не указано другое место, за исключением несчастных случаев, связанных только с недорожным моторным транспортом, которые классифицируются как несчастные случаи, происшедшие не на общественной автомагистрали, если не противоречащих этому указаний.\n(d) Недорожный несчастный случай - любой несчастный случай, связанный с моторным транспортным средством, происшедший в любом месте, кроме общественной автомагистрали.\n(e) Пешеход - любое лицо, причастное к несчастному случаю, которое в момент происшествия не находилось в моторном транспортном средстве, поезде, трамвае, гужевом транспортном средстве или другом транспортном средстве, на велосипеде или верхом на животном. Включены: лицо: . меняющее покрышку колеса . занятое наладкой мотора средства передвижения . передвигающееся пешком пользующееся пешеходным средством передвижения, таким, как: . детская коляска . коньки . прогулочная детская коляска . багажная тележка . каталка . роликовые коньки . самокат . роликовая доска . лыжи . сани . кресло на колесах (с мотором)\n(f) Водитель - лицо, находящееся в мототранспортном средстве и управляющее или намеревающееся управлять им.\n(g) Пассажир - любое лицо, находящееся в транспортном средстве, но не являющееся водителем. Исключено: лицо, находящееся снаружи транспортного средства, и передвигающееся на нем - см. определение (h)\n(h) Лицо, находящееся снаружи транспортного средства - любое лицо, передвигающееся на транспортном средстве, но не занимающее место, обычно предназначенное для водителя или пассажиров, или место для перевозки груза. Включены: лицо, передвигающееся (на): . корпусе . бампере . уцепившися за наружную часть . на крыше (раме) . боковой части . подножке\n(i) Педальное средство передвижения - любое наземное транспортное средство, приводимое в движение только педалями. Включены: двухколесный велосипед трехколесный велосипед Исключен: велосипед с мотором - см. определение (k)\n(j) Велосипедист - любое лицо, передвигающееся на педальном транспортном средстве или в коляске либо в прицепе, прикрепленных к такому транспортному средству.\n(k) Мотоцикл - двухколесное моторное транспортное средство с одним или двумя сидениями, иногда имеющее третье колесо для поддержки коляски. Коляска считается частью мотоцикла. Включены: мопед мотороллер мотоцикл: . БДУ . комбинированный . с коляской моторизованный велосипед моторное педальное средство с ограниченной скоростью Исключен: трехколесный велосипед с мотором - см. определение (m)\n(l) Мотоциклист - любое лицо, передвигающееся на мотоцикле или в прикрепленных к нему коляске либо в прицепе.\n(m) Трехколесное моторное транспортное средство - моторизованный трехколесный велосипед, используемый в первую очередь на дорогах. Включены: моторный трехколесный велосипед моторизированный рикша трехколесный моторный кар Исключены: мотоцикл с коляской - см. определение (k) специальный вездеход - см. определение (w)\n(n) Автомобиль - четырехколесное моторное транспортное средство, предназначенное главным образом для перевозки не более 10 человек. Включен: микроавтобус\n(o) Пикап или фургон - четырех- или шестиколесное мототранспортное средство, предназначенное для перевозки грузов6 масса которых\n');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20003, 'ПЕШЕХОД, ПОСТРАДАВШИЙ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V01-V09', 20002, 'V01-V99', 7, 'Исключены: столкновение пешехода (везущего тележку или коляску) с другим пешеходом (везущим тележку или коляску) (W51.-) . с последующим падением (W03.-)\nСледующие четырехзначные подрубрики предназначены для использования\nс рубриками V01-V06:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20004, 'Пешеход, пострадавший при столкновении с велосипедистом', 'V01', 20003, 'V01-V09', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20005, 'Недорожный несчастный случай', 'V01.0', 20004, 'V01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20006, 'Дорожный несчастный случай', 'V01.1', 20004, 'V01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20007, 'Несчастный случай, не уточненный как дорожный или недорожный', 'V01.9', 20004, 'V01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20008, 'Пешеход, пострадавший при столкновении с двух- или трехколесным моторным транспортным средством', 'V02', 20003, 'V01-V09', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20009, 'Недорожный несчастный случай', 'V02.0', 20008, 'V02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20010, 'Дорожный несчастный случай', 'V02.1', 20008, 'V02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20011, 'Несчастный случай, не уточненный как дорожный или недорожный', 'V02.9', 20008, 'V02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20012, 'Пешеход, пострадавший при столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V03', 20003, 'V01-V09', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20013, 'Недорожный несчастный случай', 'V03.0', 20012, 'V03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20014, 'Дорожный несчастный случай', 'V03.1', 20012, 'V03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20015, 'Несчастный случай, не уточненный как дорожный или недорожный', 'V03.9', 20012, 'V03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20016, 'Пешеход, пострадавший при столкновении с тяжелым грузовым автомобилем или автобусом', 'V04', 20003, 'V01-V09', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20017, 'Недорожный несчастный случай', 'V04.0', 20016, 'V04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20018, 'Дорожный несчастный случай', 'V04.1', 20016, 'V04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20019, 'Несчастный случай, не уточненный как дорожный или недорожный', 'V04.9', 20016, 'V04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20020, 'Пешеход, пострадавший при столкновении с поездом или другим железнодорожным транспортным средством', 'V05', 20003, 'V01-V09', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20021, 'Недорожный несчастный случай', 'V05.0', 20020, 'V05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20022, 'Дорожный несчастный случай', 'V05.1', 20020, 'V05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20023, 'Несчастный случай, не уточненный как дорожный или недорожный', 'V05.9', 20020, 'V05', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20024, 'Пешеход, пострадавший при столкновении с другим немоторным транспортным средством', 'V06', 20003, 'V01-V09', 3, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20025, 'Недорожный несчастный случай', 'V06.0', 20024, 'V06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20026, 'Дорожный несчастный случай', 'V06.1', 20024, 'V06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20027, 'Несчастный случай, не уточненный как дорожный или недорожный', 'V06.9', 20024, 'V06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20028, 'Пешеход, пострадавший в результате других и неуточненных транспортных несчастных случаев', 'V09', 20003, 'V01-V09', 5, 'Включен: пешеход, пострадавший в результате несчастного случая, связанного со специальным транспортным средством');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20029, 'Пешеход, пострадавший в недорожном несчастном случае, связанном с другими и неуточненными мототранспортными средствами', 'V09.0', 20028, 'V09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20030, 'Пешеход, пострадавший в результате неуточненного недорожного несчастного случая', 'V09.1', 20028, 'V09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20031, 'Пешеход, пострадавший в результате дорожного несчастного случая, связанного с другими и неуточненными мототранспортными средствами', 'V09.2', 20028, 'V09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20032, 'Пешеход, пострадавший в результате неуточненного дорожного несчастного случая', 'V09.3', 20028, 'V09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20033, 'Пешеход, пострадавший в результате неуточненного транспортного несчастного случая', 'V09.9', 20028, 'V09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20035, 'ВЕЛОСИПЕДИСТ, ПОСТРАДАВШИЙ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V10-V19', 20002, 'V01-V99', 10, 'Следующие четырехзначные подрубрики предназначены для использования\nс рубриками V10-V18:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20036, 'Велосипедист, пострадавший при столкновении с пешеходом или животным', 'V10', 20035, 'V10-V19', 7, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V16.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20037, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V10.0', 20036, 'V10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20038, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V10.1', 20036, 'V10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20039, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V10.2', 20036, 'V10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20040, 'Лицо, пострадавшее при посадке или высадке', 'V10.3', 20036, 'V10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20041, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V10.4', 20036, 'V10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20042, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V10.5', 20036, 'V10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20043, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V10.9', 20036, 'V10', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20044, 'Велосипедист, пострадавший при столкновении с другим велосипедистом', 'V11', 20035, 'V10-V19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20045, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V11.0', 20044, 'V11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20046, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V11.1', 20044, 'V11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20047, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V11.2', 20044, 'V11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20048, 'Лицо, пострадавшее при посадке или высадке', 'V11.3', 20044, 'V11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20049, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V11.4', 20044, 'V11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20050, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V11.5', 20044, 'V11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20051, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V11.9', 20044, 'V11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20052, 'Велосипедист, пострадавший при столкновении с двух- или трехколесным моторным транспортным средством', 'V12', 20035, 'V10-V19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20053, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V12.0', 20052, 'V12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20054, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V12.1', 20052, 'V12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20055, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V12.2', 20052, 'V12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20056, 'Лицо, пострадавшее при посадке или высадке', 'V12.3', 20052, 'V12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20057, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V12.4', 20052, 'V12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20058, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V12.5', 20052, 'V12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20059, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V12.9', 20052, 'V12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20060, 'Велосипедист, пострадавший при столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V13', 20035, 'V10-V19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20061, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V13.0', 20060, 'V13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20062, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V13.1', 20060, 'V13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20063, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V13.2', 20060, 'V13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20064, 'Лицо, пострадавшее при посадке или высадке', 'V13.3', 20060, 'V13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20065, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V13.4', 20060, 'V13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20066, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V13.5', 20060, 'V13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20067, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V13.9', 20060, 'V13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20068, 'Веосипедист, пострадавший при столкновении с тяжелым грузовым автомобилем или автобусом', 'V14', 20035, 'V10-V19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20069, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V14.0', 20068, 'V14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20070, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V14.1', 20068, 'V14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20071, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V14.2', 20068, 'V14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20072, 'Лицо, пострадавшее при посадке или высадке', 'V14.3', 20068, 'V14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20073, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V14.4', 20068, 'V14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20074, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V14.5', 20068, 'V14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20075, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V14.9', 20068, 'V14', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20076, 'Велосипедист, пострадавший при столкновении с поездом или другим железнодорожным транспортным средством', 'V15', 20035, 'V10-V19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20077, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V15.0', 20076, 'V15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20078, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V15.1', 20076, 'V15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20079, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V15.2', 20076, 'V15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20080, 'Лицо, пострадавшее при посадке или высадке', 'V15.3', 20076, 'V15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20081, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V15.4', 20076, 'V15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20082, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V15.5', 20076, 'V15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20083, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V15.9', 20076, 'V15', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20084, 'Велосипедист,  пострадавший при столкновении с другим немоторным транспортным средством', 'V16', 20035, 'V10-V19', 7, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20085, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V16.0', 20084, 'V16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20086, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V16.1', 20084, 'V16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20087, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V16.2', 20084, 'V16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20088, 'Лицо, пострадавшее при посадке или высадке', 'V16.3', 20084, 'V16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20089, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V16.4', 20084, 'V16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20090, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V16.5', 20084, 'V16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20091, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V16.9', 20084, 'V16', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20092, 'Велосипедист, пострадавший при столкновении с закрепленным или стационарным объектом', 'V17', 20035, 'V10-V19', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20093, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V17.0', 20092, 'V17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20094, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V17.1', 20092, 'V17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20095, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V17.2', 20092, 'V17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20096, 'Лицо, пострадавшее при посадке или высадке', 'V17.3', 20092, 'V17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20097, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V17.4', 20092, 'V17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20098, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V17.5', 20092, 'V17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20099, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V17.9', 20092, 'V17', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20100, 'Велосипедист, пострадавший в результате транспортного несчастного случая без столкновения', 'V18', 20035, 'V10-V19', 7, 'Включены: падение или сбрасывание с велосипеда (без предшествующего столкновения) опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20101, 'Велосипедист-водитель, пострадавший в результате недорожного несчастного случая', 'V18.0', 20100, 'V18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20102, 'Велосипедист-пассажир, пострадавший в результате недорожного несчастного случая', 'V18.1', 20100, 'V18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20103, 'Велосипедист без дополнительных уточнений, пострадавший в результате недорожного несчастного случая', 'V18.2', 20100, 'V18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20104, 'Лицо, пострадавшее при посадке или высадке', 'V18.3', 20100, 'V18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20105, 'Велосипедист-водитель, пострадавший в результате дорожного несчастного случая', 'V18.4', 20100, 'V18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20106, 'Велосипедист-пассажир, пострадавший в результате дорожного несчастного случая', 'V18.5', 20100, 'V18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20107, 'Велосипедист без дополнительных уточнений, пострадавший в результате дорожного несчастного случая', 'V18.9', 20100, 'V18', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20108, 'Велосипедист, пострадавший в результате других и неуточненных транспортных несчастных случаев', 'V19', 20035, 'V10-V19', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20109, 'Велосипедист-водитель, пострадавший при столкновении с другими и неуточненными моторными транспортными средствами в результате недорожного несчастного случая', 'V19.0', 20108, 'V19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20110, 'Пассажир, пострадавший при столкновении с другими или неуточненными моторными транспортными средствами в результате недорожного несчастного случая', 'V19.1', 20108, 'V19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20111, 'Велосипедист без дополнительного уточнения, пострадавший при столкновении с другими и неуточненными моторными транспортными средствами в результате недорожного несчастного случая', 'V19.2', 20108, 'V19', 0, 'Столкновение велосипедиста БДУ недорожное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20112, 'Велосипедист (любой), пострадавший в результате неуточненного недорожного несчастного случая', 'V19.3', 20108, 'V19', 0, 'Несчастный случай с велосипедистом БДУ недорожный Велосипедист, пострадавший в результате недорожного несчастного случая БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20113, 'Велосипедист-водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V19.4', 20108, 'V19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20114, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V19.5', 20108, 'V19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20115, 'Велосипедист без дополнительного уточнения, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V19.6', 20108, 'V19', 0, 'Столкновение велосипедиста БДУ (дорожное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20116, 'Велосипедист (любой), пострадавший в результате других уточненных дорожных несчастных случаев', 'V19.8', 20108, 'V19', 0, 'Защемление какой-либо деталью велосипеда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20117, 'Велосипедист (любой), пострадавший в результате неуточненного дорожного несчастного случая', 'V19.9', 20108, 'V19', 0, 'Несчастный случай с велосипедистом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20119, 'МОТОЦИКЛИСТ, ПОСТРАДАВШИЙ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V20-V29', 20002, 'V01-V99', 10, 'Включены: мопед мотоцикл с коляской велосипед с мотором скутер с мотором\nИсключено: трехколесное мототранспортное средство (V30-V39)\nСледующие четырехзначные подрубрики используются с рубриками');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20120, 'Мотоциклист, пострадавший при столкновении с пешеходом или животным', 'V20', 20119, 'V20-V29', 7, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V26.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20121, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V20.0', 20120, 'V20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20122, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V20.1', 20120, 'V20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20123, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V20.2', 20120, 'V20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20124, 'Лицо, пострадавшее при посадке или высадке', 'V20.3', 20120, 'V20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20125, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V20.4', 20120, 'V20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20126, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V20.5', 20120, 'V20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20127, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V20.9', 20120, 'V20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20128, 'Мотоциклист, пострадавший при столкновении с велосипедистом', 'V21', 20119, 'V20-V29', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20129, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V21.0', 20128, 'V21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20130, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V21.1', 20128, 'V21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20131, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V21.2', 20128, 'V21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20132, 'Лицо, пострадавшее при посадке или высадке', 'V21.3', 20128, 'V21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20133, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V21.4', 20128, 'V21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20134, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V21.5', 20128, 'V21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20135, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V21.9', 20128, 'V21', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20136, 'Мотоциклист, пострадавший  при столкновении с двух- или трехколесным моторным транспортным средством', 'V22', 20119, 'V20-V29', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20137, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V22.0', 20136, 'V22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20138, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V22.1', 20136, 'V22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20139, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V22.2', 20136, 'V22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20140, 'Лицо, пострадавшее при посадке или высадке', 'V22.3', 20136, 'V22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20141, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V22.4', 20136, 'V22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20142, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V22.5', 20136, 'V22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20143, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V22.9', 20136, 'V22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20144, 'Мотоциклист, пострадавший при столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V23', 20119, 'V20-V29', 7, NULL);

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20145, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V23.0', 20144, 'V23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20146, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V23.1', 20144, 'V23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20147, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V23.2', 20144, 'V23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20148, 'Лицо, пострадавшее при посадке или высадке', 'V23.3', 20144, 'V23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20149, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V23.4', 20144, 'V23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20150, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V23.5', 20144, 'V23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20151, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V23.9', 20144, 'V23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20152, 'Мотоциклист, пострадавший при столкновении с тяжелым грузовым автомобилем или автобусом', 'V24', 20119, 'V20-V29', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20153, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V24.0', 20152, 'V24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20154, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V24.1', 20152, 'V24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20155, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V24.2', 20152, 'V24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20156, 'Лицо, пострадавшее при посадке или высадке', 'V24.3', 20152, 'V24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20157, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V24.4', 20152, 'V24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20158, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V24.5', 20152, 'V24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20159, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V24.9', 20152, 'V24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20160, 'Мотоциклист, пострадавший при столкновении с поездом или другим железнодорожным транспортным средством', 'V25', 20119, 'V20-V29', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20161, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V25.0', 20160, 'V25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20162, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V25.1', 20160, 'V25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20163, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V25.2', 20160, 'V25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20164, 'Лицо, пострадавшее при посадке или высадке', 'V25.3', 20160, 'V25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20165, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V25.4', 20160, 'V25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20166, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V25.5', 20160, 'V25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20167, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V25.9', 20160, 'V25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20168, 'Мотоциклист, пострадавший при столкновении с другим немоторным транспортным средством', 'V26', 20119, 'V20-V29', 7, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20169, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V26.0', 20168, 'V26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20170, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V26.1', 20168, 'V26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20171, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V26.2', 20168, 'V26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20172, 'Лицо, пострадавшее при посадке или высадке', 'V26.3', 20168, 'V26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20173, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V26.4', 20168, 'V26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20174, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V26.5', 20168, 'V26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20175, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V26.9', 20168, 'V26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20176, 'Мотоциклист, пострадавший при столкновении с закрепленным или стационарным объектом', 'V27', 20119, 'V20-V29', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20177, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V27.0', 20176, 'V27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20178, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V27.1', 20176, 'V27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20179, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V27.2', 20176, 'V27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20180, 'Лицо, пострадавшее при посадке или высадке', 'V27.3', 20176, 'V27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20181, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V27.4', 20176, 'V27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20182, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V27.5', 20176, 'V27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20183, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V27.9', 20176, 'V27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20184, 'Мотоциклист, пострадавший в результате транспортного несчастного случая без столкновения', 'V28', 20119, 'V20-V29', 7, 'Включены: падение или сбрасывание с мотоцикла (без предшествующего столкновения) опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20185, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V28.0', 20184, 'V28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20186, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V28.1', 20184, 'V28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20187, 'Мотоциклист без дополнительного уточнения, пострадавший в результате недорожного несчастного случая', 'V28.2', 20184, 'V28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20188, 'Лицо, пострадавшее при посадке или высадке', 'V28.3', 20184, 'V28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20189, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V28.4', 20184, 'V28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20190, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V28.5', 20184, 'V28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20191, 'Мотоциклист без дополнительного уточнения, пострадавший в результате дорожного несчастного случаяV20', 'V28.9', 20184, 'V28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20192, 'Мотоциклист, пострадавший в результате других и неуточненных транспортных несчастных случаев', 'V29', 20119, 'V20-V29', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20193, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V29.0', 20192, 'V29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20194, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V29.1', 20192, 'V29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20195, 'Мотоциклист без дополнительного уточнения, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V29.2', 20192, 'V29', 0, 'Столкновение мотоцикла БДУ недорожное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20196, 'Мотоциклист, пострадавший в результате неуточненного недорожного несчастного случая', 'V29.3', 20192, 'V29', 0, 'Несчастный случай с мотоциклистом БДУ недорожный Мотоциклист, пострадавший в результате недорожного несчастного случая БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20197, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V29.4', 20192, 'V29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20198, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V29.5', 20192, 'V29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20199, 'Мотоциклист без дополнительного уточнения, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V29.6', 20192, 'V29', 0, 'Столкновение мотоциклиста БДУ (дорожное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20200, 'Мотоциклист (любой), пострадавший в результате других уточненных дорожных несчастных случаев', 'V29.8', 20192, 'V29', 0, 'Защемление какой-либо деталью мотоцикла');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20201, 'Мотоциклист (любой), пострадавший в результате неуточненного дорожного несчастного случая', 'V29.9', 20192, 'V29', 0, 'Несчастный случай с мотоциклистом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20203, 'ЛИЦО, НАХОДИВШЕЕСЯ В ТРЕХКОЛЕСНОМ МОТОРНОМ ТРАНСПОРТНОМ СРЕДСТВЕ И ПОСТРАДАВШЕЕ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V30-V39', 20002, 'V01-V99', 10, 'Включен: трехколесный велосипед с мотором\nИсключены: мотоцикл с коляской (V20-V29) транспортное средство, предназначенное преимущественно для использования вне дороги (V86.-)\nСледующие четырехзначные подрубрики предназначены для использования с рубриками V30-V38:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20204, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с пешеходом или животным', 'V30', 20203, 'V30-V39', 9, 'Исключено: столкновение с повозкой, запряженной животным или с животным под седлом (V36.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20205, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V30.0', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20206, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V30.1', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20207, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V30.2', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20208, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V30.3', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20209, 'Лицо, пострадавшее при посадке или высадке', 'V30.4', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20210, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V30.5', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20211, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V30.6', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20212, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V30.7', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20213, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V30.9', 20204, 'V30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20214, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с велосипедистом', 'V31', 20203, 'V30-V39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20215, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V31.0', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20216, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V31.1', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20217, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V31.2', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20218, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V31.3', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20219, 'Лицо, пострадавшее при посадке или высадке', 'V31.4', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20220, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V31.5', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20221, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V31.6', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20222, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V31.7', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20223, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V31.9', 20214, 'V31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20224, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с другим двух- или  трехколесным моторным транспортным средством', 'V32', 20203, 'V30-V39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20225, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V32.0', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20226, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V32.1', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20227, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V32.2', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20228, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V32.3', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20229, 'Лицо, пострадавшее при посадке или высадке', 'V32.4', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20230, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V32.5', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20231, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V32.6', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20232, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V32.7', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20233, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V32.9', 20224, 'V32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20234, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V33', 20203, 'V30-V39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20235, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V33.0', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20236, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V33.1', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20237, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V33.2', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20238, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V33.3', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20239, 'Лицо, пострадавшее при посадке или высадке', 'V33.4', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20240, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V33.5', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20241, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V33.6', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20242, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V33.7', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20243, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V33.9', 20234, 'V33', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20244, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с тяжелым грузовым автомобилем или автобусом', 'V34', 20203, 'V30-V39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20245, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V34.0', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20246, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V34.1', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20247, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V34.2', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20248, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V34.3', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20249, 'Лицо, пострадавшее при посадке или высадке', 'V34.4', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20250, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V34.5', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20251, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V34.6', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20252, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V34.7', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20253, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V34.9', 20244, 'V34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20254, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с поездом или другим железнодорожным транспортным средством', 'V35', 20203, 'V30-V39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20255, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V35.0', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20256, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V35.1', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20257, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V35.2', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20258, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V35.3', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20259, 'Лицо, пострадавшее при посадке или высадке', 'V35.4', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20260, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V35.5', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20261, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V35.6', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20262, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V35.7', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20263, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V35.9', 20254, 'V35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20264, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с другим немоторным транспортным средством', 'V36', 20203, 'V30-V39', 9, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20265, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V36.0', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20266, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V36.1', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20267, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V36.2', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20268, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V36.3', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20269, 'Лицо, пострадавшее при посадке или высадке', 'V36.4', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20270, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V36.5', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20271, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V36.6', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20272, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V36.7', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20273, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V36.9', 20264, 'V36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20274, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее при его столкновении с закрепленным или стационарным объектом', 'V37', 20203, 'V30-V39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20275, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V37.0', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20276, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V37.1', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20277, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V37.2', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20278, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V37.3', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20279, 'Лицо, пострадавшее при посадке или высадке', 'V37.4', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20280, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V37.5', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20281, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V37.6', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20282, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V37.7', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20283, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V37.9', 20274, 'V37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20284, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее в результате транспортного несчастного случая без столкновения', 'V38', 20203, 'V30-V39', 9, 'Включены: падение или сбрасывание с трехколесного мототранспортного средства опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20285, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V38.0', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20286, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V38.1', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20287, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V38.2', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20288, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая', 'V38.3', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20289, 'Лицо, пострадавшее при посадке или высадке', 'V38.4', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20290, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V38.5', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20291, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V38.6', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20292, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V38.7', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20293, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V38.9', 20284, 'V38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20294, 'Лицо, находившееся в трехколесном моторном транспортном средстве и пострадавшее в результате других и неуточненных транспортных несчастных случаев', 'V39', 20203, 'V30-V39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20295, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожнго несчастного случая', 'V39.0', 20294, 'V39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20296, 'Пассажир, пострадавший при столкновении с другими или неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V39.1', 20294, 'V39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20297, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее при столкновении с другими и  неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V39.2', 20294, 'V39', 0, 'Столкновение БДУ, включающее трехколесное мототранспортное средство, недорожное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20298, 'Лицо (любое), находившееся в трехколесном мототранспортном средстве и пострадавшее в результате неуточненного недорожного несчастного случая', 'V39.3', 20294, 'V39', 0, 'Несчастный случай БДУ, включающий трехколесное мототранспортное средство, недорожный Лицо, находившееся в трехколесном мототранспортном средстве и пострадавшее в результате недорожного несчастного случая БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20299, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V39.4', 20294, 'V39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20300, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V39.5', 20294, 'V39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20301, 'Лицо без дополнительного уточнения, находившееся в трехколесном мототранспортном средстве и пострадавшее при его столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V39.6', 20294, 'V39', 0, 'Столкновение БДУ, включающее трехколесное мототранспортное средство (дорожное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20302, 'Лицо (любое), находившееся в трехколесном мототранспортном средстве и пострадавшее в результате других уточненных дорожных несчастных случаев', 'V39.8', 20294, 'V39', 0, 'Защемление дверью или другой частью трехколесного мототранспортного средства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20303, 'Лицо (любое), находившееся в трехколесном транспортном средстве и пострадавшее в результате неуточненного дорожного несчастного случая', 'V39.9', 20294, 'V39', 0, 'Несчастный случай БДУ, связанный с трехколесным мототранспортным средством');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20305, 'ЛИЦО, НАХОДИВШЕЕСЯ В ЛЕГКОВОМ АВТОМОБИЛЕ И ПОСТРАДАВШЕЕ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V40-V49', 20002, 'V01-V99', 10, 'Включен: микроавтобус\nСледующие четырехзначные подрубрики предназначены для использования\nс рубриками V40-V48:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20306, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с пешеходом или животным', 'V40', 20305, 'V40-V49', 9, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V46.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20307, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V40.0', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20308, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V40.1', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20309, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V40.2', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20310, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V40.3', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20311, 'Лицо, пострадавшее при посадке или высадке', 'V40.4', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20312, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V40.5', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20313, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V40.6', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20314, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V40.7', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20315, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V40.9', 20306, 'V40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20316, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с велосипедистом', 'V41', 20305, 'V40-V49', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20317, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V41.0', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20318, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V41.1', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20319, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V41.2', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20320, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V41.3', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20321, 'Лицо, пострадавшее при посадке или высадке', 'V41.4', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20322, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V41.5', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20323, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V41.6', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20324, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V41.7', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20325, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V41.9', 20316, 'V41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20326, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с двух- или трехколесным моторным транспортным средством', 'V42', 20305, 'V40-V49', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20327, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V42.0', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20328, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V42.1', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20329, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V42.2', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20330, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V42.3', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20331, 'Лицо, пострадавшее при посадке или высадке', 'V42.4', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20332, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V42.5', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20333, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V42.6', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20334, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V42.7', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20335, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V42.9', 20326, 'V42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20336, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V43', 20305, 'V40-V49', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20337, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V43.0', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20338, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V43.1', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20339, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V43.2', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20340, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V43.3', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20341, 'Лицо, пострадавшее при посадке или высадке', 'V43.4', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20342, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V43.5', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20343, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V43.6', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20344, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V43.7', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20345, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V43.9', 20336, 'V43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20346, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с тяжелым грузовым автомобилем или автобусом', 'V44', 20305, 'V40-V49', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20347, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V44.0', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20348, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V44.1', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20349, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V44.2', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20350, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V44.3', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20351, 'Лицо, пострадавшее при посадке или высадке', 'V44.4', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20352, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V44.5', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20353, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V44.6', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20354, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V44.7', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20355, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V44.9', 20346, 'V44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20356, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с поездом или другим железнодорожным транспортным средством', 'V45', 20305, 'V40-V49', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20357, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V45.0', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20358, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V45.1', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20359, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V45.2', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20360, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V45.3', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20361, 'Лицо, пострадавшее при посадке или высадке', 'V45.4', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20362, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V45.5', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20363, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V45.6', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20364, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V45.7', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20365, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V45.9', 20356, 'V45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20366, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с другим немоторным транспортным средством', 'V46', 20305, 'V40-V49', 9, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20367, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V46.0', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20368, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V46.1', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20369, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V46.2', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20370, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V46.3', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20371, 'Лицо, пострадавшее при посадке или высадке', 'V46.4', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20372, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V46.5', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20373, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V46.6', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20374, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V46.7', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20375, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V46.9', 20366, 'V46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20376, 'Лицо, находившееся в легковом автомобиле и пострадавшее при его столкновении с закрепленным или стационарным объектом', 'V47', 20305, 'V40-V49', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20377, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V47.0', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20378, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V47.1', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20379, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V47.2', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20380, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V47.3', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20381, 'Лицо, пострадавшее при посадке или высадке', 'V47.4', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20382, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V47.5', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20383, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V47.6', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20384, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V47.7', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20385, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V47.9', 20376, 'V47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20386, 'Лицо, находившееся в легковом автомобиле и пострадавшее в результате транспортного несчастного случая без столкновения', 'V48', 20305, 'V40-V49', 9, 'Включены: опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20387, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V48.0', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20388, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V48.1', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20389, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V48.2', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20390, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V48.3', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20391, 'Лицо, пострадавшее при посадке или высадке', 'V48.4', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20392, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V48.5', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20393, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V48.6', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20394, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V48.7', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20395, 'Лицо без дополнительного уточнения, находившееся в автомобиле и пострадавшее в результате дорожного несчастного случая', 'V48.9', 20386, 'V48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20396, 'Лицо, находившееся в легковом автомобиле и пострадавшее в результате другого и неуточненного транспортного несчастного случая', 'V49', 20305, 'V40-V49', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20397, 'Водитель, пострадавший при столкновении с другим и неуточненным мототранспортным средством в результате недорожного несчастного случая', 'V49.0', 20396, 'V49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20398, 'Пассажир, пострадавший при столкновении с другим и неуточненным мототранспортным средством в результате недорожного несчастного случая', 'V49.1', 20396, 'V49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20399, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее при его столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V49.2', 20396, 'V49', 0, 'Столкновение легкового автомобиля БДУ недорожное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20400, 'Лицо (любое), находившееся в легковом автомобиле и пострадавшее в результате неуточненного недорожного несчастного случая', 'V49.3', 20396, 'V49', 0, 'Несчастный случай с легковым автомобилем БДУ недорожный Лицо, находившееся в легковом автомобиле, пострадавшее в результате недорожного несчастного случая БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20401, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V49.4', 20396, 'V49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20402, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V49.5', 20396, 'V49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20403, 'Лицо без дополнительного уточнения, находившееся в легковом автомобиле и пострадавшее при его столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V49.6', 20396, 'V49', 0, 'Столкновение легкового автомобиля БДУ (дорожное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20404, 'Лицо (любое), находившееся в легковом автомобиле и пострадавшее в результате других уточненных дорожных несчастных случаев', 'V49.8', 20396, 'V49', 0, 'Защемление дверью или другой частью автомобиля');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20405, 'Лицо (любое), находившееся в легковом автомобиле и пострадавшее в результате неуточненного дорожного несчастного случая', 'V49.9', 20396, 'V49', 0, 'Несчастный случай с легковым автомобилем БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20407, 'ЛИЦО, НАХОДИВШЕЕСЯ В ГРУЗОВОМ АВТОМОБИЛЕ ТИПА ПИКАП ИЛИ ФУРГОНЕ И ПОСТРАДАВШЕЕ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V50-V59', 20002, 'V01-V99', 10, 'Исключен: тяжелый грузовой транспорт (V60-V69)\nСледующие четырехзначные подрубрики предназначены для использования\nс рубриками V50-V58:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20408, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с пешеходом или животным', 'V50', 20407, 'V50-V59', 9, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V56.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20409, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V50.0', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20410, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V50.1', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20411, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V50.2', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20412, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V50.3', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20413, 'Лицо, пострадавшее при посадке или высадке', 'V50.4', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20414, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V50.5', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20415, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V50.6', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20416, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V50.7', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20417, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V50.9', 20408, 'V50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20418, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с велосипедистом', 'V51', 20407, 'V50-V59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20419, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V51.0', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20420, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V51.1', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20421, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V51.2', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20422, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V51.3', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20423, 'Лицо, пострадавшее при посадке или высадке', 'V51.4', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20424, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V51.5', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20425, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V51.6', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20426, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V51.7', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20427, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V51.9', 20418, 'V51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20428, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с двух-или трехколесным моторным транспортным средством', 'V52', 20407, 'V50-V59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20429, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V52.0', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20430, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V52.1', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20431, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V52.2', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20432, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V52.3', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20433, 'Лицо, пострадавшее при посадке или высадке', 'V52.4', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20434, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V52.5', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20435, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V52.6', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20436, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V52.7', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20437, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V52.9', 20428, 'V52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20438, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V53', 20407, 'V50-V59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20439, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V53.0', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20440, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V53.1', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20441, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V53.2', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20442, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V53.3', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20443, 'Лицо, пострадавшее при посадке или высадке', 'V53.4', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20444, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V53.5', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20445, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V53.6', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20446, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V53.7', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20447, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V53.9', 20438, 'V53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20448, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с тяжелым грузовым автомобилем или автобусом', 'V54', 20407, 'V50-V59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20449, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V54.0', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20450, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V54.1', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20451, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V54.2', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20452, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V54.3', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20453, 'Лицо, пострадавшее при посадке или высадке', 'V54.4', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20454, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V54.5', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20455, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V54.6', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20456, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V54.7', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20457, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V54.9', 20448, 'V54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20458, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с поездом или другим железнодорожным транспортным средством', 'V55', 20407, 'V50-V59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20459, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V55.0', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20460, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V55.1', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20461, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V55.2', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20462, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V55.3', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20463, 'Лицо, пострадавшее при посадке или высадке', 'V55.4', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20464, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V55.5', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20465, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V55.6', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20466, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V55.7', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20467, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V55.9', 20458, 'V55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20468, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с другим немоторным транспортным средством', 'V56', 20407, 'V50-V59', 9, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20469, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V56.0', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20470, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V56.1', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20471, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V56.2', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20472, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V56.3', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20473, 'Лицо, пострадавшее при посадке или высадке', 'V56.4', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20474, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V56.5', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20475, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V56.6', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20476, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V56.7', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20477, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V56.9', 20468, 'V56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20478, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее при его столкновении с закрепленным или стационарным объектом', 'V57', 20407, 'V50-V59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20479, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V57.0', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20480, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V57.1', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20481, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V57.2', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20482, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V57.3', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20483, 'Лицо, пострадавшее при посадке или высадке', 'V57.4', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20484, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V57.5', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20485, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V57.6', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20486, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V57.7', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20487, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V57.9', 20478, 'V57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20488, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее в результате транспортного несчастного случая без столкновения', 'V58', 20407, 'V50-V59', 9, 'Включены: опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20489, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V58.0', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20490, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V58.1', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20491, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V58.2', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20492, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате недорожного несчастного случая', 'V58.3', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20493, 'Лицо, пострадавшее при посадке или высадке', 'V58.4', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20494, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V58.5', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20495, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V58.6', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20496, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V58.7', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20497, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее в результате дорожного несчастного случая', 'V58.9', 20488, 'V58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20498, 'Лицо, находившееся в грузовом автомобиле типа пикап или фургоне и пострадавшее в результате других и неуточненных транспортных несчастных случаев', 'V59', 20407, 'V50-V59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20499, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V59.0', 20498, 'V59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20500, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V59.1', 20498, 'V59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20501, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее при его столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V59.2', 20498, 'V59', 0, 'Столкновение БДУ, включающее пикап или фургон, недорожное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20502, 'Лицо (любое), находившееся в пикапе или фургоне и пострадавшее в результате неуточненного недорожного несчастного случая', 'V59.3', 20498, 'V59', 0, 'Несчастный случай БДУ, связанный с пикапом или фургоном, недорожный Лицо, находившееся в пикапе или фургоне и пострадавшее в недорожном несчастном случае БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20503, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V59.4', 20498, 'V59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20504, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V59.5', 20498, 'V59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20505, 'Лицо без дополнительного уточнения, находившееся в пикапе или фургоне и пострадавшее при его столкновении с другими или неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V59.6', 20498, 'V59', 0, 'Столкновение БДУ, включающее пикап или фургон (дорожное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20506, 'Лицо (любое), находившееся в пикапе или фургоне и пострадавшее в результате других уточненных транспортных несчастных случаев', 'V59.8', 20498, 'V59', 0, 'Защемление дверью или другой частью пикапа или фургона');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20507, 'Лицо (любое), находившееся в пикапе или фургоне и пострадавшее в результате неуточненного дорожного несчастного случая', 'V59.9', 20498, 'V59', 0, 'Несчастный случай БДУ, включающий пикап или фургон');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20509, 'ЛИЦО, НАХОДИВШЕЕСЯ В ТЯЖЕЛОМ ГРУЗОВОМ АВТОМОБИЛЕ И ПОСТРАДАВШЕЕ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V60-V69', 20002, 'V01-V99', 10, 'Следующие четырехзначные подрубрики предназначены для использования с рубриками V60-V68:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20510, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с пешеходом или животным', 'V60', 20509, 'V60-V69', 9, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V66.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20511, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V60.0', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20512, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V60.1', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20513, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V60.2', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20514, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V60.3', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20515, 'Лицо, пострадавшее при посадке или высадке', 'V60.4', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20516, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V60.5', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20517, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V60.6', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20518, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V60.7', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20519, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V60.9', 20510, 'V60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20520, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с велосипедистом', 'V61', 20509, 'V60-V69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20521, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V61.0', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20522, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V61.1', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20523, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V61.2', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20524, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V61.3', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20525, 'Лицо, пострадавшее при посадке или высадке', 'V61.4', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20526, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V61.5', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20527, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V61.6', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20528, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V61.7', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20529, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V61.9', 20520, 'V61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20530, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с двух- или трехколесным моторным транспортным средством', 'V62', 20509, 'V60-V69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20531, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V62.0', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20532, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V62.1', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20533, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V62.2', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20534, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V62.3', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20535, 'Лицо, пострадавшее при посадке или высадке', 'V62.4', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20536, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V62.5', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20537, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V62.6', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20538, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V62.7', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20539, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V62.9', 20530, 'V62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20540, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V63', 20509, 'V60-V69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20541, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V63.0', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20542, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V63.1', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20543, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V63.2', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20544, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V63.3', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20545, 'Лицо, пострадавшее при посадке или высадке', 'V63.4', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20546, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V63.5', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20547, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V63.6', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20548, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V63.7', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20549, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V63.9', 20540, 'V63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20550, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с тяжелым грузовым автомобилем или автобусом', 'V64', 20509, 'V60-V69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20551, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V64.0', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20552, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V64.1', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20553, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V64.2', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20554, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V64.3', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20555, 'Лицо, пострадавшее при посадке или высадке', 'V64.4', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20556, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V64.5', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20557, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V64.6', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20558, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V64.7', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20559, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V64.9', 20550, 'V64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20560, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с поездом или другим железнодорожнымтранспортным средством', 'V65', 20509, 'V60-V69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20561, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V65.0', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20562, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V65.1', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20563, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V65.2', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20564, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V65.3', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20565, 'Лицо, пострадавшее при посадке или высадке', 'V65.4', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20566, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V65.5', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20567, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V65.6', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20568, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V65.7', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20569, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V65.9', 20560, 'V65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20570, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с другим немоторным транспортным средством', 'V66', 20509, 'V60-V69', 9, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20571, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V66.0', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20572, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V66.1', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20573, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V66.2', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20574, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V66.3', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20575, 'Лицо, пострадавшее при посадке или высадке', 'V66.4', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20576, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V66.5', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20577, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V66.6', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20578, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V66.7', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20579, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V66.9', 20570, 'V66', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20580, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с закрепленным или стационарным объектом', 'V67', 20509, 'V60-V69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20581, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V67.0', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20582, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V67.1', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20583, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V67.2', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20584, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V67.3', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20585, 'Лицо, пострадавшее при посадке или высадке', 'V67.4', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20586, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V67.5', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20587, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V67.6', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20588, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V67.7', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20589, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V67.9', 20580, 'V67', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20590, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая без столкновения', 'V68', 20509, 'V60-V69', 9, 'Включены: опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20591, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V68.0', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20592, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V68.1', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20593, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате недорожного несчастного случая', 'V68.2', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20594, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая', 'V68.3', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20595, 'Лицо, пострадавшее при посадке или высадке', 'V68.4', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20596, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V68.5', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20597, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V68.6', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20598, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V68.7', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20599, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате дорожного несчастного случая', 'V68.9', 20590, 'V68', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20600, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате других и неуточненных дорожных несчастных случаев', 'V69', 20509, 'V60-V69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20601, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V69.0', 20600, 'V69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20602, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V69.1', 20600, 'V69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20603, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V69.2', 20600, 'V69', 0, 'Столкновение БДУ, включающее тяжелый грузовой автомобиль, недорожное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20604, 'Лицо (любое), находившееся в тяжелом грузовом автомобиле и пострадавшее в результате неуточненного недорожного несчастного случая', 'V69.3', 20600, 'V69', 0, 'Несчастный случай БДУ, связанный с тяжелым грузовым автомобилем, недорожный Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее в результате недорожного несчастного случая БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20605, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V69.4', 20600, 'V69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20606, 'Пассажир, пострадавший при столкновении с другими и не уточненными мототранспортными средствами в результате дорожного несчастного случая', 'V69.5', 20600, 'V69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20607, 'Лицо без дополнительного уточнения, находившееся в тяжелом грузовом автомобиле и пострадавшее при его столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V69.6', 20600, 'V69', 0, 'Столкновение БДУ, включающее тяжелый грузовой автомобиль (дорожное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20608, 'Лицо (любое), находившееся в тяжелом грузовом автомобиле и пострадавшее в результате других уточненных дорожных несчастных случаев', 'V69.8', 20600, 'V69', 0, 'Защемление дверью или другой частью тяжелого грузового автомобиля');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20609, 'Лицо, находившееся в тяжелом грузовом автомобиле и пострадавшее в неуточненном дорожном несчастном случае', 'V69.9', 20600, 'V69', 0, 'Несчастный случай БДУ, связанный с тяжелым грузовым автомобилем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20611, 'ЛИЦО, НАХОДИВШЕЕСЯ В АВТОБУСЕ И ПОСТРАДАВШЕЕ В РЕЗУЛЬТАТЕ ТРАНСПОРТНОГО НЕСЧАСТНОГО СЛУЧАЯ', 'V70-V79', 20002, 'V01-V99', 10, 'Исключен: микроавтобус (V40-V49)\nСледующие четырехзначные подрубрики предназначены для использования\nс рубриками V70-V78:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20612, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с пешеходом или животным', 'V70', 20611, 'V70-V79', 9, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V76.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20613, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V70.0', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20614, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V70.1', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20615, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V70.2', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20616, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V70.3', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20617, 'Лицо, пострадавшее при входе или выходе', 'V70.4', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20618, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V70.5', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20619, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V70.6', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20620, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V70.7', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20621, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V70.9', 20612, 'V70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20622, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с велосипедом', 'V71', 20611, 'V70-V79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20623, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V71.0', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20624, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V71.1', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20625, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V71.2', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20626, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V71.3', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20627, 'Лицо, пострадавшее при входе или выходе', 'V71.4', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20628, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V71.5', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20629, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V71.6', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20630, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V71.7', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20631, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V71.9', 20622, 'V71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20632, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с двух- или трехколесным моторным транспортным средством', 'V72', 20611, 'V70-V79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20633, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V72.0', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20634, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V72.1', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20635, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V72.2', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20636, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V72.3', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20637, 'Лицо, пострадавшее при входе или выходе', 'V72.4', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20638, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V72.5', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20639, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V72.6', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20640, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V72.7', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20641, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V72.9', 20632, 'V72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20642, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с легковым автомобилем, грузовым автомобилем типа пикап или фургоном', 'V73', 20611, 'V70-V79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20643, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V73.0', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20644, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V73.1', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20645, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V73.2', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20646, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V73.3', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20647, 'Лицо, пострадавшее при входе или выходе', 'V73.4', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20648, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V73.5', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20649, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V73.6', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20650, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V73.7', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20651, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V73.9', 20642, 'V73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20652, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с тяжелым грузовым автомобилем или автобусом', 'V74', 20611, 'V70-V79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20653, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V74.0', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20654, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V74.1', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20655, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V74.2', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20656, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V74.3', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20657, 'Лицо, пострадавшее при входе или выходе', 'V74.4', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20658, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V74.5', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20659, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V74.6', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20660, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V74.7', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20661, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V74.9', 20652, 'V74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20662, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с поездом или другим железнодорожным транспортным средством', 'V75', 20611, 'V70-V79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20663, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V75.0', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20664, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V75.1', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20665, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V75.2', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20666, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V75.3', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20667, 'Лицо, пострадавшее при входе или выходе', 'V75.4', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20668, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V75.5', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20669, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V75.6', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20670, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V75.7', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20671, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V75.9', 20662, 'V75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20672, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с другим немоторным транспортным средством', 'V76', 20611, 'V70-V79', 9, 'Включено: столкновение с повозкой, запряженной животным, с животным под седлом или с трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20673, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V76.0', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20674, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V76.1', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20675, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V76.2', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20676, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V76.3', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20677, 'Лицо, пострадавшее при входе или выходе', 'V76.4', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20678, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V76.5', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20679, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V76.6', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20680, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V76.7', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20681, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V76.9', 20672, 'V76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20682, 'Лицо, находившееся в автобусе и пострадавшее при его столкновении с закрепленным или стационарным объектом', 'V77', 20611, 'V70-V79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20683, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V77.0', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20684, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V77.1', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20685, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V77.2', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20686, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V77.3', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20687, 'Лицо, пострадавшее при входе или выходе', 'V77.4', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20688, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V77.5', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20689, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V77.6', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20690, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V77.7', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20691, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V77.9', 20682, 'V77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20692, 'Лицо, находившееся в автобусе и пострадавшее в результате транспортного несчастного случая без столкновения', 'V78', 20611, 'V70-V79', 9, 'Включены: опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20693, 'Водитель, пострадавший в результате недорожного несчастного случая', 'V78.0', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20694, 'Пассажир, пострадавший в результате недорожного несчастного случая', 'V78.1', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20695, 'Лицо, находившееся вне транспортного средства и пострадавше в результате недорожного несчастного случая', 'V78.2', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20696, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая', 'V78.3', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20697, 'Лицо, пострадавшее при входе или выходе', 'V78.4', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20698, 'Водитель, пострадавший в результате дорожного несчастного случая', 'V78.5', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20699, 'Пассажир, пострадавший в результате дорожного несчастного случая', 'V78.6', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20700, 'Лицо, находившееся вне транспортного средства и пострадавшее в результате дорожного несчастного случая', 'V78.7', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20701, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее в результате дорожного несчастного случая', 'V78.9', 20692, 'V78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20702, 'Лицо, находившееся в автобусе и пострадавшее в результате других и неуточненных дорожных несчастных случаев', 'V79', 20611, 'V70-V79', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20703, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V79.0', 20702, 'V79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20704, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V79.1', 20702, 'V79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20705, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее при его столкновении с другими и неуточненными мототранспортными средствами в результате недорожного несчастного случая', 'V79.2', 20702, 'V79', 0, 'Столкновение автобуса БДУ, недорожное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20706, 'Лицо (любое), находившееся в автобусе и пострадавшее в результате неуточненного недорожного несчастного случая', 'V79.3', 20702, 'V79', 0, 'Несчастный случай, связанный с автобусом БДУ, недорожный Лицо, находившееся в автобусе и пострадавшее в результате недорожного несчастного случая БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20707, 'Водитель, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V79.4', 20702, 'V79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20708, 'Пассажир, пострадавший при столкновении с другими и неуточненными мототранспортными средствами в результате дорожного несчастного случая', 'V79.5', 20702, 'V79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20709, 'Лицо без дополнительного уточнения, находившееся в автобусе и пострадавшее при его столкновении с другими и неуточненными транспортными средствами в результате дорожного несчастного случая', 'V79.6', 20702, 'V79', 0, 'Столкновение автобуса БДУ (дорожное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20710, 'Лицо (любое), находившееся в автобусе и пострадавшее в других уточненных дорожных несчастных случаях', 'V79.8', 20702, 'V79', 0, 'Защемление дверью или другой частью автобуса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20711, 'Лицо (любое), находившееся в автобусе и пострадавшее в результате неуточненного дорожного несчастного случая', 'V79.9', 20702, 'V79', 0, 'Несчастный случай, связанный с автобусом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20713, 'НЕСЧАСТНЫЕ СЛУЧАИ, СВЯЗАННЫЕ С ДРУГИМИ НАЗЕМНЫМИ ТРАНСПОРТНЫМИ СРЕДСТВАМИ', 'V80-V89', 20002, 'V01-V99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20714, 'Всадник или лицо, находившееся в гужевом транспортном средстве, пострадавшее в результате транспортного несчастного случая', 'V80', 20713, 'V80-V89', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20715, 'Всадник или лицо, находившееся в повозке, пострадавшее при падении или сбрасывании с животного или из повозки в результате несчастного случая без столкновения', 'V80.0', 20714, 'V80', 0, 'Опрокидывание: . БДУ . без столкновения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20716, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с пешеходом или животным', 'V80.1', 20714, 'V80', 0, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V80.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20717, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с велосипедом', 'V80.2', 20714, 'V80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20718, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с двух- или трехколесным мототранспортным средством', 'V80.3', 20714, 'V80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20719, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с автомобилем, пикапом, фургоном, тяжелым транспортным средством или автобусом', 'V80.4', 20714, 'V80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20720, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с другим уточненным мототранспортным средством', 'V80.5', 20714, 'V80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20721, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с поездом или другим рельсовым транспортом', 'V80.6', 20714, 'V80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20722, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с другим немоторным транспортным средством', 'V80.7', 20714, 'V80', 0, 'Столкновение с: . животным под седлом . повозкой, запряженной животным . трамваем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20723, 'Всадник или лицо, находившееся в повозке, пострадавшие при столкновении с закрепленным или стационарным объектом', 'V80.8', 20714, 'V80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20724, 'Всадник или лицо, находившееся в повозке, пострадавшие в других и неуточненных транспортных несчастных случаях', 'V80.9', 20714, 'V80', 0, 'Несчастный случай с повозкой, запряженной животным, БДУ Несчастный случай с всадником БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20725, 'Лицо, находившееся в поезде или другом железнодорожном транспортном средстве и пострадавшее в результате транспортного несчастного случая', 'V81', 20713, 'V80-V89', 10, 'Включено: лицо, находившееся вне поезда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20726, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при его столкновении с мототранспортным средством в результате недорожного несчастного случая', 'V81.0', 20725, 'V81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20727, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при его столкновении с мототранспортным средством в результате дорожного несчастного случая', 'V81.1', 20725, 'V81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20728, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при его столкновении с подвижным составом или от удара подвижным составом', 'V81.2', 20725, 'V81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20729, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при его столкновении с другим объектом', 'V81.3', 20725, 'V81', 0, 'Столкновение железнодорожного транспорта БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20730, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при посадке на поезд или железнодорожное средство или выходе из них', 'V81.4', 20725, 'V81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20731, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при падении в поезде или в железнодорожном транспортном средстве', 'V81.5', 20725, 'V81', 0, 'Исключены: падение: . во время схождения транспорта с рельсов: . с предшествующим столкновением (V81.0-V81.3) . без предшествующего столкновения (V81.7) . при посадке или выходе (V81.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20732, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при падении из поезда или из железнодорожного транспортного средства', 'V81.6', 20725, 'V81', 0, 'Исключены: падение: . во время схождения транспорта с рельсов: . с предшествующим столкновением (V81.0-V81.3) . без предшествующего столкновения (V81.7) . при посадке и выходе (V81.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20733, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее при схождении транспорта с рельсов без предшествующего столкновения', 'V81.7', 20725, 'V81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20734, 'Лицо, находившееся в поезде или железнодорожном транспортном средстве и пострадавшее в результате другого уточненного железнодорожного несчастного случая', 'V81.8', 20725, 'V81', 0, 'Взрыв или пожар Удар падающим(ей): . грунтом . горной породой . деревом Исключено: схождение транспорта с рельсов: . с предшествующим столкновением (V81.0-V81.3) . без предшествующего столкновения (V81.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20735, 'Лицо, находившееся в поезде или железнодорожном транспортом средстве и пострадавшее в результате неуточненного железнодорожного несчастного случая', 'V81.9', 20725, 'V81', 0, 'Несчастный случай, связанный с железнодорожным транспортом, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20736, 'Лицо, находившееся в трамвае и пострадавшее в результате дорожного несчастного случая', 'V82', 20713, 'V80-V89', 10, 'Включено: лицо, находившееся вне трамвая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20737, 'Лицо, находившееся в трамвае и пострадавшее при его столкновении с мототранспортным средством в результате недорожного несчастного случая', 'V82.0', 20736, 'V82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20738, 'Лицо, находившееся в трамвае и пострадавшее при его столкновении с мототранспортным средством в результате дорожного несчастного случая', 'V82.1', 20736, 'V82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20739, 'Лицо, находившееся в трамвае и пострадавшее при его столкновении с подвижным составом или от удара подвижным составом', 'V82.2', 20736, 'V82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20740, 'Лицо, находившееся в трамвае и пострадавшее при его столкновении с другим объектом', 'V82.3', 20736, 'V82', 0, 'Исключено: столкновение с повозкой, запряженной животным, или с животным под седлом (V82.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20741, 'Лицо, пострадавшее при входе в трамвай или выходе из него', 'V82.4', 20736, 'V82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20742, 'Лицо, находившееся в трамвае и пострадавшее при падении в трамвае', 'V82.5', 20736, 'V82', 0, 'Исключено: падение: . при входе или выходе (V82.4) . при предшествующем столкновении (V82.0-V82.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20743, 'Лицо, пострадавшее при падении из трамвая', 'V82.6', 20736, 'V82', 0, 'Исключено: падение: . при входе или выходе (V82.4) . при предшествующем столкновении (V82.0-V82.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20744, 'Лицо, находившееся в трамвае и пострадавшее при схождении трамвая с рельсов без предшествующего столкновения', 'V82.7', 20736, 'V82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20745, 'Лицо, находившееся в трамвае и пострадавшее в результате других уточненных транспортных несчастных случаев', 'V82.8', 20736, 'V82', 0, 'Столкновение с поездом или другим немоторным транспортным средством');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20746, 'Лицо, находившееся в трамвае и пострадавшее в результате неуточненного дорожного несчастного случая', 'V82.9', 20736, 'V82', 0, 'Несчастный случай, связанный с трамваем, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20747, 'Лицо, находившееся в специальном транспортном средстве, используемом преимущественно на территории промышленных предприятий, пострадавшее в результате транспортного несчастного случая', 'V83', 20713, 'V80-V89', 9, 'Исключено: транспортное средство при стационарном использовании или находящееся на техническом обслуживании (W31.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20748, 'Водитель специального, используемого в промышленности транспортного средства,  пострадавший в результате дорожного несчастного случая', 'V83.0', 20747, 'V83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20749, 'Пассажир специального, используемого в промышленности транспортного средства, пострадавший в результате  дорожного несчастного случая', 'V83.1', 20747, 'V83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20750, 'Лицо, находившееся вне специального, используемого в промышленности транспортного средства, пострадавшее в результате дорожного несчастного случая', 'V83.2', 20747, 'V83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20751, 'Лицо без дополнительного уточнения, находившееся в специальном, используемом в промышленности транспортном средстве, пострадавшее в результате дорожного несчастного случая', 'V83.3', 20747, 'V83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20752, 'Лицо, пострадавшее при посадке или высадке из специального, используемого в промышленности транспортного средства', 'V83.4', 20747, 'V83', 0, NULL);

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20753, 'Водитель специального, используемого в промышленности транспортного средства, пострадавший в результате недорожного несчастного случая', 'V83.5', 20747, 'V83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20754, 'Пассажир специального, используемого в промышленности транспортного средства, пострадавший в результате недорожного несчастного случая', 'V83.6', 20747, 'V83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20755, 'Лицо, находившееся вне специального, используемого в промышленности транспортного средства, пострадавшее в результате недорожного несчастного случая', 'V83.7', 20747, 'V83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20756, 'Лицо без дополнительного уточнения, находившееся в специальном, используемом в промышленности транспортном средстве, пострадавшее в результате недорожного несчастного случая', 'V83.9', 20747, 'V83', 0, 'Несчастный случай, связанный со специальным транспортным средством, используемым в промышленности, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20757, 'Лицо, находившееся в специальном транспортном средстве, используемом преимущественно в сельском хозяйстве, пострадавшее в результате транспортного несчастного случая', 'V84', 20713, 'V80-V89', 9, 'Исключено: транспортное средство при стационарном использовании или находящееся на техническом обслуживании (W30.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20758, 'Водитель специального транспортного средства, используемого в сельском хозяйстве, пострадавший в результате дорожного несчастного случая', 'V84.0', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20759, 'Пассажир специального транспортного средства, используемого в сельском хозяйстве, пострадавший в результате дорожного несчастного случая', 'V84.1', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20760, 'Лицо, находившееся вне специального транспортного средства, используемого в сельском хозяйстве, пострадавшее в результате дорожного несчастного случая', 'V84.2', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20761, 'Лицо без дополнительного уточнения, находившееся в специальном транспортном средстве, используемом в сельском хозяйстве, пострадавшее в результате дорожного несчастного случая', 'V84.3', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20762, 'Лицо, пострадавшее при посадке на специальное транспортное средство, используемое в сельском хозяйстве, или высадке из него', 'V84.4', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20763, 'Водитель специального транспортного средства, используемого в сельском хозяйстве, пострадавший в результате недорожного несчастного случая', 'V84.5', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20764, 'Пассажир специального транспортного средства, используемого в сельском хозяйстве, пострадавший в результате недорожного несчастного случая', 'V84.6', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20765, 'Лицо, находившееся вне специального транспортного средства, используемого в сельском хозяйстве, пострадавшее в результате недорожного несчастного случая', 'V84.7', 20757, 'V84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20766, 'Лицо без дополнительного уточнения, находившееся в специальном транспортном средстве, используемом в сельском хозяйстве, пострадавшее в результате недорожного несчастного случая', 'V84.9', 20757, 'V84', 0, 'Несчастный случай, связанный со специальным сельскохозяйственным транспортным средством, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20767, 'Лицо, находившееся в специальном транспортном средстве, используемом в строительстве, пострадавшее в результате транспортного несчастного случая', 'V85', 20713, 'V80-V89', 9, 'Исключено: транспортное средство при стационарном использовании или находящееся на техническом обслуживании (W31.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20768, 'Водитель специального транспортного средства, используемого в строительстве, пострадавший в результате дорожного несчастного случая', 'V85.0', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20769, 'Пассажир специального транспортного средства, используе мого в строительстве, пострадавший в результате дорожного несчастного случая', 'V85.1', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20770, 'Лицо, находившееся вне специального транспортного средства, используемого в строительстве, пострадавшее в результате дорожного несчастного случая', 'V85.2', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20771, 'Лицо без дополнительного уточнения, находившееся в специальном транспортном средстве, используемом в строительстве, пострадавшее в результате дорожного несчастного случая', 'V85.3', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20772, 'Лицо, пострадавшее при посадке на специальное транспортное средство, используемое в строительстве, или высадке из него', 'V85.4', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20773, 'Водитель специального транспортного средства, используемого в строительстве, пострадавший в результате недорожного несчастного случая', 'V85.5', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20774, 'Пассажир специального транспортного средства, используемого в строительстве, пострадавший в результате недорожного несчастного случая', 'V85.6', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20775, 'Лицо, находившееся вне специального транспортного средства, используемого в строительстве, пострадавшее в результате недорожного несчастного случая', 'V85.7', 20767, 'V85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20776, 'Лицо, находившееся в специальном транспортном средстве,используемого в строительстве, пострадавшее в результате недорожного несчастного случая', 'V85.9', 20767, 'V85', 0, 'Несчастный случай, связанный со специальным строительным транспортным средством, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20777, 'Лицо, находившееся в вездеходе или в другом моторном транспортном средстве, предназначенном преимущественно для передвижения вне дорог, пострадавшее в результате транспортного несчастного случая', 'V86', 20713, 'V80-V89', 9, 'Исключено: транспортное средство при стационарном использовании или находящееся на техническом обслуживании (W31.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20778, 'Водитель вездехода или другого недорожного мототранспортного средства, пострадавший в результате дорожного несчастного случая', 'V86.0', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20779, 'Пассажир вездехода или другого недорожного мототранспортного средства, пострадавший в результате дорожного несчастного случая', 'V86.1', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20780, 'Лицо, находившееся вне вездехода или другого недорожного мототранспортного средства и пострадавшее в результате дорожного несчастного случая', 'V86.2', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20781, 'Лицо без дополнительного уточнения, находившееся в вездеходе или другом недорожном мототранспортном средстве и пострадавшее в результате дорожного несчастного случая', 'V86.3', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20782, 'Лицо, пострадавшее при посадке на вездеход или или высадке из него или другого недорожного мототранспортного средства', 'V86.4', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20783, 'Водитель вездехода или другого недорожного мототранспортного средства, пострадавший в результате недорожного несчастного случая', 'V86.5', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20784, 'Пассажир вездехода или другого недорожного мототранспортного средства, пострадавший в результате недорожного несчастного случая', 'V86.6', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20785, 'Лицо, находившееся вне вездехода или другого недорожного мототранспортного средства, пострадавшее в результате недорожного несчастного случая', 'V86.7', 20777, 'V86', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20786, 'Лицо без дополнительного уточнения, находившееся в вездеходе или другом недорожном мототранспортном средстве, пострадавшее в результате недорожного несчастного случая', 'V86.9', 20777, 'V86', 0, 'Несчастный случай, связанный с вездеходом, БДУ Несчастный случай, связанный с недорожным мототранспортным средством, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20787, 'Дорожный несчастный случай уточненного характера, но с неизвестным способом передвижения пострадавшего', 'V87', 20713, 'V80-V89', 10, 'Исключено: столкновение, включающее: . велосипедиста (V10-V19) . пешехода (V01-V09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20788, 'Лицо, пострадавшее при столкновении (дорожном) автомобиля с двух- или трехколесным мототранспортным средством', 'V87.0', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20789, 'Лицо, пострадавшее при столкновении (дорожном) другого мототранспортного средства с двух- или трехколесным мототранспортным средством', 'V87.1', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20790, 'Лицо, пострадавшее при столкновении (дорожном) автомобиля с пикапом или фургоном', 'V87.2', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20791, 'Лицо, пострадавшее при столкновении (дорожном) автомобиля с автобусом', 'V87.3', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20792, 'Лицо, пострадавшее при столкновении (дорожном) автомобиля с тяжелым грузовым транспортным средством', 'V87.4', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20793, 'Лицо, пострадавшее при столкновении (дорожном) тяжелого грузового транспортного средства с автобусом', 'V87.5', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20794, 'Лицо, пострадавшее при столкновении (дорожном) поезда или другого железнодорожного транспорта с автомобилем', 'V87.6', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20795, 'Лицо, пострадавшее при столкновении (дорожном) других уточненных мототранспортных средств', 'V87.7', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20796, 'Лицо, пострадавшее в результате других уточненных транс портных (дорожных) несчастных случаев без столкновения, связанных с мототранспортным средством', 'V87.8', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20797, 'Лицо, пострадавшее в других уточненных транспортных (дорожных) несчастных случаях (со столкновением) (без столкновения), связанных с немоторным транспортным средством', 'V87.9', 20787, 'V87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20798, 'Недорожный несчастный случай уточненного характера, но с неизвестным способом передвижения пострадавшего', 'V88', 20713, 'V80-V89', 10, 'Исключено: столкновение, включающее: . велосипедиста (V10-V19) . пешехода (V01-V09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20799, 'Лицо, пострадавшее при столкновении (недорожном) легкового автомобиля с двух или трехколесным мототранспортным средством', 'V88.0', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20800, 'Лицо, пострадавшее при столкновении (недорожном) другого мототранспортного средства с двух или трехколесным мототранспортным средством', 'V88.1', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20801, 'Лицо, пострадавшее при столкновении (недорожном) легкового автомобиля с пикапом или автофургоном', 'V88.2', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20802, 'Лицо, пострадавшее при столкновении (недорожном) легкового автомобиля с автобусом', 'V88.3', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20803, 'Лицо, пострадавшее при столкновении (недорожном) легкового автомобиля с тяжелым грузовым автомобилем', 'V88.4', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20804, 'Лицо, пострадавшее при столкновении (недорожном) тяжелого грузового автомобиля и автобуса', 'V88.5', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20805, 'Лицо, пострадавшее при столкновении (недорожном) поезда или другого железнодорожного транспортного средства с легковым автомобилем', 'V88.6', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20806, 'Лицо, пострадавшее при столкновении (недорожном) других уточненных мототранспортных средств', 'V88.7', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20807, 'Лицо, пострадавшее в результате других уточненных недорожных транспортных несчастных случаев без столкновения, произошедших с мототранспортным средством', 'V88.8', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20808, 'Лицо, пострадавшее в результате другого уточненного недорожного несчастного случая (со столкновением) (без столкновения), произошедшего с немоторным транспортным средством', 'V88.9', 20798, 'V88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20809, 'Несчастный случай, связанный с моторным или немоторным транспортным средством неуточненного вида', 'V89', 20713, 'V80-V89', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20810, 'Лицо, пострадавшее в результате неуточненного недорожного несчастного случая с мототранспортным средством', 'V89.0', 20809, 'V89', 0, 'Несчастный случай (недорожный), связанный с мототранс портным средством БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20811, 'Лицо, пострадавшее в результате недорожного несчастного случая, связанного с неуточненным немоторным транспортным средством', 'V89.1', 20809, 'V89', 0, 'Несчастный случай (недорожный), связанный с немоторным транспортным средством БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20812, 'Лицо, пострадавшее в результате неуточненного мототранспортного дорожного несчастного случая', 'V89.2', 20809, 'V89', 0, 'Мототранспортный несчастный случай (МТС) БДУ Дорожное (транспортное) происшествие (ДТП) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20813, 'Лицо, пострадавшее в результате дорожного несчастного случая с неуточненным немоторным транспортным средством', 'V89.3', 20809, 'V89', 0, 'Дорожный несчастный случай, связанный с немоторным транспортным средством БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20814, 'Лицо, пострадавшее в результате неуточненного транспортного несчастного случая', 'V89.9', 20809, 'V89', 0, 'Столкновение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20816, 'НЕСЧАСТНЫЕ СЛУЧАИ НА ВОДНОМ ТРАНСПОРТЕ', 'V90-V94', 20002, 'V01-V99', 5, 'Включены: несчастные случаи, связанные с водным транспортом, используемым в целях отдыха и развлечения\nСледующие четвертые знаки используются с рубриками V90-V94:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20817, 'Погружение в воду и утопление в результате аварии на водном транспортном средстве', 'V90', 20816, 'V90-V94', 10, 'Включены: погружение в воду и утопление вследствие: . опрокидывания лодки . затопления лодки . падения или выпрыгивания с: . горящего судна . разрушенного водного транспортного средства . другой аварии на водном транспортном средстве Исключено: погружение в воду или утопление, связанное с водным транспортным средством, не вызванное аварией на нем (V92.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20818, 'Торговое судно', 'V90.0', 20817, 'V90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20819, 'Пассажирское судно', 'V90.1', 20817, 'V90', 0, 'Паром Пассажирский пароход, совершающий регулярные рейсы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20820, 'Рыбацкий сейнер', 'V90.2', 20817, 'V90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20821, 'Другое водное транспортное средство с мотором', 'V90.3', 20817, 'V90', 0, 'Судно на воздушной подушке (в открытых водах) Судно на подводных крыльях');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20822, 'Парусная лодка', 'V90.4', 20817, 'V90', 0, 'Яхта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20823, 'Каноэ или каяк', 'V90.5', 20817, 'V90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20824, 'Надувная лодка (без мотора)', 'V90.6', 20817, 'V90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20825, 'Водные лыжи', 'V90.7', 20817, 'V90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20826, 'Другие немоторные водные транспортные средства', 'V90.8', 20817, 'V90', 0, 'Доска для серфинга Виндсерфинг');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20827, 'Неуточненное водное транспортное средство', 'V90.9', 20817, 'V90', 0, 'Лодка БДУ Корабль БДУ Водное транспортное средство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20828, 'Другие повреждения в результате аварии на водном транспортном средстве', 'V91', 20816, 'V90-V94', 10, 'Включены: любая травма, кроме погружения в воду и утопления, в результате аварии на водном транспортном средстве ожог при пожаре на судне раздавливание между судами при их столкновении раздавливание спасательной шлюпкой после оставления судна падение в результате столкновения или другой аварии на водном транспортном средстве удар упавшим предметом в результате аварии на водном транспортном средстве травма, полученная при аварии на водном транспортном средстве, связанной со столкновением удар о лодку или ее часть при падении или выпрыгивании из поврежденной лодки Исключены: случаи ожога при локализованном пожаре или взрыве на борту судна (V93.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20829, 'Торговое судно', 'V91.0', 20828, 'V91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20830, 'Пассажирское судно', 'V91.1', 20828, 'V91', 0, 'Паром Пассажирский пароход, совершающий регулярные рейсы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20831, 'Рыбацкий сейнер', 'V91.2', 20828, 'V91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20832, 'Другое водное транспортное средство с мотором', 'V91.3', 20828, 'V91', 0, 'Судно на воздушной подушке (в открытых водах) Судно на подводных крыльях');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20833, 'Парусная лодка', 'V91.4', 20828, 'V91', 0, 'Яхта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20834, 'Каноэ или каяк', 'V91.5', 20828, 'V91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20835, 'Надувная лодка (без мотора)', 'V91.6', 20828, 'V91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20836, 'Водные лыжи', 'V91.7', 20828, 'V91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20837, 'Другие немоторные водные транспортные средства', 'V91.8', 20828, 'V91', 0, 'Доска для серфинга Виндсерфинг');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20838, 'Неуточненное водное транспортное средство', 'V91.9', 20828, 'V91', 0, 'Лодка БДУ Корабль БДУ Водное транспортное средство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20839, 'Погружение в воду и утопление, связанное с водным транспортным средством, не вызванное аварией на нем', 'V92', 20816, 'V90-V94', 10, 'Включены: погружение в воду или утопление в результате несчастного случая, такого, как: . падение: . со сходней . с судна . за борт . сбрасывание за борт при качке . смывание за борт Исключены: погружение в воду или утопление пловца или водолаза, добровольно прыгающего с лодки в неаварийной ситуации (W69.-, W73.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20840, 'Торговое судно', 'V92.0', 20839, 'V92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20841, 'Пассажирское судно', 'V92.1', 20839, 'V92', 0, 'Паром Пассажирский пароход, совершающий регулярные рейсы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20842, 'Рыбацкий сейнер', 'V92.2', 20839, 'V92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20843, 'Другое водное транспортное средство с мотором', 'V92.3', 20839, 'V92', 0, 'Судно на воздушной подушке (в открытых водах) Судно на подводных крыльях');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20844, 'Парусная лодка', 'V92.4', 20839, 'V92', 0, 'Яхта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20845, 'Каноэ или каяк', 'V92.5', 20839, 'V92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20846, 'Надувная лодка (без мотора)', 'V92.6', 20839, 'V92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20847, 'Водные лыжи', 'V92.7', 20839, 'V92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20848, 'Другие немоторные водные транспортные средства', 'V92.8', 20839, 'V92', 0, 'Доска для серфинга Виндсерфинг');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20849, 'Неуточненное водное транспортное средство', 'V92.9', 20839, 'V92', 0, 'Лодка БДУ Корабль БДУ Водное транспортное средство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20850, 'Несчастный случай на борту водного транспортного средства, не вызванный аварией на нем и не приведший к погружению в воду и утоплению', 'V93', 20816, 'V90-V94', 0, 'Включены: случайное отравление газами или парами на судне поражение в результате неисправности атомного реактора на водном транспортном средстве раздавливание упавшим на корабль предметом воздействие чрезмерно высокой температуры в: . котельной . машинном отделении . конденсаторном отделении . кочегарке взрыв парового котла на пароходе падение с одного уровня судна на другой падение на лестнице или на трапе судна травмы на водном транспорте, вызванные машинами и механизмами: . палубы . машинного отделения . камбуза . прачечной . погрузочно-разгрузочными локализованный пожар на судне авария в машинном отделении судна');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20851, 'Другие и неуточненные несчастные случаи на водном транспорте', 'V94', 20816, 'V90-V94', 10, 'Включены: случаи с лицом, не находившемся на водном транспортном средстве удар лодкой при катании на водных лыжах');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20852, 'Торговое судно', 'V94.0', 20851, 'V94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20853, 'Пассажирское судно', 'V94.1', 20851, 'V94', 0, 'Паром Пассажирский пароход, совершающий регулярные рейсы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20854, 'Рыбацкий сейнер', 'V94.2', 20851, 'V94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20855, 'Другое водное транспортное средство с мотором', 'V94.3', 20851, 'V94', 0, 'Судно на воздушной подушке (в открытых водах) Судно на подводных крыльях');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20856, 'Парусная лодка', 'V94.4', 20851, 'V94', 0, 'Яхта');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20857, 'Каноэ или каяк', 'V94.5', 20851, 'V94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20858, 'Надувная лодка (без мотора)', 'V94.6', 20851, 'V94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20859, 'Водные лыжи', 'V94.7', 20851, 'V94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20860, 'Другие немоторные водные транспортные средства', 'V94.8', 20851, 'V94', 0, 'Доска для серфинга Виндсерфинг');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20861, 'Неуточненное водное транспортное средство', 'V94.9', 20851, 'V94', 0, 'Лодка БДУ Корабль БДУ Водное транспортное средство БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20863, 'НЕСЧАСТНЫЕ СЛУЧАИ НА ВОЗДУШНОМ ТРАНСПОРТЕ И ПРИ КОСМИЧЕСКИХ ПОЛЕТАХ', 'V95-V97', 20002, 'V01-V99', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20864, 'Авария оснащенного силовым двигателем воздушного транспортного средства, ставшая причиной травмы находившегося в нем лица', 'V95', 20863, 'V95-V97', 7, 'Включены: столкновение с любым } объектом (закрепленным, } воздушного способным двигаться или } транспортного средства движущимся) } (оснащенного силовым поломка } двигателем) или на взрыв } воздушном транспортном пожар } средстве вынужденная посадка }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20865, 'Авария вертолета, ставшая причиной травмы лица, находившегося на нем', 'V95.0', 20864, 'V95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20866, 'Авария сверхлегкого, микролегкого или оснащенного силовым двигателем планера, ставшая причиной травмы лица, находившегося на нем', 'V95.1', 20864, 'V95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20867, 'Авария другого воздушного транспортного средства с фиксированным крылом, ставшая причиной травмы лица, находившегося на нем', 'V95.2', 20864, 'V95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20868, 'Авария коммерческого воздушного транспортного средства с фиксированным крылом, ставшая причиной травмы лица, находившегося на нем', 'V95.3', 20864, 'V95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20869, 'Аврия космического транспортного средства, ставшая причиной травмы лица, находившегося на нем', 'V95.4', 20864, 'V95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20870, 'Авария воздушного транспортного средства другого типа, ставшая причиной травмы лица, находившегося на нем', 'V95.8', 20864, 'V95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20871, 'Авария неуточненного воздушного транспортного средства, ставшая причиной травмы лица, находившегося на нем', 'V95.9', 20864, 'V95', 0, 'Несчастный случай с воздушным транспортным средством БДУ Авария воздушного транспортного средства БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20872, 'Авария не оснащенного силовым двигателем воздушного транспортного средства, ставшая причиной травмы лица, находившегося на нем', 'V96', 20863, 'V95-V97', 5, 'Включены: столкновение с любым } объектом (закрепленным, } способным двигаться или } воздушного движущимся) } транспортного средства, поломка } не оснащенного силовым взрыв } двигателем пожар } вынужденная посадка }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20873, 'Авария воздушного шара, ставшая причиной травмы лица, находившегося на нем', 'V96.0', 20872, 'V96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20874, 'Авария дельтаплана, ставшая причиной травмы лица, находившегося на нем', 'V96.1', 20872, 'V96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20875, 'Авария планера (не оснащенного силовым двигателем), ставшая причиной травмы лица, находившегося на нем', 'V96.2', 20872, 'V96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20876, 'Авария другого воздушного транспортного средства, не оснащенного силовым двигателем, ставшая причиной травмы лица, находившегося на нем', 'V96.8', 20872, 'V96', 0, 'Аэростат с наблюдателем');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20877, 'Авария неуточненного воздушного транспортного средства, не оснащенного силовым двигателем, ставшая причиной травмы лица, находившегося на нем', 'V96.9', 20872, 'V96', 0, 'Несчастный случай, связанный с воздушным транспортным средством, не оснащенным силовым двигателем, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20878, 'Другие уточненные аварии воздушного транспортного средства', 'V97', 20863, 'V95-V97', 5, 'Включены: случаи с лицами, не находившимися на воздушном транспортном средстве');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20879, 'Лицо, находившееся в воздушном транспортном средстве, пострадавшее в результате других уточненных аварий воздушных транспортных средств', 'V97.0', 20878, 'V97', 0, 'Падение в воздушном транспортном средстве при аварии или падение из него либо на него Исключена: травма при посадке или выходе (V97.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20880, 'Лицо, пострадавшее при посадке в воздушное транспортное средство или выходе из него', 'V97.1', 20878, 'V97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20881, 'Парашютист, пострадавший при аварии воздушного транспортного средства', 'V97.2', 20878, 'V97', 0, 'Исключено: лицо, катапультировавшееся после аварии воздушного транспортного средства (V95-V96)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20882, 'Лицо, находившееся на земле и пострадавшее в результате аварии воздушного транспортного средства', 'V97.3', 20878, 'V97', 0, 'Удар предметом, выпавшим из воздушного транспортного средства Травма, причиненная вращающимся пропеллером Засасывание в сопло реактивного двигателя');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20883, 'Другие несчастные случаи, связанные с воздушным транспортным средством, не классифицированные в других рубриках', 'V97.8', 20878, 'V97', 0, 'Травма, нанесенная механизмами воздушного транспортного средства Исключены: авария воздушного транспортного средства БДУ (V95.9) влияние изменения атмосферного давления при взлете или посадке (W94.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20885, 'ДРУГИЕ И НЕУТОЧНЕННЫЕ ТРАНСПОРТНЫЕ НЕСЧАСТНЫЕ СЛУЧАИ', 'V98-V99', 20002, 'V01-V99', 2, 'Исключен: транспортный несчастный случай, вид транспортного средства не уточнен (V89.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20886, 'Другие уточненные транспортные несчастные случаи', 'V98', 20885, 'V98-V99', 0, 'Включены: несчастные случаи, связанные с: . кабельной безрельсовой (подвесной) вагонеткой . буером . сухопутной яхтой . кресельным горнолыжным подъемником с индивидуальными креслами . гондольным горнолыжным подъемником захват или волочение } падение или выпрыгивание из } кабельной(ую) повреждение предметом, } безрельсовой(ую) брошенным из или в } вагонетки(ой)(у)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20887, 'Транспортный несчастный случай неуточненный', 'V99', 20885, 'V98-V99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20890, 'ДРУГИЕ ВНЕШНИЕ ПРИЧИНЫ ТРАВМ ПРИ НЕСЧАСТНЫХ СЛУЧАЯХ', 'W00-X59', 20001, 'V01-Y98', 33, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20891, 'ПАДЕНИЯ', 'W00-W19', 20890, 'W00-X59', 0, '[См. вышеуказанные подрубрики кодов места происшествия]\nИсключены: нападение (Y01-Y02) падение: . с животного (V80.-) . внутри или из горящего здания (X00.-) . в огонь (X00-X04, X08-X09) . в воду (с погружением в воду или утоплением) (W65-W74) . в машинное отделение (работающее) (W28-W31) . внутри или из транспортного средства (V01-V99) преднамеренное самоповреждение (X80-X81)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20893, 'Падение на поверхности одного уровня, покрытой льдом или снегом', 'W00', 20890, 'W00-X59', 0, 'Исключено: падение с упоминанием о: . катании на коньках и лыжах (W02.-) . лестнице и ступенях (W10.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20894, 'Падение на поверхности одного уровня в результате поскальзывания, ложного шага или спотыкания', 'W01', 20890, 'W00-X59', 0, 'Исключено: падение на льду или снегу (W00.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20895, 'Падение при катании на коньках, лыжах, роликовых коньках или роликовой доске', 'W02', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20896, 'Другое падение на поверхности одного уровня в результате столкновения с другим лицом или толчка', 'W03', 20890, 'W00-X59', 0, 'Включено: падение при столкновении пешехода (перевозочного средства) с другим пешеходом (перевозочным средством) Исключены: раздавливание или затаптывание бегущей толпой (W52.-) падение на льду или снегу (W00.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20897, 'Падение лица при переносе его другими лицами или при оказании ему поддержки другим лицом', 'W04', 20890, 'W00-X59', 0, 'Включено: лицо, случайно упавшее при его переносе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20898, 'Падение, связанное с инвалидной коляской', 'W05', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20899, 'Падение, связанное с кроватью', 'W06', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20900, 'Падение, связанное со стулом', 'W07', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20901, 'Падение, связанное с другими предметами обстановки', 'W08', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20902, 'Падение, связанное с оборудованием спортивной площадки', 'W09', 20890, 'W00-X59', 0, 'Исключено: падение, связанное с оборудованием, предназначенным для развлечений (W31.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20903, 'Падение на лестнице и ступенях или с лестницы и ступеней', 'W10', 20890, 'W00-X59', 0, 'Включены: падение (на) (с): . эскалаторе . пандуса . связанное со льдом и снегом на ступенях и лестнице . рампы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20904, 'Падение на приставной лестнице и с нее', 'W11', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20905, 'Падение на строительных лесах и с них', 'W12', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20906, 'Падение со (из) здания или сооружения', 'W13', 20890, 'W00-X59', 0, 'Включены: падение со (из) (сквозь) таких устройств или сооружений, как: . балкон . мост . здание . флагшток . этаж . перила . крыша . башня . вышка . виадук . стена . окно Исключены: обвал здания или сооружения (W20.-) падение или прыжок из горящего здания (X00.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20907, 'Падение с дерева', 'W14', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20908, 'Падение со скалы (крутого обрыва)', 'W15', 20890, 'W00-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20909, 'Ныряние или прыжок в воду, приведшие к травме, отличной от утопления или погружения в воду', 'W16', 20890, 'W00-X59', 0, 'Включены: удар о: . дно при прыжке или нырянии на мелководье . стенку или бортик плавательного бассейна . водную поверхность Исключены: случайное погружение в воду или утопление (W65-W74) ныряние с недостаточным обеспечением воздухом (W81.-) влияние давления воздуха при нырянии (W94.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20910, 'Другое падение с одного уровня на другой', 'W17', 20890, 'W00-X59', 0, 'Включены: падение из (в) такие образования или устройства, как: . пещера . док . стог сена . яма . углубление (выбоина) . карьер . шахта . цистерна . колодец');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20911, 'Другие случаи падения на поверхности одного уровня', 'W18', 20890, 'W00-X59', 0, 'Включены: падение: . при столкновении с предметом . из (в) туалета (с) . на поверхности одного уровня БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20912, 'Падение неуточненное', 'W19', 20890, 'W00-X59', 0, 'Включено: случайное падение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20913, 'ВОЗДЕЙСТВИЕ НЕЖИВЫХ МЕХАНИЧЕСКИХ СИЛ', 'W20-W49', 20890, 'W00-X59', 27, '[См. вышеуказанные подрубрики кодов места происшествия]\nИсключены: нападение (X85-Y09) соприкосновение или столкновение с животными или людьми (W50-W64) преднамеренное самоповреждение (X60-X84)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20914, 'Удар брошенным, рушащимся или падающим предметом', 'W20', 20913, 'W20-W49', 0, 'Включены: удар обвалившейся породой, не вызвавшей состояния асфиксии или удушения удар при обрушивании здания, кроме обрушивания при пожаре удар падающим(ей): . горной породой . камнем . деревом Исключены: обрушивание горящего здания (X00.-) удар падающим предметом при: . стихийном бедствии (X34-X39) . несчастном случае, связанном с механическим оборудованием (W24.-, W28-W31) . транспортном несчастном случае (V01-V99) удар предметом, приведенным в движение: . взрывом (W35-W40) . огнестрельным оружием (W32-W34) удар спортивным оборудованием (W21.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20915, 'Удар о спортивное оборудование или спортивным оборудованием', 'W21', 20913, 'W20-W49', 0, 'Включены: удар: . выбитым или брошенным мячом . хоккейной клюшкой или шайбой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20916, 'Удар о другой предмет или другим предметом', 'W22', 20913, 'W20-W49', 0, 'Включен: удар о стену');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20917, 'Зацепление, раздавливание, сжатие или защемление в объекте или между объектами', 'W23', 20913, 'W20-W49', 0, 'Включены: зацепление, защемление, раздавливание или сжатие: . между } { складывающийся . движущимися } { предмет, раздвигающаобъектами } { яся дверь, дверной . неподвижным } такими, { проем, упаковочная и движущимися } как { клеть, отжимное объектами } { устройство стиральной . в объекте } { машины Исключены: травмы, вызванные: . режущими или колющими инструментами (W25-W27) . механизмами для подъема и передачи (W24.-) . механизмами (W28-W31) . несиловыми ручными инструментами (W27.-) . транспортным средством (V01-V99) удар брошенным, рушащимся или падающим предметом (W20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20918, 'Соприкосновение с подъемными и передаточными устройствами, не классифицированными в других рубриках', 'W24', 20913, 'W20-W49', 0, 'Включены: соприкосновения с: . цепным подъемником . ремнем передачи . шкивом . тросом . передаточным ремнем или кабелем . лебедкой . поволокой Исключены: транспортные несчастные случаи (V01-V99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20919, 'Соприкосновение с острым краем стекла', 'W25', 20913, 'W20-W49', 0, 'Исключены: падение, затрагивающее стекло (W00-W19) разлетевшиеся осколки стекла вследствие взрыва или стрельбы из огнестрельного оружия (W32-W40)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20920, 'Соприкосновение с ножом, шпагой или кинжалом', 'W26', 20913, 'W20-W49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20921, 'Соприкосновение с ручным инструментом без силового двигателя', 'W27', 20913, 'W20-W49', 0, 'Включены: соприкосновения с: . топором . консервным ножом БДУ . стамеской . ручной пилой . вилами . мотыгой . штыком ледоруба . иглой . ножом для разрезания бумаги . граблями . ножницами . отверткой . швейной машиной ручной . лопатой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20922, 'Соприкосновение с силовой газонокосилкой', 'W28', 20913, 'W20-W49', 0, 'Исключено: повреждение электрическим током (W86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20923, 'Соприкосновение с другими силовыми ручными инструментами и бытовыми машинами', 'W29', 20913, 'W20-W49', 0, 'Включены: соприкосновения с: . смесителем . силовым(ой): . консервным ножом . цепной пилой . инструментом для самоделок . садовым инструментом . секатором . ножом . швейной машиной . сушильным агрегатом . стиральной машиной Исключено: повреждение электрическим током (W86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20924, 'Соприкосновение с сельскохозяйственными механизмами', 'W30', 20913, 'W20-W49', 0, 'Включены: соприкосновения с: . сельскохозяйственными машинами на конной тяге (или тяге другим животным) . уборочным комбайном . деррик-краном для уборки сена . сельскохозяйственной машиной БДУ . сенокосилкой или сенокопнителем . молотилкой Исключены: соприкосновения с самоходными или буксируемыми транспортным средством сельскохозяйственными машинами (V01-V99) повреждение электрическим током (W86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20925, 'Соприкосновение с другими и неуточненными машинами', 'W31', 20913, 'W20-W49', 0, 'Включены: соприкосновения с: . машиной БДУ . оборудованием, предназначенным для развлечения Исключены: соприкосновения с самоходными или буксируемыми транспортным средством машинами (V01-V99) повреждение электрическим током (W86.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20926, 'Выстрел из ручного огнестрельного оружия', 'W32', 20913, 'W20-W49', 0, 'Включены: выстрел из: . ружья . пистолета . револьвера Исключен: выстрел из ракетницы (W34.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20927, 'Выстрел из винтовки, дробового ружья и крупнокалиберного огнестрельного оружия', 'W33', 20913, 'W20-W49', 0, 'Включены: выстрел из: . армейской винтовки . охотничьего ружья . пулемета Исключен: выстрел из пневматического ружья (W34.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20928, 'Выстрел из другого и неуточненного огнестрельного оружия', 'W34', 20913, 'W20-W49', 0, 'Включены: выстрел из: . пневматического ружья . оружия ВВ . ракетницы огнестрельное ранение БДУ выстрел БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20929, 'Взрыв, разрыв парового котла', 'W35', 20913, 'W20-W49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20930, 'Взрыв, разрыв газового баллона', 'W36', 20913, 'W20-W49', 0, 'Включены: взрыв, разрыв: . контейнера с аэрозолем . баллона с воздухом . цистерны со сжатым газом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20931, 'Разрыв автомобильной шины, трубопровода или шланга, находившихся под давлением', 'W37', 20913, 'W20-W49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20932, 'Взрыв, разрыв другого уточненного устройства, находившегося под давлением', 'W38', 20913, 'W20-W49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20933, 'Залп фейерверка', 'W39', 20913, 'W20-W49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20934, 'Взрыв других веществ', 'W40', 20913, 'W20-W49', 0, 'Включены: взрывчатые материалы взрывчатый газ взрыв (на) (в): . БДУ . свалке . заводе . зернохранилище . военном складе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20935, 'Воздействие струи под давлением', 'W41', 20913, 'W20-W49', 0, 'Включено: гидравлической струи пневматической струи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20936, 'Воздействие шума', 'W42', 20913, 'W20-W49', 0, 'Включено: звуковых волн сверхзвуковых волн');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20937, 'Воздействие вибрации', 'W43', 20913, 'W20-W49', 0, 'Включено: инфразвуковых волн');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20938, 'Попадание инородного тела в или через глаз или естественное', 'W44', 20913, 'W20-W49', 0, 'отверстие Исключены: попадание разъедающих жидкостей (X49.-) вдыхание или заглатывание инородного тела с закупоркой дыхательных путей (W78-W80)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20939, 'Проникновение инородного тела через кожу', 'W45', 20913, 'W20-W49', 0, 'Включены: проникновение: . края жесткой бумаги . ногтя . обломка крышки консервной банки . занозы Исключены: соприкосновение с: . ручными инструментами (несиловыми) (силовыми) (W27-W29) . ножом, саблей или кинжалом (W26.-) . острым стеклом (W25.-) удар предметом (W20-W22)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20940, 'Воздействие других и неуточненных неживых механических сил', 'W49', 20913, 'W20-W49', 0, 'Включены: аномальные силы тяготения [G]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20942, 'ВОЗДЕЙСТВИЕ ЖИВЫХ МЕХАНИЧЕСКИХ СИЛ', 'W50-W64', 20890, 'W00-X59', 12, '[См. вышеуказанные подрубрики кодов места происшествия]\nИсключены: укусы ядовитые (X20-X29) ужаливание (ядовитое) (X20-X29)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20943, 'Удар, толчок, пинок, выкручивание, укус или оцарапывание другим лицом', 'W50', 20942, 'W50-W64', 0, 'Исключены: нападение (X85-Y09) удар предметом (W20-W22)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20944, 'Удар другого лица или столкновение с ним', 'W51', 20942, 'W50-W64', 0, 'Исключено: падение в результате столкновения пешехода (перевозочного средства) с другим пешеходом (перевозочным средством) (W03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20945, 'Раздавливание, толчок или затаптывание толпой или при паническом бегстве людей', 'W52', 20942, 'W50-W64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20946, 'Укус крысы', 'W53', 20942, 'W50-W64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20947, 'Укус или удар, нанесенный собакой', 'W54', 20942, 'W50-W64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20948, 'Укус или удар, нанесенный другими млекопитающими', 'W55', 20942, 'W50-W64', 0, 'Исключен: контакт с морским животным (W56.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20949, 'Контакт с морским животным', 'W56', 20942, 'W50-W64', 0, 'Укус или удар, нанесенный морским животным');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20950, 'Укус или ужаливание неядовитым насекомым и другими неядовитыми членистоногими', 'W57', 20942, 'W50-W64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20951, 'Укус или удар, нанесенный крокодилом', 'W58', 20942, 'W50-W64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20952, 'Укус или раздавливание другими рептилиями', 'W59', 20942, 'W50-W64', 0, 'Включены: ящерица змея неядовитая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20953, 'Контакт с шипами и колючками растений или листьями с острыми краями', 'W60', 20942, 'W50-W64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20954, 'Воздействие других и неуточненных живых механических сил', 'W64', 20942, 'W50-W64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20956, 'СЛУЧАЙНОЕ УТОПЛЕНИЕ И ПОГРУЖЕНИЕ В ВОДУ', 'W65-W74', 20890, 'W00-X59', 8, '[См. вышеуказанные подрубрики кодов места происшествия]\nИсключены: погружение в воду и утопление при: . воздействии сил природы (X34-X39) . транспортных несчастных случаях (V01-V99) . несчастных случаях на водных транспортных средствах (V90.-, V92.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20957, 'Утопление и погружение в воду во время принятия ванны', 'W65', 20956, 'W65-W74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20958, 'Утопление и погружение в воду в результате падения в ванну', 'W66', 20956, 'W65-W74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20959, 'Утопление и погружение в воду во время нахождения в плавательном бассейне', 'W67', 20956, 'W65-W74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20960, 'Утопление и погружение в воду в результате падения в плавательный бассейн', 'W68', 20956, 'W65-W74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20961, 'Утопление и погружение в воду во время нахождения в естественном водоеме', 'W69', 20956, 'W65-W74', 0, 'Включены: озеро открытое море река ручей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20962, 'Утопление и погружение в воду в результате падения в естественный водоем', 'W70', 20956, 'W65-W74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20963, 'Другие уточненные случаи утопления и погружения в воду', 'W73', 20956, 'W65-W74', 0, 'Включены: противопожарная емкость для воды резервуар');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20964, 'Случаи утопления и погружения в воду неуточненные', 'W74', 20956, 'W65-W74', 0, 'Включены: утопление БДУ падение в воду БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20966, 'ДРУГИЕ НЕСЧАСТНЫЕ СЛУЧАИ С УГРОЗОЙ ДЫХАНИЮ', 'W75-W84', 20890, 'W00-X59', 9, '[См. вышеуказанные подрубрики кодов места происшествия]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20967, 'Случайное удушение и удавление в кровати', 'W75', 20966, 'W75-W84', 0, 'Включены: закрытие дыхательных путей и удушение: . постельным бельем . материнским телом . подушкой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20968, 'Другие случайные повешения и удавления', 'W76', 20966, 'W75-W84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20969, 'Угроза дыханию в результате засыпания сыпучими веществами,обвалившейся землей и другими породами', 'W77', 20966, 'W75-W84', 0, 'Включено: засыпание породой БДУ Исключено: засыпание породой при стихийных бедствиях (X34-X39) засыпание породой без асфиксии или удушения (W20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20970, 'Вдыхание содержимого желудка', 'W78', 20966, 'W75-W84', 0, 'Включены: асфиксия } закупорка дыхательных } рвотными массами путей } [срыгиваемой пищей] удушение } аспирация (попадание в дыхательные пути) рвоты БДУ сдавливание трахеи } прерывание дыхания } рвотными массами в закрытие дыхательных } пищеводе путей } Исключены: повреждение, за исключением асфиксии или закупорки дыхательных путей, вызванное рвотными массами (W44.-) закупорка пищевода рвотными массами без упоминания об асфиксии или закупорке дыхательных путей (W44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20971, 'Вдыхание и заглатывание пищи, приводящее к закупорке дыхательных путей', 'W79', 20966, 'W75-W84', 0, 'Включены: асфиксия } закупорка дыхательных } пищей (включая кость или путей } фруктовые косточки) удушение } аспирация пищи (любой) БДУ сдавливание трахеи } прерывание дыхания } закрытие дыхательных } пищей в пищеводе путей } закупорка глотки пищей (комком) Исключены: вдыхание рвотных масс (W78.-) повреждение, за исключением асфиксии или закупорки дыхательных путей, вызванное пищей (W44.-) закупорка пищевода пищей без упоминания об асфиксии или закупорке дыхательных путей (W44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20972, 'Вдыхание и заглатывание другого инородного тела, приводящее к закупорке дыхательных путей', 'W80', 20966, 'W75-W84', 0, 'Включены: асфиксия, вызванная } любым предметом, за исклюзакупорка дыхательных } чением пищи или рвотных путей } масс, проникшим через нос удушение } или рот аспирация (в дыхательные пути) инородного тела, за исключением пищи или рвотных масс БДУ сдавливание трахеи } прерывание дыхания } инородным телом в закрытие дыхательных путей } пищеводе инородное тело в носу закупорка глотки инородным телом Исключены: аспирация рвотных масс или пищи (W78-W79) повреждение, за исключением асфиксии и закупорки дыхательных путей, вызванное инородным телом (W44.-) закупорка пищевода инородным телом без упоминания об асфиксии или закупорке дыхательных путей (W44.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20973, 'Случайное или преднамеренное попадание в среду с низким содержанием кислорода', 'W81', 20966, 'W75-W84', 0, 'Включены: случайное попадание в холодильную камеру или другое герметически закрывающееся помещение повреждение, связанное с недостаточным обеспечением воздухом при нырянии Исключено: удушение пластиковым мешком (W83.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20974, 'Другие случаи уточненной угрозы дыханию', 'W83', 20966, 'W75-W84', 0, 'Включено: удушение пластиковым мешком');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20975, 'Угроза дыханию неуточненная', 'W84', 20966, 'W75-W84', 0, 'Включены: асфиксия БДУ аспирация БДУ удушение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20977, 'НЕСЧАСТНЫЕ СЛУЧАИ, ВЫЗВАННЫЕ ВОЗДЕЙСТВИЕМ ЭЛЕКТРИЧЕСКОГО ТОКА, ИЗЛУЧЕНИЯ И КРАЙНИХ ЗНАЧЕНИЙ УРОВНЕЙ ТЕМПЕРАТУРЫ ОКРУЖАЮЩЕЙ СРЕДЫ ИЛИ АТМОСФЕРНОГО ДАВЛЕНИЯ', 'W85-W99', 20890, 'W00-X59', 11, '[См. вышеуказанные подрубрики кодов места происшествия]\nИсключены: воздействие: . природного(ой): . холода (X31.-) . тепла (X30.-) . радиации БДУ (X39.-) . солнечного света (X32.-) жертва удара молнии (X33.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20978, 'Несчастный случай, связанный с линией электропередачи', 'W85', 20977, 'W85-W99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20979, 'Несчастный случай, связанный с источником электрического тока уточненным', 'W86', 20977, 'W85-W99', 0, 'Включены: ожог или другая травма, вызванная электрическим током БДУ электрошок БДУ смерть от поражения электрическим током БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20980, 'Несчастный случай, связанный с источником электрического тока неуточненным', 'W87', 20977, 'W85-W99', 0, 'Включены: ожог или другая травма, вызванная электрическим током БДУ электрошок БДУ смерть от поражения электрическим током БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20981, 'Воздействие ионизирующего излучения', 'W88', 20977, 'W85-W99', 0, 'Включены: воздействие радиоактивных изотопов воздействие рентгеновских лучей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20982, 'Воздействие искусственных видимых и ультрафиолетовых лучей', 'W89', 20977, 'W85-W99', 0, 'Включено: воздействие лучей при электросварке (дуговой)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20983, 'Воздействие другого неионизирующего излучения', 'W90', 20977, 'W85-W99', 0, 'Включены: воздействие: . инфракрасного } . лазерного } излучения . радиочастотного }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20984, 'Воздействие излучения неуточненного типа', 'W91', 20977, 'W85-W99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20985, 'Воздействие чрезмерного тепла от искусственного источника', 'W92', 20977, 'W85-W99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20986, 'Воздействие чрезмерного холода от искусственного источника', 'W93', 20977, 'W85-W99', 0, 'Включены: контакт с сухим льдом вдыхание паров: . жидкого: . воздуха . водорода . азота длительное пребывание в рефрижераторе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20987, 'Воздействие высокого и низкого атмосферного давления и изменений атмосферного давления', 'W94', 20977, 'W85-W99', 0, 'Включены: влияние: . высокого давления при быстром погружении в воду снижение давления при подъеме на поверхность после (из): . глубоководного погружения . подземелья проживание или длительное пребывание на большой высоте как причина: . аноксии . бародонталгии . бароотита . гипоксии . горной болезни внезапное изменение атмосферного давления в воздушном транспортном средстве во время взлета или посадки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20988, 'Воздействие других и неуточненных искусственно созданных факторов внешней среды', 'W99', 20977, 'W85-W99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20990, 'ВОЗДЕЙСТВИЕ ДЫМА, ОГНЯ И ПЛАМЕНИ', 'X00-X09', 20890, 'W00-X59', 9, '[См. вышеуказанные подрубрики кодов места происшествия]\nВключен: пожар, возникший от молнии\nИсключены: поджог (X97.-) вторичный пожар, возникший при взрыве (W35-W40) транспортный несчастный случай (V01-V99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20991, 'Воздействие неконтролируемого огня (пожара) в здании или сооружении', 'X00', 20990, 'X00-X09', 0, 'Обрушивание } Падение из } горящего здания или Удар предметом, выпавшим из } сооружения Выпрыгивание из } Воспламенение } Возгорание } Расплавление } обстановки, мебели Тление }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20992, 'Воздействие неконтролируемого огня (пожара) вне здания или сооружения', 'X01', 20990, 'X00-X09', 0, 'Включен: лесной пожар');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20993, 'Воздействие контролируемого огня в здании или сооружении', 'X02', 20990, 'X00-X09', 0, 'Включено: воздействие огня в: . камине . печи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20994, 'Воздействие контролируемого огня вне здания или сооружения', 'X03', 20990, 'X00-X09', 0, 'Включено: воздействие огня костра');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20995, 'Повреждение при загорании легковоспламеняющихся веществ', 'X04', 20990, 'X00-X09', 0, 'Включены: воспламенение: . газолина . керосина . бензина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20996, 'Повреждение при воспламенении или расплавлении ночной пижамы (рубашки)', 'X05', 20990, 'X00-X09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20997, 'Повреждение при воспламенении или расплавлении другой одежды и дополнений к ней', 'X06', 20990, 'X00-X09', 0, 'Включены: воспламенение } расплавление } пластмассовых украшений');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20998, 'Воздействие других уточненных источников дыма, огня и пламени', 'X08', 20990, 'X00-X09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(20999, 'Воздействие неуточненных источников дыма, огня и пламени', 'X09', 20990, 'X00-X09', 0, 'Включены: загорание БДУ сжигание БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21001, 'СОПРИКОСНОВЕНИЕ С ГОРЯЧИМИ И РАСКАЛЕННЫМИ ВЕЩЕСТВАМИ (ПРЕДМЕТАМИ)', 'X10-X19', 20890, 'W00-X59', 10, '[См. вышеуказанные подрубрики кодов места происшествия]\nИсключены: воздействие: . чрезмерно высокой природной температуры (X30.-) . огня и пламени (X00-X09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21002, 'Соприкосновение с горячими напитками, пищевыми продуктами, жирами и кулинарными маслами', 'X10', 21001, 'X10-X19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21003, 'Соприкосновение с горячей водой из крана', 'X11', 21001, 'X10-X19', 0, 'Включено: с горячей водой в: . ведре . кадке горячей водой, текущей из: . шланга . крана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21004, 'Соприкосновение с другими горячими жидкостями', 'X12', 21001, 'X10-X19', 0, 'Включено: с водой, согретой на плите Исключено: с раскаленным (жидким) металлом (X18.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21005, 'Воздействие пара и горячих испарений', 'X13', 21001, 'X10-X19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21006, 'Воздействие горячего воздуха и газов', 'X14', 21001, 'X10-X19', 0, 'Включено: вдыхание горячего воздуха и газов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21007, 'Соприкосновение с горячими бытовыми приборами', 'X15', 21001, 'X10-X19', 0, 'Включены: с: печью электрической или газовой плитой самоваром, чайником кастрюлей (стеклянной) (металлической) кухонной плитой тостером Исключено: с обогревательными приборами (X16.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21008, 'Соприкосновение с горячими обогревательными приборами, радиаторами отопления и трубами', 'X16', 21001, 'X10-X19', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21009, 'Соприкосновение с горячими двигателями, машинами и инструментами', 'X17', 21001, 'X10-X19', 0, 'Исключены: с: с горячими обогревательными приборами, радиаторами и трубами (X16.-) горячими бытовыми приборами (X15.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21010, 'Соприкосновение с другими раскаленными металлами', 'X18', 21001, 'X10-X19', 0, 'Включено: с жидким металлом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21011, 'Соприкосновение с другими и неуточненными горячими и раскаленными веществами и предметами', 'X19', 21001, 'X10-X19', 0, 'Исключено: с предметами, обычно не горячими, например, с предметами, раскаленными вследствие пожара в доме (X00-X09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21013, 'КОНТАКТ С ЯДОВИТЫМИ ЖИВОТНЫМИ И РАСТЕНИЯМИ', 'X20-X29', 20890, 'W00-X59', 10, '[См. вышеуказанные подрубрики кодов места происшествия]\nВключены: с химическими веществами, выделяемыми: . животными . насекомыми ядами, выделяемыми через зубы, волоски, иглы, щупальца и другой аппарат животных для выброса яда\nИсключено: употребление ядовитых животных или растений в пищу (X49.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21014, 'Контакт с ядовитыми змеями и ящерицами', 'X20', 21013, 'X20-X29', 0, 'Включены: с: коброй гюрзой эфой щитомордником гадюкой ядозубом мамбой гремучей змеей морской змеей змеей (ядовитой) Исключен: с ящерицей (неядовитой) (W59.-) со змеей (неядовитой) (W59.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21015, 'Контакт с ядовитыми пауками', 'X21', 21013, 'X20-X29', 0, 'Включены: с пауком "черная вдова" с тарантулом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21016, 'Контакт со скорпионом', 'X22', 21013, 'X20-X29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21017, 'Контакт с шершнями, осами и пчелами', 'X23', 21013, 'X20-X29', 0, 'Включен: с "желтым жакетом" [yellow jacket]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21018, 'Контакт с многоножками и ядовитыми тысяченожками (тропическими)', 'X24', 21013, 'X20-X29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21019, 'Контакт с другими уточненными ядовитыми членистоногими', 'X25', 21013, 'X20-X29', 0, 'Включен: с муравьями с гусеницами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21020, 'Контакт с ядовитыми морскими животными и растениями', 'X26', 21013, 'X20-X29', 0, 'Включены: с: коралловыми полипами медузами нематоцистами морскими: . анемонами . огурцами . ежами Исключены: с неядовитыми морскими животными (W56.-) с морскими змеями (X20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21021, 'Контакт с другими уточненными ядовитыми животными', 'X27', 21013, 'X20-X29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21022, 'Контакт с другими уточненными ядовитыми растениями', 'X28', 21013, 'X20-X29', 0, 'Включено: попадание ядовитых веществ или токсинов через кожу при уколе колючками, иглами или другими путями Исключены: употребление в пищу ядовитых растений (X49.-) колотая рана БДУ, вызванная колючками или иглами растения (W60.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21023, 'Контакт с неуточненными ядовитыми растениями и животными', 'X29', 21013, 'X20-X29', 0, 'Включены: ужаливание (ядовитое) БДУ укус ядовитый БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21025, 'ВОЗДЕЙСТВИЕ СИЛ ПРИРОДЫ', 'X30-X39', 20890, 'W00-X59', 10, '[См. вышеуказанные подрубрики кодов места происшествия]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21026, 'Воздействие чрезмерно высокой природной температуры', 'X30', 21025, 'X30-X39', 0, 'Включены: чрезмерно высокая внешняя температура как причина солнечного удара воздействие высокой температуры БДУ Исключено: воздействие чрезмерно высокой температуры искусственного происхождения (W92.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21027, 'Воздействие чрезмерно низкой природной температуры', 'X31', 21025, 'X30-X39', 0, 'Включены: чрезмерно низкая внешняя температура как причина: . ознобления БДУ . отморожения ноги или руки воздействие: . холода БДУ . погодных условий Исключены: воздействие холода искусственного происхождения (W93.-) контакт с сухим льдом (W93.-) вдыхание сжиженного газа (W93.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21028, 'Воздействие солнечного света', 'X32', 21025, 'X30-X39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21029, 'Жертва удара молнии', 'X33', 21025, 'X30-X39', 0, 'Исключены: пожар, вызванный молнией (X00-X09) травма вследствие вызванного молнией падения дерева или другого объекта (W20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21030, 'Жертва землетрясения', 'X34', 21025, 'X30-X39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21031, 'Жертва извержения вулкана', 'X35', 21025, 'X30-X39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21032, 'Жертва снежного обвала, оползня и их подвижек грунта', 'X36', 21025, 'X30-X39', 0, 'Включен: сель, связанный с природными катаклизмами Исключены: землетрясение (X34.-) транспортный несчастный случай, обусловленный столкновением с неподвижным снежным обвалом или оползнем (V01-V99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21033, 'Жертва разрушительного шторма', 'X37', 21025, 'X30-X39', 0, 'Включены: бурана ливня циклона урагана торнадо проливных дождей снесение транспортного средства с дороги во время шторма Исключены: разрушение дамбы или другого искусственного сооружения, вызвавшее подвижки грунта (X36.-) транспортный несчастный случай, происшедший после шторма (V01-V99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21034, 'Жертва наводнения', 'X38', 21025, 'X30-X39', 0, 'Включены: наводнение: . вызванное отдаленным штормом . вызванное таянием снегов при природных катаклизмах . вызванное непосредственно штормом Исключены: наводнение, вызванное разрушением дамбы или другого искусственного сооружения (X36.-) приливная волна: . БДУ (X39.-) . вызванная штормом (X37.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21035, 'Воздействие других и неуточненных сил природы', 'X39', 21025, 'X30-X39', 0, 'Включены: естественная радиация БДУ приливная волна БДУ Исключено: внешнее воздействие БДУ (X59.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21037, 'СЛУЧАЙНОЕ ОТРАВЛЕНИЕ И ВОЗДЕЙСТВИЕ ЯДОВИТЫМИ ВЕЩЕСТВАМИ', 'X40-X49', 20890, 'W00-X59', 10, '[См. вышеуказанные подрубрики кодов места происшествия]\nПримечание. Уточненный перечень лекарственных средств и других веществ, классифицированных в трехзначных рубриках, см. в Таблице лекарственных средств и химических веществ в Алфавитном указателе. Наличие алкоголя вместе с веществами, указанными ниже, можно идентифицировать путем использования дополнительных кодов Y90-Y91.\nВключены: случайная передозировка, неправильное назначение лекарственного средства, прием его по ошибке или невниманию несчастные случаи при использовании лекарственных средств, медикаментов и биологических веществ при терапевтических и хирургических процедурах отравление, не уточненнное как случайное или преднамеренное\nИсключены: введение лекарственного средства с целью убийства или самоубийства, с целью нанесения вреда или при других обстоятельствах, классифицированных в рубриках X60-X69, X85-X90, Y10-Y19 соответствующее назначению, правильно введенное в терапевтических или профилактических дозах лекарственное средство как причина неблагоприятной реакции (Y40-Y59)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21038, 'Случайное отравление и воздействие неопиоидными анальгетиками, жаропонижающими и противоревматическими средствами', 'X40', 21037, 'X40-X49', 0, 'Включены: производные 4-аминофенола нестероидные противовоспалительные средства производные пиразолона салицилаты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21039, 'Случайное отравление и воздействие противосудорожными, седативными, снотворными, противопаркинсоническими и психотропными средствами, не классифицированные в других рубриках', 'X41', 21037, 'X40-X49', 0, 'Включены: антидепрессанты барбитураты производные гидантоина иминостилбены соединения метаквалона нейролептики психостимуляторы сукцинимиды и оксазолидинедионы транквилизаторы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21040, 'Случайное отравление и воздействие наркотиками и психодислептиками [галлюциногенами], не классифицированные в других рубриках', 'X42', 21037, 'X40-X49', 0, 'Включены: каннабис (производные) кокаин кодеин героин лизергид [LSD] мескалин метадон морфин опиум (алкалоиды)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21041, 'Случайное отравление и воздействие другими лекарственными средствами, влияющими на вегетативную нервную систему', 'X43', 21037, 'X40-X49', 0, 'Включены: парасимпатолитические [антихолинергические и антимускаринные средства] и спазмолитические средства парасимпатомиметические [холинергические] средства симпатолитические [антидренергические] средства симпатомиметические [адренергические] средства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21042, 'Случайное отравление и воздействие другими и неуточненными лекарственными средствами, медикаментами и биологическими субстанциями', 'X44', 21037, 'X40-X49', 0, 'Включены: средства, преимущественно влияющие на гладкую и скелетную мускулатуру и дыхательную систему анестезирующие средства (общего действия) (местного действия) препараты, влияющие на: . сердечно-сосудистую систему . желудочно-кишечный тракт гормоны и их синтетические заменители системные и гематологические средства антибиотики системного действия и другие противоинфекционные средства газы терапевтического назначения вакцины вещества, влияющие на водный баланс, и лекарственные средства, влияющие на минеральный обмен и обмен мочевой кислоты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21043, 'Случайное отравление и воздействие алкоголем', 'X45', 21037, 'X40-X49', 0, 'Включены: спирт: . БДУ . бутиловый [1-бутанол] . этиловый [этанол] . изопропиловый [2-пропанол] . метиловый [метанол] . пропиловый [1-пропанол] сивушное масло');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21044, 'Случайное отравление и воздействие органическими растворителями, галогенсодержащими углеводородами и их парами', 'X46', 21037, 'X40-X49', 0, 'Включены: бензол и его гомологи четыреххлористый углерод [тетрахлорметан] хлорфторуглероды нефть (производные)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21045, 'Случайное отравление и воздействие другими газами и парообразными веществами', 'X47', 21037, 'X40-X49', 0, 'Включены: окись углерода слезоточивый газ отработанный газ двигателя (мототранспортного средства) окислы азота двуокись серы бытовой газ Исключены: пары и дымы металлов (X49.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21046, 'Случайное отравление и воздействие пестицидами', 'X48', 21037, 'X40-X49', 0, 'Включены: фумиганты фунгициды гербициды инсектициды родентициды средства для протравливания древесины Исключены: удобрения и средства для подкормки растений (X49.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21047, 'Случайное отравление и воздействие другими и неуточненными химическими и ядовитыми веществами', 'X49', 21037, 'X40-X49', 0, 'Включены: разъедающие ароматические вещества, кислоты и едкие щелочи клеи и адгезивные вещества металлы, включая дымы и пары красители и краски удобрения и средства для подкормки растений яды БДУ ядовитые продукты питания и ядовитые растения мыла и детергенты Исключены: контакты с ядовитыми животными и растениями (X20-X29)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21049, 'ПЕРЕНАПРЯЖЕНИЕ, ПУТЕШЕСТВИЯ И ЛИШЕНИЯ', 'X50-X57', 20890, 'W00-X59', 6, '[См. вышеуказанные подрубрики кодов места происшествия]\nИсключены: нападение (X85-Y09) транспортные несчастные случаи (V01-V99)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21050, 'Перенапряжение и резкие или повторяющиеся движения', 'X50', 21049, 'X50-X57', 0, 'Включены: поднятие: . тяжелого предмета . тяжестей марафонский бег гребля');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21051, 'Путешествия и передвижения', 'X51', 21049, 'X50-X57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21052, 'Продолжительное пребывание в состоянии невесомости', 'X52', 21049, 'X50-X57', 0, 'Включена: невесомость в (моделируемом) космическом транспортном средстве');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21053, 'Отсутствие пищи', 'X53', 21049, 'X50-X57', 0, 'Включены: отсутствие пищи как причина: . истощения . недоедания . голодания Исключено: в результате оставления без внимания или без ухода (Y06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21054, 'Отсутствие воды', 'X54', 21049, 'X50-X57', 0, 'Включены: отсутствие воды как причина: . обезвоживания . изнурения Исключено: в результате оставления без внимания или без ухода (Y06.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21055, 'Лишения неуточненные', 'X57', 21049, 'X50-X57', 0, 'Включена: нищета');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21057, 'СЛУЧАЙНОЕ ВОЗДЕЙСТВИЕ ДРУГИХ И НЕУТОЧНЕННЫХ ФАКТОРОВ', 'X58-X59', 20890, 'W00-X59', 2, '[См. вышеуказанные подрубрики кодов места происшествия]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21058, 'Воздействие других уточненных факторов', 'X58', 21057, 'X58-X59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21059, 'Воздействие неуточненного фактора', 'X59', 21057, 'X58-X59', 0, 'Включены: несчастный случай БДУ неблагоприятное воздействие БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21062, 'ПРЕДНАМЕРЕННОЕ САМОПОВРЕЖДЕНИЕ', 'X60-X84', 20001, 'V01-Y98', 25, '[См. вышеуказанные подрубрики кодов места происшествия]\nВключены: преднамеренное самоповреждение путем отравления или травмирования самоубийство (попытка)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21063, 'Преднамеренное самоотравление и воздействие неопиоидными анальгетиками, жаропонижающими и противоревматическими средствами', 'X60', 21062, 'X60-X84', 0, 'Включены: производные 4-аминофенола нестероидные противовоспалительные препараты производные пиразолона салицилаты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21064, 'Преднамеренное самоотравление и воздействие противосудорожными,седативными, снотворными, противопаркинсоническими и психотропными средствами, не классифицированные в других рубриках', 'X61', 21062, 'X60-X84', 0, 'Включены: антидепрессанты барбитураты производные гидантоина иминостилбены соединения метаквалона нейролептики психостимуляторы сукцинимиды и оксазолидинедионы транквилизаторы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21065, 'Преднамеренное самоотравление и воздействие наркотиками и психодислептиками [галлюциногенами], не классифицированные в других рубриках', 'X62', 21062, 'X60-X84', 0, 'Включены: каннабис (производные) кокаин кодеин героин лизергид [LSD] мескалин метадон морфий опиум (алкалоиды)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21066, 'Преднамеренное самоотравление и воздействие другими лекарственными средствами, действующими на вегетативную нервную систему', 'X63', 21062, 'X60-X84', 0, 'Включены: парасимпатолитические [антихолинергические и антимускаринные средства] и спазмолитические средства парасимпатомиметические [холинергические] средства симпатолитические [антиадренергические] средства симпатомиметические [адренергические] средства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21067, 'Преднамеренное самоотравление и воздействие другими и неуточненными лекарственными средствами, медикаментами и биологическими веществами', 'X64', 21062, 'X60-X84', 0, 'Включены: средства, преимущественно влияющие на гладкую и скелетную мускулатуру и дыхательную систему анестезирующие средства (общего действия) (местного действия) препараты, влияющие на: . сердечно-сосудистую систему . желудочно-кишечный тракт гормоны и их синтетические заменители системные и гематологические средства антибиотики системного действия и другие противоинфекционные средства газы терапевтического назначения препараты местного действия вакцины вещества, влияющие на водный баланс, и лекарственные средства, влияющие на минеральный обмен и обмен мочевой кислоты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21068, 'Преднамеренное самоотравление и воздействие алкоголем', 'X65', 21062, 'X60-X84', 0, 'Включены: спирт: . БДУ . бутиловый [1-бутанол] . этиловый [этанол] . изопропиловый [2-пропанол] . метиловый [метанол] . пропиловый [1-пропанол] сивушное масло');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21069, 'Преднамеренное самоотравление и воздействие органическими растворителями, галогенсодержащими углеводородами и их парами', 'X66', 21062, 'X60-X84', 0, 'Включены: бензол и его гомологи четыреххлористый углерод [тетрахлорметан] хлорфторуглероды нефть (производные)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21070, 'Преднамеренное самоотравление и воздействие другими газами и парообразными веществами', 'X67', 21062, 'X60-X84', 0, 'Включены: окись углерода слезоточивый газ отработанный газ двигателя (мототранспортного средства) окислы азота двуокись серы бытовой газ Исключены: пары и дымы металлов (X69.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21071, 'Преднамеренное самоотравление и воздействие пестицидами', 'X68', 21062, 'X60-X84', 0, 'Включены: фумиганты фунгициды гербициды инсектициды родентициды средства для протравливания древесины Исключено: удобрения и средства для подкормки растений (X69.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21072, 'Преднамеренное самоотравление и воздействие другими и неуточненными химическими и ядовитыми веществами', 'X69', 21062, 'X60-X84', 0, 'Включены: разъедающие ароматические вещества, кислоты и едкие щелочи клеи и адгезивные вещества металлы, включая дымы и пары красители и краски удобрения и средства для подкормки растений яды БДУ ядовитые продукты питания и ядовитые растения мыла и детергенты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21073, 'Преднамеренное самоповреждение путем повешения, удавления и удушения', 'X70', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21074, 'Преднамеренное самоповреждение путем погружения в воду и утопления', 'X71', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21075, 'Преднамеренное самоповреждение путем выстрела из ручного огнестрельного оружия', 'X72', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21076, 'Преднамеренное самоповреждение путем выстрела из винтовки, дробового ружья и крупнокалиберного огнестрельного оружия', 'X73', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21077, 'Преднамеренное самоповреждение путем выстрела из другого и неуточненного огнестрельного оружия', 'X74', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21078, 'Преднамеренное самоповреждение путем использования взрывчатых веществ', 'X75', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21079, 'Преднамеренное самоповреждение дымом, огнем и пламенем', 'X76', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21080, 'Преднамеренное самоповреждение паром, горячими испарениями и горячими предметами', 'X77', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21081, 'Преднамеренное самоповреждение острым предметом', 'X78', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21082, 'Преднамеренное самоповреждение тупым предметом', 'X79', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21083, 'Преднамеренное самоповреждение путем прыжка с высоты', 'X80', 21062, 'X60-X84', 0, 'Включено: преднамеренное падение с одного уровня на другой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21084, 'Преднамеренное самоповреждение путем прыжка под движущийся объект или лежания перед ним', 'X81', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21085, 'Преднамеренное самоповреждение посредством аварии моторного транспортного средства', 'X82', 21062, 'X60-X84', 0, 'Включены: преднамеренное столкновение с: . мототранспортным средством . поездом . трамваем Исключено: посредством аварии самолета (X83.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21086, 'Преднамеренное самоповреждение посредством других уточненных действий', 'X83', 21062, 'X60-X84', 0, 'Включены: преднамеренное самоповреждение посредством: . воздействия едких веществ, исключая ядовитые . аварии самолета . поражения электрическим током');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21087, 'Преднамеренное самоповреждение посредством неуточненных действий', 'X84', 21062, 'X60-X84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21089, 'НАПАДЕНИЕ', 'X85-Y09', 20001, 'V01-Y98', 25, '[См. вышеуказанные подрубрики кодов места происшествия]\nВключены: убийства повреждения, причиненные другим лицом с целью нанесения травм или убийства с помощью любых средств\nИсключены: повреждения вследствие: . предусмотренных законом действий (Y35.-) . военных действий (Y36.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21090, 'Нападение с применением лекарственных средств, медикаментов и биологических веществ', 'X85', 21089, 'X85-Y09', 0, 'Включены: убийство путем отравления: . биологическими веществами . лекарственными средствами . медикаментами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21091, 'Нападение с применением едких веществ', 'X86', 21089, 'X85-Y09', 0, 'Исключено: с применением едких газов (X88.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21092, 'Нападение с применением пестицидов', 'X87', 21089, 'X85-Y09', 0, 'Включено: с применением средств для протравливания древесины Исключено: с применением средств для подкормки растений и удобрений (X89.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21093, 'Нападение  с применением газов и парообразных веществ', 'X88', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21094, 'Нападение с применением других уточненных химических и ядовитых веществ', 'X89', 21089, 'X85-Y09', 0, 'Включено: с применением средств для подкормки растений и удобрений');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21095, 'Нападение с применением неуточненных химических или ядовитых веществ', 'X90', 21089, 'X85-Y09', 0, 'Включено: убийство путем отравления БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21096, 'Нападение путем повешения, удушения и удавления', 'X91', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21097, 'Нападение путем утопления и погружения в воду', 'X92', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21098, 'Нападение путем выстрела из ручного огнестрельного оружия', 'X93', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21099, 'Нападение путем выстрела из винтовки, дробового ружья и огнестрельного оружия крупного калибра', 'X94', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21100, 'Нападение путем выстрела из другого и неуточненного огнестрельного оружия', 'X95', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21101, 'Нападение путем использования взрывчатых веществ', 'X96', 21089, 'X85-Y09', 0, 'Исключено: путем использования зажигательной смеси (X97.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21102, 'Нападение с применением дыма, огня и пламени', 'X97', 21089, 'X85-Y09', 0, 'Включены: поджог использование: . сигарет . зажигательной смеси');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21103, 'Нападение с применением пара, горячих испарений и горячих предметов', 'X98', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21104, 'Нападение с применением острого предмета', 'X99', 21089, 'X85-Y09', 0, 'Включено: ранение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21105, 'Нападение с применением тупого предмета', 'Y00', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21106, 'Нападение путем сталкивания с высоты', 'Y01', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21107, 'Нападение путем толкания под движущийся объект или укладывания жертвы перед ним', 'Y02', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21108, 'Нападение путем наезда моторным транспортным средством', 'Y03', 21089, 'X85-Y09', 0, 'Включены: преднамеренный удар или наезд мототранспортным средством');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21109, 'Нападение путем применения физической силы', 'Y04', 21089, 'X85-Y09', 0, 'Включена: драка или схватка без оружия Исключены: нападение путем: . удавления (X91.-) . погружения в воду (X92.-) . использования оружия (X93-X95, X99.-, Y00.-) сексуальное нападение с применением физической силы (Y05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21110, 'Сексуальное нападение с применением физической силы', 'Y05', 21089, 'X85-Y09', 0, 'Включены: изнасилование (попытка) содомия (попытка)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21111, 'Лишение ухода или оставление без присмотра', 'Y06', 21089, 'X85-Y09', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21112, 'Супругом или партнером', 'Y06.0', 21111, 'Y06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21113, 'Родителем', 'Y06.1', 21111, 'Y06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21114, 'Знакомым или другом', 'Y06.2', 21111, 'Y06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21115, 'Другими уточненными лицами', 'Y06.8', 21111, 'Y06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21116, 'Неуточненным лицом', 'Y06.9', 21111, 'Y06', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21117, 'Другие формы плохого обращения', 'Y07', 21089, 'X85-Y09', 6, 'Включены: психическая жестокость физическая жестокость сексуальная жестокость мучения Исключены: лишение присмотра и ухода (Y06.-) сексуальное нападение с применением физической силы (Y05.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21118, 'Супругом или партнером', 'Y07.0', 21117, 'Y07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21119, 'Родителем', 'Y07.1', 21117, 'Y07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21120, 'Знакомым или другом', 'Y07.2', 21117, 'Y07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21121, 'Официальными лицами', 'Y07.3', 21117, 'Y07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21122, 'Другими уточненными лицами', 'Y07.8', 21117, 'Y07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21123, 'Неуточненным лицом', 'Y07.9', 21117, 'Y07', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21124, 'Нападение другими уточненными способами', 'Y08', 21089, 'X85-Y09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21125, 'Нападение неуточненным способом', 'Y09', 21089, 'X85-Y09', 0, 'Включены: политическое убийство (попытка) БДУ истребление людей (попытка) БДУ человекоубийство (неслучайное) нанесение смертельного повреждения (попытка) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21127, 'ПОВРЕЖДЕНИЕ С НЕОПРЕДЕЛЕННЫМИ НАМЕРЕНИЯМИ', 'Y10-Y34', 20001, 'V01-Y98', 25, '[См. вышеуказанные подрубрики кодов места происшествия]\nПримечание. Этот блок включает случаи, когда доступной информации недостаточно, чтобы медицинские и юридические эксперты могли сделать вывод о том, является ли данный инцидент несчастным случаем, самоповреждением или насилием с целью убийства или нанесения повреждений. Сюда включены самоповреждения, исключая отравления, при отсутствии указаний на их характер - случайный или преднамеренный.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21128, 'Отравление и воздействие неопиоидными анальгетиками, жаропонижающими и потиворевматическими средствами с неопределенными намерениями', 'Y10', 21127, 'Y10-Y34', 0, 'Включены: производные 4-аминофенола нестероидные противовоспалительные препараты производные пиразолона салицилаты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21129, 'Отравление и воздействие противосудорожными, седативными, снотворными, противопаркинсоническими и психотропными средствами, не классифицированное в других рубриках, с неопределенными намерениями', 'Y11', 21127, 'Y10-Y34', 0, 'Включены: антидепрессанты барбитураты производные гидантоина иминостилбены соединения метаквалона нейролептики психостимуляторы сукцинимиды и оксазолидинедионы транквилизаторы');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21130, 'Отравление и воздействие наркотиками и психодислептиками [галлюциногенами], не классифицированное в других рубриках, с неопределенными намерениями', 'Y12', 21127, 'Y10-Y34', 0, 'Включены: каннабис (производные) кокаин кодеин героин лизергид [LSD] мескалин метадон морфий опиум (алкалоиды)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21131, 'Отравление и воздействие другими лекарственными средствами, влияющими на вегетативную нервную систему, с неопределенными намерениями', 'Y13', 21127, 'Y10-Y34', 0, 'Включены: парасимпатолитические [антихолинергические и антимускаринные средства] и спазмолитические средства парасимпатомиметические средства [холинергетики] симпатолитические средства [антиадренергетики] симпатомиметические средства [адренергетики]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21132, 'Отравление и воздействие другими и неуточненными лекарственными средствами, медикаментами и биологическими веществами с неопределенными намерениями', 'Y14', 21127, 'Y10-Y34', 0, 'Включены: средства, преимущественно влияющие на гладкую и скелетную мускулатуру и дыхательную систему анестезирующие средства (общего действия) (местного действия) препараты, влияющие на: . сердечно-сосудистую систему . желудочно-кишечный тракт гормоны и их синтетические заменители системные и гематологические средства антибиотики системного действия и другие противоинфекционные средства газы терапевтического назначения препараты местного действия вакцины вещества, влияющие на водный баланс, и лекарственные средства, влияющие на минеральный обмен и обмен мочевой кислоты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21133, 'Отравление и воздействие алкоголем с неопределенными намерениями', 'Y15', 21127, 'Y10-Y34', 0, 'Включены: спирт: . БДУ . бутиловый [1-бутанол] . этиловый спирт [этанол] . изопропиловый спирт [2-пропанол] . метиловый спирт [метанол] . пропиловый спирт [1-пропанол] сивушное масло');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21134, 'Отравление и воздействие органическими растворителями и галогенсодержащими углеводородами и их парами с неопределенными намерениями', 'Y16', 21127, 'Y10-Y34', 0, 'Включены: бензол и его гомологи четыреххлористый углерод [тетрахлорметан] хлорфторуглероды нефть (производные)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21135, 'Отравление и воздействие другими газами и парообразными веществами с неопределенными намерениями', 'Y17', 21127, 'Y10-Y34', 0, 'Включены: окись углерода слезоточивый газ отработанные газы двигателя (мототранспортного средства) окислы азота двуокись серы бытовой газ Исключены: дымы и пары металлов (Y19.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21136, 'Отравление и воздействие пестицидами с неопределенными намерениями', 'Y18', 21127, 'Y10-Y34', 0, 'Включены: фумиганты фунгициды гербициды инсектициды родентициды средства для протравливания древесины Исключены: удобрения и средства для подкормки растений (Y19.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21137, 'Отравление  и воздействие другими и неуточненными химическими и ядовитыми веществами с неопределенными намерениями', 'Y19', 21127, 'Y10-Y34', 0, 'Включены: разъедающие ароматические вещества, кислоты и едкие щелочи клеи и адгезивные вещества металлы, включая дымы и пары красители и краски удобрения и средства для подкормки растений яды БДУ ядовитые продукты питания и ядовитые растения мыла и детергенты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21138, 'Повешение, удушение и удавление с неопределенными намерениями', 'Y20', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21139, 'Погружение в воду и утопление с неопределенными намерениями', 'Y21', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21140, 'Повреждение в результате выстрела из ручного огнестрельного оружия с неопределенными намерениями', 'Y22', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21141, 'Повреждение в результате выстрела из винтовки, дробового ружья и крупнокалиберного огнестрельного оружия с неопределенными намерениями', 'Y23', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21142, 'Повреждение в результате выстрела из другого и неуточненного огнестрельного оружия с неопределенными намерениями', 'Y24', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21143, 'Контакт со взрывчатым веществом с неопределенными намерениями', 'Y25', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21144, 'Воздействие дымом, огнем и пламенем с неопределенными намерениями', 'Y26', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21145, 'Контакт с паром, горячими испарениями и горячими предметами с неопределенными намерениями', 'Y27', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21146, 'Контакт с острым предметом с неопределенными намерениями', 'Y28', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21147, 'Контакт с тупым предметом с неопределенными намерениями', 'Y29', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21148, 'Падение, прыжок или сталкивание с высоты с неопределенными намерениями', 'Y30', 21127, 'Y10-Y34', 0, 'Включена: жертва падения с одного уровня на другой, не уточненного как случайное или преднамеренное');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21149, 'Падение, лежание или бег перед движущимся объектом или на него с неопределенными намерениями', 'Y31', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21150, 'Авария моторного транспортного средства с неопределенными намерениями', 'Y32', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21151, 'Другие уточненные повреждения, не уточненные как случайные или преднамеренные', 'Y33', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21152, 'Неуточненные повреждения с неопределенными намерениями', 'Y34', 21127, 'Y10-Y34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21154, 'ДЕЙСТВИЯ, ПРЕДУСМОТРЕННЫЕ ЗАКОНОМ, И ВОЕННЫЕ ОПЕРАЦИИ', 'Y35-Y36', 20001, 'V01-Y98', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21155, 'Действия, предусмотренные законом', 'Y35', 21154, 'Y35-Y36', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21156, 'Повреждения в результате действий, предусмотренных законом, включая повреждения огнестрельным оружием', 'Y35.0', 21155, 'Y35', 0, 'Пулевое ранение Повреждение, произведенное: . предметом . револьвером . дробью или резиновой пулей Пуля БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21157, 'Повреждения в результате действий, предусмотренных законом, сопровождающиеся взрывом', 'Y35.1', 21155, 'Y35', 0, 'Повреждение, вызванное: . динамитом . взрывной миной . гранатой . бомбой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21158, 'Повреждения в результате действий, предусмотренных законом, с использованием газа', 'Y35.2', 21155, 'Y35', 0, 'Асфиксия, вызванная газом Повреждение слезоточивым газом Отравление газом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21159, 'Повреждения в результате действий, предусмотренных законом, с использованием тупых предметов', 'Y35.3', 21155, 'Y35', 0, 'Удар, пинок: . дубинкой . тупым предметом . палкой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21160, 'Повреждения в результате действий, предусмотренных законом, с использованием острых предметов', 'Y35.4', 21155, 'Y35', 0, 'Порез Штыковое ранение Колотая рана');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21161, 'Предусмотренная законом смертная казнь', 'Y35.5', 21155, 'Y35', 0, 'Все виды казни, предусмотренные постановлением судебных или правительственных органов (постоянных или временных), такие, как: . удушение газом . обезглавливание (гильотиной) . казнь на электрическом стуле . повешение . отравление . расстрел');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21162, 'Предусмотренное законом нанесение повреждений другими уточненными средствами', 'Y35.6', 21155, 'Y35', 0, 'Избиение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21163, 'Предусмотренное законом нанесение повреждений неуточнен ными средствами', 'Y35.7', 21155, 'Y35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21164, 'Военные действия', 'Y36', 21154, 'Y35-Y36', 10, 'Примечание: Повреждения в результате боевых операций, полученные после прекращения военных действий классифицированы в рубрике Y36.8. Включены: травмы у военнослужащих и гражданских лиц, связанные с военными действиями и гражданскими беспорядками');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21165, 'Повреждения в результате военных действий, причиненные взрывом военно-морского оружия', 'Y36.0', 21164, 'Y36', 0, 'Глубинной бомбы Морской мины Мины БДУ в открытом море или гавани Снаряда морской артиллерии Торпеды Подводным взрывом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21166, 'Повреждения в результате военных действий, причиненные разрушением самолета', 'Y36.1', 21164, 'Y36', 0, 'Повреждение при: . загорании самолета . взрыве самолета . поражении самолета снарядом Раздавливание упавшим самолетом');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21167, 'Военные операции, вызвавшие повреждения другими видами взрывов или осколками', 'Y36.2', 21164, 'Y36', 0, 'Случайные взрывы: . на военном складе . личного оружия Противотанковой бомбой (осколками) Взрывом БДУ Разрывом: . БДУ . артиллерийского снаряда . затворного механизма . оружейного ствола . мины Осколками: . артиллерийского снаряда . бомбы . гранаты . управляемого снаряда . фугасной бомбы . ракеты . мины . шрапнели Мины БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21168, 'Повреждения в результате военных действий, причиненные огнем, пожаром и горячими веществами', 'Y36.3', 21164, 'Y36', 0, 'Асфиксия } вызванные огнем, возникшие в ре} зультате прямого действия зажиОжоги } гательных устройств или косвенно} го действия любого оружия обычноДругие повреждения } го типа Вызванные бензиновой бомбой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21169, 'Повреждения в результате военных действий, причиненные огнестрельным оружием и другими видами обычного вооружения', 'Y36.4', 21164, 'Y36', 0, 'Боевое ранение Штыковое ранение Ранение пулей (из): . винтовки . пулемета . пистолета . дробового ружья . резиновой (винтовочной) Утопление во время боевых действий БДУ Ранение пороховым зарядом (дробового ружья)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21170, 'Военные операции с использованием ядерного оружия', 'Y36.5', 21164, 'Y36', 0, 'Действие взрывной волны Действие ионизирующей радиации в связи с использованием ядерного оружия Действие светового излучения Тепловое воздействие Другое прямое и вторичное воздействие ядерного оружия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21171, 'Военные операции, связанные с использованием биологического оружия', 'Y36.6', 21164, 'Y36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21172, 'Военные операции, связанные с использованием химического и другого вида оружия массового уничтожения', 'Y36.7', 21164, 'Y36', 0, 'Газы, дымы, химические вещества Лазеры');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21173, 'Повреждения, полученные в результате боевых операций после прекращения военных действий', 'Y36.8', 21164, 'Y36', 0, 'Повреждения при взрыве бомб или мин, установленных в ходе боевых операций, если взрыв произошел после прекращения военных действий Повреждения, полученные в результате боевых операций после прекращения военных действий, классифицированные в рубриках Y36.0-Y36.7 или Y36.9');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21174, 'Повреждения, причиненные неуточненными военными действиями', 'Y36.9', 21164, 'Y36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21176, 'ОСЛОЖНЕНИЯ ТЕРАПЕВТИЧЕСКИХ И ХИРУРГИЧЕСКИХ ВМЕШАТЕЛЬСТВ', 'Y40-Y84', 20001, 'V01-Y98', 4, 'Включены: осложнения, связанные с медицинскими приборами и устройствами любые неблагоприятные реакции, связанные с соответствующими назначениями, правильно введенными в терапевтических или профилактических дозах лекарственными средствами случайное нанесение вреда больному во время хирургического и терапевтического вмешательства хирургические и терапевтические процедуры как причина анормальной реакции пациента или отдаленного осложнения без упоминания о случайном нанесении вреда больному во время их выполнения\nИсключены: случайная передозировка, неправильное назначение или прием лекарственного средства по ошибке (X40-X44)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21177, 'ЛЕКАРСТВЕННЫЕ СРЕДСТВА, МЕДИКАМЕНТЫ И БИОЛОГИЧЕСКИЕ ВЕЩЕСТВА, ЯВЛЯЮЩИЕСЯ ПРИЧИНОЙ НЕБЛАГОПРИЯТНЫХ РЕАКЦИЙ ПРИ ТЕРАПЕВТИЧЕСКОМ ПРИМЕНЕНИИ', 'Y40-Y59', 21176, 'Y40-Y84', 20, 'Примечание. Перечень специфических лекарственных средств, классифицированных в четырехзначных подрубриках, см. в Таблице лекарственных средств и химических веществ в Алфавитном указателе.\nИсключены: несчастные случаи, обусловленные несовершенной техникой введения лекарств, медикаментов или биологических веществ во время терапевтических и хирургических процедур (Y60-Y69)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21179, 'Антибиотики системного действия', 'Y40', 21177, 'Y40-Y59', 10, 'Исключены: антибиотики местного применения (Y56.-) противоопухолевые антибиотики (Y43.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21180, 'Пенициллины', 'Y40.0', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21181, 'Цефалоспорины и другие бета-лактамные антибиотики', 'Y40.1', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21182, 'Препараты хлорамфениколовой группы', 'Y40.2', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21183, 'Макролиды', 'Y40.3', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21184, 'Тетрациклины', 'Y40.4', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21185, 'Аминогликозиды', 'Y40.5', 21179, 'Y40', 0, 'Стрептомицин');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21186, 'Рифамицины', 'Y40.6', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21187, 'Противогрибковые антибиотики системного действия', 'Y40.7', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21188, 'Другие системные антибиотики', 'Y40.8', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21189, 'Системные антибиотики неуточненные', 'Y40.9', 21179, 'Y40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21190, 'Другие противоинфекционные и противопаразитарные средства системного действия', 'Y41', 21177, 'Y40-Y59', 8, 'Исключены: противоинфекционные препараты местного применения (Y56.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21191, 'Сульфаниламидные препараты', 'Y41.0', 21190, 'Y41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21192, 'Антимикобактериальные препараты', 'Y41.1', 21190, 'Y41', 0, 'Исключены: рифамицины (Y40.6) стрептомицин (Y40.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21193, 'Противомалярийные препараты и средства, действующие на других простейших, паразитирующих в крови', 'Y41.2', 21190, 'Y41', 0, 'Исключены: производные гидроксихинолина (Y41.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21194, 'Другие средства для лечения протозойных инфекций', 'Y41.3', 21190, 'Y41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21195, 'Антигельминтные средства', 'Y41.4', 21190, 'Y41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21196, 'Противовирусные лекарственные средства', 'Y41.5', 21190, 'Y41', 0, 'Исключены: амантадин (Y46.7) цитарабин (Y43.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21197, 'Другие уточненные системные противоинфекционные и противопаразитарные средства', 'Y41.8', 21190, 'Y41', 0, 'Производные гидроксихинолина Исключены: противомалярийные препараты (Y41.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21198, 'Системные противоинфекционные и противопаразитарные препараты неуточненные', 'Y41.9', 21190, 'Y41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21199, 'Гормоны и их синтетические заменители и антагонисты, не классифицированные в других рубриках', 'Y42', 21177, 'Y40-Y59', 10, 'Исключены: минералокортикоиды и их антагонисты (Y54.0-Y54.1) гормональные препараты группы окситоцина (Y55.0) паратиреоидные гормоны и их производные (Y54.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21200, 'Глюкокортикоиды и их синтетические аналоги', 'Y42.0', 21199, 'Y42', 0, 'Исключены: глюкокортикоиды местного применения (Y56.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21201, 'Тиреоидные гормоны и их заменители', 'Y42.1', 21199, 'Y42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21202, 'Антитиреоидные препараты', 'Y42.2', 21199, 'Y42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21203, 'Инсулин и пероральные гипогликемические [противодиабетические] препараты', 'Y42.3', 21199, 'Y42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21204, 'Пероральные контрацептивы', 'Y42.4', 21199, 'Y42', 0, 'Поли- и однокомпонентные препараты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21205, 'Другие эстрогены и прогестогены', 'Y42.5', 21199, 'Y42', 0, 'Смеси и их заменители');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21206, 'Антигонадотропины, антиэстрогены, антиандрогены,не классифицированные в других рубриках', 'Y42.6', 21199, 'Y42', 0, 'Тамоксифен');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21207, 'Андрогены и их анаболические аналоги', 'Y42.7', 21199, 'Y42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21208, 'Другие и неуточненные гормоны и их синтетические заменители', 'Y42.8', 21199, 'Y42', 0, 'Гормоны передней доли гипофиза');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21209, 'Другие и неуточненные антагонисты гормонов', 'Y42.9', 21199, 'Y42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21210, 'Препараты преимущественно системного действия', 'Y43', 21177, 'Y40-Y59', 9, 'Исключены: витамины НКДР (Y57.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21211, 'Противоаллергические и противорвотные средства', 'Y43.0', 21210, 'Y43', 0, 'Исключены: нейролептики - производные фенотиазина (Y49.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21212, 'Противоопухолевые антиметаболиты', 'Y43.1', 21210, 'Y43', 0, 'Цитарабин');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21213, 'Противоопухолевые природные препараты', 'Y43.2', 21210, 'Y43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21214, 'Другие противоопухолевые препараты', 'Y43.3', 21210, 'Y43', 0, 'Противоопухолевые антибиотики Исключен: тамоксифен (Y42.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21215, 'Иммунодепрессивные средства', 'Y43.4', 21210, 'Y43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21216, 'Средства, повышающие кислотность и щелочность', 'Y43.5', 21210, 'Y43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21217, 'Ферменты, не классифицированные в других рубриках', 'Y43.6', 21210, 'Y43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21218, 'Другие лекарственные средства, преимущественно системного действия, не классифицированные в других рубриках', 'Y43.8', 21210, 'Y43', 0, 'Антагонисты тяжелых металлов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21219, 'Лекарственные препараты системного действия неуточненные', 'Y43.9', 21210, 'Y43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21220, 'Препараты, влияющие преимущественно на компоненты крови', 'Y44', 21177, 'Y40-Y59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21221, 'Препараты железа и другие препараты для лечения гипохромной анемии', 'Y44.0', 21220, 'Y44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21222, 'Витамин B12, фолиевая кислота и другие препараты для лечения мегалобластной анемии', 'Y44.1', 21220, 'Y44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21223, 'Антикоагулянты', 'Y44.2', 21220, 'Y44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21224, 'Антагонисты антикоагулянтов, витамин K и другие коагулянты', 'Y44.3', 21220, 'Y44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21225, 'Противотромбические препараты [ингибиторы агрегации тромбоцитов]', 'Y44.4', 21220, 'Y44', 0, 'Исключены: ацетилсалициловая кислота (Y45.1) дипиридамол (Y52.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21226, 'Тромболитические препараты', 'Y44.5', 21220, 'Y44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21227, 'Нативная кровь и продукты крови', 'Y44.6', 21220, 'Y44', 0, 'Исключен: иммуноглобулин (Y59.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21228, 'Заменители плазмы', 'Y44.7', 21220, 'Y44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21229, 'Другие и неуточненные препараты, влияющие на состав крови', 'Y44.9', 21220, 'Y44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21230, 'Аналгезирующие, жаропонижающие и противовоспалительные средства', 'Y45', 21177, 'Y40-Y59', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21231, 'Опиоидные и родственные аналгезирующие средства', 'Y45.0', 21230, 'Y45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21232, 'Салицилаты', 'Y45.1', 21230, 'Y45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21233, 'Производные пропионовой кислоты', 'Y45.2', 21230, 'Y45', 0, 'Производные пропаноиновой кислоты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21234, 'Другие нестероидные противовоспалительные лекарственные средства [NSAID]', 'Y45.3', 21230, 'Y45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21235, 'Противоревматические средства', 'Y45.4', 21230, 'Y45', 0, 'Исключены: хлорохин (Y41.2) глюкокортикоиды (Y42.0) салицилаты (Y45.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21236, 'Производные 4-аминофенола', 'Y45.5', 21230, 'Y45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21237, 'Другие аналгезирующие, жаропонижающие и противовоспалительные средства', 'Y45.8', 21230, 'Y45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21238, 'Аналгезирующие, жаропонижающие и противовоспалительные средства неуточненные', 'Y45.9', 21230, 'Y45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21239, 'Противосудорожные и противопаркинсонические средства', 'Y46', 21177, 'Y40-Y59', 9, 'Исключены: ацетазоламид (Y54.2) барбитураты НКДР (Y47.0) бензодиазепины (Y47.1) паральдегиды (Y47.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21240, 'Сукцинимиды', 'Y46.0', 21239, 'Y46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21241, 'Оксазолидиндионы', 'Y46.1', 21239, 'Y46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21242, 'Производные гидантоина', 'Y46.2', 21239, 'Y46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21243, 'Деоксибарбитураты', 'Y46.3', 21239, 'Y46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21244, 'Иминостилбены', 'Y46.4', 21239, 'Y46', 0, 'Карбамазепин');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21245, 'Вальпроевая кислота', 'Y46.5', 21239, 'Y46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21246, 'Другие и неуточненные противосудорожные средства', 'Y46.6', 21239, 'Y46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21247, 'Противопаркинсонические лекарственные средства', 'Y46.7', 21239, 'Y46', 0, 'Амантадин');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21248, 'Антиспастические лекарственные средства', 'Y46.8', 21239, 'Y46', 0, 'Исключены: бензодиазепины (Y47.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21249, 'Седативные, снотворные и анксиолитические [противотревожные] средства', 'Y47', 21177, 'Y40-Y59', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21250, 'Барбитураты, не классифицированные в других рубриках', 'Y47.0', 21249, 'Y47', 0, 'Исключены: деоксибарбитураты (Y46.3) тиобарбитураты (Y48.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21251, 'Бензодиазепины', 'Y47.1', 21249, 'Y47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21252, 'Производные хлора', 'Y47.2', 21249, 'Y47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21253, 'Паральдегиды', 'Y47.3', 21249, 'Y47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21254, 'Соединения брома', 'Y47.4', 21249, 'Y47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21255, 'Различные седативные и снотворные средства, не классифицированные в других рубриках', 'Y47.5', 21249, 'Y47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21256, 'Другие седативные, снотворные и анксиолитические средства', 'Y47.8', 21249, 'Y47', 0, 'Метаквалон');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21257, 'Седативные, снотворные и анксиолитические средства неуточненные', 'Y47.9', 21249, 'Y47', 0, 'Снотворные: . капли } . порошки } БДУ . таблетки }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21258, 'Обезболивающие и терапевтические газы', 'Y48', 21177, 'Y40-Y59', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21259, 'Анестезирующие средства, применяющиеся в виде ингаляций', 'Y48.0', 21258, 'Y48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21260, 'Парентеральные обезболивающие препараты', 'Y48.1', 21258, 'Y48', 0, 'Тиобарбитураты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21261, 'Другие и неуточненные обезболивающие вещества общего действия', 'Y48.2', 21258, 'Y48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21262, 'Местноанестезирующие средства', 'Y48.3', 21258, 'Y48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21263, 'Обезболивающие средства неуточненные', 'Y48.4', 21258, 'Y48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21264, 'Терапевтические газы', 'Y48.5', 21258, 'Y48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21265, 'Психотропные средства, не классифицированные в других рубриках', 'Y49', 21177, 'Y40-Y59', 10, 'Исключены: препараты, снижающие аппетит [анорексигенные средства] (Y57.0) барбитураты НКДР (Y47.0) бензодиазепины (Y47.1) кофеин (Y50.2) кокаин (Y48.3) метаквалон (Y47.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21266, 'Трициклические и тетрациклические антидепрессанты', 'Y49.0', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21267, 'Ингибиторы моноаминоксидазы', 'Y49.1', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21268, 'Другие и неуточненные антидепрессанты', 'Y49.2', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21269, 'Антипсихотические и нейролептические препараты фенотиазинового ряда', 'Y49.3', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21270, 'Нейролептики - производные бутирофенона и тиоксантена', 'Y49.4', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21271, 'Другие антипсихотические и нейролептические препараты', 'Y49.5', 21265, 'Y49', 0, 'Исключена: раувольфия (Y52.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21272, 'Психодислептики [галлюциногены]', 'Y49.6', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21273, 'Психостимулирующие средства, характеризующиеся возможностью пристрастия к ним', 'Y49.7', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21274, 'Другие психотропные препараты, не классифицированные в других рубриках', 'Y49.8', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21275, 'Психотропные средства неуточненные', 'Y49.9', 21265, 'Y49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21276, 'Препараты, стимулирующие центральную нервную систему, не классифицированные в других рубриках', 'Y50', 21177, 'Y40-Y59', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21277, 'Аналептические средства', 'Y50.0', 21276, 'Y50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21278, 'Антагонисты опиоидных рецепторов', 'Y50.1', 21276, 'Y50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21279, 'Метилксантины, не классифицированные в других рубриках', 'Y50.2', 21276, 'Y50', 0, 'Кофеин Исключены: аминофиллин (Y55.6) теобромин (Y55.6) теофиллин (Y55.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21280, 'Другие стимуляторы центральной нервной системы', 'Y50.8', 21276, 'Y50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21281, 'Стимуляторы центральной нервной системы неуточненные', 'Y50.9', 21276, 'Y50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21282, 'Препараты, действующие преимущественно на вегетативную нервную систему', 'Y51', 21177, 'Y40-Y59', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21283, 'Ингибиторы холинэстеразы', 'Y51.0', 21282, 'Y51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21284, 'Другие парасимпатомиметические [холинергические] средства', 'Y51.1', 21282, 'Y51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21285, 'Ганглиоблокирующие средства, не классифицированные в других рубриках', 'Y51.2', 21282, 'Y51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21286, 'Другие парасимпатолитические [антихолинергические и антимускаринные] и спазмолитические средства, не классифицированные в других рубриках', 'Y51.3', 21282, 'Y51', 0, 'Папаверин');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21287, 'Агонисты преимущественно альфа-адренорецепторов, не классифицированные в других рубриках', 'Y51.4', 21282, 'Y51', 0, 'Метараминол');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21288, 'Агонисты преимущественно бета-адренорецепторов, не классифицированные в других рубриках', 'Y51.5', 21282, 'Y51', 0, 'Исключен: салбутамол (Y55.6)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21289, 'Антагонисты альфа-адренорецепторов, не классифицированные в других рубриках', 'Y51.6', 21282, 'Y51', 0, 'Исключены: алкалоиды спорыньи (Y55.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21290, 'Антагонисты бета-адренорецепторов, не классифицированные в других рубриках', 'Y51.7', 21282, 'Y51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21291, 'Центральнодействующие и адренергические нейронблокирующие средства, не классифицированные в других рубриках', 'Y51.8', 21282, 'Y51', 0, 'Исключены: клофелин (Y52.5) гуанетидин (Y52.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21292, 'Другие и неуточненные лекарства, действующие преимущественно на вегетативную нервную систему', 'Y51.9', 21282, 'Y51', 0, 'Средства, стимулирующие альфа- и бета-адренорецепторы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21293, 'Препараты, действующие преимущественно на сердечно-сосудистую систему', 'Y52', 21177, 'Y40-Y59', 10, 'Исключен: метараминол (Y51.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21294, 'Сердечные гликозиды и препараты аналогичного действия', 'Y52.0', 21293, 'Y52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21295, 'Блокаторы кальциевых каналов', 'Y52.1', 21293, 'Y52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21296, 'Другие противоаритмические препараты, не классифицированные в других рубриках', 'Y52.2', 21293, 'Y52', 0, 'Исключены: антагонисты бета-адренорецепторов (Y51.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21297, 'Коронарорасширяющие средства, не классифицированные в других рубриках', 'Y52.3', 21293, 'Y52', 0, 'Дипиридамол Исключены: антагонисты бета-адренорецепторов (Y51.7) блокаторы кальциевых каналов (Y52.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21298, 'Ингибиторы ангиотензинконвертирующих ферментов', 'Y52.4', 21293, 'Y52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21299, 'Другие гипотензивные средства, не классифицированные в других рубриках', 'Y52.5', 21293, 'Y52', 0, 'Клонидин Гуанетидин Раувольфия Исключены: антагонисты бета-адренорецепторов (Y51.7) блокаторы кальциевых каналов (Y52.1) диуретики (Y54.0-Y54.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21300, 'Антигиперлипидемические и антиатеросклеротические препараты', 'Y52.6', 21293, 'Y52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21301, 'Препараты, расширяющие периферические сосуды', 'Y52.7', 21293, 'Y52', 0, 'Никотиновая кислота (производные) Исключен: папаверин (Y51.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21302, 'Антиварикозные [венотонические] лекарственные средства, включая склерозирующие агенты', 'Y52.8', 21293, 'Y52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21303, 'Другие и неуточненные препараты, действующие преимущественно на сердечно-сосудистую систему', 'Y52.9', 21293, 'Y52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21304, 'Препараты, действующие преимущественно на органы пищеварения', 'Y53', 21177, 'Y40-Y59', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21305, 'Антагонисты гистаминовых H2-рецепторов', 'Y53.0', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21306, 'Другие антациды и средства, угнетающие желудочную секрецию', 'Y53.1', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21307, 'Раздражающие слабительные средства', 'Y53.2', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21308, 'Солевые и осмотические слабительные средства', 'Y53.3', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21309, 'Другие слабительные', 'Y53.4', 21304, 'Y53', 0, 'Препараты, стимулирующие перистальтику кишечника');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21310, 'Препараты, стимулирующие пищеварение', 'Y53.5', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21311, 'Противодиарейные средства', 'Y53.6', 21304, 'Y53', 0, 'Исключены: антибиотики системного действия и другие противоинфекционные и противопаразитарные средства (Y40-Y41)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21312, 'Рвотные средства', 'Y53.7', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21313, 'Другие препараты, действующие преимущественно на желудочно-кишечный тракт', 'Y53.8', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21314, 'Препараты, действующие преимущественно на желудочно-кишечный тракт, неуточненные', 'Y53.9', 21304, 'Y53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21315, 'Препараты, влияющие преимущественно на водный баланс, минеральный обмен и обмен мочевой кислоты', 'Y54', 21177, 'Y40-Y59', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21316, 'Минералокортикоиды', 'Y54.0', 21315, 'Y54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21317, 'Антагонисты минералокортикоидов [антагонисты альдостерона]', 'Y54.1', 21315, 'Y54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21318, 'Ингибиторы карбоангидразы', 'Y54.2', 21315, 'Y54', 0, 'Ацетазоламид');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21319, 'Производные бензотиадиазина', 'Y54.3', 21315, 'Y54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21320, '"Петлевые" диуретики', 'Y54.4', 21315, 'Y54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21321, 'Другие диуретики', 'Y54.5', 21315, 'Y54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21322, 'Препараты, влияющие на электролитный, энергетический и водный баланс', 'Y54.6', 21315, 'Y54', 0, 'Регистратационные соли для перорального применения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21323, 'Препараты, влияющие на обмен кальция', 'Y54.7', 21315, 'Y54', 0, 'Гормоны паращитовидных желез и их производные Витамины группы D');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21324, 'Средства, влияющие на обмен мочевой кислоты', 'Y54.8', 21315, 'Y54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21325, 'Минеральные соли, не классифицированные в других рубриках', 'Y54.9', 21315, 'Y54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21326, 'Препараты, действующие преимущественно на гладкую и скелетную мускулатуру и органы дыхания', 'Y55', 21177, 'Y40-Y59', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21327, 'Гормональные препараты группы окситоцина', 'Y55.0', 21326, 'Y55', 0, 'Алкалоиды спорыньи Исключены: эстрогены, прогестогены и их антагонисты (Y42.5-Y42.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21328, 'Миорелаксанты [блокаторы h-холинорецепторов скелетных мышц]', 'Y55.1', 21326, 'Y55', 0, 'Исключенs: антиспастические препараты (Y46.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21329, 'Другие и неуточненные препараты, влияющие преимущественно на мускулатуру', 'Y55.2', 21326, 'Y55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21330, 'Противокашлевые средства', 'Y55.3', 21326, 'Y55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21331, 'Отхаркивающие средства', 'Y55.4', 21326, 'Y55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21332, 'Лекарственные средства, используемые при насморке', 'Y55.5', 21326, 'Y55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21333, 'Антиастматические средства, не классифицированные в других рубриках', 'Y55.6', 21326, 'Y55', 0, 'Аминофиллин Сальбутамол Теобромин Теофиллин Исключены: антагонисты бета-адренорецепторов (Y51.5) гормоны гипофиза (Y42.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21334, 'Другие и неуточненные препараты, действующие на органы дыхания', 'Y55.7', 21326, 'Y55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21335, 'Препараты местного действия, влияющие преимущественно на кожу и слизистые оболочки, и средства, применяемые в офтальмологической, оториноларингологической и стоматологической практике', 'Y56', 21177, 'Y40-Y59', 10, 'Включены: глюкокортикоиды местного действия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21336, 'Противогрибковые, противоинфекционные и противовоспалительные средства местного действия, не классифицированные в других рубриках', 'Y56.0', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21337, 'Противозудные средства', 'Y56.1', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21338, 'Вяжущие средства и детергенты местного действия', 'Y56.2', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21339, 'Смягчающие, уменьшающие раздражение и защитные средства', 'Y56.3', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21340, 'Кератолитические, кератопластические и другие лекарственные средства и препараты для лечения волос', 'Y56.4', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21341, 'Лекарственные средства и препараты, применяемые в офтальмологической практике', 'Y56.5', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21342, 'Лекарственные средства и препараты, применяемые в отоларингологической практике', 'Y56.6', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21343, 'Лекарственные средства,применяемые местно в стоматологической практике', 'Y56.7', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21344, 'Другие препараты местного применения', 'Y56.8', 21335, 'Y56', 0, 'Спермициды');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21345, 'Препараты местного применения неуточненные', 'Y56.9', 21335, 'Y56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21346, 'Другие и неуточненные лекарственные средства и медикаменты', 'Y57', 21177, 'Y40-Y59', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21347, 'Препараты, угнетающие аппетит [анорексигенные средства]', 'Y57.0', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21348, 'Липотропные средства', 'Y57.1', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21349, 'Противоядия и комплексоны, не классифицированные в других рубриках', 'Y57.2', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21350, 'Специальные средства для лечения алкоголизма, вызывающие непереносимость алкоголя', 'Y57.3', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21351, 'Фармацевтические добавки', 'Y57.4', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21352, 'Рентгеноконтрастные среды', 'Y57.5', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21353, 'Другие диагностические препараты', 'Y57.6', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21354, 'Витамины, не классифицированные в других рубриках', 'Y57.7', 21346, 'Y57', 0, 'Исключены: никотиновая кислота (Y52.7) витамин B12 (Y44.1) витамин D (Y54.7) витамин K (Y44.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21355, 'Другие лекарственные средства и медикаменты', 'Y57.8', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21356, 'Лекарственные средства и медикаменты неуточненные', 'Y57.9', 21346, 'Y57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21357, 'Бактериальные вакцины', 'Y58', 21177, 'Y40-Y59', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21358, 'Вакцина БЦЖ', 'Y58.0', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21359, 'Брюшнотифозная и паратифозная вакцины', 'Y58.1', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21360, 'Холерная вакцина', 'Y58.2', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21361, 'Чумная вакцина', 'Y58.3', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21362, 'Столбнячная вакцина', 'Y58.4', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21363, 'Дифтерийная вакцина', 'Y58.5', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21364, 'Коклюшная вакцина, включая комбинированные вакцины с коклюшным компонентом', 'Y58.6', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21365, 'Смешанные бактериальные вакцины, кроме комбинированных вакцин с коклюшным компонентом', 'Y58.8', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21366, 'Другие и неуточненные бактериальные вакцины', 'Y58.9', 21357, 'Y58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21367, 'Другие и неуточненные вакцины и биологические вещества', 'Y59', 21177, 'Y40-Y59', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21368, 'Вирусная вакцина', 'Y59.0', 21367, 'Y59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21369, 'Риккетсиозная вакцина', 'Y59.1', 21367, 'Y59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21370, 'Вакцина против простейших', 'Y59.2', 21367, 'Y59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21371, 'Иммуноглобулин', 'Y59.3', 21367, 'Y59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21372, 'Другие уточненные вакцины и биологические вещества', 'Y59.8', 21367, 'Y59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21373, 'Вакцины и биологические вещества неуточненные', 'Y59.9', 21367, 'Y59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21374, 'СЛУЧАЙНОЕ НАНЕСЕНИЕ ВРЕДА БОЛЬНОМУ ПРИ ВЫПОЛНЕНИИ ТЕРАПЕВТИЧЕСКИХ И ХИРУРГИЧЕСКИХ ВМЕШАТЕЛЬСТВ', 'Y60-Y69', 21176, 'Y40-Y84', 8, 'Исключены: медицинские приборы и устройства как причина несчастных случаев при их использовании для диагностики и лечения (Y70-Y82) хирургические и терапевтические вмешательства как причина анормальной реакции пациента без упоминания о случайном нанесении вреда больному во время их выполнения (Y83-Y84)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21375, 'Случайный порез, укол, перфорация или кровотечение при выполнении хирургической и терапевтической процедуры', 'Y60', 21374, 'Y60-Y69', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21376, 'При проведении хирургической операции', 'Y60.0', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21377, 'При проведении инфузии и трансфузии', 'Y60.1', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21378, 'При почечном диализе или другой перфузии', 'Y60.2', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21379, 'При проведении инъекции или иммунизации', 'Y60.3', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21380, 'При эндоскопическом исследовании', 'Y60.4', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21381, 'При катетеризации сердца', 'Y60.5', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21382, 'При аспирации жидкости или ткани, пункции и другой катетеризации', 'Y60.6', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21383, 'При применении клизмы', 'Y60.7', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21384, 'При проведении другой терапевтической или хирургической процедуры', 'Y60.8', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21385, 'При проведении неуточненной хирургической или терапевти ческой процедуры', 'Y60.9', 21375, 'Y60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21386, 'Случайное оставление инородного тела в организме при выполнении хирургической и терапевтической процедуры', 'Y61', 21374, 'Y60-Y69', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21387, 'При проведении хирургической операции', 'Y61.0', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21388, 'При проведении инфузии и трансфузии', 'Y61.1', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21389, 'При почечном диализе или другой перфузии', 'Y61.2', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21390, 'При проведении инъекции или иммунизации', 'Y61.3', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21391, 'При эндоскопическом исследовании', 'Y61.4', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21392, 'При катетеризации сердца', 'Y61.5', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21393, 'При аспирации жидкости или ткани, пункции и другой катетеризации', 'Y61.6', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21394, 'При удалении катетера или тампона', 'Y61.7', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21395, 'При проведении другой хирургической или терапевтической процедуры', 'Y61.8', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21396, 'При проведении неуточненной хирургической или терапевти ческой процедуры', 'Y61.9', 21386, 'Y61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21397, 'Недостаточная стерильность при выполнении хирургических и терапевтических процедур', 'Y62', 21374, 'Y60-Y69', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21398, 'При выполнении хирургической операции', 'Y62.0', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21399, 'При проведении инфузии или трансфузии', 'Y62.1', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21400, 'При почечном диализе или другой перфузии', 'Y62.2', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21401, 'При проведении инъекции или иммунизации', 'Y62.3', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21402, 'При эндоскопическом исследовании', 'Y62.4', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21403, 'При катетеризации сердца', 'Y62.5', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21404, 'При аспирации жидкости или ткани, пункции и другой катетеризации', 'Y62.6', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21405, 'При проведении другой хирургической или терапевтической процедуры', 'Y62.8', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21406, 'При проведении неуточненной хирургической или терапевтической процедуры', 'Y62.9', 21397, 'Y62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21407, 'Ошибочность дозировки при проведении хирургических и терапевтических процедур', 'Y63', 21374, 'Y60-Y69', 9, 'Исключены: случайная передозировка лекарства или введение по ошибке другого лекарственного средства (X40-X44)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21408, 'Введение чрезмерного количества крови или другой жидкости во время трансфузии или инфузии', 'Y63.0', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21409, 'Неправильное разведение вводимой жидкости', 'Y63.1', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21410, 'Передозировка при лучевой терапии', 'Y63.2', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21411, 'Случайное облучение больного при выполнении медицинской процедуры', 'Y63.3', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21412, 'Несоответствие дозировки при лечении электрошоком или инсулиновым шоком', 'Y63.4', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21413, 'Несоответствующая (чрезмерно высокая или чрезмерно низкая) температура при местной аппликации или наложении повязки', 'Y63.5', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21414, 'Неприменение необходимого лекарственного средства, медикамента или биологического вещества', 'Y63.6', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21415, 'Ошибочность дозировки во время других хирургических или терапевтических процедур', 'Y63.8', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21416, 'Ошибочность дозировки при проведении неуточненных хирургических и терапевтических процедур', 'Y63.9', 21407, 'Y63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21417, 'Загрязненные медицинские или биологические вещества', 'Y64', 21374, 'Y60-Y69', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21418, 'Загрязненные медицинские или биологические вещества, использованные для трансфузии или инфузии', 'Y64.0', 21417, 'Y64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21419, 'Загрязненные медицинские или биологические вещества, использованные для инъекции или иммунизации', 'Y64.1', 21417, 'Y64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21420, 'Загрязненные медицинские или биологические вещества, введенные другим способом', 'Y64.8', 21417, 'Y64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21421, 'Загрязненные медицинские или биологические вещества, введенные неуточненным способом', 'Y64.9', 21417, 'Y64', 0, 'Загрязненные медицинские или биологические вещества, введенные неуточненным способом, БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21422, 'Другие несчастные случаи во время оказания хирургической и терапевтической помощи', 'Y65', 21374, 'Y60-Y69', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21423, 'Несовместимость перелитой крови', 'Y65.0', 21422, 'Y65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21424, 'Использование для вливания ошибочно взятой жидкости', 'Y65.1', 21422, 'Y65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21425, 'Дефект в наложении шва или лигатуры во время хирургической операции', 'Y65.2', 21422, 'Y65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21426, 'Неправильное положение эндотрахеальной трубки при даче наркоза', 'Y65.3', 21422, 'Y65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21427, 'Дефект введения или удаления другой трубки или инструмента', 'Y65.4', 21422, 'Y65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21428, 'Выполнение операции, не соответствующей показаниям', 'Y65.5', 21422, 'Y65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21429, 'Другие уточненные несчастные случаи во время оказания терапевтической и хирургической помощи', 'Y65.8', 21422, 'Y65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21430, 'Непредоставление хирургической и терапевтической помощи', 'Y66', 21374, 'Y60-Y69', 0, 'Преждевременное прекращение хирургической и терапевтической помощи');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21431, 'Несчастный случай во время оказания хирургической и терапевтической помощи неуточненный', 'Y69', 21374, 'Y60-Y69', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21433, 'МЕДИЦИНСКИЕ ПРИБОРЫ И УСТРОЙСТВА, С КОТОРЫМИ СВЯЗАНЫ НЕСЧАСТНЫЕ СЛУЧАИ, ВОЗНИКШИЕ ПРИ ИХ ИСПОЛЬЗОВАНИИ ДЛЯ ДИАГНОСТИЧЕСКИХ И ТЕРАПЕВТИЧЕСКИХ ЦЕЛЕЙ', 'Y70-Y82', 21176, 'Y40-Y84', 13, 'Следующие четырехзначные подрубрики приведены для использования\nс рубриками Y70-Y82:');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21434, 'Приборы для анестезии, с которыми связаны несчастные случаи', 'Y70', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21435, 'Оборудование для диагностики и мониторинга', 'Y70.0', 21434, 'Y70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21436, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y70.1', 21434, 'Y70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21437, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y70.2', 21434, 'Y70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21438, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y70.3', 21434, 'Y70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21439, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y70.8', 21434, 'Y70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21440, 'Приборы и устройства для диагностики и лечения болезней сердечно-сосудистой системы, с которыми связаны несчастные случаи', 'Y71', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21441, 'Оборудование для диагностики и мониторинга', 'Y71.0', 21440, 'Y71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21442, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y71.1', 21440, 'Y71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21443, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y71.2', 21440, 'Y71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21444, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y71.3', 21440, 'Y71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21445, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y71.8', 21440, 'Y71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21446, 'Приборы и устройства, используемые в оториноларингологической практике, с которыми связаны несчастные случаи', 'Y72', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21447, 'Оборудование для диагностики и мониторинга', 'Y72.0', 21446, 'Y72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21448, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y72.1', 21446, 'Y72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21449, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y72.2', 21446, 'Y72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21450, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y72.3', 21446, 'Y72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21451, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y72.8', 21446, 'Y72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21452, 'Приборы и устройства, используемые в гастроэнтерологической и урологической практике, с которыми связаны несчастные случаи', 'Y73', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21453, 'Оборудование для диагностики и мониторинга', 'Y73.0', 21452, 'Y73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21454, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y73.1', 21452, 'Y73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21455, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y73.2', 21452, 'Y73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21456, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y73.3', 21452, 'Y73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21457, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y73.8', 21452, 'Y73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21458, 'Приборы и устройства общебольничного и для индивидуального пользования, с которыми связаны несчастные случаи', 'Y74', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21459, 'Оборудование для диагностики и мониторинга', 'Y74.0', 21458, 'Y74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21460, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y74.1', 21458, 'Y74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21461, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y74.2', 21458, 'Y74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21462, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y74.3', 21458, 'Y74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21463, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y74.8', 21458, 'Y74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21464, 'Приборы и устройства, используемые в неврологической практике, с которыми связаны несчастные случаи', 'Y75', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21465, 'Оборудование для диагностики и мониторинга', 'Y75.0', 21464, 'Y75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21466, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y75.1', 21464, 'Y75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21467, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y75.2', 21464, 'Y75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21468, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y75.3', 21464, 'Y75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21469, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y75.8', 21464, 'Y75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21470, 'Приборы и устройства, используемые в акушерской и гинекологической практике, с которыми связаны несчастные случаи', 'Y76', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21471, 'Оборудование для диагностики и мониторинга', 'Y76.0', 21470, 'Y76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21472, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y76.1', 21470, 'Y76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21473, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y76.2', 21470, 'Y76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21474, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y76.3', 21470, 'Y76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21475, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y76.8', 21470, 'Y76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21476, 'Приборы и устройства, используемые в офтальмологической практике, с которыми связаны несчастные случаи', 'Y77', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21477, 'Оборудование для диагностики и мониторинга', 'Y77.0', 21476, 'Y77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21478, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y77.1', 21476, 'Y77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21479, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y77.2', 21476, 'Y77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21480, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y77.3', 21476, 'Y77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21481, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y77.8', 21476, 'Y77', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21482, 'Радиологические приборы и устройства, с которыми связаны несчастные случаи', 'Y78', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21483, 'Оборудование для диагностики и мониторинга', 'Y78.0', 21482, 'Y78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21484, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y78.1', 21482, 'Y78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21485, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y78.2', 21482, 'Y78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21486, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y78.3', 21482, 'Y78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21487, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y78.8', 21482, 'Y78', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21488, 'Ортопедические приборы и устройства, с которыми связаны несчастные случаи', 'Y79', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21489, 'Оборудование для диагностики и мониторинга', 'Y79.0', 21488, 'Y79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21490, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y79.1', 21488, 'Y79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21491, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y79.2', 21488, 'Y79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21492, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y79.3', 21488, 'Y79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21493, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y79.8', 21488, 'Y79', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21494, 'Физиотерапевтические приборы и устройства, с которыми связаны несчастные случаи', 'Y80', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21495, 'Оборудование для диагностики и мониторинга', 'Y80.0', 21494, 'Y80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21496, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y80.1', 21494, 'Y80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21497, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y80.2', 21494, 'Y80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21498, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y80.3', 21494, 'Y80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21499, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y80.8', 21494, 'Y80', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21500, 'Приборы и устройства, применяемые в общей и пластической хирургии, с которыми связаны несчастные случаи', 'Y81', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21501, 'Оборудование для диагностики и мониторинга', 'Y81.0', 21500, 'Y81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21502, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y81.1', 21500, 'Y81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21503, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y81.2', 21500, 'Y81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21504, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y81.3', 21500, 'Y81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21505, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y81.8', 21500, 'Y81', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21506, 'Другие и неуточненные медицинские приборы и устройства, с которыми связаны несчастные случаи', 'Y82', 21433, 'Y70-Y82', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21507, 'Оборудование для диагностики и мониторинга', 'Y82.0', 21506, 'Y82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21508, 'Терапевтические (нехирургические) и реабилитационные приборы и устройства', 'Y82.1', 21506, 'Y82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21509, 'Протезы или другие имплантаты, материалы и соответствующие устройства', 'Y82.2', 21506, 'Y82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21510, 'Хирургические инструменты, материалы и оборудование (включая шовный материал)', 'Y82.3', 21506, 'Y82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21511, 'Различное медицинское оборудование, ранее не классифицированное в других рубриках', 'Y82.8', 21506, 'Y82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21513, 'ХИРУРГИЧЕСКИЕ И ДРУГИЕ МЕДИЦИНСКИЕ ПРОЦЕДУРЫ КАК ПРИЧИНА АНОРМАЛЬНОЙ РЕАКЦИИ ИЛИ ПОЗДНЕГО ОСЛОЖНЕНИЯ У ПАЦИЕНТА БЕЗ УПОМИНАНИЯ О СЛУЧАЙНОМ НАНЕСЕНИИ ЕМУ ВРЕДА ВО ВРЕМЯ ИХ ВЫПОЛНЕНИЯ', 'Y83-Y84', 21176, 'Y40-Y84', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21514, 'Хирургические операции и другие хирургические процедуры как причина анормальной реакции или позднего осложнения у пациента без упоминания о случайном нанесении ему вреда во время их выполнения', 'Y83', 21513, 'Y83-Y84', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21515, 'Хирургическая операция с трансплантацией цельного органа', 'Y83.0', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21516, 'Хирургическая операция с имплантацией искусственного внутреннего устройства', 'Y83.1', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21517, 'Хирургическая операция с наложением анастомоза, шунта или трансплантата', 'Y83.2', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21518, 'Хирургическая операция с образованием наружной стомы', 'Y83.3', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21519, 'Другие виды восстановительной хирургии', 'Y83.4', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21520, 'Ампутация конечности(ей)', 'Y83.5', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21521, 'Удаление другого органа (частичное) (полное)', 'Y83.6', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21522, 'Другие хирургические операции', 'Y83.8', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21523, 'Хирургическая операция неуточненная', 'Y83.9', 21514, 'Y83', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21524, 'Другие медицинские процедуры как причина анормальной реакции или позднего осложнения у пациента без упоминания о случайном нанесении ему вреда во время их выполнения', 'Y84', 21513, 'Y83-Y84', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21525, 'Катетеризация сердца', 'Y84.0', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21526, 'Почечный диализ', 'Y84.1', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21527, 'Радиологическая процедура и лучевая терапия', 'Y84.2', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21528, 'Шоковая терапия', 'Y84.3', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21529, 'Аспирация жидкости', 'Y84.4', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21530, 'Введение желудочного или дуоденального зонда', 'Y84.5', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21531, 'Катетеризация мочевых путей', 'Y84.6', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21532, 'Взятие пробы крови', 'Y84.7', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21533, 'Другие медицинские процедуры', 'Y84.8', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21534, 'Медицинская процедура неуточненная', 'Y84.9', 21524, 'Y84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21537, 'ПОСЛЕДСТВИЯ ВОЗДЕЙСТВИЯ ВНЕШНИХ ПРИЧИН ЗАБОЛЕВАЕМОСТИ И СМЕРТНОСТИ', 'Y85-Y89', 20001, 'V01-Y98', 5, 'Примечание. Рубрики Y85-Y89 должны использоваться для обозначения обстоятельств как причины смерти, нарушения или инвалидности от последствий или отдаленных проявлений, которые сами классифицированы в других рубриках. Понятие "последствия" включает состояния, описанные как таковые или как отдаленные проявления, развившиеся через год или более после происшедшего события.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21538, 'Последствия транспортного несчастного случая', 'Y85', 21537, 'Y85-Y89', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21539, 'Последствия несчастного случая, связанного с мототранспортным средством', 'Y85.0', 21538, 'Y85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21540, 'Последствия несчастного случая, связанного с другим и неуточненным транспортным средством', 'Y85.9', 21538, 'Y85', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21541, 'Последствия других несчастных случаев', 'Y86', 21537, 'Y85-Y89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21542, 'Последствия умышленного самоповреждения, нападения и событий[повреждений], не уточненных как случайные или преднамеренные', 'Y87', 21537, 'Y85-Y89', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21543, 'Последствия умышленного самоповреждения', 'Y87.0', 21542, 'Y87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21544, 'Последствия нападения', 'Y87.1', 21542, 'Y87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21545, 'Последствия событий [повреждений], не уточненных как случайные или преднамеренные', 'Y87.2', 21542, 'Y87', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21546, 'Последствия терапевтических и хирургических вмешательств как внешних причин заболеваемости и смертности', 'Y88', 21537, 'Y85-Y89', 4, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21547, 'Последствия неблагоприятного воздействия лекарственных средств, медикаментов и биологических веществ, примененных в терапевтических целях', 'Y88.0', 21546, 'Y88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21548, 'Последствия случайного нанесения вреда пациенту во время выполнения хирургических и терапевтических процедур', 'Y88.1', 21546, 'Y88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21549, 'Последствия несчастных случаев, связанных с применением медицинского оборудования в диагностических и терапев тических целях', 'Y88.2', 21546, 'Y88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21550, 'Последствия хирургических и терапевтических процедур как причин анормальной реакции или позднего осложнения у пациента без упоминания о случайном нанесении ему вреда во время их выполнения', 'Y88.3', 21546, 'Y88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21551, 'Последствия других внешних причин', 'Y89', 21537, 'Y85-Y89', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21552, 'Последствия в результате действий, предусмотренных законом', 'Y89.0', 21551, 'Y89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21553, 'Последствия военных действий', 'Y89.1', 21551, 'Y89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21554, 'Последствия неуточненных внешних причин', 'Y89.9', 21551, 'Y89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21556, 'ДОПОЛНИТЕЛЬНЫЕ ФАКТОРЫ, ИМЕЮЩИЕ ОТНОШЕНИЕ К ПРИЧИНАМ ЗАБОЛЕВАЕМОСТИ И СМЕРТНОСТИ, КЛАССИФИЦИРОВАННЫМ В ДРУГИХ РУБРИКАХ', 'Y90-Y98', 20001, 'V01-Y98', 6, 'Примечание. Данные рубрики используются для предоставления дополнительной информации о причинах заболеваемости и смертности. Они не должны использоваться в качестве основных кодов при статистической разработке заболеваемости или смертности по единичной причине.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21557, 'Доказательство влияния алкоголя, определенного по его содержанию  в крови', 'Y90', 21556, 'Y90-Y98', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21558, 'Содержание алкоголя в крови менее, чем 20 мг/100 мл', 'Y90.0', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21559, 'Содержание алкоголя в крови 20-39 мг/100 мл', 'Y90.1', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21560, 'Содержание алкоголя в крови 40-59 мг/100 мл', 'Y90.2', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21561, 'Содержание алкоголя в крови 60-79 мг/100 мл', 'Y90.3', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21562, 'Содержание алкоголя в крови 80-99 мг/100 мл', 'Y90.4', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21563, 'Содержание алкоголя в крови 100-119 мг/100 мл', 'Y90.5', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21564, 'Содержание алкоголя в крови 120-199 мг/100 мл', 'Y90.6', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21565, 'Содержание алкоголя в крови 200-239 мг/100 мл', 'Y90.7', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21566, 'Содержание алкоголя в крови 240 мг/100 мл или более', 'Y90.8', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21567, 'Присутствие алкоголя в крови, содержание не уточнено', 'Y90.9', 21557, 'Y90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21568, 'Доказательство влияния алкоголя, определенного по степени опьянения', 'Y91', 21556, 'Y90-Y98', 5, 'Исключено: доказательство влияния алкоголя, определенного по его содержанию в крови (Y90.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21569, 'Алкогольная интоксикация легкой степени', 'Y91.0', 21568, 'Y91', 0, 'Запах алкоголя при выдыхании, легкие нарушения поведенческих функций и реакций или незначительные трудности координации движений.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21570, 'Алкогольная интоксикация средней степени', 'Y91.1', 21568, 'Y91', 0, 'Запах алкоголя при выдыхании, умеренно выраженные нарушения поведенческих функций и реакций или координации движений.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21571, 'Алкогольная интоксикация тяжелой степени', 'Y91.2', 21568, 'Y91', 0, 'Выраженные нарушения поведенческих функций и реакций, координации движений или утрата способности к взаимодействию.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21572, 'Алкогольная интоксикация очень тяжелой степени', 'Y91.3', 21568, 'Y91', 0, 'Очень тяжелые нарушения поведенческих функций и реакций, координации движений или утрата способности к взаимодействию.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21573, 'Алкогольное опьянение неуточненное', 'Y91.9', 21568, 'Y91', 0, 'Предполагаемое алкогольное опьянение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21574, 'Состояние госпитализма', 'Y95', 21556, 'Y90-Y98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21575, 'Факторы, имеющие отношение к работе', 'Y96', 21556, 'Y90-Y98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21576, 'Факторы, связанные с загрязнением окружающей среды', 'Y97', 21556, 'Y90-Y98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(21577, 'Факторы, связанные с образом жизни', 'Y98', 21556, 'Y90-Y98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22001, 'ФАКТОРЫ, ВЛИЯЮЩИЕ НА СОСТОЯНИЕ ЗДОРОВЬЯ НАСЕЛЕНИЯ И ОБРАЩЕНИЯ В УЧРЕЖДЕНИЯ ЗДРАВООХРАНЕНИЯ', 'Z00-Z99', NULL, NULL, 7, 'Примечание. Данный класс не следует использовать для проведения сравнений на международном уровне или для первичного кодирования причин смерти.\nРубрики Z00-Z99 предназначены для тех случаев, когда в качестве\n"диагноза" или "проблемы" указаны не болезнь, травма или внешняя\nпричина, относящиеся к разделам A00-Y89, а иные обстоятельства.\nТакое положение может возникнуть в основном в двух случаях.\nа) Когда инвалид, в данное время необязательно являющийся больным, обращается в учреждение здравоохранения с какой-либо специальной целью, например для получения незначительной по объему помощи или для обслуживания в связи с текущим состоянием: в качестве донора органа или ткани, для профилактической вакцинации или обсуждения проблемы, которая сама по себе не вызвана болезнью или травмой.\nб) Когда имеют место какие-либо обстоятельства или проблемы, влияющие на здоровье, однако в данный момент сами по себе не являющиеся болезнью или травмой. Такие факторы могут быть обнаружены в ходе обследований состояния здоровья населения, во время которых индивид может быть болен или здоров; они также могут быть зарегистрированы как дополнительные обстоятельства, которые следует иметь в виду при обращении за помощью по поводу какого-либо заболевания или повреждения.\nЭтот класс содержит следующие блоки:\nZ00-Z13 Обращения в учреждения здравоохранения для медицинского осмотра и обследования\nZ20-Z29 Потенциальная опасность для здоровья, связанная с инфекционными болезнями\nZ30-Z39 Обращения в учреждения здравоохранения в связи с обстоятельствами, относящимися к репродуктивной функции\nZ40-Z54 Обращения в учреждения здравоохранения в связи с необходимостью проведения специфических процедур и получения медицинской помощи\nZ55-Z65 Потенциальная опасность для здоровья, связанная с социально-экономическими и психосоциальными обстоятельствами\nZ70-Z76 Обращения в учреждения здравоохранения в связи с другими обстоятельствами\nZ80-Z99 Потенциальная опасность для здоровья, связанная с личным или семейным анамнезом и определенными обстоятельствами, влияющими на здоровье');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22002, 'ОБРАЩЕНИЯ В УЧРЕЖДЕНИЯ ЗДРАВООХРАНЕНИЯ ДЛЯ МЕДИЦИНСКОГО ОСМОТРА И ОБСЛЕДОВАНИЯ', 'Z00-Z13', 22001, 'Z00-Z99', 11, 'Примечание. Неспецифические отклонения от нормы, обнаруженные в ходе этих обследований, следует кодировать рубриками R70-R94.\nИсключены: обследования в связи с беременностью и репродуктивной функцией (Z30-Z36, Z39.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22003, 'Общий осмотр и обследование лиц, не имеющих жалоб или установ ленного диагноза', 'Z00', 22002, 'Z00-Z13', 8, 'Исключены: медицинское обследование в административных целях (Z02.-) специальные скрининговые обследования (Z11-Z13)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22004, 'Общий медицинский осмотр', 'Z00.0', 22003, 'Z00', 0, 'Проверка здоровья БДУ Периодический осмотр (ежегодный) (физикальный) Исключены: общая проверка здоровья: . определенных групп населения (Z10.-) . ребенка грудного и раннего возраста (Z00.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22005, 'Рутинное обследование состояния здоровья ребенка', 'Z00.1', 22003, 'Z00', 0, 'Проведение тестов для оценки развития ребенка грудного или раннего возраста Исключено: наблюдения за здоровьем подкидышей или других здоровых детей грудного или раннего возраста (Z76.1-Z76.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22006, 'Обследование в период быстрого роста в детстве', 'Z00.2', 22003, 'Z00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22007, 'Обследование с целью оценки состояния развития подростка', 'Z00.3', 22003, 'Z00', 0, 'Состояние пубертатного развития');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22008, 'Общее психиатрическое обследование, не классифицированное в других рубриках', 'Z00.4', 22003, 'Z00', 0, 'Исключено: обследование в судебно-медицинских целях (Z04.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22009, 'Обследование потенциального донора органов и тканей', 'Z00.5', 22003, 'Z00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22010, 'Обследование для сравнения с нормой или контролем в ходе клинических научных программ', 'Z00.6', 22003, 'Z00', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22011, 'Другие общие осмотры', 'Z00.8', 22003, 'Z00', 0, 'Медицинский осмотр в ходе массовых обследований населения');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22012, 'Другие специальные осмотры и обследования лиц, не имеющих жалоб или установленного диагноза', 'Z01', 22002, 'Z00-Z13', 10, 'Включено: рутинное обследование определенных систем Исключены: обследование: . в административных целях (Z02.-) . при подозрении на заболевания (состояния) (не подтвержденные) (Z03.-) специальные скрининговые обследования (Z11-Z13)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22013, 'Обследование глаз и зрения', 'Z01.0', 22012, 'Z01', 0, 'Исключено: обследование в связи с получением водительских прав (Z02.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22014, 'Обследование ушей и слуха', 'Z01.1', 22012, 'Z01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22015, 'Стоматологическое обследование', 'Z01.2', 22012, 'Z01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22016, 'Определение кровяного давления', 'Z01.3', 22012, 'Z01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22017, 'Гинекологическое обследование (общее) (рутинное)', 'Z01.4', 22012, 'Z01', 0, 'Исследование шеечных мазков по Папаниколау Исследование тазовых органов (ежегодное) (периодическое) Исключены: пробы или обследования для установления беременности (Z32.-) рутинное обследование в связи с контрацепцией (Z30.4-Z30.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22018, 'Диагностические кожные и сенсибилизационные тесты', 'Z01.5', 22012, 'Z01', 0, 'Аллергологические тесты Кожные тесты для определения: . бактериального заболевания . повышенной чувствительности');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22019, 'Радиологическое обследование, не классифицированное в других рубриках', 'Z01.6', 22012, 'Z01', 0, 'Рутинная: . рентгенография грудной клетки . маммография');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22020, 'Лабораторное обследование', 'Z01.7', 22012, 'Z01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22021, 'Другое уточненное специальное обследование', 'Z01.8', 22012, 'Z01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22022, 'Специальное обследование неуточненное', 'Z01.9', 22012, 'Z01', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22023, 'Обследование и обращение в административных целях', 'Z02', 22002, 'Z00-Z13', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22024, 'Обследование в связи с поступлением в учебные заведения', 'Z02.0', 22023, 'Z02', 0, 'Осмотр в связи с поступлением в дошкольное учреждение (образовательное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22025, 'Обследование перед поступлением на работу', 'Z02.1', 22023, 'Z02', 0, 'Исключены: профессиональные осмотры (Z10.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22026, 'Обследование в связи с поступлением в учреждение длительного пребывания', 'Z02.2', 22023, 'Z02', 0, 'Исключены: обследование перед помещением в тюрьму (Z02.8) рутинная обща проверка здоровья лиц, проживающих в специальных учреждениях (Z10.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22027, 'Обследование призывников в вооруженные силы', 'Z02.3', 22023, 'Z02', 0, 'Исключена: общая проверка здоровья персонала вооруженных сил (Z10.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22028, 'Обследование в связи с получением водительских прав', 'Z02.4', 22023, 'Z02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22029, 'Обследование в связи с занятием спортом', 'Z02.5', 22023, 'Z02', 0, 'Исключены: тесты на содержание в крови алкоголя или наркотического средства (Z04.0) общее обследование членов спортивных команд (Z10.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22030, 'Обследование в связи со страхованием', 'Z02.6', 22023, 'Z02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22031, 'Обращение в связи с получением медицинских документов', 'Z02.7', 22023, 'Z02', 0, 'Получение медицинских свидетельств о: . причине смерти . профессиональной пригодности . нетрудоспособности . инвалидности Исключены: обращения по поводу общего медицинского обследования (Z00-Z01, Z02.0-Z02.6, Z02.8-Z02.9, Z10.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22032, 'Другие обследования в административных целях', 'Z02.8', 22023, 'Z02', 0, 'Обследование при: . помещении в тюрьму . поездке в летний лагерь . усыновлении . иммиграции . натурализации . вступлении а брак Исключено: наблюдение за здоровьем подкидышей или других здоровых детей грудного или раннего возраста (Z76.1-Z76.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22033, 'Обследование в административных целях неуточненное', 'Z02.9', 22023, 'Z02', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22034, 'Медицинское наблюдение и оценка при подозрении на заболевание или патологическое состояние', 'Z03', 22002, 'Z00-Z13', 9, 'Включены: случаи, характеризующиеся некоторыми требующими изучения симптомами или очевидными признаками отклонения от нормы, которые, как показывают последующие обследования и наблюдения, не требуют дальнейшего лечения или медицинской помощи Исключены: случаи жалоб, вызванных страхом болезни, у лица с неустановленным диагнозом (Z71.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22035, 'Наблюдение при подозрении на туберкулез', 'Z03.0', 22034, 'Z03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22036, 'Наблюдение при подозрении на злокачественную опухоль', 'Z03.1', 22034, 'Z03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22037, 'Наблюдение при подозрении на психическое заболевание и нарушение поведения', 'Z03.2', 22034, 'Z03', 0, 'Наблюдение при: . диссоциальном поведении } . совершенном поджоге } без проявлений психи. бандитизме } ческого расстройства . краже в магазинах }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22038, 'Наблюдение при подозрении на расстройство нервной системы', 'Z03.3', 22034, 'Z03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22039, 'Наблюдение при подозрении на инфаркт миокарда', 'Z03.4', 22034, 'Z03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22040, 'Наблюдение при подозрении на другую болезнь сердечно-сосудистой системы', 'Z03.5', 22034, 'Z03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22041, 'Наблюдение при подозрении на токсическое действие проглоченных веществ', 'Z03.6', 22034, 'Z03', 0, 'Наблюдение при подозрении на: . неблагоприятное действие лекарственных средств . отравление');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22042, 'Наблюдение при подозрении на другие болезни или состояния', 'Z03.8', 22034, 'Z03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22043, 'Наблюдение при подозрении на заболевание или состояние неуточненное', 'Z03.9', 22034, 'Z03', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22044, 'Обследование и наблюдение с другими целями', 'Z04', 22002, 'Z00-Z13', 9, 'Включено: обследование в судебно-медицинских целях');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22045, 'Тест на содержание в крови алкоголя и наркотических веществ', 'Z04.0', 22044, 'Z04', 0, 'Исключено: наличие в крови: . алкоголя (R78.0) . наркотических веществ (R78.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22046, 'Обследование и наблюдение после транспортного происшествия', 'Z04.1', 22044, 'Z04', 0, 'Исключено: после несчастного случая на производстве (Z04.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22047, 'Обследование и наблюдение после несчастного случая на производстве', 'Z04.2', 22044, 'Z04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22048, 'Обследование и наблюдение после другого несчастного случая', 'Z04.3', 22044, 'Z04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22049, 'Обследование и наблюдение при заявлении об изнасиловании или совращении', 'Z04.4', 22044, 'Z04', 0, 'Обследование жертвы или предполагаемого преступника при заявлении об изнасиловании или совращении');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22050, 'Обследование и наблюдение после другой причиненной травмы', 'Z04.5', 22044, 'Z04', 0, 'Обследование жертвы или предполагаемого преступника после другой причиненной травмы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22051, 'Общее психиатрическое обследование по запросу учреждения', 'Z04.6', 22044, 'Z04', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22052, 'Обследование и наблюдение по другим уточненным поводам', 'Z04.8', 22044, 'Z04', 0, 'Просьба о выдаче заключения специалиста');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22053, 'Обследование и наблюдение по неуточненным поводам', 'Z04.9', 22044, 'Z04', 0, 'Обследование БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22054, 'Последующее обследование после лечения злокачественного новообразования', 'Z08', 22002, 'Z00-Z13', 6, 'Включены: медицинское наблюдение и контроль после лечения Исключены: последующая медицинская помощь и состояние выздоровления (Z42-Z51, Z54.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22055, 'Последующее обследование после хирургического удаления злокачественного новообразования', 'Z08.0', 22054, 'Z08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22056, 'Последующее обследование после радиотерапии злокачествен ного новообразования', 'Z08.1', 22054, 'Z08', 0, 'Исключен: курс радиотерапии (поддерживающий) (Z51.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22057, 'Последующее обследование после химиотерапии злокачественного новообразования', 'Z08.2', 22054, 'Z08', 0, 'Исключена: поддерживающая химиотерапия (Z51.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22058, 'Последующее обследование после комбинированного лечения злокачественного новообразования', 'Z08.7', 22054, 'Z08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22059, 'Последующее обследование после применения другого метода лечения злокачественного новообразования', 'Z08.8', 22054, 'Z08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22060, 'Последующее обследование после применения неуточненного метода лечения злокачественного новообразования', 'Z08.9', 22054, 'Z08', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22061, 'Последующее обследование после лечения состояний, не относящихся к злокачественным новообразованиям', 'Z09', 22002, 'Z00-Z13', 8, 'Включены: медицинское наблюдение и контроль после лечения Исключены: последующая медицинская помощь и состояние выздоровления (Z42-Z51, Z54.-) медицинское наблюдение и контроль после лечения злокачественного новообразования (Z08.-) контроль за: . контрацепцией (Z30.4-Z30.5) . протезами и другими медицинскими устройствами (Z44-Z46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22062, 'Последующее обследование после хирургического вмешательства по поводу других состояний', 'Z09.0', 22061, 'Z09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22063, 'Последующее обследование после радиотерапии по поводу других состояний', 'Z09.1', 22061, 'Z09', 0, 'Исключен: курс радиотерапии (поддерживающий) (Z51.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22064, 'Последующее обследование после химиотерапии по поводу других состояний', 'Z09.2', 22061, 'Z09', 0, 'Исключена: поддерживающая химиотерапия (Z51.1-Z51.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22065, 'Последующее обследование после психотерапии', 'Z09.3', 22061, 'Z09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22066, 'Последующее обследование после лечения перелома', 'Z09.4', 22061, 'Z09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22067, 'Последующее обследование после комбинированного лечения по поводу других состояний', 'Z09.7', 22061, 'Z09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22068, 'Последующее обследование после другого вида лечения по поводу других состояний', 'Z09.8', 22061, 'Z09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22069, 'Последующее обследование после неуточненного вида лечения по поводу других состояний', 'Z09.9', 22061, 'Z09', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22070, 'Рутинная общая проверка здоровья определенных подгрупп населения', 'Z10', 22002, 'Z00-Z13', 5, 'Исключено: медицинское обследование в административных целях (Z02.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22071, 'Профессиональное медицинское обследование', 'Z10.0', 22070, 'Z10', 0, 'Исключено: обследование перед поступлением на работу(Z02.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22072, 'Рутинная общая проверка здоровья лиц, проживающих в специальных учреждениях', 'Z10.1', 22070, 'Z10', 0, 'Исключено: обследование в связи с поступлением в учреждение длительного пребывания (Z02.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22073, 'Рутинная общая проверка здоровья персонала вооруженных сил', 'Z10.2', 22070, 'Z10', 0, 'Исключено: обследование призывников в вооруженные силы(Z02.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22074, 'Рутинная общая проверка здоровья членов спортивных команд', 'Z10.3', 22070, 'Z10', 0, 'Исключены: тесты на содержание в крови алкоголя и наркотических веществ (Z04.0) обследование в связи с занятием спортом (Z02.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22075, 'Рутинная общая проверка здоровья других определенных групп населения', 'Z10.8', 22070, 'Z10', 0, 'Школьники Студенты');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22076, 'Специальное скрининговое обследование с целью выявления инфекционных и паразитарных болезней', 'Z11', 22002, 'Z00-Z13', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22077, 'Специальное скрининговое обследование с целью выявления кишечных инфекционных болезней', 'Z11.0', 22076, 'Z11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22078, 'Специальное скрининговое обследование с целью выявления туберкулеза дыхательных путей', 'Z11.1', 22076, 'Z11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22079, 'Специальное скрининговое обследование с целью выявления других бактериальных болезней', 'Z11.2', 22076, 'Z11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22080, 'Специальное скрининговое обследование с целью выявления инфекций, передающихся преимущественно половым путем', 'Z11.3', 22076, 'Z11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22081, 'Специальное скрининговое обследование с целью выявления инфицирования вирусом иммунодефицита человека [ВИЧ]', 'Z11.4', 22076, 'Z11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22082, 'Специальное скрининговое обследование с целью выявления других вирусных болезней', 'Z11.5', 22076, 'Z11', 0, 'Исключены: вирусные кишечные инфекции (Z11.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22083, 'Специальное скрининговое обследование с целью выявления других протозойных болезней и гельминтозов', 'Z11.6', 22076, 'Z11', 0, 'Исключены: протозойные кишечные болезни (Z11.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22084, 'Специальное скрининговое обследование с целью выявления других инфекционных и паразитарных болезней', 'Z11.8', 22076, 'Z11', 0, 'Хламидийные } Риккетсиозные } Спирохетозные } болезни Микотические }');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22085, 'Специальное скрининговое обследование с целью выявления инфекционных и паразитарных болезней неуточненных', 'Z11.9', 22076, 'Z11', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22086, 'Специальное скрининговое обследование с целью выявления злокачественных новообразований', 'Z12', 22002, 'Z00-Z13', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22087, 'Специальное скрининговое обследование с целью выявления новообразования желудка', 'Z12.0', 22086, 'Z12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22088, 'Специальное скрининговое обследование с целью выявления новообразований желудочно-кишечного тракта', 'Z12.1', 22086, 'Z12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22089, 'Специальное скрининговое обследование с целью выявления новообразования органов дыхания', 'Z12.2', 22086, 'Z12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22090, 'Специальное скрининговое обследование с целью выявления новообразований молочной железы', 'Z12.3', 22086, 'Z12', 0, 'Исключена: рутинная маммография (Z01.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22091, 'Специальное скрининговое обследование с целью выявления новообразования шейки матки', 'Z12.4', 22086, 'Z12', 0, 'Исключено: когда проводится как рутинное обследование или как часть общего гинекологического обследования (Z01.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22092, 'Специальное скрининговое обследование с целью выявления новообразования простаты', 'Z12.5', 22086, 'Z12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22093, 'Специальное скрининговое обследование с целью выявления новообразования мочевого пузыря', 'Z12.6', 22086, 'Z12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22094, 'Специальное скрининговое обследование с целью выявления новообразований других органов', 'Z12.8', 22086, 'Z12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22095, 'Специальное скрининговое обследование с целью выявления новообразования неуточненного', 'Z12.9', 22086, 'Z12', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22096, 'Специальное скрининговое обследование с целью выявления других болезней и нарушений', 'Z13', 22002, 'Z00-Z13', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22097, 'Специальное скрининговое обследование с целью выявления болезней крови и кроветворных органов, а также некоторых нарушений, вовлекающих иммунный механизм', 'Z13.0', 22096, 'Z13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22098, 'Специальное скрининговое обследование с целью выявления сахарного диабета', 'Z13.1', 22096, 'Z13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22099, 'Специальное скрининговое обследование с целью выявления расстройств питания', 'Z13.2', 22096, 'Z13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22100, 'Специальное скрининговое обследование с целью выявления психических расстройств и нарушений поведения', 'Z13.3', 22096, 'Z13', 0, 'Алкоголизм Депрессия Умственная отсталость');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22101, 'Специальное скрининговое обследование с целью выявления отклонений от нормального развития в детстве', 'Z13.4', 22096, 'Z13', 0, 'Исключены: рутинные тесты для определения уровня развития ребенка грудного или раннего возраста (Z00.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22102, 'Специальное скрининговое обследование с целью выявления болезней глаза и уха', 'Z13.5', 22096, 'Z13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22103, 'Специальное скрининговое обследование с целью выявления нарушений сердечно-сосудистой системы', 'Z13.6', 22096, 'Z13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22104, 'Специальное скрининговое обследование с целью выявления врожденных аномалий, деформаций и хромосомных нарушений', 'Z13.7', 22096, 'Z13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22105, 'Специальное скрининговое обследование с целью выявления других уточненных болезней и состояний', 'Z13.8', 22096, 'Z13', 0, 'Болезни зубов Болезни эндокринной системы и нарушения обмена веществ Исключен: сахарный диабет (Z13.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22106, 'Специальное скрининговое обследование неуточненное', 'Z13.9', 22096, 'Z13', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22108, 'ПОТЕНЦИАЛЬНАЯ ОПАСНОСТЬ ДЛЯ ЗДОРОВЬЯ, СВЯЗАННАЯ С ИНФЕКЦИОННЫМИ БОЛЕЗНЯМИ', 'Z20-Z29', 22001, 'Z00-Z99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22109, 'Контакт с больным и возможность заражения инфекционными болезнями', 'Z20', 22108, 'Z20-Z29', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22110, 'Контакт с больным и возможность заражения инфекционными болезнями кишечника', 'Z20.0', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22111, 'Контакт с больным и возможность заражения туберкулезом', 'Z20.1', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22112, 'Контакт с больным и возможность заражения инфекционной болезнью, передаваемой преимущественно половым путем', 'Z20.2', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22113, 'Контакт с больным и возможность заражения бешенством', 'Z20.3', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22114, 'Контакт с больным и возможность заражения краснухой', 'Z20.4', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22115, 'Контакт с больным и возможность заражения вирусным гепатитом', 'Z20.5', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22116, 'Контакт с больным и возможность заражения вирусом иммунодефицита человека [ВИЧ]', 'Z20.6', 22109, 'Z20', 0, 'Исключены: бессимптомная инфекция, вызванная вирусом иммунодефицита человека [ВИЧ] инфекционный статус (Z21)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22117, 'Контакт с больным и возможность заражения педикулезом, акариазом и другими инвазиями', 'Z20.7', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22118, 'Контакт с больным и возможность заражения другими инфекционными болезнями', 'Z20.8', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22119, 'Контакт с больным и возможность заражения другими неуточненными инфекционными болезнями', 'Z20.9', 22109, 'Z20', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22120, 'Бессимптомный инфекционный статус, вызванный вирусом иммунодефицита человека [ВИЧ]', 'Z21', 22108, 'Z20-Z29', 0, 'ВИЧ-позитивные БДУ Исключены: контакт с больным и возможность заражения вирусом иммунодефицита человека [ВИЧ] (Z20.6) болезнь, вызванная вирусом иммунодефицита человека [ВИЧ] (B20-B24) лабораторное подтверждение наличия вируса иммунодефицита человека [ВИЧ] (R75)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22121, 'Носительство возбудителя инфекционной болезни', 'Z22', 22108, 'Z20-Z29', 9, 'Включено: подозрение на носительство возбудителя болезни');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22122, 'Носительство возбудителя брюшного тифа', 'Z22.0', 22121, 'Z22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22123, 'Носительство возбудителей других желудочно-кишечных болезней', 'Z22.1', 22121, 'Z22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22124, 'Носительство возбудителя дифтерии', 'Z22.2', 22121, 'Z22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22125, 'Носительство возбудителей других уточненных бактериальных болезней', 'Z22.3', 22121, 'Z22', 0, 'Носительство: . менингококков . стафилококков . стрептококков');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22126, 'Носительство возбудителей инфекционных болезней, передаваемых преимущественно половым путем', 'Z22.4', 22121, 'Z22', 0, 'Носительство возбудителя: . гонореи . сифилиса');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22127, 'Носительство возбудителя вирусного гепатита', 'Z22.5', 22121, 'Z22', 0, 'Носительство поверхностного антигена вируса гепатита B [HBsAg]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22128, 'Носительство человеческого T-лимфотропного вируса типа I [HTLV-1]', 'Z22.6', 22121, 'Z22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22129, 'Носительство возбудителя другой инфекционной болезни', 'Z22.8', 22121, 'Z22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22130, 'Носительство возбудителя инфекционной болезни неуточненной', 'Z22.9', 22121, 'Z22', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22131, 'Необходимость иммунизации против одной бактериальной болезни', 'Z23', 22108, 'Z20-Z29', 9, 'Исключены: иммунизация: . против комбинаций болезней (Z27.-) . непроведенная (Z28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22132, 'Необходимость иммунизации только против холеры', 'Z23.0', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22133, 'Необходимость иммунизации только против брюшного тифа и паратифа', 'Z23.1', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22134, 'Необходимость иммунизации против туберкулеза [БЦЖ]', 'Z23.2', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22135, 'Необходимость иммунизации против чумы', 'Z23.3', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22136, 'Необходимость иммунизации против туляремии', 'Z23.4', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22137, 'Необходимость иммунизации только против столбняка', 'Z23.5', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22138, 'Необходимость иммунизации только против дифтерии', 'Z23.6', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22139, 'Необходимость иммунизации только против коклюша', 'Z23.7', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22140, 'Необходимость иммунизации против другой одной бактериальной болезни', 'Z23.8', 22131, 'Z23', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22141, 'Необходимость иммунизации против одной определенной вирусной болезни', 'Z24', 22108, 'Z20-Z29', 7, 'Исключены: иммунизация: . против комбинации болезней (Z27.-) . непроведенная (Z28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22142, 'Необходимость иммунизации против полиомиелита', 'Z24.0', 22141, 'Z24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22143, 'Необходимость иммунизации против вирусного энцефалита, передаваемого членистоногими', 'Z24.1', 22141, 'Z24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22144, 'Необходимость иммунизации против бешенства', 'Z24.2', 22141, 'Z24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22145, 'Необходимость иммунизации против желтой лихорадки', 'Z24.3', 22141, 'Z24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22146, 'Необходимость иммунизации только против кори', 'Z24.4', 22141, 'Z24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22147, 'Необходимость иммунизации только против краснухи', 'Z24.5', 22141, 'Z24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22148, 'Необходимость иммунизации против вирусного гепатита', 'Z24.6', 22141, 'Z24', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22149, 'Необходимость иммунизации против одной из других вирусных болезней', 'Z25', 22108, 'Z20-Z29', 3, 'Исключены: иммунизация: . против комбинаций болезней (Z27.-) . непроведенная (Z28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22150, 'Необходимость иммунизации только против эпидемического паротита', 'Z25.0', 22149, 'Z25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22151, 'Необходимость иммунизации против гриппа', 'Z25.1', 22149, 'Z25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22152, 'Необходимость иммунизации против другой уточненной одной вирусной болезни', 'Z25.8', 22149, 'Z25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22153, 'Необходимость иммунизации против одной из других инфекционных болезней', 'Z26', 22108, 'Z20-Z29', 3, 'Исключены: иммунизация: . против комбинаций болезней (Z27.-) . непроведенная (Z28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22154, 'Необходимость иммунизации против лейшманиоза', 'Z26.0', 22153, 'Z26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22155, 'Необходимость иммунизации против другой уточненной одной инфекционной болезни', 'Z26.8', 22153, 'Z26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22156, 'Необходимость иммунизации против неуточненной инфекционной болезни', 'Z26.9', 22153, 'Z26', 0, 'Необходимость иммунизации БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22157, 'Необходимость иммунизации против комбинаций инфекционных болезней', 'Z27', 22108, 'Z20-Z29', 7, 'Исключена: непроведенная иммунизация (Z28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22158, 'Необходимость иммунизации против холеры и брюшного тифа-паратифа', 'Z27.0', 22157, 'Z27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22159, 'Необходимость иммунизации против дифтерии-столбняка-коклюша [КДС]', 'Z27.1', 22157, 'Z27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22160, 'Необходимость иммунизации против дифтерии-столбняка-коклюша и брюшного тифа-паратифа', 'Z27.2', 22157, 'Z27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22161, 'Необходимость иммунизации против дифтерии-столбняка-коклюша и полиомиелита', 'Z27.3', 22157, 'Z27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22162, 'Необходимость иммунизации против кори-эпидемического паротита-краснухи', 'Z27.4', 22157, 'Z27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22163, 'Необходимость иммунизации против других комбинаций инфекционных болезней', 'Z27.8', 22157, 'Z27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22164, 'Необходимость иммунизации против неуточненных комбинацийинфекционных болезней', 'Z27.9', 22157, 'Z27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22165, 'Непроведенная иммунизация', 'Z28', 22108, 'Z20-Z29', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22166, 'Иммунизация не проведена из-за медицинских противопоказаний', 'Z28.0', 22165, 'Z28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22167, 'Иммунизация не проведена из-за отказа пациента по причине его убеждений или группового давления', 'Z28.1', 22165, 'Z28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22168, 'Иммунизация не проведена из-за отказа пациента по другой или неуточненной причине', 'Z28.2', 22165, 'Z28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22169, 'Иммунизация не проведена по другой причине', 'Z28.8', 22165, 'Z28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22170, 'Иммунизация не проведена по неуточненной причине', 'Z28.9', 22165, 'Z28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22171, 'Необходимость других профилактических мер', 'Z29', 22108, 'Z20-Z29', 5, 'Исключены: десенсибилизация к аллергенам (Z51.6) профилактическая хирургия (Z40.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22172, 'Изоляция', 'Z29.0', 22171, 'Z29', 0, 'Госпитализация, имеющая целью оградить индивида от его окружения или изолировать его после контакта с инфекционными больными');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22173, 'Профилактическая иммунотерапия', 'Z29.1', 22171, 'Z29', 0, 'Введение иммуноглобулина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22174, 'Другой вид профилактической химиотерапии', 'Z29.2', 22171, 'Z29', 0, 'Химиопрофилактика Введение антибиотиков с профилактической целью');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22175, 'Другие уточненные профилактические меры', 'Z29.8', 22171, 'Z29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22176, 'Неуточненная профилактическая мера', 'Z29.9', 22171, 'Z29', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22178, 'ОБРАЩЕНИЯ В УЧРЕЖДЕНИЯ ЗДРАВООХРАНЕНИЯ В СВЯЗИ С ОБСТОЯТЕЛЬСТВАМИ, ОТНОСЯЩИМИСЯ К РЕПРОДУКТИВНОЙ ФУНКЦИИ', 'Z30-Z39', 22001, 'Z00-Z99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22179, 'Наблюдение за применением противозачаточных средств', 'Z30', 22178, 'Z30-Z39', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22180, 'Общие советы и консультации по контрацепции', 'Z30.0', 22179, 'Z30', 0, 'Совет по вопросам планирования семьи БДУ Начальное предписание противозачаточных средств');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22181, 'Введение (внутриматочного) противозачаточного средства', 'Z30.1', 22179, 'Z30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22182, 'Стерилизация', 'Z30.2', 22179, 'Z30', 0, 'Госпитализация для перевязки маточных труб или семявыносящего протока');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22183, 'Вызывание менструаций', 'Z30.3', 22179, 'Z30', 0, 'Прерывание беременности Регуляция менструального цикла');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22184, 'Наблюдение за применением противозачаточных лекарственных средств', 'Z30.4', 22179, 'Z30', 0, 'Выдача повторного рецепта на противозачаточные пилюли или другие противозачаточные средства Рутинное медицинское обследование в связи с контрацепцией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22185, 'Наблюдение за применением (внутриматочного) противозачаточного средства', 'Z30.5', 22179, 'Z30', 0, 'Проверка, повторное введение или удаление (внутриматочного) противозачаточного средства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22186, 'Другой вид наблюдения за применением контрацепции', 'Z30.8', 22179, 'Z30', 0, 'Подсчет сперматозоидов после вазэктомии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22187, 'Наблюдение за применением контрацепции неуточненное', 'Z30.9', 22179, 'Z30', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22188, 'Восстановление и сохранение детородной функции', 'Z31', 22178, 'Z30-Z39', 9, 'Исключены: осложнения, связанные c искусственным оплодотворением(N98.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22189, 'Тубопластика или вазопластика после ранее проведенной стерилизации', 'Z31.0', 22188, 'Z31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22190, 'Искусственное оплодотворение', 'Z31.1', 22188, 'Z31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22191, 'Оплодотворение', 'Z31.2', 22188, 'Z31', 0, 'Госпитализация с целью искусственного оплодотворения или имплантация яйцеклетки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22192, 'Другие методы, способствующие оплодотворению', 'Z31.3', 22188, 'Z31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22193, 'Исследования и пробы по восстановлению детородной функции', 'Z31.4', 22188, 'Z31', 0, 'Продувание маточных труб Подсчет сперматозоидов Исключен: подсчет сперматозоидов после вазэктомии (Z30.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22194, 'Генетическое консультирование', 'Z31.5', 22188, 'Z31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22195, 'Общее консультирование и советы по восстановлению детородной функции', 'Z31.6', 22188, 'Z31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22196, 'Другие меры по восстановлению детородной функции', 'Z31.8', 22188, 'Z31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22197, 'Мера по восстановлению детородной функции неуточненная', 'Z31.9', 22188, 'Z31', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22198, 'Обследование и тесты для установления беременности', 'Z32', 22178, 'Z30-Z39', 2, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22199, 'Беременность, (еще) не подтвержденная', 'Z32.0', 22198, 'Z32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22200, 'Беременность подтвержденная', 'Z32.1', 22198, 'Z32', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22201, 'Состояние, свойственное беременности', 'Z33', 22178, 'Z30-Z39', 0, 'Состояние беременности БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22202, 'Наблюдение за течением нормальной беременности', 'Z34', 22178, 'Z30-Z39', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22203, 'Наблюдение за течением нормальной первой беременности', 'Z34.0', 22202, 'Z34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22204, 'Наблюдение за течением другой нормальной беременности', 'Z34.8', 22202, 'Z34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22205, 'Наблюдение за течением нормальной беременности неуточненной', 'Z34.9', 22202, 'Z34', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22206, 'Наблюдение за течением беременности у женщины, подвергающейся высокому риску', 'Z35', 22178, 'Z30-Z39', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22207, 'Наблюдение за течением беременности у женщины с бесплодием в анамнезе', 'Z35.0', 22206, 'Z35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22208, 'Наблюдение за течением беременности у женщины с абортивными выкидышами в анамнезе', 'Z35.1', 22206, 'Z35', 0, 'Наблюдение за беременностью у женщины, в анамнезе которой: . гидатиформный занос . пузырный занос Исключены: случаи привычного выкидыша: . требующие помощи во время беременности (O26.2) . при отсутствии текущей беременности (N96)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22209, 'Наблюдение за течением беременности у женщины с другим отягощенным анамнезом, касающимся деторождения или акушерских проблем', 'Z35.2', 22206, 'Z35', 0, 'Наблюдение за беременностью у женщины, имеющей в анамнезе: . состояния, классифицированные в рубриках O10-O92 . неонатальную смерть . мертворождение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22210, 'Наблюдение за течением беременности у женщины с недостаточной предродовой помощью в анамнезе', 'Z35.3', 22206, 'Z35', 0, 'Беременность: . маскируемая . скрываемая');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22211, 'Наблюдение за течением беременности у многорожавшей женщины', 'Z35.4', 22206, 'Z35', 0, 'Исключено: это состояние при отсутствии текущей беременности (Z64.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22212, 'Наблюдение за старой первородящей', 'Z35.5', 22206, 'Z35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22213, 'Наблюдение за очень юной первородящей', 'Z35.6', 22206, 'Z35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22214, 'Наблюдение за беременностью у женщины, подверженной высокой степени риска вследствие социальных проблем', 'Z35.7', 22206, 'Z35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22215, 'Наблюдение за беременностью у женщины, подверженной другой высокой степени риска', 'Z35.8', 22206, 'Z35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22216, 'Наблюдение за беременностью у женщины, подверженной высокой степени риска неуточненного характера', 'Z35.9', 22206, 'Z35', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22217, 'Дородовое обследование с целью выявления патологии у плода[антенатальный скрининг]', 'Z36', 22178, 'Z30-Z39', 8, 'Исключены: нарушения при антенатальном скрининге матери (O28.-) рутинная пренатальная помощь (Z34-Z35)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22218, 'Антенатальный скрининг для выявления хромосомных аномалий', 'Z36.0', 22217, 'Z36', 0, 'Амниоцентез Пробы плаценты (взятые вагинально)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22219, 'Антенатальный скрининг для выявления повышенного уровня альфа-фетопротеина в амниотической жидкости', 'Z36.1', 22217, 'Z36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22220, 'Другой вид антенатального скрининга, основанный на амниоцентезе', 'Z36.2', 22217, 'Z36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22221, 'Антенатальный скрининг с помощью ультразвука или других физических методов для выявления аномалий развития', 'Z36.3', 22217, 'Z36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22222, 'Антенатальный скрининг с помощью ультразвука или других физических методов для выявления задержки роста плода', 'Z36.4', 22217, 'Z36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22223, 'Антенатальный скрининг для выявления изоиммунизации', 'Z36.5', 22217, 'Z36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22224, 'Другой вид антенатального скрининга', 'Z36.8', 22217, 'Z36', 0, 'Скрининг с целью выявления гемоглобинопатии');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22225, 'Неуточненный вид антенатального скрининга', 'Z36.9', 22217, 'Z36', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22226, 'Исход родов', 'Z37', 22178, 'Z30-Z39', 9, 'Примечание. Эта рубрика предназначена для использования в качестве дополнительного кода с целью идентификации исхода родов в документах, относящихся к матери.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22227, 'Один живорожденный', 'Z37.0', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22228, 'Один мертворожденный', 'Z37.1', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22229, 'Двойня, оба живорожденные', 'Z37.2', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22230, 'Двойня, один живорожденный, другой мертворожденный', 'Z37.3', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22231, 'Двойня, оба мертворожденные', 'Z37.4', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22232, 'Другие многоплодные роды, все живорожденные', 'Z37.5', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22233, 'Другие многоплодные роды, есть живорожденные и мертворожденные', 'Z37.6', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22234, 'Другие многоплодные роды, все мертворожденные', 'Z37.7', 22226, 'Z37', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22235, 'Неуточненный исход родов', 'Z37.9', 22226, 'Z37', 0, 'Многоплодные роды БДУ Роды одним плодом БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22236, 'Живорожденные младенцы, согласно месту рождения', 'Z38', 22178, 'Z30-Z39', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22237, 'Один ребенок, рожденный в стационаре', 'Z38.0', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22238, 'Один ребенок, рожденный вне стационара', 'Z38.1', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22239, 'Один ребенок, рожденный в неуточненном месте', 'Z38.2', 22236, 'Z38', 0, 'Живорожденный ребенок БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22240, 'Двойня, рожденная в стационаре', 'Z38.3', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22241, 'Двойня, рожденная вне стационара', 'Z38.4', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22242, 'Двойня, рожденная в неуточненном месте', 'Z38.5', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22243, 'Другие новорожденные из многоплодных родов, родившиеся в стационаре', 'Z38.6', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22244, 'Другие новорожденные из многоплодных родов, родившиеся вне стационара', 'Z38.7', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22245, 'Другие новорожденные из многоплодных родов, родившиеся в неуточненном месте', 'Z38.8', 22236, 'Z38', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22246, 'Послеродовая помощь и обследование', 'Z39', 22178, 'Z30-Z39', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22247, 'Помощь и обследование непосредственно после родов', 'Z39.0', 22246, 'Z39', 0, 'Помощь и наблюдение при неосложненных случаях Исключена: помощь при послеродовых осложнениях - см. Алфавитный указатель');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22248, 'Помощь и обследование кормящей матери', 'Z39.1', 22246, 'Z39', 0, 'Наблюдение за лактацией Исключено: нарушение лактации (O92.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22249, 'Рутинное послеродовое наблюдение', 'Z39.2', 22246, 'Z39', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22251, 'ОБРАЩЕНИЯ В УЧРЕЖДЕНИЯ ЗДРАВООХРАНЕНИЯ В СВЯЗИ С НЕОБХОДИМОСТЬЮ ПРОВЕДЕНИЯ СПЕЦИФИЧЕСКИХ ПРОЦЕДУР И ПОЛУЧЕНИЯ МЕДИЦИНСКОЙ ПОМОЩИ', 'Z40-Z54', 22001, 'Z00-Z99', 15, 'Примечание. Рубрики Z40-Z54 предназначены для кодирования причин, дающих основание для получения медицинской помощи. Они могут быть использованы для тех случаев, когда больные, ранее лечившиеся по поводу какой-либо болезни или травмы, получают последующую или профилактическую помощь или помощь, необходимую для выздоровления или закрепления результатов лечения, для лечения остаточных явлений, а также для устранения или предупреждения рецидивов.\nИсключено: последующее обследование при медицинском наблюдении после лечения (Z08-Z09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22252, 'Профилактическое хирургическое вмешательство', 'Z40', 22251, 'Z40-Z54', 3, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22253, 'Профилактическое хирургическое вмешательство при наличии факторов риска, со злокачественной опухолью', 'Z40.0', 22252, 'Z40', 0, 'Госпитализация с целью профилактического удаления органа');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22254, 'Другой вид профилактического хирургического вмешательства', 'Z40.8', 22252, 'Z40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22255, 'Профилактическое хирургическое вмешательство неуточненное', 'Z40.9', 22252, 'Z40', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22256, 'Процедуры, проводимые не с лечебными целями', 'Z41', 22251, 'Z40-Z54', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22257, 'Трансплантация волосистого участка кожи', 'Z41.0', 22256, 'Z41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22258, 'Другие виды восстановительного хирургического вмешательства с целью устранения недостатков внешности', 'Z41.1', 22256, 'Z41', 0, 'Имплантация молочных желез Исключено: послеоперационное и посттравматическое восстановительное оперативное вмешательство (Z42.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22259, 'Принятое или ритуальное обрезание', 'Z41.2', 22256, 'Z41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22260, 'Прокалывание ушей', 'Z41.3', 22256, 'Z41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22261, 'Другие процедуры, не имеющие лечебных целей', 'Z41.8', 22256, 'Z41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22262, 'Неуточненная процедура, не имеющая лечебных целей', 'Z41.9', 22256, 'Z41', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22263, 'Последующая помощь с применением восстановительного хирургического вмешательства', 'Z42', 22251, 'Z40-Z54', 7, 'Включены: послеоперационное и посттравматическое восстановительное оперативное вмешательство замещение рубцовой ткани Исключено: восстановительное хирургическое вмешательство: . как метод лечения текущей травмы - кодируется в соответствующей травме (см. Алфавитный указатель) . как не имеющая лечебных целей косметическая операция (Z41.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22264, 'Последующая помощь с применением восстановительной хирургии в области головы и шеи', 'Z42.0', 22263, 'Z42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22265, 'Последующая помощь с применением восстановительной хирургии грудных желез', 'Z42.1', 22263, 'Z42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22266, 'Последующая помощь с применением восстановительной хирургии других частей туловища', 'Z42.2', 22263, 'Z42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22267, 'Последующая помощь с применением восстановительной хирургии верхних конечностей', 'Z42.3', 22263, 'Z42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22268, 'Последующая помощь с применением восстановительной хирургии нижних конечностей', 'Z42.4', 22263, 'Z42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22269, 'Последующая помощь с применением восстановительной хирургии других частей тела', 'Z42.8', 22263, 'Z42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22270, 'Последующая помощь с применением восстановительной хирургии неуточненная', 'Z42.9', 22263, 'Z42', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22271, 'Уход за искусственными отверстиями', 'Z43', 22251, 'Z40-Z54', 11, 'Включены: закрытие зондирование или бужирование исправление удаление катетера обработка или промывание Исключены: состояние, связанное с наличием искусственного отверстия, не нуждающегося в уходе (Z93.-) осложнения, связанные с наружной стомой (J95.0,');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22272, 'N99.5)', 'K91.4,', 22271, 'Z43', 0, 'примерка и подгонка протеза и другого устройства (Z44-Z46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22273, 'Уход за трахеостомой', 'Z43.0', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22274, 'Уход за гастростомой', 'Z43.1', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22275, 'Уход за илеостомой', 'Z43.2', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22276, 'Уход за колостомой', 'Z43.3', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22277, 'Уход за другим искусственным отверстием пищеварительного тракта', 'Z43.4', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22278, 'Уход за цистостомой', 'Z43.5', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22279, 'Уход за другим искусственным отверстием мочевого тракта', 'Z43.6', 22271, 'Z43', 0, 'Нефростомой Уретростомой Уретеростомой');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22280, 'Уход за искусственным влагалищем', 'Z43.7', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22281, 'Уход за другими уточненными искусственными отверстиями', 'Z43.8', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22282, 'Уход за неуточненным искусственным отверстием', 'Z43.9', 22271, 'Z43', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22283, 'Примерка и подгонка наружного протезного устройства', 'Z44', 22251, 'Z40-Z54', 6, 'Исключено: наличие протезного устройства (Z97.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22284, 'Примерка и подгонка искусственной руки (всей) (части)', 'Z44.0', 22283, 'Z44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22285, 'Примерка и подгонка искусственной ноги (всей) (части)', 'Z44.1', 22283, 'Z44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22286, 'Примерка и подгонка искусственного глаза', 'Z44.2', 22283, 'Z44', 0, 'Исключено: механическое осложнение глазного протеза (T85.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22287, 'Примерка и подгонка наружного протеза молочной железы', 'Z44.3', 22283, 'Z44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22288, 'Примерка и подгонка других внешних протезных устройств', 'Z44.8', 22283, 'Z44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22289, 'Примерка и подгонка неуточненного внешнего протезного устройства', 'Z44.9', 22283, 'Z44', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22290, 'Установка и регулировка имплантированного устройства', 'Z45', 22251, 'Z40-Z54', 6, 'Исключены: нарушение функционирования устройства или другое связанное с ним осложнение - см.Алфавитный указатель наличие протезов и других устройств (Z95-Z97)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22291, 'Установка и регулировка искусственного водителя ритма сердца', 'Z45.0', 22290, 'Z45', 0, 'Контроль и тестирование генератора пульса [батарейка]');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22292, 'Установка и регулировка капельницы', 'Z45.1', 22290, 'Z45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22293, 'Установка и регулировка средства контроля состояния сосудов', 'Z45.2', 22290, 'Z45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22294, 'Установка и регулировка имплантированного слухового устройства', 'Z45.3', 22290, 'Z45', 0, 'Устройство, обеспечивающее костную проводимость Кохлеарное устройство');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22295, 'Установка и регулировка других имплантированных приспособлений', 'Z45.8', 22290, 'Z45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22296, 'Установка и регулировка неуточненного имплантированного приспособления', 'Z45.9', 22290, 'Z45', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22297, 'Примерка и подгонка других устройств', 'Z46', 22251, 'Z40-Z54', 10, 'Исключены: только выдача повторных предписаний (Z76.0) нарушение функционирования устройства или другое осложнение, связанное с ним - см. Алфавитный указатель наличие протезов и других устройств (Z95-Z97)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22298, 'Примерка и подгонка очков и контактных линз', 'Z46.0', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22299, 'Примерка и подгонка слухового аппарата', 'Z46.1', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22300, 'Примерка и подгонка других устройств, имеющих отношение к нервной системе и органам чувств', 'Z46.2', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22301, 'Примерка и подгонка зубного протезного устройства', 'Z46.3', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22302, 'Примерка и подгонка ортодонтического устройства', 'Z46.4', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22303, 'Примерка и подгонка илеостомы и других кишечных приспособлений', 'Z46.5', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22304, 'Примерка и подгонка приспособления для мочевыделения', 'Z46.6', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22305, 'Примерка и подгонка ортопедического устройства', 'Z46.7', 22297, 'Z46', 0, 'Ортопедической(ого): . скобы . съемного протеза . корсета . обуви');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22306, 'Примерка и подгонка другого уточненного ортопедического устройства', 'Z46.8', 22297, 'Z46', 0, 'Кресла на колесах');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22307, 'Примерка и подгонка другого неуточненного средства', 'Z46.9', 22297, 'Z46', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22308, 'Другие виды последующей ортопедической помощи', 'Z47', 22251, 'Z40-Z54', 3, 'Исключены: помощь, включающая реабилитационные процедуры (Z50.-) осложнения, связанные с внутренними ортопедическими устройствами, имплантатами или трансплантатами (T84.-) последующее обследование после лечения перелома (Z09.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22309, 'Удаление пластинки после сращения перелома, а также другого внутреннего фиксирующего устройства', 'Z47.0', 22308, 'Z47', 0, 'Удаление: . гвоздей . пластинок . стержней . винтов Исключено: удаление наружного фиксирующего устройства (Z47.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22310, 'Другой уточненный вид последующей ортопедической помощи', 'Z47.8', 22308, 'Z47', 0, 'Замена, поверка или удаление: . наружного фиксирующего или вытяжного устройства . гипсовой повязки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22311, 'Последующая ортопедическая помощь неуточненная', 'Z47.9', 22308, 'Z47', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22312, 'Другие виды последующей хирургической помощи', 'Z48', 22251, 'Z40-Z54', 3, 'Исключены: уход за искусственным отверстием (Z43.-) примерка и подгонка протеза и другого устройства (Z44-Z46) последующее обследование после: . операции (Z09.0) . лечения перелома (Z09.4) последующая ортопедическая помощь (Z47.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22313, 'Уход за хирургическими повязками и швами', 'Z48.0', 22312, 'Z48', 0, 'Смена повязок Удаление швов');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22314, 'Другие уточненные виды последующей хирургической помощи', 'Z48.8', 22312, 'Z48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22315, 'Последующая хирургическая помощь неуточненная', 'Z48.9', 22312, 'Z48', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22316, 'Помощь, включающая диализ', 'Z49', 22251, 'Z40-Z54', 3, 'Включены: подготовка и проведение диализа Исключено: состояние, связанное с почечным диализом (Z99.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22317, 'Подготовительные процедуры для проведения диализа', 'Z49.0', 22316, 'Z49', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22318, 'Экстракорпоральный диализ', 'Z49.1', 22316, 'Z49', 0, 'Диализ (почечный) БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22319, 'Другой вид диализа', 'Z49.2', 22316, 'Z49', 0, 'Перитонеальный диализ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22320, 'Помощь, включающая использование реабилитационных процедур', 'Z50', 22251, 'Z40-Z54', 10, 'Исключены: консультации (Z70-Z71)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22321, 'Реабилитация при заболеваниях сердца', 'Z50.0', 22320, 'Z50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22322, 'Другой вид физиотерапии', 'Z50.1', 22320, 'Z50', 0, 'Лечебная и корригирующая гимнастика');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22323, 'Реабилитация лиц, страдающих алкоголизмом', 'Z50.2', 22320, 'Z50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22324, 'Реабилитация лиц, страдающих наркоманией', 'Z50.3', 22320, 'Z50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22325, 'Психотерапия, не классифицированная в других рубриках', 'Z50.4', 22320, 'Z50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22326, 'Речевая терапия', 'Z50.5', 22320, 'Z50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22327, 'Неоперативное лечение косоглазия', 'Z50.6', 22320, 'Z50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22328, 'Трудовая терапия и профессиональная реабилитация, не классифицированная в других рубриках', 'Z50.7', 22320, 'Z50', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22329, 'Лечение, включающее другие виды реабилитационных процедур', 'Z50.8', 22320, 'Z50', 0, 'Реабилитация при курении Обучение приемам самообслуживания НКДР');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22330, 'Лечение, включающее реабилитационную процедуру неуточненную', 'Z50.9', 22320, 'Z50', 0, 'Реабилитация БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22331, 'Другие виды медицинской помощи', 'Z51', 22251, 'Z40-Z54', 9, 'Исключено: последующее обследование после лечения (Z08-Z09)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22332, 'Курс радиотерапии (поддерживающий)', 'Z51.0', 22331, 'Z51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22333, 'Химиотерапия по поводу новообразования', 'Z51.1', 22331, 'Z51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22334, 'Другие виды химиотерапии', 'Z51.2', 22331, 'Z51', 0, 'Поддерживающая химиотерапия БДУ Исключена: профилактическая химиотерапия с целью иммунизации (Z23-Z27, Z29.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22335, 'Переливание крови без уточненного диагноза', 'Z51.3', 22331, 'Z51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22336, 'Подготовительные процедуры для последующего лечения, не классифицированные в других рубриках', 'Z51.4', 22331, 'Z51', 0, 'Исключены: подготовительные процедуры для проведения диализа (Z49.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22337, 'Паллиативная помощь', 'Z51.5', 22331, 'Z51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22338, 'Десенсибилизация к аллергенам', 'Z51.6', 22331, 'Z51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22339, 'Другой уточненный вид медицинской помощи', 'Z51.8', 22331, 'Z51', 0, 'Исключено: предоставление помощи во время отдыха (Z75.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22340, 'Медицинская помощь неуточненная', 'Z51.9', 22331, 'Z51', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22341, 'Доноры органов и тканей', 'Z52', 22251, 'Z40-Z54', 8, 'Исключено: обследование потенциального донора (Z00.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22342, 'Донор крови', 'Z52.0', 22341, 'Z52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22343, 'Донор кожи', 'Z52.1', 22341, 'Z52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22344, 'Донор кости', 'Z52.2', 22341, 'Z52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22345, 'Донор костного мозга', 'Z52.3', 22341, 'Z52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22346, 'Донор почки', 'Z52.4', 22341, 'Z52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22347, 'Донор роговицы', 'Z52.5', 22341, 'Z52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22348, 'Донор другого уточненного органа или ткани', 'Z52.8', 22341, 'Z52', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22349, 'Донор неуточненного органа или ткани', 'Z52.9', 22341, 'Z52', 0, 'Донор БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22350, 'Обращения в учреждения здравоохранения в связи с невыполненными специфическими процедурами', 'Z53', 22251, 'Z40-Z54', 5, 'Исключена: непроведенная иммунизация (Z28.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22351, 'Процедура не выполнена из-за наличия противопоказаний', 'Z53.0', 22350, 'Z53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22352, 'Процедура не выполнена из-за отказа больного по убеждениям или из-за группового давления', 'Z53.1', 22350, 'Z53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22353, 'Процедура не выполнена из-за отказа больного по другим и неуточненным причинам', 'Z53.2', 22350, 'Z53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22354, 'Процедура не выполнена по другим причинам', 'Z53.8', 22350, 'Z53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22355, 'Процедура не выполнена по неуточненной причине', 'Z53.9', 22350, 'Z53', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22356, 'Состояние выздоровления', 'Z54', 22251, 'Z40-Z54', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22357, 'Состояние выздоровления после хирургического вмешательства', 'Z54.0', 22356, 'Z54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22358, 'Состояние выздоровления после радиотерапии', 'Z54.1', 22356, 'Z54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22359, 'Состояние выздоровления после химиотерапии', 'Z54.2', 22356, 'Z54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22360, 'Состояние выздоровления после психотерапии', 'Z54.3', 22356, 'Z54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22361, 'Состояние выздоровления после лечения перелома', 'Z54.4', 22356, 'Z54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22362, 'Состояние выздоровления после комбинированного лечения', 'Z54.7', 22356, 'Z54', 0, 'Состояние выздоровления после любой комбинации методов лечения, классифицированных в Z54.0-Z54.4');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22363, 'Состояние выздоровления после другого лечения', 'Z54.8', 22356, 'Z54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22364, 'Состояние выздоровления после неуточненного вида лечения', 'Z54.9', 22356, 'Z54', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22366, 'ПОТЕНЦИАЛЬНАЯ ОПАСНОСТЬ ДЛЯ ЗДОРОВЬЯ, СВЯЗАННАЯ С СОЦИАЛЬНО-ЭКОНОМИЧЕСКИМИ И ПСИХОСОЦИАЛЬНЫМИ ОБСТОЯТЕЛЬСТВАМИ', 'Z55-Z65', 22001, 'Z00-Z99', 11, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22367, 'Проблемы, связанные с обучением и грамотностью', 'Z55', 22366, 'Z55-Z65', 7, 'Исключены: нарушения психологического развития (F80-F89)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22368, 'Неграмотность или низкий уровень грамотности', 'Z55.0', 22367, 'Z55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22369, 'Отсутствие способности к обучению', 'Z55.1', 22367, 'Z55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22370, 'Провал на экзаменах', 'Z55.2', 22367, 'Z55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22371, 'Отставание в учебе', 'Z55.3', 22367, 'Z55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22372, 'Плохая адаптация к учебному процессу, конфликты с учителями и соучениками', 'Z55.4', 22367, 'Z55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22373, 'Другие проблемы, связанные с образованием и грамотностью', 'Z55.8', 22367, 'Z55', 0, 'Неадекватное обучение');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22374, 'Проблема, связанная с обучением и грамотностью неуточненная', 'Z55.9', 22367, 'Z55', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22375, 'Проблемы, связанные с работой и безработицей', 'Z56', 22366, 'Z55-Z65', 8, 'Исключены: воздействие производственных факторов риска (Z57.-) проблемы, связанные с обстоятельствами жилищного и экономического характера (Z59.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22376, 'Отсутствие работы неуточненное', 'Z56.0', 22375, 'Z56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22377, 'Смена работы', 'Z56.1', 22375, 'Z56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22378, 'Угроза потерять работу', 'Z56.2', 22375, 'Z56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22379, 'Напряженное рабочее расписание', 'Z56.3', 22375, 'Z56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22380, 'Конфликт с начальником и сослуживцами', 'Z56.4', 22375, 'Z56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22381, 'Неподходящая работа', 'Z56.5', 22375, 'Z56', 0, 'Тяжелые условия труда');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22382, 'Другое физическое и психическое напряжение в работе', 'Z56.6', 22375, 'Z56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22383, 'Другие и неуточненные проблемы, связанные с работой', 'Z56.7', 22375, 'Z56', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22384, 'Воздействие производственных факторов риска', 'Z57', 22366, 'Z55-Z65', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22385, 'Неблагоприятное воздействие производственного шума', 'Z57.0', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22386, 'Неблагоприятное воздействие производственной радиации', 'Z57.1', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22387, 'Неблагоприятное воздействие производственной пыли', 'Z57.2', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22388, 'Неблагоприятное воздействие других производственных загрязнителей воздуха', 'Z57.3', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22389, 'Неблагоприятное воздействие токсичных веществ, используемых в сельском хозяйстве', 'Z57.4', 22384, 'Z57', 0, 'Неблагоприятное воздействие твердых, жидких, газообразных и парообразных веществ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22390, 'Неблагоприятное воздействие токсичных веществ в других производствах', 'Z57.5', 22384, 'Z57', 0, 'Неблагоприятное воздействие твердых, жидких, газообразных и парообразных веществ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22391, 'Неблагоприятное воздействие производственных экстремальных температур', 'Z57.6', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22392, 'Неблагоприятное воздействие производственной вибрации', 'Z57.7', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22393, 'Неблагоприятное воздействие других факторов риска', 'Z57.8', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22394, 'Неблагоприятное воздействие неуточненных факторов риска', 'Z57.9', 22384, 'Z57', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22395, 'Проблемы, связанные с физическими факторами окружающей среды', 'Z58', 22366, 'Z55-Z65', 9, 'Исключено: воздействие производственных факторов риска (Z57.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22396, 'Воздействие шума', 'Z58.0', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22397, 'Воздействие загрязнения воздуха', 'Z58.1', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22398, 'Воздействие загрязнения воды', 'Z58.2', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22399, 'Воздействие загрязнения почвы', 'Z58.3', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22400, 'Воздействие радиационного загрязнения', 'Z58.4', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22401, 'Воздействие другого загрязнения', 'Z58.5', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22402, 'Неадекватное снабжение питьевой водой', 'Z58.6', 22395, 'Z58', 0, 'Исключено: влияние жажды (T73.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22403, 'Другие проблемы, связанные с физическими факторами окружающей среды', 'Z58.8', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22404, 'Проблемы, связанные с физическими факторами окружающей среды, неуточненные', 'Z58.9', 22395, 'Z58', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22405, 'Проблемы, связанные с обстоятельствами жилищного и экономического характера', 'Z59', 22366, 'Z55-Z65', 10, 'Исключено: неадекватное снабжение питьевой водой (Z58.6)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22406, 'Отсутствие жилища (бездомность)', 'Z59.0', 22405, 'Z59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22407, 'Неудовлетворительные жилищные условия', 'Z59.1', 22405, 'Z59', 0, 'Отсутствие отопления Ограниченность жилой площади Технические недостатки в доме, препятствующие соответствующему уходу Неудовлетворительное окружение Исключены: проблемы, связанные с физическими факторами окружающей среды (Z58.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22408, 'Конфликты с соседями, постояльцами, хозяевами', 'Z59.2', 22405, 'Z59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22409, 'Проблемы, связанные с нахождением в учреждении постоянного проживания', 'Z59.3', 22405, 'Z59', 0, 'Проживание в школьном пансионе Исключены: воспитательные учреждения (Z62.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22410, 'Отсутствие адекватной пищи', 'Z59.4', 22405, 'Z59', 0, 'Исключены: влияние голода (T73.0) неприемлемая диета или вредные привычки в приеме пищи (Z72.4) недостаточность питания (E40-E46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22411, 'Крайняя нищета', 'Z59.5', 22405, 'Z59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22412, 'Низкий уровень дохода', 'Z59.6', 22405, 'Z59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22413, 'Недостаточность социального страхования и латеральной поддержки', 'Z59.7', 22405, 'Z59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22414, 'Другие проблемы, касающиеся экономических и жилищных условий', 'Z59.8', 22405, 'Z59', 0, 'Невозможность получить кредит Проживание в одиночестве Проблемы с кредиторами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22415, 'Проблема, касающаяся экономических и жилищных условий, неуточненная', 'Z59.9', 22405, 'Z59', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22416, 'Проблемы, связанные с адаптацией к изменению образа жизни', 'Z60', 22366, 'Z55-Z65', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22417, 'Проблемы, связанные с адаптацией к изменению образа жизни', 'Z60.0', 22416, 'Z60', 0, 'Уход на пенсию (в отставку) Синдром одиночества');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22418, 'Нетипичная ситуация с родителями', 'Z60.1', 22416, 'Z60', 0, 'Проблемы, связанные с воспитанием ребенка одним родителем или другим человеком, сожительствующим с одним из биологических родителей');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22419, 'Проживание в одиночестве', 'Z60.2', 22416, 'Z60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22420, 'Трудности, связанные с принятием другой культуры', 'Z60.3', 22416, 'Z60', 0, 'Миграция Изменения в социальном статусе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22421, 'Социальная изоляция и остракизм', 'Z60.4', 22416, 'Z60', 0, 'Социальная изоляция и остракизм на основе личностных характеристик, таких, как необычная внешность, болезнь или поведение. Исключена: жертва враждебной дискриминации по расовому или религиозному признаку (Z60.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22422, 'Жертва ощущаемой дискриминации или гонения', 'Z60.5', 22416, 'Z60', 0, 'Преследование или дискриминация (предполагаемые или реальные), основанные на принадлежности к некоторым группам (по цвету кожи, религии, этническому происхождению и т.д.), а не личностных характеристиках. Исключены: социальная изоляция и остракизм (Z60.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22423, 'Другие проблемы, связанные с социальным окружением', 'Z60.8', 22416, 'Z60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22424, 'Проблема, связанная с факторами социального окружения неуточненная', 'Z60.9', 22416, 'Z60', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22425, 'Проблемы, связанные с неблагоприятными жизненными событиями в детстве', 'Z61', 22366, 'Z55-Z65', 10, 'Исключен: синдром жестокого обращения (T74.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22426, 'Потеря в детстве любимых родственников', 'Z61.0', 22425, 'Z61', 0, 'Потеря эмоционально близких родственников, таких, как родители, брат или сестра, очень близкий друг или любимый человек, вследствие смерти, длительного отсутствия или отстранения.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22427, 'Отлучение ребенка от дома', 'Z61.1', 22425, 'Z61', 0, 'Помещение в приют, больницу или другое учреждение, вызывающее психологический стресс, или призыв в армию из дома на длительный период.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22428, 'Изменение семейных взаимоотношений родственников в детстве', 'Z61.2', 22425, 'Z61', 0, 'Появление другого лица в семье в результате неблагоприятных для ребенка изменений во взаимоотношениях родственников (это может быть новый брак родителей или рождение другого ребенка).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22429, 'События, приводящие к снижению самооценки в детстве', 'Z61.3', 22425, 'Z61', 0, 'События, завершающиеся самооценкой ребенка (например, неудача каком-либо деле с высокой личной ответственностью, обнаружение или раскрытие постыдных или бесчестных эпизодов личной или семейной жизни и другие факторы, дающие повод к самоуничижению).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22430, 'Проблемы, связанные с возможным сексуальным изнасилованием ребенка лицом, принадлежащим к группе первичной поддержки', 'Z61.4', 22425, 'Z61', 0, 'Проблемы, связанные с какой-либо формой физического контакта между взрослым членом семьи и ребенком или другими способами, вызывающими сексуальное возбуждение и независимо от желания ребенка приводящее к половому контакту (например, прикосновения или манипуляции с половыми органами, намеренное обнажение половых органов или молочных желез).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22431, 'Проблемы, связанные с возможным изнасилованием ребенка посторонним лицом', 'Z61.5', 22425, 'Z61', 0, 'Проблемы, связанные с различными манипуляциями с половыми органами и молочными железами, с раздеванием, ласками и другими действиями с ребенком, склоняющими или имеющими целью склонять его к половому акту, лицом, значительно более старшим по возрасту, не являющимся членом семьи и использующим свой статус или положение, либо действующим против желания ребенка.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22432, 'Проблемы, связанные с возможным физическим насилием по отношению к ребенку', 'Z61.6', 22425, 'Z61', 0, 'Проблемы, связанные с инцидентами, при которых ребенку в прошлом были нанесены травмы кем-либо из взрослых, проживающих в доме, требующие медицинского ухода (переломы, явные кровоподтеки), либо при которых ребенок подвергся жестоким формам насилия (избиение тяжелыми или острыми предметами, ожоги или связывание).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22433, 'Личные потрясения, перенесенные в детстве', 'Z61.7', 22425, 'Z61', 0, 'Переживания, которые могут оказать влияние на будущее ребенка, вызванные например, похищением, природными катаклизмами с угрозой для жизни, увечьем, угрожающим безопасности или собственному восприятию, или травмой, нанесенной дорогому для ребенка человеку в его присутствии.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22434, 'Другие неблагоприятные жизненные события в детстве', 'Z61.8', 22425, 'Z61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22435, 'Неблагоприятное жизненное событие в детстве неуточненное', 'Z61.9', 22425, 'Z61', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22436, 'Другие проблемы, связанные с воспитанием ребенка', 'Z62', 22366, 'Z55-Z65', 9, 'Исключен: синдром жестокого обращения (T74.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22437, 'Неадекватность заботы и контроля со стороны родителей', 'Z62.0', 22436, 'Z62', 0, 'Неинформированность родителей о том, что делает ребенок и где он находится, плохой контроль за ним, отсутствие постоянной заботы о нем и попыток предупредить рискованные ситуации, в которых он может оказаться.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22438, 'Излишняя опека со стороны родителей', 'Z62.1', 22436, 'Z62', 0, 'Система воспитания, результатом которой является инфантильность и отсутствие у ребенка самостоятельности и независимости.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22439, 'Воспитание в закрытом учреждении', 'Z62.2', 22436, 'Z62', 0, 'Групповое воспитание, при котором ответственность родителей в значительной степени переложена на персонал различных форм учреждений (таких, как дома ребенка, приюты для сирот, школы-интернаты) или терапевтическая помощь в течение длительного времени в больнице, учреждении для выздоравливающих или санатории, когда ребенок находится по крайней мере без одного родителя.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22440, 'Враждебное отношение и несправедливые претензии к ребенку', 'Z62.3', 22436, 'Z62', 0, 'Негативное отношение родителей к ребенку как к личности, резкость и постоянная раздражительность по отношению к некоторым моментам в поведении ребенка (например, постоянные оскорбления за любые поступки в доме или напрасные обвинения ребенка).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22441, 'Эмоциональная заброшенность детей', 'Z62.4', 22436, 'Z62', 0, 'Тон разговора родителей с ребенком пренебрежительный или безразличный. Отсутствие интереса к ребенку, чуткого отношения к его трудностям, похвалы и поддержки, раздражительная реакция на нарушение в поведении ребенка и отсутствие ласкового и теплого отношения к ребенку.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22442, 'Другие проблемы, связанные с недостатками в воспитании', 'Z62.5', 22436, 'Z62', 0, 'Отсутствие обучающего и игрового опыта у ребенка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22443, 'Неприемлемое давление со стороны родителей и другие отрицательные факторы воспитания', 'Z62.6', 22436, 'Z62', 0, 'Родители заставляют ребенка делать то, что выходит за рамки принятых норм, не соответствует половой принадлежности (например, одевание мальчика в девичье платье), возрасту (например, требование от ребенка еще недоступной ему ответственности за свои поступки), его желанию или возможностям.');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22444, 'Другие уточненные проблемы, связанные с воспитанием ребенка', 'Z62.8', 22436, 'Z62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22445, 'Проблема, связанная с воспитанием ребенка, неуточненная', 'Z62.9', 22436, 'Z62', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22446, 'Другие проблемы, связанные с близкими людьми, включая семейные обстоятельства', 'Z63', 22366, 'Z55-Z65', 10, 'Исключены: синдром жестокого обращения (T74.-) проблемы, связанные с: . неблагоприятными жизненными событиями в детстве (Z61.-) . воспитанием (Z62.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22447, 'Проблемы, связанные с взаимоотношениями супругов или партнеров', 'Z63.0', 22446, 'Z63', 0, 'Разногласия между супругами (партнерами), ведущие к длительной или выраженной утрате контроля взаимоотношений, враждебности, нежеланию понять друг друга или постоянной атмосфере грубого межличностного насилия (избиения, драки).');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22448, 'Проблемы взаимоотношений с родителями или родственниками жены или мужа', 'Z63.1', 22446, 'Z63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22449, 'Недостаточная поддержка семьи', 'Z63.2', 22446, 'Z63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22450, 'Отсутствие члена семьи', 'Z63.3', 22446, 'Z63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22451, 'Исчезновение или смерть члена семьи', 'Z63.4', 22446, 'Z63', 0, 'Чувство вины перед умершим');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22452, 'Распад семьи в результате разделения или развода', 'Z63.5', 22446, 'Z63', 0, 'Отчужденность');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22453, 'Зависимый член семьи, нуждающийся в уходе в домашних условиях', 'Z63.6', 22446, 'Z63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22454, 'Другие стрессовые жизненные события, влияющие на семью и экономические условия', 'Z63.7', 22446, 'Z63', 0, 'Беспокойство (нормальное) о заболевшем члене семьи Связанные со здоровьем проблемы в семье Болезнь или нарушение у члена семьи Изолированная семья');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22455, 'Другие уточненные проблемы, связанные с группой первичной поддержки', 'Z63.8', 22446, 'Z63', 0, 'Разногласия в семье БДУ Чрезмерный эмоциональный уровень в семье Неадекватные или расстроенные взаимоотношения в семье');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22456, 'Проблемы, связанные с группой первичной поддержки, неуточненные', 'Z63.9', 22446, 'Z63', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22457, 'Проблемы, связанные с определенными психосоциальными обстоятельствами', 'Z64', 22366, 'Z55-Z65', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22458, 'Проблемы, связанные с нежелательной беременностью', 'Z64.0', 22457, 'Z64', 0, 'Исключено: наблюдение за течением беременности у женщины, подвергающейся риску вследствие социальных проблем (Z35.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22459, 'Проблемы, связанные с многодетностью', 'Z64.1', 22457, 'Z64', 0, 'Исключено: наблюдение за течением беременности у многорожаюшей женщины (Z35.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22460, 'Поиск и использование физических, пищевых и химических веществ, известных как вредные и опасные', 'Z64.2', 22457, 'Z64', 0, 'Исключена: наркотическая зависимость - см. Алфавитный указатель');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22461, 'Поиск и принятие действий поведенческого и психологического характера, известных как вредные и опасные', 'Z64.3', 22457, 'Z64', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22462, 'Конфликт с советником', 'Z64.4', 22457, 'Z64', 0, 'Конфликт с: . лицом, ответственным за испытуемого . социальным работником');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22463, 'Проблемы, связанные с другими психосоциальными обстоятельствами', 'Z65', 22366, 'Z55-Z65', 8, 'Исключена: текущая травма - см.Алфавитный указатель');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22464, 'Обвинение в гражданском или уголовном преступлении без заключения в тюрьму', 'Z65.0', 22463, 'Z65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22465, 'Тюремное заключение и другое вынужденное лишение свободы', 'Z65.1', 22463, 'Z65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22466, 'Проблемы, связанные с освобождением из тюрьмы', 'Z65.2', 22463, 'Z65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22467, 'Проблемы, связанные с другими юридическими обстоятельствами', 'Z65.3', 22463, 'Z65', 0, 'Арест Опекунство ребенка или хлопоты об алиментах Судебная тяжба Судебное преследование');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22468, 'Жертва преступления и терроризма', 'Z65.4', 22463, 'Z65', 0, 'Жертва пытки');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22469, 'Жертва стихийного бедствия, военных и других враждебных действий', 'Z65.5', 22463, 'Z65', 0, 'Исключена: жертва ощущаемой дискриминации или гонения (Z60.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22470, 'Другие уточненные проблемы, связанные с обстоятельствами психологического характера', 'Z65.8', 22463, 'Z65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22471, 'Проблема, связанная с неуточненными обстоятельствами пси хологического характера', 'Z65.9', 22463, 'Z65', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22473, 'ОБРАЩЕНИЯ В УЧРЕЖДЕНИЯ ЗДРАВООХРАНЕНИЯ В СВЯЗИ С ДРУГИМИ ОБСТОЯТЕЛЬСТВАМИ', 'Z70-Z76', 22001, 'Z00-Z99', 7, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22474, 'Консультации, касающиеся сексуальных отношений, поведения и ориентации', 'Z70', 22473, 'Z70-Z76', 6, 'Исключено: консультирование по поводу контрацепции или детородной функции (Z30-Z31)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22475, 'Консультировнаие, касающееся отношения к сексуальным вопросам', 'Z70.0', 22474, 'Z70', 0, 'Лицо, испытывающее смущение, робость или другое затруднение в связи с сексуальными вопрсами');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22476, 'Консультирование, касающееся сексуального поведения или сексуальной ориентации', 'Z70.1', 22474, 'Z70', 0, 'Пациент, озабоченный: . импотенцией . отсутствием реакции . промискуитетом . сексуальной ориентацией');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22477, 'Консультирование, касающееся сексуального поведения и ориентации третьей стороны', 'Z70.2', 22474, 'Z70', 0, 'Совет, касающийся сексуального поведения или ориентации: . ребенка . партнера . супруга');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22478, 'Консультирование, касающееся сложных проблем, связанных с сексуальными отношениями, поведением и ориентацией', 'Z70.3', 22474, 'Z70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22479, 'Другая консультация, касающаяся секса', 'Z70.8', 22474, 'Z70', 0, 'Половое воспитание');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22480, 'Консультация по сексуальным вопросам неуточненная', 'Z70.9', 22474, 'Z70', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22481, 'Обращения в учреждения здравоохранения для получения других консультаций и медицинских советов, не классифицированные в других рубриках', 'Z71', 22473, 'Z70-Z76', 10, 'Исключены: консультирование по поводу контрацепции или детородной функции (Z30-Z31) консультаирование, касающееся отношения к сексуальным вопросам (Z70.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22482, 'Обращение за консультацией по  поручению другого лица', 'Z71.0', 22481, 'Z71', 0, 'Получение совета или лечебных рекомендаций для отсутствующего третьего лица Исключено: беспокойство (нормальное) о заболевшем члене семьи (Z63.7)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22483, 'Жалобы, вызванные страхом болезни, при отсутствии диагностированной болезни', 'Z71.1', 22481, 'Z71', 0, 'Вызвавшее страх состояние не обнаружено Обращение здорового человека, вызванное страхом болезни "Мнимый больной" Исключены: медицинское наблюдение и оценка при подозрении на заболевание или патологическое состояние (Z03.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22484, 'Обращение за разъяснениями результатов исследования', 'Z71.2', 22481, 'Z71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22485, 'Консультирование по вопросам питания', 'Z71.3', 22481, 'Z71', 0, 'Консультирование по вопросам питания и соответствующее наблюдение (в связи с): . БДУ . колитом . сахарным диабетом . пищевой аллергией или непереносимостью пищи . гастритом . гиперхолестеринемией . гипогликемией . ожирением');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22486, 'Консультирование и наблюдение по поводу алкоголизма', 'Z71.4', 22481, 'Z71', 0, 'Исключена: реабилитация лиц, страдающих алкоголизмом(Z50.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22487, 'Консультирование и наблюдение по поводу наркомании', 'Z71.5', 22481, 'Z71', 0, 'Исключена: реабилитация лиц, страдающих наркоманией (Z50.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22488, 'Консультирование и наблюдение по поводу курения', 'Z71.6', 22481, 'Z71', 0, 'Исключена: реабилитация при курении (Z50.8)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22489, 'Консультирование по вопросам, связанным с вирусом иммунодефицита человека [ВИЧ]', 'Z71.7', 22481, 'Z71', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22490, 'Другое уточненное консультирование', 'Z71.8', 22481, 'Z71', 0, 'Консультация по поводу кровного родства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22491, 'Консультирование  неуточненное', 'Z71.9', 22481, 'Z71', 0, 'Медицинский совет БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22492, 'Проблемы, связанные с образом жизни', 'Z72', 22473, 'Z70-Z76', 9, 'Исключены: проблемы, связанные с: . трудностями поддержания нормального образа жизни (Z73.-) . социально-экономическими и психосоциальными обстоятельствами (Z55-Z65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22493, 'Употребление табака', 'Z72.0', 22492, 'Z72', 0, 'Исключена: табачная зависимость (F17.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22494, 'Употребление алкоголя', 'Z72.1', 22492, 'Z72', 0, 'Исключена: алкогольная зависимость (F10.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22495, 'Использование наркотиков', 'Z72.2', 22492, 'Z72', 0, 'Исключено: злоупотребление веществами, не вызывающими зависимость (F55) наркотическая зависимость (F11-F16, F19 с общим четвертым знаком 2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22496, 'Недостаток физической активности', 'Z72.3', 22492, 'Z72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22497, 'Неприемлемый пищевой рацион и вредные привычки в приеме пищи', 'Z72.4', 22492, 'Z72', 0, 'Исключены: поведенческие расстройства приема пищи детского и подросткового возраста (F98.2-F98.3) расстройства приема пищи (F50.-) отсутствие адекватной пищи (Z59.4) недостаточность питания и другие расстройства питания (E40-E64)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22498, 'Сексуальное поведение с высокой степенью риска', 'Z72.5', 22492, 'Z72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22499, 'Склонность к азартным играм и пари', 'Z72.6', 22492, 'Z72', 0, 'Исключено: компульсивное или патологическое влечение к азартным играм (F63.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22500, 'Другие проблемы, связанные с образом жизни', 'Z72.8', 22492, 'Z72', 0, 'Поведение, приводящее к самоповреждениям');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22501, 'Проблема, связанная с образом жизни, неуточненная', 'Z72.9', 22492, 'Z72', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22502, 'Проблемы, связанные с трудностями поддержания нормального образа жизни', 'Z73', 22473, 'Z70-Z76', 9, 'Исключены: проблемы, связанные с социально-экономическими и психосоциальными обстоятельствами (Z55-Z65)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22503, 'Переутомление', 'Z73.0', 22502, 'Z73', 0, 'Состояние истощения жизненных сил');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22504, 'Акцентуированные личностные черты', 'Z73.1', 22502, 'Z73', 0, 'Поведенческая структура типа A (характеризуется неумеренной амбицией, потребностью в высоких достижениях, нетерпимостью, некомпетентностью и назойливостью)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22505, 'Недостаточность отдыха и расслабления', 'Z73.2', 22502, 'Z73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22506, 'Стрессовое состояние, не классифицированное в других рубриках', 'Z73.3', 22502, 'Z73', 0, 'Физическое и умственное напряжение БДУ Исключено: относящееся к занятости или безработице (Z56.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22507, 'Неадекватные социальные навыки, не классифицированные в других рубриках', 'Z73.4', 22502, 'Z73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22508, 'Конфликт, связанный с социальной ролью, не классифицированный в других рубриках', 'Z73.5', 22502, 'Z73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22509, 'Ограничения деятельности, вызванные снижением или утратой трудоспособности', 'Z73.6', 22502, 'Z73', 0, 'Исключена: зависимость от лица, обеспечивающего помощь и уход (Z74.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22510, 'Другие проблемы, связанные с трудностями в поддержании жизненного уклада', 'Z73.8', 22502, 'Z73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22511, 'Проблема, связанная с трудностью в поддержании жизненного уклада, неуточненная', 'Z73.9', 22502, 'Z73', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22512, 'Проблемы, связанные с зависимостью от лица, обеспечивающего помощь и уход', 'Z74', 22473, 'Z70-Z76', 6, 'Исключена: зависимость от механизма или другого приспособления НКДР (Z99.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22513, 'Ограничение способности передвигаться', 'Z74.0', 22512, 'Z74', 0, 'Прикованность к постели Прикованность к инвалидному креслу');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22514, 'Потребность в помощи при самообслуживании', 'Z74.1', 22512, 'Z74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22515, 'Потребность в помощи по ведению домашнего хозяйства при отсутствии члена семьи, способного оказать помощь', 'Z74.2', 22512, 'Z74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22516, 'Потребность в постоянном наблюдении', 'Z74.3', 22512, 'Z74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22517, 'Другие проблемы, связанные с зависимостью от лица, обеспечивающего помощь и уход', 'Z74.8', 22512, 'Z74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22518, 'Проблема, связанная с зависимостью от лица, обеспечивающего помощь и уход, неуточненная', 'Z74.9', 22512, 'Z74', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22519, 'Проблемы, связанные с медицинским обеспечением и другой медицинской помощью', 'Z75', 22473, 'Z70-Z76', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22520, 'Отсутствие медицинской помощи на дому', 'Z75.0', 22519, 'Z75', 0, 'Исключено: отсутствие другого члена семьи, способного оказывать помощь (Z74.2)');

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22521, 'Лицо, ожидающее госпитализации в соответствующее учреждение для получения помощи', 'Z75.1', 22519, 'Z75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22522, 'Другой период ожидания обследования и назначения лечения', 'Z75.2', 22519, 'Z75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22523, 'Отсутствие или недоступность служб медицинской помощи', 'Z75.3', 22519, 'Z75', 0, 'Исключено: отсутствие места в больнице (Z75.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22524, 'Отсутствие или недоступность других учреждений, предоставляющих помощь', 'Z75.4', 22519, 'Z75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22525, 'Предоставление помощи во время отдыха', 'Z75.5', 22519, 'Z75', 0, 'Обеспечение ухода больному, обычно обслуживаемому дома, с целью предоставления членам семьи возможности отдыха Передышка в уходе');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22526, 'Другие проблемы, связанные с медицинской помощью и другими видами ухода за больным', 'Z75.8', 22519, 'Z75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22527, 'Неуточненная проблема, касающаяся медицинской помощи и других видов ухода за больным', 'Z75.9', 22519, 'Z75', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22528, 'Обращение в учреждения здравоохранения в связи с другими обсто ятельствами', 'Z76', 22473, 'Z70-Z76', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22529, 'Выдача повторного рецепта', 'Z76.0', 22528, 'Z76', 0, 'Выдача повторного рецепта на: . приспособление . медикаменты . очки Исключены: выдача медицинского свидетельства (Z02.7) выдача повторного рецепта на противозачаточные средства (Z30.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22530, 'Наблюдение за здоровьем за подкидышем и уход за ним', 'Z76.1', 22528, 'Z76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22531, 'Наблюдение за другим здоровым ребенком грудного и раннего возраста и уход за ним', 'Z76.2', 22528, 'Z76', 0, 'Врачебный или сестринский уход или наблюдение за здоровым ребенком в следующих ситуациях: . неблагоприятные социально-экономические домашние условия . ожидание помещения в приют или усыновление . болезнь матери . количество детей в доме, затрудняющее или исключающее обеспечение нормального ухода');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22532, 'Здоровый человек, сопровождающий больного', 'Z76.3', 22528, 'Z76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22533, 'Другие лица, нуждающиеся в помощи учреждений здравоохранения', 'Z76.4', 22528, 'Z76', 0, 'Исключены: бездомные (Z59.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22534, 'Симуляция болезни [сознательная симуляция]', 'Z76.5', 22528, 'Z76', 0, 'Лицо, симулирующее болезнь (с очевидной мотивацией) Исключены: фиктивные нарушения (F68.1) "вечный" больной (F68.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22535, 'Лица, обращающиеся в службы здравоохранения в другич уточненных обстоятельствах', 'Z76.8', 22528, 'Z76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22536, 'Лицо, обращающееся в службы здравоохранения в неуточненных обстоятельствах', 'Z76.9', 22528, 'Z76', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22538, 'ПОТЕНЦИАЛЬНАЯ ОПАСНОСТЬ ДЛЯ ЗДОРОВЬЯ, СВЯЗАННАЯ С ЛИЧНЫМ И СЕМЕЙНЫМ АНАМНЕЗОМ И ОПРЕДЕЛЕННЫМИ СОСТОЯНИЯМИ, ВЛИЯЮЩИМИ НА ЗДОРОВЬЕ', 'Z80-Z99', 22001, 'Z00-Z99', 20, 'Исключены: последующее обследование (Z08-Z09) последующая медицинская помощь и состояние выздоровления (Z42-Z51, Z54.-) случаи, когда семейный или личный анамнез является причиной проведения специального скрининга или другого обследования или осмотра (Z00-Z13) случаи, когда возможность повреждения плода является основанием для наблюдения или проведения соответствующих действий во время беременности (O35.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22539, 'В семейном анамнезе злокачественное новообразование', 'Z80', 22538, 'Z80-Z99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22540, 'В семейном анамнезе злокачественное новообразование желудочно-кишечного тракта', 'Z80.0', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C15-C26');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22541, 'В семейном анамнезе злокачественное новообразование трахеи, бронхов и легкого', 'Z80.1', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C33-C34');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22542, 'В семейном анамнезе злокачественное новообразование органов дыхания и грудной клетки', 'Z80.2', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C30-C32, C37-C39');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22543, 'В семейном анамнезе злокачественное новообразование молочной железы', 'Z80.3', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубрике C50.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22544, 'В семейном анамнезе злокачественное новообразование половых органов', 'Z80.4', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C51-C63');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22545, 'В семейном анамнезе злокачественное новообразование мочевых органов', 'Z80.5', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C64-C68');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22546, 'В семейном анамнезе лейкоз', 'Z80.6', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C91-C95');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22547, 'В семейном анамнезе другие новообразования лимфоидной, кроветворной и родственных им тканей', 'Z80.7', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C81-C90, C96.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22548, 'В семейном анамнезе злокачественные новообразования других органов или систем', 'Z80.8', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубриках C00-C14, C40-C49, C69-C79, C97');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22549, 'В семейном анамнезе злокачественное новообразование неуточненное', 'Z80.9', 22539, 'Z80', 0, 'Состояния, классифицируемые в рубрике C80');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22550, 'В семейном анамнезе психические расстройства и расстройства поведения', 'Z81', 22538, 'Z80-Z99', 6, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22551, 'В семейном анамнезе умственная отсталость', 'Z81.0', 22550, 'Z81', 0, 'Состояния, классифицируемые в рубриках F70-F79');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22552, 'В семейном анамнезе алкогольная зависимость', 'Z81.1', 22550, 'Z81', 0, 'Состояния, классифицируемые в рубрике F10.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22553, 'В семейном анамнезе курение', 'Z81.2', 22550, 'Z81', 0, 'Состояния, классифицируемые в рубрике F17.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22554, 'В семейном анамнезе злоупотребление психоактивными лекарственными средствами', 'Z81.3', 22550, 'Z81', 0, 'Состояния, классифицируемые в рубриках F11-F16, F18-F19');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22555, 'В семейном анамнезе злоупотребление другими средствами, вызывающими зависимость', 'Z81.4', 22550, 'Z81', 0, 'Состояния, классифицируемые в рубрике F55');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22556, 'В семейном анамнезе другие психические расстройства и расстройства поведения', 'Z81.8', 22550, 'Z81', 0, 'Состояния, классифицируемые в рубриках F00-F99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22557, 'В семейном анамнезе некоторые болезни, снижающие трудоспособность, и хронические болезни, ведущие к инвалидности', 'Z82', 22538, 'Z80-Z99', 9, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22558, 'В семейном анамнезе эпилепсия и другие болезни нервной системы', 'Z82.0', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубриках G00-G99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22559, 'В семейном анамнезе слепота и потеря зрения', 'Z82.1', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубрике H54,-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22560, 'В семейном анамнезе глухота и потеря слуха', 'Z82.2', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубриках H90-H91');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22561, 'В семейном анамнезе инсульт', 'Z82.3', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубриках I60-I64');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22562, 'В семейном анамнезе ишемическая болезнь сердца и другие болезни сердечно-сосудистой системы', 'Z82.4', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубриках I00-I52, I65-I99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22563, 'В семейном анамнезе астма и другие хронические болезни нижних дыхательных путей', 'Z82.5', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубриках J40-J47');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22564, 'В семейном анамнезе артрит и другие болезни костно-мышечной системы и соединительной ткани', 'Z82.6', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубриках M00-M99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22565, 'В семейном анамнезе врожденные аномалии, деформации и хромосомные нарушения', 'Z82.7', 22557, 'Z82', 0, 'Состояния, классифицируемые в рубриках Q00-Q99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22566, 'В семейном анамнезе другие состояния, снижающие трудоспособность, и хронические заболевания, ведущие к инвалидности, не классифицированные в других рубриках', 'Z82.8', 22557, 'Z82', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22567, 'В семейном анамнезе другие специфические нарушения', 'Z83', 22538, 'Z80-Z99', 8, 'Исключен: контакт с больным или возможность заражения инфекционной болезнью в семье (Z20.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22568, 'В семейном анамнезе болзнь, вызванная вирусом иммунодефицита человека [ВИЧ]', 'Z83.0', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках B20-B24');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22569, 'В семейном анамнезе другие инфекционные и паразитарные болезни', 'Z83.1', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках A00-B19, B25-B94, B99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22570, 'В семейном анамнезе болезни крови и кроветворных органов и некоторые нарушения, вовлекающие иммунный механизм', 'Z83.2', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках D50-D89');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22571, 'В семейном анамнезе сахарный диабет', 'Z83.3', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках E10-E14');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22572, 'В семейном анамнезе другие болезни эндокринной системы и болезни обмена веществ', 'Z83.4', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках E00-E07, E15-E90');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22573, 'В семейном анамнезе болезни глаз и уха', 'Z83.5', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках H00-H53, H55-H83, H92-H95 Исключены: в семейном анамнезе: . слепота и потеря зрения (Z82.1) . глухота и потеря слуха (Z82.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22574, 'В семейном анамнезе болезни дыхательной системы', 'Z83.6', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках J00-J39, J60-J99 Исключены: в семейном анамнезе хронические болезни нижних дыхательных путей (Z82.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22575, 'В семейном анамнезе болезни системы пищеварения', 'Z83.7', 22567, 'Z83', 0, 'Состояния, классифицируемые в рубриках K00-K93');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22576, 'В семейном анамнезе другие патологические состояния', 'Z84', 22538, 'Z80-Z99', 5, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22577, 'В семейном анамнезе болезни кожи и подкожной клетчатки', 'Z84.0', 22576, 'Z84', 0, 'Состояния, классифицируемые в рубриках L00-L99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22578, 'В семейном анамнезе нарушения почек и мочеточника', 'Z84.1', 22576, 'Z84', 0, 'Состояния, классифицируемые в рубриках N00-N29');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22579, 'В семейном анамнезе другие болезни мочеполовой системы', 'Z84.2', 22576, 'Z84', 0, 'Состояния, классифицируемые в рубриках N30-N99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22580, 'В семейном анамнезе кровное родство', 'Z84.3', 22576, 'Z84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22581, 'В семейном анамнезе другие уточненные состояния', 'Z84.8', 22576, 'Z84', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22582, 'В личном анамнезе злокачественное новообразование', 'Z85', 22538, 'Z80-Z99', 10, 'Исключены: последующая медицинская помощь и состояние выздоровления (Z42-Z51, Z54.-) последующее обследование после лечения злокачественного новообразования (Z08.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22583, 'В личном анамнезе злокачественное новообразование желудочно-кишечного тракта', 'Z85.0', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C15-C26');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22584, 'В личном анамнезе злокачественное новообразование трахеи, бронхов и легкого', 'Z85.1', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C33-C34');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22585, 'В личном анамнезе злокачественное новообразование других органов дыхания и грудной клетки', 'Z85.2', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C30-C32, C37-C39');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22586, 'В личном анамнезе злокачественное новообразование молочной железы', 'Z85.3', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубрике C50.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22587, 'В личном анамнезе злокачественное новообразование половых органов', 'Z85.4', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C51-C63');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22588, 'В личном анамнезе злокачественное новообразование мочевых органов', 'Z85.5', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C64-C68');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22589, 'В личном анамнезе лейкоз', 'Z85.6', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C91-C95');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22590, 'В личном анамнезе злокачественное новообразование лимфоидной, кроветворной и родственных им тканей', 'Z85.7', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C81-C90, C96.-');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22591, 'В личном анамнезе злокачественное новообразование других органов и систем', 'Z85.8', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C00-C14, C40-C49, C69-C79, C97');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22592, 'В личном анамнезе злокачественное новообразование неуточненное', 'Z85.9', 22582, 'Z85', 0, 'Состояния, классифицируемые в рубриках C80');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22593, 'В личном анамнезе некоторые другие болезни', 'Z86', 22538, 'Z80-Z99', 8, 'Исключены: последующая медицинская помощь и состояние выздоровления (Z42-Z51, Z54.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22594, 'В личном анамнезе другие новообразования', 'Z86.0', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках D00-D48 Исключены: злокачественные новообразования (Z85.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22595, 'В личном анамнезе инфекционные и паразитарные болезни', 'Z86.1', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках A00-B89, B99 Исключены: последствия инфекционных и паразитарных болезней (B90-B94)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22596, 'В личном анамнезе болезни крови и кроветворных органов и отдельные нарушения, вовлекающие иммунный механизм', 'Z86.2', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках D50-D89');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22597, 'В личном анамнезе болезни эндокринной системы, нарушения питания и обмена веществ', 'Z86.3', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках E00-E90');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22598, 'В личном анамнезе злоупотребление психоактивными веществами', 'Z86.4', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках F10-F19 Исключены: текущая зависимость (F10-F19 с общим четвертым знаком .2) проблемы, связанные с употреблением: . алкоголя (Z72.1) . наркотиков (Z72.2) . табака (Z72.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22599, 'В личном анамнезе другие психические и поведенческие расстройства', 'Z86.5', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках F00-F09, F20-F99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22600, 'В личном анамнезе болезни нервной системы и органов чувств', 'Z86.6', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках G00-G99, H00-H95');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22601, 'В личном анамнезе болезни системы кровообращения', 'Z86.7', 22593, 'Z86', 0, 'Состояния, классифицируемые в рубриках I00-I99 Исключены: перенесенный инфаркт миокарда (I25.2) постинфарктный синдром (I24.1) последствия цереброваскуляной болезни (I69.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22602, 'В личном анамнезе другие болезни и патологические состояния', 'Z87', 22538, 'Z80-Z99', 9, 'Исключены: последующая медицинская помощь и состояние выздоровления (Z42-Z51, Z54.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22603, 'В личном анамнезе болезни органов дыхания', 'Z87.0', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках J00-J99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22604, 'В личном анамнезе болезни органов пищеварения', 'Z87.1', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках K00-K93');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22605, 'В личном анамнезе болезни кожи и подкожной клетчатки', 'Z87.2', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках L00-L99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22606, 'В личном анамнезе болезни костно-мышечной системы и соединительной ткани', 'Z87.3', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках M00-M99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22607, 'В личном анамнезе болезни мочеполовой системы', 'Z87.4', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках N00-N99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22608, 'В личном анамнезе осложнения беременности, родов и послеродового периода', 'Z87.5', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках O00-O99 В личном анамнезе трофобластическая болезнь Исключены: привычный выкидыш (N96) наблюдение за течением беременности у женщины с неблагоприятным акушерским анамнезом (Z35.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22609, 'В личном анамнезе некоторые состояния, возникающие в перинатальный период', 'Z87.6', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках P00-P96');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22610, 'В личном анамнезе врожденные аномалии, деформации и хромосомные нарузения', 'Z87.7', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках Q00-Q99');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22611, 'В личном анамнезе другие уточненные состояния', 'Z87.8', 22602, 'Z87', 0, 'Состояния, классифицируемые в рубриках S00-T98');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22612, 'В личном анамнезе аллергия к лекарственным средствам, медикаментам и биологическим веществам', 'Z88', 22538, 'Z80-Z99', 10, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22613, 'В личном анамнезе аллергия к пенициллину', 'Z88.0', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22614, 'В личном анамнезе аллергия к другим антибиотикам', 'Z88.1', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22615, 'В личном анамнезе аллергия к сульфаниламидным препаратам', 'Z88.2', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22616, 'В личном анамнезе аллергия к другим противоинфекционным средствам', 'Z88.3', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22617, 'В личном анамнезе аллергия к анестезирующему средству', 'Z88.4', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22618, 'В личном анамнезе аллергия к наркотическому средству', 'Z88.5', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22619, 'В личном анамнезе аллергия к аналгезирующему средству', 'Z88.6', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22620, 'В личном анамнезе аллергия к сыворотке или вакцине', 'Z88.7', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22621, 'В личном анамнезе аллергия к другим лекарственным средствам, медикаментам и биологическим веществам', 'Z88.8', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22622, 'В личном анамнезе аллергия к неуточненным лекарственным средствам, медикаментам и биологическим веществам', 'Z88.9', 22612, 'Z88', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22623, 'Приобретенное отсутствие конечности', 'Z89', 22538, 'Z80-Z99', 10, 'Включены: потеря конечности: . послеоперационная . посттравматическая Исключены: приобретенная деформация конечностей (M20-M21) врожденное отсутствие конечностей (Q71-Q73)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22624, 'Приобретенное отсутствие пальца (пальцев), включая большой палец, одностороннее', 'Z89.0', 22623, 'Z89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22625, 'Приобретенное отсутствие кисти и запястья', 'Z89.1', 22623, 'Z89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22626, 'Приобретенное отсутствие верхней конечности выше запястья', 'Z89.2', 22623, 'Z89', 0, 'Руки БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22627, 'Приобретенное отсутствие обеих верхних конечностей (на любом уровне)', 'Z89.3', 22623, 'Z89', 0, 'Приобретенное отсутствие пальца (пальцев) двустороннее');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22628, 'Приобретенное отсутствие стопы и голеностопного сустава', 'Z89.4', 22623, 'Z89', 0, 'Приобретенное отсутствие пальца (пальцев) ноги');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22629, 'Приобретенное отсутствие ноги до или ниже колена', 'Z89.5', 22623, 'Z89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22630, 'Приобретенное отсутствие ноги выше колена', 'Z89.6', 22623, 'Z89', 0, 'Ноги БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22631, 'Приобретенное отсутствие обеих нижних конечностей (любого уровня за исключением только пальцев)', 'Z89.7', 22623, 'Z89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22632, 'Приобретенное отсутствие верхних и нижних конечностей (на любом уровне)', 'Z89.8', 22623, 'Z89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22633, 'Приобретенное отсутствие конечности неуточненное', 'Z89.9', 22623, 'Z89', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22634, 'Приобретенное отсутствие органов, не классифицированное в других рубриках', 'Z90', 22538, 'Z80-Z99', 9, 'Включена: послеоперационная или посттравматическая потеря части тела НКДР Исключены: врожденное отсутствие органов - см. Алфавитный указатель послеоперационное отсутствие: . эндокринных желез (E89.-) . селезенки (D73.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22635, 'Приобретенное отсутствие части головы или шеи', 'Z90.0', 22634, 'Z90', 0, 'Глаза Горла Носа Исключено: зубов (K08.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22636, 'Приобретенное отсутствие молочной железы (молочных желез)', 'Z90.1', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22637, 'Приобретенное отсутствие легкого (или части его)', 'Z90.2', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22638, 'Приобретенное отсутствие части желудка', 'Z90.3', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22639, 'Приобретенное отсутствие других отделов пищеварительного тракта', 'Z90.4', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22640, 'Приобретенное отсутствие почки', 'Z90.5', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22641, 'Приобретенное отсутствие других отделов мочевого тракта', 'Z90.6', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22642, 'Приобретенное отсутствие полового органа (органов)', 'Z90.7', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22643, 'Приобретенное отсутствие другого органа', 'Z90.8', 22634, 'Z90', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22644, 'В личном анамнезе наличие факторов риска, не классифицированных в других рубриках', 'Z91', 22538, 'Z80-Z99', 8, 'Исключены: воздействие загрязнения и другие проблемы, касающиеся физических факторов окружающей среды (Z58.-) воздействие производственных факторов риска (Z57.-) в личном анамнезе злоупотребление психоактивными веществами (Z86.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22645, 'В личном анамнезе аллергия к другим веществам, помимо лекарственных средств и биологических веществ', 'Z91.0', 22644, 'Z91', 0, 'Исключена: в личном анамнезе аллергия к лекарственным средствам и биологическим веществам (Z88.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22646, 'В личном анамнезе невыполнение лечебных процедур и несоблюдение режима', 'Z91.1', 22644, 'Z91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22647, 'В личном анамнезе неудовлетворительное соблюдение мер личной гигиены', 'Z91.2', 22644, 'Z91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22648, 'В личном анамнезе нарушение режима сна-бодрствования', 'Z91.3', 22644, 'Z91', 0, 'Исключены: нарушения сна (G47.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22649, 'В личном анамнезе психологическая травма, не классифицированная в других рубриках', 'Z91.4', 22644, 'Z91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22650, 'В личном анамнезе самоповреждение', 'Z91.5', 22644, 'Z91', 0, 'Парасуицид Самоотравление Попытка самоубийства');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22651, 'В личном анамнезе другая физическая травма', 'Z91.6', 22644, 'Z91', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22652, 'В личном анамнезе другие уточненные факторы риска, не классифицированные в других рубриках', 'Z91.8', 22644, 'Z91', 0, 'Злоупотребление БДУ Плохое лечение БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22653, 'В личном анамнезе лечение', 'Z92', 22538, 'Z80-Z99', 8, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22654, 'Личный анамнез применения противозачаточных средств', 'Z92.0', 22653, 'Z92', 0, 'Исключены: консультирование или текущая практика применения противозачаточных средств (Z30.-) наличие (внутриматочного) противозачаточного средства (Z97.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22655, 'В личном анамнезе длительное (текущее) применение анти коагулянтов', 'Z92.1', 22653, 'Z92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22656, 'В личном анамнезе длительное (текущее) применение других медикаментозных средств', 'Z92.2', 22653, 'Z92', 0, 'Аспирина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22657, 'В личном анамнезе облучение', 'Z92.3', 22653, 'Z92', 0, 'Облучение в лечебных целях Исключены: воздействие излучения окружающей физической среды (Z58.4) воздействие радиации на производстве (Z57.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22658, 'В личном анамнезе серьезная операция, не классифицированная в других рубриках', 'Z92.4', 22653, 'Z92', 0, 'Исключены: наличие искусственного отверстия (Z93.-) послеоперационные состояния (Z98.-) наличие функциональных имплантатов и трансплантатов (Z95-Z96) наличие трансплантированных органов или тканей (Z94.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22659, 'В личном анамнезе реабилитационные процедуры', 'Z92.5', 22653, 'Z92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22660, 'В личном анамнезе другие виды лечения', 'Z92.8', 22653, 'Z92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22661, 'В личном анамнезе медицинское лечение неуточненное', 'Z92.9', 22653, 'Z92', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22662, 'Состояние, связанное с наличием искусственного отверстия', 'Z93', 22538, 'Z80-Z99', 9, 'Исключены: искусственное отверстие, требующее внимания или ухода (Z43.-) осложнения внешней стомы (J95.0, K91.4, N99.5)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22663, 'Наличие трахеостомы', 'Z93.0', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22664, 'Наличие гастростомы', 'Z93.1', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22665, 'Наличие илеостомы', 'Z93.2', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22666, 'Наличие колостомы', 'Z93.3', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22667, 'Наличие другого искусственного отверстия желудочно-кишечного тракта', 'Z93.4', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22668, 'Наличие цистостомы', 'Z93.5', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22669, 'Наличие искусственных отверстий мочевого тракта', 'Z93.6', 22662, 'Z93', 0, 'Нефростомы Уретростомы Уретеростомы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22670, 'Наличие другого искусственного отверстия', 'Z93.8', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22671, 'Наличие искусственного отверстия неуточненного', 'Z93.9', 22662, 'Z93', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22672, 'Наличие трансплантированных органов и тканей', 'Z94', 22538, 'Z80-Z99', 10, 'Включены: орган или ткань, замещенные гетеро- или гомотрансплантатом Исключены: осложнения, связанные с трансплантированным органом или тканью - см. Алфавитный указатель наличие: . сосудистого трансплантата (Z95.-) . искусственного сердечного клапана (Z95.3)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22673, 'Наличие трансплантированной почки', 'Z94.0', 22672, 'Z94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22674, 'Наличие трансплантированного сердца', 'Z94.1', 22672, 'Z94', 0, 'Исключено: состояние, связанное с наличием искусственного сердечного клапана (Z95.2-Z95.4)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22675, 'Наличие трансплантированного легкого', 'Z94.2', 22672, 'Z94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22676, 'Наличие трансплантированных сердца и легкого', 'Z94.3', 22672, 'Z94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22677, 'Наличие трансплантированной печени', 'Z94.4', 22672, 'Z94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22678, 'Наличие трансплантированной кожи', 'Z94.5', 22672, 'Z94', 0, 'Наличие аутогенного кожного трансплантата');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22679, 'Наличие трансплантированной кости', 'Z94.6', 22672, 'Z94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22680, 'Наличие трансплантированной роговицы', 'Z94.7', 22672, 'Z94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22681, 'Наличие других трансплантированных органов и тканей', 'Z94.8', 22672, 'Z94', 0, 'Костного мозга Кишечника Поджелудочной железы');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22682, 'Наличие трансплантированного органа и ткани неуточненных', 'Z94.9', 22672, 'Z94', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22683, 'Наличие сердечных и сосудистых имплантатов и трансплантатов', 'Z95', 22538, 'Z80-Z99', 8, 'Исключены: осложнения в связи с сердечными и сосудистыми устройствами, имплантатами и трансплантатами (T82.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22684, 'Наличие искусственного водителя сердечного ритма', 'Z95.0', 22683, 'Z95', 0, 'Исключены: установка и регулировка искусственного водителя ритма сердца (Z45.0)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22685, 'Наличие аортокоронарного шунтового трансплантата', 'Z95.1', 22683, 'Z95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22686, 'Наличие протеза сердечного клапана', 'Z95.2', 22683, 'Z95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22687, 'Наличие ксеногенного сердечного клапана', 'Z95.3', 22683, 'Z95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22688, 'Наличие другого заменителя сердечного клапана', 'Z95.4', 22683, 'Z95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22689, 'Наличие коронарного ангиопластичного имплантата и трансплантата', 'Z95.5', 22683, 'Z95', 0, 'Наличие протеза коронарной артерии Состояние после коронарной ангиопластики БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22690, 'Наличие других сердечных и сосудистых имплантатов и трансплантатов', 'Z95.8', 22683, 'Z95', 0, 'Наличие интраваскулярного протеза НКДР Состояние после периферической ангиопластики БДУ');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22691, 'Наличие сердечного и сосудистого имплантата и трансплантата неуточненных', 'Z95.9', 22683, 'Z95', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22692, 'Наличие других функциональных имплантатов', 'Z96', 22538, 'Z80-Z99', 10, 'Исключены: осложнения в связи с внутренними протезными устройствами, имплантатами и лоскутами (T82-T85) примерка и подгонка протеза и другого устройства (Z44-Z46)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22693, 'Наличие мочеполовых имплантатов', 'Z96.0', 22692, 'Z96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22694, 'Наличие интраокулярных линз', 'Z96.1', 22692, 'Z96', 0, 'Псевдофакия');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22695, 'Наличие отологических и аудиологических имплантатов', 'Z96.2', 22692, 'Z96', 0, 'Костнопроводящего слухового приспособления Кохлеарный имплантат Имплантат евстахиевой трубы Имплантат в отверстии барабанной перепонки Заменитель стремечка');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22696, 'Наличие искусственной гортани', 'Z96.3', 22692, 'Z96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22697, 'Наличие имплантатов эндокринных желез', 'Z96.4', 22692, 'Z96', 0, 'Устройство для подачи инсулина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22698, 'Наличие имплантатов зубов и челюсти', 'Z96.5', 22692, 'Z96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22699, 'Наличие ортопедических имплантатов суставов', 'Z96.6', 22692, 'Z96', 0, 'Замещение сустава пальца Замещение тазобедренного сустава (частичное) (полное)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22700, 'Наличие имплантатов других костей и сухожилий', 'Z96.7', 22692, 'Z96', 0, 'Черепная пластина');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22701, 'Наличие другого уточненного функционального имплантата', 'Z96.8', 22692, 'Z96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22702, 'Наличие функционального имплантата неуточненного', 'Z96.9', 22692, 'Z96', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22703, 'Наличие других устройств', 'Z97', 22538, 'Z80-Z99', 7, 'Исключены: осложнения в связи с внутренними протезными устройствами, имплантатами и трансплантатами (T82-T85) примерка и подгонка протеза и другого устройства (Z44-Z46) наличие устройства для дренажа спинномозговой жидкости (Z98.2)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22704, 'Наличие искусственного глаза', 'Z97.0', 22703, 'Z97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22705, 'Наличие искусственной конечности (полной) (частичной)', 'Z97.1', 22703, 'Z97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22706, 'Наличие зубного протезного устройства', 'Z97.2', 22703, 'Z97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22707, 'Наличие очков и контактных линз', 'Z97.3', 22703, 'Z97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22708, 'Наличие наружного слухового аппарата', 'Z97.4', 22703, 'Z97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22709, 'Наличие (внутриматочного) контацептивного средства', 'Z97.5', 22703, 'Z97', 0, 'Исключены: контроль, повторное введение или удаление контрацептивного устройства (Z30.5) введение контрацептивного средства (Z30.1)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22710, 'Наличие другого уточненного устройства', 'Z97.8', 22703, 'Z97', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22711, 'Другие послехирургические состояния', 'Z98', 22538, 'Z80-Z99', 4, 'Исключены: последующая медицинская помощь и состояние выздоровления (Z42-Z51, Z54.-) послеоперационные и постпроцедурные осложнения - см. Алфавитный указатель');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22712, 'Состояние, связанное с наложением кишечного анастомоза', 'Z98.0', 22711, 'Z98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22713, 'Состояние, связанное с артродезом', 'Z98.1', 22711, 'Z98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22714, 'Состояние, связанное с дренажным устройством цереброспинальной жидкости', 'Z98.2', 22711, 'Z98', 0, 'Шунт цереброспинальной жидкости');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22715, 'Другие уточненные послехирургические состояния', 'Z98.8', 22711, 'Z98', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22716, 'Зависимость от поддерживающих жизнедеятельность механизмов и устройств, не классифицированная в других рубриках', 'Z99', 22538, 'Z80-Z99', 6, NULL);

INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22717, 'Зависимость от аспиратора', 'Z99.0', 22716, 'Z99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22718, 'Зависимость от респиратора', 'Z99.1', 22716, 'Z99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22719, 'Зависимость от почечного диализа', 'Z99.2', 22716, 'Z99', 0, 'Наличие артериовенозного шунта для диализа Состояние почечного диализа Исключены: подготовка к диализу, его проведение или курс (Z49.-)');
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22720, 'Зависимость от кресла на колесах', 'Z99.3', 22716, 'Z99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22721, 'Зависимость от других вспомогательных механизмов и устройств', 'Z99.8', 22716, 'Z99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22722, 'Зависимость от поддерживающих жизнедеятельность механизмов и устройств неуточненных', 'Z99.9', 22716, 'Z99', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22730, 'Острая с кровотечением', 'K25.0', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22731, 'Острая с прободением', 'K25.1', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22732, 'Острая с кровотечением и прободением', 'K25.2', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22733, 'Острая без кровотечения или прободения', 'K25.3', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22734, 'Хроническая или неуточненная с кровотечением', 'K25.4', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22735, 'Хроническая или неуточненная с прободением', 'K25.5', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22736, 'Хроническая или неуточненная с кровотечением и прободением', 'K25.6', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22737, 'Хроническая без кровотечения или прободения', 'K25.7', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22738, 'Не уточненная как острая или хроническая без кровотечения или прободения', 'K25.9', 10145, 'K25', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22740, 'Острая с кровотечением', 'K26.0', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22741, 'Острая с прободением', 'K26.1', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22742, 'Острая с кровотечением и прободением', 'K26.2', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22743, 'Острая без кровотечения или прободения', 'K26.3', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22744, 'Хроническая или неуточненная с кровотечением', 'K26.4', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22745, 'Хроническая или неуточненная с прободением', 'K26.5', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22746, 'Хроническая или неуточненная с кровотечением и прободением', 'K26.6', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22747, 'Хроническая без кровотечения или прободения', 'K26.7', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22748, 'Не уточненная как острая или хроническая без кровотечения или прободения', 'K26.9', 10146, 'K26', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22750, 'Острая с кровотечением', 'K27.0', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22751, 'Острая с прободением', 'K27.1', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22752, 'Острая с кровотечением и прободением', 'K27.2', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22753, 'Острая без кровотечения или прободения', 'K27.3', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22754, 'Хроническая или неуточненная с кровотечением', 'K27.4', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22755, 'Хроническая или неуточненная с прободением', 'K27.5', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22756, 'Хроническая или неуточненная с кровотечением и прободением', 'K27.6', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22757, 'Хроническая без кровотечения или прободения', 'K27.7', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22758, 'Не уточненная как острая или хроническая без кровотечения или прободения', 'K27.9', 10147, 'K27', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22760, 'Острая с кровотечением', 'K28.0', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22761, 'Острая с прободением', 'K28.1', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22762, 'Острая с кровотечением и прободением', 'K28.2', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22763, 'Острая без кровотечения или прободения', 'K28.3', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22764, 'Хроническая или неуточненная с кровотечением', 'K28.4', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22765, 'Хроническая или неуточненная с прободением', 'K28.5', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22766, 'Хроническая или неуточненная с кровотечением и прободением', 'K28.6', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22767, 'Хроническая без кровотечения или прободения', 'K28.7', 10148, 'K28', 0, NULL);
INSERT INTO class_mkb (id, name, code, parent_id, parent_code, node_count, additional_info) VALUES(22768, 'Не уточненная как острая или хроническая без кровотечения или прободения', 'K28.9', 10148, 'K28', 0, NULL);
